using System;
using System.Collections.Generic;

using MvcCms.Data;
using System.Linq;

namespace MvcCmsProjectTracker.Data
{
    public interface IBugRepository
    {
        void Save();

        Bug CreateBug(Bug bugToCreate);
        Bug EditBug(Bug bugToEdit);

        void AddBug(Bug bug);
        void AddBugAttachment(BugAttachment attachment);
        void AddBugComment(BugComment comment);
        void AddBugHistory(BugHistory history);
        void AddBugNotification(BugNotification notification);
        void DeleteBug(Bug bug);
        void DeleteBugAttachment(BugAttachment attachment);
        void DeleteBugComment(BugComment comment);
        void DeleteBugHistory(BugHistory history);
        void DeleteBugNotification(BugNotification notification);

        IQueryable<DtoTrackerIssue> ListIssues(int portalId);
        Bug GetBug(int bugID);
        BugAttachment GetBugAttachment(int attachmentID);
        IQueryable<BugAttachment> GetBugAttachments(int bugID);
        BugComment GetBugComment(int commentID);
        IQueryable<BugComment> GetBugComments(int bugID);
        IQueryable<BugHistory> GetBugHistories(int bugID);
        BugHistory GetBugHistory(int historyID);
        BugNotification GetBugNotification(int notificationID);
        IQueryable<BugNotification> GetBugNotifications(int bugID);
        IQueryable<Bug> GetBugsByCategory(int projectID, int categoryID);
        IQueryable<Bug> GetBugsByMilestone(int projectID, int milestoneID);
        IQueryable<Bug> GetBugsByPriority(int projectID, int priorityID);
        IQueryable<Bug> GetBugsByProject(int projectID);
        IQueryable<Bug> GetBugsByStatus(int projectID, int statusID);
        IQueryable<Bug> GetMyBugs(Guid userId);
    }
}