﻿using System.Collections.Generic;
using MvcCms.Data;

namespace MvcCms.Core.Cache
{
    public interface ICacheService
    {
        ContentPage GetPublishedCategoryContentPage(int categoryId);
        ContentPage GetContentSubPageByPath(string path, int catId);
        ContentPage GetPublishedSubCategoryContentPage(string path);
        ContentCategory GetCorrectCategory(int routeCatId, string routePath);
        ContentCategory GetCurrentCategory();
        Portal GetCurrentPortal();

        IEnumerable<ContentCategory> ListTopNav();
        IEnumerable<ContentPage> ListSubPages(int catId);
        IEnumerable<ContentPage> ListAltLanguagePages(int parentPageId);
        IList<ContentCategory> ListCategoriesHierarchy();

    }
}