﻿using System;
using Quartz;

namespace MvcCms.Scheduler {
	public class JobListener : IJobListener {
		public void JobToBeExecuted(IJobExecutionContext context) {
			Console.WriteLine(Name + ".JobToBeExecuted");
		}

		public void JobExecutionVetoed(IJobExecutionContext context) {
			Console.WriteLine(Name + ".JobExecutionVetoed");
		}

		public void JobWasExecuted(IJobExecutionContext context, JobExecutionException jobException) {
			Console.WriteLine(Name + ".JobWasExecuted");
		}

		public string Name { get; set; }

        public JobListener()
        {
			Name = GetType().Name;
		}
	}
}