﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MvcCms.Core.Cache;

namespace MvcCms.Data.Service.Code
{
    /// <summary>
    /// Provides Theme Data to Service Layer projects - Business Logic Should Not Be Placed Here Unless Data Specific such as limiting results returned.
    /// Don't do ToList here allow that to be done next layer up.
    /// </summary>
    public class ThemeDataService : IThemeDataService
    {
        #region Constructors
        private readonly IThemeRepository _repository;
        private readonly ICacheService _cacheService;
        public ThemeDataService(IThemeRepository repository, ICacheService cacheService)
        {
            _repository = repository;
            _cacheService = cacheService;
        }
        #endregion

        public IEnumerable<Zone> ListZones(int themeId)
        {
            var query = _repository.ListZones().AsQueryable();
            var portalId = _cacheService.GetCurrentPortal().PortalID;
            query = query.Where(z => z.Theme.Portal.PortalID == portalId);
            query = query.Where(z => z.ThemeID == themeId);

            return query;
        }
    }
}
