﻿using System.Collections.Generic;
using MvcCms.Data;
using Raccoom.Xml;
using System.Collections.Specialized;

namespace MvcCms.Service.Cache
{
    public interface ICacheService : Core.Cache.ICacheService 
    {
        NameValueCollection GetMembershipConfig();
        new Portal GetCurrentPortal();
        Language GetLanguage(int langId);
        StateProvince GetStateProvince(int stateId);
        StateProvince GetStateProvince(string abbreviation);
        RssChannel GetRssFeed(string feedurl);

        IEnumerable<Language> ListLanguages();
        IEnumerable<StateProvince> ListStates();

        void ClearLanguages();
        void ClearCategories();
        void ClearPortals();

    }
}