﻿using System.Collections.Generic;
using WikiPlex.Compilation;
using WikiPlex.Compilation.Macros;
using WikiPlex;

namespace MvcCms.Service.Code.Wiki
{
    public class AnyStyleMacro : IMacro
    {
        public string Id
        {
            get { return "Any Style"; }
        }

        public IList<MacroRule> Rules
        {
            get
            {
               return new List<MacroRule>
               {
                   new MacroRule(EscapeRegexPatterns.CurlyBraceEscape),
                   new MacroRule(@"(?i)(\[style:)([^\]]+)(\])",
                                 new Dictionary<int, string>
                                 {
                                     {1, ScopeName.Remove},
                                     {2, WikiScopeName.WikiAnyStyle},
                                     {3, ScopeName.Remove}
                                 }
                       )
               };
            }
        }
    }
}