﻿using System;
using System.Web.Mvc;
using WikiPlex.Formatting;


namespace MvcCms.Service.Code.Wiki
{
    public class TextColorRenderer : IRenderer
    {
        private const string TextColorFormat = "<span style=\"color:{0};\">{1}</span>";

        public TextColorRenderer()
        {

        }

        public string Id
        {
            get { return "Wiki Text Color Renderer"; }
        }

        public bool CanExpand(string scopeName)
        {
            return scopeName == WikiScopeName.WikiTextColor;
        }

        public string Expand(string scopeName, string input, Func<string, string> htmlEncode, Func<string, string> attributeEncode)
        {
            var array = input.Split('|');
            if (array.Length == 2)
            {
                return string.Format(TextColorFormat, htmlEncode(array[0]), htmlEncode(array[1]));
            }
            else
            {
                return input;
            }
        }
    }
}