﻿using System;
using System.Web.Mvc;
using WikiPlex.Formatting;


namespace MvcCms.Service.Code.Wiki
{
    public class TextSizeRenderer : IRenderer
    {
        private const string TextSizeFormat = "<span style=\"font-size:{0};\">{1}</span>";

        public TextSizeRenderer()
        {

        }

        public string Id
        {
            get { return "Wiki Text Size Renderer"; }
        }

        public bool CanExpand(string scopeName)
        {
            return scopeName == WikiScopeName.WikiTextSize;
        }

        public string Expand(string scopeName, string input, Func<string, string> htmlEncode, Func<string, string> attributeEncode)
        {
            var array = input.Split('|');
            if (array.Length == 2)
            {
                return string.Format(TextSizeFormat, htmlEncode(array[0]), htmlEncode(array[1]));
            }
            else
            {
                return input;
            }
        }
    }
}