﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MvcCms.Service.Models
{
    // ModelBinder to take parameters sent from DataTables
    public class DataTablesModelBinding : IModelBinder
    {
        public object BindModel(ControllerContext controllerContext, ModelBindingContext bindingContext)
        {
            DataTablesRequest obj = new DataTablesRequest();
            var request = controllerContext.HttpContext.Request.Params;
            // First we take the single params
            obj.iDisplayStart = Convert.ToInt32(request["iDisplayStart"]);
            obj.iDisplayLength = Convert.ToInt32(request["iDisplayLength"]);
            obj.iColumns = Convert.ToInt32(request["iColumns"]);
            obj.sSearch = request["sSearch"].TryTrim();
            obj.sExtraParam = request["sExtraParam"].TryTrim();
            obj.sSingleSearchField = request["sSingleSearchField"].TryTrim();
            obj.bEscapeRegex = Convert.ToBoolean(request["bEscapeRegex"]);
            obj.iSortingCols = Convert.ToInt32(request["iSortingCols"]);
            obj.sEcho = Convert.ToInt32(request["sEcho"]);
            // Now we take the params in the format iSortCol_(int) and save then in lists
            for (int i = 0; i < obj.iColumns; i++)
            {
                obj.bSortable.Add(Convert.ToBoolean(request["bSortable_" + i]));
                obj.bSearchable.Add(Convert.ToBoolean(request["bSearchable_" + i]));
                obj.sSearchColumns.Add(request["sSearch_" + i]);
                obj.bEscapeRegexColumns.Add(Convert.ToBoolean(request["bEscapeRegex_" + i]));
                obj.iSortCol.Add(Convert.ToInt32(request["iSortCol_" + i]));
                obj.sSortDir.Add(request["sSortDir_" + i]);
            }
            obj.iCurrentPage = (int)Math.Ceiling(((double)obj.iDisplayStart) / obj.iDisplayLength) + 1;
            return obj;
        }
    }
}