using System.Web.Mvc;

namespace MvcCms.Service.Validation
{
    public class ModelStateWrapper : IValidationDictionary
    {
        public ModelStateDictionary _modelState;

        public ModelStateWrapper()
            : this(new ModelStateDictionary())
        {
        }
        public ModelStateWrapper(ModelStateDictionary modelState)
        {
            _modelState = modelState;
        }

        #region IValidationDictionary Members

        public void AddError(string key, string errorMessage)
        {
            _modelState.AddModelError(key, errorMessage);
        }

        public bool IsValid
        {
            get { return _modelState.IsValid; }
        }

        #endregion
    }
}