﻿using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using System;
using MvcCms.Data;

namespace MvcCms.Store.ViewModels
{
    public partial class PaymentDataACHViewModel
    {
        [Required(ErrorMessage = "Your Name is required")]
        [DisplayName("Your Name On Account")]
        [StringLength(120)]
        public string Bank_Acct_Name { get; set; }

        [Required(ErrorMessage = "Routing Number Number is required")]
        [DisplayName("Routing Number")]
        [StringLength(9)]
        public string Bank_Aba_Code { get; set; }

        [Required(ErrorMessage = "Account Number is required")]
        [DisplayName("Account Number")]
        public string Bank_Acct_Num { get; set; }

        [Required(ErrorMessage = "Billing Zip Code is required")]
        [DisplayName("Billing Zip Code")]
        [StringLength(10)]
        public string Zip { get; set; }

        [ScaffoldColumn(false)]
        public string Bank_Acct_Type { get; set; }

        [ScaffoldColumn(false)]
        public string Bank_Name { get; set; }

        [ScaffoldColumn(false)]
        public int Echeck_Type { get; set; }

        [ScaffoldColumn(false)]
        public int Bank_Acct_Type2 { get; set; }

        [ScaffoldColumn(false)]
        public int PaymentDataID { get; set; }

        [ScaffoldColumn(false)]
        public string Title { get; set; }

        [ScaffoldColumn(false)]
        public int ARProfileID { get; set; }

        [ScaffoldColumn(false)]
        public Guid UserID { get; set; }

        [ScaffoldColumn(false)]
        public string Addr1 { get; set; }

        [ScaffoldColumn(false)]
        public string Addr2 { get; set; }

        [ScaffoldColumn(false)]
        public string City { get; set; }

        [ScaffoldColumn(false)]
        public int StateProvinceID { get; set; }

        [ScaffoldColumn(false)]
        public string StateName { get; set; }

        [ScaffoldColumn(false)]
        public string Tele { get; set; }

        [ScaffoldColumn(false)]
        public string Email { get; set; }

        [ScaffoldColumn(false)]
        public string DynamicFieldVal { get; set; }

        [ScaffoldColumn(false)]
        public string DynamicFieldVal2 { get; set; }

        [ScaffoldColumn(false)]
        public string BusinessName { get; set; }

        [ScaffoldColumn(false)]
        public string Last4 { get; set; }

        [ScaffoldColumn(false)]
        public DateTime CreateDate { get; set; }

        [ScaffoldColumn(false)]
        public DateTime EditDate { get; set; }

        [ScaffoldColumn(false)]
        public Guid CreatedBy { get; set; }

        [ScaffoldColumn(false)]
        public Guid EditedBy { get; set; }

        [ScaffoldColumn(false)]
        public DateTime LastAccessDate { get; set; }

        public virtual StateProvince StateProvince { get; set; }

        public virtual User Customer { get; set; }
    

    }
}
