using System.Web.Mvc;
using Castle.MicroKernel.Registration;
using Castle.MicroKernel.SubSystems.Configuration;
using Castle.Windsor;

namespace MvcCms.Web.Ioc.Installers
{
    public class MvcCmsStoreInstaller : IWindsorInstaller
	{
		#region IWindsorInstaller Members

		public void Install(IWindsorContainer container, IConfigurationStore store)
		{
            container.Register(AllTypes.FromAssemblyNamed("MvcCms.Store.Web")
                                .BasedOn<IController>()
                                .If(t => t.Name.EndsWith("Controller"))
                                .Configure((c => c.LifeStyle.Transient)));

            container.Register(AllTypes.FromAssemblyNamed("MvcCms.Store.Web")
                                .Where(t => t.Name.Equals("ShoppingCart"))
                                .Configure((c => c.LifeStyle.Transient)));

            container.Register(AllTypes.FromAssemblyNamed("MvcCms.Store.Service")
                                .Where(type => type.Name.EndsWith("Service"))
                                .WithService.DefaultInterface()
                                .Configure(c => c.LifeStyle.Transient));
		}

		#endregion
	}
}