(function($) {

    $.fn.tweet = function(o) {
        var s = {
            username: ["mvccms"],                   // [string]   required, unless you want to display our tweets. :) it can be an array, just do ["username1","username2","etc"]
            count: 3,                               // [integer]  how many tweets to display?
            intro_text: null,                       // [string]   do you want text BEFORE your your tweets?
            outro_text: null,                       // [string]   do you want text AFTER your tweets?
            loading_text: null,                     // [string]   optional loading text, displayed while tweets load
            query: null,                            // [string]   optional search query
            template: '"%text%" <a href="http://twitter.com/%user_screen_name%/status/%id%/">%time%</a>'
        };

        $.fn.extend({
            linkUrl: function() {
                var returning = [];
                var regexp = /((ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?)/gi;
                this.each(function() {
                    returning.push(this.replace(regexp, "<a href=\"$1\">$1</a>"))
                });
                return $(returning);
            },
            linkUser: function() {
                var returning = [];
                var regexp = /[\@]+([A-Za-z0-9-_]+)/gi;
                this.each(function() {
                    returning.push(this.replace(regexp, "<a href=\"http://twitter.com/$1\">@$1</a>"))
                });
                return $(returning);
            },
            linkHash: function() {
                var returning = [];
                var regexp = / [\#]+([A-Za-z0-9-_]+)/gi;
                this.each(function() {
                    returning.push(this.replace(regexp, ' <a href="http://search.twitter.com/search?q=&tag=$1&lang=all&from=' + s.username.join("%2BOR%2B") + '">#$1</a>'))
                });
                return $(returning);
            },
            makeHeart: function() {
                var returning = [];
                this.each(function() {
                    returning.push(this.replace(/[&lt;]+[3]/gi, "<tt class='heart'>&#x2665;</tt>"))
                });
                return $(returning);
            }
        });

        function relative_time(time_value) {
            var parsed_date = Date.parse(time_value);
            var relative_to = (arguments.length > 1) ? arguments[1] : new Date();
            var delta = parseInt((relative_to.getTime() - parsed_date) / 1000);
            if (delta < 60) {
                return 'less than a minute ago';
            } else if (delta < 120) {
                return 'about a minute ago';
            } else if (delta < (45 * 60)) {
                return (parseInt(delta / 60)).toString() + ' minutes ago';
            } else if (delta < (90 * 60)) {
                return 'about an hour ago';
            } else if (delta < (24 * 60 * 60)) {
                return 'about ' + (parseInt(delta / 3600)).toString() + ' hours ago';
            } else if (delta < (48 * 60 * 60)) {
                return '1 day ago';
            } else {
                return (parseInt(delta / 86400)).toString() + ' days ago';
            }
        }

        if (o) $.extend(s, o);
        return this.each(function() {
            var list = $('<ul class="tweet_list">').appendTo(this);
            var intro = '<p class="tweet_intro">' + s.intro_text + '</p>'
            var outro = '<p class="tweet_outro">' + s.outro_text + '</p>'
            var loading = $('<p class="loading">' + s.loading_text + '</p>');
            if (typeof (s.username) == "string") {
                s.username = [s.username];
            }
            var query = '';
            if (s.query) {
                query += 'q=' + s.query;
            }
            query += '&q=from:' + s.username.join('%20OR%20from:');
            var url = 'http://search.twitter.com/search.json?&' + query + '&rpp=' + s.count + '&callback=?';
            if (s.loading_text) $(this).append(loading);
            $.getJSON(url, function(data) {
                if (s.loading_text) loading.remove();
                if (s.intro_text) list.before(intro);
                
                // enumerate results
                $.each(data.results, function(i, item) {

                    // vars for template
                    // %user_screen_name% - username
                    // %text% - tweet text
                    // %avatar_url - url of avatar
                    // %id% - tweet id
                    // %time% - tweet time

                    var text = $([item.text]).linkUrl().linkUser().linkHash().makeHeart()[0];
                    var time = relative_time(item.created_at);
                    var avatar_url = item.profile_image_url;
                    var id = item.id;
                    var user_screen_name = item.from_user;

                    var entry = s.template.replace(/%text%/, text).replace(/%time%/, time).replace(/%id%/, id).replace(/%avatar_url%/, avatar_url).replace(/%user_screen_name%/, user_screen_name);

                    // until we create a template option, arrange the items below to alter a tweet's display.
                    list.append('<li>' + entry + '</li>');

                    list.children('li:first').addClass('tweet_first');
                    list.children('li:odd').addClass('tweet_even');
                    list.children('li:even').addClass('tweet_odd');
                });
                
                if (s.outro_text) list.after(outro);
            });

        });
    };
})(jQuery);