<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MvcCms.Web.ViewModels.BackOfficeModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    MvcCms -
    <%=ViewData["PageTitle"]%>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
    <style type="text/css">
        label.error
        {
            float: none;
            color: red;
            padding-left: .5em;
            vertical-align: top;
        }
    </style>    
    <script type="text/javascript" src="/scripts/MvcCmsImageManager.js"></script>
    <script type="text/javascript" src="/scripts/ckeditor/ckeditor.js"></script>
    <script src="/scripts/ckeditor.js" type="text/javascript"></script>
    <link href="/content/ckeditor.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
        var editor;
        function changeEnter() {
            // If we already have an editor, let's destroy it first.
            if (editor)
                editor.destroy(true);

            // Create the editor again, with the appropriate settings.
            editor = CKEDITOR.replace('HTML',
		    {
		        enterMode: Number(1),
		        shiftEnterMode: Number(2),
		        height: "230"
		    });
            MvcCmsImages.SetupCKEditor(editor);
        }
        window.onload = changeEnter;
        //]]>
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<div class="contentpage-outerdiv">
    <h2>
        <%=ViewData["PageTitle"]%></h2>
    <span class="field-validation-error">&nbsp;<%= Html.ValidationSummary("Create was unsuccessful. Please correct the errors and try again.") %>
    <%=ViewData["message"].ToString()%></span>
    <% using (Html.BeginForm("CreateModule", "BackOffice", FormMethod.Post, new { id = "form1" }))
       {%>
    <fieldset>
        <legend>Module Fields</legend>
        <p>
            <label for="TargetDiv">Is For Weighted Content</label>
            <%= Html.CheckBox("IsForWeightedContent", false, new { onclick = "ToggleTargetDiv();", autocomplete="off" })%>
        </p>
        <table id="visibility-settings">
            <tr>
                <td>
                    <label for="AllPages">
                        All Pages:</label>
                    <%= Html.RadioButton("AllPagesVal", "All", true, new {@class="required" })%>
                </td>
                <td>
                    <label for="Category">
                        Category:</label>
                    <%= Html.RadioButton("AllPagesVal", "Cat", false)%><%= Html.DropDownList("CategoryID")%>
                </td>
                <td>
                    <label for="Page">
                        Page:</label>
                    <%= Html.RadioButton("AllPagesVal", "Page", false)%><%= Html.DropDownList("ContentPageID")%>
                </td>
            </tr>
            <tr>
                <td colspan="3">
                    Choose either all pages or a single page or a single category for the module to
                    display on
                </td>
            </tr>
        </table>
        <p>
            <label for="Title">
                Title:</label>
            <%= Html.TextBox("Title", "", new { @class = "required" })%>
        </p>
        <div id="targetdiv-container">
            <p>
                <label for="TargetDiv">Target Div:</label>
                <%= Html.TextBox("TargetDiv", "")%>
            </p>
            <p>
                <label for="Body">
                    Ajax URL To Load:</label>
                <%= Html.TextBox("AjaxLoadURL")%>
                <%= Html.ValidationMessage("AjaxLoadURL", "", new {size="80" })%><br />
                <br /><%= Html.CheckBox("UseAjaxLoadURL")%>
                Use page loaded from Ajax
                <br />
                (If not checked HTML will be used, if checked HTML is ignored.)
            
            </p>
            <p>
                <label for="Summary">
                    GetScript:</label>
                <%= Html.TextBox("GetScript","", new {size="80" })%><br />
                If blank igored. If a path to a *.js file is entered the file will be loaded and
                executed.
                <%= Html.ValidationMessage("GetScript", "")%>
            </p>
        </div>
        <p>
            <label for="Summary">
                Description:</label>
            <%= Html.TextArea("Description")%>
            <%= Html.ValidationMessage("Description", "")%>
        </p>
        <p>
            <label for="HTML">
                HTML:</label>
            <%= Html.TextArea("HTML", "", new { @class = "mceEditor" })%>
            <%= Html.ValidationMessage("HTML", "")%>
        </p>
        <p>
            <label for="Body">
                Active:</label>
            <%= Html.CheckBox("Active")%>
            <%= Html.ValidationMessage("Active", "")%>
        </p>
        <p>
            <input type="button" onclick="SubmitForm();" value="Create" />
        </p>
    </fieldset>
    <% } %>
    <div>
        <%=Html.ActionLink("Back to List", "ManageModules")%>
    </div>
</div>     
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ScriptContent" runat="server">
    <script src="../../Scripts/jquery.validate.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        var isForWeightedContent = false;
        function SubmitForm() {                        
            if (isForWeightedContent) {
                $("#TargetDiv").val("weighted");                
            }
            else {
                var targetDivVal = $("#TargetDiv").val();
                if (!targetDivVal) {
                    alert("targetdiv is required");
                    return false;
                }                
            }
            $("#form1").submit();             
        }

        function ToggleTargetDiv() {
            if (isForWeightedContent) { isForWeightedContent = false; } else { isForWeightedContent = true; }
            $("#targetdiv-container").toggle();
            $("#visibility-settings").toggle();
        }     
    </script>
</asp:Content>
