<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MvcCms.Web.ViewModels.BackOfficeModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    MvcCms -
    <%=ViewData["PageTitle"]%>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
    <style type="text/css">
        label.error
        {
            float: none;
            color: red;
            padding-left: .5em;
            vertical-align: top;
        }
    </style>
    <script type="text/javascript" src="/scripts/MvcCmsImageManager.js"></script>
    <script type="text/javascript" src="/scripts/ckeditor/ckeditor.js"></script>
    <script src="/scripts/ckeditor.js" type="text/javascript"></script>
    <link href="/content/ckeditor.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
        var editor;
        function changeEnter() {
            // If we already have an editor, let's destroy it first.
            if (editor)
                editor.destroy(true);

            // Create the editor again, with the appropriate settings.
            editor = CKEDITOR.replace('HTML',
		    {
		        enterMode: Number(1),
		        shiftEnterMode: Number(2),
		        height: "230"
		    });
            MvcCmsImages.SetupCKEditor(editor);
        }
        window.onload = changeEnter;
        //]]>
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<%
    var existingSettings = Model._Module.WeightedContentsSettings.FirstOrDefault();
    string existingShowOnlyForRoles = "";
    bool hideIfAuthenticated = false;
    string transitionShowEffect = "";
    string transitionHideEffect = "";
    int hideDuration = 0;
    int showDuration = 0;
    int weight = 0;
    if (existingSettings != null)
    {
        hideIfAuthenticated = existingSettings.HideIfAuthenticated;
        transitionShowEffect = existingSettings.TransitionShowEffect;
        transitionHideEffect = existingSettings.TransitionHideEffect;
        hideDuration = existingSettings.HideDuration;
        showDuration = existingSettings.ShowDuration;
        weight = existingSettings.Weight;
        foreach (var role in Model._Module.WeightedContentsSettings.FirstOrDefault().AllowedRoles)
        {
            if (existingShowOnlyForRoles == "")
            {
                existingShowOnlyForRoles += role.LoweredRoleName;
            }
            else
            {
                existingShowOnlyForRoles += "," + role.LoweredRoleName;
            }
        }
    }
%>
<div class="contentpage-outerdiv">
    <span class="field-validation-error">&nbsp;<%=ViewData["message"].ToString()%></span>
    <% using (Html.BeginForm("EditModule", "BackOffice", FormMethod.Post, new { id = "form1" }))
       {%>
    <%
        bool iscattype = false;
        if (Model._Module.ContentCategory != null)
        {
            iscattype = true;
        }
        bool ispagetype = false;
        if (Model._Module.ContentPage != null)
        {
            ispagetype = true;
        }           
    %>
    <fieldset>
        <legend>Edit Module</legend>        
        <p>
            <label for="Title">
                Title:</label>
            <%= Html.TextBox("Title", Model._Module.Title, new { @class = "required" })%>
            <%= Html.ValidationMessage("Title", "")%>
        </p>
        <div>
    <%
           if (!Model._Module.IsForWeightedContent)
           {    
    %>
            <div>
                <table>
                <tr>
                    <td>
                        <label for="AllPages">
                            All Pages:</label>
                        <%= Html.RadioButton("allPagesValue", "All", Model._Module.AllPages)%>
                    </td>
                    <td>
                        <label for="Category">
                            Category:</label>
                        <%= Html.RadioButton("allPagesValue", "Cat", iscattype)%><%= Html.DropDownList("CategoryID")%>
                    </td>
                    <td>
                        <label for="Page">
                            Page:</label>
                        <%= Html.RadioButton("allPagesValue", "Page", ispagetype)%><%= Html.DropDownList("ContentPageID")%>
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        Choose either all pages or a single page or a single category for the module to
                        display on
                    </td>
                </tr>
            </table>
                <p>
                    <label for="TargetDiv">
                        Target Div:</label>
                    <%= Html.TextBox("TargetDiv", Model._Module.TargetDiv, new { @class = "required" })%>
                    <%= Html.ValidationMessage("TargetDiv", "")%>
                </p>
                <p>
                    <label for="Body">
                        Ajax URL To Load:</label>
                    <%= Html.TextBox("AjaxLoadURL", Model._Module.AjaxLoadURL, new {size="80" })%>
                    <br />
                    <%= Html.CheckBox("UseAjaxLoadURL", Model._Module.UseAjaxLoadURL)%>
                    Use page loaded from Ajax
                    <br />
                    (If not checked html will be used, If checked html is ignored.)
                    <%= Html.ValidationMessage("AjaxLoadURL")%>
                </p>
                <p>
                    <label for="Summary">
                        GetScript:</label>
                    <%= Html.TextBox("GetScript", Model._Module.GetScript, new {size="80" })%><br />
                    If blank igored. If a path to a *.js file is entered the file will be loaded and
                    executed.
                    <%= Html.ValidationMessage("GetScript", "")%>
                </p>
            </div>

    <%
           }
           else
           {    
    %>
	        <div>
                <p>
                <label for="WeightedContentID">Weighted ContentID:</label>
                <%= Html.DropDownList("WeightedContentID")%>
                </p><p>
                <label for="TransitionHideEffect">Transition Hide Effect:</label>
                <%= Html.TextBox("TransitionHideEffect", transitionHideEffect)%>
                </p><p>
                <label for="TransitionShowEffect">Transition Show Effect:</label>
                <%= Html.TextBox("TransitionShowEffect", transitionShowEffect)%>
                </p><p>
                <label for="HideDuration">Hide Duration:</label>
                <%= Html.TextBox("HideDuration", hideDuration)%>
                </p><p>
                <label for="ShowDuration">Show Duration:</label>
                <%= Html.TextBox("ShowDuration", showDuration)%>
                </p><p>
                <label for="HideIfAuthenticated">Hide If Authenticated:</label>
                <%=Html.CheckBox("HideIfAuthenticated", hideIfAuthenticated, new { onclick = "ShowOnlyRolesToggle();" })%>
                </p><p id="showOnlyForRolesContainer">
                <label for="ShowOnlyForRoles">ShowOnlyForRoles: (enter role names seperated by comma)</label>
                <%=Html.TextBox("AllowedRoles", existingShowOnlyForRoles)%>
                </p><p>                          
                <label for="weight">Weight</label>
                <%=Html.TextBox("Weight", weight)%>
                </p>
            </div>
    <%
           }
    %>
        </div>
        <p>
            <label for="Summary">
                Description:</label>
            <%= Html.TextArea("Description", Model._Module.Description)%>
            <%= Html.ValidationMessage("Description", "")%>
        </p>
        <p>
            <label for="HTML">
                HTML:</label>
            <%= Html.TextArea("HTML", Model._Module.HTML, new { @class = "mceEditor" })%>
            <%= Html.ValidationMessage("HTML", "")%>
        </p>
        <p>
            <label for="Body">
                Active:</label>
            <%= Html.CheckBox("Active", Model._Module.Active)%>
            <%= Html.ValidationMessage("Active", "")%>
        </p>
        <p>
            <input type="submit" value="Save" />
        </p>
        <%=Html.Hidden("ModuleID", Model._Module.ModuleID) %>
        <%=Html.Hidden("IsForWeightedContent", Model._Module.IsForWeightedContent)%>
        <%=Html.Hidden("Importance", Model._Module.Importance) %>
    </fieldset>
    <% } %>
    <div>
        <%=Html.ActionLink("Back to List", "ManageModules") %>
    </div>
</div>     
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ScriptContent" runat="server">
    <script src="../../Scripts/jquery.validate.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $("#form1").validate();
        function ShowOnlyRolesToggle() {
            $("#showOnlyForRolesContainer").toggle();
        }
    </script>
</asp:Content>
