<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IEnumerable<ContentCategory>>" %>
<%@ Import Namespace="MvcCms.Service.Helpers"%>
<%@ Import Namespace="MvcCms.Data"%>

<%
    var baseUrl = Session["baseUrl"];
    foreach (var category in Model)
    {
        //if there is no parent make sure that it is meant to be shown in nav
        if (category.ParentCategory != null || (category.ParentCategory == null && category.ShowInNav))
        {
%>
            <url>
                <loc><%=Html.Encode(baseUrl + category.Path)%></loc> 
                <changefreq>daily</changefreq> 
                <priority>0.85</priority> 
            </url>

<%
            foreach (var subPage in category.ContentPages.Where(page=>page.IsSubPage.Equals(true)))
            {
                if (subPage.Approved)
                {
%>
                <url>
                <loc><%=Html.Encode(baseUrl + category.Path + "/" + subPage.Path)%></loc> 
                <changefreq>daily</changefreq> 
                <priority>0.75</priority> 
                </url>   
<%
                }
            }                
%>

<%
            if (category.SubCategories.Count > 0)
            {
%>
                <%Html.RenderPartial("ControlsSiteMap/SiteMapControl", category.SubCategories);%>
<%
            }
%>
<%
        }
    }
%>
