-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.45-community


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema mvccms_ways
--

CREATE DATABASE IF NOT EXISTS mvccms_ways;
USE mvccms_ways;

--
-- Temporary table structure for view `vw_contentcomments`
--
DROP TABLE IF EXISTS `vw_contentcomments`;
DROP VIEW IF EXISTS `vw_contentcomments`;
CREATE TABLE `vw_contentcomments` (
  `CommentID` int(11),
  `AddedDate` datetime,
  `AddedByID` char(36),
  `AddedByAnonEmail` varchar(256),
  `AddedByIP` varchar(15),
  `ContentPageID` int(11),
  `Body` longtext,
  `AddedByAnonName` varchar(256),
  `Username` varchar(50),
  `UserID` char(36),
  `Email` varchar(100),
  `ParentCommentID` int(11)
);

--
-- Temporary table structure for view `vw_contentpages4editor`
--
DROP TABLE IF EXISTS `vw_contentpages4editor`;
DROP VIEW IF EXISTS `vw_contentpages4editor`;
CREATE TABLE `vw_contentpages4editor` (
  `ContentPageID` int(11),
  `AddedDate` datetime,
  `ContributorID` char(36),
  `AddedByID` char(36),
  `CategoryID` int(11),
  `Title` varchar(256),
  `Path` varchar(256),
  `Summary` varchar(4000),
  `Body` longtext,
  `ReleaseDate` datetime,
  `ExpireDate` datetime,
  `Approved` tinyint(1),
  `Listed` tinyint(1),
  `CommentsEnabled` tinyint(1),
  `OnlyForMembers` tinyint(1),
  `ViewCount` int(11),
  `Votes` int(11),
  `TotalRating` int(11),
  `IsCurrentVersion` tinyint(1),
  `ContributorName` varchar(50),
  `CatName` varchar(256),
  `IsSubPage` tinyint(1),
  `PortalID` int(11),
  `UseWikiMarkup` tinyint(1),
  `AltLanguageForPageID` int(11),
  `UpdateDate` datetime,
  `Description` varchar(1100),
  `LanguageID` int(11),
  `Importance` int(11),
  `AnonCommentsEnabled` tinyint(1),
  `OnlyForPayingMembers` tinyint(1)
);

--
-- Temporary table structure for view `vw_contributors`
--
DROP TABLE IF EXISTS `vw_contributors`;
DROP VIEW IF EXISTS `vw_contributors`;
CREATE TABLE `vw_contributors` (
  `Username` varchar(50),
  `UserID` char(36),
  `PortalID` int(11)
);

--
-- Temporary table structure for view `vw_modules`
--
DROP TABLE IF EXISTS `vw_modules`;
DROP VIEW IF EXISTS `vw_modules`;
CREATE TABLE `vw_modules` (
  `ModuleID` int(11),
  `Title` varchar(50),
  `Description` varchar(350),
  `ContentPageID` int(11),
  `ContentCategoryID` int(11),
  `AjaxLoadURL` varchar(550),
  `Active` tinyint(1),
  `Importance` int(11),
  `AddedDate` datetime,
  `AllPages` tinyint(1),
  `TargetDiv` varchar(50),
  `HTML` longtext,
  `UseAjaxLoadURL` tinyint(1),
  `GetScript` varchar(150),
  `PortalID` int(11)
);

--
-- Temporary table structure for view `vw_pages`
--
DROP TABLE IF EXISTS `vw_pages`;
DROP VIEW IF EXISTS `vw_pages`;
CREATE TABLE `vw_pages` (
  `ContentPageID` int(11),
  `AddedDate` datetime,
  `ContributorID` char(36),
  `AddedByID` char(36),
  `CategoryID` int(11),
  `Title` varchar(256),
  `Path` varchar(256),
  `Summary` varchar(4000),
  `Body` longtext,
  `ReleaseDate` datetime,
  `ExpireDate` datetime,
  `Approved` tinyint(1),
  `Listed` tinyint(1),
  `CommentsEnabled` tinyint(1),
  `OnlyForMembers` tinyint(1),
  `ViewCount` int(11),
  `Votes` int(11),
  `TotalRating` int(11),
  `IsCurrentVersion` tinyint(1),
  `IsSubPage` tinyint(1),
  `OnlyForPayingMembers` tinyint(1),
  `AnonCommentsEnabled` tinyint(1),
  `Importance` int(11),
  `Description` varchar(1100),
  `CatTitle` varchar(256),
  `UpdateDate` datetime,
  `AltLanguageForPageID` int(11),
  `LanguageID` int(11),
  `LangPathID` varchar(5),
  `UseWikiMarkup` tinyint(1),
  `PortalID` int(11),
  `ShowContributorLink` tinyint(1)
);

--
-- Temporary table structure for view `vw_paths`
--
DROP TABLE IF EXISTS `vw_paths`;
DROP VIEW IF EXISTS `vw_paths`;
CREATE TABLE `vw_paths` (
  `path` varchar(256),
  `src` varchar(2)
);

--
-- Temporary table structure for view `vw_posts`
--
DROP TABLE IF EXISTS `vw_posts`;
DROP VIEW IF EXISTS `vw_posts`;
CREATE TABLE `vw_posts` (
  `PostID` int(11),
  `EditDate` datetime,
  `AddedDate` datetime,
  `UserID` char(36),
  `AddedByIP` char(15),
  `ForumID` int(11),
  `ParentPostID` int(11),
  `Title` varchar(256),
  `Path` varchar(256),
  `Body` longtext,
  `Approved` tinyint(1),
  `Closed` tinyint(1),
  `VoteCount` int(11),
  `ViewCount` int(11),
  `ReplyCount` int(11),
  `LastPostByID` char(36),
  `LastPostDate` datetime,
  `ReplyNumber` int(11),
  `IsAnswer` tinyint(1),
  `IsAnswered` tinyint(1)
);

--
-- Temporary table structure for view `vw_socialmessages`
--
DROP TABLE IF EXISTS `vw_socialmessages`;
DROP VIEW IF EXISTS `vw_socialmessages`;
CREATE TABLE `vw_socialmessages` (
  `MessageID` int(11),
  `FromUserID` char(36),
  `ToUserID` char(36),
  `MessageTypeID` int(11),
  `ImageID` int(11),
  `Body` longtext,
  `AddedDate` datetime,
  `ParentMessageID` int(11),
  `FromUsername` varchar(50),
  `ToUsername` varchar(50),
  `TheirPic` varchar(128),
  `ElapsedTime` char(0)
);

--
-- Temporary table structure for view `vw_subcategories`
--
DROP TABLE IF EXISTS `vw_subcategories`;
DROP VIEW IF EXISTS `vw_subcategories`;
CREATE TABLE `vw_subcategories` (
  `CategoryID` int(11),
  `ParentCategoryID` int(11),
  `Title` varchar(256),
  `Path` varchar(256),
  `ParentPath` varchar(256),
  `Importance` int(11),
  `PortalID` int(11)
);

--
-- Temporary table structure for view `vw_usersroles`
--
DROP TABLE IF EXISTS `vw_usersroles`;
DROP VIEW IF EXISTS `vw_usersroles`;
CREATE TABLE `vw_usersroles` (
  `UserID` char(36),
  `Username` varchar(50),
  `RoleName` varchar(256)
);

--
-- Definition of table `contentcategories`
--

DROP TABLE IF EXISTS `contentcategories`;
CREATE TABLE `contentcategories` (
  `CategoryID` int(11) NOT NULL AUTO_INCREMENT,
  `AddedDate` datetime NOT NULL,
  `AddedByID` char(36) NOT NULL,
  `Title` varchar(256) NOT NULL,
  `Path` varchar(256) NOT NULL,
  `Importance` int(11) NOT NULL,
  `Description` varchar(4000) DEFAULT NULL,
  `ShowInNav` tinyint(1) NOT NULL,
  `ParentCategoryID` int(11) DEFAULT NULL,
  `OnlyForMembers` tinyint(1) DEFAULT NULL,
  `OnlyForPayingMembers` tinyint(1) DEFAULT NULL,
  `RequireSSL` tinyint(1) DEFAULT NULL,
  `SinglePath` varchar(256) NOT NULL,
  `NumberOfParents` int(11) DEFAULT NULL,
  `ParentList` varchar(70) DEFAULT NULL,
  `PortalID` int(11) NOT NULL,
  `UsesCustomAreaRoute` tinyint(1) NOT NULL,
  PRIMARY KEY (`CategoryID`),
  KEY `FK_ContentCategories_ContentCategoriesIdx` (`ParentCategoryID`),
  KEY `FK_ContentCategories_ContentCategoriesIdx2` (`CategoryID`),
  KEY `FK_ContentCategories_PortalsIdx` (`PortalID`),
  KEY `FK_ContentCategories_UsersIdx` (`AddedByID`),
  CONSTRAINT `FK_ContentCategories_ContentCategories` FOREIGN KEY (`ParentCategoryID`) REFERENCES `contentcategories` (`CategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ContentCategories_Portals` FOREIGN KEY (`PortalID`) REFERENCES `portals` (`PortalID`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_ContentCategories_Users` FOREIGN KEY (`AddedByID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=222 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contentcategories`
--

/*!40000 ALTER TABLE `contentcategories` DISABLE KEYS */;
INSERT INTO `contentcategories` (`CategoryID`,`AddedDate`,`AddedByID`,`Title`,`Path`,`Importance`,`Description`,`ShowInNav`,`ParentCategoryID`,`OnlyForMembers`,`OnlyForPayingMembers`,`RequireSSL`,`SinglePath`,`NumberOfParents`,`ParentList`,`PortalID`,`UsesCustomAreaRoute`) VALUES 
 (1,'2009-02-14 00:00:00','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','Home','home',1,'The homepage of the site',1,NULL,0,NULL,NULL,'home',0,NULL,1,0),
 (101,'2009-08-22 09:32:11','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','CMS Info','cms',2,'Description of a content management system.',1,NULL,0,NULL,NULL,'cms',0,NULL,1,0),
 (104,'2009-08-22 09:34:24','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','Developers','developers',5,'Page that describes how the system is coded and the benefit to developers. ',1,NULL,0,NULL,NULL,'developers',0,NULL,1,0),
 (105,'2009-08-22 09:35:29','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','Contact','faq/contact-us',1,'Page that tells how to contact the site. ',0,128,0,NULL,NULL,'contact-us',1,',128,',1,0),
 (107,'2009-08-22 09:36:43','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','SubCategories','cms/cms-subcategory',1,'SubCategory Under CMS ',0,101,0,NULL,NULL,'cms-subcategory',1,',101,',1,0),
 (108,'2009-08-22 09:37:32','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','CMS Editor','cms/cms-editor',2,'Ajax enabled cms editor.',0,101,0,NULL,NULL,'cms-editor',1,',101,',1,0),
 (109,'2009-08-22 11:32:23','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','Search','site-search',6,'Search page for the site.',0,NULL,0,NULL,NULL,'site-search',0,NULL,1,0),
 (110,'2009-08-22 14:54:26','86A6FCCB-A07A-4985-9B22-66F557DA3946','Home','home',1,'The homepage of the site',1,NULL,0,NULL,NULL,'home',0,NULL,13,0),
 (128,'2009-08-24 13:37:11','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','FAQ','faq',4,'',1,NULL,0,NULL,NULL,'faq',0,NULL,1,0),
 (137,'2009-08-26 10:29:52','4AC5E351-92FF-43CC-A314-89DA9B4615F7','Articles','articles',2,'',1,NULL,0,NULL,NULL,'articles',0,NULL,13,0),
 (141,'2009-08-26 10:32:21','4AC5E351-92FF-43CC-A314-89DA9B4615F7','Links','links',4,'',1,NULL,0,NULL,NULL,'links',0,NULL,13,0),
 (143,'2009-08-26 10:58:04','4AC5E351-92FF-43CC-A314-89DA9B4615F7','Search','site-search',6,'',0,NULL,0,NULL,NULL,'site-search',0,NULL,13,0),
 (144,'2009-09-02 02:32:06','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','Forums','forums',3,'',1,NULL,0,NULL,NULL,'forums',0,NULL,1,1),
 (145,'2009-09-02 03:15:44','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','Setup','forums/setup-and-getting-started',1,'',0,144,0,NULL,NULL,'setup-and-getting-started',1,',144,',1,1),
 (146,'2009-09-02 03:18:12','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','Issues','forums/enhancements-and-bugs',2,'',0,144,0,NULL,NULL,'enhancements-and-bugs',1,',144,',1,1),
 (147,'2009-09-02 11:55:02','4AC5E351-92FF-43CC-A314-89DA9B4615F7','Forums','forums',7,'Sandbox Forums',1,NULL,0,NULL,NULL,'forums',0,NULL,13,1),
 (148,'2009-09-03 10:25:52','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','Developers','forums/developers',9,'',0,144,0,NULL,NULL,'developers',0,',144,',1,1),
 (159,'2009-11-12 17:57:27','86A6FCCB-A07A-4985-9B22-66F557DA3946','Home','home',1,'RSC Consulting Home page',1,NULL,0,NULL,NULL,'home',0,NULL,14,0),
 (160,'2009-11-12 18:14:25','FAE20E37-2999-4CB4-B27A-83A77680FF56','Articles','articles',2,'',1,NULL,NULL,NULL,NULL,'articles',0,NULL,14,0),
 (161,'2009-11-12 18:14:41','FAE20E37-2999-4CB4-B27A-83A77680FF56','Services','services',3,'',1,NULL,NULL,NULL,NULL,'services',0,NULL,14,0),
 (162,'2009-11-12 18:15:02','FAE20E37-2999-4CB4-B27A-83A77680FF56','About','about',4,'',1,NULL,NULL,NULL,NULL,'about',0,NULL,14,0),
 (163,'2009-11-12 18:17:23','FAE20E37-2999-4CB4-B27A-83A77680FF56','Contact Us','contact-us',5,'',1,NULL,NULL,NULL,NULL,'contact-us',0,NULL,14,0),
 (164,'2009-11-12 22:09:33','FAE20E37-2999-4CB4-B27A-83A77680FF56','Site Search','site-search',6,'',0,NULL,NULL,NULL,NULL,'site-search',0,NULL,14,0),
 (165,'2009-11-12 22:33:03','86A6FCCB-A07A-4985-9B22-66F557DA3946','Home','home',1,'Sandbox Home page',1,NULL,0,NULL,NULL,'home',0,NULL,15,0),
 (166,'2009-11-12 22:43:39','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','Links','links',3,'',1,NULL,NULL,NULL,NULL,'links',0,NULL,15,0),
 (168,'2009-11-12 22:44:10','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','Forums','forums',5,'',1,NULL,NULL,NULL,NULL,'forums',0,NULL,15,1),
 (169,'2009-11-12 22:44:24','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','Systems','systems',4,'',1,NULL,NULL,NULL,NULL,'systems',0,NULL,15,0),
 (170,'2009-11-16 11:25:31','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','Site Search','site-search',6,'',0,NULL,0,NULL,NULL,'site-search',0,NULL,15,0),
 (174,'2009-11-25 05:38:27','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','Shows','shows',2,'Shows',1,NULL,0,NULL,NULL,'shows',0,NULL,15,0),
 (175,'2009-11-25 05:39:00','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','Reality','shows/reality',2,'Reality',0,174,NULL,NULL,NULL,'reality',0,',174,',15,0),
 (176,'2009-11-25 05:39:29','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','Fiction','shows/fiction',1,'Fiction',0,174,NULL,NULL,NULL,'fiction',0,',174,',15,0),
 (179,'2009-12-04 01:24:25','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','Wiki','wiki',7,'wiki category',1,NULL,NULL,NULL,NULL,'wiki',0,NULL,1,1),
 (180,'2009-12-04 01:40:10','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','Wiki','wiki',7,'wiki sandbox ',1,NULL,0,NULL,NULL,'wiki',0,NULL,15,1),
 (181,'2009-12-04 02:47:05','CE17F970-1405-4047-9163-EF5546890774','Wiki','wiki',8,'wiki cat',1,NULL,0,NULL,NULL,'wiki',0,NULL,13,1),
 (183,'2009-12-05 22:03:18','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','Science Fiction','shows/fiction/science',10,'Category For Science Fiction.',0,176,0,NULL,NULL,'science',0,',174,176,',15,0),
 (184,'2009-12-05 22:07:33','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','Battle Star Galactica','shows/fiction/science/bsg',9,'battle star galactica category',0,183,0,NULL,NULL,'bsg',0,',174,176,183,',15,0),
 (210,'2010-02-15 17:43:16','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','a','a',11,'a',0,NULL,0,NULL,NULL,'a',0,NULL,15,0),
 (211,'2010-03-10 00:01:36','86A6FCCB-A07A-4985-9B22-66F557DA3946','Home','home',1,'GardenClub Home page',1,NULL,0,NULL,NULL,'home',0,NULL,16,0),
 (213,'2010-03-10 11:31:22','0030F4EE-3FD0-4345-AFFD-6DFBC8A95907','site search','site-search',2,'site search for gardenclub',0,NULL,NULL,NULL,NULL,'site-search',0,NULL,16,0),
 (214,'2010-03-12 04:12:46','61C44375-6B77-4506-8B55-94AB750A273E','Route','route',12,'Geographical Route ',0,NULL,0,NULL,NULL,'route',0,NULL,15,0),
 (215,'2010-03-12 10:13:02','61C44375-6B77-4506-8B55-94AB750A273E','Another Page','another-page',13,'This is a new page',1,NULL,NULL,NULL,NULL,'another-page',0,NULL,15,0),
 (216,'2010-03-15 14:10:36','61C44375-6B77-4506-8B55-94AB750A273E','testTitle','testtitle',14,'testing this stuff',1,NULL,0,NULL,NULL,'testtitle',0,NULL,15,0),
 (217,'2010-04-09 15:09:59','86A6FCCB-A07A-4985-9B22-66F557DA3946','Home','home',1,'CMSBoatworks Home page',1,NULL,0,NULL,NULL,'home',0,NULL,17,0),
 (219,'2010-09-30 03:27:22','86A6FCCB-A07A-4985-9B22-66F557DA3946','Home','home',1,'MvcCms Sandbox Home page',1,NULL,0,NULL,NULL,'home',0,NULL,18,0),
 (221,'2010-09-30 15:28:55','6CB89CC3-61FF-4D6B-8947-BAF8846A20E9','New','new',2,'new category',1,NULL,NULL,NULL,NULL,'new',0,NULL,18,0);
/*!40000 ALTER TABLE `contentcategories` ENABLE KEYS */;


--
-- Definition of table `contentcomments`
--

DROP TABLE IF EXISTS `contentcomments`;
CREATE TABLE `contentcomments` (
  `CommentID` int(11) NOT NULL AUTO_INCREMENT,
  `AddedDate` datetime NOT NULL,
  `AddedByID` char(36) NOT NULL,
  `AddedByAnonEmail` varchar(256) DEFAULT NULL,
  `AddedByIP` varchar(15) NOT NULL,
  `ContentPageID` int(11) NOT NULL,
  `Body` longtext NOT NULL,
  `AddedByAnonName` varchar(256) DEFAULT NULL,
  `Approved` tinyint(1) NOT NULL,
  `ParentCommentID` int(11) DEFAULT NULL,
  PRIMARY KEY (`CommentID`),
  KEY `FK_ContentComments_ContentCommentsIdx` (`ParentCommentID`),
  KEY `FK_ContentComments_ContentCommentsIdx2` (`CommentID`),
  KEY `FK_ContentComments_ContentPagesIdx` (`ContentPageID`),
  KEY `FK_ContentComments_UsersIdx` (`AddedByID`),
  CONSTRAINT `FK_ContentComments_ContentComments` FOREIGN KEY (`ParentCommentID`) REFERENCES `contentcomments` (`CommentID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ContentComments_ContentPages` FOREIGN KEY (`ContentPageID`) REFERENCES `contentpages` (`ContentPageID`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_ContentComments_Users` FOREIGN KEY (`AddedByID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=257 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contentcomments`
--

/*!40000 ALTER TABLE `contentcomments` DISABLE KEYS */;
INSERT INTO `contentcomments` (`CommentID`,`AddedDate`,`AddedByID`,`AddedByAnonEmail`,`AddedByIP`,`ContentPageID`,`Body`,`AddedByAnonName`,`Approved`,`ParentCommentID`) VALUES 
 (144,'2009-10-19 22:38:50','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','','65.255.140.21',9,'Welcome to the site.  Let us know what you think.','',1,NULL),
 (145,'2009-10-30 18:51:42','59B4AC45-F8EC-45B6-B986-B68C8367FF32','geirsi@gmail.com','212.30.195.3',9,'Promising stuff. Far more MVC than Oxite :) Minor this is ... that the layout and css is a complete mess (I decided to start from zero rather than try to mess with the existing stuff)  Looking forward to some kind of blog functionality for news as it is the heartbeat of the sites I\'m working on.','Geir',1,NULL),
 (148,'2009-10-31 17:13:49','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','','65.255.140.21',9,'CSS and layout is not my specialty if you haven\'t noticed.  If anyone would like to contribute a default skin that uses design best practices please do.  It need not be anything fancy but honestly I don\'t know best practices for layout and it is pretty late in my career to try to keep up with design as well as everything do to with all the rest of a website. \n\nI have always had a design department to make the layout for me but this project is homegrown and I don\'t have a design department handy.\n','',1,145),
 (149,'2009-10-31 17:17:38','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','','65.255.140.21',9,'I am holding back on the ecommerce and blog functionality to put it in an area mvc 2.0 architecture.  I have converted the project to the MVC 2.0 latest release and have a start on this but it will probably be a few months.  I could go ahead and put together the database tables and basic crud for blog if you wanted to do the front end.  \n\nI could put the backend together in a way it would be easy to throw into an 2.0 area project later when that was out.  Right now the forum was as far as I went with what will be area plugins and it is pretty embryonic but does have some unique features.','',1,145),
 (150,'2009-11-12 22:49:25','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',NULL,'65.255.140.21',271,'test 1...','f062f5ef-88d0-46cc-9ea1-1e984b0069ab',1,NULL),
 (151,'2009-11-14 08:51:50','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','81.232.8.92',271,'mjau....','',1,NULL),
 (152,'2009-11-17 13:02:39','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',NULL,'190.193.92.34',271,'test2','f062f5ef-88d0-46cc-9ea1-1e984b0069ab',1,NULL),
 (153,'2009-11-20 11:40:31','13EFC150-87CB-46A2-A6C5-8B83294CCC72','','80.91.187.106',271,'test','',1,NULL),
 (154,'2009-11-20 11:40:43','13EFC150-87CB-46A2-A6C5-8B83294CCC72','','80.91.187.106',271,'how to logon as admin?','',1,NULL),
 (155,'2009-11-20 13:50:31','C73483E0-D5EB-46BF-8EAD-FA5B4C11FAD7','','201.86.237.133',271,'teste','',1,NULL),
 (156,'2009-11-20 13:50:37','C73483E0-D5EB-46BF-8EAD-FA5B4C11FAD7','','201.86.237.133',271,'teste','',1,155),
 (157,'2009-11-20 13:50:43','C73483E0-D5EB-46BF-8EAD-FA5B4C11FAD7','','201.86.237.133',271,'teste','',1,156),
 (158,'2009-12-01 04:46:10','59B4AC45-F8EC-45B6-B986-B68C8367FF32','czjone@126.com','125.70.133.5',275,'czjone@126.com','czjone',1,NULL),
 (159,'2009-12-01 04:46:20','59B4AC45-F8EC-45B6-B986-B68C8367FF32',NULL,'125.70.133.5',275,'czjone@126.co','f062f5ef-88d0-46cc-9ea1-1e984b0069ab',1,NULL),
 (160,'2009-12-01 04:58:22','59B4AC45-F8EC-45B6-B986-B68C8367FF32','','218.107.16.212',271,'test','my',1,NULL),
 (161,'2009-12-01 15:27:40','61C44375-6B77-4506-8B55-94AB750A273E','','167.92.115.10',271,'test to your test','',1,151),
 (162,'2009-12-01 15:28:30','61C44375-6B77-4506-8B55-94AB750A273E','','167.92.115.10',271,'test to test to your test','',1,161),
 (163,'2009-12-02 03:14:43','59B4AC45-F8EC-45B6-B986-B68C8367FF32','Joost@bananas.com','194.151.67.70',271,'Nice','Joost',1,NULL),
 (164,'2009-12-06 14:51:21','59B4AC45-F8EC-45B6-B986-B68C8367FF32','','85.172.72.37',275,'YAmama!!','',1,NULL),
 (165,'2009-12-06 17:38:59','59B4AC45-F8EC-45B6-B986-B68C8367FF32','tester@test.com','91.124.51.134',271,'Lets take a closer look.......','Tester',1,NULL),
 (166,'2009-12-06 17:41:03','59B4AC45-F8EC-45B6-B986-B68C8367FF32','tester@test.com','91.124.51.134',271,'Once again...','Tester',1,NULL),
 (167,'2009-12-06 17:41:04','59B4AC45-F8EC-45B6-B986-B68C8367FF32','tester@test.com','91.124.51.134',271,'Once again...','Tester',1,NULL),
 (168,'2009-12-06 17:41:15','59B4AC45-F8EC-45B6-B986-B68C8367FF32','tester@test.com','91.124.51.134',271,'Impressed','Tester',1,NULL),
 (169,'2009-12-11 02:15:51','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','65.255.140.21',275,'MAmamma??\n\nYOmamma!!','',1,164),
 (170,'2009-12-11 07:16:49','D428A644-4A0A-4AE5-A525-FA1A484A0156','','77.66.220.133',271,'testttststst','',1,161),
 (173,'2009-12-15 08:01:11','B16C5723-3F10-4033-9515-C7BDAD63318F','','78.86.225.3',271,'test','',1,NULL),
 (174,'2009-12-17 12:40:10','59B4AC45-F8EC-45B6-B986-B68C8367FF32','sfsdfsdf','155.223.77.177',271,'sdfsdfs','dsfs',1,NULL),
 (175,'2009-12-17 12:40:16','59B4AC45-F8EC-45B6-B986-B68C8367FF32','sfsdfsdf','155.223.77.177',271,'ergtrrerthyythryt','dsfs',1,NULL),
 (176,'2009-12-17 12:40:41','59B4AC45-F8EC-45B6-B986-B68C8367FF32','sdfsdfs','155.223.77.177',278,'dfsdfsdf','dcsdfsd',1,NULL),
 (177,'2009-12-18 08:05:24','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','83.152.76.16',271,'Hello from Paris, France !!','',1,NULL),
 (178,'2009-12-19 02:08:56','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','65.255.140.21',271,'Helloooo Paris France!!','',1,177),
 (180,'2010-01-01 12:26:22','59B4AC45-F8EC-45B6-B986-B68C8367FF32','sffsg','94.194.135.164',275,'<p>dfssgfgsfg</p>','sdfg',1,NULL),
 (181,'2010-01-08 06:02:51','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','122.160.216.42',271,'<p>hi everybody, </p>','',1,NULL),
 (182,'2010-01-08 06:03:22','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','122.160.216.42',271,'<p></p>','',1,178),
 (183,'2010-01-08 06:03:28','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','122.160.216.42',271,'<p></p>','',1,178),
 (184,'2010-01-08 06:03:28','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','122.160.216.42',271,'<p></p>','',1,178),
 (185,'2010-01-08 06:03:28','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','122.160.216.42',271,'<p></p>','',1,178),
 (186,'2010-01-09 08:09:26','61C44375-6B77-4506-8B55-94AB750A273E','','204.17.31.126',279,'<p>kjjhjhjhjj</p>','',1,NULL),
 (187,'2010-01-15 03:22:33','D92BC9A6-C75F-4136-B9C3-A2C81D7B9E7E','','93.152.184.74',271,'<p>Wow, it works!!!</p>','',1,NULL),
 (188,'2010-01-15 03:23:18','D92BC9A6-C75F-4136-B9C3-A2C81D7B9E7E','','93.152.184.74',279,'<p>blah</p>','',1,NULL),
 (189,'2010-01-17 11:03:15','59B4AC45-F8EC-45B6-B986-B68C8367FF32','','24.132.4.108',314,'<p>ss</p>','',1,NULL),
 (190,'2010-01-18 01:45:00','61C44375-6B77-4506-8B55-94AB750A273E','','86.51.7.218',314,'<p>?? ?????</p>','',1,NULL),
 (191,'2010-01-18 01:45:27','61C44375-6B77-4506-8B55-94AB750A273E','','86.51.7.218',314,'<p>?? ?????</p>','',1,190),
 (196,'2010-01-20 13:45:48','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','62.103.173.12',271,'<p>just a comment that works</p>','',1,NULL),
 (197,'2010-01-21 13:21:14','5C93D1E0-50CD-43BF-B803-B881F662F85F','','129.108.1.19',272,'<p>test</p>','',1,NULL),
 (198,'2010-01-21 13:21:22','5C93D1E0-50CD-43BF-B803-B881F662F85F','','129.108.1.19',272,'<p>another</p>','',1,NULL),
 (199,'2010-01-21 13:21:27','5C93D1E0-50CD-43BF-B803-B881F662F85F','','129.108.1.19',272,'<p>wowow</p>','',1,NULL),
 (201,'2010-01-24 12:22:34','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','83.251.99.239',271,'<p>testar</p>','',1,NULL),
 (202,'2010-01-24 14:47:45','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','95.220.183.254',279,'<p>123</p>','',1,NULL),
 (203,'2010-01-24 14:47:50','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','95.220.183.254',279,'<p>111</p>','',1,NULL),
 (204,'2010-01-24 14:47:59','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','95.220.183.254',279,'<p>123</p>','',1,186),
 (205,'2010-01-24 14:48:16','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','95.220.183.254',271,'<p>111111111</p>','',1,NULL),
 (206,'2010-01-24 14:48:20','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','95.220.183.254',271,'<p>1</p>','',1,NULL),
 (207,'2010-01-24 14:48:25','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','95.220.183.254',271,'<p>123</p>','',1,205),
 (208,'2010-01-25 09:19:22','59B4AC45-F8EC-45B6-B986-B68C8367FF32','','81.211.91.2',179,'<p></p>','',1,NULL),
 (209,'2010-01-26 11:08:46','61C44375-6B77-4506-8B55-94AB750A273E','','122.169.68.97',271,'<p>tsting it now</p>','',1,NULL),
 (210,'2010-01-26 11:09:28','61C44375-6B77-4506-8B55-94AB750A273E','','122.169.68.97',271,'<p>good</p>','',1,209),
 (211,'2010-02-04 16:43:11','59B4AC45-F8EC-45B6-B986-B68C8367FF32','','162.39.41.59',271,'<p></p>','teet',1,NULL),
 (212,'2010-02-04 16:43:19','59B4AC45-F8EC-45B6-B986-B68C8367FF32','','162.39.41.59',271,'<p></p>','test',1,NULL),
 (213,'2010-02-04 16:44:00','59B4AC45-F8EC-45B6-B986-B68C8367FF32','','162.39.41.59',275,'<p>zdfg</p>','',1,NULL),
 (214,'2010-02-04 16:45:17','414904C7-EC21-4303-8460-FFDDD86DA698','','162.39.41.59',275,'<p>asdfasdf</p>','',1,NULL),
 (215,'2010-02-04 16:45:20','414904C7-EC21-4303-8460-FFDDD86DA698','','162.39.41.59',275,'<p>asdf</p>','',1,NULL),
 (216,'2010-02-05 01:43:50','59B4AC45-F8EC-45B6-B986-B68C8367FF32','','218.85.121.231',271,'<p>Just a test</p>','Just a test',1,NULL),
 (217,'2010-02-07 17:14:06','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','188.52.88.175',271,'<p>qw</p>','',1,NULL),
 (220,'2010-02-11 05:48:36','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','94.127.49.1',279,'<p>xxxxxxxx</p>','',1,NULL),
 (221,'2010-02-12 05:11:06','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','89.222.181.51',271,'<p>?????????? ????.</p>','',1,NULL),
 (223,'2010-02-20 21:53:28','59B4AC45-F8EC-45B6-B986-B68C8367FF32','','83.172.101.239',271,'<p></p>','',1,NULL),
 (224,'2010-02-20 21:53:34','59B4AC45-F8EC-45B6-B986-B68C8367FF32','','83.172.101.239',271,'<p></p>','',1,NULL),
 (225,'2010-03-05 13:38:50','59B4AC45-F8EC-45B6-B986-B68C8367FF32','','217.146.133.194',271,'<p></p>','',1,NULL),
 (226,'2010-03-09 23:03:13','D2F348CC-2A1C-432C-B5F0-4CD4058C6DF6','','205.248.100.252',272,'<p>try this today</p>','',1,NULL),
 (227,'2010-03-10 20:07:43','59B4AC45-F8EC-45B6-B986-B68C8367FF32','','158.96.59.131',271,'<p>test</p>','sandbox',1,NULL),
 (228,'2010-03-12 05:57:46','61C44375-6B77-4506-8B55-94AB750A273E','','83.103.117.254',271,'<p>test</p>','',1,NULL),
 (229,'2010-03-13 19:51:43','DA2653FE-7132-4760-BB55-27BEB017E4E0','','89.31.118.162',183,'<p>sadas</p>','',1,NULL),
 (230,'2010-03-15 22:24:23','4074495A-C917-45C2-BD08-9706D4C703C0','','66.189.88.23',279,'<p>fddddddd</p>','',1,NULL),
 (232,'2010-03-26 13:04:49','59B4AC45-F8EC-45B6-B986-B68C8367FF32','jj','81.193.3.109',271,'<p>jj</p>','jj',1,NULL),
 (233,'2010-03-30 07:21:50','59B4AC45-F8EC-45B6-B986-B68C8367FF32','','62.152.46.131',244,'<p></p>','',1,NULL),
 (234,'2010-03-30 16:12:50','5906A7FA-DE0D-4D21-B765-D5B1E4145BC4','','80.57.80.80',271,'<p>new cms needed</p>','',1,NULL),
 (235,'2010-03-31 03:01:54','2818507F-1E66-4338-A33A-130E7F719C77','','122.6.4.14',179,'<p></p>','',1,NULL),
 (236,'2010-03-31 03:02:13','2818507F-1E66-4338-A33A-130E7F719C77','','122.6.4.14',179,'<p>test </p>','',1,NULL),
 (244,'2010-04-28 15:24:28','59B4AC45-F8EC-45B6-B986-B68C8367FF32','jijojohnson@yahoo.com','99.27.251.128',9,'<p>Nice project. i noticed a small bug in the comment box</p><p></p>','Jijo',1,NULL),
 (247,'2010-05-03 13:17:15','59B4AC45-F8EC-45B6-B986-B68C8367FF32','','152.43.1.234',179,'<p> </p>','',1,NULL),
 (248,'2010-05-03 17:44:31','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','','65.255.140.21',9,'<p>Yes, I know there are some things needing refining here in the comments like blank entries and some other things. </p><p></p><p>Anyone that would like to contribute some fixes feel free!</p><p></p><p>I am all tied up on other projects right now.</p>','',1,244),
 (250,'2010-06-04 19:45:30','59B4AC45-F8EC-45B6-B986-B68C8367FF32',NULL,'173.74.1.86',9,'<p>We have a current spaghetti mess in DNN for management of Loyalty shopper system.  Our needs are simple:  On-line registration of card # and personal info for the customer, and management reports of statistics for the Loyalty usage.  Do you think this system is a viable alternative to DNN?  </p><p>Thanks</p><p>Brian A. Manlove</p><p>Sr. Architect </p><p>Pinnacle Corporation, Arlington TX</p>','b222ee4d-24a1-4221-b2a6-e76fc5d8de9f',1,NULL),
 (251,'2010-06-05 14:12:20','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','','65.255.140.21',9,'<p>I have worked on many DNN sites and I don\'t want to knock DNN, it was written quite a while ago, but, it isn\'t object oriented in a consistent way, it uses a lot of reflection and to put it simply I never found it inuitive to work on or develop for.  </p><p></p><p>I have several sites that I am using MvcCms with and love it.  I can make changes and add things on in a consistent and easier to understand way.</p><p></p><p>I would think a single developer could create what you are describing as an area using the MvcCms 2.0 source within a couple of weeks and it would be a great solution.</p><p></p><p>MvcCms is setup right now as a source that is a great starting point for development but it is not something you can just configure away at the admin pages and make things, you will need a developer.</p>','',1,250),
 (252,'2010-06-08 18:15:06','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','','65.255.140.21',9,'<p>I committed a fix for the html problem in the comments.  I had added some basic html formatting and hadn\'t changed the comment editor to handle that.</p>','',1,244),
 (254,'2010-07-25 13:44:37','7197A20A-D08D-4A06-B0CA-1383CCD4A4B2','','95.84.205.194',9,'<p>You have made very big work!</p><p>But, this project should possess good ???????.</p><p>+ if I wish to pass to this site without &quot;www&quot;, I receive an error.</p><p>How to be?</p>','',1,NULL),
 (256,'2010-08-02 11:52:05','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','','65.255.140.54',9,'<p>if i put mvccms.com into my address bar i am redirected to www.mvccms.com.</p><p></p><p>How you set up the difference between www and non www is a matter of preference.  I have IIS setup to only resolve www, the non www goes to another iis website that redirects to www.</p>','',1,254);
/*!40000 ALTER TABLE `contentcomments` ENABLE KEYS */;


--
-- Definition of table `contentpages`
--

DROP TABLE IF EXISTS `contentpages`;
CREATE TABLE `contentpages` (
  `ContentPageID` int(11) NOT NULL AUTO_INCREMENT,
  `AddedDate` datetime NOT NULL,
  `ContributorID` char(36) DEFAULT NULL,
  `AddedByID` char(36) NOT NULL,
  `CategoryID` int(11) NOT NULL,
  `Title` varchar(256) NOT NULL,
  `Path` varchar(256) NOT NULL,
  `Summary` varchar(4000) DEFAULT NULL,
  `Body` longtext NOT NULL,
  `ReleaseDate` datetime NOT NULL,
  `ExpireDate` datetime DEFAULT NULL,
  `Approved` tinyint(1) DEFAULT NULL,
  `Listed` tinyint(1) DEFAULT NULL,
  `CommentsEnabled` tinyint(1) DEFAULT NULL,
  `OnlyForMembers` tinyint(1) DEFAULT NULL,
  `ViewCount` int(11) DEFAULT NULL,
  `Votes` int(11) DEFAULT NULL,
  `TotalRating` int(11) DEFAULT NULL,
  `IsCurrentVersion` tinyint(1) NOT NULL,
  `IsSubPage` tinyint(1) DEFAULT NULL,
  `OnlyForPayingMembers` tinyint(1) DEFAULT NULL,
  `AnonCommentsEnabled` tinyint(1) DEFAULT NULL,
  `Importance` int(11) DEFAULT NULL,
  `LanguageID` int(11) NOT NULL,
  `Description` varchar(1100) DEFAULT NULL,
  `UpdateDate` datetime NOT NULL,
  `PortalID` int(11) NOT NULL,
  `AltLanguageForPageID` int(11) DEFAULT NULL,
  `UseWikiMarkup` tinyint(1) NOT NULL,
  `ShowContributorLink` tinyint(1) NOT NULL,
  PRIMARY KEY (`ContentPageID`),
  KEY `FK_ContentPages_ContentCategoriesIdx` (`CategoryID`),
  KEY `FK_ContentComments_ContentPagesIdx2` (`ContentPageID`),
  KEY `FK_ContentPages_ContentPagesIdx` (`AltLanguageForPageID`),
  KEY `FK_ContentPages_LanguagesIdx` (`LanguageID`),
  KEY `FK_ContentPages_PortalsIdx` (`PortalID`),
  KEY `FK_ContentPages_UsersIdx` (`AddedByID`),
  CONSTRAINT `FK_ContentPages_ContentCategories` FOREIGN KEY (`CategoryID`) REFERENCES `contentcategories` (`CategoryID`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_ContentPages_ContentPages` FOREIGN KEY (`AltLanguageForPageID`) REFERENCES `contentpages` (`ContentPageID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ContentPages_Languages` FOREIGN KEY (`LanguageID`) REFERENCES `languages` (`LanguageID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ContentPages_Portals` FOREIGN KEY (`PortalID`) REFERENCES `portals` (`PortalID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ContentPages_Users` FOREIGN KEY (`AddedByID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=354 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contentpages`
--

/*!40000 ALTER TABLE `contentpages` DISABLE KEYS */;
INSERT INTO `contentpages` (`ContentPageID`,`AddedDate`,`ContributorID`,`AddedByID`,`CategoryID`,`Title`,`Path`,`Summary`,`Body`,`ReleaseDate`,`ExpireDate`,`Approved`,`Listed`,`CommentsEnabled`,`OnlyForMembers`,`ViewCount`,`Votes`,`TotalRating`,`IsCurrentVersion`,`IsSubPage`,`OnlyForPayingMembers`,`AnonCommentsEnabled`,`Importance`,`LanguageID`,`Description`,`UpdateDate`,`PortalID`,`AltLanguageForPageID`,`UseWikiMarkup`,`ShowContributorLink`) VALUES 
 (9,'2010-10-09 21:26:16','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','83C9BE4D-DF8A-455A-9F5D-E5D5867A6AE5',1,'Home','home','Home category published version','<h1>\r\n	Welcome To MvcCms</h1>\r\n<p>\r\n	Welcome to MvcCms.com, the content management system based on the Model View Controller (<a href=\"http://www.asp.net/mvc/\">MVC</a>) framework from Microsoft.</p>\r\n<p>\r\n	MvcCms is a <a href=\"../../../faq\">open source</a> content management system (CMS) that is tailored toward <a href=\"../../../developers/\">software developers</a> who want full control of the html published on their sites.&nbsp;&nbsp; MvcCms includes core modules for content and user management.</p>\r\n<p>\r\n	Version 1.0 is now <a href=\"http://mvccms.codeplex.com/releases/view/31243\">available</a> for download from codeplex or you can download the <a href=\"http://www.mvccms.com/Uploadedfiles/default/MvcCms1.torrent\">torrent</a>.</p>\r\n<p>\r\n	Version 2.0 is currently under development and should be available as a finished download within a few months,&nbsp;you may download the source using Subversion with https://mvccms.svn.codeplex.com/svn/ as the repository URL, the 1.0 version and the 2.0 version are both there.</p>\r\n<h3>\r\n	Why MvcCms?</h3>\r\n<p>\r\n	What sets MvcCms apart from other CMS applications is its full support for human and search readable URL&#39;s.&nbsp; Each page on your site will have a URL in the form of category/subcategories/pagename.&nbsp; MvcCms takes three core concepts of content categories and subcategories, content pages, and URL slugs to assemble into a path for your content.&nbsp; MvcCms is able to determine the correct page to render based on the unique path to the page.&nbsp; No more numbers, question marks and other clutter in your URL&#39;s!</p>\r\n<table width=\"100%\">\r\n	<tbody>\r\n		<tr>\r\n			<td valign=\"top\">\r\n				<table border=\"1\" cellpadding=\"2\" cellspacing=\"0\" class=\"data-table\" style=\"width: 297px;\">\r\n					<tbody>\r\n						<tr>\r\n							<th>\r\n								Features</th>\r\n						</tr>\r\n						<tr>\r\n							<td style=\"height: 15px;\" valign=\"top\" width=\"395\">\r\n								<a href=\"../../../cms\">Content Management (CMS)</a></td>\r\n						</tr>\r\n						<tr>\r\n							<td style=\"height: 15px;\" valign=\"top\" width=\"395\">\r\n								<a href=\"../../../cms/user-management\">User Management</a></td>\r\n						</tr>\r\n						<tr>\r\n							<td style=\"height: 15px;\" valign=\"top\" width=\"395\">\r\n								<a href=\"../../../cms/wysiwyg-editor\">WYSIWYG Editor</a> - Edit All Pages With <a href=\"http://windowslivewriter.spaces.live.com/\">Windows Live Writer</a></td>\r\n						</tr>\r\n						<tr>\r\n							<td style=\"height: 15px;\" valign=\"top\" width=\"395\">\r\n								<a href=\"../../../cms/seo\">Search Engine Friendly URLs</a></td>\r\n						</tr>\r\n						<tr>\r\n							<td style=\"height: 15px;\" valign=\"top\" width=\"395\">\r\n								<a href=\"../../../cms/autogenerated-menu\">Autogenerated Menu</a></td>\r\n						</tr>\r\n						<tr>\r\n							<td style=\"height: 15px;\" valign=\"top\" width=\"395\">\r\n								<a href=\"http://www.mvccms.com/forums\">Forum</a></td>\r\n						</tr>\r\n						<tr>\r\n							<td style=\"height: 15px;\" valign=\"top\" width=\"395\">\r\n								<a href=\"http://www.mvccms.com/wiki\">Wiki</a></td>\r\n						</tr>\r\n						<tr>\r\n							<td style=\"height: 15px;\" valign=\"top\" width=\"395\">\r\n								Portals, Multi Language</td>\r\n						</tr>\r\n						<tr>\r\n							<td style=\"height: 15px;\" valign=\"top\" width=\"395\">\r\n								Modules</td>\r\n						</tr>\r\n						<tr>\r\n							<td style=\"height: 15px;\" valign=\"top\" width=\"395\">\r\n								Versioning</td>\r\n						</tr>\r\n						<tr>\r\n							<td style=\"height: 15px;\" valign=\"top\" width=\"395\">\r\n								admin, editor, constributor roles</td>\r\n						</tr>\r\n						<tr>\r\n							<td style=\"height: 25px;\" valign=\"top\" width=\"395\">\r\n								Futures: blogs, ecommerce.</td>\r\n						</tr>\r\n					</tbody>\r\n				</table>\r\n			</td>\r\n			<td align=\"right\" valign=\"top\" width=\"300px\">\r\n				<table border=\"1\" cellpadding=\"2\" cellspacing=\"0\" class=\"data-table\" style=\"height: 320px; width: 440px;\">\r\n					<tbody>\r\n						<tr>\r\n							<th>\r\n								Quick Start Instructions 2.0 Version</th>\r\n						</tr>\r\n						<tr>\r\n							<td align=\"left\" valign=\"top\" width=\"395\">\r\n								<ol>\r\n									<li>\r\n										Download the latest commit from <a href=\"http://mvccms.codeplex.com/SourceControl/list/changesets\">codeplex</a> or use svn.</li>\r\n									<li>\r\n										Open the&nbsp;MvcCms 2.0.sln file or the&nbsp;MvcCms 2.0 Express.sln file depending on the version of Studio 2010 you are using.</li>\r\n									<li>\r\n										In the DBBackup folder select either the backup to restore to a database named MvcCms or attach to the ldf, mdf, or run the install script against a new database named MvcCms.</li>\r\n									<li>\r\n										In Studio open the web.config file, there are three connection strings that need changed, one for the membership provider, one for entity and one for logging.</li>\r\n									<li>\r\n										Either open default.asp in the browser or hit the debugging play icon in Studio.</li>\r\n									<li>\r\n										This will open the MvcCms site locally on your machine, a few logins you may try are admin, editor, jon (a contributor), and portaladmin. &nbsp;</li>\r\n									<li>\r\n										All passwords in the database to log in to the site are 7777777, you can look around at the different users in the different portals to see other logins. &nbsp;When logged in as admin or editor a green icon shows on each page to put it in edit mode.</li>\r\n									<li>\r\n										If you make a new portal you must register as a user at the new portal and then log back in as the portaladmin and raise that new users rights level to admin so that there is an admin for the new portal.</li>\r\n									<li>\r\n										Click around and see how to add content categories, content pages, portals, modules, forums, site search and so on.</li>\r\n								</ol>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n				</table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n','2009-05-07 00:00:00','2012-12-12 00:00:00',0,1,1,0,0,0,0,1,0,NULL,1,NULL,11,'asp cms, mvc, content management system','2010-10-09 21:26:16',1,NULL,0,0),
 (171,'2010-10-09 23:09:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',101,'CMS','cms','CMS category published version','<h1>\n	The MvcCms Content Management System</h1>\n<p>\n	MvcCms is designed to be a content management system focused on providing the core features of content management with ease of use and and optimization of your pages for readability for the user while providing excellent <a href=\"http://www.mvccms.com/cms/seo\">search engine optimization (seo)</a> support.</p>\n<p>\n	MvcCms allows you to easily and professionally produce content that is easily navigated by your users and positioned to rank high in Google and other search engines.</p>\n<p>\n	Edit and manage content with built in roles for editor and contributor content processing.</p>\n<p>\n	Get real page versioning with multiple versions of the same page available to editors and assigned contributors.&nbsp; The editor can then set the current published version per category at any time.</p>\n<p>\n	<a href=\"http://www.mvccms.com/Uploadedimages/default/choosecatfull.gif\"><img alt=\"\" border=\"0\" height=\"473\" src=\"/Uploadedimages/default/choosecathalf.gif\" width=\"640\" /></a></p>\n','2009-08-22 09:32:11','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,1,11,'content management system, internet publishing','2010-10-09 23:09:20',1,NULL,0,0),
 (174,'2010-10-09 23:12:45','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',104,'Developers','developers','Developers category published version','<h1>\n	MvcCms Developers</h1>\n<p>\n	Developers looking for a code base that is&nbsp; NOT convoluted but is created in a coherent style using consistent patterns designed from the ground up will enjoy working with Mvc Cms.&nbsp; Mvc Cms uses several techniques .NET developers will find familiar and convenient. &nbsp;Check the <a href=\"http://www.mvccms.com/forums/developers\">Developers Forum</a> for updates.</p>\n<p>\n	&nbsp;</p>\n<p>\n	<span class=\"Apple-style-span\" style=\"color: rgb(0, 0, 0); font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 14px;\">We have free licenses for VisualSVN to work on this project.&nbsp; Send an&nbsp;<a href=\"mailto:jranes@mvccms.com\" style=\"color: rgb(51, 102, 204);\">email</a>&nbsp;if you are interested.&nbsp;<br />\n	<a href=\"http://www.visualsvn.com/\" style=\"color: rgb(51, 102, 204);\"><img alt=\"Powered by VisualSVN!\" border=\"0\" src=\"http://www.visualsvn.com/images/VisualSVN_125x37.gif\" style=\"border-style: none;\" /></a></span></p>\n<blockquote>\n	<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" style=\"width: 587px;\">\n		<tbody>\n			<tr>\n				<td valign=\"top\" width=\"24\">\n					<img align=\"middle\" alt=\"\" src=\"http://www.dotnetscraps.com/samples/bullets/031.gif\" /></td>\n				<td valign=\"top\" width=\"562\">\n					<span style=\"font-size: x-small;\">Master Page design allows themes to be created and edited by only touching two files, the master page and the style sheet.</span></td>\n			</tr>\n			<tr>\n				<td valign=\"top\" width=\"24\">\n					<span style=\"font-size: x-small;\"><img align=\"middle\" alt=\"\" src=\"http://www.dotnetscraps.com/samples/bullets/031.gif\" /></span></td>\n				<td valign=\"top\" width=\"562\">\n					<span style=\"font-size: x-small;\">Three tier architecture consisting of a Data Repository, Service, and User Interface.</span></td>\n			</tr>\n			<tr>\n				<td valign=\"top\" width=\"24\">\n					<span style=\"font-size: x-small;\"><img align=\"middle\" alt=\"\" src=\"http://www.dotnetscraps.com/samples/bullets/031.gif\" /></span></td>\n				<td valign=\"top\" width=\"562\">\n					<span style=\"font-size: x-small;\">Built with <a href=\"http://www.asp.net/mvc\">ASP.NET MVC 1.0</a> including <a href=\"http://www.codeplex.com/MVCContrib\">MVCContrib</a>, and <a href=\"http://code.msdn.microsoft.com/EFExtensions\">EFExtensions</a>.</span></td>\n			</tr>\n			<tr>\n				<td valign=\"top\" width=\"24\">\n					<span style=\"font-size: x-small;\"><img align=\"middle\" alt=\"\" src=\"http://www.dotnetscraps.com/samples/bullets/031.gif\" /></span></td>\n				<td valign=\"top\" width=\"562\">\n					<span style=\"font-size: x-small;\">Interfaces&nbsp; to <a href=\"http://msdn.microsoft.com/en-us/library/aa697427(VS.80).aspx\">ADO Entity</a> model with ability to easily use alternate data provider with loose coupling.</span></td>\n			</tr>\n			<tr>\n				<td valign=\"top\" width=\"24\">\n					<span style=\"font-size: x-small;\"><img align=\"middle\" alt=\"\" src=\"http://www.dotnetscraps.com/samples/bullets/031.gif\" /></span></td>\n				<td valign=\"top\" width=\"562\">\n					<span style=\"font-size: x-small;\">Custom ASP Membership integration using Entity model objects so you can access membership and profile information from membership or Entities.</span></td>\n			</tr>\n			<tr>\n				<td valign=\"top\" width=\"24\">\n					<span style=\"font-size: x-small;\"><img align=\"middle\" alt=\"\" src=\"http://www.dotnetscraps.com/samples/bullets/031.gif\" /></span></td>\n				<td valign=\"top\" width=\"562\">\n					<span style=\"font-size: x-small;\">Routes are created dynamically from defined content categories so routes can be added, changed or removed from the admin panel.&nbsp; No Global.asax.cs editing or recompiling required.</span></td>\n			</tr>\n		</tbody>\n	</table>\n</blockquote>\n<p>\n	<a href=\"http://www.mvccms.com/Uploadedimages/default/studiofull.gif\"><img alt=\"\" border=\"0\" height=\"402\" src=\"/Uploadedimages/default/studiohalf.gif\" width=\"640\" /></a></p>\n<p>\n	<a href=\"http://www.mvccms.com/WindowsLiveWriter/Developers_150D1/visualstudio_2.jpg\"><br />\n	</a></p>\n<p>\n	<a href=\"http://www.mvccms.com/WindowsLiveWriter/Developers_150D1/solutionexplorer_2.jpg\"><br />\n	</a></p>\n','2009-08-22 09:34:24','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,1,11,'cms for developers, open source cms','2010-10-09 23:12:45',1,NULL,0,0),
 (175,'2010-10-10 02:51:35','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',105,'Contact Us','contact-us','Contact Us category published version','<h1>Contact</h1>  <p><a href=\"mailto:info@mvccms.com\">Email info@mvccms.com</a></p>  <p>Skype jonathan.ranes</p>  <p>   <br /><img alt=\"\" src=\"/Uploadedimages/default/rsc-ceo-profile_bigger.jpg\" width=\"73\" height=\"73\" /></p>  <p>&#160;</p>  <p>Testing image/file upload with windows live writer, this is not me!</p>  <p><a href=\"http://www.mvccms.com/Windows-Live-Writer/Contact-Us_19C7/Koala_2.jpg\"><img style=\"background-image: none; border-bottom: 0px; border-left: 0px; padding-left: 0px; padding-right: 0px; display: inline; border-top: 0px; border-right: 0px; padding-top: 0px\" title=\"Koala\" border=\"0\" alt=\"Koala\" src=\"http://www.mvccms.com/Windows-Live-Writer/Contact-Us_19C7/Koala_thumb.jpg\" width=\"244\" height=\"184\" /></a></p>','2009-08-22 09:35:30','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,1,11,'mvc cms contact us','2010-10-10 02:51:35',1,NULL,0,0),
 (177,'2009-11-04 20:22:09','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',107,'CMS SubCategory Published Version','cms-subcategory-published-version','CMS SubCategory Summary','<h1>\r\n	Sub Category Pages</h1>\r\n<p>\r\n	MvcCms allows subcategories.&nbsp; Below is the user interface for creating this page.&nbsp; Subcategory pages will automatically show up in the navigation and are unlimited.&nbsp; An active indicator is placed on each parent of the sub category in the navigation.</p>\r\n<p>\r\n	<a href=\"http://www.mvccms.com/Uploadedimages/default/createcatfull.gif\"><img alt=\"\" border=\"0\" height=\"486\" src=\"/Uploadedimages/default/cretecathalf.gif\" width=\"640\" /></a></p>\r\n','2009-08-22 09:36:43','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,1,11,'CMS SubCategory description','2009-11-04 20:22:09',1,NULL,0,0),
 (178,'2010-10-09 23:12:08','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',108,'CMS Editor','cms-editor','CMS Editor category published version','<h1>\n	MvcCms Ajax Enabled Editor</h1>\n<p>\n	The MvcCms editor is now&nbsp;included in the download.&nbsp;&nbsp;There is a&nbsp;screen shot is below but to really check it out download the code and&nbsp;log in as editor and click CMS Editor on the right navigation.</p>\n<h1>\n	<a href=\"http://www.mvccms.com/Uploadedimages/default/mvccms-full.gif\"><img alt=\"\" border=\"0\" height=\"506\" src=\"/Uploadedimages/default/mvccms-half.gif\" width=\"650\" /></a></h1>\n','2009-08-22 09:37:32','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,1,11,'cms ajax editor','2010-10-09 23:12:08',1,NULL,0,0),
 (179,'2010-10-09 23:09:37','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',101,'Anonymous Comments','anonymous-comments','New PaAnonymous Comments CMS Subpage','<h1>\n	Anonymous Comments</h1>\n<p>\n	MvcCms allows anonymous comments on pages if desired.&nbsp;</p>\n<p>\n	Comments are done entirely with Ajax and page loads are not required to post or refresh comments.&nbsp; Some sample code:</p>\n<div style=\"border: 1px solid gray; margin: 20px 0px 10px; padding: 4px; overflow: auto; line-height: 12pt; background-color: rgb(244, 244, 244); width: 97.5%; font-family: consolas,\'Courier New\',courier,monospace; max-height: 200px; font-size: 8pt; cursor: text;\">\n	<div style=\"border-style: none; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">\n		<pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">   1:</span> <span style=\"color: rgb(0, 0, 255);\">function</span> CreateComment() {</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">   2:</span>     <span style=\"color: rgb(0, 0, 255);\">var</span> data = { AddedByAnonName: $(<span style=\"color: rgb(0, 96, 128);\">&#39;#AddedByAnonName&#39;</span>).val(), AddedByAnonEmail: $(<span style=\"color: rgb(0, 96, 128);\">&#39;#AddedByAnonEmail&#39;</span>).val(), Body: $(<span style=\"color: rgb(0, 96, 128);\">&#39;#body&#39;</span>).val() }</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">   3:</span>&nbsp; </pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">   4:</span>     <span style=\"color: rgb(0, 0, 255);\">var</span> encoded = JSON.stringify(data);         </pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">   5:</span>     </pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">   6:</span>     $.post(</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">   7:</span>         <span style=\"color: rgb(0, 96, 128);\">&quot;/homeAjax/CreateContentComment&quot;</span>,</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">   8:</span>         { data: encoded, pageId: &lt;%=Model.contpage.ContentPageID %&gt; },</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">   9:</span>         <span style=\"color: rgb(0, 0, 255);\">function</span> (data) {</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">  10:</span>             <span style=\"color: rgb(0, 0, 255);\">if</span> (data.error){</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">  11:</span>                 alert(data.error);</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">  12:</span>             }</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">  13:</span>             <span style=\"color: rgb(0, 0, 255);\">else</span>{</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">  14:</span>                 PopulateComment(data);</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">  15:</span>             }</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">  16:</span>         },</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">  17:</span>         <span style=\"color: rgb(0, 96, 128);\">&quot;json&quot;</span></pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">  18:</span>     );            </pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">  19:</span>     </pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\"><span style=\"color: rgb(96, 96, 96);\">  20:</span> }</pre></div>\n</div>\n<p>\n	Below is how this is configured.</p>\n<p>\n	<a href=\"http://www.mvccms.com/WindowsLiveWriter/AnonymousCommentsCMSSubpage_E2B2/anoncomments_2.jpg\"><img alt=\"anoncomments\" border=\"0\" height=\"494\" src=\"/Uploadedimages/default/editcomment.gif\" style=\"border: 0px none ; display: inline;\" title=\"anoncomments\" width=\"911\" /></a></p>\n','2009-08-22 09:46:41','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,1,NULL,1,1,11,'cms, visitor comments','2010-10-09 23:09:37',1,NULL,0,0),
 (180,'2010-02-18 22:32:44','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',101,'Autogenerated Menu','autogenerated-menu','Autogenerated Menu CMS Subpage ','<h1>\r\n	Autogenerated Menu</h1>\r\n<p>\r\n	Choose if content categories appear in the navigation and then assign content pages to each category.&nbsp; This allows multiple versions of the same page to be in progress, you can have multiple editors working on the same page while retaining previous versions.</p>\r\n<p>\r\n	<a href=\"/Uploadedimages/default/cms1_1.jpg\"><img alt=\"\" height=\"399\" src=\"/Uploadedimages/default/cms1_1.jpg\" style=\"width: 597px; height: 399px;\" width=\"597\" /><br />\r\n	</a></p>\r\n','2009-08-22 11:17:17','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,2,11,'asp cms, autogenerated menu','2010-02-18 22:32:44',1,NULL,0,0),
 (181,'2010-02-18 22:34:44','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',101,'CSS Editor','css-editor','CSS Editor CMS Subpage ','<h1>\r\n	CSS Editor</h1>\r\n<p>\r\n	MvcCms allows updating of the site style sheet through back office administration.&nbsp; One easy way to do this is to edit the style sheet using Firefox Web Developer Toolbar and then paste the edited CSS into the MvcCms style sheet update utility.</p>\r\n<p>\r\n	<a href=\"/Uploadedimages/default/csseditor.jpg\"><img alt=\"\" height=\"507\" src=\"/Uploadedimages/default/csseditor.jpg\" width=\"774\" /></a></p>\r\n','2009-08-22 11:17:59','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,3,11,'cms, css editor','2010-02-18 22:34:44',1,NULL,0,0),
 (182,'2010-02-18 22:47:18','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',101,'Member Only Page','member-only-page','Member Only Page CMS Subpage','<h1>\r\n	Members Only Content</h1>\r\n<p>\r\n	Content can be set to be used only by registered users of the site for both categories and on a per page basis.&nbsp; When the page is loaded the CMS checks to see if the user is a member of the Users role.&nbsp; By default new users are added to this role upon successful registration.</p>\r\n<p>\r\n	Setting the Member Only Setting for category.</p>\r\n<p>\r\n	<a href=\"http://www.mvccms.com/WindowsLiveWriter/MemberOnlyPage_14C3E/catmemberonly_4.jpg\"><br />\r\n	</a></p>\r\n<p>\r\n	Setting the Member Only Setting for a page.</p>\r\n<p>\r\n	<a href=\"/Uploadedimages/default/memberonly.jpg\"><img alt=\"pagememberonly\" border=\"0\" height=\"214\" src=\"/Uploadedimages/default/memberonly.jpg\" style=\"border: 0px none; display: inline;\" title=\"pagememberonly\" width=\"914\" /></a></p>\r\n','2009-08-22 11:18:38','2012-12-12 00:00:00',1,1,0,1,0,0,0,0,1,NULL,0,4,11,'cms with members only functionality','2010-02-18 22:47:18',1,NULL,0,0),
 (183,'2010-10-09 23:10:00','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',101,'Page Comments','page-comments','Page Comments CMS Subpage','<h1>\n	Page Comments and Replies</h1>\n<p>\n	MvcCms allows comment replies one level deep for registered users.&nbsp; This feature is not made for anonymous comments although a member my respond to an anonymous comment.&nbsp; Comment replies are done through a modal dialogue as seen below.</p>\n<p>\n	&nbsp;</p>\n<p>\n	Mvc Cms allows user only comments on pages in addition to <a href=\"http://www.mvccms.com/cms/anonymous-comments\">anonymous comments</a>.&nbsp; Moderating comments is very simple.&nbsp; When you are logged in under the editor role you will see an edit link next to each comment.&nbsp; Click that ling and a modal box opens up allowing you to edit or mark the comment as unapproved.&nbsp; Comment text is also matched in search results.</p>\n','2009-08-22 11:19:16','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,1,NULL,0,5,11,'cms that allows member comments','2010-10-09 23:10:00',1,NULL,0,0),
 (184,'2009-12-19 01:39:17','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',101,'SEO','seo','Search Engine Optimization CMS SubPage ','<h1>\n	Search Engine Optimization (SEO)</h1>\n<p>\n	If you have compelling and unique content to get out on the internet you need a <a href=\"http://www.mvccms.com/cms\">content management system</a> that creates page titles, URLs, and H1 tags that contain the keywords your content is about.&nbsp; You want these URLs and page titles created automatically from the title you give your content and from the categories you use to organize your content.&nbsp; MvcCms is designed with this in mind.&nbsp; If you look at the top left corner of your browser on this page you will see the following.</p>\n<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" style=\"height: 227px; width: 675px;\">\n	<tbody>\n		<tr>\n			<td valign=\"top\">\n				<div class=\"photo-container\" style=\"height: 223px;\">\n					<div class=\"photo-top\">\n						<span>&nbsp;</span></div>\n					<div class=\"photo-content\">\n						<div class=\"photo-content-right\">\n							&nbsp;\n							<div class=\"photo-caption\">\n								<img alt=\"\" src=\"/Uploadedimages/default/seo.gif\" style=\"width: 348px; height: 75px;\" /></div>\n							<div class=\"photo-caption\">\n								With MvcCms SEO is built in easy and accurate.</div>\n						</div>\n					</div>\n					<div class=\"photo-bottom\">\n						<span>&nbsp;</span></div>\n				</div>\n			</td>\n			<td valign=\"top\">\n				<br />\n				<span style=\"font-size: x-small;\">Notice in the image on the left the browser title and the title that will be shown Google&#39;s search results contains the site name, the content category and the page name.&nbsp; <br />\n				<br />\n				The URL in the address bar also contains the content category name and the page name in lowercase.&nbsp; If your category or page name includes a space MvcCms automatically creates a <a href=\"http://www.mvccms.com/cms/url-slug\">URL Slug</a> with a hyphen and changes the URL to lower case while showing it in the navigation with the case you entered it as.</span></td>\n		</tr>\n	</tbody>\n</table>\n<p>\n	One of the biggest advantages of using a <a href=\"http://www.asp.net/mvc/\">Model View Controller (MVC)</a> based content management system is that MVC based websites allow complete control over the html emitted by your website.&nbsp; When using traditional .NET web forms style development much of the html created by your web application is auto-generated and out of your control.&nbsp; This aspect of MVC makes it a great candidate for your ASP based CMS system.</p>\n<p>\n	MvcCms uses best seo practices such as semantic coding, and wc3 compliance.</p>\n','2009-08-22 11:20:05','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,6,11,'seo, search engine optimization, cms','2009-12-19 01:39:17',1,NULL,0,0),
 (185,'2010-10-09 23:10:51','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',101,'Search','search','CMS Subpage Search','<h1>\n	MvcCms Search</h1>\n<p>\n	MvcCms search comes with the option to be powered by MS SQL Server Full Text Search or by regular like sql statements.&nbsp; One of the benefits of Full Text Search is that results are ordered by rank of relevancy to the search term and near and inflectional matches are made.&nbsp; Also Full Text allows stop words to be created that will not match and filters out common words.</p>\n<p>\n	MvcCms search is also available as a web method.&nbsp; In order to search this site from java script using a cross site library such as prototype you can call as in the example below.</p>\n<p>\n	&nbsp;</p>\n<div style=\"border: 1px solid gray; margin: 20px 0px 10px; padding: 4px; overflow: auto; line-height: 12pt; background-color: rgb(244, 244, 244); width: 97.5%; font-family: consolas,\'Courier New\',courier,monospace; max-height: 200px; font-size: 8pt; cursor: text;\">\n	<div style=\"border-style: none; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">\n		<pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">var data = { Term: phrase }</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">var encoded = JSON.stringify(data);</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">$.post(</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">    <span style=\"color: rgb(0, 96, 128);\">&quot;/mvccmsAjax/Search/&quot;</span>,</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">    { data: encoded },</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">    function(data) {</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">        var objdata = data;</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">        <span style=\"color: rgb(0, 0, 255);\">if</span> (objdata.error) {</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">            alert(objdata.error);</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">        }</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">        <span style=\"color: rgb(0, 0, 255);\">else</span> {</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">            PopulateSearchResults(objdata);</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">        }</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">    },</pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: white; width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">    <span style=\"color: rgb(0, 96, 128);\">&quot;json&quot;</span></pre><pre style=\"border-style: none; margin: 0em; padding: 0px; overflow: visible; line-height: 12pt; background-color: rgb(244, 244, 244); width: 100%; font-family: consolas,\'Courier New\',courier,monospace; color: black; font-size: 8pt;\">);</pre></div>\n</div>\n<p>\n	&nbsp;</p>\n<p>\n	Below is a screen shoot of an example search for &#39;mvc&#39;.</p>\n<p>\n	<a href=\"/Uploadedimages/default/searchresults.jpg\"><img alt=\"\" border=\"0\" height=\"632\" src=\"/Uploadedimages/default/searchresults.jpg\" width=\"642\" /></a></p>\n','2009-08-22 11:23:34','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,9,11,'Search','2010-10-09 23:10:51',1,NULL,0,0),
 (186,'2010-10-10 01:22:49','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',101,'URL Slug','url-slug','CMS Subpage describing URL Slug\'s','<p>\n	<style type=\"text/css\">\n.csharpcode, .csharpcode pre\n{\n	font-size: small;\n	color: black;\n	font-family: Consolas, \"Courier New\", Courier, Monospace;\n	background-color: #ffffff;\n	/*white-space: pre;*/\n}\n\n.csharpcode pre { margin: 0em; }\n\n.csharpcode .rem { color: #008000; }\n\n.csharpcode .kwrd { color: #0000ff; }\n\n.csharpcode .str { color: #006080; }\n\n.csharpcode .op { color: #0000c0; }\n\n.csharpcode .preproc { color: #cc6633; }\n\n.csharpcode .asp { background-color: #ffff00; }\n\n.csharpcode .html { color: #800000; }\n\n.csharpcode .attr { color: #ff0000; }\n\n.csharpcode .alt \n{\n	background-color: #f4f4f4;\n	width: 100%;\n	margin: 0em;\n}\n\n.csharpcode .lnum { color: #606060; }\n\n\n\n</style></p>\n<h1>\n	MvcCms Automatically Creates URL Slugs</h1>\n<p>\n	A URL slug is a SEO- and user-friendly string-part in a URL to identify, describe and access a resource. Often the title of a page/article is a valid candidate.&nbsp; For example the title of this page is &quot;URL Slug&quot; which contains a space.&nbsp; MvcCms has automatically changed the title to url-slug to place in the URL of the page.&nbsp; Navigation links are automatically set to use the url-slug generated as the link and the title as typed in &quot;URL Slug&quot; as the anchor text.</p>\n<p>\n	One way to think of MvcCms at its core is as a semantic assembly engine.&nbsp; We have taken the concept of content categories and pages and create references to the combination of...</p>\n<p>\n	<strong>category+?subcategory(?multiple)+?page&nbsp;<br />\n	</strong></p>\n<p>\n	URL slugs created from titles map to a specific content page stored in the database behind the scenes.</p>\n<p>\n	There have to be some rules to this though or routes could become overlapped from duplication.&nbsp; These rules allow for an entire site to have semantically driven URL&#39;s without any of the id query string clutter.</p>\n<p>\n	The rules we have designed are:</p>\n<blockquote>\n	<p>\n		1.When you create a content category the URL slug created from the title is checked against all other slugs (paths) created for categories and if a match is found the insert is canceled and the user is prompted to revise.</p>\n	<p>\n		2. When you create a content page all the other paths in that category are checked and if a match is found the insert is cancelled and the user is prompted to revise.</p>\n</blockquote>\n<p>\n	A snippet of this core logic is below, from MvcCms.Core/MvcCmsValidation.cs:<!-- code formatted by http://manoli.net/csharpformat/ --></p>\n<pre class=\"csharpcode\">            var currentPortal = _cacheService.GetCurrentPortal();\n\n            <span class=\"rem\">//find out if path already exists</span>\n            ContentCategory cat2Check = _repository.GetContentCategoryByFullPath(categoryToValidate.Path,\n                                                                                 categoryToValidate.Portal);\n            <span class=\"kwrd\">if</span> (cat2Check != <span class=\"kwrd\">null</span> &amp;&amp; cat2Check.CategoryID != categoryToValidate.CategoryID)\n            {\n                message=<span class=\"str\">&quot;The path from title &#39;&quot;</span> + categoryToValidate.Path +\n                                               <span class=\"str\">&quot;&#39; is already being used, please adjust your title.&quot;</span>;\n                <span class=\"kwrd\">return</span> <span class=\"kwrd\">false</span>;\n            }\n            <span class=\"kwrd\">if</span> (categoryToValidate.ParentCategory != <span class=\"kwrd\">null</span>)\n            {\n                <span class=\"rem\">//find out if page path exists in this category</span>\n                IEnumerable&lt;ContentPage&gt; pages = _repository\n                    .ListPagesByCat(categoryToValidate.ParentCategory.CategoryID, currentPortal);\n                <span class=\"kwrd\">foreach</span> (ContentPage page <span class=\"kwrd\">in</span> pages)\n                {\n                    <span class=\"kwrd\">if</span> (page.Path == categoryToValidate.SinglePath)\n                    {\n                        message=<span class=\"str\">&quot;The path from title &#39;&quot;</span> + categoryToValidate.Path +\n                        <span class=\"str\">&quot;&#39; already exists as a page for the parent category, please revise to save the page.&quot;</span>;\n                        <span class=\"kwrd\">return</span> <span class=\"kwrd\">false</span>;\n                    }\n                }\n            }\n            <span class=\"kwrd\">return</span> <span class=\"kwrd\">true</span>;</pre>','2009-08-22 11:25:45','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,1,NULL,0,10,11,'cms with url slug implementation','2010-10-10 01:22:49',1,NULL,0,1),
 (187,'2010-10-09 23:11:10','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',101,'User Management','user-management','User Management CMS Subpage','<h1>\n	MvcCms User Management</h1>\n<p>\n	MvcCms allow easy access to all site members where you are able to set properties for approved, locked out, and set user role assignments.</p>\n<p>\n	<a href=\"http://www.mvccms.com/WindowsLiveWriter/UserManagement_1325E/usermanagement_4.jpg\"><img alt=\"usermanagement\" border=\"0\" height=\"386\" src=\"/Uploadedimages/default/users1.jpg\" style=\"border: 0px none ; display: inline;\" title=\"usermanagement\" width=\"644\" /></a></p>\n<p>\n	&nbsp;</p>\n<p>\n	<a href=\"http://www.mvccms.com/WindowsLiveWriter/UserManagement_1325E/usermanagement2_2.jpg\"><img alt=\"usermanagement2\" border=\"0\" src=\"/Uploadedimages/default/users2.jpg\" style=\"border: 0px none ; display: inline; width: 641px; height: 378px;\" title=\"usermanagement2\" /></a></p>\n<script id=\"cke_actscrpt\" type=\"text/javascript\">window.onload = function(){window.parent.CKEDITOR._[\"contentDomReadyBody\"]( window );}</script>','2009-08-22 11:26:32','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,11,11,'cms manage users','2010-10-09 23:11:10',1,NULL,0,0),
 (188,'2010-10-10 02:47:17','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',101,'WYSIWYG Editor','wysiwyg-editor','WYSIWYG Editor CMS Subpage','<h1>What You See Is What You Get HTML Editing</h1>  <p>If you have used traditional in-page html WYSIWYG editor you have found many of the difficulties of adding images, getting decent spell checking, switching between html and editor mode and on and on.&#160; If you haven\'t used <a href=\"http://windowslivewriter.spaces.live.com/\">Windows Live Writer</a> yet you are in for a big surprise.&#160; MvcCms is designed to allow editing of all pages with Windows Live Writer.&#160; Some of the benefits are.</p>  <ul>   <li>Offline page creation with locally saved drafts </li>    <li>Site styles are imported so that the page being edited looks in the editor like it will when published. </li>    <li>Images are automatically linked to and uploaded, no more searching for images on the server or hand typing image paths.&#160; Also auto thumbnail and full-size links are quick and easy. </li>    <li>Inline spell checking just like in Word. </li> </ul>  <table style=\"width: 621px; color: #000000\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\"><tbody>     <tr>       <td valign=\"top\" width=\"309\"><a href=\"http://www.mvccms.com/WindowsLiveWriter/WYSIWYGEditor_14311/wlwpageselect_2.jpg\">           <br />&#160; </a>          <br />          <br />          <br />          <br />          <br />          <br />Use the Metaweblog API and enter the service page wlwmvccms.ashx as the remote posting URL and now your entire CMS is editable with Windows Live Writer.</td>        <td valign=\"top\" width=\"310\"><a href=\"/Uploadedimages/default/wlwsetup.jpg\"><img style=\"border-bottom: 0px; border-left: 0px; display: inline; border-top: 0px; border-right: 0px\" title=\"wlwsetup\" border=\"0\" alt=\"wlwsetup\" src=\"/Uploadedimages/default/wlwsetup.jpg\" width=\"304\" height=\"283\" /></a>           <br /><a href=\"http://www.mvccms.com/WindowsLiveWriter/WYSIWYGEditor_14311/wlwsetup_4.jpg\">           <br /></a></td>     </tr>   </tbody></table>  <p>   <br />Also for convenience sake on quick edits when logged in as editor you will see the green universal page is editable button in the top left corner&#160; .&#160; Clicking this button takes you to a simple streamlined page that has its entire focus on giving you room to work the content with tiny_mce, a great cross browser rich text editor.</p>  <p>---</p>  <p><font color=\"#ff0000\">Update</font>:&#160; The live writer integration is working on the new 2010 2.0 version of MvcCms, this edit was done with wlw!</p>  <p><a href=\"http://www.mvccms.com/WindowsLiveWriter/WYSIWYGEditor_14311/tiny_mce_rtf_cms_mvc_2.jpg\">     <br /></a></p>','2009-08-22 11:27:12','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,1,NULL,0,12,11,'cms with wysiwyg editor','2010-10-10 02:47:17',1,NULL,0,0),
 (189,'2009-12-19 01:48:06','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',104,'Downloads','downloads','Developers subpage for downloads','!! Downloads\r\n\r\n\r\n\r\nWe will be posting zipped versions of the full build along the way here.  Sometimes it is difficult to get a build from mvccms.codeplex.com to work properly so these zipped builds contain the entire working directory for this project.  \r\n\r\nMvcCms 1.0 can','2009-08-22 11:31:17','2012-12-12 00:00:00',1,1,1,1,0,0,0,0,1,NULL,0,13,11,'download mvccms','2009-12-19 01:48:06',1,NULL,1,0),
 (190,'2009-08-26 22:49:25','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',109,'Search','search','Site Search Summary','<div class=\"isloading-container\">\n<div id=\"isloading\" class=\"isloading\">&nbsp;</div>\n</div>\n<h1>Search Results</h1>\n<table id=\"SearchResults-tbl\" class=\"SearchResults\" border=\"0\">\n<tbody>\n</tbody>\n</table>','2009-08-22 11:32:24','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,1,11,'search mvc cms','2009-08-26 22:49:25',1,NULL,0,0),
 (191,'2010-07-05 12:58:10','CE17F970-1405-4047-9163-EF5546890774','86A6FCCB-A07A-4985-9B22-66F557DA3946',110,'Home','home','Home category published version','<h3>\r\n	<img align=\"right\" alt=\"\" height=\"358\" src=\"http://www.realitypeninsula.info/uploadedimages/real-pen/profiles/95e755b8-8422-4738-b492-8a7a6193e787.jpg\" width=\"400\" /></h3>\r\n<blockquote>\r\n	<p align=\"left\" style=\"margin: 0pt 6px 0pt 10px;\">\r\n		<span style=\"font-size: large;\">&quot;A people who allow their contributions to public enterprise to be represented by tokens of debit and credit will be beaten, poisoned, deceived, imprisoned, enslaved, robbed of all inheritances, murdered, driven to murder, and broken from their purpose until finally converted into appliances by the technology they have been enslaved to create. &nbsp;</span></p>\r\n	<p align=\"left\" style=\"margin: 0pt 6px 0pt 10px;\">\r\n		&nbsp;</p>\r\n	<p align=\"left\" style=\"margin: 0pt 6px 0pt 10px;\">\r\n		<span style=\"font-size: large;\">Unless the root problem of societal manipulation via currency is addressed all other problems and their solutions work toward the strength of the endless reich.&quot; <a href=\"http://www.realitypeninsula.info/social/profiles/cod\">COD</a></span></p>\r\n	<p align=\"left\" style=\"margin: 0pt 6px 0pt 10px;\">\r\n		&nbsp;</p>\r\n	<p align=\"left\" style=\"margin: 0pt 6px 0pt 10px;\">\r\n		&nbsp;</p>\r\n	<hr />\r\n	<p align=\"left\" style=\"margin: 0pt 6px 0pt 10px;\">\r\n		<span style=\"font-size: 14px;\"><font face=\"Arial\">&ldquo;Of all the means I know to lead men, the most effectual is a <i>concealed mystery</i>. The hankering of the mind is irresistible; and if once a man has taken it into his head that there is a mystery in a thing, it is impossible to get it out, either by argument or experience. And then, we can so change notions by merely changing a word. What more contemptible than fanaticism; but call it enthusiasm; then add the little word noble, and you may lead him over the world &hellip; For their sakes, and to rivet still faster their own fetters, they engage in the most corrupting of all employments and for what? </font></span></p>\r\n	<p align=\"left\" style=\"margin: 0pt 6px 0pt 10px;\">\r\n		<span style=\"font-size: 14px;\">&nbsp;</span></p>\r\n	<p align=\"left\" style=\"margin: 0pt 6px 0pt 10px;\">\r\n		<span style=\"font-size: 14px;\"><font face=\"Arial\">To learn something more of an order, of which every degree explodes the doctrine of a former one. Would it have hurt the young Illuminatus to have it explained to him all at once? Would not this fire his mind when he sees with the same glance the great object, and the fitness of the means for attaining it? Would not the exalted characters of the Superior, so much excelling himself in talents, and virtue, and happiness (otherwise the Order is good for nothing) warm his heart, and fill him with emulation, since he sees in them, that what is so strongly preached to him is an attainable thing? </font></span></p>\r\n	<p align=\"left\" style=\"margin: 0pt 6px 0pt 10px;\">\r\n		<span style=\"font-size: 14px;\">&nbsp;</span></p>\r\n	<p align=\"left\" style=\"margin: 0pt 6px 0pt 10px;\">\r\n		<span style=\"font-size: 14px;\"><font face=\"Arial\">No, no it is all a trick; he must be kept like a child, amused with rattles, and stars, and ribbons and all the satisfaction he obtains is, like the Masons, the fun of seeing others running the same gauntlet.&rdquo;</font><br />\r\n		</span></p>\r\n	<p align=\"left\" style=\"margin: 0pt 6px 0pt 10px;\">\r\n		<span style=\"font-size: 14px;\"><b><font face=\"Arial\">Adam Weishaupt</font></b></span></p>\r\n</blockquote>\r\n','2009-08-22 14:54:36','2012-12-12 00:00:00',0,1,1,0,0,0,0,1,0,NULL,1,-3,11,'i say hey, what\'s going on.','2010-07-05 12:58:10',13,NULL,0,0),
 (223,'2009-08-23 20:39:08','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',101,'CMS Alt Version','cms-alt-version','cms alt version','<p>New Page Content Goes Here</p>','2009-08-23 20:39:08','2012-12-12 00:00:00',0,1,0,0,0,0,0,0,0,NULL,0,13,11,'New Page Description','2009-08-23 20:39:08',1,NULL,0,0),
 (224,'2010-10-09 23:12:31','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',128,'FAQ','faq','FAQ category published version','<h1>\n	Frequently Asked Questions</h1>\n<p>\n	<strong>Question</strong>: Where is the source?</p>\n<p>\n	<strong>Answer</strong>:&nbsp;&nbsp; MvcCms is now available on <a href=\"http://mvccms.codeplex.com/\">CodePlex</a>.&nbsp; We are using VisualSVN for source control integration with Visual Studio.&nbsp;</p>\n<p>\n	Also we are periodically posting builds <a href=\"http://www.mvccms.com/developers/downloads\">here</a> from our source folders.&nbsp; It might be easiest to start with this and then update from svn.</p>\n<p>\n	<strong>Question</strong>:&nbsp; How can I get information on this project as it nears its first release?</p>\n<p>\n	<strong>Answer</strong>:&nbsp;&nbsp;&nbsp;&nbsp; <a href=\"http://www.mvccms.com/Account/Register\">Register</a> here and as we announce the release you will receive our release announcement.</p>\n<p>\n	<strong>Question:</strong> What is the name of the company developing MvcCms?</p>\n<p>\n	<strong>Answer:</strong>&nbsp;&nbsp;&nbsp; MvcCms is produced and developed by <a href=\"http://www.ranessoftwareconsulting.com/\">RSC Consulting</a></p>\n<table>\n	<tbody>\n		<tr>\n			<td>\n				<a href=\"http://www.ranessoftwareconsulting.com\"><img alt=\"\" border=\"0\" height=\"55\" src=\"/Uploadedimages/default/logo.gif\" width=\"213\" /></a></td>\n			<td>\n				<iframe frameborder=\"0\" height=\"60\" marginheight=\"0\" marginwidth=\"0\" scrolling=\"no\" src=\"http://stackoverflow.com/users/flair/124067.html?theme=clean\" width=\"210\"></iframe></td>\n		</tr>\n	</tbody>\n</table>\n<h1>\n	Make A Donation</h1>\n<div>\n	<form action=\"https://www.paypal.com/cgi-bin/webscr\" id=\"Paypal\" method=\"post\" name=\"Paypal\">\n		<p>\n			Donation Amount: <input name=\"amount_1\" type=\"text\" value=\"\" /></p>\n		<p>\n			<button id=\"paypal-checkout-button\" type=\"submit\">Checkout With PayPal</button></p>\n		<input name=\"cmd\" type=\"hidden\" value=\"_cart\" /> <input name=\"upload\" type=\"hidden\" value=\"1\" /> <input name=\"business\" type=\"hidden\" value=\"jonranes@gmail.com\" /> <input name=\"item_name_1\" type=\"hidden\" value=\"Donation To MvcCms\" /> <input name=\"item_number_1\" type=\"hidden\" value=\"1382\" /> <input name=\"quantity_1\" type=\"hidden\" value=\"1\" /></form>\n</div>\n','2009-08-24 13:37:12','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,1,11,'mvc cms frequently asked questions','2010-10-09 23:12:31',1,NULL,0,1),
 (234,'2009-12-11 12:34:20','CE17F970-1405-4047-9163-EF5546890774','4AC5E351-92FF-43CC-A314-89DA9B4615F7',137,'Reality Articles','reality-articles','articles cat published version','<h1>\r\n	Reality Articles</h1>\r\n<p>\r\n	I am trying to get used to using ixquick for web searches but am really annoyed that I have to click the repost form question when I want to go back to the search results with the back button so I made this little for that does a form get</p>\r\n<div>\r\n	<table border=\"0\" width=\"100%\">\r\n		<tbody>\r\n			<tr>\r\n				<td align=\"center\">\r\n					<form action=\"http://www.ixquick.com/do/metasearch.pl\" method=\"get\">\r\n						<p>\r\n							<img alt=\"\" height=\"72\" src=\"/Uploadedimages/real-pen/ixquick_logo_result.gif\" width=\"164\" /></p>\r\n						<p>\r\n							<input id=\"query\" name=\"query\" type=\"text\" value=\"\" /> <input id=\"cmd\" name=\"cmd\" type=\"hidden\" value=\"process_search\" /> <input id=\"language\" name=\"language\" type=\"hidden\" value=\"english\" /> <input id=\"cat\" name=\"cat\" type=\"hidden\" value=\"web\" /> <input type=\"submit\" value=\"Go\" /></p>\r\n					</form>\r\n				</td>\r\n			</tr>\r\n		</tbody>\r\n	</table>\r\n</div>\r\n<table align=\"right\" border=\"0\" cellpadding=\"1\" cellspacing=\"1\" style=\"width: 100%; \">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"right\">\r\n				<span style=\"font-size:36px;\">The Articles Are Here</span><img alt=\"\" height=\"90\" src=\"/Uploadedimages/real-pen/arrowrightsf.jpg\" width=\"90\" /></td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n<p>\r\n	&nbsp;</p>\r\n<table align=\"right\" border=\"1\" cellpadding=\"1\" cellspacing=\"1\" style=\"width: 100%; \">\r\n</table>\r\n<p>\r\n	&nbsp;</p>\r\n<p>\r\n	This is the section where submitted stories will be published.&nbsp; Send your story in or sign up and post it to the site yourself.&nbsp;&nbsp;&nbsp;</p>\r\n<h3>\r\n	Contributors</h3>\r\n<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" style=\"width: 100%;\">\r\n	<tbody>\r\n		<tr>\r\n			<td valign=\"top\" width=\"50\">\r\n				<strong>Name:</strong></td>\r\n			<td valign=\"top\">\r\n				<p>\r\n					Cod:</p>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td valign=\"top\">\r\n				<strong>About:</strong></td>\r\n			<td valign=\"top\">\r\n				If you would like to publish something you have written on the site let me know.</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n<p>\r\n	<br />\r\n	<object height=\"340\" width=\"560\"><param name=\"movie\" value=\"http://www.youtube.com/v/7jHe5OjAm_E&amp;hl=en_US&amp;fs=1&amp;\" /><param name=\"allowFullScreen\" value=\"true\" /><param name=\"allowscriptaccess\" value=\"always\" /><embed allowfullscreen=\"true\" allowscriptaccess=\"always\" height=\"340\" src=\"http://www.youtube.com/v/7jHe5OjAm_E&amp;hl=en_US&amp;fs=1&amp;\" type=\"application/x-shockwave-flash\" width=\"560\"></embed></object></p>\r\n<p>\r\n	<object height=\"270\" width=\"400\"><param name=\"allowfullscreen\" value=\"true\" /><param name=\"allowscriptaccess\" value=\"always\" /><param name=\"movie\" value=\"http://vimeo.com/moogaloop.swf?clip_id=5142749&amp;server=vimeo.com&amp;show_title=1&amp;show_byline=1&amp;show_portrait=0&amp;color=&amp;fullscreen=1\" /><embed allowfullscreen=\"true\" allowscriptaccess=\"always\" height=\"270\" src=\"http://vimeo.com/moogaloop.swf?clip_id=5142749&amp;server=vimeo.com&amp;show_title=1&amp;show_byline=1&amp;show_portrait=0&amp;color=&amp;fullscreen=1\" type=\"application/x-shockwave-flash\" width=\"400\"></embed></object></p>\r\n<p>\r\n	<a href=\"http://vimeo.com/5142749\">Bloodlines Final Cut</a> from <a href=\"http://vimeo.com/nickdanger\">Nick Danger</a> on <a href=\"http://vimeo.com\">Vimeo</a>.</p>\r\n','2009-08-26 10:29:52','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,1,-4,11,'reality writings','2009-12-11 12:34:20',13,NULL,0,0),
 (238,'2009-12-16 13:41:18','CE17F970-1405-4047-9163-EF5546890774','4AC5E351-92FF-43CC-A314-89DA9B4615F7',141,'Links Cat','links-cat','Links Cat Published Version','<h1>\r\n	Reality Links&nbsp;&nbsp; <img alt=\"\" height=\"57\" src=\"/Uploadedimages/real-pen/fuck_the_un.jpg\" width=\"201\" /></h1>\r\n<p>\r\n	Here are some fav sites.&nbsp; If you have a suggestion drop it in the comments below.</p>\r\n<p>\r\n	<a href=\"http://groups.yahoo.com/group/garythespaceman/files/\">http://groups.yahoo.com/group/garythespaceman/files/<br />\r\n	</a></p>\r\n','2009-08-26 10:32:21','2012-12-12 00:00:00',0,1,1,0,0,0,0,1,0,NULL,0,-4,11,'reality links','2009-12-16 13:41:18',13,NULL,0,0),
 (243,'2009-10-21 23:04:55','CE17F970-1405-4047-9163-EF5546890774','4AC5E351-92FF-43CC-A314-89DA9B4615F7',143,'Search','search','Site Search Summary','<div class=\"isloading-container\">\n<div id=\"isloading\" class=\"isloading\">&nbsp;</div>\n</div>\n<h1>Search Results</h1>\n<table id=\"SearchResults-tbl\" class=\"SearchResults\" border=\"0\">\n<tbody>\n</tbody>\n</table>','2009-08-26 10:58:05','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,-4,11,'Site Search description','2009-10-21 23:04:55',13,NULL,0,0),
 (244,'2009-08-28 20:29:32','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1,'Hogar','hogar','Versi','<div id=\"thecontent\">\n<h1>Recepci&oacute;n MVC al CMS</h1>\n<p>Recepci&oacute;n a MvcCms.com, el sistema de gesti&oacute;n contento basado en el marco del regulador de la opini&oacute;n del modelo nuevo (<a href=\"http://66.196.80.202/babelfish/translate_url_content?.intl=us&amp;lp=en_es&amp;trurl=http%3a%2f%2fwww.asp.net%2fmvc%2f\">MVC</a>) de Microsoft.</p>\n<p>Mvc el CMS es un sistema de gesti&oacute;n del contenido de la <a href=\"http://66.196.80.202/babelfish/translate_url_content?.intl=us&amp;lp=en_es&amp;trurl=http%3a%2f%2fwww.mvccms.com%2ffaq\">fuente abierta</a> (CMS) que se adapta hacia los <a href=\"http://66.196.80.202/babelfish/translate_url_content?.intl=us&amp;lp=en_es&amp;trurl=http%3a%2f%2fwww.mvccms.com%2fdevelopers%2f\">analistas de programas inform&aacute;ticos</a> que quieren el pleno control del HTML publicado en sus sitios.&nbsp;&nbsp; Mvc el CMS incluye los m&oacute;dulos de la base para la gerencia del contenido y del usuario.</p>\n<h3>&iquest;Por qu&eacute; CMS Mvc?</h3>\n<p>Qu&eacute; fija el CMS Mvc aparte de otros usos del CMS es su apoyo total para los URL legibles del ser humano y de la b&uacute;squeda.&nbsp; Cada p&aacute;gina en su sitio tendr&aacute; un URL bajo la forma de categor&iacute;a/subcategor&iacute;as/pagename.&nbsp; Mvc el CMS toma tres conceptos de la base de categor&iacute;as y las subcategor&iacute;as contentas, las p&aacute;ginas contentas, y los lingotes del URL para montar en una trayectoria para su contenido.&nbsp; Mvc el CMS puede determinar la p&aacute;gina correcta para rendir basado en la trayectoria &uacute;nica a la p&aacute;gina.&nbsp; &iexcl;No m&aacute;s de n&uacute;meros, de signos de interrogaci&oacute;n y de otro estorban en sus URL!</p>\n<p><a href=\"http://66.196.80.202/babelfish/translate_url_content?.intl=us&amp;lp=en_es&amp;trurl=http%3a%2f%2fmvccms.codeplex.com%2f\">El candidato 1 del lanzamiento</a> est&aacute; disponible ahora en Codeplex y de este sitio.&nbsp; Hay tambi&eacute;n una versi&oacute;n de la salvadera para arriba en <a href=\"http://66.196.80.202/babelfish/translate_url_content?.intl=us&amp;lp=en_es&amp;trurl=http%3a%2f%2fwww.mvccms.net%2f\">MvcCms.Net</a> donde usted puede abrir una sesi&oacute;n como redactor y admin y probar cosas.&nbsp; Si la salvadera est&aacute; sobre corregido y usted la quisiera reajustada env&iacute;a un email a jranes@mvccms.com</p>\n<table style=\"width: 397px;\" border=\"1\" cellspacing=\"0\" cellpadding=\"2\">\n<tbody>\n<tr>\n<th>Caracter&iacute;sticas</th>\n</tr>\n<tr>\n<td width=\"395\" valign=\"top\"><a href=\"http://66.196.80.202/babelfish/translate_url_content?.intl=us&amp;lp=en_es&amp;trurl=http%3a%2f%2fwww.mvccms.com%2fcms\">Gerencia contenta (CMS)</a></td>\n</tr>\n<tr>\n<td width=\"395\" valign=\"top\"><a href=\"http://66.196.80.202/babelfish/translate_url_content?.intl=us&amp;lp=en_es&amp;trurl=http%3a%2f%2fwww.mvccms.com%2fcms%2fuser-management\">Gerencia del usuario</a> <br /></td>\n</tr>\n<tr>\n<td width=\"395\" valign=\"top\"><a href=\"http://66.196.80.202/babelfish/translate_url_content?.intl=us&amp;lp=en_es&amp;trurl=http%3a%2f%2fwww.mvccms.com%2fcms%2fwysiwyg-editor\">Redactor del WYSIWYG</a> - corrija todas las p&aacute;ginas con el <a href=\"http://66.196.80.202/babelfish/translate_url_content?.intl=us&amp;lp=en_es&amp;trurl=http%3a%2f%2fwindowslivewriter.spaces.live.com%2f\">escritor vivo de Windows</a> <br /></td>\n</tr>\n<tr>\n<td width=\"395\" valign=\"top\"><a href=\"http://66.196.80.202/babelfish/translate_url_content?.intl=us&amp;lp=en_es&amp;trurl=http%3a%2f%2fwww.mvccms.com%2fcms%2fseo\">URL amistosos del Search Engine</a> <br /></td>\n</tr>\n<tr>\n<td width=\"395\" valign=\"top\"><a href=\"http://66.196.80.202/babelfish/translate_url_content?.intl=us&amp;lp=en_es&amp;trurl=http%3a%2f%2fwww.mvccms.com%2fcms%2fautogenerated-menu\">Men&uacute; de Autogenerated</a></td>\n</tr>\n</tbody>\n</table>\n<p>Futuros: foros, blogs, comercio electr&oacute;nico, boletines de noticias, banderas.</p>\n</div>','2009-08-28 19:38:29','2012-12-12 00:00:00',0,1,1,0,0,0,0,0,0,NULL,1,0,12,'CMS del ASP, mvc, sistema de gesti','2009-08-28 20:29:32',1,9,0,0),
 (248,'2009-09-03 10:25:53','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',148,'Developers Category','developers-category','Developers published version','Developers Content Goes Here','2009-09-03 10:25:52','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'Developers description','2009-09-03 10:25:53',1,NULL,0,0),
 (261,'2010-10-08 01:32:03','CE17F970-1405-4047-9163-EF5546890774','CE17F970-1405-4047-9163-EF5546890774',137,'COINTELPRO Culture','cointelpro-culture','COINTELPRO Culture','<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" style=\"width: 100%;\">\r\n	<tbody>\r\n		<tr>\r\n			<td colspan=\"2\" valign=\"top\">\r\n				<h1>\r\n					COINTELPRO Culture</h1>\r\n				<p>\r\n					An era of&nbsp;<a href=\"http://www.amazon.com/Between-Two-Ages-Americas-Technetronic/dp/0670003182\">technetronicly</a> induced paranoia has engulfed modern culture.&nbsp; Americans now give new meaning to the term &quot;shit house rat&quot; and considering the vast filthy prison America has become it is no wonder.&nbsp; Personally I have to spend some time thinking after someone tells me the time of day to analyze their answer for possible provocateurism.</p>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td valign=\"top\">\r\n				Are we all now either shills, agents, dealer/informants, dangerous zombies, or useful idiots?&nbsp; We sure have been conditioned to start to feel that way.&nbsp; One of my main favorite sayings today is &quot;The question isn&#39;t &#39;Am I paranoid?&#39;, The question is &#39;Am I paranoid enough.&#39;&quot;.&nbsp; Hopefully my answer to that question is yes.&nbsp; And then we come full circle to the point of being paranoid of paranoia and then maybe the healing can start.</td>\r\n			<td valign=\"top\">\r\n				&nbsp;</td>\r\n		</tr>\r\n		<tr>\r\n			<td colspan=\"2\" valign=\"top\">\r\n				<p>\r\n					Unless you are Alan Watt and were born knowing the true nature of society at some point in your life you were confronted with and were no longer able to deny that which you had cleverly swept aside up till that point.&nbsp; Or possibly you are reading this and aren&#39;t infected with the wave of acute political awareness that is sweeping the world so I&#39;ll include you too.&nbsp; This is a major psychological experience to go through.&nbsp; It happened to me two years ago and from month to month my clarity is still changing to the point that it is bewildering, it takes some time for all of this to settle in.&nbsp; So it is no wonder that people start down many crazy paths during this experience, and it is no wonder the <a href=\"http://en.wikipedia.org/wiki/Cointelpro\" target=\"_blank\">COINTELPRO</a> operations setup to catch people in the <a href=\"http://www.imdb.com/title/tt0066864/\">Brotherhood of the Bell</a> phase of life are so successful.&nbsp; Anyway, what I am saying is why the hell wouldn&#39;t you be paranoid of everything and everyone during this phase of your life, where does the rabbit hole end?</p>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td colspan=\"2\" valign=\"top\">\r\n				<p>\r\n					As an avid user of the internets I enjoy talking online with people who have views similar to mine.&nbsp; I like to do the occasional YouTube comments battle and so on.&nbsp; I find more and more though a profound movement towards playing spot the infiltrator.&nbsp; As I said above I have no problem with paranoia, anything is possible and many times it seems the better the story sounds the more likely there aint no coupe de&#39; ville at the bottom of that cracker jack box.</p>\r\n				<p>\r\n					The problem is there is what can be known and what can&#39;t be known.&nbsp; As long as a person sticks to the facts and makes reasonable conclusions that have an aire of common sense to them I will stick with them and make the assumption they aren&#39;t trying to gain trust so they can betray it later.</p>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td>\r\n				<p>\r\n					At the end of the day what we may have learned in our latest lessons from the Banksters of doom is that we really shouldn&#39;t trust anyone, probably not even ourselves.&nbsp; How many times have we ourselves been mislead?&nbsp; I for one have gone down so many garden paths I could be a garden path tour guide.&nbsp; Maybe this is what Machiavelli really meant about being a good prince or princess.&nbsp; To rule our own domain we must have a certain ruthlessness.&nbsp; That ruthlessness does not need to be about getting over on the next guy as the Banksters and their minions are convinced the meaning of life is about, but that ruthlessness can be about protecting your mind and your own little kingdom from the other ruthless characters that seem to be absolutely everywhere and sometimes so well disguised in all the things you ever wanted to hear.</p>\r\n			</td>\r\n			<td valign=\"top\">\r\n				&nbsp;</td>\r\n		</tr>\r\n		<tr>\r\n			<td colspan=\"2\" valign=\"top\">\r\n				<p>\r\n					So be ruthless in your honesty about the potential dangers your kingdom of one may encounter each day but also remember to remember to have a little paranoia about being paranoid as well to balance it all out.&nbsp; Maybe someday or the next life we won&#39;t all have to think like a shit house rat just to survive if we do.</p>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n<p>\r\n	&nbsp;</p>\r\n<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" style=\"width: 100%;\">\r\n</table>\r\n<h2>\r\n	And Then On To The Real Part</h2>\r\n<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" style=\"width: 100%;\">\r\n	<tbody>\r\n		<tr>\r\n			<td valign=\"top\">\r\n				<p>\r\n					The problem with paranoia is that 9 times out of 10 we are paranoid about x when y is closing in on us fast and we seem oblivious to y or have it on the back burner for x.&nbsp; This is why organizing your paranoia is an important part of having a healthy ruthlessness in your protection of yourself.&nbsp;</p>\r\n				<p>\r\n					At root this is the common man&#39;s most horrifying shortcoming, his abilities to defend himself intellectually are ghastly insufficient without careful and fastidious exercise of the faculty.&nbsp; That is why we are always looking for the good Sheppard and fall to the farmers plans.&nbsp; Sometimes I would like to blame god for giving us enough intellect to kill each other in mass but not enough common sense to realize when someone is conning us for a nickel.</p>\r\n				<p>\r\n					&nbsp;</p>\r\n			</td>\r\n			<td valign=\"top\">\r\n				&nbsp;</td>\r\n		</tr>\r\n		<tr>\r\n			<td colspan=\"2\" valign=\"top\">\r\n				<p>\r\n					Maybe in 20 years when man is finally free of this financier bankster cancer we can look back and be grateful the last 8,000 years happened because the individual finally grew up and started to take personal responsibility for making sure the &quot;facts&quot; he/she takes from society are valuable and just.</p>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n','2009-10-21 23:08:16','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,1,NULL,1,1,11,'COINTELPRO Culture','2010-10-08 01:32:03',13,NULL,0,0),
 (262,'2010-10-08 01:31:13','CE17F970-1405-4047-9163-EF5546890774','CE17F970-1405-4047-9163-EF5546890774',137,'Where Do We Go From Here ','where-do-we-go-from-here','Where Do We Go From Here ','<table border=\"0\">\r\n	<tbody>\r\n		<tr>\r\n			<td colspan=\"2\">\r\n				<h1>\r\n					Where Do We Go From Here</h1>\r\n				<p>\r\n					Increasingly the ability to stomach almost any compliance with a system so intent on poisoning, deceiving, stealing, retarding, and isolating you is becoming impossible.&nbsp; How long can we pretend to enjoy working for or purchasing from or being entertained by a system that is killing us spiritually, emotionally, and physically?</p>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td>\r\n				<p>\r\n					There was a time you could say it was all going on somewhere &#39;over there&#39; and it was probably because everyone &#39;over there&#39; is lazy, stupid, or that God just didn&#39;t love them the way he loves the God fearing USA.&nbsp; Well Gods love is gone and now we are the lazy, stupid, stepchildren of the most high.&nbsp; We are so fucked it is incomprehensible because we have allowed ourselves to be brainwashed for so long we wouldn&#39;t even know what to fight for.&nbsp; Fight for our McMansions or the good old days when America was great?&nbsp; We don&#39;t even remember how to live well let alone how to form a working consensus to effect a decent resistance.</p>\r\n			</td>\r\n			<td>\r\n				&nbsp;</td>\r\n		</tr>\r\n		<tr>\r\n			<td colspan=\"2\">\r\n				<p>\r\n					What new institutions could be created&nbsp; to oppose our worse than death fate at the hands of our criminal would be owners?&nbsp; What could we all rally around that made sense or was true?&nbsp; Don&#39;t tread on me seems to be a universally accepted good thing to not have happen to oneself.&nbsp; So maybe a little manifesto of what we say &#39;MUST BEE&#39;.&nbsp; Maybe something like.</p>\r\n				<p>\r\n					&nbsp;</p>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td colspan=\"2\">\r\n				<table border=\"0\">\r\n					<tbody>\r\n						<tr>\r\n							<td>\r\n								<h3>\r\n									What Can We Rally Around?</h3>\r\n								<p>\r\n									&nbsp;</p>\r\n							</td>\r\n							<td valign=\"top\">\r\n								<blockquote>\r\n									<br />\r\n									<img align=\"middle\" alt=\"\" src=\"http://www.dotnetscraps.com/samples/bullets/036.gif\" /><span style=\"FONT-FAMILY: arial,helvetica,sans-serif\">&nbsp;<span style=\"FONT-SIZE: small\"><span style=\"FONT-FAMILY: verdana,geneva\">&nbsp;&nbsp; End all wars now, close all military bases and burn the pentagon to the ground.&nbsp; Disband and end funding for CIA, FBI, DEA, IRS, FEMA, Homeland Security, and any other piece of shit federal mafia organization owned by international Banksters. <br />\r\n									<img align=\"middle\" alt=\"\" src=\"http://www.dotnetscraps.com/samples/bullets/036.gif\" />&nbsp;&nbsp;&nbsp; Everyone in Congress and Senate go home and prepare for a lengthy prison sentence.&nbsp; <br />\r\n									<img align=\"middle\" alt=\"\" src=\"http://www.dotnetscraps.com/samples/bullets/036.gif\" />&nbsp; Bulldoze down the Washington Monument, Capital Building, White House, Statue of Liberty and every other Masonic Mystery School House Of Horseshit.&nbsp; Do it live on YouTube. <br />\r\n									<img align=\"middle\" alt=\"\" src=\"http://www.dotnetscraps.com/samples/bullets/036.gif\" />&nbsp;&nbsp;&nbsp; Round up everyone who profited from the drug trade while being in government or other mafia positions where they knew people were going to prison for doing what they were selling.&nbsp; Release all current non violent drug prisoners and give them a job being guards for all the former who are now imprisoned there.&nbsp; Have lax rules for these prisons like Abu Grave. </span></span></span></blockquote>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n				</table>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td colspan=\"2\">\r\n				I think you can see where that list is going.&nbsp; I could go on all day.&nbsp; I think it is time to think about what we want and go for it.&nbsp; No one is going to lay down and just hand it over.&nbsp;&nbsp; These guys have balls of steel why not us?</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n<p>\r\n	&nbsp;</p>\r\n<table border=\"0\">\r\n</table>\r\n<p>\r\n	&nbsp;</p>\r\n<table border=\"0\">\r\n</table>\r\n<h2>\r\n	And Then On To The Real Part</h2>\r\n<p>\r\n	At some point humanity is going to have to confront the children of RA and ISIS and let them know we reject their imposed reality permanently.&nbsp; We gave them a good 8,000 year run to prove they could provide a satisfying meaning of life in their civilization model and it is time to call a spade a spade and admit it has been an abject failure.&nbsp; How many wars, genocides, global larcenies, addiction pandemics, and insidious plots pitting man against himself via manipulation of his more noble qualities do we need to see to get this through our thick heads?&nbsp; It is getting to the point where it is just damn embarrassing to be a human being, if we had the sense of a freaking rodent we would have broken free of these peoples magic long ago.</p>\r\n<p>\r\n	If you think our modern life is an apocalypse of lack of fulfillment to harmony with the natural world think of where our descendants are headed if we do nothing.&nbsp; I have no doubt 500 million brain chipped hermaphrodites is the end game.&nbsp; That is about all the children of RA and ISIS need to serve their insane purposes.&nbsp; So if your descendants even make it to sit in a human feedlot called a <a href=\"http://www.un.org/esa/documents/ecosoc/cn17/1997/ecn171997-2add6.htm\">human habitat area</a> to be a brain chipped chew toy I am now officially laying their fate at your hands reader.&nbsp; If you are reading this you should be officially on notice that you are humanities only hope.&nbsp; You are the one.</p>\r\n<p>\r\n	They think they have bankrupted us, they despise us because we don&#39;t have billions of work units stored in computers and piles of trinkets and pieces of metal.&nbsp; They despise us because they can see the entire scam they have pulled over us for centuries and we do nothing and glorify our debasement.</p>\r\n<p>\r\n	Children of RA and ISIS YOU ARE BANKRUPT!&nbsp; YOUR SOUL IS A DEAD CARCAS OF VENOM.&nbsp; What you promote to us as art, freedom, information, intellect, dignity, and justice are abominations. Every free mind on this planet is sick and tired of your gulag of perversion and we will be free.</p>\r\n<p>\r\n	Once we get to this&nbsp; point, a global confrontation with the powers that have always been behind the powers maybe this spaceship we are on hurtling through nothing at nearly the speed of light can get back to something real.</p>\r\n','2009-10-22 13:26:13','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,1,NULL,1,2,11,'Where Do We Go From Here ','2010-10-08 01:31:13',13,NULL,0,0);
INSERT INTO `contentpages` (`ContentPageID`,`AddedDate`,`ContributorID`,`AddedByID`,`CategoryID`,`Title`,`Path`,`Summary`,`Body`,`ReleaseDate`,`ExpireDate`,`Approved`,`Listed`,`CommentsEnabled`,`OnlyForMembers`,`ViewCount`,`Votes`,`TotalRating`,`IsCurrentVersion`,`IsSubPage`,`OnlyForPayingMembers`,`AnonCommentsEnabled`,`Importance`,`LanguageID`,`Description`,`UpdateDate`,`PortalID`,`AltLanguageForPageID`,`UseWikiMarkup`,`ShowContributorLink`) VALUES 
 (265,'2009-11-18 12:05:55','86A6FCCB-A07A-4985-9B22-66F557DA3946','86A6FCCB-A07A-4985-9B22-66F557DA3946',159,'Home Category','home-category','Home published version','<h1>\r\n	Ranes Software Consulting</h1>\r\n<h3>\r\n	Portfolio</h3>\r\n<table border=\"0\" cellpadding=\"1\" cellspacing=\"1\" style=\"width: 669px;\">\r\n	<tbody>\r\n		<tr>\r\n			<td colspan=\"2\">\r\n				<h4>\r\n					MvcCms <a href=\"http://mvccms.codeplex.com\">Open Source</a> Content Management System</h4>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td valign=\"top\">\r\n				Mvc Cms is focused on the core needs of having a simple but effective content management system that allows full control of url&#39;s and makes page editing and processing easy. If you are looking to create or manage a small or medium size website that has multiple contributors and want to be able to easily manage the html created by your web application Mvc Cms may be a good fit for you.</td>\r\n			<td valign=\"top\">\r\n				<a href=\"http://www.mvccms.com\"><img alt=\"\" border=\"0\" height=\"235\" src=\"/Uploadedimages/rsc-consulting/homepagesmall.gif\" style=\"width: 340px; height: 235px;\" width=\"340\" /></a></td>\r\n		</tr>\r\n		<tr>\r\n			<td colspan=\"2\">\r\n				&nbsp;</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n<p>\r\n	&nbsp;</p>\r\n<table border=\"0\" cellpadding=\"1\" cellspacing=\"1\" style=\"width: 669px;\">\r\n	<tbody>\r\n		<tr>\r\n			<td colspan=\"2\">\r\n				<h4>\r\n					WePayOnline Digital Invoice and Payment Solution</h4>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td valign=\"top\">\r\n				WePayOnline provides web-based Bill Payment Processing and hosting solutions, Account Receivable management solutions, and merchant accounts for businesses, schools, governments nonprofit organizations, and Places of Worship.</td>\r\n			<td valign=\"top\">\r\n				<a href=\"http://www.wepayonline.net\"><img alt=\"\" border=\"0\" src=\"/Uploadedimages/rsc-consulting/wpo.gif\" style=\"width: 340px; height: 262px;\" /></a></td>\r\n		</tr>\r\n		<tr>\r\n			<td colspan=\"2\">\r\n				&nbsp;</td>\r\n		</tr>\r\n	</tbody>\r\n</table>','2009-11-12 17:57:28','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'Home description','2009-11-18 12:05:55',14,NULL,0,0),
 (266,'2009-12-16 19:15:23','FAE20E37-2999-4CB4-B27A-83A77680FF56','FAE20E37-2999-4CB4-B27A-83A77680FF56',160,'Articles Category','articles-category','Articles published version','<script type=\"text/javascript\" src=\"http://content.microsoftsyndication.com/_e/1/ethofy/ethofy.renderManager.js\"></script><script type=\"text/javascript\">ethofy.renderManager.addCrumb(\"CGI=MSDSB&CI=MSUSRTG&GL=en-us&SI=MQW8P3DD&CHI=MSUSRTGWSE&CHF=600x250\");</script>\r\n<p>\r\n	&nbsp;</p>\r\n<p>\r\n	We will be posting articles related to the development projects we are working with here from time to time.</p>\r\n<p>\r\n	&nbsp;</p>\r\n<p>\r\n	<a href=\"http://www.ranessoftwareconsulting.com/Uploadedimages/rsc-consulting/EntityDesignerDiagram.jpg\" target=\"_blank\"><img alt=\"\" border=\"0\" height=\"1761\" src=\"/Uploadedimages/rsc-consulting/EntityDesignerDiagram.jpg\" width=\"600\" /></a></p>\r\n','2009-11-12 18:14:25','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'Articles description','2009-12-16 19:15:23',14,NULL,0,0),
 (267,'2009-12-16 20:19:37','FAE20E37-2999-4CB4-B27A-83A77680FF56','FAE20E37-2999-4CB4-B27A-83A77680FF56',161,'Services Category','services-category','Services published version','<h1>\r\n	Make A Payment</h1>\r\n<div>\r\n	<p>\r\n		<input checked=\"checked\" name=\"Custom ASP .NET Development\" type=\"radio\" value=\"Development\" />Custom ASP .NET Development</p>\r\n	<p>\r\n		<input name=\"ASP .Net Hosting (MvcCms)\" type=\"radio\" value=\"hosting\" />ASP .NET MVC Hosting (MvcCms)</p>\r\n</div>\r\n<div>\r\n	<form action=\"https://www.paypal.com/cgi-bin/webscr\" id=\"Paypal\" method=\"post\" name=\"Paypal\">\r\n		<p>\r\n			Payment Amount:<input name=\"amount_1\" type=\"text\" value=\"\" /></p>\r\n		<p>\r\n			<button id=\"paypal-checkout-button\" type=\"submit\">Checkout With PayPal</button></p>\r\n		<input name=\"cmd\" type=\"hidden\" value=\"_cart\" /> <input name=\"upload\" type=\"hidden\" value=\"1\" /> <input name=\"business\" type=\"hidden\" value=\"jranes@ranessoftwareconsulting.com\" /> <input name=\"item_name_1\" type=\"hidden\" value=\"Payment To Ranes Software Consulting\" /> <input name=\"item_number_1\" type=\"hidden\" value=\"1382\" /> <input name=\"quantity_1\" type=\"hidden\" value=\"1\" /></form>\r\n</div>\r\n<object classid=\"clsid:d27cdb6e-ae6d-11cf-96b8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,40,0\" height=\"54\" width=\"400\"><param name=\"wmode\" value=\"transparent\" /><param name=\"scale\" value=\"showall\" /><param name=\"bgcolor\" value=\"ffffff\" /><param name=\"loop\" value=\"false\" /><param name=\"quality\" value=\"high\" /><param name=\"movie\" value=\"https://www.wepayonline.net/Uploadedfiles/wpopublic/123-banner_com_936126.swf\" /><embed bgcolor=\"ffffff\" height=\"54\" loop=\"false\" pluginspage=\"http://www.macromedia.com/go/getflashplayer\" quality=\"high\" scale=\"showall\" src=\"https://www.wepayonline.net/Uploadedfiles/wpopublic/123-banner_com_936126.swf\" type=\"application/x-shockwave-flash\" width=\"400\" wmode=\"transparent\"></embed></object>','2009-11-12 18:14:41','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'Services description','2009-12-16 20:19:37',14,NULL,0,0),
 (268,'2010-10-07 18:23:15','FAE20E37-2999-4CB4-B27A-83A77680FF56','FAE20E37-2999-4CB4-B27A-83A77680FF56',162,'About Category','about-category','About published version','<h1>\r\n	About RSC Consulting</h1>\r\n<p>\r\n	<b>Areas Of Focus:</b></p>\r\n<p>\r\n	C#, SQL, MVC, Ajax, Data Warehouse, JSON, Microsoft Architecture, Server 2008, IIS 7, Prototype, JQuery, WCF Restfull Services</p>\r\n<p>\r\n	<b>Past Clients: </b></p>\r\n<p>\r\n	<b>DataCore Marketing 2007-2008</b></p>\r\n<ul>\r\n	<li>\r\n		Developed and maintained tools and infrastructure for business intelligence applications.</li>\r\n	<li>\r\n		Built enhancements and new features into existing ETL and data mart applications that provide analytics and reports to end users.</li>\r\n	<li>\r\n		Project types developed included marketing websites, class libraries, console applications, and stored procedures.</li>\r\n	<li>\r\n		All projects were done using C#, ASP .NET versions 2 and 3, MS SQL 2005, Visual Studio 2005 and 2008, and Visual Studio Team System.</li>\r\n	<li>\r\n		Projects used object oriented design.</li>\r\n	<li>\r\n		Worked with databases as large as 500 gig and routinely did data cleansing and transfer projects that transferred 5 to 10 million rows per batch.<b> </b></li>\r\n</ul>\r\n<p>\r\n	<b>Etelligent, Inc. 2006-2007</b></p>\r\n<ul>\r\n	<li>\r\n		Built stock trading and brokerage management application in C# and ASP.NET for client in Overland Park, KS.</li>\r\n	<li>\r\n		The project used several databases that were proprietary brokerage databases.</li>\r\n	<li>\r\n		Took basic specification of planned brokerage website and refined scope and elements of specification and then built using Ajax enabled pages blending javascript, html, xml, ASP.Net, and C#.</li>\r\n	<li>\r\n		The project also included intensive use of a third party grid control that consumes xml from Ajax page calls. This project has multi-tiered architecture and includes the use of multiple SQL 2005 databases with scalar functions and stored procedures.</li>\r\n	<li>\r\n		Graphic images and MasterPage layout were provided by the client.</li>\r\n</ul>\r\n<p>\r\n	<b>Sprint 2006-2007 Corporate Security</b></p>\r\n<ul>\r\n	<li>\r\n		Developed and implemented applications for enterprise wide migration to Microsoft Identity Integration Server.</li>\r\n	<li>\r\n		Wrote custom applications and configured MIIS to become the authoritative identity server for the enterprise.</li>\r\n	<li>\r\n		Applications were written in both VB.Net and C# that integrated data and business rules in from ADAM, LDAP, several HR applications, and other sources.</li>\r\n	<li>\r\n		Routinely transferred millions of records to MIIS database from many sources.</li>\r\n</ul>\r\n<p>\r\n	<b>Ingenix </b><b>2003-2006</b></p>\r\n<ul>\r\n	<li>\r\n		Developed and maintained health care provider lookup online sites for health care insurance providers nationwide. These websites are all Microsoft based using classic asp and asp.net. Conversion of sites is ongoing.</li>\r\n	<li>\r\n		Wrote queries for data retrieval from large health provider databases.</li>\r\n	<li>\r\n		Was responsible for site infrastructure upgrades including switching to Ingenix map servers and integrating health grades technology.</li>\r\n	<li>\r\n		Designed and led development team to create a webservice to supply provider lookup results based on user criteria written in C#.</li>\r\n</ul>\r\n<p>\r\n	<strong>American Identity</strong></p>\r\n<ul>\r\n	<li>\r\n		Development of VB.Net / ASP.Net web based shopping cart.</li>\r\n</ul>\r\n<p>\r\n	<strong>VML 2002-2003</strong></p>\r\n<ul>\r\n	<li>\r\n		Adding functionality to Simon.com search pages.</li>\r\n	<li>\r\n		Built web based printing of invoices from Great Plains accounting program.</li>\r\n	<li>\r\n		Environment: ASP, C#, VB Script, JavaScript, XML and HTML, MS SQL Server 2000</li>\r\n</ul>\r\n<p>\r\n	<strong>Fidelity National Information Solutions (FNIS) 2002-2003</strong></p>\r\n<ul>\r\n	<li>\r\n		Worked on Real Estate Multiple Listing Service (MLS) program Paragon. This application allows real estate information to be aggregated by brokers and other real estate professionals and made available to consumers of MLS data through a web interface.</li>\r\n	<li>\r\n		Responsible for building and adding functionality to the search pages for this application. Searches were customized by user and security level and allowed criteria for searches to be built in any combination.</li>\r\n</ul>\r\n<p>\r\n	<strong>Pier l Imports 2001-2002</strong></p>\r\n<ul>\r\n	<li>\r\n		Worked independently on a supply chain web development project designed to track delivery issues.</li>\r\n	<li>\r\n		Designed and completed a web application that allowed Pier1 stores to view the list of scheduled deliveries along with detailed information about each delivery. Detail information included items such as carrier, driver, shipment contents, scheduled arrival time, and contact information. Upon delivery completion stores are allowed to indicate the actual arrival time and record any problems or issues related to the delivery.</li>\r\n</ul>\r\n<p>\r\n	<b>Aurion Tech 2000-2001</b></p>\r\n<ul>\r\n	<li>\r\n		Led the development of a web based natural gas reservoir financial and flow analysis application for use over the Internet by customers who subscribe to the natural gas web-monitoring infrastructure.</li>\r\n	<li>\r\n		Performed requirements analysis and specified this project to use Microsoft DNA architecture using COM-MTS, SQL, Oracle, VB, InterDev, JavaScript and VB Script.</li>\r\n	<li>\r\n		Designed and implemented an XML BizTalk solution for Aurion to process all their batch process and handle all data transfers both internally and externally for the company.</li>\r\n	<li>\r\n		Developed a website to manage information regarding their gas monitoring facilities.</li>\r\n</ul>\r\n<p>\r\n	<b>Technium, Inc. 1999-2000 </b></p>\r\n<ul>\r\n	<li>\r\n		Assigned to MeriStar. Developed a worldwide-distributed accounts payable and construction management package. All of these projects used Microsoft DNA architecture using COM-MTS, SQL, Oracle, VB 6.0, ADO 2.1, ASP, InterDev JavaScript and VB Script.</li>\r\n	<li>\r\n		Senior Consultant and acting as E-commerce Practice Manager. Taught classes on Microsoft Solutions Framework (MSF) and all aspects of web development.</li>\r\n	<li>\r\n		Assigned to HomeBuilder.com. Led the development of a web site development for entry of new home data into the HomeBuilder.com site. This project hosted entirely on a Windows 2000 platform using COM and IIS 5.0.<b> </b></li>\r\n</ul>\r\n<p>\r\n	<b>ViaStar Services Corporation 1998-1999 </b></p>\r\n<ul>\r\n	<li>\r\n		The function of this program was to operate a 24-hour call center supporting approximately ten thousand customers seeking fuel purchases and other purchases with the associated credit cards and checking services.</li>\r\n	<li>\r\n		Wrote a very complex portion of the program that settled accounts with the Federal Reserve Draft Clearing Internet site that utilized ASP.</li>\r\n</ul>\r\n<p>\r\n	<b>FSC Inc. 1996-1998 </b></p>\r\n<ul>\r\n	<li>\r\n		Produced a market ready software package and was responsible for development reports, the specification and use case for program development, and software testing as well as coding.</li>\r\n	<li>\r\n		Completed an engineering package named Water for Windows. The business purpose of this program is to produce reports on hydraulic calculations of fire sprinkler systems. This project was developed using Visual Basic 4.0,Visual Basic 5.0, Microsoft Access, and MS SQL.</li>\r\n</ul>\r\n<p>\r\n	<b>Jonathan Ranes: <a href=\"http://www.linkedin.com/in/jonranes\">Linked In Profile</a></b></p>\r\n<p>\r\n	<img alt=\"\" border=\"0\" height=\"64\" src=\"/Uploadedimages/rsc-consulting/thumbs/rsc-ceo-profile_2.jpg\" style=\"border-width: 0px; display: inline;\" title=\"\" width=\"64\" /></p>\r\n<p>\r\n	<strong>EDUCATION:</strong></p>\r\n<p>\r\n	B.S. Political Science - Administration/Management, Minor Computer Science/Application Development, Truman State University, Kirksville, MO, 1996</p>\r\n<p>\r\n	Microsoft Certified Professional, Designing and Implementing Distributed Applications</p>\r\n<p>\r\n	<a href=\"http://www.scribd.com/doc/8760636/MS-Learning-Transcript1\" style=\"margin: 12px auto 6px; font-family: Helvetica,Arial,Sans-serif; font-style: normal; font-variant: normal; font-weight: normal; font-size: 14px; line-height: normal; font-size-adjust: none; font-stretch: normal; display: block; text-decoration: underline;\" title=\"View MS Learning Transcript[1] on Scribd\">MS Learning Transcript[1]</a> <object align=\"middle\" classid=\"clsid:d27cdb6e-ae6d-11cf-96b8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0\" height=\"500\" id=\"doc_193125593482502\" name=\"doc_193125593482502\" width=\"800\"><param name=\"quality\" value=\"high\" /> <param name=\"movie\" value=\"http://d1.scribdassets.com/ScribdViewer.swf?document_id=8760636&amp;access_key=key-2nbar812mcm3rkckyf33&amp;page=1&amp;version=1&amp;viewMode=list\" /></object></p>\r\n','2009-11-12 18:15:02','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'About description','2010-10-07 18:23:15',14,NULL,0,0),
 (269,'2010-06-22 19:17:42','FAE20E37-2999-4CB4-B27A-83A77680FF56','FAE20E37-2999-4CB4-B27A-83A77680FF56',163,'Contact Us Category','contact-us-category','Contact Us published version','<h1>\r\n	Contact Us</h1>\r\n<div id=\"article-view\">\r\n	<p>\r\n		<img align=\"left\" alt=\"\" border=\"0\" height=\"193\" src=\"/Uploadedimages/rsc-consulting/rsclocation.gif\" style=\"margin-right: 10px;\" width=\"371\" /></p>\r\n	<h3>\r\n		Chillicothe, Missouri</h3>\r\n	12180 Liv 302 <br />\r\n	Chillicothe, MO 64601 <br />\r\n	<br />\r\n	Approximately 40 Miles Northeast of Kansas City <br />\r\n	<br />\r\n	T: 1-660-240-8616&nbsp;<br />\r\n	F: 1-608-646-6435 <br />\r\n	<a href=\"mailto:JRanes@RanesSoftwareConsulting.com\">Email</a>\r\n	<p>\r\n		Would you like to talk to us about new opportunities for your business? Got a question about project design, development or management regarding Ranes Software Consulting?&nbsp; We&#39;re happy to hear from you.</p>\r\n</div>\r\n','2009-11-12 18:17:23','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'Contact Us description','2010-06-22 19:17:42',14,NULL,0,0),
 (270,'2009-11-12 22:12:22','FAE20E37-2999-4CB4-B27A-83A77680FF56','FAE20E37-2999-4CB4-B27A-83A77680FF56',164,'Site Search Category','site-search-category','Site Search published version','<div class=\"isloading-container\">\n	<div class=\"isloading\" id=\"isloading\">\n		&nbsp;</div>\n</div>\n<h1>\n	Search Results</h1>\n<table border=\"0\" class=\"SearchResults\" id=\"SearchResults-tbl\">\n	<tbody>\n	</tbody>\n</table>\n','2009-11-12 22:09:34','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,1,11,'Site Search description','2009-11-12 22:12:22',14,NULL,0,0),
 (271,'2010-03-30 12:07:07','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','86A6FCCB-A07A-4985-9B22-66F557DA3946',165,'welcomeall','welcomeall','Home published version w','dddddddddddd','2009-11-12 22:33:04','2012-12-12 00:00:00',0,1,1,0,0,0,0,0,0,NULL,1,1,11,'Home description','2010-03-30 12:07:07',15,NULL,0,1),
 (272,'2010-01-21 06:42:56','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',166,'Links Category','links-category','Links published version','!! Sandl','2009-11-12 22:43:40','2012-12-12 00:00:00',0,1,1,0,0,0,0,1,0,NULL,0,0,11,'Links description','2010-01-21 06:42:56',15,NULL,0,0),
 (274,'2010-02-09 08:50:32','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',168,'Forums Category','forums-category','Forums published version','<p>\n	Forums Content Goes Here</p>\n<p>\n	and here</p>\n<p>\n	&nbsp;</p>\n<p>\n	and here</p>\n','2009-11-12 22:44:10','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,0,11,'Forums description','2010-02-09 08:50:32',15,NULL,0,0),
 (275,'2010-01-24 10:56:18','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',169,'Systems Category','systems-category','Systems published version','bubbles bubbles \nbubbles\ns','2009-11-12 22:44:24','2012-12-12 00:00:00',0,1,1,0,0,0,0,1,0,NULL,1,0,11,'Systems description','2010-01-24 10:56:18',15,NULL,0,0),
 (276,'2010-03-25 03:38:55','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',169,'New Page Name','new-page-name','New Page Summary','<p>\n	New Page Content Goes HereNew Page Content Goes HereNew Page Content Goes HereNew Page Content Goes HereNew Page Content GoeNew Page Content Goes Here New Page Content Goes Here New Page Content Goes Here New Page Content Goes Here New Page Content Goes Here s Here</p>','2009-11-12 22:46:59','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,1,11,'New Page Description','2010-03-25 03:38:55',15,NULL,0,0),
 (277,'2010-02-05 04:33:21','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',166,'vagelis','vagelis','vagelis summary','<p>\n	New Page Content Goes Here</p>\n<p>\n	&nbsp;</p>\n<p>\n	This is a Frank Tes</p>\n<p>\n	&nbsp;</p>\n<p>\n	&lt;img src=&quot;http://www.kentico.com/App_Themes/Kentico/images/laptop.gif&quot; /&gt;</p>\n','2009-11-12 22:47:23','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,1,NULL,0,2,11,'New Page Description','2010-02-05 04:33:21',15,NULL,0,0),
 (278,'2010-01-08 23:31:25','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',165,'Artikel 1','artikel-1','article 1 subpage','! Morality has its axioms, like the other sciences; and these axioms are, in oj vad','2009-11-12 22:53:17','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,1,NULL,1,2,11,'its an article','2010-01-08 23:31:25',15,NULL,0,0),
 (279,'2010-03-25 08:57:16','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',165,'Main','main','Testar','! we fsdfsddfs\nDen h','2009-11-12 22:53:30','2012-12-12 00:00:00',0,1,1,1,0,0,0,0,1,NULL,1,1,11,'New Page Description','2010-03-25 08:57:16',15,NULL,0,1),
 (280,'2009-12-21 13:07:53','EF06754D-AEFA-4763-B7D0-99B660B50A63','FAE20E37-2999-4CB4-B27A-83A77680FF56',160,'Prototype Cross Site Ajax With WCF','prototype-cross-site-ajax-with-wcf','Prototype Cross Site Ajax With WCF article subpage','<h1>\n	Prototype Cross Site Ajax With WCF</h1>\n<p>\n	Last month RSC took on a project to deliver category search to a classic asp at <a href=\"http://www.megahobby.com/\">MegaHobby.com</a>.&nbsp; They use MonsterCommerce and are unable to edit the server code on their site.&nbsp; I said, &quot;I know, we can use Ajax&quot;.&nbsp; I wasn&#39;t 100% sure it would work but I wanted to try.&nbsp; There was the issue of it having to be cross site as there was no way to host the service under their domain name.&nbsp; Also it would have to perform well as they have several thousand products to search through several fields.</p>\n<p>\n	The basic problem was a general search on their site for say &quot;boat&quot; would return 1291 results.</p>\n<p>\n	<a href=\"http://www.ranessoftwareconsulting.com/Uploadedimages/rsc-consulting/megah-old_2.jpg\"><img alt=\"megah-old\" border=\"0\" src=\"/Uploadedimages/rsc-consulting/megah-old_2.jpg\" style=\"border-width: 0px; display: inline; width: 409px; height: 258px;\" title=\"megah-old\" /></a></p>\n<p>\n	Well, suppose you were only looking for Aircraft Model Kits, Army Men and Playsets, Aviation Replicas, Balsa Airplanes or Books, or DVD and Videos that contained the word &quot;boat&quot; specifically.&nbsp; It would be a lot of going from page to page of results, waiting for the entire page to render and never knowing if the next page was going to have your desired category.&nbsp; The client had already categorized their products but the ecommerce program they use had no way of implementing this in the search.&nbsp; So the goal was to make the search look like this.</p>\n<p>\n	<img alt=\"megah-new\" border=\"0\" src=\"/Uploadedimages/rsc-consulting/megah-new_2.jpg\" style=\"border-width: 0px; display: inline; width: 404px; height: 278px;\" title=\"megah-new\" /></p>\n<p>\n	First off was to set up a WCF service to handle the client script results.&nbsp; I would want the service to return standard Json data with no special .NET formatting as I had no control over the display of the data other than what I could do with a client script library.&nbsp; If you are doing something like this for the first time there are a few names you should get to know.&nbsp; The first is <a href=\"http://www.west-wind.com/Weblog/\">Rick Strahl</a>, Rick seems to have the practical answers to most WCF questions, answers from experience and not a book.&nbsp; The second is <a href=\"http://blogs.msdn.com/carlosfigueira/default.aspx\">Carlos Figueira</a> and his article showing how to coax WCF to send back raw stream data.&nbsp; You know Json the way the normal world does it, without all the tags quotes and junk.&nbsp; Basically you set the return type of the WCF service as <a href=\"http://msdn2.microsoft.com/en-us/8f86tw9e\">System.IO.Stream</a>.</p>\n<pre class=\"code\">[<span style=\"color: rgb(43, 145, 175);\">OperationContract</span>]\n[<span style=\"color: rgb(43, 145, 175);\">WebGet</span>(BodyStyle = <span style=\"color: rgb(43, 145, 175);\">WebMessageBodyStyle</span>.WrappedRequest,\n        ResponseFormat = <span style=\"color: rgb(43, 145, 175);\">WebMessageFormat</span>.Json\n        )] \nSystem.IO.<span style=\"color: rgb(43, 145, 175);\">Stream </span>AllCategories(<span style=\"color: blue;\">string </span>sCatName);\n\n[<span style=\"color: rgb(43, 145, 175);\">OperationContract</span>]\n[<span style=\"color: rgb(43, 145, 175);\">WebGet</span>(BodyStyle = <span style=\"color: rgb(43, 145, 175);\">WebMessageBodyStyle</span>.WrappedRequest,\n        ResponseFormat = <span style=\"color: rgb(43, 145, 175);\">WebMessageFormat</span>.Json\n        )]\nSystem.IO.<span style=\"color: rgb(43, 145, 175);\">Stream </span>GetProducts(<span style=\"color: blue;\">string </span>sCatName, <span style=\"color: blue;\">string </span>sSearch);</pre>\n<p>\n	And then to convert my Linq data to to Json was so simple I was amazed.</p>\n<pre class=\"code\"><span style=\"color: blue;\">var </span>CatWProds = db.SearchCategoryProductCnt(sCatName, dPrice);\n\n<span style=\"color: rgb(43, 145, 175);\">JavaScriptSerializer </span>jss = <span style=\"color: blue;\">new </span><span style=\"color: rgb(43, 145, 175);\">JavaScriptSerializer</span>();\n<span style=\"color: blue;\">string </span>result = jss.Serialize(CatWProds).ToString();\nresult = <span style=\"color: rgb(163, 21, 21);\">&quot;getResponse(&quot; </span>+ result + <span style=\"color: rgb(163, 21, 21);\">&quot;);&quot;</span>;\n<span style=\"color: blue;\">byte</span>[] resultBytes = <span style=\"color: rgb(43, 145, 175);\">Encoding</span>.UTF8.GetBytes(result);\n<span style=\"color: rgb(43, 145, 175);\">WebOperationContext</span>.Current.OutgoingResponse.ContentType = <span style=\"color: rgb(163, 21, 21);\">&quot;text/plain&quot;</span>;\n<span style=\"color: blue;\">return new </span><span style=\"color: rgb(43, 145, 175);\">MemoryStream</span>(resultBytes);</pre>\n<p>\n	The JavaScriptSerializer is found under System.Web.Script.Serialization and it takes my var result to a Linq call to a search based stored procedure that joins a fulltexttable to a view and poof, converts it to awesome raw Json in what two lines of code.&nbsp; You can also see above I am implementing <a href=\"http://www.west-wind.com/Weblog/posts/107136.aspx\">JsonP</a> with this line.</p>\n<p>\n	result = <span style=\"color: rgb(163, 21, 21);\">&quot;getResponse(&quot; </span>+ result + <span style=\"color: rgb(163, 21, 21);\">&quot;);&quot;</span>;</p>\n<p>\n	The next big blog post that really helped me and many others out is <a href=\"http://blogs.msdn.com/alikl/archive/2008/02/18/how-to-consume-wcf-using-ajax-without-asp-net.aspx\">Consume WCF Using AJAX Without ASP.NET</a> by Alik Levin.&nbsp; I would recommend reading that article and running the sample code yourself as I am sure it will come in handy at some point.</p>\n<p>\n	So now I was ready to code the client end of this application.&nbsp; My main consideration was how to achieve a cross site Ajax call that was cross browser compatible.&nbsp; Enter <a href=\"http://www.mellowmorning.com/2007/10/25/introducing-a-cross-site-ajax-plugin-for-prototype/\">Thierry Schellenbach</a>&nbsp; with the cross site Prototype library plug-in.&nbsp; This plug-in is fully tested in ie, ff, and safari and others.&nbsp; I was starting to get nervous I wouldn&#39;t be able to pull this off until I found Thierry&#39;s plug-in.&nbsp; I added a little <a href=\"http://code.google.com/p/reallysimplehistory\">really simple history</a> and was creating tables on the client in just a few lines of code.</p>\n<pre class=\"code\"><span style=\"color: blue;\">function </span>CallService(sSearch) {\n    url = <span style=\"color: rgb(163, 21, 21);\">&#39;http://localhost/wcf2ajax/service.svc/ajaxEndpoint/AllCategories?time=&#39;\n    </span>url += <span style=\"color: blue;\">new </span>Date().getTime().toString(); <span style=\"color: green;\">// prevent caching            \n    </span>$(<span style=\"color: rgb(163, 21, 21);\">&#39;product_result&#39;</span>).innerHTML = <span style=\"color: rgb(163, 21, 21);\">&quot;&quot;</span>;\n    <span style=\"color: blue;\">new </span>Ajax.Request(url, {\n        method: <span style=\"color: rgb(163, 21, 21);\">&#39;GET&#39;</span>,\n        crossSite: <span style=\"color: blue;\">true</span>,\n        parameters: { <span style=\"color: rgb(163, 21, 21);\">&quot;sCatName&quot;</span>: sSearch },\n        onLoading: <span style=\"color: blue;\">function</span>(transport) {\n        },\n        onSuccess: <span style=\"color: blue;\">function</span>(transport) {\n        },\n        onFailure: <span style=\"color: blue;\">function</span>(transport) {\n        }\n    });\n}\n\n<span style=\"color: blue;\">function </span>getResponse(json) {\n    <span style=\"color: blue;\">if </span>(json !=<span style=\"color: blue;\">null</span>){ \n        <span style=\"color: blue;\">var </span>data = json;\n        <span style=\"color: blue;\">var </span>close = <span style=\"color: rgb(163, 21, 21);\">&quot;&lt;/a&gt; | &quot;</span>;\n        <span style=\"color: blue;\">var </span>bodyFormatted = <span style=\"color: rgb(163, 21, 21);\">&quot;&quot;</span>;\n        <span style=\"color: blue;\">if </span>(data.length &gt; 0) {\n            <span style=\"color: blue;\">for </span>(<span style=\"color: blue;\">var </span>i = 0; i &lt; data.length; i++) {\n                <span style=\"color: blue;\">var </span>item = data[i];\n                <span style=\"color: blue;\">var </span>sCatName = item.CatName.replace(/<span style=\"color: rgb(163, 21, 21);\">&#39;/g, &quot;&quot;);\n          </span></pre>\n<p>\n	Being able get to data in JavaScript using notation like item.CatName is a real plus.&nbsp; Json is really great.&nbsp; Setting the browser history and page title with RSH isn&#39;t much harder than.</p>\n<pre class=\"code\">dhtmlHistory.add(<span style=\"color: rgb(163, 21, 21);\">&quot;#hSearchTerm:&quot; </span>+ ajst);\nChangeTitle(<span style=\"color: rgb(163, 21, 21);\">&quot;MegaHobby.com Search for: &quot; </span>+ ajst);\ndhtmlHistory.initialize();\ndhtmlHistory.addListener(yourListener);</pre>\n<p>\n	So if you have clients locked into a platform needing new features cross site Ajax may be a viable solution.</p>\n<p>\n	Head over to <a href=\"http://www.megahobby.com/\">MegaHobby.com</a> and search around for <a href=\"http://www.megahobby.com/index.asp?PageAction=Custom&amp;ID=163#hSearchTerm:star%20trek\">Star Trek</a> and see what this approach can do.</p>\n<p>\n	<img alt=\"\" border=\"0\" height=\"64\" src=\"/Uploadedimages/rsc-consulting/rsc-ceo-profile_2.jpg\" style=\"border-width: 0px; display: inline;\" title=\"\" width=\"64\" /></p>\n','2009-11-12 23:28:03','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,1,NULL,1,1,11,'Prototype Cross Site Ajax With WCF','2009-12-21 13:07:53',14,NULL,0,1),
 (281,'2009-11-12 23:53:27','FAE20E37-2999-4CB4-B27A-83A77680FF56','FAE20E37-2999-4CB4-B27A-83A77680FF56',161,'CMS Hosting With Mvc Cms','cms-hosting-with-mvc-cms','CMS Hosting With Mvc Cms','<h1>\r\n	MVC CMS now available from RSC Consulting.</h1>\r\n<p>\r\n	<br />\r\n	<br />\r\n	Need an easy to use ASP CMS that leverages the advantages of the new MVC Platform?<br />\r\n	<br />\r\n	<br />\r\n	MVC CMS has core features for user management, page and article publishing, contributor assignment, members only content, and version management; all fully configurable from an easy to use CMS management page.&nbsp; Screenshot below. <br />\r\n	<br />\r\n	&nbsp; <a href=\"http://www.mvccms.com/Uploadedimages/default/mvccms-half.gif\" target=\"_blank\"><img alt=\"aspcms\" border=\"0\" height=\"259\" src=\"http://www.mvccms.com/Uploadedimages/default/mvccms-half.gif\" style=\"border: 0px none ; display: inline; width: 343px; height: 259px;\" title=\"aspcms\" width=\"343\" /></a> &nbsp;&nbsp;&nbsp;</p>\r\n<p>\r\n	Do you find Windows Live Writer to be a great way to create pages and easily include images or files?&nbsp; Every page on your site can be easily edited with Live Writer using MVC CMS!</p>\r\n<p>\r\n	MVC CMS is open source so you can add anything else you want!<br />\r\n	<br />\r\n	&nbsp;&nbsp;&nbsp; If you are a developer you will like the easy to work with class object model with ADO Entity and the custom ASP Membership implementation.<br />\r\n	<br />\r\n	&nbsp;&nbsp;&nbsp; If you are a webmaster you will love the great support for SEO friendly URL&rsquo;s and user management.<br />\r\n	<br />\r\n	If you have any questions contact us.</p>\r\n<p>\r\n	Order Now (Price is includes CMS Source setup with up to 100 hours of customization. monthly hosting price based on bandwidth.)</p>\r\n<div>\r\n	<p>\r\n		Regular Price: <b>$450.00</b> | Sale Price: <b><font color=\"red\">$450.00</font></b> |</p>\r\n</div>\r\n','2009-11-12 23:37:29','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,2,11,'CMS Hosting With Mvc Cms','2009-11-12 23:53:27',14,NULL,0,0),
 (282,'2009-12-09 22:43:44','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',170,'Site Search Category','site-search-category','Site Search published version','<div class=\"isloading-container\">\n	<div class=\"isloading\" id=\"isloading\">\n		&nbsp;</div>\n</div>\n<h1>\n	Search Results</h1>\n<table border=\"0\" class=\"SearchResults\" id=\"SearchResults-tbl\">\n	<tbody>\n	</tbody>\n</table>\n\n','2009-11-16 11:25:31','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,0,11,'Site Search description','2009-12-09 22:43:44',15,NULL,0,0),
 (285,'2009-12-08 18:03:59','CE17F970-1405-4047-9163-EF5546890774','CE17F970-1405-4047-9163-EF5546890774',137,'FOI2009.zip','foi2009zip','aws done','<h1>\r\n	Ding Dong The AWS Witch is DEAD</h1>\r\n<p>\r\n	<a href=\"http://wattsupwiththat.com/2009/11/19/breaking-news-story-hadley-cru-has-apparently-been-hacked-hundreds-of-files-released/\">http://wattsupwiththat.com/2009/11/19/breaking-news-story-hadley-cru-has-apparently-been-hacked-hundreds-of-files-released/</a></p>\r\n<p>\r\n	Torrent Link For Files <a href=\"http://torrents.thepiratebay.org/5171206/Hadley_CRU_Files_(FOI2009.zip).5171206.TPB.torrent\">http://torrents.thepiratebay.org/5171206/Hadley_CRU_Files_(FOI2009.zip).5171206.TPB.torrent</a></p>\r\n<p>\r\n	<a href=\"http://www.realitypeninsula.info/Uploadedfiles/real-pen/RulesOfTheGame.pdf\">Rules of The Game</a> from the Hadley files</p>\r\n<p>\r\n	<strong>There is plenty of evidence<br />\r\n	relating to attitudes towards and<br />\r\n	behaviour on climate change,<br />\r\n	general environmental behaviour<br />\r\n	change and the whole issue<br />\r\n	of sustainable development<br />\r\n	communication. As we reviewed<br />\r\n	the research for these principles,<br />\r\n	one &lsquo;&uuml;berprinciple&rsquo; emerged:<br />\r\n	&ldquo;Changing attitudes<br />\r\n	towards climate change is<br />\r\n	not like selling a particular<br />\r\n	brand of soap &ndash; it&rsquo;s like<br />\r\n	convincing someone to<br />\r\n	use soap in the first place.&rdquo;<br />\r\n	</strong></p>\r\n<p>\r\n	&nbsp;</p>\r\n<p>\r\n	Take that unwashed masses!</p>\r\n<blockquote>\r\n	<p>\r\n		&nbsp;</p>\r\n	<p>\r\n		<em>We feel that climate science is, in the current situation, too important to<br />\r\n		be kept under wraps.</em></p>\r\n	<p>\r\n		<em>We hereby release a random selection of correspondence, code, and documents</em></p>\r\n	<p>\r\n		&nbsp;</p>\r\n</blockquote>\r\n<p>\r\n	This was the message posted on a blog today from a Russian source that seems legit.&nbsp; The Global Warming Scam is over.&nbsp; The name of the file is FOI2009.zip</p>\r\n<p>\r\n	<br />\r\n	an exerpt.</p>\r\n<p>\r\n	&nbsp;</p>\r\n<p>\r\n	From: Phil Jones<br />\r\n	To: ray bradley ,mann@xxxxx.xxx, mhughes@xxxx.xxx<br />\r\n	Subject: Diagram for WMO Statement<br />\r\n	Date: Tue, 16 Nov 1999 13:31:15 +0000<br />\r\n	Cc: k.briffa@xxx.xx.xx,t.osborn@xxxx.xxx</p>\r\n<p>\r\n	&nbsp;</p>\r\n<p>\r\n	Dear Ray, Mike and Malcolm,<br />\r\n	Once Tim&rsquo;s got a diagram here we&rsquo;ll send that either later today or<br />\r\n	first thing tomorrow.<br />\r\n	I&rsquo;ve just completed Mike&rsquo;s Nature trick of adding in the real temps<br />\r\n	to each series for the last 20 years (ie from 1981 onwards) amd from<br />\r\n	1961 for Keith&rsquo;s to hide the decline. Mike&rsquo;s series got the annual<br />\r\n	land and marine values while the other two got April-Sept for NH land<br />\r\n	N of 20N. The latter two are real for 1999, while the estimate for 1999<br />\r\n	for NH combined is +0.44C wrt 61-90. The Global estimate for 1999 with<br />\r\n	data through Oct is +0.35C cf. 0.57 for 1998.<br />\r\n	Thanks for the comments, Ray.</p>\r\n<p>\r\n	Cheers<br />\r\n	Phil</p>\r\n<p>\r\n	Prof. Phil Jones<br />\r\n	Climatic Research Unit Telephone +44 (0) xxxxx<br />\r\n	School of Environmental Sciences Fax +44 (0) xxxx<br />\r\n	University of East Anglia<br />\r\n	Norwich Email p.jones@xxxx.xxx<br />\r\n	NR4 7TJ<br />\r\n	UK</p>\r\n','2009-11-19 22:42:47','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,1,NULL,1,3,11,'hadly cru','2009-12-08 18:03:59',13,NULL,0,0),
 (286,'2009-12-06 19:42:14','CE17F970-1405-4047-9163-EF5546890774','CE17F970-1405-4047-9163-EF5546890774',137,'Hadley Emails','hadley-emails','New Page Summary','<p>\r\n	<img alt=\"\" height=\"381\" src=\"/Uploadedimages/real-pen/InconvenientTruth-1.gif\" width=\"500\" /></p>\r\n<p>\r\n	&nbsp;</p>\r\n<p>\r\n	&nbsp;</p>\r\n<p>\r\n	<img alt=\"\" src=\"/Uploadedimages/real-pen/ianh-greenpeace-ships.jpg\" style=\"width: 688px; height: 290px;\" /></p>\r\n','2009-11-20 02:05:28','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,1,NULL,1,4,11,'emails from hadley','2009-12-06 19:42:14',13,NULL,0,0),
 (289,'2009-11-24 02:43:43','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',168,'N545445','n545445','5454','<p>\n	New Page Content Goes Here</p>\n','2009-11-24 02:43:43','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,1,NULL,0,3,11,'N5454','2009-11-24 02:43:43',15,NULL,0,0),
 (290,'2009-11-24 02:44:06','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',168,'New Alternate Language Page Name','new-alternate-language-page-name','New Page Summary','<p>\n	New Alternate Language Page Content Goes Here rrtrrrtr</p>\n','2009-11-24 02:44:05','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,0,NULL,0,0,29,'New Alternate Language Page Description','2009-11-24 02:44:06',15,289,0,0),
 (291,'2009-11-24 02:45:53','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',166,'New Page Nameewewew','new-page-nameewewew','New Page Summary','<p>\n	test</p>\n','2009-11-24 02:45:39','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,1,NULL,0,4,11,'New Page Description','2009-11-24 02:45:53',15,NULL,0,0),
 (292,'2010-03-25 04:08:41','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',174,'Shows Category','shows-category','Shows published version','!! Shows\r\n\r\nbig little shows\r\n\r\nasdf\r\nasd\r\nfa\r\nsdf\r\n\r\n\r\nasd\r\nf\r\nsdf\r\n\r\n','2009-11-25 05:38:27','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'Shows description','2010-03-25 04:08:41',15,NULL,0,0),
 (293,'2010-02-23 17:54:33','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',175,'Reality Category','reality-category','Reality published version','!! Reality Content Goes Here\n\ntesting\n\n[image:http://www.mvccms.net/Uploadedimages/sandbox/reality.jpg]\n','2009-11-25 05:39:00','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,1,11,'Reality description','2010-02-23 17:54:33',15,NULL,0,1),
 (294,'2010-02-25 10:32:33','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',176,'Fiction Category','fiction-category','Fiction published version','!!  Fiction Content Goes Here!\n\n\nasdfasdfasdf asdfsdacsavasdvasdfdsaf sdafsdaf asdf ewfsfsf\n\nSome other fiction','2009-11-25 05:39:30','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,1,11,'Fiction description','2010-02-25 10:32:33',15,NULL,0,0),
 (295,'2009-11-26 04:27:20','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','61C44375-6B77-4506-8B55-94AB750A273E',175,'fdgfd','fdgfd','dfgfd','<p>\n	New Page Content Goes Here</p>\n','2009-11-26 04:27:20','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,4,11,'dfgfdgfd','2009-11-26 04:27:20',15,NULL,0,0),
 (298,'2009-12-04 01:24:26','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',179,'Wiki Category','wiki-category','Wiki published version','Wiki Content Goes Here','2009-12-04 01:24:26','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'Wiki description','2009-12-04 01:24:26',1,NULL,0,0),
 (299,'2009-12-09 22:43:44','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',180,'Wiki Category','wiki-category','Wiki published version','Wiki Content Goes Here','2009-12-04 01:40:10','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,0,11,'Wiki description','2009-12-09 22:43:44',15,NULL,0,0),
 (300,'2009-12-04 02:47:06','CE17F970-1405-4047-9163-EF5546890774','CE17F970-1405-4047-9163-EF5546890774',181,'Wiki Category','wiki-category','Wiki published version','Wiki Content Goes Here','2009-12-04 02:47:05','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'Wiki description','2009-12-04 02:47:06',13,NULL,0,0),
 (302,'2009-12-13 21:37:38','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',183,'Science Category','science-category','Science published version','!!  Science Fiction Shows\r\n\r\n[image:http://www.mvccms.net/Uploadedimages/sandbox/star_wars_babe-thumb.jpg]\r\n','2009-12-05 22:03:19','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'Science description','2009-12-13 21:37:38',15,NULL,0,0),
 (303,'2009-12-13 21:27:12','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',184,'BSG Category','bsg-category','BSG published version','Battle Star Galactica Stuff [url:BSG Wiki|http://www.mvccms.net/wiki/battle-star-galactica]\r\n\r\n\r\n[image:http://www.mvccms.net/Uploadedimages/sandbox/battlestar-galactica-20070118014017592.jpg]\r\n','2009-12-05 22:07:33','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'BSG description','2009-12-13 21:27:12',15,NULL,0,0),
 (305,'2009-12-24 19:12:22','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',169,'New Alternate Language Page Name','new-alternate-language-page-name','New Page Summary','New Alternate Language Page Content Goes Here','2009-12-24 19:12:21','2012-12-12 00:00:00',0,1,1,0,0,0,0,0,0,NULL,1,2,32,'New Alternate Language Page Description','2009-12-24 19:12:22',15,NULL,0,1),
 (306,'2009-12-24 19:13:50','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',169,'ModuleTest','moduletest','ModuleTest','New Page Content Goes Here','2009-12-24 19:13:49','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,2,11,'ModuleTest','2009-12-24 19:13:50',15,NULL,0,0),
 (314,'2010-02-19 12:22:14','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','61C44375-6B77-4506-8B55-94AB750A273E',165,'homepage','homepage','??','????? ????','2010-01-16 01:50:12','2012-12-12 00:00:00',0,1,0,0,0,0,0,0,0,NULL,0,0,34,'New Alternate Language Page Description','2010-02-19 12:22:14',15,NULL,0,0),
 (316,'2010-01-18 01:50:08','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','61C44375-6B77-4506-8B55-94AB750A273E',165,'???? ???','-','???? ???? ???','New Page Content Goes Here','2010-01-18 01:50:08','2012-12-12 00:00:00',1,1,1,0,0,0,0,0,1,NULL,0,3,11,'???? ???? ???','2010-01-18 01:50:08',15,NULL,0,0),
 (319,'2010-01-20 15:33:02','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',184,'Subpage','subpage','New Page Summary','New Page Content Goes Here','2010-01-20 15:33:02','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,5,11,'New Page Description','2010-01-20 15:33:02',15,NULL,0,0),
 (320,'2010-01-25 09:25:44','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',184,'New Page Name','new-page-name','New Page Summary','New Page Content Goes Here','2010-01-25 09:25:43','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,6,11,'New Page Description','2010-01-25 09:25:44',15,NULL,0,0),
 (324,'2010-02-05 04:35:06','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',175,'gggg','gggg','ggg','New Page Content Goes Here\neyewide','2010-02-05 04:35:06','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,5,11,'ggggg','2010-02-05 04:35:06',15,NULL,0,0),
 (329,'2010-02-12 05:10:24','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',168,'New Alternate Language Page Name','new-alternate-language-page-name','New Page Summary','New Alternate Language Page Content Goes Here','2010-02-12 05:10:24','2012-12-12 00:00:00',0,1,0,0,0,0,0,0,0,NULL,0,0,128,'New Alternate Language Page Description','2010-02-12 05:10:24',15,274,0,0),
 (330,'2010-02-15 17:43:17','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',210,'a Category','a-category','a published version','a Content Goes Here','2010-02-15 17:43:17','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'a description','2010-02-15 17:43:17',15,NULL,0,0),
 (331,'2010-02-19 15:45:15','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','61C44375-6B77-4506-8B55-94AB750A273E',168,'all about nothing','all-about-nothing','New Page Summary','tezting','2010-02-19 15:45:15','2012-12-12 00:00:00',0,1,0,0,0,0,0,0,0,NULL,0,4,11,'New Page Description','2010-02-19 15:45:15',15,NULL,0,0),
 (332,'2010-02-27 15:42:54','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','61C44375-6B77-4506-8B55-94AB750A273E',184,'New Page Nameasasxsx','new-page-nameasasxsx','New Page Summary','New Page Content Goes Here','2010-02-27 15:42:54','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,8,11,'New Page Description','2010-02-27 15:42:54',15,NULL,0,0),
 (333,'2010-03-08 09:59:34','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','61C44375-6B77-4506-8B55-94AB750A273E',165,'New Alternate Language Page Name','new-alternate-language-page-name','New Page Summary','New Alternate Language Page Content Goes Heredfgddf','2010-03-08 09:59:33','2012-12-12 00:00:00',0,1,1,0,0,0,0,0,0,NULL,1,0,32,'New Alternate Language Page Description','2010-03-08 09:59:34',15,271,0,0),
 (334,'2010-03-08 09:59:48','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','61C44375-6B77-4506-8B55-94AB750A273E',165,'New Alternate Language Page Name','new-alternate-language-page-name','New Page Summary','New Alternate Language Page Content Goes Heredfgdgdfgd','2010-03-08 09:59:48','2012-12-12 00:00:00',0,1,1,0,0,0,0,0,0,NULL,1,0,13,'New Alternate Language Page Description','2010-03-08 09:59:48',15,271,0,0),
 (335,'2010-03-10 00:42:03','86A6FCCB-A07A-4985-9B22-66F557DA3946','86A6FCCB-A07A-4985-9B22-66F557DA3946',211,'Home Category','home-category','Home published version','! Welcome To GardenClub\r\n\r\nGardenClub is a public website that hosts informational pages about garden clubs.  Any club is welcome to join and start a webpage.  \r\n\r\nGardenClub allows clubs to keep event lists, pictures, and member information as well as providing a profile for all members.\r\n\r\nCurrent Clubs On Garden Club.\r\n\r\n[url:Chillicothe Garden Club|http://www.gardenclub.info/chillicothe-mo]','2010-03-10 00:01:37','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'Home description','2010-03-10 00:42:03',16,NULL,0,0),
 (337,'2010-03-10 11:36:41','0030F4EE-3FD0-4345-AFFD-6DFBC8A95907','0030F4EE-3FD0-4345-AFFD-6DFBC8A95907',213,'site search Category','site-search-category','site search published version','<div class=\"isloading-container\">\n</div>\n<h1>\n	Search Results</h1>\n<table border=\"0\" class=\"SearchResults\" id=\"SearchResults-tbl\">\n	<tbody>\n	</tbody>\n</table>\n','2010-03-10 11:31:22','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,1,11,'site search description','2010-03-10 11:36:41',16,NULL,0,0),
 (338,'2010-03-12 04:14:15','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','61C44375-6B77-4506-8B55-94AB750A273E',214,'Route Category','route-category','Route published version','Route Content Goes Here\n\n\nTesting 123','2010-03-12 04:12:50','2012-12-12 00:00:00',0,1,1,0,0,0,0,1,0,NULL,0,1,11,'Route description','2010-03-12 04:14:15',15,NULL,0,1),
 (339,'2010-03-30 12:08:26','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','61C44375-6B77-4506-8B55-94AB750A273E',215,'Another Page Category','another-page-category','Another Page published version','ddsdsdsdsdsdsdsdsdsdsds','2010-03-12 10:13:03','2012-12-12 00:00:00',0,1,1,0,0,0,0,1,0,NULL,1,1,11,'Another Page description','2010-03-30 12:08:26',15,NULL,0,1),
 (340,'2010-03-15 14:17:59','61C44375-6B77-4506-8B55-94AB750A273E','61C44375-6B77-4506-8B55-94AB750A273E',216,'testTitle Category','testtitle-category','testTitle published version','testTitle Content Goes Here\r\n<div id=\'testDiv\'></div>\r\n[url:http://google.com]','2010-03-15 14:10:36','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'testTitle description','2010-03-15 14:17:59',15,NULL,0,0),
 (341,'2010-03-16 11:46:40','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','61C44375-6B77-4506-8B55-94AB750A273E',165,'New Alternate Language Page Name','new-alternate-language-page-name','New Page Summary','SB!!!!!','2010-03-16 11:46:39','2012-12-12 00:00:00',0,1,1,0,0,0,0,0,0,NULL,1,0,33,'New Alternate Language Page Description','2010-03-16 11:46:40',15,271,0,0),
 (342,'2010-03-16 11:49:51','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','61C44375-6B77-4506-8B55-94AB750A273E',165,'Japanese is SB','japanese-is-sb','Hello SB','SB!!','2010-03-16 11:49:50','2012-12-12 00:00:00',0,1,0,0,0,0,0,0,0,NULL,0,4,33,'haha~~~','2010-03-16 11:49:51',15,NULL,0,0),
 (343,'2010-03-19 05:43:51','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','61C44375-6B77-4506-8B55-94AB750A273E',183,'2010','2010','2010','New Page Content Goes Here','2010-03-19 05:43:51','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,4,11,'2010 SO','2010-03-19 05:43:51',15,NULL,0,0),
 (344,'2010-05-04 14:50:28','86A6FCCB-A07A-4985-9B22-66F557DA3946','86A6FCCB-A07A-4985-9B22-66F557DA3946',217,'Home Category','home-category','Home published version','<h1>\r\n	Welcome to CMS Boatworks.com</h1>\r\n<p>\r\n	&nbsp;</p>\r\n<p>\r\n	&nbsp;</p>\r\n<p>\r\n	&nbsp;<a href=\"/Uploadedimages/cmsboatworks/beecraft 004.jpg\" target=\"_blank\"><img alt=\"\" height=\"60\" src=\"/Uploadedimages/cmsboatworks/thumbs/beecraft 004.jpg\" width=\"80\" /></a></p>\r\n<p>\r\n	&nbsp;</p>\r\n<p>\r\n	1990 Kawasaki&nbsp;650 Sx I sold ski new have rebuilt the motor to Kawasaki specs with all new parts. $$$$$$$$$$$$$$</p>\r\n<p>\r\n	&nbsp;<a href=\"/Uploadedimages/cmsboatworks/650 SX 001.jpg\" target=\"_blank\"><img alt=\"\" height=\"60\" src=\"/Uploadedimages/cmsboatworks/thumbs/650 SX 001.jpg\" style=\"width: 80px; height: 60px\" width=\"80\" /></a></p>\r\n','2010-04-09 15:10:00','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'Home description','2010-05-04 14:50:28',17,NULL,0,0),
 (347,'2010-09-30 05:30:07','6CB89CC3-61FF-4D6B-8947-BAF8846A20E9','86A6FCCB-A07A-4985-9B22-66F557DA3946',219,'Home1 Category','home1-category','Home1 published version','! MvcCms sandbox is back up.\n\nSign in as userid: [url:testeditor|http://www.mvccms.net/social/profiles/testeditor] password:7777777 to log in as an editor.','2010-09-30 03:27:22','2012-12-12 00:00:00',0,1,0,0,0,0,0,1,0,NULL,0,1,11,'Home1 description','2010-09-30 05:30:07',18,NULL,0,1),
 (348,'2010-09-30 05:47:56','6CB89CC3-61FF-4D6B-8947-BAF8846A20E9','6CB89CC3-61FF-4D6B-8947-BAF8846A20E9',219,'New Page Name','new-page-name','New Page Summary','ewrewr\r\newrwerewr\r\nwerwerwer\r\n\r\nwerwerwerwer','2010-09-30 05:26:49','2012-12-12 00:00:00',1,1,0,0,0,0,0,0,1,NULL,0,1,11,'New Page Description','2010-09-30 05:47:56',18,NULL,0,0),
 (349,'2010-09-30 05:29:09','6CB89CC3-61FF-4D6B-8947-BAF8846A20E9','6CB89CC3-61FF-4D6B-8947-BAF8846A20E9',219,'New1 Page Name','new1-page-name','New1 Page Summary','New Page Content Goes Here','2010-09-30 05:29:09','2012-12-12 00:00:00',0,1,0,1,0,0,0,0,1,NULL,0,2,11,'New1 Page Description','2010-09-30 05:29:09',18,NULL,0,1),
 (353,'2010-09-30 15:28:56','6CB89CC3-61FF-4D6B-8947-BAF8846A20E9','6CB89CC3-61FF-4D6B-8947-BAF8846A20E9',221,'New Category','new-category','New published version','New Content Goes Here','2010-09-30 15:28:56','2012-12-12 00:00:00',1,1,0,0,0,0,0,1,0,NULL,0,1,11,'New description','2010-09-30 15:28:56',18,NULL,0,0);
/*!40000 ALTER TABLE `contentpages` ENABLE KEYS */;


--
-- Definition of table `countries`
--

DROP TABLE IF EXISTS `countries`;
CREATE TABLE `countries` (
  `CountryID` int(11) NOT NULL,
  `Name` varchar(100) NOT NULL,
  `AllowsRegistration` tinyint(1) NOT NULL,
  `AllowsBilling` tinyint(1) NOT NULL,
  `AllowsShipping` tinyint(1) NOT NULL,
  `TwoLetterISOCode` varchar(2) NOT NULL,
  `ThreeLetterISOCode` varchar(3) DEFAULT NULL,
  `NumericISOCode` int(11) DEFAULT NULL,
  `DisplayOrder` int(11) NOT NULL,
  PRIMARY KEY (`CountryID`),
  UNIQUE KEY `IX_Store_Country` (`TwoLetterISOCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `countries`
--

/*!40000 ALTER TABLE `countries` DISABLE KEYS */;
/*!40000 ALTER TABLE `countries` ENABLE KEYS */;


--
-- Definition of table `emailtemplates`
--

DROP TABLE IF EXISTS `emailtemplates`;
CREATE TABLE `emailtemplates` (
  `EmailTemplateID` int(11) NOT NULL AUTO_INCREMENT,
  `PortalID` int(11) NOT NULL,
  `UserID` char(36) NOT NULL,
  `AddedDate` datetime NOT NULL,
  `UpdateDate` datetime NOT NULL,
  `Body` longtext NOT NULL,
  `Name` varchar(50) NOT NULL,
  PRIMARY KEY (`EmailTemplateID`),
  KEY `FK_EmailTemplates_PortalsIdx` (`PortalID`),
  KEY `FK_EmailTemplates_UsersIdx` (`UserID`),
  CONSTRAINT `FK_EmailTemplates_Portals` FOREIGN KEY (`PortalID`) REFERENCES `portals` (`PortalID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_EmailTemplates_Users` FOREIGN KEY (`UserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `emailtemplates`
--

/*!40000 ALTER TABLE `emailtemplates` DISABLE KEYS */;
INSERT INTO `emailtemplates` (`EmailTemplateID`,`PortalID`,`UserID`,`AddedDate`,`UpdateDate`,`Body`,`Name`) VALUES 
 (1,1,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','2009-12-19 01:30:40','2010-02-27 15:35:43','[image:MvcCms Logo|http://www.mvccms.com/Content/images/logosmaller.jpg|http://www.mvccms.com/]\r\n[style:font-size:19px;|Welcome To MvcCms]\r\n\r\nThank you for registering. We will keep you updated on new releases and features as they become available. \r\n\r\nYour user name is <<user.username>>.','Welcome'),
 (2,1,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','2009-12-19 01:31:09','2009-12-19 01:31:09','[image:MvcCms Logo|http://www.mvccms.com/Content/images/logosmaller.jpg|http://www.mvccms.com/]\r\n[style:font-size:19px;|Your Comment Had A Reply]\r\n\r\n\r\nThere was a reply to your comment on <<pagename>> at <<sitename>> by <<user.name>> \r\n\r\n<<reply.body>>\r\n\r\n<<url>>\r\nMvcCms Team,\r\ninfo@mvccms.com','CommentReply'),
 (3,1,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','2009-12-19 01:31:22','2009-12-19 01:31:22','[image:MvcCms Logo|http://www.mvccms.com/Content/images/logosmaller.jpg|http://www.mvccms.com/]\r\n[style:font-size:19px;|Your New Password At MvcCms]\r\n\r\nYour password has been reset at <<sitename>>. \r\nYour new password is <<user.newpassword>>.  \r\n\r\nYou may change it after logging in by clicking on change password. \r\n\r\n<<url>> \r\nMvc Cms Team,\r\ninfo@mvccms.com','ResetPassword'),
 (4,13,'CE17F970-1405-4047-9163-EF5546890774','2009-12-24 19:52:48','2009-12-24 19:52:48','Welcome to Reality Peninsula!\r\n\r\nYour Username is <<user.username>>.\r\n\r\nDon\'t be a stranger, I available on the forum or you can email me at jonranes@gmail.com','Welcome'),
 (5,15,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','2010-01-08 06:01:33','2010-01-08 06:01:33','hi,\r\n\r\n\r\nthis is piyush to chk the editor.\r\n\r\nhave fun\r\n<br />\r\n','CommentReply');
/*!40000 ALTER TABLE `emailtemplates` ENABLE KEYS */;


--
-- Definition of table `feedbackitems`
--

DROP TABLE IF EXISTS `feedbackitems`;
CREATE TABLE `feedbackitems` (
  `FeedBackItemID` int(11) NOT NULL AUTO_INCREMENT,
  `Subject` varchar(500) DEFAULT NULL,
  `Body` longtext,
  `PortalID` int(11) NOT NULL,
  PRIMARY KEY (`FeedBackItemID`),
  KEY `FK_FeedBackItems_PortalsIdx` (`PortalID`),
  CONSTRAINT `FK_FeedBackItems_Portals` FOREIGN KEY (`PortalID`) REFERENCES `portals` (`PortalID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `feedbackitems`
--

/*!40000 ALTER TABLE `feedbackitems` DISABLE KEYS */;
INSERT INTO `feedbackitems` (`FeedBackItemID`,`Subject`,`Body`,`PortalID`) VALUES 
 (1,'Feedback for MvcCms.com from ','',1),
 (2,'Feedback for MvcCms.com from asdfasd','',1);
/*!40000 ALTER TABLE `feedbackitems` ENABLE KEYS */;


--
-- Definition of table `forum_forums`
--

DROP TABLE IF EXISTS `forum_forums`;
CREATE TABLE `forum_forums` (
  `ForumID` int(11) NOT NULL AUTO_INCREMENT,
  `AddedDate` datetime NOT NULL,
  `UserID` char(36) NOT NULL,
  `Title` varchar(256) NOT NULL,
  `Path` varchar(256) NOT NULL,
  `Moderated` tinyint(1) NOT NULL,
  `Importance` int(11) NOT NULL,
  `Description` varchar(4000) DEFAULT NULL,
  `ImageUrl` varchar(256) DEFAULT NULL,
  `PortalID` int(11) NOT NULL,
  PRIMARY KEY (`ForumID`),
  KEY `FK_Forums_PortalsIdx` (`PortalID`),
  KEY `FK_Forums_UsersIdx` (`UserID`),
  KEY `FK_Posts_ForumsIdx2` (`ForumID`),
  CONSTRAINT `FK_Forums_Portals` FOREIGN KEY (`PortalID`) REFERENCES `portals` (`PortalID`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_Forums_Users` FOREIGN KEY (`UserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `forum_forums`
--

/*!40000 ALTER TABLE `forum_forums` DISABLE KEYS */;
INSERT INTO `forum_forums` (`ForumID`,`AddedDate`,`UserID`,`Title`,`Path`,`Moderated`,`Importance`,`Description`,`ImageUrl`,`PortalID`) VALUES 
 (1,'2009-09-02 02:47:55','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','Setup And Getting Started','setup-and-getting-started',0,1,'Use this forum to post questions about how to set the project up or how to use the basic features.\r\n\r\n[image:http://www.mvccms.com/Uploadedfiles/default/sf.jpg]',NULL,1),
 (3,'2009-09-02 02:49:12','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','Enhancements and Bugs','enhancements-and-bugs',0,2,'Do you see a need in the application or a defect?  Post it here and we can work out the specifics.\r\n\r\n[image:http://www.mvccms.com/Uploadedfiles/default/sf2.jpg]',NULL,1),
 (6,'2009-09-02 11:56:56','4AC5E351-92FF-43CC-A314-89DA9B4615F7','Reality Peninsula','reality-peninsual-forums',0,1,'Hey, welcome.  \r\n!! Reality Is A Small Largely Uninhabited Peninsula Located Between The Sea Of Paranoia And The Ocean Of Denial.\r\n\r\n\r\nThe Reality Peninsula forum is for discussing reality as seen from the eye of someone really looking in earnest.\r\n\r\n<[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/pensf.jpg]If you have an interesting site, news story, or question feel free to post it here.\r\n\r\nI check in here every day and am always happy to meet new like-minded friends.\r\n\r\nCOD',NULL,13),
 (9,'2009-09-02 16:48:53','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','Developers','developers',0,3,'>[image:http://www.mvccms.com/Uploadedfiles/default/sf3.jpg]In this forum we can discuss the technical aspects of the application.',NULL,1),
 (10,'2009-11-12 22:48:35','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','Thea Sandy Baux','thea-sandy-baux',0,0,'talk in the sand box forum\r\n\r\n[image:http://www.mvccms.net/Uploadedfiles/sandbox/images.jpg]\r\n\r\nYou can now use wiki coding to edit the forum descriptions.',NULL,15);
/*!40000 ALTER TABLE `forum_forums` ENABLE KEYS */;


--
-- Definition of table `forum_posts`
--

DROP TABLE IF EXISTS `forum_posts`;
CREATE TABLE `forum_posts` (
  `PostID` int(11) NOT NULL AUTO_INCREMENT,
  `EditDate` datetime DEFAULT NULL,
  `AddedDate` datetime NOT NULL,
  `UserID` char(36) NOT NULL,
  `AddedByIP` char(15) NOT NULL,
  `ForumID` int(11) DEFAULT NULL,
  `ParentPostID` int(11) DEFAULT NULL,
  `Title` varchar(256) NOT NULL,
  `Path` varchar(256) NOT NULL,
  `Body` longtext NOT NULL,
  `Approved` tinyint(1) NOT NULL,
  `Closed` tinyint(1) NOT NULL,
  `VoteCount` int(11) NOT NULL,
  `ViewCount` int(11) NOT NULL,
  `ReplyCount` int(11) NOT NULL,
  `LastPostByID` char(36) NOT NULL,
  `LastPostDate` datetime NOT NULL,
  `ReplyNumber` int(11) DEFAULT NULL,
  `IsAnswer` tinyint(1) DEFAULT NULL,
  `IsAnswered` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`PostID`),
  KEY `FK_Posts_ForumsIdx` (`ForumID`),
  KEY `FK_Posts_PostsIdx` (`ParentPostID`),
  KEY `FK_Posts_PostsIdx2` (`PostID`),
  KEY `FK_Posts_UsersIdx` (`UserID`),
  KEY `FK_Posts_Users1Idx` (`LastPostByID`),
  CONSTRAINT `FK_Posts_Forums` FOREIGN KEY (`ForumID`) REFERENCES `forum_forums` (`ForumID`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_Posts_Posts` FOREIGN KEY (`ParentPostID`) REFERENCES `forum_posts` (`PostID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Posts_Users` FOREIGN KEY (`UserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Posts_Users1` FOREIGN KEY (`LastPostByID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=98 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `forum_posts`
--

/*!40000 ALTER TABLE `forum_posts` DISABLE KEYS */;
INSERT INTO `forum_posts` (`PostID`,`EditDate`,`AddedDate`,`UserID`,`AddedByIP`,`ForumID`,`ParentPostID`,`Title`,`Path`,`Body`,`Approved`,`Closed`,`VoteCount`,`ViewCount`,`ReplyCount`,`LastPostByID`,`LastPostDate`,`ReplyNumber`,`IsAnswer`,`IsAnswered`) VALUES 
 (1,'2010-10-13 04:12:22','2009-09-02 03:05:30','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,NULL,'Common issues getting the project running','common-issues-getting-the-project-running','Some of the most common issues related to getting the project running are:\r\n# Getting the portal url set correctly in the portal table before starting the application.\r\n# Not changing',1,0,1,579,2,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-10-15 17:56:18',NULL,0,0),
 (2,'2010-10-13 06:09:18','2009-09-02 03:10:10','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',3,NULL,'How can I get the forum application on this site?','how-can-i-get-the-forum-application-on-this-site','We put this forum up quickly to go along with the release of the [url:1.0 version|http://mvccms.codeplex.com/Release/ProjectReleases.aspx?ReleaseId=31243] of the application.\r\n\r\nIt won\'t be ready to add to the repository for a while but if you would like a copy of it let me know jranes at mvccms.com and I can send it to you.\r\n\r\nWe may publish out the database and entity model to the repository first but we would like this version of the forum to be just one of the possible versions.\r\nThis forum setup is more of a answer style forum where each reply is rated but this is not always the best community style.\r\n',1,0,1,417,2,'7FA0C93F-F53A-4D07-9617-F472EA38BEA0','2010-05-09 14:00:41',NULL,0,0),
 (3,'2010-10-06 00:23:58','2009-09-02 03:22:17','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,1,'RE: Common issues getting the project running','re-common-issues-getting-the-project-running-3','Here is the readme.txt from the download.  Let me know what is missing from here that would be helpful.\r\n\r\n\r\nMVC CMS Content Management System\r\n1. Requirements\r\n2. Setup\r\n3. Getting Started\r\n4. License\r\n',1,0,0,104,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-09-02 03:22:17',NULL,0,0),
 (4,'2010-10-12 17:22:44','2009-09-02 03:28:22','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,NULL,'How Do I Add A New Theme','how-do-i-add-a-new-theme','To add a new theme basically all you need to do is add a folder to the content/app_themes folder.  This folder name will be the name you will reference in the portal settings for skin name.\r\n\r\n\r\nAt minimum the folder needs to contain a site.master file with the basic server side asp containers as are found in views/shared/site.master.\r\n',1,0,0,391,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-09-02 03:28:22',NULL,0,0),
 (11,'2010-10-08 02:04:56','2009-09-02 17:00:38','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',9,NULL,'Creating A Module Like the Forum for MvcCms','creating-a-module-like-the-forum-for-mvccms','We went ahead and included a version of a forum for the project to highlight how a module type approach can be made to include major pieces like this.\r\n\r\nA field was added to content category called UsesCustomAreaRoute which basically allows you to create a category in the navigation that instead of building the routes for it from the database the routes are custom built for that module.  If this attribute is set to true the core mvccms routebuilder will not build routes for the category but it will be shown in the nav with the correct link.\r\n\r\nYou can see this in the sandbox admin there is a forum setup like this there.  I will post more on all this to this thread later on.\r\n',1,0,2,573,1,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','2009-12-10 18:22:11',NULL,0,0),
 (15,'2010-10-13 05:39:09','2009-10-21 22:05:25','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',3,NULL,'The current connection is broken/closed error \"The server will drop the connection\"','the-current-connection-is-brokenclosed-error-the-server-will-drop-the-connection','About 10 or 20 times a day, usually under load the application has been throwing an error claiming that the entity connection is either broken or closed.  This is a known issue involved with sharing DataConext among business objects.  When you look in the application log for a corresponding event the event below is always seen with the error.\r\n\r\n_The server will drop the connection, because the client driver has sent multiple requests while the session is in single-user mode. This error occurs when a client sends a request to reset the connection while there are batches still running in the session, or when the client sends a request while the session is resetting a connection. Please contact the client driver vendor._\r\n\r\nAfter many days of searching I think we have found a solution to this problem.  Although the error mentions the session being in single-user mode, this appears to be a dead end of inquiry as the database as reported by us and many others is in fact not in single-user mode.\r\nAfter finally looking on the SQL Server forums we found the suggestion to disable connection pooling.  This seems to be working.  So you will now see in the web.config that comes with MvcCms the setting Pooling=False in the entity connection string.\r\nHope this helps.\r\nJon\r\n',1,0,1,309,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-10-21 22:05:25',NULL,0,0),
 (16,'2010-10-13 08:06:21','2009-10-22 16:12:31','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',9,NULL,'Entity With DTO Objects','entity-with-dto-objects','MvcCms uses the Data Transfer Object (DTO) pattern to pass data primarily to ajax consumers.  We have noticed in the error logs that sometimes the manipulation of the IEnumerable object to transfer it into the DTO object was causing and error because the connection was getting closed.\r\n\r\nTo fix this we have started adding the .ToList() ending to all the List_ method linq syntax in the data class.',1,0,1,611,1,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-10-23 18:50:02',NULL,0,0),
 (17,'2010-10-02 07:53:28','2009-10-23 18:50:02','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',9,16,'RE: Entity With DTO Objects','re-entity-with-dto-objects-17','After doing some load testing we found that the threading was different from the custom membership provider and was clashing with the normal way of getting the user from the data context being shared by the business object.  So what we did is to create a different method for get user in the custom membership provider that creates its own context with a using statement.  This has had a big improvement on the application and was something that didn\'t really show up until the application came under load.\r\n\r\nSo what we learned from load testing was to always use ToList when returning an IEnumerable from the data project so that the context is not required for later manipulations, disable pooling, and give requests for data from threads outside the normal application their own context.  These three things have really helped the application work much better.\r\n',1,0,1,99,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-10-23 18:50:02',NULL,0,0),
 (21,'2010-10-11 09:40:46','2009-10-24 21:47:12','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',3,NULL,'Shared Object Context In MvcCms','shared-object-context-in-mvccms','If you are using a version of MvcCms downloaded before 10/08/09 you will want to update your MvcCms.Data project at a minimum to take advantage of a bug fix that will effect your application.\r\n\r\n\r\nThe update involves the binding of the ObjectContext to the HTTPContext.  Your get statement for MvcCmsEntities should look like the below.\r\n\r\n{code:c#}\r\n\r\nstring objectContextKey = HttpContext.Current.GetHashCode().ToString();\r\nif (!HttpContext.Current.Items.Contains(objectContextKey))\r\n{\r\n    try\r\n    {\r\n        HttpContext.Current.Items.Add(objectContextKey, new MvcCmsEntities());\r\n    }\r\n    catch (Exception ex)\r\n    {\r\n        string s = ex.Message;\r\n    }\r\n}\r\nmvccmsEntities = HttpContext.Current.ItemsobjectContextKey as MvcCmsEntities;\r\nreturn mvccmsEntities;\r\n{code:c#}\r\n\r\nIf you need any help upgrading your version to just this part let me know and I can give you a hand.\r\n',1,0,1,268,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-10-24 21:47:12',NULL,0,0),
 (22,'2010-10-11 17:00:39','2009-10-26 21:09:32','CE17F970-1405-4047-9163-EF5546890774','65.255.140.21',6,NULL,'Welcome to the forum','welcome-to-the-forum','I am going to start posting stuff I find here at the forum on the site.   If you are new this is the welcome thread, tell who you are.\r\n\r\n\r\n\r\n\r\n\r\n\r\n',1,0,1,198,3,'CE17F970-1405-4047-9163-EF5546890774','2009-12-10 21:20:02',NULL,0,0),
 (23,'2010-10-12 14:45:27','2009-11-05 11:15:05','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',9,NULL,'SVN Changes for MvcCms 2.0','svn-changes-for-mvccms-20','We reorganized the svn folders to accommodate the start of work on MvcCms 2.0.  MVC 2.0 looks like it has pretty well taken shape in the latest release.  We want to get started by doing an MVC 2.0 areas implementation of the forum.  Hopefully we will get a good area project pattern down to do the blog, ecommerce, and other area modules with while doing the forum as an area project.\r\nThe MvcCms 2.0 folder in svn has a version of MvcCms converted to MVC 2.0 if anyone want to start to play around with it.\r\n',1,0,2,392,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-05 11:15:05',NULL,0,0),
 (24,'2010-03-25 12:36:12','2009-11-12 22:48:52','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','65.255.140.21',10,NULL,'yo','yo','hey\r\n\r\n\r\n\r\n\r\nsdfgh',1,0,1,53,1,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','2009-12-11 17:01:21',NULL,0,0),
 (25,'2010-10-13 08:35:38','2009-11-12 23:58:03','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',9,NULL,'Sites Using MvcCms','sites-using-mvccms','I thought I would start a thread where people can post links to sites they have up using MvcCms.\r\n* [url:WePayOnline|http://www.wepayonline.net]\r\n* [url:MvcCms Sandbox|http://www.mvccms.net]  (this site is down for now, just don\'t have the resources to watch it and keep it going.\r\n* [url:RSC Consulting|http://www.ranessoftwareconsulting.com]',1,0,1,434,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-12 23:58:03',NULL,0,0),
 (26,'2010-10-12 18:03:53','2009-11-13 17:25:35','0C50686A-29CF-407F-9252-F9E267E5BCB8','65.199.10.250',9,NULL,'Getting error for the first time run','getting-error-for-the-first-time-run','',1,0,1,465,1,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-13 19:42:07',NULL,0,0),
 (27,'2010-10-01 16:48:55','2009-11-13 19:42:07','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',9,26,'RE: Getting error for the first time run','re-getting-error-for-the-first-time-run-27','I have seen that one a few times.  It sounds like you may not have MVC 1.0 installed.  Here are a few questions that can help me figure it out, Are you running the application from visual studio or IIS?  I assume you are using the 1.0 version downloaded from Codeplex?  If you are running from visual web developer/studio can you build the application before browsing and getting that error?\r\n',1,0,1,84,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-13 19:42:07',NULL,0,0),
 (28,'2010-10-13 02:15:45','2009-11-17 11:28:32','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',9,NULL,'MvcCms 2.0 Getting Underway - Forums Area Project and Theming','mvccms-20-getting-underway---forums-area-project-and-theming','We have a pretty good start on MvcCms 2.0.  In the source at Codeplex we have the forum converted to a single area project.  This went pretty well as advertised for the preview 2 so hopefully the final MVC 2.0 version won\'t change too much from that.\r\nAlso we found a [url:ThemeviewEngine|http://mvccms.codeplex.com/SourceControl/changeset/view/32032#658782] at [url:Dimebrain|http://www.dimebrain.com/2009/11/a-themes-engine-for-asp-net-mvc-2.html] by Daniel Crenna that will allow complete control over the css, masterpage, and script for each view and even the controls on each view. ',1,0,1,438,1,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-12-01 19:14:05',NULL,0,0),
 (29,'2010-10-10 16:03:32','2009-11-18 19:33:56','CF05BAE1-81FE-4A07-B306-9B957E2068CA','115.74.154.184',1,NULL,'Error for the first time run CMS','error-for-the-first-time-run-cms','Pls help me to solve this error:\r\nThere is already an open DataReader associated with this Command which must be closed first.\r\nDescription: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code.',1,0,2,1123,18,'F90B333D-7155-4CC2-ADB7-E773B7ABBDEF','2009-12-11 06:57:16',NULL,0,1),
 (30,'2010-10-01 12:41:28','2009-11-18 22:01:07','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-30','I haven\'t seen that error in a while but I would say that the url you are using isn\'t matching up with the portal url setting.  Are you running from IIS or Visual Studio?  Recheck the URLAuthority value you have that is matching up with either IIS or Visual Studio, and reset the web.\r\n',1,0,0,84,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-18 22:01:07',1,0,0),
 (31,'2010-10-04 06:05:51','2009-11-19 02:30:59','CF05BAE1-81FE-4A07-B306-9B957E2068CA','115.74.181.54',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-31','I\'m running it from Visual Studio 2008. B/c I\'m new with it so I don\'t know what the url you mentioned is about. Pls tell me how to check it?\r\n',1,0,0,83,0,'CF05BAE1-81FE-4A07-B306-9B957E2068CA','2009-11-19 02:30:59',2,0,0),
 (32,'2010-09-29 09:40:43','2009-11-19 04:22:00','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-32','I am betting then that you may not have the database setup in sql server express yet.  Can you check that the database is setup in sql server express.  You can do this in Visual Studio in the server explorer.\r\n',1,0,-1,84,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-19 04:22:00',3,0,0),
 (33,'2010-09-29 08:33:46','2009-11-19 05:22:50','CF05BAE1-81FE-4A07-B306-9B957E2068CA','115.74.181.54',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-33','Yeah, I don\'t use the Sql Server Express, I use Sql Server Developer Edition. I\'ve setup the db in Sql Server Management Studio and then copy the connection string into web.config. Here is my connection string:\r\n\r\n{{\r\nData Source=.;Initial Catalog=MvcCms;Persist Security Info=True;User ID=sa;Password=*********\r\n\r\n}}\r\n',1,0,-1,87,0,'CF05BAE1-81FE-4A07-B306-9B957E2068CA','2009-11-19 05:22:50',4,0,0),
 (34,'2010-09-29 11:08:09','2009-11-19 11:27:38','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-34','OK, what are the results in sql when you run the following\r\n',1,0,0,82,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-19 11:27:38',5,0,0),
 (35,'2010-09-27 07:41:05','2009-11-19 23:13:27','CF05BAE1-81FE-4A07-B306-9B957E2068CA','115.74.128.122',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-35','after querying \"select URLAuthority  from Portals\", the results are:\r\nlocalhost:4342z\r\nlocalhost:4342\r\nAnd the url in browser when I get the error msg is \"http://localhost:4342/\"\r\n',1,0,0,52,0,'CF05BAE1-81FE-4A07-B306-9B957E2068CA','2009-11-19 23:13:27',6,0,0),
 (36,'2010-09-27 07:43:25','2009-11-19 23:22:18','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-36','OK, so the URLAuthority is set correctly.  Let\'s try this, go to ',1,0,0,47,0,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','2009-11-19 23:22:18',7,0,0),
 (37,'2010-03-28 09:54:34','2009-11-20 00:38:37','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','114.78.62.25',10,NULL,'This looks easy','this-looks-easy','It is!\r\n\r\n\r\n\r\n\r\njhg ihg ohg ',1,0,2,92,1,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','2009-12-12 11:38:11',NULL,0,0),
 (38,'2010-09-27 08:52:48','2009-11-20 04:36:05','CF05BAE1-81FE-4A07-B306-9B957E2068CA','115.74.128.122',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-38','I think my current version it not yours, b/c it\'s GetCurrentPortal() have no try catch block:\r\n\r\n{{\r\ninternal Portal GetCurrentPortal()\r\n{\r\n//if httpcontext is null this is a unit test so just pick the default portal\r\nif (HttpContext.Current == null)\r\n{\r\nIEnumerable<Portal> portals = _inmemorycacheService.Get(PortalsHolder, () => _portalRepository.ListPortals());\r\nreturn portals.Where(portal => portal.Name.Equals(\"Default\")).FirstOrDefault();\r\n}\r\nelse\r\n{\r\nstring url = HttpContext.Current.Request.Url.Authority.ToLower();\r\nIEnumerable<Portal> portals = _inmemorycacheService.Get(PortalsHolder, () => _portalRepository.ListPortals());\r\nreturn portals.Where(portal => portal.URLAuthority.Equals(url)).FirstOrDefault();\r\n}\r\n}\r\n}}',1,0,0,54,0,'CF05BAE1-81FE-4A07-B306-9B957E2068CA','2009-11-20 04:36:05',8,0,0),
 (39,'2010-09-27 07:44:25','2009-11-20 13:51:15','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-39','Ah, ok we are getting somewhere now.  Got to this link\r\n[url:http://mvccms.codeplex.com/Release/ProjectReleases.aspx?ReleaseId=31243|http://mvccms.codeplex.com/Release/ProjectReleases.aspx?ReleaseId=31243]\r\nand download the full source version.  You have an older version.  Where did you download it from?  I am guessing that must be the RC1 version because the try catch version has been around for at least two or three months.\r\n',1,0,0,51,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-20 13:51:15',9,0,0),
 (40,'2010-09-27 07:42:14','2009-11-20 21:08:55','CF05BAE1-81FE-4A07-B306-9B957E2068CA','115.74.180.92',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-40','I\'ve downloaded the new source code (follow your link), re-setup the db and run the project again from Visual Studio, and a brand new error appear:\r\n\r\n{{\r\nA transport-level error has occurred when sending the request to the server. (provider: Shared Memory Provider, error: 0 - No process is on the other end of the pipe.)\r\nDescription: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code. \r\n\r\nException Details: System.Data.SqlClient.SqlException: A transport-level error has occurred when sending the request to the server. (provider: Shared Memory Provider, error: 0 - No process is on the other end of the pipe.)\r\n\r\nSource Error: \r\n\r\nLine 56: public IEnumerable<Portal> ListPortals() \r\nLine 57: { \r\nLine 58: return (from c in _entities.PortalSet \r\nLine 59: .Include(\"DefaultLanguage\") \r\nLine 60: .Include(\"PortalResources\")\r\nSource File: C:\\Users\\phuonglewis\\Desktop\\MvcCms\\MvcCms.Data\\EntityPortalRepository.cs    Line: 58\r\n\r\n}}\r\n',1,0,0,49,0,'CF05BAE1-81FE-4A07-B306-9B957E2068CA','2009-11-20 21:08:55',10,0,0),
 (41,'2010-10-03 00:12:49','2009-11-20 22:09:52','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-41','Wow, I have never seen that one.  What version of SQL server are you using?  Can you post your sql connection string again?\r\n',1,0,1,54,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-20 22:09:52',11,0,0),
 (42,'2010-09-27 07:41:47','2009-11-20 22:15:05','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-42','I googled the error and found this page\r\n',1,0,2,49,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-20 22:15:05',12,1,0),
 (43,'2010-09-27 07:45:08','2009-11-21 01:28:19','CF05BAE1-81FE-4A07-B306-9B957E2068CA','115.74.180.92',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-43','Following your link, I\'ve enabled the Protocols \"Named Pipes\" and it works. I don\'t know what happened. Actually, when setup the db, I couldn\'t restore the mvccms.bak file and neither attach the MvcCms.mdf file. So I had to setup the db from running mvccms-full.sql file. Thank you so much, Jon. :)\r\n',1,0,0,51,0,'CF05BAE1-81FE-4A07-B306-9B957E2068CA','2009-11-21 01:28:19',13,0,0),
 (44,'2010-09-27 07:41:43','2009-11-21 17:21:36','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-44','No problem, I am sure this thread will help someone else.  I should add some type of \"answer to question\" functionality to the forum.\r\n',1,0,0,53,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-21 17:21:36',14,0,0),
 (45,'2010-09-27 07:41:14','2009-11-21 23:20:42','CF05BAE1-81FE-4A07-B306-9B957E2068CA','115.74.187.103',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-45','Hi, Jon\r\nEverything is ok but the ManageUsers action, following is the error when I enter this action:\r\n\r\n{{\r\nThe version of SQL Server in use does not support datatype \'datetime2\'.\r\nDescription: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code. \r\n\r\nException Details: System.ArgumentException: The version of SQL Server in use does not support datatype \'datetime2\'.\r\n\r\nSource Error: \r\n\r\nLine 142:            DateTime compareTime = DateTime.Now.Subtract(onlineSpan);\r\nLine 143:\r\nLine 144:            return (from u in _entities.UserSet\r\nLine 145:                    where u.LastActivityDate > compareTime &&\r\nLine 146:                          u.Portal.PortalID == portal.PortalID\r\n\r\nSource File: C:\\Users\\phuonglewis\\Desktop\\MvcCms\\MvcCms.Data\\EntityAccountRepository.cs    Line: 144\r\n}}',1,0,0,53,0,'CF05BAE1-81FE-4A07-B306-9B957E2068CA','2009-11-21 23:20:42',15,0,0),
 (46,'2010-09-27 07:44:52','2009-11-22 20:04:34','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-46','Check out the link below, I think you will need to open your mvccmsdatamodel.edmx file in the xml editor and change your ProviderManifestToken value to 2005 since you are using sql 2005\r\n',1,0,1,53,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-22 20:04:34',16,0,0),
 (47,'2010-09-27 07:40:20','2009-11-23 06:44:36','CF05BAE1-81FE-4A07-B306-9B957E2068CA','123.20.77.121',1,29,'RE: Error for the first time run CMS','re-error-for-the-first-time-run-cms-47','Yeah, this is it! Thank you so much! I solved my problem :)',1,0,1,55,0,'CF05BAE1-81FE-4A07-B306-9B957E2068CA','2009-11-23 06:44:36',17,0,0),
 (48,'2010-02-26 17:08:34','2009-12-01 10:06:01','76452DC2-6185-4BC5-8294-3BE322AD15CD','146.121.21.2',10,NULL,'something','something','the forums now have a forumcode that makes it easy to add pictures and have other formatting like in the wiki without doing html.\r\n\r\n[image:http://www.mvccms.net/Uploadedimages/sandbox/battlestar-galactica-20070118014017592.jpg]',1,0,1,65,2,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','2009-12-10 19:31:31',NULL,0,0),
 (49,'2010-10-03 06:06:21','2009-12-01 19:14:05','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',9,28,'RE: MvcCms 2.0 Getting Underway - Forums Area Project and Theming','re-mvccms-20-getting-underway---forums-area-project-and-theming-49','The site is now running on the 2.0 version.  As you can see now the navigation now shows the forum nav item as current.  The areas implementation of MVC really looks like it is going to be the bomb!\r\n',1,0,1,76,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-12-01 19:14:05',1,0,0),
 (50,'2010-02-24 10:46:26','2009-12-05 04:27:13','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','65.255.140.21',10,48,'RE: something','re-something-50','Ya, I am thinking of using the wiki for the forum.\r\n\r\nMaybe this would be less fishy then.\r\n',1,0,0,15,0,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','2009-12-05 04:27:13',1,0,0),
 (51,'2010-10-13 08:34:47','2009-12-08 11:46:49','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',3,NULL,'Bugs Section Now in Wiki','bugs-section-now-in-wiki','There is now a place in the wiki to put bugs [url:http://www.mvccms.com/wiki/known-issues|http://www.mvccms.com/wiki/known-issues].  \r\n\r\nYou can still post about issues here but I would like to put them in the wiki if they are real bugs.\r\n\r\n',1,0,1,230,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-12-08 11:46:49',NULL,0,0),
 (52,'2010-09-30 13:32:11','2009-12-10 17:52:38','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',3,2,'RE: How can I get the forum application on this site?','re-how-can-i-get-the-forum-application-on-this-site-52','The forum application is now setup to use a brand of [url:forum code|http://www.mvccms.com/forums/faq] instead of html.  This is only in the source directory at codeplex and won\'t be available in the finished download until the 2.0 version is published.  But you can try it out on the site here.',1,0,0,83,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-12-10 17:52:38',1,0,0),
 (53,'2010-10-04 02:59:50','2009-12-10 18:22:11','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','65.255.140.21',9,11,'RE: Creating A Module Like the Forum for MvcCms','re-creating-a-module-like-the-forum-for-mvccms-53','In the source for the 2.0 project you will see several category tabs using the UsesCustomAreaRoute  setting including this forum.  We won\'t be releasing the 2.0 version until after MVC 2.0 comes out but if you want to see where things are heading take a look at the source.',1,0,1,81,0,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','2009-12-10 18:22:11',1,0,0),
 (54,'2010-09-17 10:38:32','2009-12-10 18:35:16','CE17F970-1405-4047-9163-EF5546890774','65.255.140.21',6,22,'RE: Welcome to the forum','re-welcome-to-the-forum-54','I see people registering with the site, I know some of you lurketh.  I am getting pretty bored with Outlaw so I may just talk to myself here unless someone will say hi.',1,0,0,60,0,'CE17F970-1405-4047-9163-EF5546890774','2009-12-10 18:35:16',1,0,0),
 (55,'2010-02-18 19:41:22','2009-12-10 19:31:31','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','65.255.140.21',10,48,'RE: something','re-something-55','So I can post c# code like this\r\n{code:c#}\r\n\r\n\r\nusing System;\r\nusing System.Web;\r\nusing System.Collections.Generic;\r\nusing System.Configuration;\r\nusing System.Linq;\r\nusing System.Web.Configuration;\r\nusing System.Web.Mvc;\r\nusing System.Web.Security;\r\nusing System.IO;\r\n\r\nusing MvcCms.Data;\r\nusing MvcCms.Service;\r\nusing MvcCms.Service.Cache;\r\nusing MvcCms.Service.Interfaces;\r\nusing MvcCms.Service.Validation;\r\nusing MvcCms.Web.Models.ViewData;\r\nusing MvcCms.Data.Pagination;\r\n\r\nnamespace MvcCms.Web.Controllers\r\n{\r\n    public class BackOfficeController : Controller\r\n    {\r\n        #region Header\r\n\r\n        private readonly IAccountService _accountService;\r\n        private readonly ICacheService _cacheService;\r\n        private readonly ICmsService _cmsService;\r\n        private readonly IMiscService _miscService;\r\n        private readonly IPortalService _portalService;\r\n\r\n        public BackOfficeController()\r\n        {\r\n            _portalService = new PortalService(new ModelStateWrapper(ModelState));\r\n            _accountService = new AccountService(new ModelStateWrapper(ModelState));\r\n            _cmsService = new CmsService(new ModelStateWrapper(ModelState));\r\n            _miscService = new MiscService(new ModelStateWrapper(ModelState));\r\n            _cacheService = new CacheService();\r\n        }\r\n\r\n        public BackOfficeController(IPortalService portalService, IAccountService acctService,\r\n                                    ICmsService cmsService, IMiscService miscservice, ICacheService cacheService)\r\n        {\r\n            _portalService = portalService;\r\n            _accountService = acctService;\r\n            _cmsService = cmsService;\r\n            _miscService = miscservice;\r\n            _cacheService = cacheService;\r\n        }\r\n\r\n        #endregion\r\n\r\n        [Authorize(Roles = \"Editor\")]\r\n        public ActionResult Cms()\r\n        {\r\n            var contributors = _accountService.ListContributors();\r\n            ViewData[\"UserID\"] = new SelectList(contributors, \"UserID\", \"UserName\");\r\n\r\n            var languages = _miscService.ListLanguages();\r\n            var currentPortal = _cacheService.GetCurrentPortal();\r\n            var cc = _cmsService.ListCategoriesHierarchy();\r\n            var cattmp = new CategoriesAjax();\r\n            foreach (ContentCategory cat in cc)\r\n            {\r\n                if (cat.ParentCategory == null)\r\n                {\r\n                    cattmp.Add(cat);\r\n                }\r\n            }\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _ContentCategories = cattmp,\r\n                                _Languages = languages,\r\n                                _Portal = currentPortal\r\n                            };\r\n            ViewData[\"defaultLangId\"] = currentPortal.DefaultLanguage.LanguageID;\r\n            ViewData[\"PageTitle\"] = \"CMS Console\";\r\n            return View(\"Cms\", \"cms\", model);\r\n        }\r\n\r\n        private static void ResetAppAuto()\r\n        {\r\n            Configuration config = WebConfigurationManager.OpenWebConfiguration(\"~\");\r\n            var httpRuntimeSection = (HttpRuntimeSection) config.GetSection(\"system.web/httpRuntime\");\r\n            httpRuntimeSection.Enable = false;\r\n            config.Save(ConfigurationSaveMode.Minimal);\r\n\r\n            httpRuntimeSection.Enable = true;\r\n            config.Save(ConfigurationSaveMode.Minimal);\r\n        }\r\n\r\n        #region Poll Methods\r\n\r\n        [Authorize(Roles = \"Admin\")]\r\n        public ActionResult ManagePolls(int? page)\r\n        {\r\n            int pagenum=1;\r\n            if (page.HasValue)\r\n            {\r\n                pagenum = page.GetValueOrDefault();\r\n            }\r\n            const int count = 10;\r\n            int index = pagenum;\r\n\r\n            var viewData = _portalService.ListPolls().AsPagination(index, count);\r\n\r\n            ViewData[\"PageTitle\"] = \"Manage Polls\";\r\n            return View(viewData);\r\n        }\r\n\r\n        [Authorize(Roles = \"Admin\")]\r\n        public JsonResult  SetCurrent(int pollId)\r\n        {\r\n            var poll = _portalService.GetPoll(pollId);\r\n            _portalService.SetCurrent(poll);\r\n\r\n            return Json(new { pollId = pollId });\r\n        }\r\n        [Authorize(Roles = \"Admin\")]\r\n        public ActionResult CreatePoll(string question)\r\n        {\r\n            ViewData[\"Message\"] = \"\";\r\n            if (!String.IsNullOrEmpty(question))\r\n            {\r\n                try\r\n                {\r\n                    Poll poll = new Poll\r\n                    {\r\n                        QuestionText = question,\r\n                        Path = question.ToUrlFormat(),\r\n                        PollAdmin =  _accountService.GetUser(User.Identity.Name),\r\n                        AddedDate = DateTime.Now\r\n                    };\r\n                    _portalService.CreatePoll(poll);\r\n\r\n                    ViewData[\"Message\"] = \"Your poll has been created.\";\r\n                    return RedirectToAction(\"EditPoll\", new { pollId = poll.PollID });\r\n                }\r\n                catch (Exception exc)\r\n                {\r\n                    ViewData[\"Message\"] = exc.Message;\r\n                }\r\n            }\r\n\r\n            ViewData[\"question\"] = question;\r\n            ViewData[\"PageTitle\"] = \"Create Poll\";\r\n\r\n            var model = new BackOfficeModel\r\n            {\r\n                _PollOptions = _portalService.ListPollOptions(0)\r\n            };\r\n\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"Admin\")]\r\n        public JsonResult SetArchived(int pollId, bool archive)\r\n        {\r\n            var poll = _portalService.GetPoll(pollId);\r\n\r\n\r\n            poll.IsArchived = archive;\r\n            poll.ArchivedDate = archive ? DateTime.Now : (DateTime?)null;\r\n            _portalService.EditPoll(poll);\r\n\r\n            return Json(new { pollId = pollId, isArchived = poll.IsArchived });\r\n        }\r\n        [Authorize(Roles = \"Admin\")]\r\n        public JsonResult RemoveOption(int optionId)\r\n        {\r\n            _portalService.DeletePollOption(optionId);\r\n\r\n            return Json(new { optionId = optionId });\r\n        }\r\n\r\n        [Authorize(Roles = \"Admin\")]\r\n        public ActionResult RemovePoll(int pollId, string remove)\r\n        {\r\n            Poll poll = _portalService.GetPoll(pollId);\r\n            ViewData[\"Message\"] = \"\";\r\n            if (String.Equals(remove, \"yes\", StringComparison.OrdinalIgnoreCase))\r\n            {\r\n                _portalService.DeletePoll(poll);\r\n                ViewData[\"Message\"] = \"The poll, \" + poll.QuestionText + \", has been deleted.\";\r\n\r\n                poll = null;\r\n            }\r\n            else if (String.Equals(remove, \"no\", StringComparison.OrdinalIgnoreCase))\r\n            {\r\n                ViewData[\"Message\"] = \"The poll, \" + poll.QuestionText + \", has NOT been deleted.\";\r\n            }\r\n            else\r\n            {\r\n                ViewData[\"Message\"] = \"Are you sure you want to delete \" + poll.QuestionText + \".  You will not be able to recover this poll if you select YES.\";\r\n            }\r\n\r\n            ViewData[\"PageTitle\"] = \"Remove Poll\";\r\n\r\n            return View(poll);\r\n        }\r\n\r\n\r\n\r\n        [Authorize(Roles = \"Admin\")]\r\n        public ActionResult EditPoll(int pollId, string question)\r\n        {\r\n            ViewData[\"Message\"] = \"\";\r\n\r\n            Poll poll = _portalService.GetPoll(pollId);\r\n\r\n            if (!String.IsNullOrEmpty(question))\r\n            {\r\n                try\r\n                {\r\n                    poll.QuestionText = question;\r\n                    poll.Path = question.ToUrlFormat();\r\n\r\n                    _portalService.EditPoll(poll);\r\n\r\n                    ViewData[\"Message\"] = \"Your poll has been updated.\";\r\n                }\r\n                catch (Exception exc)\r\n                {\r\n                    ViewData[\"Message\"] = exc.Message;\r\n                }\r\n            }\r\n            ViewData[\"PageTitle\"] = \"Edit Poll\";\r\n            ViewData[\"pollId\"] = pollId;\r\n            ViewData[\"question\"] = question ?? poll.QuestionText;\r\n            var model = new BackOfficeModel\r\n            {\r\n                _PollOptions = _portalService.ListPollOptions(poll.PollID)\r\n            };\r\n\r\n            return View(\"CreatePoll\", model);          \r\n        }\r\n\r\n        [Authorize(Roles = \"Admin\")]\r\n        public JsonResult AddPollOption(int pollId, string text)\r\n        {\r\n            var poll = _portalService.GetPoll(pollId);\r\n\r\n            var option = new PollOption\r\n            {\r\n                User = _accountService.GetUser(User.Identity.Name),\r\n                AddedDate = DateTime.Now,\r\n                OptionText = text,\r\n                Votes = 0\r\n            };\r\n            poll.PollOptions.Add(option);\r\n            _portalService.EditPoll(poll);\r\n\r\n            return Json(new { optionId = option.OptionID, text = text });\r\n        }\r\n        #endregion\r\n\r\n        #region Portal Admin Methods\r\n\r\n        [Authorize(Roles = \"PortalAdmin\")]\r\n        public ActionResult ManageLanguages()\r\n        {\r\n            ViewData[\"Message\"] = \"\";\r\n            IEnumerable<Language> languages = _cacheService.ListLanguages();\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _Languages = languages\r\n                            };\r\n            ViewData[\"PageTitle\"] = \"Manage Languages\";\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"PortalAdmin\")]\r\n        public ActionResult EditLanguage(int id)\r\n        {\r\n            ViewData[\"Message\"] = \"\";\r\n            Language language = _cacheService.GetLanguage(id);\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _Language = language\r\n                            };\r\n\r\n            ViewData[\"PageTitle\"] = \"Edit Language\";\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"PortalAdmin\")]\r\n        [AcceptVerbs(HttpVerbs.Post)]\r\n        public ActionResult EditLanguage(Language editedLanguage)\r\n        {\r\n            Language languageToEdit = _miscService.GetLanguage(editedLanguage.LanguageID);\r\n\r\n            languageToEdit.LanguageName = editedLanguage.LanguageName;\r\n            languageToEdit.IconName = editedLanguage.IconName;\r\n            languageToEdit.PathID = editedLanguage.PathID;\r\n\r\n            if (_miscService.EditLanguage(languageToEdit))\r\n            {\r\n                ViewData[\"Message\"] = \"Update Successfull\";\r\n            }\r\n\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _Language = languageToEdit\r\n                            };\r\n\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"PortalAdmin\")]\r\n        public ActionResult CreateLanguage([Bind(Exclude = \"LanguageID\")] Language languageToCreate)\r\n        {\r\n            ViewData[\"PageTitle\"] = \"Create Language\";\r\n            ViewData[\"message\"] = \"\";\r\n\r\n            if (languageToCreate.LanguageName != null)\r\n            {\r\n                if (_miscService.CreateLanguage(languageToCreate))\r\n                {\r\n                    ViewData[\"message\"] = \"Insert Successful\";\r\n                }\r\n\r\n                return View(\"CreateLanguage\");\r\n            }\r\n\r\n            return View(\"CreateLanguage\");\r\n        }\r\n\r\n        [Authorize(Roles = \"PortalAdmin\")]\r\n        public ActionResult ManagePortals(int? id)\r\n        {\r\n            if (Session[\"message\"] != null)\r\n            {\r\n                ViewData[\"Message\"] = Session[\"message\"];\r\n                Session[\"message\"] = null;\r\n            }\r\n            else\r\n            {\r\n                ViewData[\"Message\"] = \"\";\r\n            }\r\n            if (id != null)\r\n            {\r\n                Portal portalToDelete = _portalService.GetPortal(id.GetValueOrDefault());\r\n                _portalService.DeletePortal(portalToDelete);\r\n            }\r\n\r\n            IEnumerable<Portal> portals = _portalService.ListPortals();\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _Portals = portals\r\n                            };\r\n            ViewData[\"PageTitle\"] = \"Manage Portals\";\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"PortalAdmin\")]\r\n        public ActionResult EditPortal(int id)\r\n        {\r\n            ViewData[\"Message\"] = \"\";\r\n            Portal portal = _portalService.GetPortal(id);\r\n            IEnumerable<PortalResourceType> portalresources = _portalService.ListPortalResourceTypes();\r\n\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _PortalResourceTypes = portalresources,\r\n                                _Portal = portal\r\n                            };\r\n\r\n            ViewData[\"PageTitle\"] = \"Edit Portal\";\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"PortalAdmin\")]\r\n        [AcceptVerbs(HttpVerbs.Post)]\r\n        public ActionResult EditPortal(Portal editedPortal)\r\n        {\r\n            Portal portalToEdit = _portalService.GetPortal(editedPortal.PortalID);\r\n            ViewData[\"Message\"] = \"\";\r\n            MembershipUser membershipUser = Membership.GetUser();\r\n            if (portalToEdit.Name != \"Default\")\r\n            {\r\n                portalToEdit.Name = editedPortal.Name;\r\n            }\r\n\r\n            portalToEdit.URLAuthority = editedPortal.URLAuthority;\r\n            portalToEdit.DisplayName = editedPortal.DisplayName;\r\n            portalToEdit.SkinName = editedPortal.SkinName;\r\n            portalToEdit.PortalAdmin = _accountService.GetUser(new Guid(membershipUser.ProviderUserKey.ToString()));\r\n            portalToEdit.UseFullText = editedPortal.UseFullText;\r\n            portalToEdit.PayPalEmail = editedPortal.PayPalEmail;\r\n            portalToEdit.PayPalToken = editedPortal.PayPalToken;\r\n            portalToEdit.PayPalTestMode = editedPortal.PayPalTestMode;\r\n            portalToEdit.TeleDraftACHPassword = editedPortal.TeleDraftACHPassword;\r\n            portalToEdit.TeleDraftACHUserID = editedPortal.TeleDraftACHUserID;\r\n            portalToEdit.TeleDraftPassword = editedPortal.TeleDraftPassword;\r\n            portalToEdit.TeleDraftUserID = editedPortal.TeleDraftUserID;\r\n            portalToEdit.AuthorizePassword = editedPortal.AuthorizePassword;\r\n            portalToEdit.AuthorizeUserID = editedPortal.AuthorizeUserID;\r\n\r\n            if (_portalService.EditPortal(portalToEdit))\r\n            {\r\n                ViewData[\"Message\"] = \"Update Successfull\";\r\n            }\r\n            IEnumerable<PortalResourceType> portalresources = _portalService.ListPortalResourceTypes();\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _PortalResourceTypes = portalresources,\r\n                                _Portal = portalToEdit\r\n                            };\r\n\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"PortalAdmin\")]\r\n        public ActionResult CreatePortal(int? languageid, [Bind(Exclude = \"PortalID\")] Portal portalToCreate)\r\n        {\r\n            ViewData[\"PageTitle\"] = \"Create Portal\";\r\n            ViewData[\"message\"] = \"\";\r\n            IEnumerable<Language> languages = _cacheService.ListLanguages();\r\n            ViewData[\"LanguageID\"] = new SelectList(languages, \"LanguageID\", \"LanguageName\");\r\n\r\n            if (portalToCreate.Name != null)\r\n            {\r\n                MembershipUser membershipUser = Membership.GetUser();\r\n                portalToCreate.EditDate = DateTime.Now;\r\n                portalToCreate.PortalAdmin = _accountService.GetUser(new Guid(membershipUser.ProviderUserKey.ToString()));\r\n\r\n                var language = _miscService.GetLanguage(languageid.GetValueOrDefault());\r\n                portalToCreate.DefaultLanguage = language;\r\n\r\n                if (_portalService.CreatePortal(portalToCreate))\r\n                {\r\n                    ResetAppAuto();\r\n                    Session[\"message\"] = \"Insert Successful\";\r\n                    Response.Redirect(\"/backoffice/manageportals\");\r\n                }\r\n            }\r\n\r\n            return View(\"CreatePortal\");\r\n        }\r\n\r\n        #endregion\r\n\r\n        #region Portal Resource Methods\r\n\r\n        [Authorize(Roles = \"PortalAdmin\")]\r\n        public ActionResult EditPortalResource(int id, int routeval)\r\n        {\r\n            ViewData[\"PageTitle\"] = \"Edit Portal Resource\";\r\n            ViewData[\"Message\"] = \"\";\r\n            PortalResource portalresource = _portalService.GetPortalResource(routeval, id);\r\n            if (portalresource == null)\r\n            {\r\n                Response.Redirect(\"/backoffice/CreatePortalResource/\" + id + \"/\" + routeval);\r\n            }\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _PortalResource = portalresource\r\n                            };\r\n\r\n            return View(model);\r\n        }\r\n\r\n        [ValidateInput(false)]\r\n        [Authorize(Roles = \"PortalAdmin\")]\r\n        [AcceptVerbs(HttpVerbs.Post)]\r\n        public ActionResult EditPortalResource(PortalResource editedPortalResource)\r\n        {\r\n            ViewData[\"PageTitle\"] = \"Edit Portal Resource\";\r\n            ViewData[\"Message\"] = \"\";\r\n            PortalResource portalResourceToEdit;\r\n            portalResourceToEdit = _portalService.GetPortalResource(editedPortalResource.PortalResourceID);\r\n\r\n            MembershipUser membershipUser = Membership.GetUser();\r\n\r\n            portalResourceToEdit.Body = editedPortalResource.Body;\r\n\r\n            var user = new User\r\n                           {\r\n                               UserID = new Guid(membershipUser.ProviderUserKey.ToString())\r\n                           };\r\n\r\n            portalResourceToEdit.PortalAdmin = user;\r\n\r\n            if (_portalService.EditPortalResource(portalResourceToEdit))\r\n            {\r\n                ViewData[\"Message\"] = \"Update Successfull\";\r\n            }\r\n\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _PortalResource = portalResourceToEdit\r\n                            };\r\n\r\n            return View(model);\r\n        }\r\n\r\n        [ValidateInput(false)]\r\n        [Authorize(Roles = \"PortalAdmin\")]\r\n        [AcceptVerbs(HttpVerbs.Post)]\r\n        public ActionResult CreatePortalResource(\r\n            [Bind(Exclude = \"PortalResourceID\")] PortalResource portalresourceToCreate)\r\n        {\r\n            ViewData[\"PageTitle\"] = \"Create Portal Resource\";\r\n            ViewData[\"message\"] = \"\";\r\n            PortalResourceType restype =\r\n                _portalService.GetPortalResourceType(portalresourceToCreate.PortalResourceType.PortalResourceTypeID);\r\n            ViewData[\"type\"] = restype.Name;\r\n            if (portalresourceToCreate.Body != null)\r\n            {\r\n                MembershipUser membershipUser = Membership.GetUser();\r\n                portalresourceToCreate.EditDate = DateTime.Now;\r\n                portalresourceToCreate.PortalAdmin =\r\n                    _accountService.GetUser(new Guid(membershipUser.ProviderUserKey.ToString()));\r\n                portalresourceToCreate.ResourceName = restype.Name;\r\n                portalresourceToCreate.PortalResourceType.Name = restype.Name;\r\n                portalresourceToCreate.Portal.PortalAdmin =\r\n                    _accountService.GetUser(new Guid(membershipUser.ProviderUserKey.ToString()));\r\n                if (_portalService.CreatePortalResource(portalresourceToCreate))\r\n                {\r\n                    Session[\"message\"] = \"Insert Successful\";\r\n                    Response.Redirect(\"/backoffice/manageportals\");\r\n                }\r\n            }\r\n            return View();\r\n        }\r\n\r\n        [Authorize(Roles = \"PortalAdmin\")]\r\n        public ActionResult CreatePortalResource(int id, int routeval)\r\n        {\r\n            ViewData[\"PageTitle\"] = \"Create Portal Resource\";\r\n            ViewData[\"message\"] = \"\";\r\n            PortalResourceType restype = _portalService.GetPortalResourceType(id);\r\n            Portal portal = _portalService.GetPortal(routeval);\r\n            ViewData[\"restype\"] = restype.Name;\r\n            ViewData[\"restypeid\"] = restype.PortalResourceTypeID;\r\n            ViewData[\"PortalID\"] = portal.PortalID;\r\n\r\n            return View();\r\n        }\r\n\r\n        #endregion\r\n\r\n        #region Module Methods\r\n\r\n        [Authorize(Roles = \"Editor, PortalAdmin\")]\r\n        public ActionResult ManageModules(int? id)\r\n        {\r\n            if (id != null)\r\n            {\r\n                _cmsService.DeleteModule(id.GetValueOrDefault());\r\n                Response.Redirect(\"/backoffice/ManageModules\");\r\n            }\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _Modules = _cmsService.ListModules()\r\n                            };\r\n            ViewData[\"PageTitle\"] = \"Manage Modules\";\r\n            return View(model);\r\n        }\r\n\r\n        [ValidateInput(false)]\r\n        [Authorize(Roles = \"Editor, PortalAdmin\")]\r\n        public ActionResult EditModule(int? id, string allpagesval, int? categoryID, int? contentpageid,\r\n                                       Module moduleToEdit)\r\n        {\r\n            ViewData[\"Message\"] = \"\";\r\n\r\n            bool usecat = false;\r\n            bool usepage = false;\r\n            if (allpagesval == \"All\")\r\n            {\r\n                moduleToEdit.AllPages = true;\r\n            }\r\n            else if (allpagesval == \"Cat\")\r\n            {\r\n                usecat = true;\r\n            }\r\n            else\r\n            {\r\n                usepage = true;\r\n            }\r\n\r\n            if (moduleToEdit.Title != null)\r\n            {\r\n                Module orig = _cmsService.GetModule(moduleToEdit.ModuleID);\r\n                orig.Title = moduleToEdit.Title.Trim();\r\n                orig.Importance = moduleToEdit.Importance;\r\n                orig.ContentCategory = usecat\r\n                                           ? _cmsService.GetContentCategory(categoryID.GetValueOrDefault())\r\n                                           : null;\r\n                orig.ContentPage = usepage ? _cmsService.GetContentPage(contentpageid.GetValueOrDefault()) : null;\r\n                orig.Active = moduleToEdit.Active;\r\n                orig.AjaxLoadURL = moduleToEdit.AjaxLoadURL;\r\n                orig.AllPages = moduleToEdit.AllPages;\r\n                orig.Description = moduleToEdit.Description;\r\n                orig.TargetDiv = moduleToEdit.TargetDiv;\r\n                orig.HTML = moduleToEdit.HTML;\r\n                orig.UseAjaxLoadURL = moduleToEdit.UseAjaxLoadURL;\r\n                orig.GetScript = moduleToEdit.GetScript;\r\n                _cmsService.EditModule(orig);\r\n                ViewData[\"Message\"] = \"The module was edited.\";\r\n                moduleToEdit = orig;\r\n            }\r\n            else\r\n            {\r\n                moduleToEdit = _cmsService.GetModule(id.GetValueOrDefault());\r\n            }\r\n            int tmpPGid = 0;\r\n            int tmpCaTid = 0;\r\n            if (moduleToEdit.ContentPage != null)\r\n            {\r\n                tmpPGid = moduleToEdit.ContentPage.ContentPageID;\r\n            }\r\n            if (moduleToEdit.ContentCategory != null)\r\n            {\r\n                tmpCaTid = moduleToEdit.ContentCategory.CategoryID;\r\n            }\r\n            IEnumerable<DTOContentPageForEditor> pages = _cmsService.ListPages();\r\n            ViewData[\"ContentPageID\"] = new SelectList(pages.OrderBy(x => x.Title), \"ContentPageID\", \"Title\", tmpPGid);\r\n            IEnumerable<ContentCategory> cats = _cmsService.ListCategories();\r\n            ViewData[\"CategoryID\"] = new SelectList(cats.OrderBy(x => x.Path), \"CategoryID\", \"Path\", tmpCaTid);\r\n\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _Module = moduleToEdit\r\n                            };\r\n            ViewData[\"PageTitle\"] = \"Edit Module\";\r\n            return View(model);\r\n        }\r\n\r\n        [ValidateInput(false)]\r\n        [Authorize(Roles = \"Editor, PortalAdmin\")]\r\n        public ActionResult CreateModule(int? contentpageid, string allpagesval, int? categoryId,\r\n                                         [Bind(Exclude = \"ModuleID\")] Module moduleToCreate)\r\n        {\r\n            ViewData[\"Message\"] = \"\";\r\n\r\n            bool usecat = false;\r\n            bool usepage = false;\r\n            if (allpagesval == \"All\")\r\n            {\r\n                moduleToCreate.AllPages = true;\r\n            }\r\n            else if (allpagesval == \"Cat\")\r\n            {\r\n                usecat = true;\r\n            }\r\n            else\r\n            {\r\n                usepage = true;\r\n            }\r\n\r\n            moduleToCreate.AddedDate = DateTime.Now;\r\n            if (usecat)\r\n            {\r\n                moduleToCreate.ContentCategory = _cmsService.GetContentCategory(categoryId.GetValueOrDefault());\r\n            }\r\n            if (usepage)\r\n            {\r\n                moduleToCreate.ContentPage = _cmsService.GetContentPage(contentpageid.GetValueOrDefault());\r\n            }\r\n            moduleToCreate.Importance = 0;\r\n            if (moduleToCreate.Title != null)\r\n            {\r\n                _cmsService.CreateModule(moduleToCreate);\r\n                Response.Redirect(\"/backoffice/ManageModules\");\r\n            }\r\n            int tmpPGid = 0;\r\n            int tmpCaTid = 0;\r\n            if (moduleToCreate.ContentPage != null)\r\n            {\r\n                tmpPGid = moduleToCreate.ContentPage.ContentPageID;\r\n            }\r\n            if (moduleToCreate.ContentCategory != null)\r\n            {\r\n                tmpCaTid = moduleToCreate.ContentCategory.CategoryID;\r\n            }\r\n            IEnumerable<DTOContentPageForEditor> pages = _cmsService.ListPages();\r\n            ViewData[\"ContentPageID\"] = new SelectList(pages.OrderBy(x => x.Title), \"ContentPageID\", \"Title\", tmpPGid);\r\n            IEnumerable<ContentCategory> cats = _cmsService.ListCategories();\r\n            ViewData[\"CategoryID\"] = new SelectList(cats.OrderBy(x => x.Path), \"CategoryID\", \"Path\", tmpCaTid);\r\n\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _Module = moduleToCreate\r\n                            };\r\n            ViewData[\"PageTitle\"] = \"Create Module\";\r\n            return View(model);\r\n        }\r\n\r\n        #endregion\r\n\r\n        #region Editor Methods\r\n\r\n        [Authorize(Roles = \"Editor\")]\r\n        public ActionResult ManageContentCategories(int? id)\r\n        {\r\n            ViewData[\"Message\"] = \"\";\r\n            if (id != null)\r\n            {\r\n                ContentCategory categoryToDelete = _cmsService.GetContentCategory(id.GetValueOrDefault());\r\n\r\n                if (categoryToDelete.SubCategories.Count > 0)\r\n                {\r\n                    Session[\"DeleteFailed\"] = true;\r\n                    Response.Redirect(\"/backoffice/ManageContentCategories\");\r\n                }\r\n                else\r\n                {\r\n                    var allcats = _cmsService.ListAllCategories();                    \r\n                    IEnumerable<ContentCategory> catsToDecrement;\r\n                    if (categoryToDelete.ParentCategory == null)\r\n                    {\r\n                        catsToDecrement = allcats.Where(cat => cat.ParentCategory == null && \r\n                            cat.Portal.PortalID == _cacheService.GetCurrentPortal().PortalID);\r\n                    }\r\n                    else\r\n                    {\r\n                        catsToDecrement = categoryToDelete.ParentCategory.SubCategories;                         \r\n                    }\r\n                    int missingImportance = categoryToDelete.Importance;\r\n                    int removedCatId = categoryToDelete.CategoryID;\r\n                    if (_cmsService.DeleteContentCategory(categoryToDelete))\r\n                    {\r\n\r\n                        //loop through categories and decrement the importance of each\r\n                        //category sibling with an importance greater than the just deleted category\r\n                        foreach (var category in catsToDecrement)\r\n                        {\r\n                            if (category.Importance > missingImportance &&\r\n                                category.CategoryID != removedCatId)\r\n                            {\r\n                                category.Importance = category.Importance - 1;\r\n                                _cmsService.EditContentCategory(category);\r\n                            }\r\n                        }\r\n\r\n                        ResetAppAuto();\r\n                        Response.Redirect(\"/backoffice/ManageContentCategories\");\r\n                    }\r\n                    else\r\n                    {\r\n                        Session[\"DeleteFailed\"] = true;\r\n                        Response.Redirect(\"/backoffice/ManageContentCategories\");\r\n                    }\r\n                }\r\n            }\r\n            IEnumerable<ContentCategory> categories = _cmsService.ListCategories();\r\n            if (Session[\"DeleteFailed\"] != null)\r\n            {\r\n                ViewData[\"Message\"] = \"This category has child categories, modules or alternate language versions.  You must delete them first.\";\r\n                Session[\"DeleteFailed\"] = null;\r\n            }\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _ContentCategories = categories\r\n                            };\r\n            ViewData[\"PageTitle\"] = \"Manage Content Categories\";\r\n            return View(model);\r\n        }\r\n\r\n\r\n        [Authorize(Roles = \"Editor\")]\r\n        public ActionResult ImageManager()\r\n        {\r\n            ViewData[\"Message\"] = \"\";\r\n            string foldername = _cacheService.GetCurrentPortal().Name.ToUrlFormat();\r\n\r\n            string path = Server.MapPath(\"~/Uploadedimages/\" + foldername);\r\n            string thumbpath = Server.MapPath(\"~/Uploadedimages/\" + foldername + \"/thumbs\");\r\n\r\n            Directory.CreateDirectory(path);\r\n            Directory.CreateDirectory(thumbpath);\r\n            DirectoryInfo di = new DirectoryInfo(thumbpath);\r\n            FileInfo[] rgFiles = di.GetFiles(\"*.*\");\r\n            var model = new BackOfficeModel\r\n            {\r\n                _Portal = _cacheService.GetCurrentPortal(),\r\n                _Files = rgFiles\r\n            };\r\n            ViewData[\"PageTitle\"] = \"Image Manager\";\r\n            return View(\"ImageManager\", \"DontUseMaster\", model);\r\n        }\r\n\r\n        [Authorize(Roles = \"Editor\")]\r\n        [AcceptVerbs(HttpVerbs.Post)]\r\n        public ActionResult ImageManager(FormCollection forms)\r\n        {\r\n            ViewData[\"Message\"] = \"\";\r\n            string foldername = _cacheService.GetCurrentPortal().Name.ToUrlFormat();\r\n\r\n            string path = Server.MapPath(\"~/Uploadedimages/\" + foldername);\r\n\r\n            foreach (string inputTagName in Request.Files)\r\n            {\r\n                HttpPostedFileBase file = Request.Files[inputTagName];\r\n\r\n                if (file.ContentLength > 0)\r\n                {\r\n                    string filePath = Path.Combine(path, Path.GetFileName(file.FileName));\r\n                    string thumbPath = Path.Combine(path + \"\\\\thumbs\", Path.GetFileName(file.FileName));\r\n                    if (file.FileName.Contains(\"jpg\") ||\r\n                        file.FileName.Contains(\"gif\") ||\r\n                        file.FileName.Contains(\"png\"))\r\n                    {\r\n                        file.SaveAs(filePath);                      \r\n                        //create thumbnail\r\n                        Code.Files.ResizeImage(filePath, thumbPath, 80, 300, false);\r\n                    }\r\n                    //unzip the file\r\n                    if (file.FileName.Contains(\"zip\"))\r\n                    {\r\n                        Code.Files.Unzipfile(filePath, path);\r\n                    }\r\n                }\r\n            }\r\n\r\n            DirectoryInfo di = new DirectoryInfo(path);\r\n            FileInfo[] rgFiles = di.GetFiles(\"*.*\");\r\n            var model = new BackOfficeModel\r\n            {\r\n                _Portal = _cacheService.GetCurrentPortal(),\r\n                _Files = rgFiles\r\n            };\r\n            ViewData[\"PageTitle\"] = \"Image Manager\";\r\n            return View(\"ImageManager\", \"DontUseMaster\", model);\r\n        }\r\n\r\n        [Authorize(Roles = \"Editor\")]\r\n        public ActionResult FileManager()\r\n        {\r\n            ViewData[\"Message\"] = \"\";\r\n            string foldername = _cacheService.GetCurrentPortal().Name.ToUrlFormat();\r\n            string path = Server.MapPath(\"~/Uploadedfiles/\" + foldername);\r\n\r\n            Directory.CreateDirectory(path);\r\n            DirectoryInfo di = new DirectoryInfo(path);\r\n            FileInfo[] rgFiles = di.GetFiles(\"*.*\");\r\n            var model = new BackOfficeModel\r\n            {\r\n                _Portal = _cacheService.GetCurrentPortal(),\r\n                _Files = rgFiles\r\n            };\r\n            ViewData[\"PageTitle\"] = \"File Manager\";\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"Editor\")]\r\n        [AcceptVerbs(HttpVerbs.Post)]\r\n        public ActionResult FileManager(FormCollection forms)\r\n        {\r\n            ViewData[\"Message\"] = \"\";\r\n\r\n            string foldername = _cacheService.GetCurrentPortal().Name.ToUrlFormat();\r\n            string path = Server.MapPath(\"~/Uploadedfiles/\" + foldername);\r\n\r\n            foreach (string inputTagName in Request.Files)\r\n            {\r\n                HttpPostedFileBase file = Request.Files[inputTagName];\r\n\r\n                if (file.ContentLength > 0)\r\n                {\r\n                    string filePath = Path.Combine(path, Path.GetFileName(file.FileName));\r\n\r\n                    file.SaveAs(filePath);\r\n                    //unzip the file\r\n                    if (file.FileName.Contains(\"zip\"))\r\n                    {\r\n                        Code.Files.Unzipfile(filePath, path);\r\n                    }\r\n                }\r\n            }\r\n\r\n            DirectoryInfo di = new DirectoryInfo(path);\r\n            FileInfo[] rgFiles = di.GetFiles(\"*.*\");\r\n            var model = new BackOfficeModel\r\n            {\r\n                _Portal = _cacheService.GetCurrentPortal(),\r\n                _Files = rgFiles\r\n            };\r\n            ViewData[\"PageTitle\"] = \"File Manager\";\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"Editor\")]\r\n        public ActionResult ManageContentPages(int? id)\r\n        {\r\n            ViewData[\"Message\"] = \"\";\r\n            if (id != null)\r\n            {\r\n                ContentPage pageToDelete = _cmsService.GetContentPage(id.GetValueOrDefault());\r\n                if (!_cmsService.DeleteContentPage(pageToDelete))\r\n                {\r\n                    ViewData[\"Message\"] = \"\";\r\n                }\r\n            }\r\n            IEnumerable<DTOContentPageForEditor> pages = _cmsService.ListPages();\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _DTOContentPageForEditor = pages\r\n                            };\r\n            ViewData[\"PageTitle\"] = \"Manage Content Pages\";\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"Editor\")]\r\n        public ActionResult EditContentCategory(int id)\r\n        {\r\n            ContentCategory category = _cmsService.GetContentCategory(id);\r\n\r\n            Portal currentportal = _cacheService.GetCurrentPortal();\r\n            if (currentportal.PortalID != category.Portal.PortalID)\r\n            {\r\n                Response.Redirect(\"/backoffice/managecontentcategories\");\r\n            }\r\n\r\n            if (category.OnlyForMembers == null)\r\n            {\r\n                category.OnlyForMembers = false;\r\n            }\r\n            IEnumerable<ContentCategory> categories = _cmsService.ListCategoriesForBackOffice();\r\n            ViewData[\"issubcat\"] = false;\r\n            ViewData[\"prntcatmsg\"] = \"Click here to make this category a subcategory.  This can\'t be changed once set.\";\r\n            if (category.ParentCategory != null)\r\n            {\r\n                ViewData[\"issubcat\"] = true;\r\n                ViewData[\"prntcatmsg\"] = \"This category is currently a sub category.\";\r\n            }\r\n            if (category.SubCategories.Count() > 0)\r\n            {\r\n                ViewData[\"prntcatmsg\"] = category.ParentCategory == null\r\n                     ? \"This category is not a sub category.<br/>This category has child categories and cannot have its parent category changed.\"\r\n                     : \"This category is currently a sub category.<br/>This category has child categories and cannot have its parent category changed.\";\r\n            }\r\n            var cattmp = new CategoriesAjax();\r\n            foreach (ContentCategory cat in categories)\r\n            {\r\n                if (cat.CategoryID != id)\r\n                {\r\n                    cattmp.Add(cat);\r\n                }\r\n            }\r\n            ViewData[\"CategoryID\"] = category.ParentCategory != null\r\n                 ? new SelectList(cattmp.OrderBy(x => x.Path), \"CategoryID\", \"Path\",\r\n                                  category.ParentCategory.CategoryID)\r\n                 : new SelectList(cattmp.OrderBy(x => x.Path), \"CategoryID\", \"Path\");\r\n            var model = new BackOfficeModel\r\n                {\r\n                    _ContentCategory = category\r\n                };\r\n            ViewData[\"Message\"] = \"\";\r\n            ViewData[\"PageTitle\"] = \"Edit Content Category\";\r\n            return View(model);\r\n        }\r\n\r\n        private static void BuildPath(ContentCategory parent, ref string fullpath, ref int numparents,\r\n                                      ref string parentlist)\r\n        {\r\n            if (parent.ParentCategory != null)\r\n            {\r\n                fullpath = parent.ParentCategory.Path + \"/\";\r\n                if (parent.ParentCategory.ParentList == null)\r\n                {\r\n                    parentlist = string.Format(\",{0},\", parent.ParentCategory.CategoryID);\r\n                }\r\n                else\r\n                {\r\n                    parentlist = parent.ParentCategory.ParentList + parent.ParentCategory.CategoryID + \",\";\r\n                }\r\n                numparents = numparents + parent.ParentCategory.NumberOfParents.GetValueOrDefault();\r\n            }\r\n        }\r\n\r\n        [Authorize(Roles = \"Editor\")]\r\n        [AcceptVerbs(HttpVerbs.Post)]\r\n        public ActionResult EditContentCategory(int id, string description, string title, bool showinnav,\r\n                                                bool onlyForMembers, bool issubcategory, int? categoryId)\r\n        {\r\n            ViewData[\"message\"] = \"\";\r\n            bool existingsubcat = false;\r\n            IEnumerable<ContentCategory> categories = _cmsService.ListCategoriesForBackOffice();\r\n            bool resetapp = false;\r\n\r\n            ContentCategory categoryToEdit = _cmsService.GetContentCategory(id);\r\n\r\n            if (categoryToEdit.ParentCategory != null)\r\n            {\r\n                existingsubcat = true;\r\n            }\r\n            \r\n            categoryToEdit.Title = title;\r\n            if (issubcategory && categoryId != null)\r\n            {                \r\n                int maxcatimp = 0;\r\n                IEnumerable<DTOSubCategory> cats = _cmsService.ListSubCats(categoryId.GetValueOrDefault());\r\n                foreach (DTOSubCategory cat in cats)\r\n                {\r\n                    if (cat.Importance > maxcatimp)\r\n                    {\r\n                        maxcatimp = cat.Importance;\r\n                    }\r\n                }\r\n                categoryToEdit.Importance = maxcatimp + 1;\r\n                categoryToEdit.ParentCategory = _cmsService.GetContentCategory(categoryId.GetValueOrDefault());\r\n\r\n                //This is only done if the category previously had no parent or children\r\n                //TODO a future may provide a 301 redirect and rebuild child routes if it is desired to change an existing path.\r\n\r\n                //Build the path\r\n                if (!existingsubcat && categoryToEdit.SubCategories.Count() == 0)\r\n                {\r\n                    resetapp = true;\r\n                    string newcatpath = categoryToEdit.Path;\r\n                    string fullpath = \"\";\r\n                    int numparents = 1;\r\n                    string parentlist = \"\";\r\n                    BuildPath(categoryToEdit, ref fullpath, ref numparents, ref parentlist);\r\n                    categoryToEdit.Path = fullpath + newcatpath;\r\n                    categoryToEdit.SinglePath = newcatpath;\r\n                    categoryToEdit.NumberOfParents = numparents;\r\n                    categoryToEdit.ParentList = parentlist;\r\n                }\r\n            }\r\n            else\r\n            {\r\n                if (!existingsubcat)\r\n                {\r\n                    categoryToEdit.ParentCategory = null;\r\n                }\r\n            }\r\n            issubcategory = existingsubcat;\r\n            ViewData[\"issubcat\"] = issubcategory;          \r\n\r\n            categoryToEdit.ShowInNav = !issubcategory && showinnav;\r\n            categoryToEdit.Description = description;\r\n            categoryToEdit.OnlyForMembers = onlyForMembers;\r\n\r\n            if (_cmsService.EditContentCategory(categoryToEdit))\r\n            {\r\n                ViewData[\"Message\"] = \"Update Successfull\";\r\n                if (resetapp)\r\n                {\r\n                    ResetAppAuto();\r\n                }\r\n            }\r\n            else\r\n            {\r\n                categoryToEdit.Path = categoryToEdit.SinglePath;\r\n                categoryToEdit.ParentCategory = null;\r\n                ViewData[\"issubcat\"] = false;\r\n            }\r\n            ViewData[\"prntcatmsg\"] = \"Click here to make this category a subcategory.\";\r\n            if (categoryToEdit.SubCategories.Count() > 0)\r\n            {\r\n                ViewData[\"prntcatmsg\"] = categoryToEdit.ParentCategory == null\r\n                                             ? \"This category is not a sub category.<br/>This category has child categories and cannot have its parent category changed.\"\r\n                                             : \"This category is currently a sub category.<br/>This category has child categories and cannot have its parent category changed.\";\r\n            }\r\n            else\r\n            {\r\n                if (categoryToEdit.ParentCategory != null)\r\n                {\r\n                    ViewData[\"prntcatmsg\"] = \"This category is currently a sub category.\";\r\n                }\r\n            }\r\n            var cattmp = new CategoriesAjax();\r\n            foreach (ContentCategory cat in categories)\r\n            {\r\n                if (cat.CategoryID != id)\r\n                {\r\n                    cattmp.Add(cat);\r\n                }\r\n            }\r\n            ViewData[\"CategoryID\"] = categoryToEdit.ParentCategory != null\r\n                                         ? new SelectList(cattmp.OrderBy(x => x.Path), \"CategoryID\", \"Path\",\r\n                                                          categoryToEdit.ParentCategory.CategoryID)\r\n                                         : new SelectList(cattmp.OrderBy(x => x.Path), \"CategoryID\", \"Path\");\r\n            ViewData[\"PageTitle\"] = \"Edit Category\";\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _ContentCategory = categoryToEdit\r\n                            };\r\n\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"Editor\")]\r\n        public ActionResult EditContentPage(int id)\r\n        {\r\n            ContentPage page = _cmsService.GetContentPage(id);\r\n            if (page.Importance == null)\r\n                page.Importance = 0;\r\n\r\n            IEnumerable<DTOContributor> contributors = _accountService.ListContributors();\r\n            ViewData[\"UserID\"] = new SelectList(contributors, \"UserID\", \"UserName\", page.Contributor.UserID);\r\n\r\n            IEnumerable<ContentCategory> categories = _cmsService.ListCategories();\r\n            ViewData[\"CategoryID\"] = new SelectList(categories, \"CategoryID\", \"Title\", page.ContentCategory.CategoryID);\r\n\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _ContentPage = page\r\n                            };\r\n            ViewData[\"Message\"] = \"\";\r\n            ViewData[\"PageTitle\"] = \"Edit Content Page\";\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"Editor\")]\r\n        [ValidateInput(false)]\r\n        [AcceptVerbs(HttpVerbs.Post)]\r\n        public ActionResult EditContentPage(int id, int categoryId, Guid userId, string summary, string body,\r\n                                            string title, bool approved, bool commentsEnabled, bool onlyformembers,\r\n                                            bool issubpage, bool anoncommentsEnabled, int importance)\r\n        {\r\n            ContentPage pageToEdit = _cmsService.GetContentPage(id);\r\n            ContentCategory newcategory = _cmsService.GetContentCategory(categoryId);\r\n            pageToEdit.Title = title;\r\n            pageToEdit.Body = body;\r\n            pageToEdit.Importance = importance;\r\n            pageToEdit.ContentCategory = newcategory;\r\n            pageToEdit.Approved = approved;\r\n            pageToEdit.AnonCommentsEnabled = anoncommentsEnabled;\r\n            pageToEdit.CommentsEnabled = commentsEnabled;\r\n            pageToEdit.Summary = summary;\r\n            pageToEdit.OnlyForMembers = onlyformembers;\r\n            pageToEdit.UpdateDate = DateTime.Now;\r\n            pageToEdit.IsSubPage = issubpage;\r\n            pageToEdit.IsCurrentVersion = issubpage;\r\n            User contributor = _accountService.GetUser(userId);\r\n\r\n            pageToEdit.Contributor = contributor;\r\n\r\n            IEnumerable<ContentCategory> categories = _cmsService.ListCategories();\r\n            ViewData[\"CategoryID\"] = new SelectList(categories, \"CategoryID\", \"Title\", categoryId);\r\n\r\n            IEnumerable<DTOContributor> contributors = _accountService.ListContributors();\r\n            ViewData[\"UserID\"] = new SelectList(contributors, \"UserID\", \"UserName\", userId);\r\n\r\n            if (_cmsService.EditContentPage(pageToEdit))\r\n            {\r\n                ViewData[\"Message\"] = \"Update Successfull\";\r\n            }\r\n\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _ContentPage = pageToEdit\r\n                            };\r\n\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"Editor, Contributor\")]\r\n        [ValidateInput(false)]\r\n        public ActionResult CreateContentPage(int? categoryId,\r\n                                              [Bind(Exclude = \"ContentPageID\")] ContentPage contentpageToCreate)\r\n        {\r\n            ViewData[\"PageTitle\"] = \"Create Content Page\";\r\n            ViewData[\"message\"] = \"\";\r\n            IEnumerable<ContentCategory> categories = _cmsService.ListCategories();\r\n            if (contentpageToCreate.Title != null)\r\n            {\r\n                contentpageToCreate.AddedDate = DateTime.Now;\r\n                MembershipUser membershipUser = Membership.GetUser();\r\n\r\n                var user = new User\r\n                               {\r\n                                   UserID = new Guid(membershipUser.ProviderUserKey.ToString())\r\n                               };\r\n                var contentcategory = new ContentCategory\r\n                                          {\r\n                                              CategoryID = categoryId.GetValueOrDefault()\r\n                                          };\r\n\r\n                contentpageToCreate.Contributor = user;\r\n                contentpageToCreate.Editor = user;\r\n                contentpageToCreate.AddedDate = DateTime.Now;\r\n                contentpageToCreate.ReleaseDate = DateTime.Now;\r\n                contentpageToCreate.ExpireDate = DateTime.Parse(\"12/12/2012\");\r\n                contentpageToCreate.Approved = false;\r\n                contentpageToCreate.Listed = true;\r\n                contentpageToCreate.CommentsEnabled = false;\r\n                contentpageToCreate.OnlyForMembers = false;\r\n                contentpageToCreate.IsSubPage = false;\r\n                contentpageToCreate.ViewCount = 0;\r\n                contentpageToCreate.Votes = 0;\r\n                contentpageToCreate.TotalRating = 0;\r\n                contentpageToCreate.IsCurrentVersion = false;\r\n                contentpageToCreate.AnonCommentsEnabled = false;\r\n\r\n                IEnumerable<ContentPage> pages = _cmsService.ListCategoryPagesByCategory(contentcategory.CategoryID);\r\n                int maximp = 0;\r\n                foreach (ContentPage page in pages)\r\n                {\r\n                    if (page.Importance > maximp)\r\n                    {\r\n                        maximp = page.Importance.GetValueOrDefault();\r\n                    }\r\n                }\r\n\r\n                contentpageToCreate.Importance = maximp;\r\n                contentpageToCreate.Description = \"\";\r\n\r\n                contentpageToCreate.ContentCategory = contentcategory;\r\n\r\n                int result = _cmsService.CreateContentPage(contentpageToCreate);\r\n                if (result != 0)\r\n                {\r\n                    return Roles.IsUserInRole(\"Editor\")\r\n                               ? RedirectToAction(\"EditContentPage\", new {id = result})\r\n                               : RedirectToAction(\"ManageContent\");\r\n                }\r\n                ViewData[\"CategoryID\"] = new SelectList(categories, \"CategoryID\", \"Title\");\r\n                return View(\"CreateContentPage\");\r\n            }\r\n\r\n            ViewData[\"CategoryID\"] = new SelectList(categories, \"CategoryID\", \"Title\");\r\n\r\n            return View(\"CreateContentPage\");\r\n        }\r\n\r\n        [Authorize(Roles = \"Editor\")]\r\n        public ActionResult SetPublishedPage(int? id, int? selectedpageId)\r\n        {\r\n            if (id == null)\r\n            {\r\n                id = 0;\r\n            }\r\n            if (selectedpageId != null)\r\n            {\r\n                _cmsService.SetPublishedPage(selectedpageId.GetValueOrDefault());\r\n            }\r\n\r\n            ContentCategory currentcat = _cmsService.GetContentCategory(id.GetValueOrDefault());\r\n            id = currentcat.CategoryID;\r\n\r\n            IEnumerable<ContentPage> pages = _cmsService.ListCategoryPagesByCategory(id.GetValueOrDefault());\r\n            List<ContentPage> pagesinorder = pages.OrderBy(contentPage => contentPage.Title).ToList();            \r\n\r\n            IEnumerable<ContentCategory> contentcategories = _cmsService.ListCategories();\r\n\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _ContentCategory = currentcat,\r\n                                _ContentPages = pagesinorder,\r\n                                _ContentCategories = contentcategories\r\n                            };\r\n            ViewData[\"currentcat\"] = currentcat.Title;\r\n            ViewData[\"PageTitle\"] = \"Set Published Page For Content Categories\";\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"Editor\")]\r\n        public ActionResult ResetApp()\r\n        {\r\n            Configuration config = WebConfigurationManager.OpenWebConfiguration(\"~\");\r\n            var httpRuntimeSection = (HttpRuntimeSection) config.GetSection(\"system.web/httpRuntime\");\r\n            httpRuntimeSection.Enable = false;\r\n            config.Save(ConfigurationSaveMode.Minimal);\r\n\r\n            httpRuntimeSection.Enable = true;\r\n            config.Save(ConfigurationSaveMode.Minimal);\r\n\r\n            ViewData[\"Message\"] = \"\";\r\n\r\n            IEnumerable<ContentCategory> categories = _cmsService.ListCategories();\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _ContentCategories = categories\r\n                            };\r\n            ViewData[\"PageTitle\"] = \"Manage Content Categories\";\r\n\r\n            return View(\"ManageContentCategories\", model);\r\n        }\r\n\r\n        #endregion\r\n\r\n        #region Contributor Methods\r\n\r\n        [Authorize(Roles = \"Contributor\")]\r\n        public ActionResult ManageContent()\r\n        {\r\n            ViewData[\"Message\"] = \"\";\r\n            IEnumerable<DTOContentPageForEditor> pages = null;\r\n            if (Roles.IsUserInRole(\"Contributor\"))\r\n            {\r\n                MembershipUser mu = Membership.GetUser();\r\n                pages = _cmsService.ListPages(new Guid(mu.ProviderUserKey.ToString()));\r\n            }\r\n            if (Roles.IsUserInRole(\"Editor\"))\r\n            {\r\n                pages = _cmsService.ListPages();\r\n            }\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _DTOContentPageForEditor = pages\r\n                            };\r\n            ViewData[\"PageTitle\"] = \"Manage Content\";\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"Contributor\")]\r\n        public ActionResult EditContent(int id)\r\n        {\r\n            ContentPage page = _cmsService.GetContentPage(id);\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _ContentPage = page\r\n                            };\r\n            ViewData[\"Message\"] = \"\";\r\n            ViewData[\"PageTitle\"] = \"Edit Content\";\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"Contributor\")]\r\n        [ValidateInput(false)]\r\n        [AcceptVerbs(HttpVerbs.Post)]\r\n        public ActionResult EditContent(int id, string title, string summary, string body)\r\n        {\r\n            ContentPage page = _cmsService.GetContentPage(id);\r\n\r\n            page.Title = title;\r\n            page.Summary = summary;\r\n            page.Body = body;\r\n\r\n            if (_cmsService.EditContentPage(page))\r\n            {\r\n                ViewData[\"Message\"] = \"Update Successfull\";\r\n            }\r\n\r\n            var model = new BackOfficeModel\r\n                            {\r\n                                _ContentPage = page\r\n                            };\r\n            ViewData[\"Message\"] = \"\";\r\n            ViewData[\"PageTitle\"] = \"Edit Content\";\r\n            return View(model);\r\n        }\r\n\r\n        [Authorize(Roles = \"Editor\")]\r\n        public ActionResult CreateContentCategory([Bind(Exclude = \"CategoryID\")] ContentCategory contentcategoryToCreate, bool? issubcategory, int? categoryId)\r\n        {\r\n            ViewData[\"PageTitle\"] = \"Create Content Category\";\r\n            ViewData[\"message\"] = \"\";\r\n\r\n            IEnumerable<ContentCategory> categories = _cmsService.ListCategoriesForBackOffice();\r\n            ViewData[\"CategoryID\"] = new SelectList(categories.OrderBy(x => x.Path), \"CategoryID\", \"Path\");\r\n\r\n            if (contentcategoryToCreate.Title != null)\r\n            {\r\n\r\n                contentcategoryToCreate.Path = contentcategoryToCreate.Title.ToUrlFormat();\r\n                contentcategoryToCreate.SinglePath = contentcategoryToCreate.Title.ToUrlFormat();\r\n\r\n                if (issubcategory.HasValue)\r\n                {\r\n                    if (issubcategory.GetValueOrDefault() && categoryId != null)\r\n                    {\r\n                        contentcategoryToCreate.ParentCategory = _cmsService.GetContentCategory(categoryId.GetValueOrDefault());\r\n\r\n                        string newcatpath = contentcategoryToCreate.Path;\r\n                        string fullpath = \"\";\r\n                        int numparents = 1;\r\n                        string parentlist = \"\";\r\n                        BuildPath(contentcategoryToCreate, ref fullpath, ref numparents, ref parentlist);\r\n                        contentcategoryToCreate.Path = fullpath + newcatpath;\r\n                        contentcategoryToCreate.SinglePath = newcatpath;\r\n                        contentcategoryToCreate.NumberOfParents = numparents;\r\n                        contentcategoryToCreate.ParentList = parentlist;\r\n                    }\r\n                }\r\n                contentcategoryToCreate.AddedDate = DateTime.Now;\r\n                contentcategoryToCreate.NumberOfParents = 0;\r\n                MembershipUser membershipUser = Membership.GetUser();\r\n\r\n                var user = new User\r\n                       {\r\n                           UserID = new Guid(membershipUser.ProviderUserKey.ToString())\r\n                       };\r\n\r\n                contentcategoryToCreate.Editor = user;\r\n                contentcategoryToCreate.AddedDate = DateTime.Now;\r\n\r\n                int maxcatimp = 0;\r\n                IEnumerable<ContentCategory> cats = _cmsService.ListCategories();\r\n                foreach (ContentCategory cat in cats)\r\n                {\r\n                    if (cat.ParentCategory == null)\r\n                    {\r\n                        if (cat.Importance > maxcatimp)\r\n                        {\r\n                            maxcatimp = cat.Importance;\r\n                        }\r\n                    }\r\n                }\r\n                contentcategoryToCreate.Importance = maxcatimp + 1;\r\n                int catid = _cmsService.CreateContentCategory(contentcategoryToCreate);\r\n                if (catid == 0)\r\n                {\r\n                    ViewData[\"message\"] = \"There was a problem saving your new category\";\r\n                    return View(\"CreateContentCategory\");\r\n                }\r\n\r\n                ResetAppAuto();\r\n                return RedirectToAction(\"EditContentCategory\", new {id = catid});\r\n            }\r\n\r\n            return View(\"CreateContentCategory\");\r\n        }\r\n\r\n        #endregion\r\n    }\r\n}\r\n\r\n{code:c#}\r\n',1,0,0,12,0,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','2009-12-10 19:31:31',2,0,0),
 (56,'2010-10-10 08:06:24','2009-12-10 21:17:36','CE17F970-1405-4047-9163-EF5546890774','65.255.140.21',6,22,'RE: Welcome to the forum','re-welcome-to-the-forum-56','Here is a tip.  I wanted to start using ixquick because googles arrogance is just getting to be too much no matter the quality.\r\n\r\nWell I just couldn\'t get used to ixquick so I named the shortcut to it google and went to the settings section at ixquick and picked the white theme which looks a lot like google and I think I can live with it now.\r\n\r\nHopefully I won\'t find out later this was yet another bait and switch and I don\'t really have anything to hide in my searches other than my desire to not be sharing with the NSA.\r\n\r\nMaybe those tips will help someone else.',1,0,0,54,0,'CE17F970-1405-4047-9163-EF5546890774','2009-12-10 21:17:36',2,0,0);
INSERT INTO `forum_posts` (`PostID`,`EditDate`,`AddedDate`,`UserID`,`AddedByIP`,`ForumID`,`ParentPostID`,`Title`,`Path`,`Body`,`Approved`,`Closed`,`VoteCount`,`ViewCount`,`ReplyCount`,`LastPostByID`,`LastPostDate`,`ReplyNumber`,`IsAnswer`,`IsAnswered`) VALUES 
 (57,'2010-10-09 07:02:13','2009-12-10 21:20:02','CE17F970-1405-4047-9163-EF5546890774','65.255.140.21',6,22,'RE: Welcome to the forum','re-welcome-to-the-forum-57','I added the wiki last week and really love it.  I made an awesome page for taking notes on a view from space.  Here is the first one I did.\r\n\r\n[url:http://www.realitypeninsula.info/wiki/120509-show|http://www.realitypeninsula.info/wiki/120509-show]  \r\n\r\nThe wiki and the forums use the same markup so things like adding images is really easy.  For example\r\n{{\r\n[image:http://www.realitypeninsula.info/content/app_themes/RealPen/images/logosm.gif]\r\n}}\r\nis all it takes to display the image below.\r\n[image:http://www.realitypeninsula.info/content/app_themes/RealPen/images/logosm.gif]\r\n\r\nI also started using safari for a browser and I think I like it better than firefox.  It is so dang fast, really nice.\r\n\r\n',1,0,0,55,0,'CE17F970-1405-4047-9163-EF5546890774','2009-12-10 21:20:02',3,0,0),
 (59,'2010-02-20 06:30:55','2009-12-11 17:01:21','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','65.255.140.21',10,24,'RE: yo','re-yo-59','Testing [color:red|Text Color, This Text Is Red]',1,0,0,14,0,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','2009-12-11 17:01:21',1,0,0),
 (60,'2010-02-15 22:22:24','2009-12-12 11:38:11','F062F5EF-88D0-46CC-9EA1-1E984B0069AB','65.255.140.21',10,37,'RE: This looks easy','re-this-looks-easy-60','Added one more forum code to accomplish the really necessary things like properly displaying the phrase\r\n\r\n\r\n[style:font-size:44px;color:red;|Temporal Coadjutor]',1,0,0,13,0,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','2009-12-12 11:38:11',1,0,0),
 (61,'2010-03-20 05:50:06','2009-12-15 08:03:11','B16C5723-3F10-4033-9515-C7BDAD63318F','78.86.225.3',10,NULL,'ghgjh','ghgjh','gjhgjhg',1,0,0,50,0,'B16C5723-3F10-4033-9515-C7BDAD63318F','2009-12-15 08:03:11',NULL,0,0),
 (62,'2010-10-13 05:47:25','2009-12-21 02:11:35','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',9,NULL,'MvcCmsSocial Area','mvccmssocial-area','Just finished up a start on a new area called MvcCmsSocial.  You will see a link \"Edit Public Profile\" under account now and there you can change your picture and edit the about you info using wiki code.\r\n\r\nThen you can view your profile mine is [url:here|http://www.mvccms.com/social/profiles/jon].  This week I will add some more features to it and clean up the code.',1,0,1,288,1,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-12-26 02:21:21',NULL,0,0),
 (63,'2010-10-11 20:21:57','2009-12-22 21:39:21','CE17F970-1405-4047-9163-EF5546890774','65.255.140.21',6,NULL,'Global Warming','global-warming','Found this video, it is just tooo good.\r\n\r\n\r\n{video:url=http://www.youtube.com/watch?v=t8O-E_GN0Kg,type=youtube,align=left,height=400,width=500}',1,0,0,112,0,'CE17F970-1405-4047-9163-EF5546890774','2009-12-22 21:39:21',NULL,0,0),
 (64,'2010-10-06 01:27:44','2009-12-26 02:21:21','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',9,62,'RE: MvcCmsSocial Area','re-mvccmssocial-area-64','This is coming along.  Just added a wall on the public profile where comments can be left.\r\n\r\nWow, I really like windows 7, here is a picture of my desktop [url:http://www.mvccms.com/uploadedimages/default/profiles/9acc8c58-1f70-4152-a11e-bfa6775c8b58.jpg]\r\n\r\nBetween the power meter gauges, the indicator on the taskbar buttons or the awesome winamp win7 taskbar plugin its like a whole new computing experience.\r\n\r\nOh and I can play pong, the game with the dot and two bars in my sidebar!',1,0,0,85,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-12-26 02:21:21',1,0,0),
 (65,'2010-10-11 07:45:52','2010-01-04 09:29:06','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',9,NULL,'Paging Entity Results','paging-entity-results','When we were setting up paging for the users grid, the social wall, and the wiki history we were noticing that the paging code we have in the data layer was loading the entire result set unpaged.  This of course is a major scalabity problem.  We found a solution to this problem while solving another problem of doing generic sorting on entities using expression trees.\r\n\r\nAs I am sure you know by now you have to sort before doing a skip in entity.  If you check out the [url:QueryExtensions|http://mvccms.codeplex.com/SourceControl/changeset/view/34123#708778] in MvcCms.Service.Code ([url:where we got this from|http://weblogs.asp.net/davidfowler/archive/2008/12/11/dynamic-sorting-with-linq.aspx]) you will see we are calling it like below.  Using the QueryExtensions SortBy<T> method keeps the paging from pulling the entire table.  We also have setup a custom sproc to get the total rows for the result set as this performs better and keeps the paging code from pulling everything into an entity.\r\n\r\n{code:c#}\r\n            var messages = QueryExtensions  .SortBy\r\n                                            (\r\n                                                _repository.ListSocialMessages(userId)\r\n                                                .AsQueryable(), \"AddedDate DESC\"\r\n                                            )                                     \r\n                                            .AsPagination(pageNumber, resultsPerPage)\r\n                                            .ToList();\r\n{code:c#}',1,0,0,357,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-01-04 09:29:06',NULL,0,0),
 (66,'2010-03-27 15:57:27','2010-01-15 03:20:37','D92BC9A6-C75F-4136-B9C3-A2C81D7B9E7E','93.152.184.74',10,NULL,'Looking for a good MVC CMS out there','looking-for-a-good-mvc-cms-out-there','Is there a good open source asp.net mvc cms system out there?\r\n\r\nLet me know.',1,0,1,64,2,'D92BC9A6-C75F-4136-B9C3-A2C81D7B9E7E','2010-01-15 03:21:05',NULL,0,0),
 (67,'2010-03-09 01:03:48','2010-01-15 03:21:03','D92BC9A6-C75F-4136-B9C3-A2C81D7B9E7E','93.152.184.74',10,66,'RE: Looking for a good MVC CMS out there','re-looking-for-a-good-mvc-cms-out-there-67','Look at mvccms.net',1,0,-1,8,0,'D92BC9A6-C75F-4136-B9C3-A2C81D7B9E7E','2010-01-15 03:21:03',1,0,0),
 (68,'2010-03-07 08:12:29','2010-01-15 03:21:05','D92BC9A6-C75F-4136-B9C3-A2C81D7B9E7E','93.152.184.74',10,66,'RE: Looking for a good MVC CMS out there','re-looking-for-a-good-mvc-cms-out-there-68','Look at mvccms.net',1,0,2,7,0,'D92BC9A6-C75F-4136-B9C3-A2C81D7B9E7E','2010-01-15 03:21:05',2,0,0),
 (69,'2010-10-12 21:44:17','2010-04-10 10:18:58','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',9,NULL,'Developers Cheat Sheet','developers-cheat-sheet','We have brought on a few new developers so I thought I would start a thread here to go over some of the basics of how the MvcCms code is setup and where to find certain things.\r\n\r\nMore to come soon..',1,0,0,286,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-04-10 10:18:58',NULL,0,0),
 (70,'2010-10-12 21:29:51','2010-04-19 23:22:43','1D009D5D-00F6-4ED5-A0ED-103800D214BA','203.98.14.26',1,NULL,'Trying to get mvccms 2.0 to work','trying-to-get-mvccms-20-to-work','Hi,\r\nThe folder MvcCms\\MvcCms 2.0\\MvcCms.Service\\MvcCmsCommerce\\Media is missing from the svn repo. Where can I get it?\r\nThanks\r\n',1,0,0,366,3,'7FA0C93F-F53A-4D07-9617-F472EA38BEA0','2010-05-09 13:59:55',NULL,0,0),
 (71,'2010-10-05 19:14:51','2010-04-26 07:25:06','1D009D5D-00F6-4ED5-A0ED-103800D214BA','210.48.82.236',1,70,'RE: Trying to get mvccms 2.0 to work','re-trying-to-get-mvccms-20-to-work-71','Anyone??',1,0,0,36,0,'1D009D5D-00F6-4ED5-A0ED-103800D214BA','2010-04-26 07:25:06',1,0,0),
 (72,'2010-09-30 13:52:35','2010-04-26 10:27:59','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,70,'RE: Trying to get mvccms 2.0 to work','re-trying-to-get-mvccms-20-to-work-72','Hey dummer,\r\n\r\nSomehow that folder got left out.  I just committed it.\r\n\r\n[url:http://mvccms.codeplex.com/SourceControl/list/changesets]',1,0,1,39,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-04-26 10:27:59',2,0,0),
 (73,'2010-10-13 13:27:52','2010-05-03 20:41:21','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',9,NULL,'Ideas to improve the CMS','ideas-to-improve-the-cms','I am doing a Drupal project right now, I took the project hoping to pick up some good ideas for MvcCms.\r\n\r\nOne of the ideas in Drupal I like is the ideas of breaking content down into nodes and blocks.  Basically you define a node as any type of piece of text or html and then make blocks that can represent any size box or page placement.\r\n\r\nI think when I get done with this Drupal project I will get a version of 2.0 out and then do a node/block implementation for MvcCms.  I guess this means the ECommerce part is getting pushed off even further unless someone wants to flush it out.\r\n\r\n----\r\nEdit:\r\nJust spent like 30 hours going over azure and setting up mvccms to run in azure and after configuring, and reading help, and configuring, and configuring, and learning eventually I came to the firm conclusion that all I can say about Azure for now is...    NO.\r\n\r\nBut I can also say that MySQL support in MvcCms is something that is coming.  Many applications might need transparent data encryption (TDE) and this can be had my MySQL for 300 bucks a year vs. MSSQL 12k dollars a year as it is only in the Enterprise version.\r\n----\r\n\r\n\r\n',1,0,0,247,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-05-03 20:41:21',NULL,0,0),
 (74,'2010-10-12 20:49:20','2010-05-07 08:04:45','7C1110BB-7C9D-4DDC-8AD7-EB8FEC565665','81.149.120.34',3,NULL,'Setup error - latest version from codeplex','setup-error---latest-version-from-codeplex','Hi guys,\r\n\r\nInstalled MVCCMS and ended up with error, using latest verison of of torday from codeplex. Seems to be an issue with the model.\r\n\r\nUsing visual studio 2010.\r\n\r\nError	1	Error 3007: Problem in mapping fragments starting at lines 10117, 10336:Column(s) [ProductID] are being mapped in both fragments to different conceptual side properties.\r\n	C:\\Project\\MvcCms\\MvcCms.Data\\MvcCmsDataModel.edmx	10337	10341	MvcCms.Data\r\n\r\n\r\nCheers\r\n\r\nSteve',1,0,0,228,4,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-08-05 17:43:46',NULL,0,0),
 (77,'2010-09-30 13:38:35','2010-05-09 18:29:26','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',3,74,'RE: Setup error - latest version from codeplex','re-setup-error---latest-version-from-codeplex-77','Hmm, I don\'t have that error here.  I assume this is the 2.0 version you are talking about.  I will look to see if I need to update the database on codeplex.\r\n\r\nedit:\r\nI haven\'t used this with studio 2010 yet, you will need to use 08 I think.\r\n\r\nI did just open the version on codeplex in studio 08 and it validates.',1,0,0,44,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-05-09 18:29:26',1,0,0),
 (78,'2010-10-13 07:26:24','2010-05-18 22:33:35','33359606-5264-4136-BC65-B69204212281','67.232.254.142',1,NULL,'2.0 Getting error','20-getting-error','An error occurred when trying to create a controller of type \'MvcCms.Web.Controllers.HomeController\'. Make sure that the controller has a parameterless public constructor.\r\n\r\nFails here first\r\n\r\n public IEnumerable<ContentCategory> ListAllCategories()\r\n        {\r\n            return (from c in _entities.ContentCategorySet\r\n                       .Include(\"ParentCategory\")\r\n                       .Include(\"SubCategories\")\r\n                       .Include(\"Portal\")\r\n                   orderby c.ParentCategory.CategoryID, c.Importance, c.Title\r\n                   select c).ToList();\r\n        }\r\n\r\n_entities is null\r\n\r\n\r\nThen with a refresh get the above error message.',1,0,0,461,4,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-09-30 13:25:04',NULL,0,0),
 (79,'2010-10-10 13:14:45','2010-05-18 22:47:27','33359606-5264-4136-BC65-B69204212281','67.232.254.142',1,78,'RE: 2.0 Getting error','re-20-getting-error-79','Ok got the login working now I get this\r\n\r\nServer Error in \'/\' Application.\r\n--------------------------------------------------------------------------------\r\n\r\n\r\nMvcCmsDataModel.msl(3148,6) : error 3007: Problem in mapping fragments starting at lines 2817, 3148:Column(s) [ProductID] are being mapped in both fragments to different conceptual side properties.\r\n{{\r\n...admin edit for length...\r\n}}\r\nSystem.Web.Util.CalliEventHandlerDelegateProxy.Callback(Object sender, EventArgs e) +35\r\n   System.Web.UI.Control.OnLoad(EventArgs e) +91\r\n   System.Web.UI.Control.LoadRecursive() +74\r\n   System.Web.UI.Page.ProcessRequestMain(Boolean includeStagesBeforeAsyncPoint, Boolean includeStagesAfterAsyncPoint) +2207\r\n\r\n \r\n\r\n\r\n--------------------------------------------------------------------------------\r\nVersion Information: Microsoft .NET Framework Version:4.0.30319; ASP.NET Version:4.0.30319.1 ',1,0,0,37,0,'33359606-5264-4136-BC65-B69204212281','2010-05-18 22:47:28',1,0,0),
 (80,'2010-10-01 12:03:26','2010-05-18 22:55:41','33359606-5264-4136-BC65-B69204212281','67.232.254.142',1,78,'RE: 2.0 Getting error','re-20-getting-error-80','When I rebuild the solution I get\r\nError	78	Error 3007: Problem in mapping fragments starting at lines 10117, 10336:Column(s) [ProductID] are being mapped in both fragments to different conceptual side properties.\r\n	C:\\projects\\mvccms\\MvcCms 2.0\\MvcCms.Data\\MvcCmsDataModel.edmx	10337	10341	MvcCms.Data\r\n\r\nMy dev environment:\r\nVisual Studio 2010 Ultimate\r\nSQL Server 2008 Enterprise\r\nIIS 7\r\nAll development done on Windows 7 Ultimate box\r\n\r\nI ran the SQL Full Script and haven\'t changed the portal information. Running from the dev env.',1,0,0,35,0,'33359606-5264-4136-BC65-B69204212281','2010-05-18 22:55:41',2,0,0),
 (81,'2010-10-04 19:50:56','2010-05-19 20:43:47','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,78,'RE: 2.0 Getting error','re-20-getting-error-81','The project isn\'t setup yet for studio 2010, you will need to use 2008.',1,0,0,33,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-05-19 20:43:47',3,0,0),
 (82,'2010-10-13 16:28:11','2010-07-24 17:39:49','CE17F970-1405-4047-9163-EF5546890774','65.255.140.54',6,NULL,'Tokenizing Value - A Perilous Necessity','tokenizing-value---a-perilous-necessity','In this post I hope to begin to unravel the history of tokenizing value, primarily as is done to accomplish commerce efficiently.  I also hope to show how this simple act of making an arbitrary estimation of value into a token form exposes humanity to manipulation by its own worst shadows in its psyche.\r\n\r\nMy hope is that a deeper understanding of why money is used will become clear and by contrast will make clear the necessity of an intense and ongoing discussion of how money might be used while mitigating or removing its inherent weakness to what is commonly referred to as psychopathy.\r\n\r\nRecently while posting on Outlaw on a thread about the OTO (Ordo Templi Orientis\') and their practice of Spermo-Gnosis I countered the OP\'s proposition that all OTO members should be rounded up and killed with the idea that the root of the OTO\'s ability to influence modern music and literature came from money and not their practice of Spermo-Gnosis.  ([url:link|http://www.outlawjournalism.com/forum/viewtopic.php?p=121295])\r\n\r\nThe OP then asked me where the money came from, the OP was probably expecting me to counter with some complex story of jews or some group he could latch on to as this seems to be his conspiracy fetish, the idea there must be some top group or person that can be targeted or eliminated to fix humanities ills.  This idea is very opposed to my idea that the group that must be targeted and changed is you and me, the blocks at the bottom of the pyramid that give our power to the illuminati primarily through the use of currency.  Anyway lest I digress my response is below.\r\n\r\n----\r\nNWOFighter wrote:\r\nCoD, and where did the money come from?\r\n\r\n----\r\nMoney came from people needing to have commerce. Say you need salt and the guy that goes to the salt lick all the time needs fish, all I have is lamb. After a while of spending all day trading around to get the salt someone has the idea of tokenizing value so that commerce and trade can take place without the inefficiency of barter. \r\n\r\nIt wasn\'t long after this that certain people found that accumulation of tokenized value was of value far beyond the material goods they could purchase but that it could be used to direct the course of humanity itself and exercise virtual control of individual humans. \r\n\r\nIn time the philosophy of money became intertwined with every facet of human understanding and caste societies began to take shape with ascending power structures. Eventually those who were able to master the philosophy of money the best were able to hide themselves behind kings and governments and religions and begin the drama of history for the last 8 thousand years. \r\n\r\nEventually it became impossible for the lower casts of society to accurately remember what money was or why they used it beyond the parameters set by the money masters. This in effect became a theft of the human soul for no man could hope for that which he could not imagine nor resist that which he had no contradiction to. \r\n\r\nNow we simmer in a stew of culture and history so entangled with the residue of the consequences of such a seemingly simple logical exercise it seems highly probably we are heading to a world like zardoz. \r\n\r\nThat my friend is where money came from.\r\n----\r\n\r\n\r\n\r\n',1,0,1,132,0,'CE17F970-1405-4047-9163-EF5546890774','2010-07-24 17:39:49',NULL,0,0),
 (83,'2010-09-30 13:36:30','2010-07-29 07:58:01','9714B1CC-3482-408C-9318-E5038556523F','41.227.111.13',3,74,'RE: Setup error - latest version from codeplex','re-setup-error---latest-version-from-codeplex-83','well, i do have the same error in v 2 and using VS 2010. i think it would be better to use vs 2010 and since you are using EF, it is adviced to move to EF2 based on .Net v4. the differences in stability and performance are great.\r\n',1,0,0,17,0,'9714B1CC-3482-408C-9318-E5038556523F','2010-07-29 07:58:01',2,0,0),
 (84,'2010-09-30 13:37:40','2010-07-31 19:44:52','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.54',3,74,'RE: Setup error - latest version from codeplex','re-setup-error---latest-version-from-codeplex-84','Ya, I have studio 2010 installed now and I don\'t think a lot will change except the entity code.  I know there is a data guidance mvc project on codeplex that I might use for some pointers in taking advantage of the improvements to entity.\r\n\r\nI had to write quite a bit of code to get the entity object to be able to be shared across business classes and other things.  I am wondering how much of that I will need to undo now.\r\n\r\nAnyway I am going to start a new branch of the project in the repository soon with my start on this and scrape the project down to just the barebones cms stuff.\r\n\r\nI am about done with the drupal project I have just been doing and there are so many cool drupal things I want to implement in this project CMS wise I am going to put off the commerce and forum stuff for the rest of this year and finish out the CMS.\r\n\r\nAs always anyone who wants to lend a hand feel free.',1,0,0,14,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-07-31 19:44:52',3,0,0),
 (85,'2010-09-30 13:38:10','2010-08-05 17:43:46','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.54',3,74,'RE: Setup error - latest version from codeplex','re-setup-error---latest-version-from-codeplex-85','OK, well great news, the 2.0 project has been converted over to studio 2010 and the new entity by our newest developer Nerijus  (http://www.codeplex.com/site/users/view/nerijusr).\r\n\r\nIt looks like we are going to be adding and IOC, probably Unity also sometime soon.\r\n\r\nEnjoy!',1,0,0,14,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-08-05 17:43:46',4,0,0),
 (86,'2010-10-13 00:15:50','2010-08-20 05:09:27','A3FCD961-8ADB-4EBE-8C29-40552EFA2458','210.51.173.168',3,NULL,'how to manage site','how-to-manage-site','what is the site default manage account and admin  url?\r\n',1,0,0,92,1,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-09-25 21:40:25',NULL,0,0),
 (87,'2010-10-10 04:19:08','2010-09-25 21:33:05','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,NULL,'Setting up new asp.net 4.0 version on IIS 6','setting-up-new-aspnet-40-version-on-iis-6','I have all the newest version of the code running this site now.  I installed asp.net 4.0, checked my iis 6 wildcard mapping and was getting 404\'d.  \r\n\r\nVery grrrrr.\r\n\r\nBut then I found this page, [url:http://johan.driessen.se/archive/2010/04/13/getting-an-asp.net-4-application-to-work-on-iis6.aspx]\r\n\r\nWhen you install asp.net 4 on iis6 it doesn\'t enable it by default.\r\n\r\nEverything is working again.  The new test project looks great.  I am hoping to be able to work on the project some before the end of the year.',1,0,1,43,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-09-25 21:33:05',NULL,0,0),
 (88,'2010-10-13 03:00:32','2010-09-25 21:40:25','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',3,86,'RE: how to manage site','re-how-to-manage-site-88','When you are logged in as admin or editor there will be admin and editor sets of links in the navigation on the side.',1,0,0,8,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-09-25 21:40:25',1,0,0),
 (89,'2010-10-08 20:13:07','2010-09-30 13:25:04','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,78,'RE: 2.0 Getting error','re-20-getting-error-89','The project is running in Studio 2010 now.  I have this site running on the new version.  I am having some problems with Wikiplex taking up a very large amount of memory when it starts up some of its features.  But overall its working.',1,0,0,4,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-09-30 13:25:04',4,0,0),
 (90,'2010-10-13 13:25:23','2010-10-08 20:20:04','1852168C-39A8-4359-80D1-BE35F30814B8','66.186.18.180',1,NULL,'Getting Error - Please help me fix this to use mvccms - I am using vs2010 prof and sql 2008 r2','getting-error---please-help-me-fix-this-to-use-mvccms---i-am-using-vs2010-prof-and-sql-2008-r2','Server Error in \'/\' Application.\r\nObject reference not set to an instance of an object.\r\nDescription: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code.\r\n\r\nException Details: System.NullReferenceException: Object reference not set to an instance of an object.\r\n\r\nSource Error:\r\n\r\nLine 56:         public IEnumerable<Portal> ListPortals()\r\nLine 57:         {\r\nLine 58:             return (from c in _entities.PortalSet\r\nLine 59:                        .Include(\"DefaultLanguage\")\r\nLine 60:                        .Include(\"PortalResources\")\r\n\r\n\r\nSource File: C:\\RkWork\\Samples\\mvccms-56618\\MvcCms 2.0\\MvcCms.Data\\EntityPortalRepository.cs    Line: 58\r\n\r\nStack Trace:\r\n\r\n[NullReferenceException: Object reference not set to an instance of an object.]\r\n   MvcCms.Data.EntityPortalRepository.ListPortals() in C:\\RkWork\\Samples\\mvccms-56618\\MvcCms 2.0\\MvcCms.Data\\EntityPortalRepository.cs:58\r\n{{\r\n...admin edit for length\r\n}}\r\nMvcCms.Web.Ioc.WindsorServiceLocator.DoGetInstance(Type serviceType, String key) in C:\\RkWork\\Samples\\mvccms-56618\\MvcCms 2.0\\MvcCms.Web\\MvcCms.Web\\Ioc\\WindsorServiceLocator.cs:35\r\n   Microsoft.Practices.ServiceLocation.ServiceLocatorImplBase.GetInstance(Type serviceType, String key) +76\r\n\r\n[ActivationException: Activation error occured while trying to get instance of type ICmsService, key \"\"]\r\n   Microsoft.Practices.ServiceLocation.ServiceLocatorImplBase.GetInstance(Type serviceType, String key) +157\r\n   Microsoft.Practices.ServiceLocation.ServiceLocatorImplBase.GetInstance() +113\r\n   MvcCms.Web.Code.Routing.SetAppRoutes() in C:\\RkWork\\Samples\\mvccms-56618\\MvcCms 2.0\\MvcCms.Web\\MvcCms.Web\\Code\\Routing.cs:40\r\n   MvcCms.Web.MvcApplication.Application_Start() in C:\\RkWork\\Samples\\mvccms-56618\\MvcCms 2.0\\MvcCms.Web\\MvcCms.Web\\Global.asax.cs:97\r\n\r\n',1,0,0,79,7,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-10-08 21:26:08',NULL,0,1),
 (91,'2010-10-12 03:23:55','2010-10-08 20:31:03','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,90,'RE: Getting Error - Please help me fix this to use mvccms - I am using vs2010 prof and sql 2008 r2','re-getting-error---please-help-me-fix-this-to-use-mvccms---i-am-using-vs2010-prof-and-sql-2008-r2-91','That almost always means that the urlauthority record in your portals table is not matching up to the url you are opening the site with.\r\n\r\nThe project and database from source should be set to localhost:4342 in both the project local webserver startup and in the portals table.  \r\n\r\nPaste what you have in your portals table for urlauthority, I may need to commit the database again as I think someone may have checked in a different urlauthority value.',1,0,0,2,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-10-08 20:31:03',1,0,0),
 (92,NULL,'2010-10-08 20:44:35','1852168C-39A8-4359-80D1-BE35F30814B8','66.186.18.180',1,90,'RE: Getting Error - Please help me fix this to use mvccms - I am using vs2010 prof and sql 2008 r2','re-getting-error---please-help-me-fix-this-to-use-mvccms---i-am-using-vs2010-prof-and-sql-2008-r2-92','I am astonished at such a fast reply. Thank you very much. I have the following values in my Portals table\r\n\r\n1	Default	11	Default	localhost:4342	...xxx\r\n13	Real Pen	11	RealPen	localhost:4342x	...xxx\r\n14	RSC Consulting	11	rsc	localhost:4342x	..xxx\r\n15	Sandbox	11	sandbox	localhost:4342x	...xxx\r\n\r\nI have cutshort the columns after URL Authority column to make it more readable. Please let me know if you want any other details.\r\n\r\nWhen I debug,  the _entities is null , trying to figure out where it should be loaded to make sure it is not null.\r\n\r\nThank you very much once again.',1,0,0,1,0,'1852168C-39A8-4359-80D1-BE35F30814B8','2010-10-08 20:44:36',2,0,0),
 (93,'2010-10-08 21:00:59','2010-10-08 20:50:06','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,90,'RE: Getting Error - Please help me fix this to use mvccms - I am using vs2010 prof and sql 2008 r2','re-getting-error---please-help-me-fix-this-to-use-mvccms---i-am-using-vs2010-prof-and-sql-2008-r2-93','OK, that all looks right, what is the url in the browser when you get the error?\r\n\r\nThat doesn\'t sound right though that the _entities object is null, let me put a bad urlauthority value in my portals table and see if mine is null, don\'t think it should be.\r\n\r\nDid you check your connection strings in web.config, that is another place you might be needing something.  There are actually three connection strings, the standard one, the EF one, and the logging one, although not having the logging one set won\'t hurt anything.\r\n\r\nThe standard connection string is used by the membership provider so I imagine it is your EF string.\r\n\r\n----\r\nQuote: hellobrk\r\n{{\r\nI am astonished at such a fast reply. Thank you very much. }}\r\n----\r\nhehe, ya I have been checking the site often as I am patching things up from converting it to 2010 so I caught your question fast.',1,0,0,1,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-10-08 20:50:06',3,0,0),
 (94,NULL,'2010-10-08 20:59:07','1852168C-39A8-4359-80D1-BE35F30814B8','66.186.18.180',1,90,'RE: Getting Error - Please help me fix this to use mvccms - I am using vs2010 prof and sql 2008 r2','re-getting-error---please-help-me-fix-this-to-use-mvccms---i-am-using-vs2010-prof-and-sql-2008-r2-94','My browser url is \r\n\r\nhttp://localhost:4342/\r\n\r\nI initially changed two connection strings. My values are\r\n\r\n<connectionStrings>\r\n    <add name=\"ApplicationServices\" connectionString=\"Data Source=127.0.0.1;Initial Catalog=MvcCms;Persist Security Info=True;User ID=sa;Password=study\"/>\r\n    <add name=\"MvcCmsEntities\" connectionString=\"Data Source=127.0.0.1;Initial Catalog=MvcCms;Persist Security Info=True;User ID=sa;Password=study;MultipleActiveResultSets=True\"/>\r\n  </connectionStrings>\r\n\r\n\r\nAs you said there will be three connection strings I searched and changed here also\r\n\r\n\r\n <appender name=\"AdoNetAppender\" type=\"log4net.Appender.AdoNetAppender\">\r\n      <bufferSize value=\"1\" />\r\n      <connectionType value=\"System.Data.SqlClient.SqlConnection, System.Data, Version=1.0.3300.0, Culture=neutral, PublicKeyToken=b77a5c561934e089\" />\r\n      <connectionString value=\"Data Source=127.0.0.1;Initial Catalog=MvcCms;Persist Security Info=True;User ID=sa;Password=study\" />\r\n      <commandText value=\"INSERT INTO Log ([Date],[Thread],[Level],[Logger],[Message],[Exception]) VALUES (@log_date, @thread, @log_level, @logger, @message, @exception)\" />\r\n      <parameter>\r\n\r\nThanks a lot for fastest reply.\r\n\r\n',1,0,0,1,0,'1852168C-39A8-4359-80D1-BE35F30814B8','2010-10-08 20:59:07',4,0,0),
 (95,'2010-10-08 21:27:52','2010-10-08 21:04:26','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,90,'RE: Getting Error - Please help me fix this to use mvccms - I am using vs2010 prof and sql 2008 r2','re-getting-error---please-help-me-fix-this-to-use-mvccms---i-am-using-vs2010-prof-and-sql-2008-r2-95','There is some stuff missing from your EF connection string, the metadata stuff has to be there.\r\n{{\r\n    <add name=\"ApplicationServices\" connectionString=\"Data Source=rsc1;Initial Catalog=MvcCms;Persist Security Info=True;User ID=rscsa;Password=password\" providerName=\"System.Data.SqlClient\" />\r\n    <add name=\"MvcCmsEntities\" connectionString=\"metadata=res://MvcCms.Data/MvcCmsDataModel.csdl|res://MvcCms.Data/MvcCmsDataModel.ssdl|res://MvcCms.Data/MvcCmsDataModel.msl;provider=System.Data.SqlClient;provider connection string=&quot;Data Source=rsc1;Initial Catalog=MvcCms;Persist Security Info=True;User ID=rscsa;Password=password;MultipleActiveResultSets=True&quot;\" providerName=\"System.Data.EntityClient\" />\r\n}}\r\nTry replacing what you have with those two and only change your password and data source, I assume you are not using sqlexpress? ',1,0,1,1,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-10-08 21:04:26',5,1,0),
 (96,NULL,'2010-10-08 21:13:02','1852168C-39A8-4359-80D1-BE35F30814B8','66.186.18.180',1,90,'RE: Getting Error - Please help me fix this to use mvccms - I am using vs2010 prof and sql 2008 r2','re-getting-error---please-help-me-fix-this-to-use-mvccms---i-am-using-vs2010-prof-and-sql-2008-r2-96','Thank you very much. This fixed my problem. I have removed meta stuff earlier when changing the connection string. Thank you very much. Now I can get the home page. Will experiment with it to know more about how mvccms is done. \r\n\r\nThank you very much once again.',1,0,0,1,0,'1852168C-39A8-4359-80D1-BE35F30814B8','2010-10-08 21:13:02',6,0,0),
 (97,'2010-10-09 23:30:37','2010-10-08 21:26:08','DF2F8A59-FEDB-454F-AAA3-84472CF159BC','65.255.140.21',1,90,'RE: Getting Error - Please help me fix this to use mvccms - I am using vs2010 prof and sql 2008 r2','re-getting-error---please-help-me-fix-this-to-use-mvccms---i-am-using-vs2010-prof-and-sql-2008-r2-97','Cool, all the passwords in the database are seven sevens, 7777777.  \r\n\r\nI think the mvccms site has admin as the admin user, jon is me as a contributor, and the editor account is editor.\r\n\r\nThose logins will show you some of how the site looks logged in as different people.\r\n\r\nAnd then portaladmin will show you the role that sets up the portals.',1,0,0,2,0,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-10-08 21:26:08',7,0,0);
/*!40000 ALTER TABLE `forum_posts` ENABLE KEYS */;


--
-- Definition of table `forum_votes`
--

DROP TABLE IF EXISTS `forum_votes`;
CREATE TABLE `forum_votes` (
  `PostID` int(11) NOT NULL,
  `UserID` char(36) NOT NULL,
  `AddedDate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `AddedByIP` char(15) NOT NULL,
  `Direction` smallint(6) NOT NULL,
  PRIMARY KEY (`PostID`,`UserID`),
  KEY `FK_Votes_PostsIdx` (`PostID`),
  KEY `FK_Votes_UsersIdx` (`UserID`),
  CONSTRAINT `FK_Votes_Posts` FOREIGN KEY (`PostID`) REFERENCES `forum_posts` (`PostID`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_Votes_Users` FOREIGN KEY (`UserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `forum_votes`
--

/*!40000 ALTER TABLE `forum_votes` DISABLE KEYS */;
INSERT INTO `forum_votes` (`PostID`,`UserID`,`AddedDate`,`AddedByIP`,`Direction`) VALUES 
 (1,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-09-02 03:05:42','65.255.140.21',1),
 (2,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-09-02 03:14:24','65.255.140.21',1),
 (11,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','2009-09-02 17:50:08','65.255.140.21',1),
 (11,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-09-02 17:00:44','65.255.140.21',1),
 (15,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-10-21 22:05:31','65.255.140.21',1),
 (16,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-10-22 16:12:38','65.255.140.21',1),
 (17,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-10-23 18:50:09','65.255.140.21',1),
 (21,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-10-24 21:47:25','65.255.140.21',1),
 (22,'CE17F970-1405-4047-9163-EF5546890774','2009-10-26 21:09:38','65.255.140.21',1),
 (23,'2818507F-1E66-4338-A33A-130E7F719C77','2010-03-31 03:11:25','122.6.4.14',1),
 (23,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-05 11:15:11','65.255.140.21',1),
 (24,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','2009-11-12 22:49:09','65.255.140.21',1),
 (25,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-12 23:58:13','65.255.140.21',1),
 (26,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','2009-11-16 19:10:44','65.255.140.21',1),
 (27,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','2009-11-16 19:10:49','65.255.140.21',1),
 (28,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-17 11:29:00','65.255.140.21',1),
 (29,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-18 22:01:41','65.255.140.21',1),
 (29,'F90B333D-7155-4CC2-ADB7-E773B7ABBDEF','2009-12-11 06:56:51','77.66.220.133',1),
 (32,'F90B333D-7155-4CC2-ADB7-E773B7ABBDEF','2009-12-11 06:57:05','77.66.220.133',-1),
 (33,'F90B333D-7155-4CC2-ADB7-E773B7ABBDEF','2009-12-11 06:57:08','77.66.220.133',-1),
 (37,'61C44375-6B77-4506-8B55-94AB750A273E','2010-02-07 02:53:15','84.63.36.53',1),
 (37,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','2009-12-11 02:21:42','65.255.140.21',1),
 (41,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','2009-11-21 17:29:43','65.255.140.21',1),
 (42,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','2009-11-21 22:49:28','65.255.140.21',1),
 (42,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-21 17:22:22','65.255.140.21',1),
 (46,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-11-23 13:04:28','65.255.140.21',1),
 (47,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-12-22 20:15:25','65.255.140.21',1),
 (48,'76452DC2-6185-4BC5-8294-3BE322AD15CD','2009-12-01 10:06:08','146.121.21.2',1),
 (49,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-12-08 18:23:39','65.255.140.21',1),
 (51,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-12-08 12:21:02','65.255.140.21',1),
 (53,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-12-10 18:24:47','65.255.140.21',1),
 (62,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2009-12-21 16:45:31','65.255.140.21',1),
 (66,'5C93D1E0-50CD-43BF-B803-B881F662F85F','2010-01-21 13:21:51','129.108.1.19',-1),
 (66,'D92BC9A6-C75F-4136-B9C3-A2C81D7B9E7E','2010-01-15 03:20:44','93.152.184.74',1),
 (66,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','2010-02-01 08:57:07','194.44.250.216',1),
 (67,'5C93D1E0-50CD-43BF-B803-B881F662F85F','2010-01-21 13:21:56','129.108.1.19',-1),
 (67,'D92BC9A6-C75F-4136-B9C3-A2C81D7B9E7E','2010-01-15 03:21:33','93.152.184.74',-1),
 (67,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','2010-01-20 13:59:19','62.103.173.12',1),
 (68,'5C93D1E0-50CD-43BF-B803-B881F662F85F','2010-01-21 13:21:58','129.108.1.19',1),
 (68,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','2010-01-20 13:59:24','62.103.173.12',1),
 (72,'1D009D5D-00F6-4ED5-A0ED-103800D214BA','2010-04-26 18:43:56','203.98.14.26',1),
 (82,'CE17F970-1405-4047-9163-EF5546890774','2010-07-24 17:55:05','65.255.140.54',1),
 (87,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-09-29 16:04:53','65.255.140.21',1),
 (95,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','2010-10-08 21:27:52','65.255.140.21',1);
/*!40000 ALTER TABLE `forum_votes` ENABLE KEYS */;


--
-- Definition of table `languages`
--

DROP TABLE IF EXISTS `languages`;
CREATE TABLE `languages` (
  `LanguageID` int(11) NOT NULL AUTO_INCREMENT,
  `LanguageName` varchar(100) NOT NULL,
  `IconName` varchar(50) DEFAULT NULL,
  `PathId` varchar(5) NOT NULL,
  PRIMARY KEY (`LanguageID`),
  KEY `FK_ContentPages_LanguagesIdx2` (`LanguageID`)
) ENGINE=InnoDB AUTO_INCREMENT=129 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `languages`
--

/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
INSERT INTO `languages` (`LanguageID`,`LanguageName`,`IconName`,`PathId`) VALUES 
 (11,'English','flag_en.png','en'),
 (12,'Spanish','flag_es.png','es'),
 (13,'French','flag_fr.png','fr'),
 (29,'Italian','flag_it.png','it'),
 (30,'Korean','flag_ko.png','ko'),
 (31,'Portuguese','flag_pt.png','pt'),
 (32,'German','flag_de.png','de'),
 (33,'Japanese','flag_ja.png','ja'),
 (34,'Arabic','flag_ar.png','ar'),
 (35,'Greek','flag_el.png','el'),
 (127,'Dutch','flag_nl.png','nl'),
 (128,'Russian','flag_ru.png','ru');
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;


--
-- Definition of table `log`
--

DROP TABLE IF EXISTS `log`;
CREATE TABLE `log` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Date` datetime NOT NULL,
  `Thread` varchar(255) NOT NULL,
  `Level` varchar(50) NOT NULL,
  `Logger` varchar(255) NOT NULL,
  `Message` varchar(500) NOT NULL,
  `Exception` longtext,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=19097 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `log`
--

/*!40000 ALTER TABLE `log` DISABLE KEYS */;
INSERT INTO `log` (`Id`,`Date`,`Thread`,`Level`,`Logger`,`Message`,`Exception`) VALUES 
 (18874,'2010-10-05 16:09:37','48','INFO','DotNetOpenAuth','DotNetOpenAuth, Version=3.3.1.9337, Culture=neutral, PublicKeyToken=2780ccd10d57b246 (official)',''),
 (18875,'2010-10-05 16:09:37','48','INFO','DotNetOpenAuth.Messaging.Channel','Scanning incoming request for messages: http://www.realitypeninsula.info/Account/OpenIdLogon',''),
 (18876,'2010-10-05 16:09:37','48','DEBUG','DotNetOpenAuth.Messaging.Channel','Incoming HTTP request: POST http://www.realitypeninsula.info/Account/OpenIdLogon',''),
 (18877,'2010-10-05 16:09:37','48','DEBUG','DotNetOpenAuth.Http','HTTP GET http://yahoo.com/',''),
 (18878,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Http','HTTP GET http://www.yahoo.com/',''),
 (18879,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Yadis','X-XRDS-Location found in HTTP header.  Preparing to pull XRDS from http://open.login.yahooapis.com/openid20/www.yahoo.com/xrds',''),
 (18880,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Http','HTTP GET http://open.login.yahooapis.com/openid20/www.yahoo.com/xrds',''),
 (18881,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Yadis','Total services discovered in XRDS: 1',''),
 (18882,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Yadis','[{\r\n	ClaimedIdentifier: http://specs.openid.net/auth/2.0/identifier_select\r\n	ProviderLocalIdentifier: http://specs.openid.net/auth/2.0/identifier_select\r\n	ProviderEndpoint: https://open.login.yahooapis.com/openid/op/auth\r\n	OpenID version: 2.0\r\n	Service Type URIs:\r\n		http://specs.openid.net/auth/2.0/server\r\n		http://specs.openid.net/extensions/pape/1.0\r\n		http://openid.net/sreg/1.0\r\n		http://openid.net/extensions/sreg/1.1\r\n		http://openid.net/srv/ax/1.0\r\n		http://specs.openid.net/extensions/oauth',''),
 (18883,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Yadis','Skipping HTML discovery because XRDS contained service endpoints.',''),
 (18884,'2010-10-05 16:09:38','48','INFO','DotNetOpenAuth.Yadis','Performing discovery on user-supplied identifier: http://yahoo.com/',''),
 (18885,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Yadis','Filtering and sorting of endpoints did not affect the list.',''),
 (18886,'2010-10-05 16:09:38','48','INFO','DotNetOpenAuth.OpenId','Creating authentication request for user supplied Identifier: http://yahoo.com/',''),
 (18887,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Messaging.Channel','Preparing to send AssociateUnencryptedRequest (2.0) message.',''),
 (18888,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ExtensionsBindingElement did not apply to message.',''),
 (18889,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.RelyingPartySecurityOptions did not apply to message.',''),
 (18890,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.BackwardCompatibilityBindingElement did not apply to message.',''),
 (18891,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToNonceBindingElement did not apply to message.',''),
 (18892,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToSignatureBindingElement did not apply to message.',''),
 (18893,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardReplayProtectionBindingElement did not apply to message.',''),
 (18894,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardExpirationBindingElement did not apply to message.',''),
 (18895,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.SigningBindingElement did not apply to message.',''),
 (18896,'2010-10-05 16:09:38','48','INFO','DotNetOpenAuth.Messaging.Channel','Prepared outgoing AssociateUnencryptedRequest (2.0) message for https://open.login.yahooapis.com/openid/op/auth: \r\n	openid.assoc_type: HMAC-SHA256\r\n	openid.session_type: no-encryption\r\n	openid.mode: associate\r\n	openid.ns: http://specs.openid.net/auth/2.0\r\n',''),
 (18897,'2010-10-05 16:09:38','48','DEBUG','DotNetOpenAuth.Messaging.Channel','Sending AssociateUnencryptedRequest request.',''),
 (18898,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Http','HTTP POST https://open.login.yahooapis.com/openid/op/auth',''),
 (18899,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Channel','Received AssociateUnencryptedResponse response.',''),
 (18900,'2010-10-05 16:09:39','48','INFO','DotNetOpenAuth.Messaging.Channel','Processing incoming AssociateUnencryptedResponse (2.0) message:\r\n	mac_key: kaqU+xgrfVveWC4ojfrdTq716PkdcSOFmygMCvbBjqI=\r\n	assoc_handle: HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWsM1uT9LWhg92GhvaZMmI0jp0BFL3gqU0.CMk6j62v6nPuVsZgdy_GfYBVP6cYxQLEUtoeHF8pbKko4lgD2o-\r\n	assoc_type: HMAC-SHA256\r\n	session_type: no-encryption\r\n	expires_in: 14400\r\n	ns: http://specs.openid.net/auth/2.0\r\n',''),
 (18901,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToSignatureBindingElement did not apply to message.',''),
 (18902,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.BackwardCompatibilityBindingElement did not apply to message.',''),
 (18903,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.SigningBindingElement did not apply to message.',''),
 (18904,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardExpirationBindingElement did not apply to message.',''),
 (18905,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardReplayProtectionBindingElement did not apply to message.',''),
 (18906,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToNonceBindingElement did not apply to message.',''),
 (18907,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.RelyingPartySecurityOptions did not apply to message.',''),
 (18908,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ExtensionsBindingElement did not apply to message.',''),
 (18909,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Channel','After binding element processing, the received AssociateUnencryptedResponse (2.0) message is: \r\n	mac_key: kaqU+xgrfVveWC4ojfrdTq716PkdcSOFmygMCvbBjqI=\r\n	assoc_handle: HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWsM1uT9LWhg92GhvaZMmI0jp0BFL3gqU0.CMk6j62v6nPuVsZgdy_GfYBVP6cYxQLEUtoeHF8pbKko4lgD2o-\r\n	assoc_type: HMAC-SHA256\r\n	session_type: no-encryption\r\n	expires_in: 14400\r\n	ns: http://specs.openid.net/auth/2.0\r\n',''),
 (18910,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Channel','Preparing to send CheckIdRequest (2.0) message.',''),
 (18911,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ExtensionsBindingElement applied to message.',''),
 (18912,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.RelyingPartySecurityOptions did not apply to message.',''),
 (18913,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.BackwardCompatibilityBindingElement did not apply to message.',''),
 (18914,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToNonceBindingElement did not apply to message.',''),
 (18915,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToSignatureBindingElement did not apply to message.',''),
 (18916,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardReplayProtectionBindingElement did not apply to message.',''),
 (18917,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardExpirationBindingElement did not apply to message.',''),
 (18918,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.SigningBindingElement did not apply to message.',''),
 (18919,'2010-10-05 16:09:39','48','INFO','DotNetOpenAuth.Messaging.Channel','Prepared outgoing CheckIdRequest (2.0) message for https://open.login.yahooapis.com/openid/op/auth: \r\n	openid.claimed_id: http://specs.openid.net/auth/2.0/identifier_select\r\n	openid.identity: http://specs.openid.net/auth/2.0/identifier_select\r\n	openid.assoc_handle: HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWsM1uT9LWhg92GhvaZMmI0jp0BFL3gqU0.CMk6j62v6nPuVsZgdy_GfYBVP6cYxQLEUtoeHF8pbKko4lgD2o-\r\n	openid.return_to: http://www.realitypeninsula.info/Account/OpenIdLogon?dnoa.userSuppliedIdentif',''),
 (18920,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Messaging.Channel','Sending message: CheckIdRequest',''),
 (18921,'2010-10-05 16:09:39','48','DEBUG','DotNetOpenAuth.Http','Redirecting to https://open.login.yahooapis.com/openid/op/auth?openid.claimed_id=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0%2Fidentifier_select&openid.identity=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0%2Fidentifier_select&openid.assoc_handle=HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWsM1uT9LWhg92GhvaZMmI0jp0BFL3gqU0.CMk6j62v6nPuVsZgdy_GfYBVP6cYxQLEUtoeHF8pbKko4lgD2o-&openid.return_to=http%3A%2F%2Fwww.realitypeninsula.info%2FAccount%2FOpenIdLogon%3Fdnoa.userSuppliedIdentifier%3Dhttp%253',''),
 (18922,'2010-10-05 16:10:28','34','INFO','DotNetOpenAuth.Messaging.Channel','Scanning incoming request for messages: http://www.realitypeninsula.info/Account/OpenIdLogon?dnoa.userSuppliedIdentifier=http%3A%2F%2Fyahoo.com%2F&openid.ns=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0&openid.mode=id_res&openid.return_to=http%3A%2F%2Fwww.realitypeninsula.info%2FAccount%2FOpenIdLogon%3Fdnoa.userSuppliedIdentifier%3Dhttp%253A%252F%252Fyahoo.com%252F&openid.claimed_id=https%3A%2F%2Fme.yahoo.com%2Fa%2FvtBPpVxptPvA4t.wuqSabzwRow--%2308da3&openid.identity=https%3A%2F%2Fme.yahoo.com%2Fa%',''),
 (18923,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Messaging.Channel','Incoming HTTP request: GET http://www.realitypeninsula.info/Account/OpenIdLogon?dnoa.userSuppliedIdentifier=http%3A%2F%2Fyahoo.com%2F&openid.ns=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0&openid.mode=id_res&openid.return_to=http%3A%2F%2Fwww.realitypeninsula.info%2FAccount%2FOpenIdLogon%3Fdnoa.userSuppliedIdentifier%3Dhttp%253A%252F%252Fyahoo.com%252F&openid.claimed_id=https%3A%2F%2Fme.yahoo.com%2Fa%2FvtBPpVxptPvA4t.wuqSabzwRow--%2308da3&openid.identity=https%3A%2F%2Fme.yahoo.com%2Fa%2FvtBPpVxptPv',''),
 (18924,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Messaging.Channel','Incoming request received: PositiveAssertionResponse',''),
 (18925,'2010-10-05 16:10:28','34','INFO','DotNetOpenAuth.Messaging.Channel','Processing incoming PositiveAssertionResponse (2.0) message:\r\n	openid.claimed_id: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	openid.identity: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--\r\n	openid.sig: K3RjXMa0w426K8KhnhS5LZQGAwGUu53uvcc/36BvWg4=\r\n	openid.signed: assoc_handle,claimed_id,identity,mode,ns,op_endpoint,response_nonce,return_to,signed,pape.auth_level.nist\r\n	openid.assoc_handle: HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWsM1uT9LWhg92GhvaZMmI0jp0BFL3gqU0',''),
 (18926,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToSignatureBindingElement did not apply to message.',''),
 (18927,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.BackwardCompatibilityBindingElement did not apply to message.',''),
 (18928,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Verifying incoming PositiveAssertionResponse message signature of: K3RjXMa0w426K8KhnhS5LZQGAwGUu53uvcc/36BvWg4=',''),
 (18929,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Messaging.Bindings.Signatures','Signing these message parts: \r\n	assoc_handle: HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWsM1uT9LWhg92GhvaZMmI0jp0BFL3gqU0.CMk6j62v6nPuVsZgdy_GfYBVP6cYxQLEUtoeHF8pbKko4lgD2o-\r\n	claimed_id: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	identity: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--\r\n	mode: id_res\r\n	ns: http://specs.openid.net/auth/2.0\r\n	op_endpoint: https://open.login.yahooapis.com/openid/op/auth\r\n	response_nonce: 2010-10-05T20:10:28ZZJK1K3fly6yyvgAyOZH_4V12Pe',''),
 (18930,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.SigningBindingElement applied to message.',''),
 (18931,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardExpirationBindingElement applied to message.',''),
 (18932,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardReplayProtectionBindingElement applied to message.',''),
 (18933,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToNonceBindingElement did not apply to message.',''),
 (18934,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.RelyingPartySecurityOptions applied to message.',''),
 (18935,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ExtensionsBindingElement applied to message.',''),
 (18936,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Messaging.Channel','After binding element processing, the received PositiveAssertionResponse (2.0) message is: \r\n	openid.claimed_id: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	openid.identity: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--\r\n	openid.sig: K3RjXMa0w426K8KhnhS5LZQGAwGUu53uvcc/36BvWg4=\r\n	openid.signed: assoc_handle,claimed_id,identity,mode,ns,op_endpoint,response_nonce,return_to,signed,pape.auth_level.nist\r\n	openid.assoc_handle: HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWs',''),
 (18937,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.OpenId','Verifying assertion matches identifier discovery results...',''),
 (18938,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Http','HTTP GET https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3',''),
 (18939,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Yadis','X-XRDS-Location found in HTTP header.  Preparing to pull XRDS from https://open.login.yahooapis.com/openid20/user_profile/xrds',''),
 (18940,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Http','HTTP GET https://open.login.yahooapis.com/openid20/user_profile/xrds',''),
 (18941,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Yadis','Total services discovered in XRDS: 1',''),
 (18942,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Yadis','[{\r\n	ClaimedIdentifier: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	ProviderLocalIdentifier: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	ProviderEndpoint: https://open.login.yahooapis.com/openid/op/auth\r\n	OpenID version: 2.0\r\n	Service Type URIs:\r\n		http://specs.openid.net/auth/2.0/signon\r\n		http://specs.openid.net/extensions/pape/1.0\r\n		http://openid.net/sreg/1.0\r\n		http://openid.net/extensions/sreg/1.1\r\n		http://openid.net/srv/ax/1.0\r\n		http://specs.openid.net/ex',''),
 (18943,'2010-10-05 16:10:28','34','DEBUG','DotNetOpenAuth.Yadis','Skipping HTML discovery because XRDS contained service endpoints.',''),
 (18944,'2010-10-05 16:11:14','33','INFO','DotNetOpenAuth.Messaging.Channel','Scanning incoming request for messages: http://www.mvccms.com/Account/OpenIdLogon',''),
 (18945,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Messaging.Channel','Incoming HTTP request: POST http://www.mvccms.com/Account/OpenIdLogon',''),
 (18946,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Http','HTTP GET http://yahoo.com/',''),
 (18947,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Http','HTTP GET http://www.yahoo.com/',''),
 (18948,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Yadis','X-XRDS-Location found in HTTP header.  Preparing to pull XRDS from http://open.login.yahooapis.com/openid20/www.yahoo.com/xrds',''),
 (18949,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Http','HTTP GET http://open.login.yahooapis.com/openid20/www.yahoo.com/xrds',''),
 (18950,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Yadis','Total services discovered in XRDS: 1',''),
 (18951,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Yadis','[{\r\n	ClaimedIdentifier: http://specs.openid.net/auth/2.0/identifier_select\r\n	ProviderLocalIdentifier: http://specs.openid.net/auth/2.0/identifier_select\r\n	ProviderEndpoint: https://open.login.yahooapis.com/openid/op/auth\r\n	OpenID version: 2.0\r\n	Service Type URIs:\r\n		http://specs.openid.net/auth/2.0/server\r\n		http://specs.openid.net/extensions/pape/1.0\r\n		http://openid.net/sreg/1.0\r\n		http://openid.net/extensions/sreg/1.1\r\n		http://openid.net/srv/ax/1.0\r\n		http://specs.openid.net/extensions/oauth',''),
 (18952,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Yadis','Skipping HTML discovery because XRDS contained service endpoints.',''),
 (18953,'2010-10-05 16:11:14','33','INFO','DotNetOpenAuth.Yadis','Performing discovery on user-supplied identifier: http://yahoo.com/',''),
 (18954,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Yadis','Filtering and sorting of endpoints did not affect the list.',''),
 (18955,'2010-10-05 16:11:14','33','INFO','DotNetOpenAuth.OpenId','Creating authentication request for user supplied Identifier: http://yahoo.com/',''),
 (18956,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Messaging.Channel','Preparing to send CheckIdRequest (2.0) message.',''),
 (18957,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ExtensionsBindingElement applied to message.',''),
 (18958,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.RelyingPartySecurityOptions did not apply to message.',''),
 (18959,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.BackwardCompatibilityBindingElement did not apply to message.',''),
 (18960,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToNonceBindingElement did not apply to message.',''),
 (18961,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToSignatureBindingElement did not apply to message.',''),
 (18962,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardReplayProtectionBindingElement did not apply to message.',''),
 (18963,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardExpirationBindingElement did not apply to message.',''),
 (18964,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.SigningBindingElement did not apply to message.',''),
 (18965,'2010-10-05 16:11:14','33','INFO','DotNetOpenAuth.Messaging.Channel','Prepared outgoing CheckIdRequest (2.0) message for https://open.login.yahooapis.com/openid/op/auth: \r\n	openid.claimed_id: http://specs.openid.net/auth/2.0/identifier_select\r\n	openid.identity: http://specs.openid.net/auth/2.0/identifier_select\r\n	openid.assoc_handle: HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWsM1uT9LWhg92GhvaZMmI0jp0BFL3gqU0.CMk6j62v6nPuVsZgdy_GfYBVP6cYxQLEUtoeHF8pbKko4lgD2o-\r\n	openid.return_to: http://www.mvccms.com/Account/OpenIdLogon?dnoa.userSuppliedIdentifier=http%3A',''),
 (18966,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Messaging.Channel','Sending message: CheckIdRequest',''),
 (18967,'2010-10-05 16:11:14','33','DEBUG','DotNetOpenAuth.Http','Redirecting to https://open.login.yahooapis.com/openid/op/auth?openid.claimed_id=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0%2Fidentifier_select&openid.identity=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0%2Fidentifier_select&openid.assoc_handle=HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWsM1uT9LWhg92GhvaZMmI0jp0BFL3gqU0.CMk6j62v6nPuVsZgdy_GfYBVP6cYxQLEUtoeHF8pbKko4lgD2o-&openid.return_to=http%3A%2F%2Fwww.mvccms.com%2FAccount%2FOpenIdLogon%3Fdnoa.userSuppliedIdentifier%3Dhttp%253A%252F%252F',''),
 (18968,'2010-10-05 16:11:24','49','INFO','DotNetOpenAuth.Messaging.Channel','Scanning incoming request for messages: http://www.mvccms.com/Account/OpenIdLogon?dnoa.userSuppliedIdentifier=http%3A%2F%2Fyahoo.com%2F&openid.ns=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0&openid.mode=id_res&openid.return_to=http%3A%2F%2Fwww.mvccms.com%2FAccount%2FOpenIdLogon%3Fdnoa.userSuppliedIdentifier%3Dhttp%253A%252F%252Fyahoo.com%252F&openid.claimed_id=https%3A%2F%2Fme.yahoo.com%2Fa%2FvtBPpVxptPvA4t.wuqSabzwRow--%2308da3&openid.identity=https%3A%2F%2Fme.yahoo.com%2Fa%2FvtBPpVxptPvA4t.wuqSa',''),
 (18969,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Messaging.Channel','Incoming HTTP request: GET http://www.mvccms.com/Account/OpenIdLogon?dnoa.userSuppliedIdentifier=http%3A%2F%2Fyahoo.com%2F&openid.ns=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0&openid.mode=id_res&openid.return_to=http%3A%2F%2Fwww.mvccms.com%2FAccount%2FOpenIdLogon%3Fdnoa.userSuppliedIdentifier%3Dhttp%253A%252F%252Fyahoo.com%252F&openid.claimed_id=https%3A%2F%2Fme.yahoo.com%2Fa%2FvtBPpVxptPvA4t.wuqSabzwRow--%2308da3&openid.identity=https%3A%2F%2Fme.yahoo.com%2Fa%2FvtBPpVxptPvA4t.wuqSabzwRow--&open',''),
 (18970,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Messaging.Channel','Incoming request received: PositiveAssertionResponse',''),
 (18971,'2010-10-05 16:11:24','49','INFO','DotNetOpenAuth.Messaging.Channel','Processing incoming PositiveAssertionResponse (2.0) message:\r\n	openid.claimed_id: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	openid.identity: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--\r\n	openid.sig: Z/iWaKg9KLS4CBMWtItG7DiPCJ9H14T0tpn04b/LFlU=\r\n	openid.signed: assoc_handle,claimed_id,identity,mode,ns,op_endpoint,response_nonce,return_to,signed,pape.auth_level.nist\r\n	openid.assoc_handle: HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWsM1uT9LWhg92GhvaZMmI0jp0BFL3gqU0',''),
 (18972,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToSignatureBindingElement did not apply to message.',''),
 (18973,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.BackwardCompatibilityBindingElement did not apply to message.',''),
 (18974,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Verifying incoming PositiveAssertionResponse message signature of: Z/iWaKg9KLS4CBMWtItG7DiPCJ9H14T0tpn04b/LFlU=',''),
 (18975,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Messaging.Bindings.Signatures','Signing these message parts: \r\n	assoc_handle: HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWsM1uT9LWhg92GhvaZMmI0jp0BFL3gqU0.CMk6j62v6nPuVsZgdy_GfYBVP6cYxQLEUtoeHF8pbKko4lgD2o-\r\n	claimed_id: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	identity: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--\r\n	mode: id_res\r\n	ns: http://specs.openid.net/auth/2.0\r\n	op_endpoint: https://open.login.yahooapis.com/openid/op/auth\r\n	response_nonce: 2010-10-05T20:11:24ZZvVDag9ZfwEsAPEcOFxPVObwAq',''),
 (18976,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.SigningBindingElement applied to message.',''),
 (18977,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardExpirationBindingElement applied to message.',''),
 (18978,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardReplayProtectionBindingElement applied to message.',''),
 (18979,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToNonceBindingElement did not apply to message.',''),
 (18980,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.RelyingPartySecurityOptions applied to message.',''),
 (18981,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ExtensionsBindingElement applied to message.',''),
 (18982,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Messaging.Channel','After binding element processing, the received PositiveAssertionResponse (2.0) message is: \r\n	openid.claimed_id: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	openid.identity: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--\r\n	openid.sig: Z/iWaKg9KLS4CBMWtItG7DiPCJ9H14T0tpn04b/LFlU=\r\n	openid.signed: assoc_handle,claimed_id,identity,mode,ns,op_endpoint,response_nonce,return_to,signed,pape.auth_level.nist\r\n	openid.assoc_handle: HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWs',''),
 (18983,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.OpenId','Verifying assertion matches identifier discovery results...',''),
 (18984,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Http','HTTP GET https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3',''),
 (18985,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Yadis','X-XRDS-Location found in HTTP header.  Preparing to pull XRDS from https://open.login.yahooapis.com/openid20/user_profile/xrds',''),
 (18986,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Http','HTTP GET https://open.login.yahooapis.com/openid20/user_profile/xrds',''),
 (18987,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Yadis','Total services discovered in XRDS: 1',''),
 (18988,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Yadis','[{\r\n	ClaimedIdentifier: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	ProviderLocalIdentifier: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	ProviderEndpoint: https://open.login.yahooapis.com/openid/op/auth\r\n	OpenID version: 2.0\r\n	Service Type URIs:\r\n		http://specs.openid.net/auth/2.0/signon\r\n		http://specs.openid.net/extensions/pape/1.0\r\n		http://openid.net/sreg/1.0\r\n		http://openid.net/extensions/sreg/1.1\r\n		http://openid.net/srv/ax/1.0\r\n		http://specs.openid.net/ex',''),
 (18989,'2010-10-05 16:11:24','49','DEBUG','DotNetOpenAuth.Yadis','Skipping HTML discovery because XRDS contained service endpoints.',''),
 (18990,'2010-10-05 16:18:52','40','INFO','DotNetOpenAuth.Messaging.Channel','Scanning incoming request for messages: http://www.realitypeninsula.info/Account/OpenIdLogon',''),
 (18991,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Messaging.Channel','Incoming HTTP request: POST http://www.realitypeninsula.info/Account/OpenIdLogon',''),
 (18992,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Http','HTTP GET http://yahoo.com/',''),
 (18993,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Http','HTTP GET http://www.yahoo.com/',''),
 (18994,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Yadis','X-XRDS-Location found in HTTP header.  Preparing to pull XRDS from http://open.login.yahooapis.com/openid20/www.yahoo.com/xrds',''),
 (18995,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Http','HTTP GET http://open.login.yahooapis.com/openid20/www.yahoo.com/xrds',''),
 (18996,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Yadis','Total services discovered in XRDS: 1',''),
 (18997,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Yadis','[{\r\n	ClaimedIdentifier: http://specs.openid.net/auth/2.0/identifier_select\r\n	ProviderLocalIdentifier: http://specs.openid.net/auth/2.0/identifier_select\r\n	ProviderEndpoint: https://open.login.yahooapis.com/openid/op/auth\r\n	OpenID version: 2.0\r\n	Service Type URIs:\r\n		http://specs.openid.net/auth/2.0/server\r\n		http://specs.openid.net/extensions/pape/1.0\r\n		http://openid.net/sreg/1.0\r\n		http://openid.net/extensions/sreg/1.1\r\n		http://openid.net/srv/ax/1.0\r\n		http://specs.openid.net/extensions/oauth',''),
 (18998,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Yadis','Skipping HTML discovery because XRDS contained service endpoints.',''),
 (18999,'2010-10-05 16:18:52','40','INFO','DotNetOpenAuth.Yadis','Performing discovery on user-supplied identifier: http://yahoo.com/',''),
 (19000,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Yadis','Filtering and sorting of endpoints did not affect the list.',''),
 (19001,'2010-10-05 16:18:52','40','INFO','DotNetOpenAuth.OpenId','Creating authentication request for user supplied Identifier: http://yahoo.com/',''),
 (19002,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Messaging.Channel','Preparing to send CheckIdRequest (2.0) message.',''),
 (19003,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ExtensionsBindingElement applied to message.',''),
 (19004,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.RelyingPartySecurityOptions did not apply to message.',''),
 (19005,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.BackwardCompatibilityBindingElement did not apply to message.',''),
 (19006,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToNonceBindingElement did not apply to message.',''),
 (19007,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToSignatureBindingElement did not apply to message.',''),
 (19008,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardReplayProtectionBindingElement did not apply to message.',''),
 (19009,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardExpirationBindingElement did not apply to message.',''),
 (19010,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.SigningBindingElement did not apply to message.',''),
 (19011,'2010-10-05 16:18:52','40','INFO','DotNetOpenAuth.Messaging.Channel','Prepared outgoing CheckIdRequest (2.0) message for https://open.login.yahooapis.com/openid/op/auth: \r\n	openid.claimed_id: http://specs.openid.net/auth/2.0/identifier_select\r\n	openid.identity: http://specs.openid.net/auth/2.0/identifier_select\r\n	openid.assoc_handle: HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWsM1uT9LWhg92GhvaZMmI0jp0BFL3gqU0.CMk6j62v6nPuVsZgdy_GfYBVP6cYxQLEUtoeHF8pbKko4lgD2o-\r\n	openid.return_to: http://www.realitypeninsula.info/Account/OpenIdLogon?dnoa.userSuppliedIdentif',''),
 (19012,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Messaging.Channel','Sending message: CheckIdRequest',''),
 (19013,'2010-10-05 16:18:52','40','DEBUG','DotNetOpenAuth.Http','Redirecting to https://open.login.yahooapis.com/openid/op/auth?openid.claimed_id=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0%2Fidentifier_select&openid.identity=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0%2Fidentifier_select&openid.assoc_handle=HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWsM1uT9LWhg92GhvaZMmI0jp0BFL3gqU0.CMk6j62v6nPuVsZgdy_GfYBVP6cYxQLEUtoeHF8pbKko4lgD2o-&openid.return_to=http%3A%2F%2Fwww.realitypeninsula.info%2FAccount%2FOpenIdLogon%3Fdnoa.userSuppliedIdentifier%3Dhttp%253',''),
 (19014,'2010-10-05 16:18:58','34','INFO','DotNetOpenAuth.Messaging.Channel','Scanning incoming request for messages: http://www.realitypeninsula.info/Account/OpenIdLogon?dnoa.userSuppliedIdentifier=http%3A%2F%2Fyahoo.com%2F&openid.ns=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0&openid.mode=id_res&openid.return_to=http%3A%2F%2Fwww.realitypeninsula.info%2FAccount%2FOpenIdLogon%3Fdnoa.userSuppliedIdentifier%3Dhttp%253A%252F%252Fyahoo.com%252F&openid.claimed_id=https%3A%2F%2Fme.yahoo.com%2Fa%2FvtBPpVxptPvA4t.wuqSabzwRow--%2308da3&openid.identity=https%3A%2F%2Fme.yahoo.com%2Fa%',''),
 (19015,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Messaging.Channel','Incoming HTTP request: GET http://www.realitypeninsula.info/Account/OpenIdLogon?dnoa.userSuppliedIdentifier=http%3A%2F%2Fyahoo.com%2F&openid.ns=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0&openid.mode=id_res&openid.return_to=http%3A%2F%2Fwww.realitypeninsula.info%2FAccount%2FOpenIdLogon%3Fdnoa.userSuppliedIdentifier%3Dhttp%253A%252F%252Fyahoo.com%252F&openid.claimed_id=https%3A%2F%2Fme.yahoo.com%2Fa%2FvtBPpVxptPvA4t.wuqSabzwRow--%2308da3&openid.identity=https%3A%2F%2Fme.yahoo.com%2Fa%2FvtBPpVxptPv',''),
 (19016,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Messaging.Channel','Incoming request received: PositiveAssertionResponse',''),
 (19017,'2010-10-05 16:18:58','34','INFO','DotNetOpenAuth.Messaging.Channel','Processing incoming PositiveAssertionResponse (2.0) message:\r\n	openid.claimed_id: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	openid.identity: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--\r\n	openid.sig: +1YVoKLqt72sJCn9N6e4u5iHDUVZQE9pE1UoXm17WrA=\r\n	openid.signed: assoc_handle,claimed_id,identity,mode,ns,op_endpoint,response_nonce,return_to,signed,pape.auth_level.nist\r\n	openid.assoc_handle: HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWsM1uT9LWhg92GhvaZMmI0jp0BFL3gqU0',''),
 (19018,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToSignatureBindingElement did not apply to message.',''),
 (19019,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.BackwardCompatibilityBindingElement did not apply to message.',''),
 (19020,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Verifying incoming PositiveAssertionResponse message signature of: +1YVoKLqt72sJCn9N6e4u5iHDUVZQE9pE1UoXm17WrA=',''),
 (19021,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Messaging.Bindings.Signatures','Signing these message parts: \r\n	assoc_handle: HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWsM1uT9LWhg92GhvaZMmI0jp0BFL3gqU0.CMk6j62v6nPuVsZgdy_GfYBVP6cYxQLEUtoeHF8pbKko4lgD2o-\r\n	claimed_id: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	identity: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--\r\n	mode: id_res\r\n	ns: http://specs.openid.net/auth/2.0\r\n	op_endpoint: https://open.login.yahooapis.com/openid/op/auth\r\n	response_nonce: 2010-10-05T20:18:57ZbkqPzZ6zi9DKzXqXLMKDfq3DIX',''),
 (19022,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.SigningBindingElement applied to message.',''),
 (19023,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardExpirationBindingElement applied to message.',''),
 (19024,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardReplayProtectionBindingElement applied to message.',''),
 (19025,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToNonceBindingElement did not apply to message.',''),
 (19026,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.RelyingPartySecurityOptions applied to message.',''),
 (19027,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ExtensionsBindingElement applied to message.',''),
 (19028,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Messaging.Channel','After binding element processing, the received PositiveAssertionResponse (2.0) message is: \r\n	openid.claimed_id: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	openid.identity: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--\r\n	openid.sig: +1YVoKLqt72sJCn9N6e4u5iHDUVZQE9pE1UoXm17WrA=\r\n	openid.signed: assoc_handle,claimed_id,identity,mode,ns,op_endpoint,response_nonce,return_to,signed,pape.auth_level.nist\r\n	openid.assoc_handle: HbKSDgVHgwPbAgpVg7HlvLzhTEnyEjSjsSeD5ddFi3El7ir4ioOWs',''),
 (19029,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.OpenId','Verifying assertion matches identifier discovery results...',''),
 (19030,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Http','HTTP GET https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3',''),
 (19031,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Yadis','X-XRDS-Location found in HTTP header.  Preparing to pull XRDS from https://open.login.yahooapis.com/openid20/user_profile/xrds',''),
 (19032,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Http','HTTP GET https://open.login.yahooapis.com/openid20/user_profile/xrds',''),
 (19033,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Yadis','Total services discovered in XRDS: 1',''),
 (19034,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Yadis','[{\r\n	ClaimedIdentifier: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	ProviderLocalIdentifier: https://me.yahoo.com/a/vtBPpVxptPvA4t.wuqSabzwRow--#08da3\r\n	ProviderEndpoint: https://open.login.yahooapis.com/openid/op/auth\r\n	OpenID version: 2.0\r\n	Service Type URIs:\r\n		http://specs.openid.net/auth/2.0/signon\r\n		http://specs.openid.net/extensions/pape/1.0\r\n		http://openid.net/sreg/1.0\r\n		http://openid.net/extensions/sreg/1.1\r\n		http://openid.net/srv/ax/1.0\r\n		http://specs.openid.net/ex',''),
 (19035,'2010-10-05 16:18:58','34','DEBUG','DotNetOpenAuth.Yadis','Skipping HTML discovery because XRDS contained service endpoints.',''),
 (19036,'2010-10-06 14:17:52','49','ERROR','MvcCms','Value cannot be null.\r\nParameter name: input','System.ArgumentNullException: Value cannot be null.\r\nParameter name: input\r\n   at System.Web.Script.Serialization.JavaScriptSerializer.Deserialize[T](String input)\r\n   at MvcCms.Web.Controllers.HomeAjaxController.RssReader(String data)'),
 (19037,'2010-10-06 14:56:53','43','ERROR','MvcCms','Value cannot be null.\r\nParameter name: input','System.ArgumentNullException: Value cannot be null.\r\nParameter name: input\r\n   at System.Web.Script.Serialization.JavaScriptSerializer.Deserialize[T](String input)\r\n   at MvcCms.Web.Controllers.HomeAjaxController.RssReader(String data)'),
 (19038,'2010-10-06 14:56:55','5','ERROR','MvcCms','Value cannot be null.\r\nParameter name: input','System.ArgumentNullException: Value cannot be null.\r\nParameter name: input\r\n   at System.Web.Script.Serialization.JavaScriptSerializer.Deserialize[T](String input)\r\n   at MvcCms.Web.Controllers.HomeAjaxController.RssReader(String data)'),
 (19039,'2010-10-07 18:40:08','49','INFO','DotNetOpenAuth.Messaging.Channel','Scanning incoming request for messages: http://www.mvccms.com/Account/OpenIdLogon',''),
 (19040,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Channel','Incoming HTTP request: POST http://www.mvccms.com/Account/OpenIdLogon',''),
 (19041,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Http','HTTP GET http://yahoo.com/',''),
 (19042,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Http','HTTP GET http://www.yahoo.com/',''),
 (19043,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Yadis','X-XRDS-Location found in HTTP header.  Preparing to pull XRDS from http://open.login.yahooapis.com/openid20/www.yahoo.com/xrds',''),
 (19044,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Http','HTTP GET http://open.login.yahooapis.com/openid20/www.yahoo.com/xrds',''),
 (19045,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Yadis','Total services discovered in XRDS: 1',''),
 (19046,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Yadis','[{\r\n	ClaimedIdentifier: http://specs.openid.net/auth/2.0/identifier_select\r\n	ProviderLocalIdentifier: http://specs.openid.net/auth/2.0/identifier_select\r\n	ProviderEndpoint: https://open.login.yahooapis.com/openid/op/auth\r\n	OpenID version: 2.0\r\n	Service Type URIs:\r\n		http://specs.openid.net/auth/2.0/server\r\n		http://specs.openid.net/extensions/pape/1.0\r\n		http://openid.net/sreg/1.0\r\n		http://openid.net/extensions/sreg/1.1\r\n		http://openid.net/srv/ax/1.0\r\n		http://specs.openid.net/extensions/oauth',''),
 (19047,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Yadis','Skipping HTML discovery because XRDS contained service endpoints.',''),
 (19048,'2010-10-07 18:40:08','49','INFO','DotNetOpenAuth.Yadis','Performing discovery on user-supplied identifier: http://yahoo.com/',''),
 (19049,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Yadis','Filtering and sorting of endpoints did not affect the list.',''),
 (19050,'2010-10-07 18:40:08','49','INFO','DotNetOpenAuth.OpenId','Creating authentication request for user supplied Identifier: http://yahoo.com/',''),
 (19051,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Channel','Preparing to send AssociateUnencryptedRequest (2.0) message.',''),
 (19052,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ExtensionsBindingElement did not apply to message.',''),
 (19053,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.RelyingPartySecurityOptions did not apply to message.',''),
 (19054,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.BackwardCompatibilityBindingElement did not apply to message.',''),
 (19055,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToNonceBindingElement did not apply to message.',''),
 (19056,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToSignatureBindingElement did not apply to message.',''),
 (19057,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardReplayProtectionBindingElement did not apply to message.',''),
 (19058,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardExpirationBindingElement did not apply to message.',''),
 (19059,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.SigningBindingElement did not apply to message.',''),
 (19060,'2010-10-07 18:40:08','49','INFO','DotNetOpenAuth.Messaging.Channel','Prepared outgoing AssociateUnencryptedRequest (2.0) message for https://open.login.yahooapis.com/openid/op/auth: \r\n	openid.assoc_type: HMAC-SHA256\r\n	openid.session_type: no-encryption\r\n	openid.mode: associate\r\n	openid.ns: http://specs.openid.net/auth/2.0\r\n',''),
 (19061,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Channel','Sending AssociateUnencryptedRequest request.',''),
 (19062,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Http','HTTP POST https://open.login.yahooapis.com/openid/op/auth',''),
 (19063,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Channel','Received AssociateUnencryptedResponse response.',''),
 (19064,'2010-10-07 18:40:08','49','INFO','DotNetOpenAuth.Messaging.Channel','Processing incoming AssociateUnencryptedResponse (2.0) message:\r\n	mac_key: 89DktK+05BKJ8G0bs0cyrjMw5iOP049eCU5aMP3KOmU=\r\n	assoc_handle: Fq5j8tQMSQZc306rpn.e.WAAHeQfJrOiJmr9IxwNAqNryrO8u3N8tvQ14u1K2s19s3mCNako10T0_1PCPrfAliRJlGvYDqKD58kdPZ3w.u8B4xCOBeXSAl5iEdrSFdpMo7fhjQ--\r\n	assoc_type: HMAC-SHA256\r\n	session_type: no-encryption\r\n	expires_in: 14400\r\n	ns: http://specs.openid.net/auth/2.0\r\n',''),
 (19065,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToSignatureBindingElement did not apply to message.',''),
 (19066,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.BackwardCompatibilityBindingElement did not apply to message.',''),
 (19067,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.SigningBindingElement did not apply to message.',''),
 (19068,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardExpirationBindingElement did not apply to message.',''),
 (19069,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardReplayProtectionBindingElement did not apply to message.',''),
 (19070,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToNonceBindingElement did not apply to message.',''),
 (19071,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.RelyingPartySecurityOptions did not apply to message.',''),
 (19072,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ExtensionsBindingElement did not apply to message.',''),
 (19073,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Channel','After binding element processing, the received AssociateUnencryptedResponse (2.0) message is: \r\n	mac_key: 89DktK+05BKJ8G0bs0cyrjMw5iOP049eCU5aMP3KOmU=\r\n	assoc_handle: Fq5j8tQMSQZc306rpn.e.WAAHeQfJrOiJmr9IxwNAqNryrO8u3N8tvQ14u1K2s19s3mCNako10T0_1PCPrfAliRJlGvYDqKD58kdPZ3w.u8B4xCOBeXSAl5iEdrSFdpMo7fhjQ--\r\n	assoc_type: HMAC-SHA256\r\n	session_type: no-encryption\r\n	expires_in: 14400\r\n	ns: http://specs.openid.net/auth/2.0\r\n',''),
 (19074,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Channel','Preparing to send CheckIdRequest (2.0) message.',''),
 (19075,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ExtensionsBindingElement applied to message.',''),
 (19076,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.RelyingPartySecurityOptions did not apply to message.',''),
 (19077,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.BackwardCompatibilityBindingElement did not apply to message.',''),
 (19078,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToNonceBindingElement did not apply to message.',''),
 (19079,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.ReturnToSignatureBindingElement did not apply to message.',''),
 (19080,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardReplayProtectionBindingElement did not apply to message.',''),
 (19081,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.Messaging.Bindings.StandardExpirationBindingElement did not apply to message.',''),
 (19082,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Bindings','Binding element DotNetOpenAuth.OpenId.ChannelElements.SigningBindingElement did not apply to message.',''),
 (19083,'2010-10-07 18:40:08','49','INFO','DotNetOpenAuth.Messaging.Channel','Prepared outgoing CheckIdRequest (2.0) message for https://open.login.yahooapis.com/openid/op/auth: \r\n	openid.claimed_id: http://specs.openid.net/auth/2.0/identifier_select\r\n	openid.identity: http://specs.openid.net/auth/2.0/identifier_select\r\n	openid.assoc_handle: Fq5j8tQMSQZc306rpn.e.WAAHeQfJrOiJmr9IxwNAqNryrO8u3N8tvQ14u1K2s19s3mCNako10T0_1PCPrfAliRJlGvYDqKD58kdPZ3w.u8B4xCOBeXSAl5iEdrSFdpMo7fhjQ--\r\n	openid.return_to: http://www.mvccms.com/Account/OpenIdLogon?dnoa.userSuppliedIdentifier=http%3A',''),
 (19084,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Messaging.Channel','Sending message: CheckIdRequest',''),
 (19085,'2010-10-07 18:40:08','49','DEBUG','DotNetOpenAuth.Http','Redirecting to https://open.login.yahooapis.com/openid/op/auth?openid.claimed_id=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0%2Fidentifier_select&openid.identity=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0%2Fidentifier_select&openid.assoc_handle=Fq5j8tQMSQZc306rpn.e.WAAHeQfJrOiJmr9IxwNAqNryrO8u3N8tvQ14u1K2s19s3mCNako10T0_1PCPrfAliRJlGvYDqKD58kdPZ3w.u8B4xCOBeXSAl5iEdrSFdpMo7fhjQ--&openid.return_to=http%3A%2F%2Fwww.mvccms.com%2FAccount%2FOpenIdLogon%3Fdnoa.userSuppliedIdentifier%3Dhttp%253A%252F%252F',''),
 (19086,'2010-10-08 01:08:39','54','INFO','MvcCms','Application ending',''),
 (19087,'2010-10-08 01:08:54','71','INFO','MvcCms','Application starting',''),
 (19088,'2010-10-10 00:26:09','1','INFO','MvcCms','Application starting',''),
 (19089,'2010-10-10 02:41:57','63','INFO','MvcCms','Application ending',''),
 (19090,'2010-10-10 02:42:26','44','INFO','MvcCms','Application starting',''),
 (19091,'2010-10-11 16:52:51','4','INFO','MvcCms','Application starting',''),
 (19092,'2010-10-11 17:00:21','10','INFO','MvcCms','Application ending',''),
 (19093,'2010-10-11 17:00:37','1','INFO','MvcCms','Application starting',''),
 (19094,'2010-10-11 17:08:30','9','INFO','MvcCms','Application ending',''),
 (19095,'2010-10-11 17:09:24','1','INFO','MvcCms','Application starting',''),
 (19096,'2010-10-12 12:53:21','13','ERROR','MvcCms','Value cannot be null.\r\nParameter name: input','System.ArgumentNullException: Value cannot be null.\r\nParameter name: input\r\n   at System.Web.Script.Serialization.JavaScriptSerializer.Deserialize[T](String input)\r\n   at MvcCms.Web.Controllers.HomeAjaxController.RssReader(String data)');
/*!40000 ALTER TABLE `log` ENABLE KEYS */;


--
-- Definition of table `modules`
--

DROP TABLE IF EXISTS `modules`;
CREATE TABLE `modules` (
  `ModuleID` int(11) NOT NULL AUTO_INCREMENT,
  `Title` varchar(50) NOT NULL,
  `Description` varchar(350) DEFAULT NULL,
  `ContentPageID` int(11) DEFAULT NULL,
  `ContentCategoryID` int(11) DEFAULT NULL,
  `AjaxLoadURL` varchar(550) DEFAULT NULL,
  `Active` tinyint(1) NOT NULL,
  `Importance` int(11) NOT NULL,
  `AddedDate` datetime NOT NULL,
  `AllPages` tinyint(1) NOT NULL,
  `TargetDiv` varchar(50) NOT NULL,
  `HTML` longtext,
  `UseAjaxLoadURL` tinyint(1) NOT NULL,
  `GetScript` varchar(150) DEFAULT NULL,
  `PortalID` int(11) NOT NULL,
  PRIMARY KEY (`ModuleID`),
  KEY `FK_Modules_ContentCategoriesIdx` (`ContentCategoryID`),
  KEY `FK_Modules_ContentPagesIdx` (`ContentPageID`),
  KEY `FK_Modules_PortalsIdx` (`PortalID`),
  CONSTRAINT `FK_Modules_ContentCategories` FOREIGN KEY (`ContentCategoryID`) REFERENCES `contentcategories` (`CategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Modules_ContentPages` FOREIGN KEY (`ContentPageID`) REFERENCES `contentpages` (`ContentPageID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Modules_Portals` FOREIGN KEY (`PortalID`) REFERENCES `portals` (`PortalID`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `modules`
--

/*!40000 ALTER TABLE `modules` DISABLE KEYS */;
INSERT INTO `modules` (`ModuleID`,`Title`,`Description`,`ContentPageID`,`ContentCategoryID`,`AjaxLoadURL`,`Active`,`Importance`,`AddedDate`,`AllPages`,`TargetDiv`,`HTML`,`UseAjaxLoadURL`,`GetScript`,`PortalID`) VALUES 
 (7,'Search','',243,NULL,'',1,0,'2009-08-22 11:39:49',0,'blank','',0,'/content/app_themes/sandbox/scripts/search.js',13),
 (8,'MvcCms Twitter',NULL,NULL,NULL,NULL,0,0,'2009-08-22 11:43:08',1,'modules-sidebar','<table style=\"width: 225px;\" border=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"center\"><a href=\"https://twitter.com/MVCCMS\"><img src=\"http://www.mvccms.com/content/images/twitter.png\" border=\"0\" alt=\"\" /></a></td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\"><span style=\"font-size: x-small;\">If you like the code consider making a donation or sign up at <a href=\"http://mvccms.codeplex.com\">Codeplex</a> and contribute to the open source project.</span></td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\"><form action=\"https://www.paypal.com/cgi-bin/webscr\" enctype=\"application/x-www-form-urlencoded\" method=\"post\"><input name=\"cmd\" type=\"hidden\" value=\"_s-xclick\" /> <input name=\"hosted_button_id\" type=\"hidden\" value=\"7468106\" /> <input alt=\"PayPal - The safer, easier way to pay online!\" name=\"submit\" src=\"https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif\" type=\"image\" /> <img src=\"https://www.paypal.com/en_US/i/scr/pixel.gif\" border=\"0\" alt=\"\" width=\"1\" height=\"1\" /> </form></td>\r\n</tr>\r\n</tbody>\r\n</table>',0,NULL,1),
 (11,'Mvc Cms Search','',190,NULL,'',1,0,'2009-08-26 12:16:33',0,'blank','',0,'/content/app_themes/default/scripts/search.js',1),
 (15,'RSS','',NULL,NULL,'',0,0,'2009-08-27 23:06:24',1,'modules-rss','<div class=\"rssheader\">MvcCms Codeplex RSS</div>\r\n<div>\r\n<table id=\"MvcCmsRssList\" class=\"RssList\" style=\"width: 225px;\" border=\"0\">\r\n<tbody>\r\n</tbody>\r\n</table>\r\n</div>',0,'/content/app_themes/sandbox/scripts/cp-rss.js',13),
 (16,'Feedback',NULL,9,NULL,NULL,0,0,'2009-10-01 19:06:33',0,'feedBack','<div>\r\n<div style=\"text-align: center; width: 199px;\">\r\n<h4>To Contact The Site Type Your Message Below</h4>\r\n</div>\r\n<div style=\"width: 199px;\"><textarea id=\"TextArea1\" style=\"width: 230px; height: 97px;\" cols=\"2\" rows=\"2\" name=\"S1\"></textarea></div>\r\n<div style=\"width: 199px;\"><input id=\"fromemail\" class=\"required\" style=\"width: 230px;\" type=\"text\" /></div>\r\n<div style=\"width: 199px;\"><input id=\"sendfeedback\" style=\"width: 230px;\" onclick=\"SendFeedback();\" type=\"button\" value=\"Send Feedback\" /></div>\r\n</div>',0,'/content/app_themes/default/scripts/feedback.js',1),
 (17,'Recent Posts',NULL,NULL,NULL,NULL,1,0,'2009-10-15 12:23:55',1,'blank','',0,'/content/app_themes/default/scripts/forum.js',1),
 (18,'Twitter Feed','',NULL,NULL,'',1,0,'2009-10-16 17:26:55',1,'blank','',0,'/content/app_themes/default/scripts/twitter.js',1),
 (19,'rss-codeplex',NULL,NULL,NULL,NULL,1,0,'2009-10-19 22:06:55',1,'modules-rss','<h3>Codeplex Activity</h3>\r\n<table id=\"MvcCmsRssList\" border=\"0\">\r\n<tbody>\r\n</tbody>\r\n</table>',0,'/content/app_themes/default/scripts/cp-rss.js',1),
 (20,'rss-cp','',NULL,NULL,'',1,0,'2009-11-12 22:11:00',1,'modules-rss','<p><strong>MvcCms Codeplex Activity</strong></p>\r\n<table id=\"MvcCmsRssList\" border=\"0\">\r\n<tbody>\r\n</tbody>\r\n</table>',0,'/content/app_themes/rsc/scripts/cp-rss.js',14),
 (21,'rsc search','',270,NULL,'',1,0,'2009-11-12 22:15:35',0,'blank','',0,'/content/app_themes/rsc/scripts/search.js',14),
 (25,'recent posts',NULL,306,NULL,NULL,1,0,'2009-12-10 19:33:38',0,'blank','<div style=\"position: absolute; width: 100px; height: 100px; top: 20px; left: 0px;\">New layer...</div>',0,'/content/app_themes/sandbox/scripts/forum.js',15),
 (26,'recent posts',NULL,NULL,NULL,NULL,1,0,'2009-12-10 20:25:43',1,'blank','',0,'/content/app_themes/default/scripts/forum.js',13),
 (31,'garden club search',NULL,337,NULL,NULL,1,0,'2010-03-10 00:48:20',0,'blank','',0,'/content/app_themes/default/scripts/search.js',16),
 (32,'testTitleModule','misc',340,NULL,NULL,1,0,'2010-03-15 14:14:48',0,'blank','<p><strong>test</strong></p>\r\n<p>1,2,3 laksdjfla sdjlkf a</p>\r\n<p><em>laksdjflakj</em></p>\r\n<p><em><span style=\"text-decoration: underline;\">laksjdflk</span><br /></em></p>',0,NULL,15),
 (34,'title',NULL,347,NULL,NULL,0,0,'2010-09-30 05:47:01',0,'sss','',0,NULL,18);
/*!40000 ALTER TABLE `modules` ENABLE KEYS */;


--
-- Definition of table `portalresources`
--

DROP TABLE IF EXISTS `portalresources`;
CREATE TABLE `portalresources` (
  `PortalResourceID` int(11) NOT NULL AUTO_INCREMENT,
  `ResourceName` varchar(50) NOT NULL,
  `Body` longtext NOT NULL,
  `PortalID` int(11) NOT NULL,
  `EditedByUserID` char(36) NOT NULL,
  `EditDate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `PortalResourceTypeID` int(11) NOT NULL,
  PRIMARY KEY (`PortalResourceID`),
  KEY `FK_PortalResources_PortalResourceTypesIdx` (`PortalResourceTypeID`),
  KEY `FK_PortalResources_PortalsIdx` (`PortalID`),
  KEY `FK_PortalResources_UsersIdx` (`EditedByUserID`),
  CONSTRAINT `FK_PortalResources_PortalResourceTypes` FOREIGN KEY (`PortalResourceTypeID`) REFERENCES `portalresourcetypes` (`PortalResourceTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PortalResources_Portals` FOREIGN KEY (`PortalID`) REFERENCES `portals` (`PortalID`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_PortalResources_Users` FOREIGN KEY (`EditedByUserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `portalresources`
--

/*!40000 ALTER TABLE `portalresources` DISABLE KEYS */;
INSERT INTO `portalresources` (`PortalResourceID`,`ResourceName`,`Body`,`PortalID`,`EditedByUserID`,`EditDate`,`PortalResourceTypeID`) VALUES 
 (18,'Login','<p>Hey welcome back.&nbsp;</p>\r\n<p><span style=\"color: #ff0000;\">New</span> Forums.&nbsp; As a member you can ask questions at the <a href=\"../../../forums\">forum</a>.</p>',1,'86A6FCCB-A07A-4985-9B22-66F557DA3946','2009-10-29 00:31:29',1),
 (19,'Register','<p>Register to get important updates, use the members comments section and to access the members downloads page.</p>\r\n<p><span style=\"color: #ff0000;\">New</span> Forums.&nbsp; As a member you can ask questions at the <a href=\"../../../forums\">forum</a>.</p>',1,'86A6FCCB-A07A-4985-9B22-66F557DA3946','2009-09-03 11:11:56',2),
 (20,'Login','<p>Welcome Back!</p>',13,'86A6FCCB-A07A-4985-9B22-66F557DA3946','2009-10-29 00:27:27',1);
/*!40000 ALTER TABLE `portalresources` ENABLE KEYS */;


--
-- Definition of table `portalresourcetypes`
--

DROP TABLE IF EXISTS `portalresourcetypes`;
CREATE TABLE `portalresourcetypes` (
  `PortalResourceTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(50) NOT NULL,
  PRIMARY KEY (`PortalResourceTypeID`),
  KEY `FK_PortalResources_PortalResourceTypesIdx2` (`PortalResourceTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `portalresourcetypes`
--

/*!40000 ALTER TABLE `portalresourcetypes` DISABLE KEYS */;
INSERT INTO `portalresourcetypes` (`PortalResourceTypeID`,`Name`) VALUES 
 (1,'Login'),
 (2,'Register'),
 (3,'Profile');
/*!40000 ALTER TABLE `portalresourcetypes` ENABLE KEYS */;


--
-- Definition of table `portals`
--

DROP TABLE IF EXISTS `portals`;
CREATE TABLE `portals` (
  `PortalID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(50) NOT NULL,
  `DefaultLanguageID` int(11) NOT NULL,
  `SkinName` varchar(150) NOT NULL,
  `URLAuthority` varchar(350) NOT NULL,
  `EditDate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `EditedByUserID` char(36) NOT NULL,
  `DisplayName` varchar(50) NOT NULL,
  `AdminEmail` varchar(100) NOT NULL,
  `UseFullText` tinyint(1) NOT NULL,
  `PayPalTestMode` tinyint(1) NOT NULL,
  `PayPalEmail` varchar(150) DEFAULT NULL,
  `PayPalToken` varchar(150) DEFAULT NULL,
  `AuthorizeUserID` varchar(150) DEFAULT NULL,
  `AuthorizePassword` varchar(150) DEFAULT NULL,
  `TeleDraftUserID` varchar(150) DEFAULT NULL,
  `TeleDraftPassword` varchar(150) DEFAULT NULL,
  `TeleDraftACHUserID` varchar(150) DEFAULT NULL,
  `TeleDraftACHPassword` varchar(150) DEFAULT NULL,
  `TimezoneOffset` int(11) DEFAULT NULL,
  `UsesWikiForCMS` tinyint(1) NOT NULL,
  `AllowPageWikiHtmlSwitch` tinyint(1) NOT NULL,
  `AllowOpenIdRegistration` tinyint(1) NOT NULL,
  PRIMARY KEY (`PortalID`),
  KEY `FK_Portals_LanguagesIdx` (`DefaultLanguageID`),
  KEY `FK_Portals_UsersIdx` (`EditedByUserID`),
  KEY `FK_ContentCategories_PortalsIdx2` (`PortalID`),
  CONSTRAINT `FK_Portals_Languages` FOREIGN KEY (`DefaultLanguageID`) REFERENCES `languages` (`LanguageID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Portals_Users` FOREIGN KEY (`EditedByUserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `portals`
--

/*!40000 ALTER TABLE `portals` DISABLE KEYS */;
INSERT INTO `portals` (`PortalID`,`Name`,`DefaultLanguageID`,`SkinName`,`URLAuthority`,`EditDate`,`EditedByUserID`,`DisplayName`,`AdminEmail`,`UseFullText`,`PayPalTestMode`,`PayPalEmail`,`PayPalToken`,`AuthorizeUserID`,`AuthorizePassword`,`TeleDraftUserID`,`TeleDraftPassword`,`TeleDraftACHUserID`,`TeleDraftACHPassword`,`TimezoneOffset`,`UsesWikiForCMS`,`AllowPageWikiHtmlSwitch`,`AllowOpenIdRegistration`) VALUES 
 (1,'Default',11,'Default','localhost:4342','2009-08-20 00:00:00','86A6FCCB-A07A-4985-9B22-66F557DA3946','MvcCms','info@mvccms.com',1,0,'jonranes@gmail.com','XT6hyKsj73chJQHPaHmONfpUOXZkG6ZkDKzeHU8p4R0Mudi6wIxWJXQxoHK',NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1),
 (13,'Real Pen',11,'RealPen','localhost:4342x','2009-08-22 14:53:37','86A6FCCB-A07A-4985-9B22-66F557DA3946','Reality Peninsula','info@mvccms.com',1,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1),
 (14,'RSC Consulting',11,'rsc','localhost:4342x','2009-11-12 17:57:27','86A6FCCB-A07A-4985-9B22-66F557DA3946','RSC Consulting','jranes@ranessoftwareconsulting.com',1,0,'jonranes@gmail.com','XT6hyKsj73chJQHPaHmONfpUOXZkG6ZkDKzeHU8p4R0Mudi6wIxWJXQxoHK',NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,1,1),
 (15,'Sandbox',11,'sandbox','localhost:4342x','2009-11-12 22:33:03','86A6FCCB-A07A-4985-9B22-66F557DA3946','MvcCms Sandbox','info@mvccms.net',1,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0),
 (16,'GardenClub',11,'gardenclub','localhost:4342x','2010-03-10 00:01:36','86A6FCCB-A07A-4985-9B22-66F557DA3946','Garden Club','jonranes@gmail.com',1,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,1,0),
 (17,'CMSBoatworks',11,'boatworks','localhost:4342x','2010-04-09 15:09:58','86A6FCCB-A07A-4985-9B22-66F557DA3946','CMS Boatworks','cmsboatwrk@hotmail.com',1,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0),
 (18,'MvcCms Sandbox',11,'sandbox','localhost:4342x','2010-09-30 03:27:22','86A6FCCB-A07A-4985-9B22-66F557DA3946','MvcCms Sandbox','info@mvccms.net',1,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1);
/*!40000 ALTER TABLE `portals` ENABLE KEYS */;


--
-- Definition of table `profiles`
--

DROP TABLE IF EXISTS `profiles`;
CREATE TABLE `profiles` (
  `ProfileID` int(11) NOT NULL AUTO_INCREMENT,
  `UserID` char(36) NOT NULL,
  `FirstName` varchar(50) DEFAULT NULL,
  `LastName` varchar(50) DEFAULT NULL,
  `LastModified` datetime DEFAULT NULL,
  `Age` int(11) DEFAULT NULL,
  `Phone` varchar(50) DEFAULT NULL,
  `Cell` varchar(50) DEFAULT NULL,
  `Title` varchar(50) DEFAULT NULL,
  `BirthDate` varchar(50) DEFAULT NULL,
  `Street` varchar(60) DEFAULT NULL,
  `City` char(30) DEFAULT NULL,
  `StateProvinceID` int(11) NOT NULL,
  `ZipCode` varchar(15) DEFAULT NULL,
  `Subscription` varchar(50) DEFAULT NULL,
  `Gender` char(10) DEFAULT NULL,
  `LanguageID` int(11) NOT NULL,
  `ShoppingCart` varchar(3000) DEFAULT NULL,
  `PaymentData` varchar(4000) DEFAULT NULL,
  `Occupation` varchar(50) DEFAULT NULL,
  `Website` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`ProfileID`),
  KEY `FK_Profiles_LanguagesIdx` (`LanguageID`),
  KEY `FK_Profiles_StateProvincesIdx` (`StateProvinceID`),
  KEY `FK_Profiles_UsersIdx` (`UserID`),
  CONSTRAINT `FK_Profiles_Languages` FOREIGN KEY (`LanguageID`) REFERENCES `languages` (`LanguageID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Profiles_StateProvinces` FOREIGN KEY (`StateProvinceID`) REFERENCES `stateprovinces` (`StateProvinceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Profiles_Users` FOREIGN KEY (`UserID`) REFERENCES `users` (`UserID`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=166 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `profiles`
--

/*!40000 ALTER TABLE `profiles` DISABLE KEYS */;
INSERT INTO `profiles` (`ProfileID`,`UserID`,`FirstName`,`LastName`,`LastModified`,`Age`,`Phone`,`Cell`,`Title`,`BirthDate`,`Street`,`City`,`StateProvinceID`,`ZipCode`,`Subscription`,`Gender`,`LanguageID`,`ShoppingCart`,`PaymentData`,`Occupation`,`Website`) VALUES 
 (5,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','admin','','2009-12-30 10:22:24',NULL,NULL,'',NULL,'10/10/1976 12:00:00 AM','','',91,'','HTML','M',11,NULL,NULL,NULL,'www.mvccms.com'),
 (6,'83C9BE4D-DF8A-455A-9F5D-E5D5867A6AE5','Editor','','2009-08-14 02:26:10',NULL,NULL,'660-973-6993','','3/18/1970 12:00:00 AM','12180 Liv 302','Chillicothe',37,'64601','None','M',11,NULL,NULL,'','http://www.mvccms.com'),
 (12,'86A6FCCB-A07A-4985-9B22-66F557DA3946','','','2009-08-23 00:07:53',NULL,NULL,'',NULL,NULL,'','',37,'','HTML','M',11,NULL,NULL,NULL,''),
 (25,'8ECDEB87-9067-46A4-99E0-6AFD229AF98E','','','2009-10-09 14:24:47',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (26,'062C3AEB-16A0-4B6F-9565-B6C0B696EAA6','Shahid','Ali','2009-10-10 11:20:56',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (27,'CC9161AE-E8E6-4AE2-8BDF-A39AC77EAB15','','','2009-10-20 13:21:11',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (28,'4AC5E351-92FF-43CC-A314-89DA9B4615F7','','','2009-10-21 23:00:19',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (29,'CE17F970-1405-4047-9163-EF5546890774','Jonathan','Ranes','2010-01-14 21:28:41',NULL,NULL,'',NULL,'3/18/1970 12:00:00 AM','','',37,'','HTML','M',11,NULL,NULL,NULL,'http://www.realitypeninsula.info'),
 (30,'5154F1B6-AAB6-4C7E-94A0-1C9A62F652E7','','','2009-10-23 18:47:46',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (31,'3BAF7333-3E36-482B-94AC-5C12A4416C8C','','','2009-10-24 09:33:55',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (32,'F25F9134-BE3C-4F6B-8FC7-7A9FDCD1FC93','Alex','Koval','2009-10-25 06:37:54',NULL,NULL,'',NULL,'7/17/1980 12:00:00 AM','','Kiev',1,'','HTML','M',128,NULL,NULL,NULL,''),
 (33,'AB480B6A-33E4-45F3-AF5C-E266766E0799','','','2009-10-25 18:21:21',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (34,'0EF98A17-2A9A-42F1-97D2-9EF9B0DCA030','Anthony','','2009-10-29 05:11:13',NULL,NULL,'',NULL,NULL,'','',1,'','None','M',11,NULL,NULL,NULL,''),
 (35,'468476E1-724C-438A-B790-EFE539A556A0','Pete','Buettner','2009-10-29 16:51:14',NULL,NULL,'',NULL,'12/10/1967 12:00:00 AM','','',1,'','None','M',11,NULL,NULL,NULL,''),
 (36,'D4BB8AD9-5330-4635-AE38-E83D8266DA46','','','2009-10-30 00:30:35',NULL,NULL,'',NULL,NULL,'','',1,'','None','M',11,NULL,NULL,NULL,''),
 (37,'85FEF0E0-FA46-4FC3-9837-5E9D6776444C','Alexander','Big','2009-11-01 17:31:52',NULL,NULL,'',NULL,'1/7/1974 12:00:00 AM','','',1,'','Plain','M',128,NULL,NULL,NULL,''),
 (38,'73B17257-D551-452B-80F8-E16629916E63','','','2009-11-04 11:18:50',NULL,NULL,'',NULL,NULL,'','',1,'','None','M',11,NULL,NULL,NULL,''),
 (39,'7743FAEA-EC12-471B-ABCD-7183B2866ECC','','','2009-11-05 09:07:13',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (40,'0C50686A-29CF-407F-9252-F9E267E5BCB8','Igor','Zavalny','2009-11-12 15:07:39',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (41,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','','','2009-11-25 11:05:54',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (42,'EF06754D-AEFA-4763-B7D0-99B660B50A63','','','2009-11-12 23:18:47',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (44,'CF05BAE1-81FE-4A07-B306-9B957E2068CA','','','2009-11-18 19:29:35',NULL,NULL,'',NULL,NULL,'','',73,'','HTML','M',11,NULL,NULL,NULL,''),
 (45,'96793167-33E0-4E9F-9347-E8AB615AA9C3','','','2009-11-19 09:32:27',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (46,'13EFC150-87CB-46A2-A6C5-8B83294CCC72','','','2009-11-20 11:39:47',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',128,NULL,NULL,NULL,''),
 (47,'C73483E0-D5EB-46BF-8EAD-FA5B4C11FAD7','','','2009-11-20 13:50:10',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (48,'0078610F-6953-4C0C-B4B0-017EFA67E446','','','2009-11-24 11:08:05',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (49,'91A47096-7650-4861-A783-C602D878C97D','David','Thompson','2009-11-26 04:44:35',NULL,NULL,'',NULL,'12/18/1983 12:00:00 AM','','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (50,'1F7E506D-DB1D-4245-9BC6-F655D6159119','','','2009-11-26 06:31:45',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',127,NULL,NULL,NULL,''),
 (51,'D5094A1D-1580-4FA6-8338-33BB93DEEF01','','','2009-11-27 14:14:07',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (52,'53A00982-882A-4B4F-B26F-1B914694E2BF','','','2009-11-29 16:28:17',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (53,'EF03C6CE-E7C4-45C7-895B-EB758A1F639F','asvetlenko','asvetlenko','2009-11-30 10:43:38',NULL,NULL,'80505242381',NULL,'11/3/2009 12:00:00 AM','asvetlenko','asvetlenko',133,'0548','HTML','M',128,NULL,NULL,NULL,''),
 (54,'76452DC2-6185-4BC5-8294-3BE322AD15CD','','','2009-12-01 10:05:08',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (55,'A1FBEA0C-32E8-4E39-8435-EB85BFC555A7','','','2009-12-04 06:10:43',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',13,NULL,NULL,NULL,''),
 (56,'3C97187B-E46B-47E0-82A9-0EA7C4E01D37','Glauber ','Silva','2009-12-05 07:07:51',NULL,NULL,'1 55 61 9263 4046',NULL,'12/22/1978 12:00:00 AM','35 Sul','',87,'71931180','HTML','M',31,NULL,NULL,NULL,'www.nfatores.com.br'),
 (57,'A1A199F5-8C44-4B2A-ABB3-E17A02093E57','','','2009-12-06 08:42:23',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (58,'DADE8ED5-CDFB-430D-8328-12A13AD86308','','','2009-12-08 08:08:08',NULL,NULL,'',NULL,NULL,'','',9,'','HTML','M',11,NULL,NULL,NULL,''),
 (59,'CA2DEF18-562F-4772-B1ED-63C92A3AD36E','1','1','2009-12-09 04:09:02',NULL,NULL,'',NULL,'1/1/1920 12:00:00 AM','','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (60,'61BE742E-4F62-469F-BF84-7775423CE776','GoonJae','Lee','2009-12-10 02:30:28',NULL,NULL,'01020095696',NULL,'10/5/1964 12:00:00 AM','YangJae-dong','Seoul',125,'135100','HTML','M',30,NULL,NULL,NULL,'www.m60dx.com'),
 (61,'AC7FD783-9B66-4377-8606-4A6067B7789F','Gianluca','Ciocci','2009-12-10 11:54:12',NULL,NULL,'',NULL,'12/15/1979 12:00:00 AM','','',1,'','HTML','M',29,NULL,NULL,NULL,''),
 (62,'F90B333D-7155-4CC2-ADB7-E773B7ABBDEF','','','2009-12-11 06:56:01',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (63,'BB6AD3E6-B321-442F-B2D1-D02EBA03E269','','','2009-12-11 15:01:06',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (64,'647C6159-6800-4A46-87FD-469106174E58','Pavel','Achmetchanov','2009-12-11 17:28:49',NULL,NULL,'',NULL,'8/22/1984 12:00:00 AM','','Moskow',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (65,'A693885F-7766-4CA5-B026-A1E15C137F6B','','','2009-12-12 23:26:32',NULL,NULL,'',NULL,NULL,'','',27,'','None','M',11,NULL,NULL,NULL,''),
 (66,'1F7AD0D1-FB1E-496F-8744-59BB7122A710','','','2009-12-13 03:32:14',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (67,'5B35C828-7D40-4A9B-A284-50E46FE4DEB3','','','2009-12-14 22:16:59',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (68,'4E83CCCA-A5EB-4ECB-A762-7BE532007E92','','','2009-12-14 22:20:05',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (69,'B16C5723-3F10-4033-9515-C7BDAD63318F','','','2009-12-15 08:01:55',NULL,NULL,'',NULL,NULL,'','',1,'','None','M',11,NULL,NULL,NULL,''),
 (70,'E833D249-B9E8-477D-B577-79249AD6DB9D','Suresh','Shrestha','2009-12-17 03:43:36',NULL,NULL,'',NULL,NULL,'','',1,'00977','HTML','M',11,NULL,NULL,NULL,''),
 (71,'C0693289-53C4-4420-B8D0-92BB32DB1E9C','Misha','Ulyutin','2009-12-20 09:49:37',NULL,NULL,'',NULL,NULL,'','',1,'','None','M',11,NULL,NULL,NULL,'http://brights.com.ua/'),
 (72,'8190D0E9-E25D-483C-9CBA-BA872185EEF7','Tomislav','Mesic','2009-12-21 05:23:30',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (73,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','Jonathan','Ranes','2010-01-02 09:36:49',NULL,NULL,'6609736993',NULL,'3/18/1970 12:00:00 AM','','Chillicothe',37,'64601','HTML','M',11,NULL,NULL,NULL,'www.ranessoftwareconsulting.com'),
 (74,'F6951950-7CA0-4DA9-A80F-58B1CAE86F4F','a','p','2009-12-31 03:29:48',NULL,NULL,'',NULL,'8/23/1979 12:00:00 AM','c','z',1,'','HTML','M',128,NULL,NULL,NULL,''),
 (75,'1E85EAF3-B708-4664-8EFE-FB3BB796BF86','Tony','Albutt','2009-12-31 12:12:49',NULL,NULL,'',NULL,'9/19/1964 12:00:00 AM','','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (76,'1D9226BE-3E0A-44D3-BACA-D986BAE40D35','Tjerk','Heringa','2010-01-02 06:11:18',NULL,NULL,'',NULL,'5/27/1957 12:00:00 AM','Laan van Vredestein 131','Den Haag',91,'2552 DV','HTML','M',34,NULL,NULL,NULL,'http://www.dotnetdesign.nl'),
 (77,'41A1196B-3C3D-40EE-AB65-7373569E82C8','r','a','2010-01-06 14:14:32',NULL,NULL,'1',NULL,'12/16/2009 12:00:00 AM','v','c',1,'12345','HTML','M',12,NULL,NULL,NULL,'w'),
 (78,'8F2F63E7-77FF-4620-8236-9FD364AE6FFB','','','2010-01-09 17:10:42',NULL,NULL,'',NULL,NULL,'','',1,'','None','M',34,NULL,NULL,NULL,''),
 (79,'4D72F7BD-014A-4756-88C3-32B8076FD744','','','2010-01-15 01:16:22',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (80,'D92BC9A6-C75F-4136-B9C3-A2C81D7B9E7E','Branimir','Giurov','2010-01-15 03:19:27',NULL,NULL,'',NULL,'11/17/1978 12:00:00 AM','','Sofia',1,'1000','HTML','M',34,NULL,NULL,NULL,''),
 (81,'37422823-C6FD-4FE9-9183-ADF9486A5300','a','a','2010-01-16 09:37:51',NULL,NULL,'',NULL,'12/1/2009 12:00:00 AM','','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (82,'9956ACFB-8BDF-4575-860E-8D96D7B93FED','','','2010-01-17 04:44:46',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',32,NULL,NULL,NULL,''),
 (83,'98B9090C-3FC6-4260-85EB-4D9F21EE125A','Tom','Miller','2010-01-18 14:31:25',NULL,NULL,'',NULL,NULL,'','St. Paul',36,'','HTML','M',11,NULL,NULL,NULL,'www.shepardroad.com'),
 (84,'4C42D024-8136-46CE-A5BB-13B831AC14F0','','','2010-01-19 12:38:59',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (85,'5C93D1E0-50CD-43BF-B803-B881F662F85F','','','2010-01-21 13:19:32',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (86,'B83A6F58-445D-40CB-8BDC-307A0EF05742','','','2010-01-29 04:52:03',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (87,'C779B400-7EBF-4C08-BDF6-915AC48442CB','','','2010-02-01 13:17:34',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (88,'64DE9E14-DEE2-4EDC-A5EA-807AA411DF22','','','2010-02-02 12:29:48',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (89,'A4A3121D-06CA-4422-A3A7-465CB0E87F6B','way','way','2010-02-02 21:35:20',NULL,NULL,'',NULL,'1/13/2010 12:00:00 AM','','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (90,'414904C7-EC21-4303-8460-FFDDD86DA698','','','2010-02-04 16:44:52',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (91,'B9C3DF2B-7B23-4646-BF2B-15747A8D6186','','','2010-02-05 21:10:05',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (92,'61C44375-6B77-4506-8B55-94AB750A273E','','','2010-02-07 02:51:43',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',32,NULL,NULL,NULL,''),
 (93,'6A3E75A2-CA12-4FE1-815B-BECC067162A3','elin','','2010-02-08 03:55:45',NULL,NULL,'',NULL,NULL,'','',16,'','HTML','F',11,NULL,NULL,NULL,''),
 (94,'9D961519-0E58-4916-8124-99742687AA20','evgeny','','2010-02-11 10:13:24',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',128,NULL,NULL,NULL,''),
 (95,'C9AEAF1C-522B-42F5-9F76-8500B6B89413','mauricio','palacio','2010-02-15 15:40:34',NULL,NULL,'',NULL,'12/26/1983 12:00:00 AM','cra 9d-7a-31','manizales',103,'00000','HTML','M',12,NULL,NULL,NULL,''),
 (96,'3EB417F6-277F-41C2-9A67-61A2BBCD223A','Jason','Trolian','2010-02-19 19:49:24',NULL,NULL,'',NULL,'3/8/1975 12:00:00 AM','','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (97,'6292DBA3-0899-482E-AC61-4B1A2D46FCD3','Karl Wessel','Frogner','2010-03-08 17:00:03',NULL,NULL,'',NULL,'8/1/1984 12:00:00 AM','','',1,'','HTML','M',11,NULL,NULL,NULL,'www.karlwesselfrogner.com'),
 (98,'89CBCA5B-2357-4A9F-BF7F-2253448985BA','','','2010-03-09 20:52:41',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (99,'D2F348CC-2A1C-432C-B5F0-4CD4058C6DF6','','','2010-03-09 23:02:25',NULL,NULL,'',NULL,NULL,'','Silicon  Valley',9,'','HTML','M',34,NULL,NULL,NULL,''),
 (100,'EE11D326-AA11-4B6F-8EE4-AB12D257C161','','','2010-03-13 00:09:52',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (101,'DA2653FE-7132-4760-BB55-27BEB017E4E0','','','2010-03-13 19:51:12',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (102,'188F53C6-18B0-42F3-A5CE-1F50D25268A3','du','du','2010-03-14 09:26:26',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (103,'C184B8DC-F916-40F8-A102-3923DB9D7AAF','','','2010-03-15 08:05:28',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (104,'8049E8A2-B183-4186-88F2-6DA7D0ACD95F','','','2010-03-15 18:20:08',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (105,'4074495A-C917-45C2-BD08-9706D4C703C0','','','2010-03-15 22:20:51',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (106,'BAF6A554-7D56-45E4-8A8E-19D018360437','','','2010-03-18 00:07:04',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (107,'F48EC77E-1D4A-430A-84F5-0E78681A748C','','','2010-03-20 06:04:59',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (108,'ED381C66-81C2-4FD1-AA61-9238B1E4B047','','','2010-03-24 15:24:14',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (109,'A48105B0-02AB-46C3-A613-43ACCA34BF8B','','','2010-03-25 02:33:15',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (110,'859F7FD8-9F92-49DE-80A2-85E930DAF442','','','2010-03-25 04:28:26',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (111,'A2ED57DF-0DC7-4A50-A457-9EF99B5C5632','','','2010-03-29 14:48:08',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (112,'5906A7FA-DE0D-4D21-B765-D5B1E4145BC4','','','2010-03-30 16:12:10',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (113,'2818507F-1E66-4338-A33A-130E7F719C77','mmq','mmq5460','2010-03-31 02:58:00',NULL,NULL,'',NULL,'3/6/1968 12:00:00 AM','','dongying',9,'086','HTML','M',34,NULL,NULL,NULL,''),
 (114,'F23252B8-63A5-4EE2-A0FD-133E24D2AB95','Aiyaz','Buksh','2010-04-08 05:53:17',NULL,NULL,'',NULL,'3/10/2010 12:00:00 AM','','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (115,'ADBC4FF3-5EDE-4D33-A1E2-BB6EC9DEE7AE','','','2010-04-12 08:19:52',NULL,NULL,'',NULL,NULL,'','',1,'','None','M',11,NULL,NULL,NULL,''),
 (116,'53C150DA-7A90-4B8C-8485-50D92AF7D83B','Mehmet','Aydin','2010-04-14 15:10:47',NULL,NULL,'',NULL,NULL,'','Winnipeg',31,'','HTML','M',11,NULL,NULL,NULL,''),
 (117,'A1A969DB-DB45-47E6-894B-F9F3C8369962','Alan','Meier','2010-04-18 04:08:53',NULL,NULL,'6421919146',NULL,NULL,'225 Macpherson Street','Warriewood',1,'2102','HTML','M',11,NULL,NULL,NULL,''),
 (118,'1D009D5D-00F6-4ED5-A0ED-103800D214BA','Man','','2010-04-19 22:55:28',NULL,NULL,'',NULL,NULL,'','',1,'','Plain','M',11,NULL,NULL,NULL,''),
 (119,'DB9F761D-5F74-4477-B0E6-1B1EC44B89B1','Jijo','Johnson','2010-04-24 22:39:27',NULL,NULL,'',NULL,'4/3/2010 12:00:00 AM','','',1,'','HTML','M',34,NULL,NULL,NULL,'Will be soon'),
 (120,'7D8290E8-8FE1-4548-9B28-458F2B665A78','','','2010-04-29 06:44:01',NULL,NULL,'',NULL,NULL,'','',1,'','None','M',11,NULL,NULL,NULL,''),
 (121,'DBAC4A90-41C5-4613-B91E-B32B9A1C2B00','zuby','','2010-05-04 02:15:59',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (122,'29DEE598-3D1F-4BF3-BA15-376079524A1D','','','2010-05-04 17:50:59',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (123,'77CA8119-68C3-44CA-8A7B-C8ABE4D7C37F','','','2010-05-04 22:46:57',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (124,'7C1110BB-7C9D-4DDC-8AD7-EB8FEC565665','aa','aa','2010-05-07 08:03:25',NULL,NULL,'',NULL,'4/26/1991 12:00:00 AM','','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (125,'7FA0C93F-F53A-4D07-9617-F472EA38BEA0','','','2010-05-09 13:59:32',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (126,'2B27C167-670B-4272-A108-7231B957CA9F','','','2010-05-12 00:03:26',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',128,NULL,NULL,NULL,''),
 (127,'108F7FB9-75AE-49C0-94E6-E93F0F093018','','','2010-05-13 05:46:58',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (128,'33359606-5264-4136-BC65-B69204212281','Walter','Gray','2010-05-18 22:31:55',NULL,NULL,'850-519-1186',NULL,'9/14/1972 12:00:00 AM','3153 Spring Creek Hwy','Crawfordville',15,'32327','HTML','M',11,NULL,NULL,NULL,'http://www.wakullawebs.com'),
 (129,'EFEA3DD1-8C15-460B-9A56-DFFA6307B05E','Ronnie','Cruz','2010-05-19 17:04:09',NULL,NULL,'',NULL,NULL,'','Philadelphia',59,'','HTML','M',34,NULL,NULL,NULL,''),
 (130,'11D3A786-01CB-470C-BE50-E6816B8C32E0','','','2010-05-20 02:56:37',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',32,NULL,NULL,NULL,''),
 (131,'76E45BC1-4753-4454-BAEE-146229CD23CD','Shambhu','Thakur','2010-05-24 04:53:55',NULL,NULL,'',NULL,NULL,'','Pune',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (132,'9579D3D6-6D83-441A-873D-9DFF92171FE8','Sandra','steuber','2010-05-26 15:30:00',NULL,NULL,'',NULL,NULL,'1667 stone rd','chillicothe ohio',55,'45601','HTML','F',11,NULL,NULL,NULL,''),
 (133,'071FBB5F-A71B-4E2D-9753-AF371381CEBB','','','2010-05-31 01:09:05',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (134,'7197A20A-D08D-4A06-B0CA-1383CCD4A4B2','Pavel','Achmetchanov','2010-06-04 04:04:54',NULL,NULL,'+79060858696',NULL,'8/22/1984 12:00:00 AM','Bratskaya','Moskow',1,'','HTML','M',128,NULL,NULL,NULL,''),
 (135,'FF55601E-A853-414D-A5A8-FFDF554ADBBC','Mark','Wyatt','2010-06-08 09:14:38',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (136,'31119E51-F878-4403-9A7C-3815D34250D6','Chuck','','2010-06-08 14:30:27',NULL,NULL,'',NULL,'5/29/2010 12:00:00 AM','','Valley Forge',59,'19460-5741','HTML','M',11,NULL,NULL,NULL,''),
 (137,'16044558-9E46-4A5E-947B-182F06AD5377','hoa','hoang','2010-06-10 12:15:34',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (138,'F4B2A30F-C21B-4632-81F1-FB0923D6206A','','','2010-06-17 18:17:32',NULL,NULL,'',NULL,NULL,'','',63,'','HTML','M',13,NULL,NULL,NULL,''),
 (139,'5451E431-EC7C-4267-AFE7-2E61F18280BC','','','2010-06-18 17:04:57',NULL,NULL,'',NULL,NULL,'','',1,'','None','M',34,NULL,NULL,NULL,''),
 (140,'13A3AE06-C435-441E-869F-B4513FCECAA1','','','2010-06-21 11:51:27',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (141,'84DD782D-BEA2-4C73-9DBC-C39C819BE698','Necro','','2010-06-22 09:52:16',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',12,NULL,NULL,NULL,''),
 (142,'7B884271-EAFD-4447-8B1C-8F139F53E359','Pat','','2010-06-27 18:01:16',NULL,NULL,'',NULL,NULL,'','',79,'','HTML','M',11,NULL,NULL,NULL,''),
 (143,'9E5F852C-CD80-4A4B-8CE6-971162B59361','','','2010-07-08 12:59:23',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (144,'535233F6-4F34-4CDF-807D-A51686176B08','','','2010-07-18 10:53:12',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',31,NULL,NULL,NULL,''),
 (145,'E5CEE03F-3916-4E5B-AA52-087FB76E4769','','','2010-07-24 05:21:19',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (146,'4AB8E0CE-54C5-413C-B0C5-D4982B9AC20B','benko','andras','2010-07-27 09:28:44',NULL,NULL,'36702588491',NULL,'11/15/1977 12:00:00 AM','Kossuth 41','Kor',1,'4135','HTML','M',34,NULL,NULL,NULL,'http://kephatas'),
 (147,'6CD45FAD-B927-4E67-8CF0-B5D686B6AADF','','','2010-07-28 07:25:02',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (148,'C855F000-E2D8-4135-A679-B941BDE48128','ebru','lex','2010-07-28 07:46:33',NULL,NULL,'x',NULL,'7/3/1983 12:00:00 AM','x','x',1,'x','HTML','M',11,NULL,NULL,NULL,''),
 (149,'90349602-60E2-4690-AD9D-2DF4B041070A','Luiz Carlos','P Silva','2010-07-28 16:00:13',NULL,NULL,'',NULL,'3/23/1980 12:00:00 AM','','',20,'','HTML','M',34,NULL,NULL,NULL,''),
 (150,'9714B1CC-3482-408C-9318-E5038556523F','','','2010-07-29 07:54:14',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (151,'107E1630-B495-4A32-865A-AAA62833E6CE','','','2010-07-29 18:23:44',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (152,'4F1FC2B5-D1FA-4C2E-AF89-1A75AB13D4AA','','','2010-08-03 21:09:18',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (153,'4D042722-481D-4238-817E-E0CAA2C6F131','','','2010-08-05 00:44:19',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (154,'7C3ADCB2-50BE-4BD0-8535-9110DB6FEDE9','','','2010-08-10 15:35:50',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',31,NULL,NULL,NULL,''),
 (155,'D6FB0CD7-B8C7-4205-BB7F-A3DEEA19CA4C','','','2010-08-19 03:33:00',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',128,NULL,NULL,NULL,''),
 (156,'A3FCD961-8ADB-4EBE-8C29-40552EFA2458','bf','bf','2010-08-20 05:08:00',NULL,NULL,'00121212345678',NULL,'7/1/1980 12:00:00 AM','aaa','aa',1,'12201','None','F',11,NULL,NULL,NULL,'111111'),
 (157,'DFE747E8-CE5E-473B-9A2D-7A21D9CD697B','eliezer','de la rosa','2010-08-21 00:49:53',NULL,NULL,'8097029042',NULL,'4/3/1976 12:00:00 AM','....','....',78,'33172','HTML','M',11,NULL,NULL,NULL,''),
 (158,'7162DDB6-A694-4FEB-994B-6579CAF8BB40','Kondrashkin','Vladimir','2010-08-23 12:34:53',NULL,NULL,'',NULL,'8/30/1956 12:00:00 AM','','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (159,'E7156F7B-71E7-4AB4-A901-EFC4BCB0006E','','','2010-09-05 21:35:17',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (160,'7079BC1D-DFCC-44A9-95ED-3B733C36EC1F','Thanh','Truong Duc','2010-09-22 00:57:36',NULL,NULL,'0935878783',NULL,'6/9/1988 12:00:00 AM','','Hue',1,'12345','HTML','M',11,NULL,NULL,NULL,''),
 (161,'D4F99F1B-30FC-4D3A-BCA7-1992B16EB84E','toan','vo','2010-09-28 02:31:45',NULL,NULL,'',NULL,'11/1/1980 12:00:00 AM','','hcm',1,'','HTML','M',11,NULL,NULL,NULL,''),
 (162,'3552B274-CD85-4A9C-8FFB-C4631378F945','Rafael','','2010-09-28 13:32:11',NULL,NULL,'',NULL,NULL,'','',1,'','Plain','M',31,NULL,NULL,NULL,''),
 (163,'05771DBA-CC76-4C29-9B17-30BA36E4B10D','Frank','Alvarez','2010-10-05 11:07:58',NULL,NULL,'',NULL,NULL,'','',1,'','HTML','M',34,NULL,NULL,NULL,''),
 (164,'1852168C-39A8-4359-80D1-BE35F30814B8','','','2010-10-08 20:18:16',NULL,NULL,'',NULL,NULL,'south lake','pasadena',9,'91101','HTML','M',34,NULL,NULL,NULL,''),
 (165,'E20E2295-A41D-4AEE-94FE-C25CFCA03AFA','kaushal','j','2010-10-12 10:23:36',NULL,NULL,'',NULL,'3/5/1982 12:00:00 AM','','',1,'','HTML','M',34,NULL,NULL,NULL,'');
/*!40000 ALTER TABLE `profiles` ENABLE KEYS */;


--
-- Definition of table `roles`
--

DROP TABLE IF EXISTS `roles`;
CREATE TABLE `roles` (
  `RoleId` char(36) NOT NULL DEFAULT '',
  `RoleName` varchar(256) NOT NULL,
  `LoweredRoleName` varchar(256) NOT NULL,
  `Description` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`RoleId`),
  KEY `FK__UsersInRo__RoleI__2C3393D0Idx2` (`RoleId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `roles`
--

/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` (`RoleId`,`RoleName`,`LoweredRoleName`,`Description`) VALUES 
 ('7732EA2C-8DB2-4B4F-8FDA-D0DD7E9ABB6B','Admin','admin',NULL),
 ('8E79BA23-E568-423F-80F3-AF60C33DC7EB','User','user',NULL),
 ('AEDA12DD-2874-482D-9DAC-60B47A8178DB','Editor','editor',NULL),
 ('B9341C75-6C65-4362-BC74-DB23985BED37','PortalAdmin','portaladmin',NULL),
 ('B98D02C6-F411-4DB9-BEE9-CF37C30D8262','Guest','guest',NULL),
 ('CC697250-229B-4BC2-A4D5-BD9756F3F14A','Moderator','moderator',NULL),
 ('DA960D64-8546-49A6-BDE7-C1E391F82416','Contributor','contributor',NULL);
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;


--
-- Definition of trigger `Roles_Default`
--

DROP TRIGGER /*!50030 IF EXISTS */ `Roles_Default`;

DELIMITER $$

CREATE DEFINER = `root`@`localhost` TRIGGER `Roles_Default` BEFORE INSERT ON `roles` FOR EACH ROW BEGIN
   IF NEW.RoleId IS NULL THEN
      SET NEW.RoleId = UUID();
   END IF;
END $$

DELIMITER ;

--
-- Definition of table `searchlog`
--

DROP TABLE IF EXISTS `searchlog`;
CREATE TABLE `searchlog` (
  `SearchTermID` int(11) NOT NULL AUTO_INCREMENT,
  `SearchTerm` varchar(800) NOT NULL,
  `AddedDate` datetime NOT NULL,
  `PortalName` varchar(150) DEFAULT NULL,
  PRIMARY KEY (`SearchTermID`)
) ENGINE=InnoDB AUTO_INCREMENT=331 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `searchlog`
--

/*!40000 ALTER TABLE `searchlog` DISABLE KEYS */;
INSERT INTO `searchlog` (`SearchTermID`,`SearchTerm`,`AddedDate`,`PortalName`) VALUES 
 (1,'cod ','2009-08-30 23:54:24',NULL),
 (2,'other ','2009-08-30 23:54:36',NULL),
 (3,'page ','2009-08-30 23:54:52',NULL),
 (4,'html ','2009-08-31 00:16:17','Default'),
 (5,'cod ','2009-08-31 00:16:37','Real Pen'),
 (6,'cms','2009-09-02 12:41:18','Default'),
 (7,'restored ','2009-09-02 15:59:42','Default'),
 (8,'problem','2009-09-02 16:00:18','Default'),
 (9,'installed ','2009-09-02 16:00:36','Default'),
 (10,'','2009-09-03 08:41:23','Default'),
 (11,'management','2009-09-04 10:40:15','Default'),
 (13,'Search Text','2009-10-06 08:49:35','Default'),
 (14,'Search Text','2009-10-06 08:50:07','Default'),
 (15,'Search Text','2009-10-06 08:53:55','Default'),
 (16,'enthusiasm ','2009-10-13 18:16:21','Sandbox'),
 (17,'email','2009-10-13 19:29:32','Sandbox'),
 (18,'enthusiasm ','2009-10-13 19:30:38','Sandbox'),
 (19,'enthusiasm ','2009-10-13 19:37:39','Sandbox'),
 (20,'enthusiasm ','2009-10-13 19:37:58','Sandbox'),
 (21,'askldf','2009-10-19 09:11:29','Default'),
 (22,'testing ','2009-10-19 09:11:37','Default'),
 (23,'testing ','2009-10-19 09:11:42','Default'),
 (24,'forum','2009-10-19 09:11:45','Default'),
 (25,'vlog','2009-10-19 09:11:54','Default'),
 (26,'vlogbug','2009-10-19 09:11:57','Default'),
 (27,'bug','2009-10-19 09:12:00','Default'),
 (28,'bug','2009-10-19 09:12:04','Default'),
 (29,'mvc','2009-10-19 09:12:17','Default'),
 (30,'uploaded','2009-10-21 01:30:18','Default'),
 (31,'approach ','2009-10-21 15:19:30','Default'),
 (32,'approach ','2009-10-21 15:19:51','Default'),
 (33,'database ','2009-10-21 21:01:53','Default'),
 (34,'test','2009-10-23 18:48:20','Default'),
 (35,'cms','2009-10-23 18:48:25','Default'),
 (36,'sidebar','2009-10-25 04:35:01','Default'),
 (37,'ICSharpCode','2009-10-25 10:50:36','Default'),
 (38,'ICSharpCode','2009-10-25 10:52:20','Default'),
 (39,'skin','2009-10-30 13:45:59','Default'),
 (40,'The version of SQL Server in use does not support datatype \'datetime2\'','2009-11-01 20:09:21','Default'),
 (41,'null','2009-11-03 03:55:00','Default'),
 (42,'null','2009-11-03 03:55:01','Default'),
 (43,'null','2009-11-04 11:52:54','Default'),
 (44,'','2009-11-04 11:53:20','Default'),
 (45,'inheritances','2009-11-04 20:10:13','Real Pen'),
 (46,'','2009-11-06 10:13:46','Default'),
 (47,'','2009-11-06 10:13:48','Default'),
 (48,'rss','2009-11-09 01:26:21','Default'),
 (49,'rss','2009-11-09 01:26:30','Default'),
 (50,'rss','2009-11-09 01:26:33','Default'),
 (51,'rss','2009-11-09 01:26:35','Default'),
 (52,'rss','2009-11-09 01:26:35','Default'),
 (53,'rss','2009-11-09 01:26:35','Default'),
 (54,'rss','2009-11-09 01:26:35','Default'),
 (55,'rss','2009-11-09 01:26:36','Default'),
 (56,'rss','2009-11-09 01:26:36','Default'),
 (57,'rssdf','2009-11-09 01:26:38','Default'),
 (58,'rssdf','2009-11-09 01:26:42','Default'),
 (59,'gooooz','2009-11-09 01:26:51','Default'),
 (60,'theme','2009-11-09 20:54:37','Default'),
 (61,'log4net','2009-11-12 16:18:02','Default'),
 (62,'contact','2009-11-12 22:11:11','RSC Consulting'),
 (63,'contact','2009-11-12 22:12:32','RSC Consulting'),
 (64,'humanity ','2009-11-12 23:47:47','Real Pen'),
 (65,'language','2009-11-16 07:42:11','Default'),
 (66,'test','2009-11-16 11:20:22','Default'),
 (67,'test','2009-11-16 11:24:09','RSC Consulting'),
 (68,'test','2009-11-16 11:24:19','RSC Consulting'),
 (69,'test','2009-11-16 11:38:01','Sandbox'),
 (70,'s','2009-11-17 05:01:45','Default'),
 (71,'sql ','2009-11-20 03:55:56','Default'),
 (72,'sql ','2009-11-20 03:56:13','Default'),
 (73,'Cannot open database \"MvcCms\" requested by the login. The login failed.','2009-11-20 04:01:22','Default'),
 (74,'','2009-11-22 05:26:44','Sandbox'),
 (75,'search','2009-11-22 05:26:52','Sandbox'),
 (76,'search','2009-11-22 05:26:57','Sandbox'),
 (77,'search','2009-11-22 05:27:02','Sandbox'),
 (78,'search','2009-11-22 05:27:07','Sandbox'),
 (79,'nieco','2009-11-23 09:12:09','Sandbox'),
 (80,'tutorial','2009-11-23 09:12:18','Sandbox'),
 (81,'tutorial','2009-11-23 09:12:21','Sandbox'),
 (82,'tutorial','2009-11-23 09:12:59','Sandbox'),
 (83,'cms','2009-11-23 19:57:37','Default'),
 (84,'created ','2009-11-25 01:08:44','Default'),
 (85,'created ','2009-11-25 01:08:59','Default'),
 (86,'hello','2009-11-25 04:55:50','Sandbox'),
 (87,'demo','2009-11-28 09:42:01','Default'),
 (88,'seo','2009-11-28 09:42:06','Default'),
 (89,'admin','2009-11-30 08:08:29','Default'),
 (90,'test','2009-12-01 15:26:16','Sandbox'),
 (91,'real','2009-12-03 03:08:20','Sandbox'),
 (92,'fiction','2009-12-04 05:45:57','Sandbox'),
 (93,'wiki','2009-12-04 17:58:04','Default'),
 (94,'wiki','2009-12-05 17:42:22','Default'),
 (95,'wiki','2009-12-05 17:45:10','Default'),
 (96,'wiki','2009-12-05 17:45:58','Default'),
 (97,'wiki','2009-12-05 17:46:35','Default'),
 (98,'wiki','2009-12-05 17:46:43','Default'),
 (99,'wiki','2009-12-05 17:48:28','Default'),
 (100,'wiki','2009-12-05 17:48:44','Default'),
 (101,'wiki','2009-12-05 17:49:18','Default'),
 (102,'wiki','2009-12-05 17:55:53','Default'),
 (103,'wiki','2009-12-05 19:06:23','Default'),
 (104,'mvccms.web.dll','2009-12-06 14:50:01','Sandbox'),
 (105,'determine ','2009-12-06 22:18:43','Default'),
 (106,'testimonials','2009-12-07 09:05:18','Default'),
 (107,'science','2009-12-09 17:42:10','Sandbox'),
 (108,'science','2009-12-09 17:42:33','Sandbox'),
 (109,'project type','2009-12-10 02:26:38','Default'),
 (110,'project type','2009-12-10 02:26:50','Default'),
 (111,'mvccms 2.0','2009-12-10 02:27:25','Default'),
 (112,'mvccms 2.0','2009-12-10 02:27:40','Default'),
 (113,'mvccms 2.0','2009-12-10 02:30:54','Default'),
 (114,'mvccms 2.0','2009-12-10 02:31:11','Default'),
 (115,'mvccms 2.0','2009-12-10 02:31:25','Default'),
 (116,'wiki','2009-12-10 19:51:55','Default'),
 (117,'COD','2009-12-10 23:32:13','Real Pen'),
 (118,'bla bla','2009-12-11 07:05:10','Default'),
 (119,'wiki','2009-12-11 14:59:05','Real Pen'),
 (120,'Search Text','2009-12-12 10:39:55','Sandbox'),
 (121,'wiki','2009-12-16 15:30:18','Default'),
 (122,'setup','2009-12-16 15:30:30','Default'),
 (123,'setup','2009-12-16 23:34:02','Default'),
 (124,'setup','2009-12-16 23:43:42','Default'),
 (125,'setup','2009-12-16 23:44:09','Default'),
 (126,'setup','2009-12-16 23:44:23','Default'),
 (127,'e','2009-12-17 14:58:38','Default'),
 (128,'wepay','2009-12-18 02:05:12','RSC Consulting'),
 (129,'project type','2009-12-19 06:14:59','Default'),
 (130,'social','2009-12-23 13:20:25','Default'),
 (131,'template','2009-12-24 05:14:28','Default'),
 (132,'templates','2009-12-24 05:14:33','Default'),
 (133,'The underlying provider failed on Open','2009-12-25 12:19:59','Default'),
 (134,'wall','2009-12-26 03:05:09','Default'),
 (135,'php','2009-12-26 22:03:24','Default'),
 (136,'user','2009-12-31 01:10:14','Sandbox'),
 (137,'social','2010-01-02 21:16:43','Default'),
 (138,'social','2010-01-02 21:17:37','Default'),
 (139,'_currentPortal.DisplayName','2010-01-03 05:50:58','Default'),
 (140,'Line 47','2010-01-03 05:51:33','Default'),
 (141,'port 80','2010-01-03 06:09:42','Default'),
 (142,'port','2010-01-03 06:09:50','Default'),
 (143,'change port','2010-01-03 06:29:16','Default'),
 (144,'special','2010-01-05 18:12:07','Sandbox'),
 (145,'render','2010-01-06 14:20:22','Sandbox'),
 (146,'css','2010-01-08 07:35:51','Default'),
 (147,'cool','2010-01-08 08:41:03','Sandbox'),
 (148,'pages','2010-01-08 10:55:50','Default'),
 (149,'hvmh','2010-01-11 00:49:37','Sandbox'),
 (150,'sh','2010-01-16 05:05:51','Sandbox'),
 (151,'asd','2010-01-18 15:59:25','Default'),
 (152,'a','2010-01-18 15:59:27','Default'),
 (153,'ank','2010-01-18 15:59:32','Default'),
 (154,'error','2010-01-18 15:59:38','Default'),
 (155,'Search Text','2010-01-20 21:14:59','Sandbox'),
 (156,'download','2010-01-22 01:02:09','Default'),
 (157,'demo','2010-02-02 07:40:27','Default'),
 (158,'localization','2010-02-02 16:48:33','Default'),
 (159,'globalization','2010-02-02 16:48:39','Default'),
 (160,'globalization','2010-02-02 16:48:46','Default'),
 (161,'globalization','2010-02-02 16:48:59','Default'),
 (162,'download','2010-02-08 03:52:20','Default'),
 (163,'battle','2010-02-09 05:55:32','Sandbox'),
 (164,'battle','2010-02-09 05:55:34','Sandbox'),
 (165,'blog','2010-02-10 11:14:43','Default'),
 (166,'test artical','2010-02-11 01:22:19','Default'),
 (167,'commerce','2010-02-11 16:06:33','Default'),
 (168,'password','2010-02-14 02:12:43','Default'),
 (169,'w','2010-02-15 07:26:18','Default'),
 (170,'ajax','2010-02-15 13:47:52','RSC Consulting'),
 (171,'w','2010-02-16 08:01:06','Default'),
 (172,'ICSharpCode','2010-02-16 19:44:50','Default'),
 (173,'mvc','2010-02-18 22:35:26','Default'),
 (174,'sampleskinfolder','2010-02-19 04:57:30','Default'),
 (175,'sampleskin','2010-02-19 04:57:36','Default'),
 (176,'sampleskin','2010-02-19 04:57:40','Default'),
 (177,'sample skin','2010-02-19 04:57:50','Default'),
 (178,'sample skin','2010-02-19 04:57:52','Default'),
 (179,'sample skin','2010-02-19 04:57:54','Default'),
 (180,'sample skin','2010-02-19 04:57:57','Default'),
 (181,'sample skin','2010-02-19 04:57:58','Default'),
 (182,'ICSharpCode','2010-02-21 18:16:41','Default'),
 (183,'cms','2010-02-23 21:47:28','Default'),
 (184,'download','2010-03-03 06:03:11','Default'),
 (185,'To create a wiki page simply ','2010-03-06 08:04:21','Default'),
 (186,'garden','2010-03-10 11:32:41','GardenClub'),
 (187,'garden','2010-03-10 11:36:52','GardenClub'),
 (188,'garden','2010-03-10 11:37:37','GardenClub'),
 (189,'photo','2010-03-11 16:45:52','Default'),
 (190,'default password','2010-03-14 20:23:00','Default'),
 (191,'portaladmin','2010-03-14 20:24:35','Default'),
 (192,'database','2010-03-16 15:23:15','Default'),
 (193,'oracle','2010-03-16 16:48:46','Default'),
 (194,'sql','2010-03-16 16:48:51','Default'),
 (195,'data base','2010-03-16 16:49:37','Default'),
 (196,'data base','2010-03-16 16:50:06','Default'),
 (197,'site','2010-03-19 09:53:45','Default'),
 (198,'search','2010-03-19 09:54:33','Default'),
 (199,'delete page','2010-03-19 11:01:56','Default'),
 (200,'delete','2010-03-19 11:02:01','Default'),
 (201,'pages','2010-03-19 11:02:13','Default'),
 (202,'mono','2010-03-20 16:49:29','Default'),
 (203,'mono','2010-03-20 16:49:58','Default'),
 (204,'cms','2010-03-25 11:39:59','Default'),
 (205,'test','2010-03-30 12:08:49','Sandbox'),
 (206,'test','2010-03-30 12:08:51','Sandbox'),
 (207,'abc','2010-03-31 04:04:11','Default'),
 (208,'this','2010-03-31 04:04:25','Default'),
 (209,'this','2010-03-31 04:04:31','Default'),
 (210,'what','2010-03-31 04:04:36','Default'),
 (211,'what','2010-03-31 04:04:43','Default'),
 (212,'what','2010-03-31 04:04:45','Default'),
 (213,'what','2010-03-31 04:04:45','Default'),
 (214,'what','2010-03-31 04:04:45','Default'),
 (215,'what','2010-03-31 04:04:45','Default'),
 (216,'what','2010-03-31 04:04:54','Default'),
 (217,'Friday','2010-03-31 04:05:00','Default'),
 (218,'Friday','2010-03-31 04:05:02','Default'),
 (219,'Friday','2010-03-31 04:05:03','Default'),
 (220,'Friday','2010-03-31 04:05:03','Default'),
 (221,'mvccms','2010-03-31 04:07:25','Default'),
 (222,'mvccms','2010-03-31 04:07:46','Default'),
 (223,'mvccms','2010-03-31 04:07:48','Default'),
 (224,'newsletter','2010-03-31 05:51:09','Default'),
 (225,'admin','2010-03-31 06:14:40','Default'),
 (226,'commerce','2010-03-31 06:39:18','Default'),
 (227,'Search Text','2010-04-02 18:09:39','Default'),
 (228,'mvc','2010-04-04 09:43:20','Default'),
 (229,'template','2010-04-06 04:59:20','Default'),
 (230,'Amin Password','2010-04-08 06:27:05','Default'),
 (231,'ADmin','2010-04-08 06:27:09','Default'),
 (232,'developer','2010-04-11 06:48:12','Default'),
 (233,'sandbox','2010-04-20 17:15:01','Default'),
 (234,'demo','2010-05-01 14:05:18','Default'),
 (235,'video','2010-05-03 14:56:38','Default'),
 (236,'ab','2010-05-08 03:44:22','Default'),
 (237,'ICSharpCode.SharpZipLib','2010-05-17 06:02:14','Default'),
 (238,'what','2010-05-27 04:28:12','Default'),
 (239,'what','2010-05-27 04:34:01','Default'),
 (240,'what','2010-05-27 04:34:09','Default'),
 (241,'mysql','2010-06-01 06:01:16','Default'),
 (242,'abc','2010-06-03 05:22:37','Default'),
 (243,'php','2010-06-06 17:24:36','Default'),
 (244,'install','2010-06-12 02:50:00','Default'),
 (245,'What admin password','2010-06-12 02:56:28','Default'),
 (246,'jijo','2010-06-14 15:21:00','Default'),
 (247,'language','2010-06-15 08:32:26','Default'),
 (248,'localization','2010-06-15 08:32:40','Default'),
 (249,'localization','2010-06-15 08:32:41','Default'),
 (250,'database','2010-06-15 08:33:25','Default'),
 (251,'data base','2010-06-15 08:34:53','Default'),
 (252,'multilanguage','2010-06-15 08:35:03','Default'),
 (253,'password','2010-06-21 11:49:51','Default'),
 (254,'sxa','2010-06-24 02:13:17','Default'),
 (255,'a','2010-06-24 02:13:21','Default'),
 (256,'MvcCms 2.0','2010-06-25 10:25:37','Default'),
 (257,'password','2010-06-25 13:04:15','Default'),
 (258,'architecture','2010-06-25 13:58:51','Default'),
 (259,'cms','2010-07-04 00:11:32','Default'),
 (260,'problem','2010-07-09 19:13:16','Default'),
 (261,'constructor','2010-07-09 19:13:34','Default'),
 (262,'multiple sites','2010-07-11 12:12:09','Default'),
 (263,'flash','2010-07-12 01:04:04','Default'),
 (264,'flash','2010-07-12 01:08:11','Default'),
 (265,'tailor','2010-07-13 19:50:45','Default'),
 (266,'mvc','2010-07-14 12:56:09','Default'),
 (267,'Search Text','2010-07-15 05:05:31','Default'),
 (268,'theme','2010-07-20 07:45:32','Default'),
 (269,'theme','2010-07-20 07:45:54','Default'),
 (270,'database','2010-07-22 05:22:35','Default'),
 (271,'Data Source=ASURAS;Initial Catalog=MvcCms;Persist Security Info=True;User ID=mvccmsuser;Password=atomiccmsuser','2010-07-23 08:03:51','Default'),
 (272,'ICSharpCode','2010-07-23 08:04:05','Default'),
 (273,'admin','2010-07-23 09:49:40','Default'),
 (274,'blog','2010-07-23 10:42:12','Default'),
 (275,'theme','2010-07-24 01:21:13','Default'),
 (276,'portal settings','2010-07-24 01:26:07','Default'),
 (277,'module','2010-07-25 17:00:33','Default'),
 (278,'demo','2010-07-28 09:32:49','Default'),
 (279,'forun','2010-07-29 00:31:48','Default'),
 (280,'forum','2010-07-29 00:31:53','Default'),
 (281,'add portal','2010-08-03 08:34:16','Default'),
 (282,'delete portals','2010-08-03 08:34:36','Default'),
 (283,'delete portal','2010-08-03 08:34:39','Default'),
 (284,'delete portal','2010-08-03 08:34:43','Default'),
 (285,'portals','2010-08-03 08:35:00','Default'),
 (286,'demo','2010-08-06 00:38:20','Default'),
 (287,'cms','2010-08-06 03:25:51','Default'),
 (288,'load test','2010-08-10 04:57:38','Default'),
 (289,'welcome','2010-08-16 18:48:21','Default'),
 (290,'welcome','2010-08-16 18:48:38','Default'),
 (291,'video','2010-08-19 16:49:21','Default'),
 (292,'vedio','2010-08-19 21:25:50','Default'),
 (293,'video','2010-08-19 21:26:00','Default'),
 (294,'images','2010-08-19 21:30:50','Default'),
 (295,'gallery','2010-08-19 21:31:04','Default'),
 (296,'iamge','2010-08-19 21:31:10','Default'),
 (297,'image','2010-08-19 21:31:16','Default'),
 (298,'ckfinder','2010-08-19 21:56:22','Default'),
 (299,'project type','2010-08-25 12:33:21','Default'),
 (300,'MvcCms','2010-09-02 04:50:58','Default'),
 (301,'vedio','2010-09-04 05:40:51','Default'),
 (302,'video','2010-09-04 05:41:10','Default'),
 (303,'blog','2010-09-09 04:32:32','Default'),
 (304,'Search Text','2010-09-09 12:08:15','Default'),
 (305,'icharp','2010-09-10 10:02:39','Default'),
 (306,'custom','2010-09-22 09:42:28','Default'),
 (307,'silverlight','2010-09-22 09:42:41','Default'),
 (308,'nhibernate','2010-09-22 09:43:25','Default'),
 (309,'features','2010-09-29 04:19:32','Default'),
 (310,'a','2010-09-30 06:26:26','Default'),
 (311,'Jone','2010-09-30 09:16:06','Default'),
 (312,'mvc','2010-09-30 09:36:49','Default'),
 (313,'ICSharpCode','2010-10-04 14:43:11','Default'),
 (314,'sharp','2010-10-04 14:43:25','Default'),
 (315,'sharp','2010-10-04 14:43:28','Default'),
 (316,'holo','2010-10-05 14:37:18','Real Pen'),
 (317,'ad','2010-10-06 04:07:53','Default'),
 (318,'space','2010-10-06 20:05:48','Real Pen'),
 (319,'wiki','2010-10-07 18:35:51','Default'),
 (320,'wiki','2010-10-07 18:36:05','Default'),
 (321,'markup','2010-10-07 18:36:14','Default'),
 (322,'alex','2010-10-08 21:20:42','Real Pen'),
 (323,'watt','2010-10-08 21:20:49','Real Pen'),
 (324,'demo','2010-10-09 21:52:16','Default'),
 (325,'wepay','2010-10-09 23:15:18','Default'),
 (326,'writer','2010-10-10 03:16:35','Default'),
 (327,'open','2010-10-10 03:17:17','Default'),
 (328,'visual','2010-10-10 03:17:47','Default'),
 (329,'visual','2010-10-10 03:18:00','Default'),
 (330,'visual','2010-10-10 03:18:13','Default');
/*!40000 ALTER TABLE `searchlog` ENABLE KEYS */;


--
-- Definition of table `social_data`
--

DROP TABLE IF EXISTS `social_data`;
CREATE TABLE `social_data` (
  `SocialDataID` int(11) NOT NULL AUTO_INCREMENT,
  `AboutMe` longtext,
  `UserID` char(36) NOT NULL,
  PRIMARY KEY (`SocialDataID`),
  KEY `FK_Social_Data_UsersIdx` (`UserID`),
  CONSTRAINT `FK_Social_Data_Users` FOREIGN KEY (`UserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `social_data`
--

/*!40000 ALTER TABLE `social_data` DISABLE KEYS */;
INSERT INTO `social_data` (`SocialDataID`,`AboutMe`,`UserID`) VALUES 
 (1,'We have gotten some really great contributions from our developers in the last two months.\r\nThe conversion to Studio 2010 and implementation of dependency injection with castle were both done recently by [url:chidionyema|http://www.codeplex.com/site/users/view/chidionyema] and [url:nerijusr|http://www.codeplex.com/site/users/view/nerijusr] and many thanks to them for that.\r\nIt looks like in December we will get the 2.0 version out, minus the e-commerce and blog parts but I had suspected they wouldn\'t make it into 2.0.\r\nHope everyone is having a great fall!  I stay very busy on some other projects but I am finding more time lately to work on MvcCms.','DF2F8A59-FEDB-454F-AAA3-84472CF159BC'),
 (2,'Yo!  Welcome to the sandobx.  \r\n\r\nI am working on finishing up this social area today.  Will add a wall and some other stuff.\r\n\r\n','F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (3,'Hey, I am ColossusOfDestiny aka COD.  Welcome to RealityPeninsula.\r\n\r\nReality Is A Small, Largely Uninhabited Peninsula Located Between The Ocean Of Denial And The Sea Of Paranoia\r\n\r\nI am a regular poster at [url:OutlawJournalism|www.outlawjournalism.com/forum/profile.php?mode=viewprofile&u=606] the link goes to my Profile there.\r\n\r\nAnd yes, that is Jim Morrison of the Door\'s father in my profile pic, the Admiral of the brave Maddox of Gulf of Tonkein lore.','CE17F970-1405-4047-9163-EF5546890774'),
 (4,'MvcCms Admin Account:  \r\nEmail: info AT mvccms.com\r\n\r\n!! Project Team\r\n\r\n* [url:jon|http://www.codeplex.com/site/users/view/MvcCms]\r\n* [url:boomhauer|http://www.codeplex.com/site/users/view/boomhauer]\r\n* [url:extremal|http://www.codeplex.com/site/users/view/extremal]\r\n* [url:pattersonc|http://www.codeplex.com/site/users/view/pattersonc]\r\n* [url:rspataru9|http://www.codeplex.com/site/users/view/rspataru9]\r\n* [url:thiwanka|http://www.codeplex.com/site/users/view/thiwanka]\r\n* [url:paxer|http://www.mvccms.com/social/profiles/paxer]\r\n\r\n','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (5,'Hi, My name is Jonathan Ranes and I am a Microsoft Developer mostly using MVC, Entity, and JQuery.','EF06754D-AEFA-4763-B7D0-99B660B50A63'),
 (6,'yo, its the sand box','6CB89CC3-61FF-4D6B-8947-BAF8846A20E9');
/*!40000 ALTER TABLE `social_data` ENABLE KEYS */;


--
-- Definition of table `social_images`
--

DROP TABLE IF EXISTS `social_images`;
CREATE TABLE `social_images` (
  `ImageID` int(11) NOT NULL AUTO_INCREMENT,
  `ImageFriendlyName` varchar(350) NOT NULL,
  `ImageName` varchar(128) NOT NULL,
  `UserID` char(36) NOT NULL,
  `IsProfilePic` tinyint(1) NOT NULL,
  PRIMARY KEY (`ImageID`),
  KEY `FK_Social_Images_UsersIdx` (`UserID`),
  CONSTRAINT `FK_Social_Images_Users` FOREIGN KEY (`UserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=87 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `social_images`
--

/*!40000 ALTER TABLE `social_images` DISABLE KEYS */;
INSERT INTO `social_images` (`ImageID`,`ImageFriendlyName`,`ImageName`,`UserID`,`IsProfilePic`) VALUES 
 (2,'tom.jpg','cde9b602-bc2c-4e9e-ad30-10c282d70f59.jpg','8190D0E9-E25D-483C-9CBA-BA872185EEF7',1),
 (8,'2dfcd107-54be-48ef-a5d9-49179cafad92.jpg','37be58e1-e927-47da-83dc-43b486285c24.jpg','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (9,'141500a8-a85d-4c10-ac33-f608b924f72c.jpg','4c5435a2-fc34-4127-b362-f5749ebdde14.jpg','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (10,'6fff8c34-f2ff-492c-9c1d-39a1aa96cb6f.jpg','83cbf5de-4e2a-4844-9a4b-6ed2c1236166.jpg','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (12,'27a6dda1-5947-44f9-9846-db8a9a90b98c.jpg','e395bc97-a4e5-4bc3-ae6b-4fe5b6c2ce32.jpg','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (14,'f258fc62-d147-4930-9fad-dbe3d9be289f.jpg','04057200-a3c2-412e-ac5c-bcd486d609a7.jpg','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (15,'2dfcd107-54be-48ef-a5d9-49179cafad92.jpg','693ca652-1ff2-4013-8e59-0786d3c9bd52.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (16,'141500a8-a85d-4c10-ac33-f608b924f72c.jpg','d1933e42-3159-4b42-975b-2c6a49175581.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (18,'20060610-10-admin.jpg','33a7f624-3069-42f2-b4e9-13fa69c6fc42.jpg','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (19,'89132fa1-1456-4c96-aaff-d96b3450c44c.jpg','6f461b1c-06d7-473f-bf8d-b620eb538dc1.jpg','FAE20E37-2999-4CB4-B27A-83A77680FF56',1),
 (20,'89132fa1-1456-4c96-aaff-d96b3450c44c.jpg','e83bba0b-e969-4bc0-9f73-e09e0ca6f0f6.jpg','EF06754D-AEFA-4763-B7D0-99B660B50A63',1),
 (21,'27a6dda1-5947-44f9-9846-db8a9a90b98c.jpg','afb77664-8d17-43f5-979d-9571ac8accc6.jpg','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',0),
 (22,'d04a648f-f553-4c2d-b684-c50c7a858a02.jpg','c7592b66-edea-4b88-8a89-0e6f7b79eb21.jpg','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',0),
 (23,'2dfcd107-54be-48ef-a5d9-49179cafad92.jpg','ce6d9c7f-0d7b-481e-8cc5-10b85149f8df.jpg','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (24,'300.jpg','48d7d6c8-44c5-4d17-9e67-3111500b34ac.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (25,'180px-Albert_Pike_-_Brady-Handy.jpg','7749b3c9-af93-40c4-8095-dbb047ce7560.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (26,'depression-pez1.jpg','5a6f362d-a99c-476e-90f2-5a3b80bc7187.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (27,'evolve.gif','07d0bcdf-03df-431d-8ee1-c0bc5bf8c508.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (28,'windsor-castle.jpg','b747363f-91e8-49bd-9b32-04ce77d312a6.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (29,'zbproblem4re.jpg','52a821b8-4df2-48b9-81a3-176fedce26b6.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (30,'460__2135114.gif','b62ed8f8-7bf0-441b-aed2-c116fafa911d.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (31,'180px-AlbertPikeYounger.jpg','89bfac9b-290e-4c74-a955-d40e7fa195a9.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (32,'ist2_2252960-paranoia.jpg','373a885e-516e-4b94-be86-c9713c620e7a.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (33,'Pan.jpg','189dd098-0a08-4c35-a8f6-74ac0e66341e.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (40,'muffins_0000_Layer_4_full.jpg','939dc5ad-5a35-491c-973a-4fcfac128319.jpg','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (43,'muffins_0000_Layer_4_full.jpg','05fe5c79-4986-4c1e-9a6b-050fd80b986f.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (44,'win7desktopjon.jpg','9acc8c58-1f70-4152-a11e-bfa6775c8b58.jpg','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (45,'New Year 1.jpg','e749e71e-e76b-4604-b86d-009e9b10d437.jpg','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (46,'cw6_preview_text.jpg','b09cff53-1cdf-42ba-9054-cbdafbb247c3.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (47,'double_headed_eagle.jpg','e67a1297-30c8-4bff-8d92-70fba1ff7b0c.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (49,'DoubleHeadedEagle.jpg','125ed426-bb55-48d9-ac94-8cfe0a1da9c8.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (50,'morrison185x_447690a.jpg','af74f0fc-269a-49e4-b1a0-d453654e46b6.jpg','CE17F970-1405-4047-9163-EF5546890774',1),
 (51,'question.png','c3fb43ce-e3d6-47fc-8918-f7d2a8253436.jpg','41A1196B-3C3D-40EE-AB65-7373569E82C8',1),
 (52,'win7.jpg','423e8949-cb7d-4b59-854e-950a0d32142d.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (53,'e749e71e-e76b-4604-b86d-009e9b10d437.jpg','472b3f87-7b27-4347-ade6-ece85c34f2db.jpg','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (54,'win7.jpg','2ce5ba21-0c5b-4260-872b-f04f630d24dc.jpg','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (55,'wtf.jpg','b63314d1-d3b6-4f01-a3c6-9647cf959eef.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (56,'itspins.jpg','38c459dc-21e0-48e2-8974-ea03605a934f.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (57,'Jellyfish.jpg','1c0e1d63-3db1-40a8-8a10-196183c72270.jpg','0962F1AA-39A3-42A5-9839-DA49EDD12DF8',0),
 (58,'Tulips.jpg','44d1ae9d-b173-46cc-8991-f24758e9e10f.jpg','0962F1AA-39A3-42A5-9839-DA49EDD12DF8',1),
 (59,'IMG_2695.jpg','6cfea9af-78a4-4347-9ef3-869ce02e801e.jpg','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',0),
 (60,'church.jpg','ac96828e-548e-443c-be91-cc2428807cf8.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (61,'hunneyboober.gif','96dea450-b8ba-4901-9393-12d178318139.jpg','61C44375-6B77-4506-8B55-94AB750A273E',1),
 (62,'happyfunsnow.gif','20ccde60-7b79-49ae-aaba-0e323cb4e64b.jpg','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (63,'tubalcain-alter.jpg','d2c3f56b-9665-49b4-a4b3-143c0364a56b.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (64,'800px-Cormon_F_Cain_flying_before_Jehovah\'s_Curse.jpg','35adafdd-f96d-41d1-8431-f506e14bf0fb.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (65,'lamech&tubalcain.jpg','9d69d1c6-399c-483c-bef7-c2328d82ace5.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (66,'Lucifer.1.jpg','32d131c1-413d-40ec-a922-a85e8290536a.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (67,'sheeple-doingitwrong.jpg','95e755b8-8422-4738-b492-8a7a6193e787.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (68,'rebirth_large.jpg','9210fc6b-5bce-4f83-9e8e-bdb43763553c.jpg','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (69,'fam pic.jpg','e379cbd7-75cf-45e3-a6bd-d6fa50573376.jpg','5DEDBD42-1DF0-43BC-BD45-0FD2E6E8290B',1),
 (70,'Jellyfish.jpg','304b1941-071f-4598-a1d8-27df467a1637.jpg','5451E431-EC7C-4267-AFE7-2E61F18280BC',1),
 (72,'revolution.gif','db7e7922-1b52-453f-83e6-02b25a8f9a41.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (73,'d089b986eb51fb0e67096ed3.jpg','e6580546-6745-4c7b-bc0b-ede78cc66106.jpg','86DD3125-716F-441B-B297-A62E2F4AE012',1),
 (74,'b_F2D1EF31EB298978.jpg','5820cb6f-b356-4ffa-8f61-378b1aabfc5c.jpg','86DD3125-716F-441B-B297-A62E2F4AE012',0),
 (75,'tbharddrive.gif','42cc4b9e-1f74-4d2a-b23b-9ab515fda520.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (76,'precesion01.jpg','5e65904e-ee33-4a1a-9f34-c0bd9687fc6c.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (77,'obamalight.gif','a42a3369-1ed5-4617-a9d9-ce78235cb4cc.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (78,'alexknightsofmalta.gif','ea3014b3-20f5-4a3d-89a3-68efbd77bfab.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (79,'alexstuckys.gif','b3c4b90a-930c-4045-adf3-541f8b3c26fb.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (80,'alexjay.gif','13483bc3-977d-4fe2-9919-778e56c75588.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (81,'alexjewgold.gif','5c85b8e7-febc-48dd-b0be-38a5e87dbb21.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (83,'alexsufi.gif','837119f4-8bbe-4327-8fa9-0396b1c04e6b.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (84,'alexhagie.jpg','fbd23d83-298f-4811-a82b-c969ff1c4c1c.jpg','CE17F970-1405-4047-9163-EF5546890774',0),
 (85,'201.jpg','5be3fb67-6bf8-4fd4-b315-a6d698988bee.jpg','6CB89CC3-61FF-4D6B-8947-BAF8846A20E9',1),
 (86,'LargeAutumnVineyardPhotoArt_000.jpg','65e75259-3d9c-4883-b202-60c97c8d2306.jpg','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',1);
/*!40000 ALTER TABLE `social_images` ENABLE KEYS */;


--
-- Definition of table `social_likes`
--

DROP TABLE IF EXISTS `social_likes`;
CREATE TABLE `social_likes` (
  `LikeID` int(11) NOT NULL AUTO_INCREMENT,
  `MessageID` int(11) NOT NULL,
  `UserID` char(36) NOT NULL,
  PRIMARY KEY (`LikeID`),
  KEY `FK_Social_Likes_Social_MessagesIdx` (`MessageID`),
  KEY `FK_Social_Likes_UsersIdx` (`UserID`),
  CONSTRAINT `FK_Social_Likes_Social_Messages` FOREIGN KEY (`MessageID`) REFERENCES `social_messages` (`MessageID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Social_Likes_Users` FOREIGN KEY (`UserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `social_likes`
--

/*!40000 ALTER TABLE `social_likes` DISABLE KEYS */;
INSERT INTO `social_likes` (`LikeID`,`MessageID`,`UserID`) VALUES 
 (1,1,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC'),
 (2,12,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC');
/*!40000 ALTER TABLE `social_likes` ENABLE KEYS */;


--
-- Definition of table `social_messages`
--

DROP TABLE IF EXISTS `social_messages`;
CREATE TABLE `social_messages` (
  `MessageID` int(11) NOT NULL AUTO_INCREMENT,
  `FromUserID` char(36) NOT NULL,
  `ToUserID` char(36) DEFAULT NULL,
  `MessageTypeID` int(11) NOT NULL,
  `ImageID` int(11) DEFAULT NULL,
  `Body` longtext NOT NULL,
  `AddedDate` datetime NOT NULL,
  `ParentMessageID` int(11) DEFAULT NULL,
  PRIMARY KEY (`MessageID`),
  KEY `FK_Social_Likes_Social_MessagesIdx2` (`MessageID`),
  KEY `FK_Social_Messages_Social_MessagesIdx` (`ParentMessageID`),
  KEY `FK_Social_Messages_Social_MessageTypesIdx` (`MessageTypeID`),
  KEY `FK_Social_Messages_UsersIdx` (`FromUserID`),
  KEY `FK_Social_Messages_Users1Idx` (`ToUserID`),
  CONSTRAINT `FK_Social_Messages_Social_Messages` FOREIGN KEY (`ParentMessageID`) REFERENCES `social_messages` (`MessageID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Social_Messages_Social_MessageTypes` FOREIGN KEY (`MessageTypeID`) REFERENCES `social_messagetypes` (`MessageTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Social_Messages_Users` FOREIGN KEY (`FromUserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Social_Messages_Users1` FOREIGN KEY (`ToUserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `social_messages`
--

/*!40000 ALTER TABLE `social_messages` DISABLE KEYS */;
INSERT INTO `social_messages` (`MessageID`,`FromUserID`,`ToUserID`,`MessageTypeID`,`ImageID`,`Body`,`AddedDate`,`ParentMessageID`) VALUES 
 (1,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',2,NULL,'The Wall looks good.  Nice Job!','2009-12-26 01:46:21',NULL),
 (2,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',2,NULL,'Thanks, I think it came out pretty well.  Lots better formatting of the script and ajax than was done on other parts of the app I think.','2009-12-26 01:49:37',1),
 (3,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','8190D0E9-E25D-483C-9CBA-BA872185EEF7',2,NULL,'Hey Tom, welcome to the site.  I see you added a profile image.  Cool.  ','2009-12-26 01:59:46',NULL),
 (4,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',2,NULL,'Here are the issues I have left for the wall.\n\n1. Add paging\n2. Be the first to write here does not go away after first post.\n3. You can view profiles on other portals on the same instance of MvcCms.  (not a desired feature)\n4.  Putting up wall activity in the recent user stuff.\n\nI am sure there is a lot more but I will get back to that in a few weeks.','2009-12-26 02:25:15',NULL),
 (5,'CE17F970-1405-4047-9163-EF5546890774','CE17F970-1405-4047-9163-EF5546890774',2,NULL,'Hey we have walls now!  Leave me a message here if you like.','2009-12-26 02:43:49',NULL),
 (6,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',2,NULL,'test','2009-12-29 10:32:30',NULL),
 (7,'0962F1AA-39A3-42A5-9839-DA49EDD12DF8','0962F1AA-39A3-42A5-9839-DA49EDD12DF8',2,NULL,'<p>this is lala</p>','2010-01-16 05:26:07',NULL),
 (8,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',2,NULL,'<p>blah</p>','2010-01-30 23:14:10',NULL),
 (9,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',2,NULL,'<p>I ran accross fubumvc today.  Anyone else ever hear of this?  </p><p></p><p>http://code.google.com/p/fubumvc/</p>','2010-02-16 22:30:30',NULL),
 (10,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','11C7B04A-F4F0-4017-9872-359F79ECF2D8',2,NULL,'<p>Hey Paxer, welcome to the team, I am looking forward to your contributions.</p>','2010-04-09 00:03:27',NULL),
 (11,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',2,NULL,'<p>We got a new developer today http://www.mvccms.com/social/profiles/paxer, he is going to give us a new theme with good css.</p>','2010-04-09 00:09:45',NULL),
 (12,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','86DD3125-716F-441B-B297-A62E2F4AE012',2,NULL,'<p>Hey tanghh, welcome to the site.  I see you actually added a profile pic!</p>','2010-10-09 22:30:25',NULL),
 (13,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC','5451E431-EC7C-4267-AFE7-2E61F18280BC',2,NULL,'<p>nice jellyfish</p>','2010-10-09 22:35:02',NULL);
/*!40000 ALTER TABLE `social_messages` ENABLE KEYS */;


--
-- Definition of table `social_messagetypes`
--

DROP TABLE IF EXISTS `social_messagetypes`;
CREATE TABLE `social_messagetypes` (
  `MessageTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(50) NOT NULL,
  `DisplayName` varchar(225) NOT NULL,
  PRIMARY KEY (`MessageTypeID`),
  KEY `FK_Social_Messages_Social_MessageTypesIdx2` (`MessageTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `social_messagetypes`
--

/*!40000 ALTER TABLE `social_messagetypes` DISABLE KEYS */;
INSERT INTO `social_messagetypes` (`MessageTypeID`,`Name`,`DisplayName`) VALUES 
 (1,'Image','Image Comment'),
 (2,'Wall','Wall Comment');
/*!40000 ALTER TABLE `social_messagetypes` ENABLE KEYS */;


--
-- Definition of table `stateprovinces`
--

DROP TABLE IF EXISTS `stateprovinces`;
CREATE TABLE `stateprovinces` (
  `StateProvinceID` int(11) NOT NULL,
  `StateProvinceCode` char(3) NOT NULL,
  `CountryRegionCode` varchar(3) NOT NULL,
  `IsOnlyStateProvinceFlag` tinyint(1) NOT NULL,
  `Name` varchar(50) NOT NULL,
  `TerritoryID` int(11) NOT NULL,
  `rowguid` char(36) NOT NULL,
  `ModifiedDate` datetime NOT NULL,
  PRIMARY KEY (`StateProvinceID`),
  KEY `FK_Profiles_StateProvincesIdx2` (`StateProvinceID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `stateprovinces`
--

/*!40000 ALTER TABLE `stateprovinces` DISABLE KEYS */;
INSERT INTO `stateprovinces` (`StateProvinceID`,`StateProvinceCode`,`CountryRegionCode`,`IsOnlyStateProvinceFlag`,`Name`,`TerritoryID`,`rowguid`,`ModifiedDate`) VALUES 
 (1,'AB','CA',0,'Alberta',6,'298C2880-AB1C-4982-A5AD-A36EB4BA0D34','2004-03-11 10:17:21'),
 (2,'AK','US',0,'Alaska',1,'5B7B8462-A888-4E0B-A3E1-7278F8AF107E','2004-03-11 10:17:21'),
 (3,'AL','US',0,'Alabama',5,'41B328BE-21AE-45D0-841D-6F8DD71CE626','2004-03-11 10:17:21'),
 (4,'AR','US',0,'Arkansas',3,'54656A80-06F2-4C70-BA10-247179FC246E','2004-03-11 10:17:21'),
 (5,'AS','AS',1,'American Samoa',1,'255D15E1-9F6E-4CF8-9E5F-6B3858AD9B6A','2004-03-11 10:17:21'),
 (6,'AZ','US',0,'Arizona',4,'FB8BE18E-F441-44F0-A4A9-1D0F204CB701','2004-03-11 10:17:21'),
 (7,'BC','CA',0,'British Columbia',6,'D27FCC6E-BB99-438B-BA86-285CEEB2FA53','2004-03-11 10:17:21'),
 (8,'BY','DE',0,'Bayern',8,'D54E5000-A0DA-46D1-86B0-B8FE16C9F781','2004-03-11 10:17:21'),
 (9,'CA','US',0,'California',4,'3B2FF23C-1C75-40AE-9093-F4EB42263F4E','2004-03-11 10:17:21'),
 (10,'CO','US',0,'Colorado',3,'292DF595-7D3C-41FB-A040-7C184D379FCE','2004-03-11 10:17:21'),
 (11,'CT','US',0,'Connecticut',2,'1E7BB47A-E16B-4968-86FA-45AF0211FA84','2004-03-11 10:17:21'),
 (12,'DC','US',0,'District of Columbia',2,'A1F3C57E-85B3-41E3-88E8-07244CF087DD','2004-03-11 10:17:21'),
 (13,'DE','US',0,'Delaware',2,'7A11AB1D-77C0-4021-9140-8E81F105618E','2004-03-11 10:17:21'),
 (14,'ENG','GB',1,'England',10,'3E3CB3F8-44B9-44D9-A1C3-CBFB11E0A7DA','2004-03-11 10:17:21'),
 (15,'FL','US',0,'Florida',5,'EE8BA90D-B2C3-418E-93DF-20E33F095959','2004-03-11 10:17:21'),
 (16,'FM','FM',1,'Micronesia',9,'3202DA35-AED4-40E2-9EC4-27C17F420170','2004-03-11 10:17:21'),
 (17,'GA','US',0,'Georgia',5,'A6CA20D1-31AC-4771-8994-93DBBDCCE360','2004-03-11 10:17:21'),
 (18,'GU','US',0,'Guam',4,'92B5A04E-26EC-4EDB-8D14-E72E29B14411','2004-03-11 10:17:21'),
 (19,'HE','DE',0,'Hessen',8,'834FC3DF-B60D-4F94-95BD-AEF8A9FB74E8','2004-03-11 10:17:21'),
 (20,'HH','DE',0,'Hamburg',8,'1CC5A134-60D7-40C2-9269-CDA494214ABF','2004-03-11 10:17:21'),
 (21,'HI','US',0,'Hawaii',1,'09CDCCDC-B4B8-44EA-B04F-6EF521E3E720','2004-03-11 10:17:21'),
 (22,'IA','US',0,'Iowa',3,'956A6C02-7D2F-4C9D-B275-8D2C0EF8FD83','2004-03-11 10:17:21'),
 (23,'ID','US',0,'Idaho',1,'628E983A-33C7-4CB4-867F-274EF12B3597','2004-03-11 10:17:21'),
 (24,'IL','US',0,'Illinois',3,'1F9120CF-683A-4132-A12C-98997FADEB26','2004-03-11 10:17:21'),
 (25,'IN','US',0,'Indiana',2,'91F21EF0-C528-4310-BB29-6BA45AE75A17','2004-03-11 10:17:21'),
 (26,'KS','US',0,'Kansas',3,'4ECCC236-56E8-4FF7-B510-BF50E0966046','2004-03-11 10:17:21'),
 (27,'KY','US',0,'Kentucky',5,'810918BC-45DC-4E01-8544-B322A05EC94E','2004-03-11 10:17:21'),
 (28,'LA','US',0,'Louisiana',3,'4E2BC5A5-0C3E-421B-BE18-5D79B4A7C0D0','2004-03-11 10:17:21'),
 (29,'LB','CA',0,'Labrador',6,'9847C998-A7BF-4A66-BBAC-75939B092CC0','2004-03-11 10:17:21'),
 (30,'MA','US',0,'Massachusetts',2,'77D7E754-1B03-4BB3-A4D4-B1A6AC1C968E','2004-03-11 10:17:21'),
 (31,'MB','CA',0,'Manitoba',6,'0FF23B5D-1E18-40F8-A886-9960ED699049','2004-03-11 10:17:21'),
 (32,'MD','US',0,'Maryland',2,'B3D8517D-A857-41E7-A692-A1CB02A5F667','2004-03-11 10:17:21'),
 (33,'ME','US',0,'Maine',2,'B978A102-632B-4345-8918-E0E8F440FC3B','2004-03-11 10:17:21'),
 (34,'MH','MH',1,'Marshall Islands',9,'C5C5A615-E2DD-4FDF-A4A7-0613C6CCAE80','2004-03-11 10:17:21'),
 (35,'MI','US',0,'Michigan',3,'0CB0855B-783A-4701-9D45-597A919BFB23','2004-03-11 10:17:21'),
 (36,'MN','US',0,'Minnesota',3,'553C8DAA-4142-427C-B772-66BEDADEF372','2004-03-11 10:17:21'),
 (37,'MO','US',0,'Missouri',3,'FF5D76AE-0B45-4F32-96F7-AD5B7775E9EC','2004-03-11 10:17:21'),
 (38,'MP','MP',1,'Northern Mariana Islands',9,'ABEBD704-DB65-47F7-A778-528025F7E7F4','2004-03-11 10:17:21'),
 (39,'MS','US',0,'Mississippi',5,'D33F23C7-60BE-4D31-8028-814A6CCA7F37','2004-03-11 10:17:21'),
 (40,'MT','US',0,'Montana',1,'D4FF6E1A-A8E8-4379-A43C-746DBB0D6D13','2004-03-11 10:17:21'),
 (41,'NB','CA',0,'Brunswick',6,'C28C848F-AE86-4859-9E7E-0190D6C22700','2004-03-11 10:17:21'),
 (42,'NC','US',0,'North Carolina',5,'2C1C5211-3388-4DFF-B0FF-DB0B43E4A22D','2004-03-11 10:17:21'),
 (43,'ND','US',0,'North Dakota',3,'1551BEA8-4DEE-477D-858F-45FF7A2FB14F','2004-03-11 10:17:21'),
 (44,'NE','US',0,'Nebraska',3,'2DEA1C82-A684-4D7C-BEA2-4119D9D3AE60','2004-03-11 10:17:21'),
 (45,'NF','CA',0,'Newfoundland',6,'26D01B6D-3726-453F-B1F3-98A332EB3D8D','2004-03-11 10:17:21'),
 (46,'NH','US',0,'New Hampshire',2,'B30C26AE-62E3-499A-80A8-A167275BAEBD','2004-03-11 10:17:21'),
 (47,'NJ','US',0,'New Jersey',2,'7464D0B1-78A7-4F8A-B4CC-375900005F46','2004-03-11 10:17:21'),
 (48,'NM','US',0,'New Mexico',4,'11DEDA26-4733-497F-BAE3-7BED6B076600','2004-03-11 10:17:21'),
 (49,'NS','CA',0,'Nova Scotia',6,'ADF58BA5-269F-4C48-8C7D-6754E4667ACF','2004-03-11 10:17:21'),
 (50,'NSW','AU',0,'New South Wales',9,'9910DD7E-A4C5-4599-86F5-9F581B53A92D','2004-03-11 10:17:21'),
 (51,'NT','CA',0,'Northwest Territories',6,'CCAAC582-EF30-492C-93CE-5F8B3452D531','2004-03-11 10:17:21'),
 (52,'NV','US',0,'Nevada',1,'50E0FBE0-50B7-40EB-A20B-AAAE85A680DD','2004-03-11 10:17:21'),
 (53,'NW','DE',0,'Nordrhein-Westfalen',8,'C385B296-FBB7-44E1-9DED-23B7FBA346F0','2004-03-11 10:17:21'),
 (54,'NY','US',0,'New York',2,'4F83E68D-4C26-4C53-A4B3-46B7F19C6498','2004-03-11 10:17:21'),
 (55,'OH','US',0,'Ohio',2,'6E1792B5-D021-47B1-98FC-9D60F46F3400','2004-03-11 10:17:21'),
 (56,'OK','US',0,'Oklahoma',3,'AA680EBA-B546-4718-8379-963DA0CEA86F','2004-03-11 10:17:21'),
 (57,'ON','CA',0,'Ontario',6,'5528E2CF-AE39-4F65-BD32-FA32C6FF96FA','2004-03-11 10:17:21'),
 (58,'OR','US',0,'Oregon',1,'17EBF52E-94C8-4E7B-9EF3-5B6236763B49','2004-03-11 10:17:21'),
 (59,'PA','US',0,'Pennsylvania',2,'9E1D834C-7076-4546-9F1B-1BD626037250','2004-03-11 10:17:21'),
 (60,'PE','CA',0,'Prince Edward Island',6,'8B3EC300-24F0-42AB-8DCF-60F45F007642','2004-03-11 10:17:21'),
 (61,'PR','US',0,'Puerto Rico',5,'71B87F6C-5C07-4B7F-8D8C-2C5310410579','2004-03-11 10:17:21'),
 (62,'PW','PW',1,'Palau',9,'EFCF1702-2358-40FC-BE8F-DF6D71A7D89A','2004-03-11 10:17:21'),
 (63,'QC','CA',0,'Quebec',6,'FF830158-3466-495F-BFCF-8A1B82A65355','2004-03-11 10:17:21'),
 (64,'QLD','AU',0,'Queensland',9,'152658FA-AD59-4FA0-82A6-F76980F0183F','2004-03-11 10:17:21'),
 (65,'RI','US',0,'Rhode Island',2,'7FC72AB3-646D-475F-A708-544AF3636AA8','2004-03-11 10:17:21'),
 (66,'SA','AU',0,'South Australia',9,'DCAE37CD-FD8D-41FE-90ED-EDAD22B63DC8','2004-03-11 10:17:21'),
 (67,'SC','US',0,'South Carolina',5,'131CF47D-4F64-4A08-AFCB-0A1EE17A8534','2004-03-11 10:17:21'),
 (68,'SD','US',0,'South Dakota',3,'90AAD17F-451F-42A1-9CF8-EC65B0ACB34F','2004-03-11 10:17:21'),
 (69,'SK','CA',0,'Saskatchewan',6,'D44759BA-43E8-42E7-98FA-54B377C734FC','2004-03-11 10:17:21'),
 (70,'SL','DE',0,'Saarland',8,'F555DD9E-A190-4DC4-9433-7FE257AA6E82','2004-03-11 10:17:21'),
 (71,'TAS','AU',0,'Tasmania',9,'2DB59B03-9F19-4D12-ACEF-974016827BE1','2004-03-11 10:17:21'),
 (72,'TN','US',0,'Tennessee',5,'D1B0F98F-514D-42B4-B84B-9C40A8A455D5','2004-03-11 10:17:21'),
 (73,'TX','US',0,'Texas',4,'99C542E0-5D3D-43A6-8D96-AF65A985D6E4','2004-03-11 10:17:21'),
 (74,'UT','US',0,'Utah',1,'FD66BE42-BFEF-4233-942B-E8D79A594AFA','2004-03-11 10:17:21'),
 (75,'VA','US',0,'Virginia',5,'990AA59C-838C-410F-A675-17EB861FA33F','2004-03-11 10:17:21'),
 (76,'VI','VI',1,'Virgin Islands',5,'14F593D3-1500-477D-AC6B-D41B3FAFBE5A','2004-03-11 10:17:21'),
 (77,'VIC','AU',0,'Victoria',9,'6A683928-8F1F-4369-A64A-60979E216824','2004-03-11 10:17:21'),
 (78,'VT','US',0,'Vermont',2,'348687E4-7879-4D74-AFD7-C8511588CFA3','2004-03-11 10:17:21'),
 (79,'WA','US',0,'Washington',1,'16274DF0-6F05-43A6-BC18-AD171017A1EB','2004-03-11 10:17:21'),
 (80,'WI','US',0,'Wisconsin',3,'9D93821E-3ADD-42DE-BD51-81CFA94046FF','2004-03-11 10:17:21'),
 (81,'WV','US',0,'West Virginia',5,'C9CE898F-8E21-4FBF-A70A-06F32D543A18','2004-03-11 10:17:21'),
 (82,'WY','US',0,'Wyoming',1,'778951DC-0475-4054-8CAB-892C8A38174E','2004-03-11 10:17:21'),
 (83,'YT','CA',0,'Yukon Territory',6,'A01F5896-C4B1-4C2A-9F60-56470DD39F82','2004-03-11 10:17:21'),
 (84,'FR','FR',1,'France',7,'092C7063-901E-414B-BC61-0BF7919DA883','1998-06-01 00:00:00'),
 (85,'BB','DE',0,'Brandenburg',8,'DD386C06-2BEB-4F18-9A85-C066F1A47EA1','1998-06-01 00:00:00'),
 (86,'SN','DE',0,'Saxony',8,'C3E9D0D7-12E7-4395-AC37-11498A3C5E2D','1998-06-01 00:00:00'),
 (87,'01','FR',0,'Ain',7,'F6F7985C-9132-46B5-8963-F99C9F3234DE','1998-06-01 00:00:00'),
 (88,'02','FR',0,'Aisne',7,'1B30C5E7-9BB4-4546-9306-4600CA0E90CA','1998-06-01 00:00:00'),
 (89,'03','FR',0,'Allier',7,'DD59673D-852A-4AAF-9B27-623F54477EC2','1998-06-01 00:00:00'),
 (90,'04','FR',0,'Alpes-de-Haute Provence',7,'458480B4-E4AB-4015-B73A-1B7296F8B8B3','1998-06-01 00:00:00'),
 (91,'05','FR',0,'Alpes (Haute)',7,'0AF69922-9301-4E3E-8592-E7A268A27B7A','1998-06-01 00:00:00'),
 (92,'06','FR',0,'Alpes-Maritimes',7,'1AAA549B-D0D0-4CFE-BE07-8F2858D44505','1998-06-01 00:00:00'),
 (93,'07','FR',0,'Ard',7,'7C566B51-1E45-4BFF-98B7-34CB813DE6E1','1998-06-01 00:00:00'),
 (94,'08','FR',0,'Ardennes',7,'91E9286B-E601-4F26-95E4-062865E515BF','1998-06-01 00:00:00'),
 (95,'09','FR',0,'Ari',7,'FE5A9442-417C-48C3-B582-ED40B7813C2C','1998-06-01 00:00:00'),
 (96,'10','FR',0,'Aube',7,'519D0FB2-FFBF-4B4B-9112-58FEA32D84E6','1998-06-01 00:00:00'),
 (97,'11','FR',0,'Aude',7,'B451CE92-B0F6-47FF-8769-050050432C9C','1998-06-01 00:00:00'),
 (98,'12','FR',0,'Aveyron',7,'79CD2767-A7D9-4BD6-BEEC-D2CDF4DA0AF1','1998-06-01 00:00:00'),
 (99,'13','FR',0,'Bouches du Rh',7,'32519BD3-40C2-4976-8579-0F1A7D2D3DE4','1998-06-01 00:00:00'),
 (100,'14','FR',0,'Calvados',7,'2BD91456-C8AE-4A5D-9270-A4A446ECCACB','1998-06-01 00:00:00'),
 (101,'15','FR',0,'Cantal',7,'01CEC802-20CE-4F96-B475-2AD263CEA9D0','1998-06-01 00:00:00'),
 (102,'16','FR',0,'Charente',7,'2659C871-80A6-4B8C-B70F-C797D0398BC4','1998-06-01 00:00:00'),
 (103,'17','FR',0,'Charente-Maritime',7,'00723E00-C976-401D-A92B-E582DF3D6E01','1998-06-01 00:00:00'),
 (104,'18','FR',0,'Cher',7,'6ADB6ECE-A89E-4B00-A886-90436ECD9B68','1998-06-01 00:00:00'),
 (105,'19','FR',0,'Corr',7,'2363831B-B0BA-4976-92FA-1930817F66C4','1998-06-01 00:00:00'),
 (106,'20','FR',0,'Corse',7,'B424959C-9400-492B-9B4C-9F478B77A02C','1998-06-01 00:00:00'),
 (107,'21','FR',0,'C',7,'6E9C32D8-B47A-444E-818E-54ECCE0B779B','1998-06-01 00:00:00'),
 (108,'22','FR',0,'C',7,'A18C188B-64AC-44F6-9928-EB8FC2B924FD','1998-06-01 00:00:00'),
 (109,'23','FR',0,'Creuse',7,'D745141E-8645-4309-ABAB-76A95A8B0A83','1998-06-01 00:00:00'),
 (110,'24','FR',0,'Dordogne',7,'6EBA51C3-31D2-4376-A4E2-9121B048768F','1998-06-01 00:00:00'),
 (111,'25','FR',0,'Toubs',7,'F0622EC9-4EB7-4019-9B08-FD2ED3F74B9B','1998-06-01 00:00:00'),
 (112,'26','FR',0,'Dr',7,'BE52295D-D7BD-4DC6-8862-82C0A03DBB30','1998-06-01 00:00:00'),
 (113,'27','FR',0,'Eure',7,'8D04729D-75EF-410E-9D04-A95FA51B4B02','1998-06-01 00:00:00'),
 (114,'28','FR',0,'Eure et Loir',7,'51CC8B1D-A2A1-440B-8105-BF0E6C74D213','1998-06-01 00:00:00'),
 (115,'29','FR',0,'Finist',7,'F35691E8-878A-4B62-90D8-3DE2FB7FAE1E','1998-06-01 00:00:00'),
 (116,'30','FR',0,'Gard',7,'486709B6-66CA-4778-8DDE-13783AF7F08B','1998-06-01 00:00:00'),
 (117,'31','FR',0,'Garonne (Haute)',7,'D1C5AF23-8E71-4320-845F-D324D2D83011','1998-06-01 00:00:00'),
 (118,'32','FR',0,'Gers',7,'1E387594-EF10-401A-820E-58CC44C71D0C','1998-06-01 00:00:00'),
 (119,'33','FR',0,'Gironde',7,'90B73724-A580-44A6-A1CE-54F98235B83B','1998-06-01 00:00:00'),
 (120,'34','FR',0,'H',7,'AB4408A6-1ACB-4AF4-9B1E-217636D7F3CA','1998-06-01 00:00:00'),
 (121,'35','FR',0,'Ille et Vilaine',7,'DAF07757-B0B3-49E9-AD2A-CB659ED2B2B4','1998-06-01 00:00:00'),
 (122,'36','FR',0,'Indre',7,'AA7107A6-C155-491D-9DF3-48CF033AF366','1998-06-01 00:00:00'),
 (123,'37','FR',0,'Indre et Loire',7,'E8B02FCC-964E-4FDC-AB7E-287F4DF5142B','1998-06-01 00:00:00'),
 (124,'38','FR',0,'Is',7,'9C594BA5-1A5B-4B65-8EBE-85BF850FE27B','1998-06-01 00:00:00'),
 (125,'39','FR',0,'Jura',7,'2D5E0BDE-F3C4-4887-B89F-DCA00BAB9D63','1998-06-01 00:00:00'),
 (126,'40','FR',0,'Landes',7,'95827758-97C8-4058-B5A5-AFEDFAF4F70F','1998-06-01 00:00:00'),
 (127,'41','FR',0,'Loir et Cher',7,'17EC707A-33F7-4261-86CB-9641C2927172','1998-06-01 00:00:00'),
 (128,'42','FR',0,'Loire',7,'58B4525B-5306-4390-9EE9-48E2D9502C02','1998-06-01 00:00:00'),
 (129,'43','FR',0,'Loire (Haute)',7,'F18BA5B9-2168-4872-9C80-E7F097AB88E0','1998-06-01 00:00:00'),
 (130,'44','FR',0,'Loire Atlantique',7,'A87B21F6-4C5C-4735-8615-BBA99A16ACE2','1998-06-01 00:00:00'),
 (131,'45','FR',0,'Loiret',7,'CC67B8C0-BAB9-4978-8B61-FA985AE094E1','1998-06-01 00:00:00'),
 (132,'46','FR',0,'Lot',7,'FE593326-B0F0-433D-A060-7AA2D37D9CEA','1998-06-01 00:00:00'),
 (133,'47','FR',0,'Lot et Garonne',7,'4FF85D44-E027-4341-A3B2-B9BA564547F8','1998-06-01 00:00:00'),
 (134,'48','FR',0,'Loz',7,'B862BBAB-AEF6-4C4D-881F-4207254983C7','1998-06-01 00:00:00'),
 (135,'49','FR',0,'Maine et Loire',7,'EF2487E7-0965-4ABE-A06C-84CEF8964386','1998-06-01 00:00:00'),
 (136,'50','FR',0,'Manche',7,'8139979C-2881-4668-9A8E-A45154F809EA','1998-06-01 00:00:00'),
 (137,'51','FR',0,'Marne',7,'41B9CB24-50B3-43F7-9E0E-79D901BD45D0','1998-06-01 00:00:00'),
 (138,'52','FR',0,'Marne (Haute)',7,'BABCE9D8-A133-4195-875F-1E65E48844C9','1998-06-01 00:00:00'),
 (139,'53','FR',0,'Mayenne',7,'59593A57-5319-43B4-AD3B-78ABCB6C12F2','1998-06-01 00:00:00'),
 (140,'54','FR',0,'Meurthe et Moselle',7,'8CE54442-ACF1-404D-AE17-540E4DA781AF','1998-06-01 00:00:00'),
 (141,'55','FR',0,'Meuse',7,'CA5ED35C-0542-43ED-8F15-A5E1C9C9AB90','1998-06-01 00:00:00'),
 (142,'56','FR',0,'Morbihan',7,'A1B147FE-14C8-4CB2-9902-C437FF44CE7B','1998-06-01 00:00:00'),
 (143,'57','FR',0,'Moselle',7,'23EC96B5-21EE-4769-BE59-812EAE26A216','1998-06-01 00:00:00'),
 (144,'58','FR',0,'Ni',7,'C6088B46-64B3-492C-A4CD-F81B93F351A1','1998-06-01 00:00:00'),
 (145,'59','FR',0,'Nord',7,'70943DE7-D74A-4DE7-8DCF-3FEA66EFCFDB','1998-06-01 00:00:00'),
 (146,'60','FR',0,'Oise',7,'E15A21BC-1BDB-413E-93FB-0A81D6869068','1998-06-01 00:00:00'),
 (147,'61','FR',0,'Orne',7,'24753BB2-E1F6-4D1F-B659-81F2AD4A9458','1998-06-01 00:00:00'),
 (148,'62','FR',0,'Pas de Calais',7,'72450195-ED1E-4A21-8CC5-5AAC8EB9327A','1998-06-01 00:00:00'),
 (149,'63','FR',0,'Puy de D',7,'E222D130-0D35-4C6A-9A98-024A758FC677','1998-06-01 00:00:00'),
 (150,'64','FR',0,'Pyr',7,'F3B411D2-9E8C-4D53-AB5B-06016A44356B','1998-06-01 00:00:00'),
 (151,'65','FR',0,'Pyr',7,'B5DCA57F-0714-4F42-81AF-0C5C9ECA01F9','1998-06-01 00:00:00'),
 (152,'66','FR',0,'Pyr',7,'0374FD8E-3A19-4A9B-BB9E-DB5871503AFE','1998-06-01 00:00:00'),
 (153,'67','FR',0,'Rhin (Bas)',7,'196859B3-40C3-4D54-ABBD-EF6AA8386DF9','1998-06-01 00:00:00'),
 (154,'68','FR',0,'Rhin (Haut)',7,'1192F8BF-CCA6-4CE2-BD08-2DD6E80B6CF6','1998-06-01 00:00:00'),
 (155,'69','FR',0,'Rh',7,'D4F170D0-FF06-4A97-8DE3-9F377272AA74','1998-06-01 00:00:00'),
 (156,'70','FR',0,'Sa',7,'546FEB94-3737-4698-BA0D-DC051C088939','1998-06-01 00:00:00'),
 (157,'71','FR',0,'Sa',7,'5D86860E-614E-4940-9CC4-549077196D5A','1998-06-01 00:00:00'),
 (158,'72','FR',0,'Sarthe',7,'0E32D0E5-E9C9-404D-B500-180BEC6637D8','1998-06-01 00:00:00'),
 (159,'73','FR',0,'Savoie',7,'F8931EDE-4941-420B-8D87-11C8514BC080','1998-06-01 00:00:00'),
 (160,'74','FR',0,'Savoie Haute',7,'126AB534-FF0B-474E-AEFE-1CAA53C9C3A2','1998-06-01 00:00:00'),
 (161,'75','FR',0,'Seine (Paris)',7,'E117A6FC-24B9-438B-86FF-8455107F4E9F','1998-06-01 00:00:00'),
 (162,'76','FR',0,'Seine Maritime',7,'46070A8D-2B94-4A05-A29B-189F7FFA7C56','1998-06-01 00:00:00'),
 (163,'77','FR',0,'Seine et Marne',7,'FD1511DB-0A30-4B14-B60E-D2247473415E','1998-06-01 00:00:00'),
 (164,'78','FR',0,'Yveline',7,'A111EB2E-3217-485A-A510-673C0843C615','1998-06-01 00:00:00'),
 (165,'79','FR',0,'S',7,'38E0A3D9-E813-454C-BE54-6F019D687ECB','1998-06-01 00:00:00'),
 (166,'80','FR',0,'Somme',7,'8366DE5D-5615-4168-9104-4379F9E59090','1998-06-01 00:00:00'),
 (167,'81','FR',0,'Tarne',7,'406B4FD5-E4A8-4DB7-838B-8A33A617F242','1998-06-01 00:00:00'),
 (168,'82','FR',0,'Tarne et Garonne',7,'544F6F15-6359-45CA-B271-2A310E6CF151','1998-06-01 00:00:00'),
 (169,'83','FR',0,'Var',7,'08A673DC-6056-45B2-903C-976E8B6BD0B9','1998-06-01 00:00:00'),
 (170,'84','FR',0,'Vaucluse',7,'29691831-ACED-46F8-BAD2-A8C914B4F9F4','1998-06-01 00:00:00'),
 (171,'85','FR',0,'La Vend',7,'2A5A84C2-30B0-4791-8DA1-25E3DDE497D8','1998-06-01 00:00:00'),
 (172,'86','FR',0,'Vienne',7,'78A90D81-396C-431A-AA14-0751F2644B25','1998-06-01 00:00:00'),
 (173,'87','FR',0,'Vienne (Haute)',7,'AB61F91C-50E3-45C3-A9D2-140940CECBF0','1998-06-01 00:00:00'),
 (174,'88','FR',0,'Vosges',7,'5A5CB4C2-72A1-40B7-A779-5A36B76E3942','1998-06-01 00:00:00'),
 (175,'89','FR',0,'Yonne',7,'3F8DE296-BEE5-4980-B81F-EBFCC1B16790','1998-06-01 00:00:00'),
 (176,'90','FR',0,'Belford (Territoire de)',7,'76ADCAAA-4EB2-4AD8-893B-EF9F3CB5C6FB','1998-06-01 00:00:00'),
 (177,'91','FR',0,'Essonne',7,'35894A81-C267-4511-A706-99EA2C08181F','1998-06-01 00:00:00'),
 (178,'92','FR',0,'Hauts de Seine',7,'F8FD6D62-A913-4F10-9E42-D348EDA02BD9','1998-06-01 00:00:00'),
 (179,'93','FR',0,'Seine Saint Denis',7,'466C15BC-46EC-427D-99DB-98C380634527','1998-06-01 00:00:00'),
 (180,'94','FR',0,'Val de Marne',7,'FE0A2A02-FE1D-4B79-B970-167EC7F724FC','1998-06-01 00:00:00'),
 (181,'95','FR',0,'Val d\'Oise',7,'E7580D97-910B-42B4-B4E2-72C8733889E0','1998-06-01 00:00:00');
/*!40000 ALTER TABLE `stateprovinces` ENABLE KEYS */;


--
-- Definition of table `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `UserID` char(36) NOT NULL DEFAULT '',
  `Name` varchar(50) DEFAULT NULL,
  `CreationDate` datetime DEFAULT NULL,
  `Username` varchar(50) NOT NULL,
  `ApplicationName` varchar(100) DEFAULT NULL,
  `Email` varchar(100) NOT NULL,
  `Password` varchar(100) DEFAULT NULL,
  `PasswordQuestion` varchar(255) DEFAULT NULL,
  `PasswordAnswer` varchar(255) DEFAULT NULL,
  `IsApproved` tinyint(1) NOT NULL DEFAULT '1',
  `LastActivityDate` datetime DEFAULT NULL,
  `LastLoginDate` datetime DEFAULT NULL,
  `LastPasswordChangedDate` datetime DEFAULT NULL,
  `IsOnline` tinyint(1) DEFAULT NULL,
  `IsLockedOut` tinyint(1) DEFAULT NULL,
  `LastLockedOutDate` datetime DEFAULT NULL,
  `FailedPasswordAttemptCount` int(11) DEFAULT NULL,
  `FailedPasswordAttemptWindowStart` datetime DEFAULT NULL,
  `FailedPasswordAnswerAttemptCount` int(11) DEFAULT NULL,
  `FailedPasswordAnswerAttemptWindowStart` datetime DEFAULT NULL,
  `LastModified` datetime DEFAULT NULL,
  `Comment` varchar(255) DEFAULT NULL,
  `PortalID` int(11) NOT NULL,
  `OpenId` varchar(128) DEFAULT NULL,
  PRIMARY KEY (`UserID`),
  KEY `_dta_index_Users_5_2119678599__K1_4` (`UserID`,`Username`),
  KEY `_dta_index_Users_7_2119678599__K23` (`PortalID`),
  KEY `FK_ContentCategories_UsersIdx2` (`UserID`),
  CONSTRAINT `FK_Users_Portals` FOREIGN KEY (`PortalID`) REFERENCES `portals` (`PortalID`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `users`
--

/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` (`UserID`,`Name`,`CreationDate`,`Username`,`ApplicationName`,`Email`,`Password`,`PasswordQuestion`,`PasswordAnswer`,`IsApproved`,`LastActivityDate`,`LastLoginDate`,`LastPasswordChangedDate`,`IsOnline`,`IsLockedOut`,`LastLockedOutDate`,`FailedPasswordAttemptCount`,`FailedPasswordAttemptWindowStart`,`FailedPasswordAnswerAttemptCount`,`FailedPasswordAnswerAttemptWindowStart`,`LastModified`,`Comment`,`PortalID`,`OpenId`) VALUES 
 ('000296DF-8CD5-41C9-843C-70472831F4FD',NULL,'2010-02-03 02:09:42','Supertrooperzzz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-03 02:09:42','2010-02-03 02:09:42','2010-02-03 02:09:42',0,0,'2010-02-03 02:09:42',0,'2010-02-03 02:09:42',0,'2010-02-03 02:09:42',NULL,NULL,1,NULL),
 ('0030F4EE-3FD0-4345-AFFD-6DFBC8A95907',NULL,'2010-03-10 00:07:52','gardenclubadmin',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-10 11:36:50','2010-03-10 11:35:57','2010-03-10 00:07:52',0,0,'2010-03-10 00:07:52',0,'2010-03-10 00:07:52',0,'2010-03-10 00:07:52',NULL,NULL,16,NULL),
 ('0078610F-6953-4C0C-B4B0-017EFA67E446',NULL,'2009-11-24 11:07:00','Burakge',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','neresidir','istanbuldur',1,'2009-11-24 11:08:14','2009-11-24 11:07:00','2009-11-24 11:07:00',0,0,'2009-11-24 11:07:00',0,'2009-11-24 11:07:00',0,'2009-11-24 11:07:00',NULL,NULL,1,NULL),
 ('00800F36-0769-46EE-95DA-94E963F4479A',NULL,'2010-05-11 04:58:35','jonasmin',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-11 04:58:35','2010-05-11 04:58:35','2010-05-11 04:58:35',0,0,'2010-05-11 04:58:35',0,'2010-05-11 04:58:35',0,'2010-05-11 04:58:35',NULL,NULL,14,NULL),
 ('00AD6094-4A52-44F9-83E2-83862EFCCE76',NULL,'2010-07-07 17:03:43','INNOREORGIX',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-07 17:03:43','2010-07-07 17:03:43','2010-07-07 17:03:43',0,0,'2010-07-07 17:03:43',0,'2010-07-07 17:03:43',0,'2010-07-07 17:03:43',NULL,NULL,1,NULL),
 ('00AF8867-4976-43BE-AFC1-15B4378B8FDE',NULL,'2010-03-07 02:03:47','AcampspeesGum',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-07 02:03:47','2010-03-07 02:03:47','2010-03-07 02:03:47',0,0,'2010-03-07 02:03:47',0,'2010-03-07 02:03:47',0,'2010-03-07 02:03:47',NULL,NULL,1,NULL),
 ('00BE4578-7E30-431D-9DFA-0DE3E2561C0D',NULL,'2010-01-02 14:33:53','MrBaz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-02 14:34:22','2010-01-02 14:33:53','2010-01-02 14:33:53',0,0,'2010-01-02 14:33:53',0,'2010-01-02 14:33:53',0,'2010-01-02 14:33:53',NULL,NULL,1,NULL),
 ('00F15452-65DD-4DD3-B95C-AD4FE68A215C',NULL,'2010-08-28 23:24:44','viniozytoop',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-28 23:24:44','2010-08-28 23:24:44','2010-08-28 23:24:44',0,0,'2010-08-28 23:24:44',0,'2010-08-28 23:24:44',0,'2010-08-28 23:24:44',NULL,NULL,14,NULL),
 ('01049E6F-122F-46AE-99AF-A11A986E6C91',NULL,'2010-07-17 13:46:37','Progmagof',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-17 13:46:37','2010-07-17 13:46:37','2010-07-17 13:46:37',0,0,'2010-07-17 13:46:37',0,'2010-07-17 13:46:37',0,'2010-07-17 13:46:37',NULL,NULL,1,NULL),
 ('0144E4EB-A645-494C-A57E-AB1B6A9C211D',NULL,'2009-10-24 21:03:17','Accereproxy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-24 21:03:17','2009-10-24 21:03:17','2009-10-24 21:03:17',0,0,'2009-10-24 21:03:17',0,'2009-10-24 21:03:17',0,'2009-10-24 21:03:17',NULL,NULL,1,NULL),
 ('01871818-4884-4EBA-BFF1-3EC219FA9AD0',NULL,'2010-03-13 13:50:09','styncLeselype',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-13 13:50:09','2010-03-13 13:50:09','2010-03-13 13:50:09',0,0,'2010-03-13 13:50:09',0,'2010-03-13 13:50:09',0,'2010-03-13 13:50:09',NULL,NULL,1,NULL),
 ('01D4D5DC-ACB6-4374-AAD3-5DB7A82B2974',NULL,'2009-12-20 00:08:13','streetrangers',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-20 00:08:13','2009-12-20 00:08:13','2009-12-20 00:08:13',0,0,'2009-12-20 00:08:13',0,'2009-12-20 00:08:13',0,'2009-12-20 00:08:13',NULL,NULL,1,NULL),
 ('0202EB51-B5C6-4FB6-A981-871F3087B763',NULL,'2010-05-09 08:13:24','GefUtedefrork',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-09 08:13:24','2010-05-09 08:13:24','2010-05-09 08:13:24',0,0,'2010-05-09 08:13:24',0,'2010-05-09 08:13:24',0,'2010-05-09 08:13:24',NULL,NULL,1,NULL),
 ('0203ADCD-A276-45B6-99E2-0969D4BBB684',NULL,'2010-08-04 18:23:30','businesscoach',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-04 18:23:30','2010-08-04 18:23:30','2010-08-04 18:23:30',0,0,'2010-08-04 18:23:30',0,'2010-08-04 18:23:30',0,'2010-08-04 18:23:30',NULL,NULL,14,NULL),
 ('023FF770-041E-48F7-A42C-31D5D8BB7F0B',NULL,'2010-05-24 05:26:58','SoFNoma',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-24 05:26:58','2010-05-24 05:26:58','2010-05-24 05:26:58',0,0,'2010-05-24 05:26:58',0,'2010-05-24 05:26:58',0,'2010-05-24 05:26:58',NULL,NULL,13,NULL),
 ('02414F05-0A0D-4574-AA2E-EFD2891D7A2F',NULL,'2010-06-19 19:26:44','grenLientew',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-19 19:26:44','2010-06-19 19:26:44','2010-06-19 19:26:44',0,0,'2010-06-19 19:26:44',0,'2010-06-19 19:26:44',0,'2010-06-19 19:26:44',NULL,NULL,13,NULL),
 ('026CBA1E-3469-44C0-BE40-C07E3C1CF8D7',NULL,'2010-06-19 20:58:47','eramizmor',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-19 20:58:47','2010-06-19 20:58:47','2010-06-19 20:58:47',0,0,'2010-06-19 20:58:47',0,'2010-06-19 20:58:47',0,'2010-06-19 20:58:47',NULL,NULL,1,NULL),
 ('027AAA62-28F8-4282-8A61-1CB58F763058',NULL,'2010-09-01 22:23:34','Learnilla',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-01 22:23:34','2010-09-01 22:23:34','2010-09-01 22:23:34',0,0,'2010-09-01 22:23:34',0,'2010-09-01 22:23:34',0,'2010-09-01 22:23:34',NULL,NULL,1,NULL),
 ('027F1344-4510-4BB9-9650-EAA4A4AD54C4',NULL,'2010-04-14 02:21:20','byncscory',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-14 02:21:20','2010-04-14 02:21:20','2010-04-14 02:21:20',0,0,'2010-04-14 02:21:20',0,'2010-04-14 02:21:20',0,'2010-04-14 02:21:20',NULL,NULL,14,NULL),
 ('02B14743-2500-4D3A-BFEC-44A60C436BF2',NULL,'2010-08-23 09:37:08','vimaxAidedricy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-23 09:37:08','2010-08-23 09:37:08','2010-08-23 09:37:08',0,0,'2010-08-23 09:37:08',0,'2010-08-23 09:37:08',0,'2010-08-23 09:37:08',NULL,NULL,14,NULL),
 ('02C71EDA-B038-4A21-A73D-984CCC98878C',NULL,'2010-08-25 03:58:29','feddinfoliJop',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-25 03:58:29','2010-08-25 03:58:29','2010-08-25 03:58:29',0,0,'2010-08-25 03:58:29',0,'2010-08-25 03:58:29',0,'2010-08-25 03:58:29',NULL,NULL,1,NULL),
 ('02CED138-5CCA-4B3C-8B22-71DDD3390211',NULL,'2010-05-16 15:18:32','TisyLillets',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 15:18:32','2010-05-16 15:18:32','2010-05-16 15:18:32',0,0,'2010-05-16 15:18:32',0,'2010-05-16 15:18:32',0,'2010-05-16 15:18:32',NULL,NULL,1,NULL),
 ('032DB5E7-6623-4042-951E-8774980A0CFC',NULL,'2010-01-11 22:14:30','jummibelozzi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-11 22:14:30','2010-01-11 22:14:30','2010-01-11 22:14:30',0,0,'2010-01-11 22:14:30',0,'2010-01-11 22:14:30',0,'2010-01-11 22:14:30',NULL,NULL,1,NULL),
 ('033FD4CB-E5A0-4F30-AEB1-6C4AD9F24418',NULL,'2010-04-27 15:18:49','Sasyshami',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-27 15:18:49','2010-04-27 15:18:49','2010-04-27 15:18:49',0,0,'2010-04-27 15:18:49',0,'2010-04-27 15:18:49',0,'2010-04-27 15:18:49',NULL,NULL,13,NULL),
 ('0377358C-D726-4544-B6FA-603C5C059248',NULL,'2009-11-17 05:13:14','sa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-17 05:16:48','2009-11-17 05:13:14','2009-11-17 05:13:14',0,0,'2009-11-17 05:13:14',0,'2009-11-17 05:13:14',0,'2009-11-17 05:13:14',NULL,NULL,1,NULL),
 ('038B5344-A926-4794-B6D5-AD7FBE54D378',NULL,'2010-01-14 15:59:14','crazylifeblog',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-14 15:59:13','2010-01-14 15:59:13','2010-01-14 15:59:13',0,0,'2010-01-14 15:59:13',0,'2010-01-14 15:59:13',0,'2010-01-14 15:59:13',NULL,NULL,14,NULL),
 ('039057B3-7E7F-41F6-94FF-83C080C0DC32',NULL,'2009-10-28 20:55:23','Femnesots',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-28 20:55:23','2009-10-28 20:55:23','2009-10-28 20:55:23',0,0,'2009-10-28 20:55:23',0,'2009-10-28 20:55:23',0,'2009-10-28 20:55:23',NULL,NULL,13,NULL),
 ('03A586C7-AADF-4848-9E09-4427B18DE735',NULL,'2010-09-17 03:29:11','RoyQB',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-17 03:29:11','2010-09-17 03:29:11','2010-09-17 03:29:11',0,0,'2010-09-17 03:29:11',0,'2010-09-17 03:29:11',0,'2010-09-17 03:29:11',NULL,NULL,13,NULL),
 ('03ABFB04-6F7D-495B-8434-7FB9F4CDECFB',NULL,'2010-06-19 12:41:48','Veitteesuet',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-19 12:42:08','2010-06-19 12:41:48','2010-06-19 12:41:48',0,0,'2010-06-19 12:41:48',0,'2010-06-19 12:41:48',0,'2010-06-19 12:41:48',NULL,NULL,1,NULL),
 ('03C49F56-50FB-4A57-8C1D-E7C3D15678F8',NULL,'2010-05-26 05:01:06','Femnandyden',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-26 05:01:06','2010-05-26 05:01:06','2010-05-26 05:01:06',0,0,'2010-05-26 05:01:06',0,'2010-05-26 05:01:06',0,'2010-05-26 05:01:06',NULL,NULL,1,NULL),
 ('03E2661A-B829-4A7A-A2C5-597E6FBCCD74',NULL,'2010-09-27 14:15:57','BropeSpeexy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-27 14:15:57','2010-09-27 14:15:57','2010-09-27 14:15:57',0,0,'2010-09-27 14:15:57',0,'2010-09-27 14:15:57',0,'2010-09-27 14:15:57',NULL,NULL,1,NULL),
 ('03F49759-4A95-4CC5-BA3F-9EF69CE252F2',NULL,'2010-06-02 08:43:41','regeTreache',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-02 08:43:41','2010-06-02 08:43:41','2010-06-02 08:43:41',0,0,'2010-06-02 08:43:41',0,'2010-06-02 08:43:41',0,'2010-06-02 08:43:41',NULL,NULL,1,NULL),
 ('040F6FB4-78A0-42E0-B0B8-18ABDB525F2A',NULL,'2010-06-28 12:59:39','Unfifsulcense',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-28 12:59:39','2010-06-28 12:59:39','2010-06-28 12:59:39',0,0,'2010-06-28 12:59:39',0,'2010-06-28 12:59:39',0,'2010-06-28 12:59:39',NULL,NULL,1,NULL),
 ('04175DC1-6BEB-408B-9F24-95C481A1FE23',NULL,'2010-04-15 00:14:38','DathLallbrirl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-15 00:14:38','2010-04-15 00:14:38','2010-04-15 00:14:38',0,0,'2010-04-15 00:14:38',0,'2010-04-15 00:14:38',0,'2010-04-15 00:14:38',NULL,NULL,14,NULL),
 ('041BC0D5-5A4D-41BE-9CEF-9924113FC0BA',NULL,'2010-05-14 06:46:42','DobFooste',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-14 06:46:42','2010-05-14 06:46:42','2010-05-14 06:46:42',0,0,'2010-05-14 06:46:42',0,'2010-05-14 06:46:42',0,'2010-05-14 06:46:42',NULL,NULL,1,NULL),
 ('04252678-8681-4F74-97C1-1972BF3F1E26',NULL,'2009-10-20 20:02:37','islowwgeruss',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-20 20:02:37','2009-10-20 20:02:37','2009-10-20 20:02:37',0,0,'2009-10-20 20:02:37',0,'2009-10-20 20:02:37',0,'2009-10-20 20:02:37',NULL,NULL,1,NULL),
 ('042906A7-596E-43C4-8768-8B71A82547FE',NULL,'2010-10-01 22:55:29','Nick',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-01 22:55:29','2010-10-01 22:55:29','2010-10-01 22:55:29',0,0,'2010-10-01 22:55:29',0,'2010-10-01 22:55:29',0,'2010-10-01 22:55:29',NULL,NULL,1,NULL),
 ('0458D0DB-3491-42D9-9B7F-40294143AF61',NULL,'2010-06-23 17:04:04','robinzonttwo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-23 17:04:04','2010-06-23 17:04:04','2010-06-23 17:04:04',0,0,'2010-06-23 17:04:04',0,'2010-06-23 17:04:04',0,'2010-06-23 17:04:04',NULL,NULL,13,NULL),
 ('049B969A-050F-4FE6-ACF3-B3A159D61E95',NULL,'2009-11-23 10:33:33','videowatchmovie',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-23 10:33:33','2009-11-23 10:33:33','2009-11-23 10:33:33',0,0,'2009-11-23 10:33:33',0,'2009-11-23 10:33:33',0,'2009-11-23 10:33:33',NULL,NULL,1,NULL),
 ('04A33EAB-EEE3-478F-9323-20B1B783303C',NULL,'2010-09-22 11:46:52','PharpBrab',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-22 11:46:52','2010-09-22 11:46:52','2010-09-22 11:46:52',0,0,'2010-09-22 11:46:52',0,'2010-09-22 11:46:52',0,'2010-09-22 11:46:52',NULL,NULL,1,NULL),
 ('04E70F98-3CAF-41F8-BC71-99F3E26829C5',NULL,'2010-03-16 06:19:30','raymond_germanos',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-16 06:19:30','2010-03-16 06:19:30','2010-03-16 06:19:30',0,0,'2010-03-16 06:19:30',0,'2010-03-16 06:19:30',0,'2010-03-16 06:19:30',NULL,NULL,15,NULL),
 ('050B196F-79B2-4B1E-837C-980BD5EF77E6',NULL,'2009-12-30 07:33:06','TixBiarmWam',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-30 07:33:06','2009-12-30 07:33:06','2009-12-30 07:33:06',0,0,'2009-12-30 07:33:06',0,'2009-12-30 07:33:06',0,'2009-12-30 07:33:06',NULL,NULL,1,NULL),
 ('055027E8-9A30-48E1-8B47-BA09AA665647',NULL,'2010-06-04 02:16:26','babyscect',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-04 02:16:26','2010-06-04 02:16:26','2010-06-04 02:16:26',0,0,'2010-06-04 02:16:26',0,'2010-06-04 02:16:26',0,'2010-06-04 02:16:26',NULL,NULL,13,NULL),
 ('05566BB2-44EC-47A5-A1B5-A4DDCF75475A',NULL,'2010-07-21 18:38:41','Allinochka',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-21 18:38:41','2010-07-21 18:38:41','2010-07-21 18:38:41',0,0,'2010-07-21 18:38:41',0,'2010-07-21 18:38:41',0,'2010-07-21 18:38:41',NULL,NULL,1,NULL),
 ('05771DBA-CC76-4C29-9B17-30BA36E4B10D',NULL,'2010-10-05 11:07:17','falvarez',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','dog\'s name','caramelo',1,'2010-10-05 11:08:43','2010-10-05 11:07:17','2010-10-05 11:09:20',0,0,'2010-10-05 11:07:17',0,'2010-10-05 11:07:17',0,'2010-10-05 11:07:17',NULL,NULL,1,NULL),
 ('05C3EB82-6EC3-49B6-B7D1-74C5E63A9E94',NULL,'2010-02-21 03:46:20','Beewobeannoft',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-21 03:46:20','2010-02-21 03:46:20','2010-02-21 03:46:20',0,0,'2010-02-21 03:46:20',0,'2010-02-21 03:46:20',0,'2010-02-21 03:46:20',NULL,NULL,15,NULL),
 ('05DCB937-8540-41E0-9090-D38C1F04B934',NULL,'2010-07-08 23:39:28','ganiroany',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-08 23:39:28','2010-07-08 23:39:28','2010-07-08 23:39:28',0,0,'2010-07-08 23:39:28',0,'2010-07-08 23:39:28',0,'2010-07-08 23:39:28',NULL,NULL,1,NULL),
 ('05E89575-B17A-466A-996E-8C79B5AE40D4',NULL,'2010-03-27 20:08:43','Hepsnuppy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-27 20:08:43','2010-03-27 20:08:43','2010-03-27 20:08:43',0,0,'2010-03-27 20:08:43',0,'2010-03-27 20:08:43',0,'2010-03-27 20:08:43',NULL,NULL,1,NULL),
 ('05EB75F0-8B13-4680-9534-8897C7710028',NULL,'2010-05-17 14:23:27','ardenstavrou',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-17 14:23:36','2010-05-17 14:23:27','2010-05-17 14:23:27',0,0,'2010-05-17 14:23:27',0,'2010-05-17 14:23:27',0,'2010-05-17 14:23:27',NULL,NULL,1,NULL),
 ('0601A5B0-3D82-429A-BC5A-3E2A3AD3417E',NULL,'2010-09-16 19:15:50','Bowsnowly',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-16 19:15:56','2010-09-16 19:15:50','2010-09-16 19:15:50',0,0,'2010-09-16 19:15:50',0,'2010-09-16 19:15:50',0,'2010-09-16 19:15:50',NULL,NULL,1,NULL),
 ('062C3AEB-16A0-4B6F-9565-B6C0B696EAA6',NULL,'2009-10-10 11:20:01','shahidmughal',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-10 11:22:44','2009-10-10 11:20:01','2009-10-10 11:20:01',0,0,'2009-10-10 11:20:01',0,'2009-10-10 11:20:01',0,'2009-10-10 11:20:01',NULL,NULL,13,NULL),
 ('062F1BA0-3E7D-4DE1-9897-CA150BB8B780',NULL,'2010-08-26 03:10:55','paininousia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-26 03:10:55','2010-08-26 03:10:55','2010-08-26 03:10:55',0,0,'2010-08-26 03:10:55',0,'2010-08-26 03:10:55',0,'2010-08-26 03:10:55',NULL,NULL,1,NULL),
 ('064357C3-061B-43F8-B612-660EF076F44E',NULL,'2010-05-27 04:04:56','Paparoa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-27 04:04:56','2010-05-27 04:04:56','2010-05-27 04:04:56',0,0,'2010-05-27 04:04:56',0,'2010-05-27 04:04:56',0,'2010-05-27 04:04:56',NULL,NULL,1,NULL),
 ('064ED3BF-C14E-449C-AAC6-FB59E375C076',NULL,'2010-09-06 16:48:40','foheydwo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-06 16:48:40','2010-09-06 16:48:40','2010-09-06 16:48:40',0,0,'2010-09-06 16:48:40',0,'2010-09-06 16:48:40',0,'2010-09-06 16:48:40',NULL,NULL,1,NULL),
 ('0655AA9D-BD24-4CE3-A387-F4A262460E0B',NULL,'2010-03-24 17:30:55','FrennaKnonlef',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-24 17:30:55','2010-03-24 17:30:55','2010-03-24 17:30:55',0,0,'2010-03-24 17:30:55',0,'2010-03-24 17:30:55',0,'2010-03-24 17:30:55',NULL,NULL,1,NULL),
 ('06A51D47-BA55-47CC-AF17-7D30FCAD11C9',NULL,'2010-07-02 22:17:38','Utidaexixemi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-02 22:17:38','2010-07-02 22:17:38','2010-07-02 22:17:38',0,0,'2010-07-02 22:17:38',0,'2010-07-02 22:17:38',0,'2010-07-02 22:17:38',NULL,NULL,1,NULL),
 ('06AA68C5-8EDD-4C81-B8B0-2817832CB0C1',NULL,'2010-09-11 20:51:47','Fimmochka',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-11 20:51:47','2010-09-11 20:51:47','2010-09-11 20:51:47',0,0,'2010-09-11 20:51:47',0,'2010-09-11 20:51:47',0,'2010-09-11 20:51:47',NULL,NULL,1,NULL),
 ('06ED98E2-3DF3-4BE8-AFDA-3EB8A4B98F6D',NULL,'2010-04-05 06:57:23','kinder spielen fussball',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-05 06:57:23','2010-04-05 06:57:23','2010-04-05 06:57:23',0,0,'2010-04-05 06:57:23',0,'2010-04-05 06:57:23',0,'2010-04-05 06:57:23',NULL,NULL,1,NULL),
 ('0711B574-4D45-4752-AE7E-D18094650120',NULL,'2010-05-04 05:37:41','annuaddit',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-04 05:37:41','2010-05-04 05:37:41','2010-05-04 05:37:41',0,0,'2010-05-04 05:37:41',0,'2010-05-04 05:37:41',0,'2010-05-04 05:37:41',NULL,NULL,1,NULL),
 ('071FBB5F-A71B-4E2D-9753-AF371381CEBB',NULL,'2010-05-31 01:08:28','nazikhuq',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','dog name','pluto',1,'2010-05-31 09:02:51','2010-05-31 01:08:28','2010-05-31 01:08:28',0,0,'2010-05-31 01:08:28',0,'2010-05-31 01:08:28',0,'2010-05-31 01:08:28',NULL,NULL,1,NULL),
 ('07649B95-E326-4711-B87D-4C5E16DB3A9D',NULL,'2010-09-14 02:15:12','zadrikovzz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-14 02:15:12','2010-09-14 02:15:12','2010-09-14 02:15:12',0,0,'2010-09-14 02:15:12',0,'2010-09-14 02:15:12',0,'2010-09-14 02:15:12',NULL,NULL,1,NULL),
 ('0764C897-F7DF-4368-A7C7-D140A09B3896',NULL,'2010-04-29 14:12:35','ddoriiangrey',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-29 14:12:35','2010-04-29 14:12:35','2010-04-29 14:12:35',0,0,'2010-04-29 14:12:35',0,'2010-04-29 14:12:35',0,'2010-04-29 14:12:35',NULL,NULL,1,NULL),
 ('077576F1-BDF0-456F-A8B9-E835C7B5B222',NULL,'2010-06-10 09:04:02','NikkyRuNg',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-10 09:04:02','2010-06-10 09:04:02','2010-06-10 09:04:02',0,0,'2010-06-10 09:04:02',0,'2010-06-10 09:04:02',0,'2010-06-10 09:04:02',NULL,NULL,1,NULL),
 ('07835BD4-3953-42E4-A9F8-084E89CA4854',NULL,'2010-06-10 13:28:28','BoupleveCeque',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-10 13:28:28','2010-06-10 13:28:28','2010-06-10 13:28:28',0,0,'2010-06-10 13:28:28',0,'2010-06-10 13:28:28',0,'2010-06-10 13:28:28',NULL,NULL,1,NULL),
 ('07AC5D8B-E92A-4514-80EA-2C7C1766F146',NULL,'2010-08-05 14:59:44','mukkoWhencyKeeceri',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-05 14:59:44','2010-08-05 14:59:44','2010-08-05 14:59:44',0,0,'2010-08-05 14:59:44',0,'2010-08-05 14:59:44',0,'2010-08-05 14:59:44',NULL,NULL,1,NULL),
 ('07BA5477-AD39-433C-B57E-B62225013642',NULL,'2010-09-29 04:55:40','Evammakkapp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-29 04:55:40','2010-09-29 04:55:40','2010-09-29 04:55:40',0,0,'2010-09-29 04:55:40',0,'2010-09-29 04:55:40',0,'2010-09-29 04:55:40',NULL,NULL,1,NULL),
 ('07C319B1-ACC6-4BE7-9BF8-365D6CEDA675',NULL,'2009-10-13 17:30:01','GRARDOTSARBIT',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-13 17:30:01','2009-10-13 17:30:01','2009-10-13 17:30:01',0,0,'2009-10-13 17:30:01',0,'2009-10-13 17:30:01',0,'2009-10-13 17:30:01',NULL,NULL,13,NULL),
 ('07D7676F-AB8E-47C1-8017-825C11625932',NULL,'2010-06-30 00:55:35','GaxElelf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-30 00:55:35','2010-06-30 00:55:35','2010-06-30 00:55:35',0,0,'2010-06-30 00:55:35',0,'2010-06-30 00:55:35',0,'2010-06-30 00:55:35',NULL,NULL,1,NULL),
 ('0827EBB1-BD2C-4D58-8335-3409F8269C25',NULL,'2010-05-14 16:42:36','Pukbert',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-14 16:42:36','2010-05-14 16:42:36','2010-05-14 16:42:36',0,0,'2010-05-14 16:42:36',0,'2010-05-14 16:42:36',0,'2010-05-14 16:42:36',NULL,NULL,1,NULL),
 ('08DB9820-2A2F-453D-B63C-6A09D67B54C4',NULL,'2010-09-07 09:15:06','SileElennaRah',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-07 09:15:06','2010-09-07 09:15:06','2010-09-07 09:15:06',0,0,'2010-09-07 09:15:06',0,'2010-09-07 09:15:06',0,'2010-09-07 09:15:06',NULL,NULL,14,NULL),
 ('08DD51F4-7D62-47DF-8899-AD985C144AED',NULL,'2010-08-26 01:09:24','ZentantyGartpant',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-26 01:09:24','2010-08-26 01:09:24','2010-08-26 01:09:24',0,0,'2010-08-26 01:09:24',0,'2010-08-26 01:09:24',0,'2010-08-26 01:09:24',NULL,NULL,13,NULL),
 ('08E4964C-3FC2-453F-90BB-58798CC78974',NULL,'2010-06-11 14:04:46','ManickossDaronn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-11 14:04:46','2010-06-11 14:04:46','2010-06-11 14:04:46',0,0,'2010-06-11 14:04:46',0,'2010-06-11 14:04:46',0,'2010-06-11 14:04:46',NULL,NULL,1,NULL),
 ('092006E6-8706-47D4-B406-97D62AB2F24B',NULL,'2010-05-04 08:13:45','CymnUsendyNeN',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-04 08:13:45','2010-05-04 08:13:45','2010-05-04 08:13:45',0,0,'2010-05-04 08:13:45',0,'2010-05-04 08:13:45',0,'2010-05-04 08:13:45',NULL,NULL,13,NULL),
 ('0933B6C9-B72A-4C9E-97E7-9AD5223FE249',NULL,'2010-02-06 06:30:59','Drenbruiree',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-06 06:30:59','2010-02-06 06:30:59','2010-02-06 06:30:59',0,0,'2010-02-06 06:30:59',0,'2010-02-06 06:30:59',0,'2010-02-06 06:30:59',NULL,NULL,1,NULL),
 ('093CEB2B-5C2C-4EDC-8F1C-89CFEB94E41D',NULL,'2010-07-13 02:03:48','trouthket',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-13 02:03:48','2010-07-13 02:03:48','2010-07-13 02:03:48',0,0,'2010-07-13 02:03:48',0,'2010-07-13 02:03:48',0,'2010-07-13 02:03:48',NULL,NULL,1,NULL),
 ('0949CFBE-37B1-4EED-9585-8406C1F68492',NULL,'2010-08-24 09:43:00','AerovaProor',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-24 09:43:00','2010-08-24 09:43:00','2010-08-24 09:43:00',0,0,'2010-08-24 09:43:00',0,'2010-08-24 09:43:00',0,'2010-08-24 09:43:00',NULL,NULL,13,NULL),
 ('0962F1AA-39A3-42A5-9839-DA49EDD12DF8',NULL,'2010-01-16 04:34:52','hohios',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-16 05:27:20','2010-01-16 05:23:33','2010-01-16 04:34:52',0,0,'2010-01-16 04:34:52',1,'2010-01-16 04:52:37',0,'2010-01-16 04:34:52',NULL,NULL,15,NULL),
 ('096C2508-0DC7-4E24-8CE9-970445E90401',NULL,'2010-02-09 21:50:49','reafToork',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-09 21:50:49','2010-02-09 21:50:49','2010-02-09 21:50:49',0,0,'2010-02-09 21:50:49',0,'2010-02-09 21:50:49',0,'2010-02-09 21:50:49',NULL,NULL,1,NULL),
 ('0976F170-E51B-48EC-9313-6EF5EB40D49B',NULL,'2010-06-01 12:13:23','dougcota',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-01 12:13:23','2010-06-01 12:13:23','2010-06-01 12:13:23',0,0,'2010-06-01 12:13:23',0,'2010-06-01 12:13:23',0,'2010-06-01 12:13:23',NULL,NULL,1,NULL),
 ('097E12D5-3DDB-464D-9E91-37FDFDA42DBF',NULL,'2010-06-09 16:26:47','Soowntita',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-09 16:27:11','2010-06-09 16:26:47','2010-06-09 16:26:47',0,0,'2010-06-09 16:26:47',0,'2010-06-09 16:26:47',0,'2010-06-09 16:26:47',NULL,NULL,1,NULL),
 ('09829087-C664-4EC6-B445-CD21B055C627',NULL,'2010-08-06 10:56:15','Exaclelef',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-06 10:56:15','2010-08-06 10:56:15','2010-08-06 10:56:15',0,0,'2010-08-06 10:56:15',0,'2010-08-06 10:56:15',0,'2010-08-06 10:56:15',NULL,NULL,1,NULL),
 ('09C4A716-17D9-4AC2-A0D9-FE9C5F32DFF8',NULL,'2010-08-17 19:50:22','excivyvex',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-17 19:50:22','2010-08-17 19:50:22','2010-08-17 19:50:22',0,0,'2010-08-17 19:50:22',0,'2010-08-17 19:50:22',0,'2010-08-17 19:50:22',NULL,NULL,1,NULL),
 ('0A0CB0E4-2EA0-4A4C-AEF2-514C5EE2687C',NULL,'2010-09-17 15:47:52','cretaibra',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-17 15:48:10','2010-09-17 15:47:52','2010-09-17 15:47:52',0,0,'2010-09-17 15:47:52',0,'2010-09-17 15:47:52',0,'2010-09-17 15:47:52',NULL,NULL,1,NULL),
 ('0A177CE6-5661-4754-A21F-CE8371089EB5',NULL,'2010-08-22 18:03:09','urbarGekGraib',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-22 18:03:09','2010-08-22 18:03:09','2010-08-22 18:03:09',0,0,'2010-08-22 18:03:09',0,'2010-08-22 18:03:09',0,'2010-08-22 18:03:09',NULL,NULL,1,NULL),
 ('0A17F4D3-4AF6-4391-8E1B-1BB970F0442A',NULL,'2010-08-23 21:29:29','kizapparpip',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-23 21:29:29','2010-08-23 21:29:29','2010-08-23 21:29:29',0,0,'2010-08-23 21:29:29',0,'2010-08-23 21:29:29',0,'2010-08-23 21:29:29',NULL,NULL,1,NULL),
 ('0A7C25A4-B124-4BF1-A8E0-9651D646561B',NULL,'2010-08-21 02:19:57','annediaps',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-21 02:19:57','2010-08-21 02:19:57','2010-08-21 02:19:57',0,0,'2010-08-21 02:19:57',0,'2010-08-21 02:19:57',0,'2010-08-21 02:19:57',NULL,NULL,1,NULL),
 ('0B59EDAF-E3A1-4B14-A5F1-5FACC02E1A9B',NULL,'2010-08-22 22:06:11','SDAanare',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-22 22:06:11','2010-08-22 22:06:11','2010-08-22 22:06:11',0,0,'2010-08-22 22:06:11',0,'2010-08-22 22:06:11',0,'2010-08-22 22:06:11',NULL,NULL,13,NULL),
 ('0B612F95-37BC-42C3-BBF7-45B9173D73D1',NULL,'2010-04-07 20:15:33','adatlypulturb',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-07 20:15:35','2010-04-07 20:15:33','2010-04-07 20:15:33',0,0,'2010-04-07 20:15:33',0,'2010-04-07 20:15:33',0,'2010-04-07 20:15:33',NULL,NULL,1,NULL),
 ('0B69BF78-B43A-47F0-A707-6B5BF7CE440D',NULL,'2010-05-20 06:12:36','Cerrebbro',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-20 06:12:36','2010-05-20 06:12:36','2010-05-20 06:12:36',0,0,'2010-05-20 06:12:36',0,'2010-05-20 06:12:36',0,'2010-05-20 06:12:36',NULL,NULL,1,NULL),
 ('0B9706E9-844E-490C-9FA8-78945A04698A',NULL,'2010-06-13 14:57:16','Apperturf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-13 14:57:22','2010-06-13 14:57:16','2010-06-13 14:57:16',0,0,'2010-06-13 14:57:16',0,'2010-06-13 14:57:16',0,'2010-06-13 14:57:16',NULL,NULL,1,NULL),
 ('0BA77C37-1985-4CE3-9C95-A1A44F5F546A',NULL,'2010-02-12 03:21:58','DerWredlora',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-12 03:21:58','2010-02-12 03:21:58','2010-02-12 03:21:58',0,0,'2010-02-12 03:21:58',0,'2010-02-12 03:21:58',0,'2010-02-12 03:21:58',NULL,NULL,15,NULL),
 ('0BAE0381-A0CB-4455-9893-44E497318BB4',NULL,'2010-05-18 17:14:46','NeusaAffell',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-18 17:14:46','2010-05-18 17:14:46','2010-05-18 17:14:46',0,0,'2010-05-18 17:14:46',0,'2010-05-18 17:14:46',0,'2010-05-18 17:14:46',NULL,NULL,1,NULL),
 ('0BF24B68-93FE-4C4E-9B67-6015EEC6516D',NULL,'2010-06-02 08:10:26','onesinglekun',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-02 08:10:29','2010-06-02 08:10:26','2010-06-02 08:10:26',0,0,'2010-06-02 08:10:26',0,'2010-06-02 08:10:26',0,'2010-06-02 08:10:26',NULL,NULL,1,NULL),
 ('0C2742C7-63C3-4CB7-BDF2-A5B312B5E7A8',NULL,'2010-05-30 15:22:35','Toodisda',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-30 15:22:35','2010-05-30 15:22:35','2010-05-30 15:22:35',0,0,'2010-05-30 15:22:35',0,'2010-05-30 15:22:35',0,'2010-05-30 15:22:35',NULL,NULL,1,NULL),
 ('0C36C29D-FDED-4DEF-B606-4808D7559550',NULL,'2010-03-01 07:04:40','Osteownensugs',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-01 07:04:39','2010-03-01 07:04:39','2010-03-01 07:04:39',0,0,'2010-03-01 07:04:39',0,'2010-03-01 07:04:39',0,'2010-03-01 07:04:39',NULL,NULL,13,NULL),
 ('0C3E56EB-91B8-4353-ABCB-F694311F13D0',NULL,'2010-08-03 12:38:31','cinemaone',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-03 12:38:31','2010-08-03 12:38:31','2010-08-03 12:38:31',0,0,'2010-08-03 12:38:31',0,'2010-08-03 12:38:31',0,'2010-08-03 12:38:31',NULL,NULL,1,NULL),
 ('0C50686A-29CF-407F-9252-F9E267E5BCB8',NULL,'2009-11-12 15:06:59','capricornf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','City was born','Kiev',1,'2009-11-13 17:25:54','2009-11-13 17:19:14','2009-11-12 15:06:59',0,0,'2009-11-12 15:06:59',1,'2009-11-20 11:11:56',0,'2009-11-12 15:06:59',NULL,NULL,1,NULL),
 ('0C6E240F-43C1-48EB-B717-3791A88F5BE1',NULL,'2010-09-13 05:03:55','tomasnolantr',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-13 05:03:57','2010-09-13 05:03:55','2010-09-13 05:03:55',0,0,'2010-09-13 05:03:55',0,'2010-09-13 05:03:55',0,'2010-09-13 05:03:55',NULL,NULL,1,NULL),
 ('0C7420BA-6696-4471-B317-98ED9015F022',NULL,'2010-04-30 17:14:51','Proton-nero',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-30 17:14:51','2010-04-30 17:14:51','2010-04-30 17:14:51',0,0,'2010-04-30 17:14:51',0,'2010-04-30 17:14:51',0,'2010-04-30 17:14:51',NULL,NULL,1,NULL),
 ('0D1EA3E4-6E45-449D-BB39-5B9DC448DFBA',NULL,'2010-09-10 17:46:34','AntonioKamol',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-10 17:46:34','2010-09-10 17:46:34','2010-09-10 17:46:34',0,0,'2010-09-10 17:46:34',0,'2010-09-10 17:46:34',0,'2010-09-10 17:46:34',NULL,NULL,1,NULL),
 ('0D2082AC-24D4-4E4F-8DB1-FA91E4EFFFA7',NULL,'2010-03-12 03:09:51','maddibest',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-12 03:09:50','2010-03-12 03:09:50','2010-03-12 03:09:50',0,0,'2010-03-12 03:09:50',0,'2010-03-12 03:09:50',0,'2010-03-12 03:09:50',NULL,NULL,1,NULL),
 ('0D28C5E5-E99C-4163-BE4B-6CDD6D720FDE',NULL,'2010-03-12 23:36:18','IvGeordgyJR',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-12 23:36:18','2010-03-12 23:36:18','2010-03-12 23:36:18',0,0,'2010-03-12 23:36:18',0,'2010-03-12 23:36:18',0,'2010-03-12 23:36:18',NULL,NULL,1,NULL),
 ('0D299E6C-8ABF-451A-98C0-C5F810F83D46',NULL,'2010-09-29 04:59:54','Vapatamg',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-29 04:59:54','2010-09-29 04:59:54','2010-09-29 04:59:54',0,0,'2010-09-29 04:59:54',0,'2010-09-29 04:59:54',0,'2010-09-29 04:59:54',NULL,NULL,1,NULL),
 ('0D38C4E9-4604-48B2-929E-394BF2018278',NULL,'2010-03-13 02:50:08','Shentadieni',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-13 02:50:08','2010-03-13 02:50:08','2010-03-13 02:50:08',0,0,'2010-03-13 02:50:08',0,'2010-03-13 02:50:08',0,'2010-03-13 02:50:08',NULL,NULL,13,NULL),
 ('0D499A8D-23D1-46C4-B482-3FE01FD08D23',NULL,'2010-03-07 00:53:56','SuepImpumenar',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-07 00:53:56','2010-03-07 00:53:56','2010-03-07 00:53:56',0,0,'2010-03-07 00:53:56',0,'2010-03-07 00:53:56',0,'2010-03-07 00:53:56',NULL,NULL,15,NULL),
 ('0D5BD3BF-9833-4821-BCA2-7BAEC10BDEE9',NULL,'2010-01-29 15:44:23','sleernall',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-29 15:44:23','2010-01-29 15:44:23','2010-01-29 15:44:23',0,0,'2010-01-29 15:44:23',0,'2010-01-29 15:44:23',0,'2010-01-29 15:44:23',NULL,NULL,13,NULL),
 ('0DB59E97-6926-42EA-83B6-AB863E587F92',NULL,'2010-07-07 19:45:35','MaxKalley',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-07 19:45:35','2010-07-07 19:45:35','2010-07-07 19:45:35',0,0,'2010-07-07 19:45:35',0,'2010-07-07 19:45:35',0,'2010-07-07 19:45:35',NULL,NULL,1,NULL),
 ('0DC98C41-3DDE-411F-B08A-25045055CCBF',NULL,'2010-03-04 13:52:25','energeatmig',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-04 13:52:25','2010-03-04 13:52:25','2010-03-04 13:52:25',0,0,'2010-03-04 13:52:25',0,'2010-03-04 13:52:25',0,'2010-03-04 13:52:25',NULL,NULL,1,NULL),
 ('0DE9EF1A-7C1D-4A26-8786-D260CA56C7BB',NULL,'2010-06-27 14:34:17','JohnSearf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-27 14:34:17','2010-06-27 14:34:17','2010-06-27 14:34:17',0,0,'2010-06-27 14:34:17',0,'2010-06-27 14:34:17',0,'2010-06-27 14:34:17',NULL,NULL,1,NULL),
 ('0E0806AA-733A-4F91-9D81-48ECE776B6C2',NULL,'2010-04-06 01:18:35','VadolManis',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-06 01:18:35','2010-04-06 01:18:35','2010-04-06 01:18:35',0,0,'2010-04-06 01:18:35',0,'2010-04-06 01:18:35',0,'2010-04-06 01:18:35',NULL,NULL,1,NULL),
 ('0E359F95-2E1E-4018-876A-531423B0FBD8',NULL,'2010-03-02 03:47:51','geabsIgnineub',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-02 03:47:51','2010-03-02 03:47:51','2010-03-02 03:47:51',0,0,'2010-03-02 03:47:51',0,'2010-03-02 03:47:51',0,'2010-03-02 03:47:51',NULL,NULL,1,NULL),
 ('0E51689F-9DEE-4F06-ABF7-DE8C6FA31CEA',NULL,'2010-09-19 15:26:46','Moloholleaday',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-19 15:26:46','2010-09-19 15:26:46','2010-09-19 15:26:46',0,0,'2010-09-19 15:26:46',0,'2010-09-19 15:26:46',0,'2010-09-19 15:26:46',NULL,NULL,13,NULL),
 ('0EBC4DB9-BA2C-4F11-B147-6107AB598F40',NULL,'2010-03-24 03:01:26','laumndeally',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-24 03:01:26','2010-03-24 03:01:26','2010-03-24 03:01:26',0,0,'2010-03-24 03:01:26',0,'2010-03-24 03:01:26',0,'2010-03-24 03:01:26',NULL,NULL,1,NULL),
 ('0EDA8B53-153D-4D06-8151-E17C42D6F23E',NULL,'2009-11-28 08:29:54','Appepshoste',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-28 08:29:54','2009-11-28 08:29:54','2009-11-28 08:29:54',0,0,'2009-11-28 08:29:54',0,'2009-11-28 08:29:54',0,'2009-11-28 08:29:54',NULL,NULL,1,NULL),
 ('0EE4013B-A6CB-4A18-886B-C7AF7506D987',NULL,'2010-02-05 15:45:38','obavtorips',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-05 15:45:38','2010-02-05 15:45:38','2010-02-05 15:45:38',0,0,'2010-02-05 15:45:38',0,'2010-02-05 15:45:38',0,'2010-02-05 15:45:38',NULL,NULL,13,NULL),
 ('0EF3688F-0429-4BCD-8D5D-E56FDA416244',NULL,'2010-08-13 11:35:13','amollaeracy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-13 11:35:13','2010-08-13 11:35:13','2010-08-13 11:35:13',0,0,'2010-08-13 11:35:13',0,'2010-08-13 11:35:13',0,'2010-08-13 11:35:13',NULL,NULL,13,NULL),
 ('0EF98A17-2A9A-42F1-97D2-9EF9B0DCA030',NULL,'2009-10-29 05:10:00','Ant',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','First cats name','Jasper',1,'2009-10-29 05:11:23','2009-10-29 05:10:00','2009-10-29 05:10:00',0,0,'2009-10-29 05:10:00',0,'2009-10-29 05:10:00',0,'2009-10-29 05:10:00',NULL,NULL,1,NULL),
 ('0F0C0AFD-D918-4C08-9BE2-A70B58B084DE',NULL,'2010-08-22 15:28:03','divorceguru',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-22 15:28:03','2010-08-22 15:28:03','2010-08-22 15:28:03',0,0,'2010-08-22 15:28:03',0,'2010-08-22 15:28:03',0,'2010-08-22 15:28:03',NULL,NULL,14,NULL),
 ('0F47E975-20C4-4B41-BC42-EA8E6621C267',NULL,'2010-05-13 04:53:27','VopsjoisaApap',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-13 04:53:27','2010-05-13 04:53:27','2010-05-13 04:53:27',0,0,'2010-05-13 04:53:27',0,'2010-05-13 04:53:27',0,'2010-05-13 04:53:27',NULL,NULL,1,NULL),
 ('0F4DB129-2CD0-4618-8C96-4C23D153842B',NULL,'2010-08-10 13:58:07','SuedLollentee',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-10 13:58:07','2010-08-10 13:58:07','2010-08-10 13:58:07',0,0,'2010-08-10 13:58:07',0,'2010-08-10 13:58:07',0,'2010-08-10 13:58:07',NULL,NULL,1,NULL),
 ('0F51536A-C5A3-4254-A613-8BC016176432',NULL,'2010-04-20 22:03:46','arendakrana',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-20 22:03:46','2010-04-20 22:03:46','2010-04-20 22:03:46',0,0,'2010-04-20 22:03:46',0,'2010-04-20 22:03:46',0,'2010-04-20 22:03:46',NULL,NULL,1,NULL),
 ('0F833485-3569-4B35-9DCB-CC2A3A372E4D',NULL,'2010-09-17 15:21:25','Friegarefek',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-17 15:21:25','2010-09-17 15:21:25','2010-09-17 15:21:25',0,0,'2010-09-17 15:21:25',0,'2010-09-17 15:21:25',0,'2010-09-17 15:21:25',NULL,NULL,1,NULL),
 ('0F853667-6970-4958-867F-0BDE3A19255A',NULL,'2010-01-02 20:25:54','Panoreano',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-02 20:25:54','2010-01-02 20:25:54','2010-01-02 20:25:54',0,0,'2010-01-02 20:25:54',0,'2010-01-02 20:25:54',0,'2010-01-02 20:25:54',NULL,NULL,1,NULL),
 ('0F99E2B7-4B44-496C-9186-1B7064293725',NULL,'2010-01-30 04:59:22','cyclassizotly',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-30 04:59:22','2010-01-30 04:59:22','2010-01-30 04:59:22',0,0,'2010-01-30 04:59:22',0,'2010-01-30 04:59:22',0,'2010-01-30 04:59:22',NULL,NULL,1,NULL),
 ('0FA3167D-009F-4AD2-A937-E66324555EA1',NULL,'2010-09-14 07:19:38','CedattawlMard',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-14 07:19:38','2010-09-14 07:19:38','2010-09-14 07:19:38',0,0,'2010-09-14 07:19:38',0,'2010-09-14 07:19:38',0,'2010-09-14 07:19:38',NULL,NULL,1,NULL),
 ('0FBD5677-41F3-4A98-A4CF-A5CE7D8FA5A2',NULL,'2010-08-31 06:19:43','Unilugslergen',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-31 06:19:43','2010-08-31 06:19:43','2010-08-31 06:19:43',0,0,'2010-08-31 06:19:43',0,'2010-08-31 06:19:43',0,'2010-08-31 06:19:43',NULL,NULL,13,NULL),
 ('0FC868A1-BF38-43B9-BFA0-BD0DCA2689DA',NULL,'2010-03-05 05:16:02','stevejobs',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-05 05:16:02','2010-03-05 05:16:02','2010-03-05 05:16:02',0,0,'2010-03-05 05:16:02',0,'2010-03-05 05:16:02',0,'2010-03-05 05:16:02',NULL,NULL,1,NULL),
 ('0FF6CC01-F565-43C2-BE86-5EAA7C9137E3',NULL,'2010-08-31 03:48:05','petersunscams',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-31 03:48:04','2010-08-31 03:48:04','2010-08-31 03:48:04',0,0,'2010-08-31 03:48:04',0,'2010-08-31 03:48:04',0,'2010-08-31 03:48:04',NULL,NULL,13,NULL),
 ('1012C34A-D4E5-4A07-AEF7-87CAD51199ED',NULL,'2010-06-14 20:45:44','PreerlyErycle',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-14 20:45:44','2010-06-14 20:45:44','2010-06-14 20:45:44',0,0,'2010-06-14 20:45:44',0,'2010-06-14 20:45:44',0,'2010-06-14 20:45:44',NULL,NULL,1,NULL),
 ('105447C7-50D1-47FB-8E30-35F1A89D9BB0',NULL,'2010-09-09 12:07:07','architect',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-09 12:07:07','2010-09-09 12:07:07','2010-09-09 12:07:07',0,0,'2010-09-09 12:07:07',0,'2010-09-09 12:07:07',0,'2010-09-09 12:07:07',NULL,NULL,13,NULL),
 ('1076632E-25F6-495C-8DBD-827388D3BC1C',NULL,'2009-12-14 17:41:06','CoickyEcopync',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-14 17:41:06','2009-12-14 17:41:06','2009-12-14 17:41:06',0,0,'2009-12-14 17:41:06',0,'2009-12-14 17:41:06',0,'2009-12-14 17:41:06',NULL,NULL,1,NULL),
 ('107E1630-B495-4A32-865A-AAA62833E6CE',NULL,'2010-07-29 18:23:36','geno.prida',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-07-29 18:30:42','2010-07-29 19:57:03','2010-07-29 18:23:36',0,0,'2010-07-29 18:23:36',0,'2010-07-29 18:23:36',0,'2010-07-29 18:23:36',NULL,NULL,1,NULL),
 ('108F7FB9-75AE-49C0-94E6-E93F0F093018',NULL,'2010-05-13 05:46:37','Kj',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-05-13 05:47:19','2010-05-13 05:46:37','2010-05-13 05:46:37',0,0,'2010-05-13 05:46:37',0,'2010-05-13 05:46:37',0,'2010-05-13 05:46:37',NULL,NULL,1,NULL),
 ('10D2A8E5-AA5E-4D29-A703-071964359BEB',NULL,'2010-01-26 16:17:02','Phosetsattift',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-26 16:17:02','2010-01-26 16:17:02','2010-01-26 16:17:02',0,0,'2010-01-26 16:17:02',0,'2010-01-26 16:17:02',0,'2010-01-26 16:17:02',NULL,NULL,1,NULL),
 ('10D2EF41-FACF-419A-B871-586C60282A09',NULL,'2010-04-20 13:39:50','elardofilla',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-20 13:39:49','2010-04-20 13:39:49','2010-04-20 13:39:49',0,0,'2010-04-20 13:39:49',0,'2010-04-20 13:39:49',0,'2010-04-20 13:39:49',NULL,NULL,14,NULL),
 ('110C6CE5-0E9F-4015-B32F-BE9BC001C6CE',NULL,'2009-11-28 13:07:45','Raypamar',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-28 13:07:45','2009-11-28 13:07:45','2009-11-28 13:07:45',0,0,'2009-11-28 13:07:45',0,'2009-11-28 13:07:45',0,'2009-11-28 13:07:45',NULL,NULL,1,NULL),
 ('11109A4B-97B0-458C-8370-375D932C2C5D',NULL,'2009-10-27 07:49:07','immorciprow',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-27 07:49:07','2009-10-27 07:49:07','2009-10-27 07:49:07',0,0,'2009-10-27 07:49:07',0,'2009-10-27 07:49:07',0,'2009-10-27 07:49:07',NULL,NULL,1,NULL),
 ('114DFE0C-D215-4C28-B69C-16206384B2AD',NULL,'2010-08-22 15:28:41','bankruptcyhelp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-22 15:28:41','2010-08-22 15:28:41','2010-08-22 15:28:41',0,0,'2010-08-22 15:28:41',0,'2010-08-22 15:28:41',0,'2010-08-22 15:28:41',NULL,NULL,14,NULL),
 ('115F12CD-E89A-48AC-A4F6-3ADC1612F5B6',NULL,'2010-03-14 23:18:47','avacleamant',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-14 23:18:47','2010-03-14 23:18:47','2010-03-14 23:18:47',0,0,'2010-03-14 23:18:47',0,'2010-03-14 23:18:47',0,'2010-03-14 23:18:47',NULL,NULL,1,NULL),
 ('11B497C8-9D10-4970-85AE-E27F3367AD7A',NULL,'2010-08-03 14:19:28','gagPecyneni',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-03 14:19:28','2010-08-03 14:19:28','2010-08-03 14:19:28',0,0,'2010-08-03 14:19:28',0,'2010-08-03 14:19:28',0,'2010-08-03 14:19:28',NULL,NULL,13,NULL),
 ('11B9317C-13E2-4408-8B72-FA6D643914FD',NULL,'2009-10-23 16:20:35','dawg',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-23 16:20:35','2009-10-23 16:20:35','2009-10-23 16:20:35',0,0,'2009-10-23 16:20:35',0,'2009-10-23 16:20:35',0,'2009-10-23 16:20:35',NULL,NULL,1,NULL),
 ('11BA7B57-C7F1-403B-9CFA-B21F37A54EEF',NULL,'2009-11-14 17:33:16','ionikeexpense',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-14 17:33:16','2009-11-14 17:33:16','2009-11-14 17:33:16',0,0,'2009-11-14 17:33:16',0,'2009-11-14 17:33:16',0,'2009-11-14 17:33:16',NULL,NULL,13,NULL),
 ('11C7B04A-F4F0-4017-9872-359F79ECF2D8',NULL,'2010-04-08 23:45:55','paxer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-11 06:48:57','2010-04-11 06:42:38','2010-04-08 23:45:55',0,0,'2010-04-08 23:45:55',0,'2010-04-08 23:45:55',0,'2010-04-08 23:45:55',NULL,NULL,1,NULL),
 ('11C84B67-99A5-456F-BD5B-B97776E6194F',NULL,'2010-09-14 20:13:31','factory',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-14 20:13:31','2010-09-14 20:13:31','2010-09-14 20:13:31',0,0,'2010-09-14 20:13:31',0,'2010-09-14 20:13:31',0,'2010-09-14 20:13:31',NULL,NULL,1,NULL),
 ('11D3A786-01CB-470C-BE50-E6816B8C32E0',NULL,'2010-05-20 02:55:37','dumbo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','2. initial','s',1,'2010-05-20 02:56:54','2010-05-20 02:55:37','2010-05-20 02:55:37',0,0,'2010-05-20 02:55:37',0,'2010-05-20 02:55:37',0,'2010-05-20 02:55:37',NULL,NULL,1,NULL),
 ('11FF0CA4-C2F5-49A6-A2EC-FD7EFDBDA07A',NULL,'2010-02-20 08:20:11','NorDopsyTrose',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-20 08:20:11','2010-02-20 08:20:11','2010-02-20 08:20:11',0,0,'2010-02-20 08:20:11',0,'2010-02-20 08:20:11',0,'2010-02-20 08:20:11',NULL,NULL,15,NULL),
 ('120B6C4A-F2C9-4290-AE3D-825689B4C65F',NULL,'2010-07-13 00:54:12','Enladdyvianna',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-13 00:54:12','2010-07-13 00:54:12','2010-07-13 00:54:12',0,0,'2010-07-13 00:54:12',0,'2010-07-13 00:54:12',0,'2010-07-13 00:54:12',NULL,NULL,1,NULL),
 ('121793C3-F3CB-4595-9570-00527D8702F2',NULL,'2009-11-11 10:26:54','ligoallogue',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-11 10:26:54','2009-11-11 10:26:54','2009-11-11 10:26:54',0,0,'2009-11-11 10:26:54',0,'2009-11-11 10:26:54',0,'2009-11-11 10:26:54',NULL,NULL,1,NULL),
 ('1231BC1E-568C-40F6-8C08-25B0BD7F5ABD',NULL,'2010-07-13 15:12:15','frartootoff',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-13 15:12:15','2010-07-13 15:12:15','2010-07-13 15:12:15',0,0,'2010-07-13 15:12:15',0,'2010-07-13 15:12:15',0,'2010-07-13 15:12:15',NULL,NULL,1,NULL),
 ('123A49CA-167D-40F5-BD44-EDB7F1A2DB8C',NULL,'2010-01-23 10:32:10','pushanko',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-23 10:32:10','2010-01-23 10:32:10','2010-01-23 10:32:10',0,0,'2010-01-23 10:32:10',0,'2010-01-23 10:32:10',0,'2010-01-23 10:32:10',NULL,NULL,1,NULL),
 ('12BBE0E1-4EA7-41AC-AF72-86F73ACE0707',NULL,'2010-09-18 04:08:02','InfIdes',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-18 04:08:02','2010-09-18 04:08:02','2010-09-18 04:08:02',0,0,'2010-09-18 04:08:02',0,'2010-09-18 04:08:02',0,'2010-09-18 04:08:02',NULL,NULL,1,NULL),
 ('13080D7B-B2FE-479A-9318-DEDFCEC6AF78',NULL,'2009-10-29 21:19:37','Actuanohadact',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-29 21:19:37','2009-10-29 21:19:37','2009-10-29 21:19:37',0,0,'2009-10-29 21:19:37',0,'2009-10-29 21:19:37',0,'2009-10-29 21:19:37',NULL,NULL,1,NULL),
 ('13154F69-A407-4983-A650-0DCD164E6155',NULL,'2010-01-14 19:15:33','dukefely',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-14 19:15:33','2010-01-14 19:15:33','2010-01-14 19:15:33',0,0,'2010-01-14 19:15:33',0,'2010-01-14 19:15:33',0,'2010-01-14 19:15:33',NULL,NULL,1,NULL),
 ('13178904-FD3F-4B8E-BA31-A20BCD5A7DD3',NULL,'2009-12-21 22:16:21','escannaBintex',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-21 22:16:21','2009-12-21 22:16:21','2009-12-21 22:16:21',0,0,'2009-12-21 22:16:21',0,'2009-12-21 22:16:21',0,'2009-12-21 22:16:21',NULL,NULL,1,NULL),
 ('1319F12E-60A8-442C-8BB1-8B69CA18D4C5',NULL,'2009-11-17 23:14:36','jackmorres',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-17 23:14:36','2009-11-17 23:14:36','2009-11-17 23:14:36',0,0,'2009-11-17 23:14:36',0,'2009-11-17 23:14:36',0,'2009-11-17 23:14:36',NULL,NULL,15,NULL),
 ('13283B79-9EE8-4B3B-B71C-D49B99383644',NULL,'2010-03-24 20:41:28','Steerhacram',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-24 20:41:28','2010-03-24 20:41:28','2010-03-24 20:41:28',0,0,'2010-03-24 20:41:28',0,'2010-03-24 20:41:28',0,'2010-03-24 20:41:28',NULL,NULL,1,NULL),
 ('1333C8B4-9D23-4C9D-9505-BE6AB3061C3B',NULL,'2010-06-17 22:14:58','SmabbaritaBab',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-17 22:14:58','2010-06-17 22:14:58','2010-06-17 22:14:58',0,0,'2010-06-17 22:14:58',0,'2010-06-17 22:14:58',0,'2010-06-17 22:14:58',NULL,NULL,1,NULL),
 ('13372DC0-DB8E-404A-ABC0-0BE5D04CB995',NULL,'2010-03-25 10:05:02','shantecs',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-25 10:08:17','2010-03-25 10:05:02','2010-03-25 10:05:02',0,0,'2010-03-25 10:05:02',0,'2010-03-25 10:05:02',0,'2010-03-25 10:05:02',NULL,NULL,15,NULL),
 ('13926018-1C8D-4E49-B9D6-05484A3C2188',NULL,'2010-06-19 19:08:20','illesypitty',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-19 19:08:33','2010-06-19 19:08:20','2010-06-19 19:08:20',0,0,'2010-06-19 19:08:20',0,'2010-06-19 19:08:20',0,'2010-06-19 19:08:20',NULL,NULL,1,NULL),
 ('13A3AE06-C435-441E-869F-B4513FCECAA1',NULL,'2010-06-21 11:51:17','caoit',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-06-21 11:51:49','2010-06-21 11:51:17','2010-06-21 11:51:17',0,0,'2010-06-21 11:51:17',1,'2010-08-19 10:32:38',0,'2010-06-21 11:51:17',NULL,NULL,1,NULL),
 ('13D7DE89-A158-436D-9427-461A4D97D387',NULL,'2010-03-11 17:17:47','leonardoslimg',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-11 17:17:47','2010-03-11 17:17:47','2010-03-11 17:17:47',0,0,'2010-03-11 17:17:47',0,'2010-03-11 17:17:47',0,'2010-03-11 17:17:47',NULL,NULL,1,NULL),
 ('13EFC150-87CB-46A2-A6C5-8B83294CCC72',NULL,'2009-11-20 11:39:02','dimau',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-11-20 11:41:08','2009-11-20 11:39:59','2009-11-20 11:39:02',0,0,'2009-11-20 11:39:02',0,'2009-11-20 11:39:02',0,'2009-11-20 11:39:02',NULL,NULL,15,NULL),
 ('141B82F4-2357-426E-A42A-2BFBB21D03DE',NULL,'2010-05-13 11:44:03','Valleytserw',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-13 11:44:03','2010-05-13 11:44:03','2010-05-13 11:44:03',0,0,'2010-05-13 11:44:03',0,'2010-05-13 11:44:03',0,'2010-05-13 11:44:03',NULL,NULL,1,NULL),
 ('149278F9-DB25-4EDE-82FD-C87D972BC7A9',NULL,'2010-01-19 23:43:57','agginewdosa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-19 23:43:57','2010-01-19 23:43:57','2010-01-19 23:43:57',0,0,'2010-01-19 23:43:57',0,'2010-01-19 23:43:57',0,'2010-01-19 23:43:57',NULL,NULL,1,NULL),
 ('14B4FF8C-2EDA-4733-89C9-51C6FD8E738A',NULL,'2010-05-14 00:00:20','Rastomi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-14 00:00:20','2010-05-14 00:00:20','2010-05-14 00:00:20',0,0,'2010-05-14 00:00:20',0,'2010-05-14 00:00:20',0,'2010-05-14 00:00:20',NULL,NULL,1,NULL),
 ('14E9E755-88CE-4094-B546-D5456E284366',NULL,'2010-09-05 08:05:48','Suiliert50',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-05 08:05:48','2010-09-05 08:05:48','2010-09-05 08:05:48',0,0,'2010-09-05 08:05:48',0,'2010-09-05 08:05:48',0,'2010-09-05 08:05:48',NULL,NULL,14,NULL),
 ('15286565-35E1-4EF3-9A1D-5D40BFA6CC93',NULL,'2010-05-08 20:00:48','falseJardrula',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-08 20:00:48','2010-05-08 20:00:48','2010-05-08 20:00:48',0,0,'2010-05-08 20:00:48',0,'2010-05-08 20:00:48',0,'2010-05-08 20:00:48',NULL,NULL,1,NULL),
 ('1538DC12-D037-43E4-BB15-DE49202C4AE6',NULL,'2010-08-05 17:22:56','chidionyema',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-05 19:02:49','2010-08-05 17:22:56','2010-08-05 17:22:56',0,0,'2010-08-05 17:22:56',0,'2010-08-05 17:22:56',0,'2010-08-05 17:22:56',NULL,NULL,1,NULL),
 ('158A126D-D9B4-467C-803F-5FF62710D8BB',NULL,'2009-12-18 21:33:46','Digarouffcarf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-18 21:33:46','2009-12-18 21:33:46','2009-12-18 21:33:46',0,0,'2009-12-18 21:33:46',0,'2009-12-18 21:33:46',0,'2009-12-18 21:33:46',NULL,NULL,1,NULL),
 ('15E9ED43-BA18-47A4-9548-226C7E454432',NULL,'2010-06-11 12:51:31','ErequeGrede',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-11 12:51:31','2010-06-11 12:51:31','2010-06-11 12:51:31',0,0,'2010-06-11 12:51:31',0,'2010-06-11 12:51:31',0,'2010-06-11 12:51:31',NULL,NULL,1,NULL),
 ('15F4EF55-D7F7-491F-BB38-C4E28ABC1DCB',NULL,'2010-05-31 22:21:31','mistergenius',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-31 22:21:31','2010-05-31 22:21:31','2010-05-31 22:21:31',0,0,'2010-05-31 22:21:31',0,'2010-05-31 22:21:31',0,'2010-05-31 22:21:31',NULL,NULL,1,NULL),
 ('16044558-9E46-4A5E-947B-182F06AD5377',NULL,'2010-06-10 12:15:10','hoavaio',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','child','dodo',1,'2010-06-10 12:15:46','2010-06-10 12:15:10','2010-06-10 12:15:10',0,0,'2010-06-10 12:15:10',0,'2010-06-10 12:15:10',0,'2010-06-10 12:15:10',NULL,NULL,1,NULL),
 ('16116C44-7854-4085-B565-4F85B66DA81B',NULL,'2009-12-14 19:22:25','orasydradsips',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-14 19:22:25','2009-12-14 19:22:25','2009-12-14 19:22:25',0,0,'2009-12-14 19:22:25',0,'2009-12-14 19:22:25',0,'2009-12-14 19:22:25',NULL,NULL,1,NULL),
 ('16469283-D2EB-4F0C-A933-071F6D0DBF1A',NULL,'2010-09-11 16:06:04','WalmfaliDah',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-11 16:06:04','2010-09-11 16:06:04','2010-09-11 16:06:04',0,0,'2010-09-11 16:06:04',0,'2010-09-11 16:06:04',0,'2010-09-11 16:06:04',NULL,NULL,14,NULL),
 ('165790FC-628F-4D66-B506-9F0ABFFA4956',NULL,'2010-07-10 02:39:59','DebtSettlementAdvisor',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-10 02:40:04','2010-07-10 02:39:59','2010-07-10 02:39:59',0,0,'2010-07-10 02:39:59',0,'2010-07-10 02:39:59',0,'2010-07-10 02:39:59',NULL,NULL,1,NULL),
 ('166702FF-F81E-472E-B1EE-733A20BC59D2',NULL,'2010-03-10 02:11:01','utimosqfkkkqsq',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-10 02:11:00','2010-03-10 02:11:00','2010-03-10 02:11:00',0,0,'2010-03-10 02:11:00',0,'2010-03-10 02:11:00',0,'2010-03-10 02:11:00',NULL,NULL,1,NULL),
 ('166A0B3C-B612-4CA2-A214-A9E3EEE0F1E9',NULL,'2010-02-03 08:39:43','Allomokeple',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-03 08:39:43','2010-02-03 08:39:43','2010-02-03 08:39:43',0,0,'2010-02-03 08:39:43',0,'2010-02-03 08:39:43',0,'2010-02-03 08:39:43',NULL,NULL,1,NULL),
 ('167CB0AD-B1B1-4E1F-8A28-8F2D4CDE03C8',NULL,'2010-05-01 07:16:13','anaetlesmeseE',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-01 07:16:13','2010-05-01 07:16:13','2010-05-01 07:16:13',0,0,'2010-05-01 07:16:13',0,'2010-05-01 07:16:13',0,'2010-05-01 07:16:13',NULL,NULL,13,NULL),
 ('1683FE83-769B-4851-A9F4-16939FC88329',NULL,'2010-06-03 04:38:10','fueceendanD',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-03 04:38:10','2010-06-03 04:38:10','2010-06-03 04:38:10',0,0,'2010-06-03 04:38:10',0,'2010-06-03 04:38:10',0,'2010-06-03 04:38:10',NULL,NULL,1,NULL),
 ('169EA322-6314-44BD-95C6-8EE9088C362A',NULL,'2010-09-30 22:42:15','Geumdius',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-30 22:42:15','2010-09-30 22:42:15','2010-09-30 22:42:15',0,0,'2010-09-30 22:42:15',0,'2010-09-30 22:42:15',0,'2010-09-30 22:42:15',NULL,NULL,1,NULL),
 ('16AAC8DD-C5FC-4E2C-8655-B5865B59F755',NULL,'2010-05-20 13:09:42','Borovoyreasrr',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-20 13:09:42','2010-05-20 13:09:42','2010-05-20 13:09:42',0,0,'2010-05-20 13:09:42',0,'2010-05-20 13:09:42',0,'2010-05-20 13:09:42',NULL,NULL,1,NULL),
 ('16B27D47-BCE4-434D-9003-986CD4DD03E9',NULL,'2010-05-20 09:18:22','Tofspoisy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-20 09:18:22','2010-05-20 09:18:22','2010-05-20 09:18:22',0,0,'2010-05-20 09:18:22',0,'2010-05-20 09:18:22',0,'2010-05-20 09:18:22',NULL,NULL,13,NULL),
 ('16B6C035-5C1E-4A16-9487-C12FB0204F22',NULL,'2010-07-19 00:56:10','Cydaymype',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-19 00:56:10','2010-07-19 00:56:10','2010-07-19 00:56:10',0,0,'2010-07-19 00:56:10',0,'2010-07-19 00:56:10',0,'2010-07-19 00:56:10',NULL,NULL,13,NULL),
 ('16BDB402-FE86-4A50-8447-E5E103334A00',NULL,'2010-05-23 07:33:01','Crereuntebted',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-23 07:33:01','2010-05-23 07:33:01','2010-05-23 07:33:01',0,0,'2010-05-23 07:33:01',0,'2010-05-23 07:33:01',0,'2010-05-23 07:33:01',NULL,NULL,1,NULL),
 ('16DEB0AB-CDB3-41C5-9E15-A859083C16EE',NULL,'2010-04-13 19:29:38','eminleana',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-13 19:29:37','2010-04-13 19:29:37','2010-04-13 19:29:37',0,0,'2010-04-13 19:29:37',0,'2010-04-13 19:29:37',0,'2010-04-13 19:29:37',NULL,NULL,1,NULL),
 ('16E66AEF-FD1A-47AF-BE17-5A805046EE32',NULL,'2010-06-27 08:36:17','FZJames',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-27 08:36:17','2010-06-27 08:36:17','2010-06-27 08:36:17',0,0,'2010-06-27 08:36:17',0,'2010-06-27 08:36:17',0,'2010-06-27 08:36:17',NULL,NULL,13,NULL),
 ('16ECD127-6205-4C74-B3AF-A662ABB5FFD2',NULL,'2009-12-31 15:54:37','ordindito',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-31 15:54:37','2009-12-31 15:54:37','2009-12-31 15:54:37',0,0,'2009-12-31 15:54:37',0,'2009-12-31 15:54:37',0,'2009-12-31 15:54:37',NULL,NULL,15,NULL),
 ('171839FE-4E07-4663-8645-CDB0262FAFE4',NULL,'2010-02-05 22:17:27','ruttiniusiaky',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-05 22:17:34','2010-02-05 22:17:27','2010-02-05 22:17:27',0,0,'2010-02-05 22:17:27',0,'2010-02-05 22:17:27',0,'2010-02-05 22:17:27',NULL,NULL,13,NULL),
 ('17344BE4-3991-4A08-8834-85BE728B048B',NULL,'2010-09-17 18:51:18','Watsloask',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-17 18:51:18','2010-09-17 18:51:18','2010-09-17 18:51:18',0,0,'2010-09-17 18:51:18',0,'2010-09-17 18:51:18',0,'2010-09-17 18:51:18',NULL,NULL,1,NULL),
 ('178E3C5A-1C6A-4F75-831D-E8D2D071AB77',NULL,'2009-12-27 15:04:38','irremeteexurn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-27 15:04:38','2009-12-27 15:04:38','2009-12-27 15:04:38',0,0,'2009-12-27 15:04:38',0,'2009-12-27 15:04:38',0,'2009-12-27 15:04:38',NULL,NULL,15,NULL),
 ('179A5FBD-3EF3-4B8A-9FC9-DB4774715CE1',NULL,'2010-03-19 03:54:10','Stissinkigrar',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-19 03:54:10','2010-03-19 03:54:10','2010-03-19 03:54:10',0,0,'2010-03-19 03:54:10',0,'2010-03-19 03:54:10',0,'2010-03-19 03:54:10',NULL,NULL,1,NULL),
 ('17FA89F1-F221-4F75-AE8A-FF1C481DBF9E',NULL,'2010-05-15 04:36:17','Podrozyra',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-15 04:36:17','2010-05-15 04:36:17','2010-05-15 04:36:17',0,0,'2010-05-15 04:36:17',0,'2010-05-15 04:36:17',0,'2010-05-15 04:36:17',NULL,NULL,1,NULL),
 ('18005B07-CDB1-44CE-A66F-F4A27BA0EBF6',NULL,'2010-03-30 17:24:13','ProfessorTyres',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-30 17:24:13','2010-03-30 17:24:13','2010-03-30 17:24:13',0,0,'2010-03-30 17:24:13',0,'2010-03-30 17:24:13',0,'2010-03-30 17:24:13',NULL,NULL,1,NULL),
 ('18167CCB-9668-48B8-814A-D3B0C8210F1C',NULL,'2010-04-14 22:28:17','Trorienes',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-14 22:28:17','2010-04-14 22:28:17','2010-04-14 22:28:17',0,0,'2010-04-14 22:28:17',0,'2010-04-14 22:28:17',0,'2010-04-14 22:28:17',NULL,NULL,1,NULL),
 ('1851644E-E12D-4B30-9605-3103324CDB96',NULL,'2010-08-30 18:46:11','NelaSoaweedly',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-30 18:46:11','2010-08-30 18:46:11','2010-08-30 18:46:11',0,0,'2010-08-30 18:46:11',0,'2010-08-30 18:46:11',0,'2010-08-30 18:46:11',NULL,NULL,1,NULL),
 ('1852168C-39A8-4359-80D1-BE35F30814B8',NULL,'2010-10-08 20:17:43','hellobrk',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-10-08 21:30:15','2010-10-08 20:17:43','2010-10-08 20:17:43',0,0,'2010-10-08 20:17:43',0,'2010-10-08 20:17:43',0,'2010-10-08 20:17:43',NULL,NULL,1,NULL),
 ('187DCB9E-EFB3-4AD5-8D18-47B3BC39BC54',NULL,'2010-08-30 23:34:40','nindInvarry',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-30 23:34:40','2010-08-30 23:34:40','2010-08-30 23:34:40',0,0,'2010-08-30 23:34:40',0,'2010-08-30 23:34:40',0,'2010-08-30 23:34:40',NULL,NULL,1,NULL),
 ('188F53C6-18B0-42F3-A5CE-1F50D25268A3',NULL,'2010-03-14 09:25:51','wtf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','pissed off','yes',1,'2010-03-14 09:26:53','2010-03-14 09:26:44','2010-03-14 09:25:51',0,0,'2010-03-14 09:25:51',0,'2010-03-14 09:25:51',0,'2010-03-14 09:25:51',NULL,NULL,15,NULL),
 ('1892590B-0E8D-4747-A4D4-5F30CCF3E102',NULL,'2009-11-03 16:45:32','YCMichael',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-03 16:45:32','2009-11-03 16:45:32','2009-11-03 16:45:32',0,0,'2009-11-03 16:45:32',0,'2009-11-03 16:45:32',0,'2009-11-03 16:45:32',NULL,NULL,1,NULL),
 ('189A2B70-C7EF-4111-98B2-19253DA6A6F3',NULL,'2010-09-03 15:45:59','michaeltrefry',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-03 15:46:52','2010-09-03 15:45:59','2010-09-03 15:45:59',0,0,'2010-09-03 15:45:59',0,'2010-09-03 15:45:59',0,'2010-09-03 15:45:59',NULL,NULL,1,NULL),
 ('189D3DCB-2EAA-4E75-8B8D-A1B365EF4918',NULL,'2010-09-28 22:27:23','manykid',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-28 22:27:26','2010-09-28 22:27:23','2010-09-28 22:27:23',0,0,'2010-09-28 22:27:23',0,'2010-09-28 22:27:23',0,'2010-09-28 22:27:23',NULL,NULL,13,NULL),
 ('18E0C86F-0671-4A11-B8A0-18BBCE333663',NULL,'2010-06-06 07:52:00','leberanovichh',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-06 07:52:00','2010-06-06 07:52:00','2010-06-06 07:52:00',0,0,'2010-06-06 07:52:00',0,'2010-06-06 07:52:00',0,'2010-06-06 07:52:00',NULL,NULL,1,NULL),
 ('18E62D29-C823-4E42-B7A1-59204A4054F8',NULL,'2010-02-12 03:25:31','RizKiBToize',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-12 03:25:30','2010-02-12 03:25:30','2010-02-12 03:25:30',0,0,'2010-02-12 03:25:30',0,'2010-02-12 03:25:30',0,'2010-02-12 03:25:30',NULL,NULL,1,NULL),
 ('193CFC11-FF46-49E5-B391-F9C3E52735BF',NULL,'2010-01-12 20:14:25','Feattermanopatt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-12 20:14:25','2010-01-12 20:14:25','2010-01-12 20:14:25',0,0,'2010-01-12 20:14:25',0,'2010-01-12 20:14:25',0,'2010-01-12 20:14:25',NULL,NULL,1,NULL),
 ('195D267E-2DFA-4D80-8489-5AF4C26DC6A4',NULL,'2009-11-07 15:16:00','pete',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-07 15:16:00','2009-11-07 15:16:00','2009-11-07 15:16:00',0,0,'2009-11-07 15:16:00',0,'2009-11-07 15:16:00',0,'2009-11-07 15:16:00',NULL,NULL,1,NULL),
 ('19654116-5727-4A16-8398-29CD5465945E',NULL,'2010-07-02 20:07:36','Viarerofe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-02 20:07:36','2010-07-02 20:07:36','2010-07-02 20:07:36',0,0,'2010-07-02 20:07:36',0,'2010-07-02 20:07:36',0,'2010-07-02 20:07:36',NULL,NULL,13,NULL),
 ('1966F8CC-447F-4BB1-8328-3C9B77EE7828',NULL,'2010-09-22 19:33:34','KaphFophy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-22 19:33:34','2010-09-22 19:33:34','2010-09-22 19:33:34',0,0,'2010-09-22 19:33:34',0,'2010-09-22 19:33:34',0,'2010-09-22 19:33:34',NULL,NULL,1,NULL),
 ('1973DF4A-20D8-4D70-9C2F-D11AFDC7B4BA',NULL,'2010-05-08 15:22:39','LizaHayes',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-08 15:22:39','2010-05-08 15:22:39','2010-05-08 15:22:39',0,0,'2010-05-08 15:22:39',0,'2010-05-08 15:22:39',0,'2010-05-08 15:22:39',NULL,NULL,1,NULL);
INSERT INTO `users` (`UserID`,`Name`,`CreationDate`,`Username`,`ApplicationName`,`Email`,`Password`,`PasswordQuestion`,`PasswordAnswer`,`IsApproved`,`LastActivityDate`,`LastLoginDate`,`LastPasswordChangedDate`,`IsOnline`,`IsLockedOut`,`LastLockedOutDate`,`FailedPasswordAttemptCount`,`FailedPasswordAttemptWindowStart`,`FailedPasswordAnswerAttemptCount`,`FailedPasswordAnswerAttemptWindowStart`,`LastModified`,`Comment`,`PortalID`,`OpenId`) VALUES 
 ('1973F26B-BF56-407F-9617-9600DF64FC7C',NULL,'2010-04-02 05:56:41','??????',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-02 05:56:41','2010-04-02 05:56:41','2010-04-02 05:56:41',0,0,'2010-04-02 05:56:41',0,'2010-04-02 05:56:41',0,'2010-04-02 05:56:41',NULL,NULL,1,NULL),
 ('197E6FC9-8633-4C55-B8D6-F10B6EDE8374',NULL,'2010-05-19 21:38:12','Fxphilis',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-19 21:38:12','2010-05-19 21:38:12','2010-05-19 21:38:12',0,0,'2010-05-19 21:38:12',0,'2010-05-19 21:38:12',0,'2010-05-19 21:38:12',NULL,NULL,1,NULL),
 ('198E6082-3BE3-41BD-BB5F-5B4495CD99E2',NULL,'2010-05-07 13:51:45','DeKarafootsky',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-07 13:51:53','2010-05-07 13:51:45','2010-05-07 13:51:45',0,0,'2010-05-07 13:51:45',0,'2010-05-07 13:51:45',0,'2010-05-07 13:51:45',NULL,NULL,1,NULL),
 ('19DCDAAF-1DE8-4CA4-B1DE-CB92E9B4D265',NULL,'2010-08-08 01:01:08','Uniogsagori',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-08 01:01:08','2010-08-08 01:01:08','2010-08-08 01:01:08',0,0,'2010-08-08 01:01:08',0,'2010-08-08 01:01:08',0,'2010-08-08 01:01:08',NULL,NULL,13,NULL),
 ('19ECD407-F600-4CBF-AFEE-D0FAF12B3CFC',NULL,'2010-10-04 20:39:20','tisptearp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-04 20:40:13','2010-10-04 20:39:20','2010-10-04 20:39:20',0,0,'2010-10-04 20:39:20',0,'2010-10-04 20:39:20',0,'2010-10-04 20:39:20',NULL,NULL,1,NULL),
 ('1A569DE7-1C45-47A9-9E05-C84AC7EF7152',NULL,'2010-08-22 06:22:42','PetutitSequig',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-22 06:22:42','2010-08-22 06:22:42','2010-08-22 06:22:42',0,0,'2010-08-22 06:22:42',0,'2010-08-22 06:22:42',0,'2010-08-22 06:22:42',NULL,NULL,13,NULL),
 ('1A66CAEB-F257-469A-B83A-DD9E07627CAF',NULL,'2010-02-12 21:59:57','Gemmoroy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-12 21:59:57','2010-02-12 21:59:57','2010-02-12 21:59:57',0,0,'2010-02-12 21:59:57',0,'2010-02-12 21:59:57',0,'2010-02-12 21:59:57',NULL,NULL,1,NULL),
 ('1ADA9FBC-09D4-4881-83EA-AC9E1523B52C',NULL,'2009-12-04 18:23:37','emuspense',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-04 18:23:37','2009-12-04 18:23:37','2009-12-04 18:23:37',0,0,'2009-12-04 18:23:37',0,'2009-12-04 18:23:37',0,'2009-12-04 18:23:37',NULL,NULL,1,NULL),
 ('1AF25799-1BAD-4C7A-A3FB-EA003A14569D',NULL,'2010-09-23 13:35:04','scadvasouts',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-23 13:35:04','2010-09-23 13:35:04','2010-09-23 13:35:04',0,0,'2010-09-23 13:35:04',0,'2010-09-23 13:35:04',0,'2010-09-23 13:35:04',NULL,NULL,1,NULL),
 ('1AFAB4BD-DD15-430C-9C92-AD77974C1D67',NULL,'2010-05-27 09:22:36','nudepicss',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-27 09:22:36','2010-05-27 09:22:36','2010-05-27 09:22:36',0,0,'2010-05-27 09:22:36',0,'2010-05-27 09:22:36',0,'2010-05-27 09:22:36',NULL,NULL,13,NULL),
 ('1B032A48-BBD5-4A56-858F-AB1AD5162FEC',NULL,'2010-03-23 18:05:41','petIntiplenag',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-23 18:05:41','2010-03-23 18:05:41','2010-03-23 18:05:41',0,0,'2010-03-23 18:05:41',0,'2010-03-23 18:05:41',0,'2010-03-23 18:05:41',NULL,NULL,1,NULL),
 ('1B2AB994-58AB-489E-9FA7-86ABB514C417',NULL,'2010-07-18 22:58:29','nohemoroynot',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-18 22:58:29','2010-07-18 22:58:29','2010-07-18 22:58:29',0,0,'2010-07-18 22:58:29',0,'2010-07-18 22:58:29',0,'2010-07-18 22:58:29',NULL,NULL,1,NULL),
 ('1B725858-AAC5-4A03-A9F0-461F54801B94',NULL,'2010-07-24 07:09:40','Moohyhoggicky',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-24 07:09:40','2010-07-24 07:09:40','2010-07-24 07:09:40',0,0,'2010-07-24 07:09:40',0,'2010-07-24 07:09:40',0,'2010-07-24 07:09:40',NULL,NULL,1,NULL),
 ('1B74C22E-C6A8-44B3-8561-98CEED75838F',NULL,'2010-08-06 03:46:11','MichelleHela',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-06 03:46:11','2010-08-06 03:46:11','2010-08-06 03:46:11',0,0,'2010-08-06 03:46:11',0,'2010-08-06 03:46:11',0,'2010-08-06 03:46:11',NULL,NULL,13,NULL),
 ('1BAE7806-CF05-46BC-A110-ECAC9174301B',NULL,'2010-07-02 07:33:36','dinvareescese',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-02 07:33:36','2010-07-02 07:33:36','2010-07-02 07:33:36',0,0,'2010-07-02 07:33:36',0,'2010-07-02 07:33:36',0,'2010-07-02 07:33:36',NULL,NULL,13,NULL),
 ('1BC7498A-90FF-424C-9C51-7B9FFF54AB8B',NULL,'2010-09-04 18:18:35','Golmindalin',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-04 18:18:35','2010-09-04 18:18:35','2010-09-04 18:18:35',0,0,'2010-09-04 18:18:35',0,'2010-09-04 18:18:35',0,'2010-09-04 18:18:35',NULL,NULL,1,NULL),
 ('1BD6C3CC-526F-400C-8FDE-43CCD04FFCA6',NULL,'2010-08-30 04:22:56','paulxjames',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-30 04:22:56','2010-08-30 04:22:56','2010-08-30 04:22:56',0,0,'2010-08-30 04:22:56',0,'2010-08-30 04:22:56',0,'2010-08-30 04:22:56',NULL,NULL,14,NULL),
 ('1BFF3098-C043-4777-86AA-AF5121C6B997',NULL,'2010-04-03 03:23:34','CidsRodydot',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-03 03:23:34','2010-04-03 03:23:34','2010-04-03 03:23:34',0,0,'2010-04-03 03:23:34',0,'2010-04-03 03:23:34',0,'2010-04-03 03:23:34',NULL,NULL,1,NULL),
 ('1C0CD3B8-1C4F-46E8-ABD5-71CCEB13D3F5',NULL,'2010-01-22 10:50:09','DrMarkZilcpundiz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-22 10:50:09','2010-01-22 10:50:09','2010-01-22 10:50:09',0,0,'2010-01-22 10:50:09',0,'2010-01-22 10:50:09',0,'2010-01-22 10:50:09',NULL,NULL,1,NULL),
 ('1C0FA9C5-4EB3-4E9A-B7CC-861B239B5FCE',NULL,'2010-07-02 13:07:03','DaubsRab',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-02 13:07:03','2010-07-02 13:07:03','2010-07-02 13:07:03',0,0,'2010-07-02 13:07:03',0,'2010-07-02 13:07:03',0,'2010-07-02 13:07:03',NULL,NULL,14,NULL),
 ('1C8EFA7C-D2CD-47C1-B44B-93904800EA5B',NULL,'2010-04-28 19:52:21','BreableSepe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-28 19:52:21','2010-04-28 19:52:21','2010-04-28 19:52:21',0,0,'2010-04-28 19:52:21',0,'2010-04-28 19:52:21',0,'2010-04-28 19:52:21',NULL,NULL,13,NULL),
 ('1CAB3084-7C17-4F2E-9BF0-C163EEE7BF13',NULL,'2010-07-01 17:41:58','adamxxquiz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-01 17:41:58','2010-07-01 17:41:58','2010-07-01 17:41:58',0,0,'2010-07-01 17:41:58',0,'2010-07-01 17:41:58',0,'2010-07-01 17:41:58',NULL,NULL,1,NULL),
 ('1CF486D6-B70F-4FD2-8057-F26D3C2EC166',NULL,'2010-03-16 08:01:14','Bestsecuredloans',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-16 08:01:14','2010-03-16 08:01:14','2010-03-16 08:01:14',0,0,'2010-03-16 08:01:14',0,'2010-03-16 08:01:14',0,'2010-03-16 08:01:14',NULL,NULL,13,NULL),
 ('1CFF6547-916F-4723-881A-2133F2D1F036',NULL,'2010-05-29 13:19:30','radiopodarok',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-29 13:19:30','2010-05-29 13:19:30','2010-05-29 13:19:30',0,0,'2010-05-29 13:19:30',0,'2010-05-29 13:19:30',0,'2010-05-29 13:19:30',NULL,NULL,1,NULL),
 ('1D009D5D-00F6-4ED5-A0ED-103800D214BA',NULL,'2010-04-19 22:54:40','dummer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','a babe for you type 123','123',1,'2010-04-26 18:44:23','2010-04-26 18:41:13','2010-04-19 22:54:40',0,0,'2010-04-19 22:54:40',3,'2010-04-26 07:22:13',0,'2010-04-19 22:54:40',NULL,NULL,1,NULL),
 ('1D159FC6-4931-440D-8C50-5311168F5A63',NULL,'2010-08-28 20:58:16','Effernolf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-28 20:58:16','2010-08-28 20:58:16','2010-08-28 20:58:16',0,0,'2010-08-28 20:58:16',0,'2010-08-28 20:58:16',0,'2010-08-28 20:58:16',NULL,NULL,1,NULL),
 ('1D32CCF8-9C35-4615-89DA-2A635CCB5CD0',NULL,'2010-06-08 13:32:14','cashforgold',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-08 13:32:14','2010-06-08 13:32:14','2010-06-08 13:32:14',0,0,'2010-06-08 13:32:14',0,'2010-06-08 13:32:14',0,'2010-06-08 13:32:14',NULL,NULL,1,NULL),
 ('1D8088D1-A907-4A89-9958-96E94A3C318D',NULL,'2010-08-28 09:09:34','blogcgreality',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-28 09:09:34','2010-08-28 09:09:34','2010-08-28 09:09:34',0,0,'2010-08-28 09:09:34',0,'2010-08-28 09:09:34',0,'2010-08-28 09:09:34',NULL,NULL,1,NULL),
 ('1D81CBAF-FBFA-4E31-B412-C4872AA0B300',NULL,'2010-06-27 23:07:28','Goderustes',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-27 23:07:28','2010-06-27 23:07:28','2010-06-27 23:07:28',0,0,'2010-06-27 23:07:28',0,'2010-06-27 23:07:28',0,'2010-06-27 23:07:28',NULL,NULL,1,NULL),
 ('1D8F3ACF-652F-46BF-96BB-79E6FC1462FA',NULL,'2009-12-08 20:57:00','frortioro',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-08 20:57:00','2009-12-08 20:57:00','2009-12-08 20:57:00',0,0,'2009-12-08 20:57:00',0,'2009-12-08 20:57:00',0,'2009-12-08 20:57:00',NULL,NULL,1,NULL),
 ('1D9187BA-92EB-4C31-A427-4C7376DDC9D3',NULL,'2010-03-09 14:17:12','SaraHype',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-09 14:17:12','2010-03-09 14:17:12','2010-03-09 14:17:12',0,0,'2010-03-09 14:17:12',0,'2010-03-09 14:17:12',0,'2010-03-09 14:17:12',NULL,NULL,1,NULL),
 ('1D9226BE-3E0A-44D3-BACA-D986BAE40D35',NULL,'2010-01-02 06:09:36','tjerk',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','watisjevolledigenaamaanelkaar','tjerkheringa',1,'2010-01-02 06:11:55','2010-01-02 06:09:36','2010-01-02 06:09:36',0,0,'2010-01-02 06:09:36',0,'2010-01-02 06:09:36',0,'2010-01-02 06:09:36',NULL,NULL,1,NULL),
 ('1DBA556D-1DF8-4BB2-882C-C2D1D251E967',NULL,'2010-10-01 19:34:26','SileFrelorn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-01 19:34:26','2010-10-01 19:34:26','2010-10-01 19:34:26',0,0,'2010-10-01 19:34:26',0,'2010-10-01 19:34:26',0,'2010-10-01 19:34:26',NULL,NULL,1,NULL),
 ('1DC4A13D-734D-4F63-B18B-C738BEC55F6B',NULL,'2010-05-12 06:42:16','imatialiomogs',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-12 06:42:16','2010-05-12 06:42:16','2010-05-12 06:42:16',0,0,'2010-05-12 06:42:16',0,'2010-05-12 06:42:16',0,'2010-05-12 06:42:16',NULL,NULL,14,NULL),
 ('1DD3BA0B-0AF3-491C-997F-296B613D8964',NULL,'2010-08-27 00:43:31','SmokyJoeyh3',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-27 00:43:36','2010-08-27 00:43:31','2010-08-27 00:43:31',0,0,'2010-08-27 00:43:31',0,'2010-08-27 00:43:31',0,'2010-08-27 00:43:31',NULL,NULL,13,NULL),
 ('1E15476E-6859-4A9A-9782-74C67B3A5230',NULL,'2010-03-25 08:07:30','adagPisee',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-25 08:07:30','2010-03-25 08:07:30','2010-03-25 08:07:30',0,0,'2010-03-25 08:07:30',0,'2010-03-25 08:07:30',0,'2010-03-25 08:07:30',NULL,NULL,1,NULL),
 ('1E33E286-8AF4-46A6-ACD5-4058AD297B99',NULL,'2010-04-28 08:07:07','OlaHype',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-28 08:07:07','2010-04-28 08:07:07','2010-04-28 08:07:07',0,0,'2010-04-28 08:07:07',0,'2010-04-28 08:07:07',0,'2010-04-28 08:07:07',NULL,NULL,1,NULL),
 ('1E34B35F-4BF2-482B-A4AC-8185F42217D9',NULL,'2010-10-04 01:28:53','antwanhgibbskc',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-04 01:28:53','2010-10-04 01:28:53','2010-10-04 01:28:53',0,0,'2010-10-04 01:28:53',0,'2010-10-04 01:28:53',0,'2010-10-04 01:28:53',NULL,NULL,13,NULL),
 ('1E433557-BB80-4D7C-9078-FAE09FA2D10C',NULL,'2009-12-29 20:39:29','Onelewabcrele',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-29 20:39:29','2009-12-29 20:39:29','2009-12-29 20:39:29',0,0,'2009-12-29 20:39:29',0,'2009-12-29 20:39:29',0,'2009-12-29 20:39:29',NULL,NULL,1,NULL),
 ('1E510052-862F-4BA5-9EB6-088205C767DF',NULL,'2010-02-02 01:21:25','OntosseAdhede',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-02 01:21:25','2010-02-02 01:21:25','2010-02-02 01:21:25',0,0,'2010-02-02 01:21:25',0,'2010-02-02 01:21:25',0,'2010-02-02 01:21:25',NULL,NULL,1,NULL),
 ('1E59EFAB-5CC9-4382-872A-2E3BD6935BB4',NULL,'2009-12-24 07:41:55','Steardydoobre',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-24 07:41:55','2009-12-24 07:41:55','2009-12-24 07:41:55',0,0,'2009-12-24 07:41:55',0,'2009-12-24 07:41:55',0,'2009-12-24 07:41:55',NULL,NULL,1,NULL),
 ('1E6D3CBE-FB1E-4932-B5EF-FD3A87ECF062',NULL,'2010-06-14 07:25:22','neberom',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-18 10:20:47','2010-06-18 10:20:46','2010-06-14 07:25:22',0,0,'2010-06-14 07:25:22',0,'2010-06-14 07:25:22',0,'2010-06-14 07:25:22',NULL,NULL,1,NULL),
 ('1E85EAF3-B708-4664-8EFE-FB3BB796BF86',NULL,'2009-12-31 12:11:16','albutta',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','Vancouver','Canada',1,'2010-01-03 06:29:26','2010-01-03 05:15:49','2009-12-31 12:11:16',0,0,'2009-12-31 12:11:16',0,'2009-12-31 12:11:16',0,'2009-12-31 12:11:16',NULL,NULL,1,NULL),
 ('1EACC681-A8CA-49EF-A13C-D184C25E1CA8',NULL,'2010-04-08 10:00:28','Cwhirtyb',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-08 10:00:31','2010-04-08 10:00:28','2010-04-08 10:00:28',0,0,'2010-04-08 10:00:28',0,'2010-04-08 10:00:28',0,'2010-04-08 10:00:28',NULL,NULL,1,NULL),
 ('1EC82D5B-0604-4E2B-A55E-554EE33EE488',NULL,'2010-03-08 10:05:48','BestPharmaQWERT',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-08 10:05:48','2010-03-08 10:05:48','2010-03-08 10:05:48',0,0,'2010-03-08 10:05:48',0,'2010-03-08 10:05:48',0,'2010-03-08 10:05:48',NULL,NULL,1,NULL),
 ('1F0B4984-BBD0-4705-8121-EA6155DF4CC0',NULL,'2010-03-25 10:39:24','faiskeoadave',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-25 10:39:24','2010-03-25 10:39:24','2010-03-25 10:39:24',0,0,'2010-03-25 10:39:24',0,'2010-03-25 10:39:24',0,'2010-03-25 10:39:24',NULL,NULL,13,NULL),
 ('1F58C129-3D8F-4394-A688-070C8C80618F',NULL,'2010-08-27 03:58:38','NafTharowaw',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-27 03:58:38','2010-08-27 03:58:38','2010-08-27 03:58:38',0,0,'2010-08-27 03:58:38',0,'2010-08-27 03:58:38',0,'2010-08-27 03:58:38',NULL,NULL,13,NULL),
 ('1F7AD0D1-FB1E-496F-8744-59BB7122A710',NULL,'2009-12-13 03:32:06','witiokz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-12-13 03:32:39','2009-12-13 03:32:06','2009-12-13 03:32:06',0,0,'2009-12-13 03:32:06',0,'2009-12-13 03:32:06',0,'2009-12-13 03:32:06',NULL,NULL,15,NULL),
 ('1F7E506D-DB1D-4245-9BC6-F655D6159119',NULL,'2009-11-26 06:31:16','Jahja',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','Wie is ze bomba?','Jahja',1,'2009-11-26 07:17:06','2009-11-26 06:31:16','2009-11-26 06:31:16',0,0,'2009-11-26 06:31:16',0,'2009-11-26 06:31:16',0,'2009-11-26 06:31:16',NULL,NULL,1,NULL),
 ('1F803727-6B35-4960-90FC-5CAD36039E3F',NULL,'2010-10-01 12:49:49','fermedevanzare',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-01 12:49:49','2010-10-01 12:49:49','2010-10-01 12:49:49',0,0,'2010-10-01 12:49:49',0,'2010-10-01 12:49:49',0,'2010-10-01 12:49:49',NULL,NULL,13,NULL),
 ('1F879A70-99C5-4B81-9ABE-15EEB2A23155',NULL,'2010-04-02 02:26:34','AlbertaD',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-02 02:26:34','2010-04-02 02:26:34','2010-04-02 02:26:34',0,0,'2010-04-02 02:26:34',0,'2010-04-02 02:26:34',0,'2010-04-02 02:26:34',NULL,NULL,13,NULL),
 ('1F93D530-F0A1-4236-9431-DAD61D989392',NULL,'2009-11-14 17:02:45','DrityDresee',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-14 17:02:45','2009-11-14 17:02:45','2009-11-14 17:02:45',0,0,'2009-11-14 17:02:45',0,'2009-11-14 17:02:45',0,'2009-11-14 17:02:45',NULL,NULL,1,NULL),
 ('1FC5E371-C157-422D-B1C0-41BA96DFE329',NULL,'2010-08-22 14:38:40','CyrilSurLyon',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-22 14:38:40','2010-08-22 14:38:40','2010-08-22 14:38:40',0,0,'2010-08-22 14:38:40',0,'2010-08-22 14:38:40',0,'2010-08-22 14:38:40',NULL,NULL,1,NULL),
 ('202C3597-C23D-4D73-940D-1B2520783E01',NULL,'2010-03-11 20:22:24','TapglydayPrurhootsxb',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-11 20:22:24','2010-03-11 20:22:24','2010-03-11 20:22:24',0,0,'2010-03-11 20:22:24',0,'2010-03-11 20:22:24',0,'2010-03-11 20:22:24',NULL,NULL,1,NULL),
 ('206850A3-8256-4F8A-853B-83555DD88278',NULL,'2010-07-19 03:11:44','atteftenzycle',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-19 03:11:44','2010-07-19 03:11:44','2010-07-19 03:11:44',0,0,'2010-07-19 03:11:44',0,'2010-07-19 03:11:44',0,'2010-07-19 03:11:44',NULL,NULL,14,NULL),
 ('20D54AF9-99AD-468B-A91F-AA8CB01022F0',NULL,'2010-08-27 21:05:21','maxmillspace',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-27 21:05:21','2010-08-27 21:05:21','2010-08-27 21:05:21',0,0,'2010-08-27 21:05:21',0,'2010-08-27 21:05:21',0,'2010-08-27 21:05:21',NULL,NULL,1,NULL),
 ('20DB0AA9-CFE2-4169-AD0D-DB6D254CEA90',NULL,'2010-07-28 17:25:38','FoewOxymmew',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-28 17:25:38','2010-07-28 17:25:38','2010-07-28 17:25:38',0,0,'2010-07-28 17:25:38',0,'2010-07-28 17:25:38',0,'2010-07-28 17:25:38',NULL,NULL,14,NULL),
 ('20E97622-BAC9-40D2-A409-66A02BFC3F61',NULL,'2010-08-21 23:06:09','NarwhaliusS',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-21 23:06:09','2010-08-21 23:06:09','2010-08-21 23:06:09',0,0,'2010-08-21 23:06:09',0,'2010-08-21 23:06:09',0,'2010-08-21 23:06:09',NULL,NULL,1,NULL),
 ('20F8EFB7-92AE-4706-97CA-B1FA07BD26F2',NULL,'2010-04-29 17:11:36','predatorforyou',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-29 17:11:36','2010-04-29 17:11:36','2010-04-29 17:11:36',0,0,'2010-04-29 17:11:36',0,'2010-04-29 17:11:36',0,'2010-04-29 17:11:36',NULL,NULL,1,NULL),
 ('2140C1B6-D991-434A-AD3B-2226E2C66D0B',NULL,'2010-05-26 05:56:34','sobseriab',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-26 05:56:34','2010-05-26 05:56:34','2010-05-26 05:56:34',0,0,'2010-05-26 05:56:34',0,'2010-05-26 05:56:34',0,'2010-05-26 05:56:34',NULL,NULL,1,NULL),
 ('2179FB01-BC34-45F4-A3ED-A1EDA83060D9',NULL,'2010-03-29 07:50:37','Sowempassewen',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-29 07:50:36','2010-03-29 07:50:36','2010-03-29 07:50:36',0,0,'2010-03-29 07:50:36',0,'2010-03-29 07:50:36',0,'2010-03-29 07:50:36',NULL,NULL,1,NULL),
 ('2196219A-3C6F-47CD-A100-4DEC08E71D90',NULL,'2010-04-25 13:45:49','Diomymoda',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-25 13:45:49','2010-04-25 13:45:49','2010-04-25 13:45:49',0,0,'2010-04-25 13:45:49',0,'2010-04-25 13:45:49',0,'2010-04-25 13:45:49',NULL,NULL,1,NULL),
 ('2196EEDD-5219-4BF8-97D7-BB2295CD01E2',NULL,'2010-09-23 18:15:55','MopebyMex',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-23 18:15:55','2010-09-23 18:15:55','2010-09-23 18:15:55',0,0,'2010-09-23 18:15:55',0,'2010-09-23 18:15:55',0,'2010-09-23 18:15:55',NULL,NULL,1,NULL),
 ('219A1F06-84EA-4723-91ED-3062BDC0DF20',NULL,'2010-06-03 14:39:53','berrovicch',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-03 14:39:53','2010-06-03 14:39:53','2010-06-03 14:39:53',0,0,'2010-06-03 14:39:53',0,'2010-06-03 14:39:53',0,'2010-06-03 14:39:53',NULL,NULL,1,NULL),
 ('21AAFF6C-CF35-4CF7-B4AC-2FA937846E3F',NULL,'2010-06-06 11:55:43','Rettrroper',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-06 11:55:43','2010-06-06 11:55:43','2010-06-06 11:55:43',0,0,'2010-06-06 11:55:43',0,'2010-06-06 11:55:43',0,'2010-06-06 11:55:43',NULL,NULL,1,NULL),
 ('21D72B18-F7F5-440C-93E4-0A3B4A83C823',NULL,'2010-08-15 03:42:05','nazzaaw',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-15 03:42:05','2010-08-15 03:42:05','2010-08-15 03:42:05',0,0,'2010-08-15 03:42:05',0,'2010-08-15 03:42:05',0,'2010-08-15 03:42:05',NULL,NULL,1,NULL),
 ('21E50A34-19A3-4372-BC26-9025250FAD6F',NULL,'2010-08-27 06:29:59','HenryJibril',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-27 06:29:59','2010-08-27 06:29:59','2010-08-27 06:29:59',0,0,'2010-08-27 06:29:59',0,'2010-08-27 06:29:59',0,'2010-08-27 06:29:59',NULL,NULL,13,NULL),
 ('220F9B49-70F0-45DB-9614-5089689488A4',NULL,'2010-05-28 08:30:07','Notskynow',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-28 08:30:07','2010-05-28 08:30:07','2010-05-28 08:30:07',0,0,'2010-05-28 08:30:07',0,'2010-05-28 08:30:07',0,'2010-05-28 08:30:07',NULL,NULL,1,NULL),
 ('2282A697-8D7B-4967-8772-150E283E34F3',NULL,'2010-09-07 14:06:57','Toitiough',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-07 14:06:57','2010-09-07 14:06:57','2010-09-07 14:06:57',0,0,'2010-09-07 14:06:57',0,'2010-09-07 14:06:57',0,'2010-09-07 14:06:57',NULL,NULL,1,NULL),
 ('22EBA499-EC45-4FEB-A459-CDF93D5ACB6D',NULL,'2010-08-24 18:03:15','Jaissatread',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-24 18:03:15','2010-08-24 18:03:15','2010-08-24 18:03:15',0,0,'2010-08-24 18:03:15',0,'2010-08-24 18:03:15',0,'2010-08-24 18:03:15',NULL,NULL,13,NULL),
 ('23052C92-7AB4-457C-B5C4-F7A1D3205B01',NULL,'2010-07-16 03:24:58','GallantBMan',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-16 03:24:58','2010-07-16 03:24:58','2010-07-16 03:24:58',0,0,'2010-07-16 03:24:58',0,'2010-07-16 03:24:58',0,'2010-07-16 03:24:58',NULL,NULL,1,NULL),
 ('231B74C9-214F-45F6-8639-015F461C13B4',NULL,'2010-08-17 11:56:10','RaBync',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-17 11:56:10','2010-08-17 11:56:10','2010-08-17 11:56:10',0,0,'2010-08-17 11:56:10',0,'2010-08-17 11:56:10',0,'2010-08-17 11:56:10',NULL,NULL,1,NULL),
 ('232F166D-1CEB-4B7C-91DC-50515640EB77',NULL,'2010-03-23 16:16:06','reyis',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-23 16:16:25','2010-03-23 16:16:06','2010-03-23 16:16:06',0,0,'2010-03-23 16:16:06',0,'2010-03-23 16:16:06',0,'2010-03-23 16:16:06',NULL,NULL,1,NULL),
 ('23B2D802-989E-4AEF-AB8A-3DAE31A1536D',NULL,'2010-03-25 19:36:18','remontnik',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-25 19:36:20','2010-03-25 19:36:17','2010-03-25 19:36:17',0,0,'2010-03-25 19:36:17',0,'2010-03-25 19:36:17',0,'2010-03-25 19:36:17',NULL,NULL,1,NULL),
 ('23C6D1AC-03CF-4AB2-8278-B0A119B8ADD2',NULL,'2010-02-21 19:04:13','zhiromylo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-21 19:04:13','2010-02-21 19:04:13','2010-02-21 19:04:13',0,0,'2010-02-21 19:04:13',0,'2010-02-21 19:04:13',0,'2010-02-21 19:04:13',NULL,NULL,13,NULL),
 ('243C86AE-F368-4419-AD0E-DE3D6B19F5E6',NULL,'2010-02-11 04:24:11','nickef',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-11 04:24:27','2010-02-11 04:24:10','2010-02-11 04:24:10',0,0,'2010-02-11 04:24:10',0,'2010-02-11 04:24:10',0,'2010-02-11 04:24:10',NULL,NULL,1,NULL),
 ('2462CC18-7E77-4DDE-8D16-6BA4A67A3571',NULL,'2010-05-07 07:10:56','betsabeslim',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-07 07:10:56','2010-05-07 07:10:56','2010-05-07 07:10:56',0,0,'2010-05-07 07:10:56',0,'2010-05-07 07:10:56',0,'2010-05-07 07:10:56',NULL,NULL,1,NULL),
 ('24663E99-12A8-4422-B0A6-1B54E24CB316',NULL,'2010-08-12 16:27:50','Katekeva',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-12 16:27:50','2010-08-12 16:27:50','2010-08-12 16:27:50',0,0,'2010-08-12 16:27:50',0,'2010-08-12 16:27:50',0,'2010-08-12 16:27:50',NULL,NULL,1,NULL),
 ('248C875D-9541-40D3-8347-F50558773445',NULL,'2010-09-20 10:52:23','linejople',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-20 10:52:23','2010-09-20 10:52:23','2010-09-20 10:52:23',0,0,'2010-09-20 10:52:23',0,'2010-09-20 10:52:23',0,'2010-09-20 10:52:23',NULL,NULL,13,NULL),
 ('24F4DFEC-0D84-4786-8AAD-8CF06E34A4F5',NULL,'2010-03-18 17:53:46','Wapermopriabe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-18 17:53:46','2010-03-18 17:53:46','2010-03-18 17:53:46',0,0,'2010-03-18 17:53:46',0,'2010-03-18 17:53:46',0,'2010-03-18 17:53:46',NULL,NULL,1,NULL),
 ('24F67905-332A-46FF-85B9-AACB8C7A357C',NULL,'2010-05-07 11:50:02','illeceupsem',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-07 11:50:02','2010-05-07 11:50:02','2010-05-07 11:50:02',0,0,'2010-05-07 11:50:02',0,'2010-05-07 11:50:02',0,'2010-05-07 11:50:02',NULL,NULL,1,NULL),
 ('24F702D1-C408-4F0C-B757-01C43897A652',NULL,'2010-08-08 15:07:17','Flifiarry',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-08 15:07:17','2010-08-08 15:07:17','2010-08-08 15:07:17',0,0,'2010-08-08 15:07:17',0,'2010-08-08 15:07:17',0,'2010-08-08 15:07:17',NULL,NULL,1,NULL),
 ('2513B685-9070-4DFA-89F8-3996D703EA27',NULL,'2010-05-22 09:01:51','jacobmidlerdf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-22 09:01:51','2010-05-22 09:01:51','2010-05-22 09:01:51',0,0,'2010-05-22 09:01:51',0,'2010-05-22 09:01:51',0,'2010-05-22 09:01:51',NULL,NULL,14,NULL),
 ('2541EA34-B96A-4278-A654-EB7D39715234',NULL,'2010-08-30 09:07:46','hubysuimb',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-30 09:07:46','2010-08-30 09:07:46','2010-08-30 09:07:46',0,0,'2010-08-30 09:07:46',0,'2010-08-30 09:07:46',0,'2010-08-30 09:07:46',NULL,NULL,1,NULL),
 ('2591042E-6F70-464C-BDBC-41A38B75C533',NULL,'2010-09-03 12:54:46','DiepErermed',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-03 12:54:45','2010-09-03 12:54:45','2010-09-03 12:54:45',0,0,'2010-09-03 12:54:45',0,'2010-09-03 12:54:45',0,'2010-09-03 12:54:45',NULL,NULL,1,NULL),
 ('25CF9D9A-CFAB-49A9-8D6E-8A1BDDFC60AE',NULL,'2010-02-19 00:42:06','furlRoalo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-19 00:42:06','2010-02-19 00:42:06','2010-02-19 00:42:06',0,0,'2010-02-19 00:42:06',0,'2010-02-19 00:42:06',0,'2010-02-19 00:42:06',NULL,NULL,13,NULL),
 ('25D6391C-D0FE-42BD-9480-44A2B452EC76',NULL,'2010-04-26 16:32:27','LashPeste',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-26 16:32:27','2010-04-26 16:32:27','2010-04-26 16:32:27',0,0,'2010-04-26 16:32:27',0,'2010-04-26 16:32:27',0,'2010-04-26 16:32:27',NULL,NULL,14,NULL),
 ('25DEA925-3E06-43F5-84EE-1F2B1816C295',NULL,'2010-07-09 02:39:02','bladuansamn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-09 02:39:02','2010-07-09 02:39:02','2010-07-09 02:39:02',0,0,'2010-07-09 02:39:02',0,'2010-07-09 02:39:02',0,'2010-07-09 02:39:02',NULL,NULL,1,NULL),
 ('25FF1B0A-F7CD-4B6E-86E3-E027F59A114B',NULL,'2010-05-20 19:41:12','ClenIrrarse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-20 19:41:12','2010-05-20 19:41:12','2010-05-20 19:41:12',0,0,'2010-05-20 19:41:12',0,'2010-05-20 19:41:12',0,'2010-05-20 19:41:12',NULL,NULL,1,NULL),
 ('265BF070-F7A1-4218-A373-EC00854220D3',NULL,'2010-03-04 00:21:22','evanlilly',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-04 00:21:22','2010-03-04 00:21:22','2010-03-04 00:21:22',0,0,'2010-03-04 00:21:22',0,'2010-03-04 00:21:22',0,'2010-03-04 00:21:22',NULL,NULL,1,NULL),
 ('267B5865-8146-4D0A-BFE0-3E818124E609',NULL,'2010-01-18 16:27:29','Annoutoug',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-18 16:27:29','2010-01-18 16:27:29','2010-01-18 16:27:29',0,0,'2010-01-18 16:27:29',0,'2010-01-18 16:27:29',0,'2010-01-18 16:27:29',NULL,NULL,15,NULL),
 ('267E0EB1-AF56-4908-910E-719098A778E9',NULL,'2010-02-07 13:41:14','clubpenguincheat',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-07 13:41:14','2010-02-07 13:41:14','2010-02-07 13:41:14',0,0,'2010-02-07 13:41:14',0,'2010-02-07 13:41:14',0,'2010-02-07 13:41:14',NULL,NULL,13,NULL),
 ('26870949-C430-43DB-8C3D-CD07BC94712F',NULL,'2010-09-02 04:29:25','allhadrs',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-02 04:29:25','2010-09-02 04:29:25','2010-09-02 04:29:25',0,0,'2010-09-02 04:29:25',0,'2010-09-02 04:29:25',0,'2010-09-02 04:29:25',NULL,NULL,13,NULL),
 ('26E64B89-A17C-4CD0-9F53-F63583C85FE4',NULL,'2010-08-12 02:56:16','tretemogSlilt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-12 02:56:33','2010-08-12 02:56:16','2010-08-12 02:56:16',0,0,'2010-08-12 02:56:16',0,'2010-08-12 02:56:16',0,'2010-08-12 02:56:16',NULL,NULL,1,NULL),
 ('26F53F3B-C5D8-4692-8768-E45730140DB4',NULL,'2010-08-09 18:50:02','Clelminimen',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-09 18:50:02','2010-08-09 18:50:02','2010-08-09 18:50:02',0,0,'2010-08-09 18:50:02',0,'2010-08-09 18:50:02',0,'2010-08-09 18:50:02',NULL,NULL,1,NULL),
 ('27022E7C-C5EC-4EBB-9E3C-0FE960C5050F',NULL,'2010-08-14 07:45:50','DopyBareDap',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-14 07:45:50','2010-08-14 07:45:50','2010-08-14 07:45:50',0,0,'2010-08-14 07:45:50',0,'2010-08-14 07:45:50',0,'2010-08-14 07:45:50',NULL,NULL,1,NULL),
 ('271FA4E2-31B2-4A8C-8983-D203BD6F4456',NULL,'2009-11-04 09:11:56','ironseUnrep',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-04 09:11:56','2009-11-04 09:11:56','2009-11-04 09:11:56',0,0,'2009-11-04 09:11:56',0,'2009-11-04 09:11:56',0,'2009-11-04 09:11:56',NULL,NULL,1,NULL),
 ('2730AA5D-F54C-415F-A928-20BDA40CC9CB',NULL,'2010-02-04 09:10:45','BalKeycle',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-04 09:10:45','2010-02-04 09:10:45','2010-02-04 09:10:45',0,0,'2010-02-04 09:10:45',0,'2010-02-04 09:10:45',0,'2010-02-04 09:10:45',NULL,NULL,13,NULL),
 ('2735DB04-E32E-490E-A7A6-ADDDC74DCA98',NULL,'2010-03-02 06:15:16','adakywoog',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-02 06:15:16','2010-03-02 06:15:16','2010-03-02 06:15:16',0,0,'2010-03-02 06:15:16',0,'2010-03-02 06:15:16',0,'2010-03-02 06:15:16',NULL,NULL,1,NULL),
 ('27408E31-C766-4941-99C9-46955F580B87',NULL,'2010-06-02 18:57:11','curbFedozeree',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-02 18:57:11','2010-06-02 18:57:11','2010-06-02 18:57:11',0,0,'2010-06-02 18:57:11',0,'2010-06-02 18:57:11',0,'2010-06-02 18:57:11',NULL,NULL,1,NULL),
 ('2762C289-4578-4637-89AA-4EB13056154E',NULL,'2010-04-16 22:16:34','nupyicutiound',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-16 22:16:42','2010-04-16 22:16:34','2010-04-16 22:16:34',0,0,'2010-04-16 22:16:34',0,'2010-04-16 22:16:34',0,'2010-04-16 22:16:34',NULL,NULL,1,NULL),
 ('2765B066-829E-4865-9629-5A6F85FBB27B',NULL,'2010-07-30 07:46:45','Nayua',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-30 07:46:45','2010-07-30 07:46:45','2010-07-30 07:46:45',0,0,'2010-07-30 07:46:45',0,'2010-07-30 07:46:45',0,'2010-07-30 07:46:45',NULL,NULL,1,NULL),
 ('2765E17E-0233-4EB5-9981-66F3713D0A61',NULL,'2010-04-20 17:05:27','cewNearbres',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-20 17:05:27','2010-04-20 17:05:27','2010-04-20 17:05:27',0,0,'2010-04-20 17:05:27',0,'2010-04-20 17:05:27',0,'2010-04-20 17:05:27',NULL,NULL,1,NULL),
 ('278CC62B-D5A1-4B6B-999B-03A0299F0FCE',NULL,'2010-05-10 22:57:15','MeetaTictSeew',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-10 22:57:15','2010-05-10 22:57:15','2010-05-10 22:57:15',0,0,'2010-05-10 22:57:15',0,'2010-05-10 22:57:15',0,'2010-05-10 22:57:15',NULL,NULL,1,NULL),
 ('278D1C7A-2036-45DE-9230-831CB370B2B6',NULL,'2010-08-15 10:11:48','modeugum',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-15 10:11:48','2010-08-15 10:11:48','2010-08-15 10:11:48',0,0,'2010-08-15 10:11:48',0,'2010-08-15 10:11:48',0,'2010-08-15 10:11:48',NULL,NULL,1,NULL),
 ('27C53DEA-F207-4249-ADDA-54EC2B49F380',NULL,'2010-02-17 22:29:04','MelindaStrauss',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-17 22:29:04','2010-02-17 22:29:04','2010-02-17 22:29:04',0,0,'2010-02-17 22:29:04',0,'2010-02-17 22:29:04',0,'2010-02-17 22:29:04',NULL,NULL,13,NULL),
 ('27D2216E-F504-474F-A72F-6D219D2C4542',NULL,'2009-12-30 03:39:03','spenner',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-30 03:39:03','2009-12-30 03:39:03','2009-12-30 03:39:03',0,0,'2009-12-30 03:39:03',0,'2009-12-30 03:39:03',0,'2009-12-30 03:39:03',NULL,NULL,1,NULL),
 ('27D6C1FF-5474-4A99-8D3D-B296E7C33CC2',NULL,'2010-05-09 05:17:40','Wevas',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-09 05:17:40','2010-05-09 05:17:40','2010-05-09 05:17:40',0,0,'2010-05-09 05:17:40',0,'2010-05-09 05:17:40',0,'2010-05-09 05:17:40',NULL,NULL,1,NULL),
 ('2804FAA4-EAF6-42B2-ABF3-C28750A39690',NULL,'2010-05-08 23:25:19','rebennskytippolo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-08 23:25:19','2010-05-08 23:25:19','2010-05-08 23:25:19',0,0,'2010-05-08 23:25:19',0,'2010-05-08 23:25:19',0,'2010-05-08 23:25:19',NULL,NULL,13,NULL),
 ('28124FD3-3762-4F33-90F9-BF1793D67FA0',NULL,'2010-09-06 03:48:21','bopPalgespess',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-06 03:48:21','2010-09-06 03:48:21','2010-09-06 03:48:21',0,0,'2010-09-06 03:48:21',0,'2010-09-06 03:48:21',0,'2010-09-06 03:48:21',NULL,NULL,1,NULL),
 ('2818507F-1E66-4338-A33A-130E7F719C77',NULL,'2010-03-31 02:54:28','mmq5460',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','father','maoqingfan',1,'2010-03-31 03:29:20','2010-03-31 03:28:49','2010-03-31 02:54:27',0,0,'2010-03-31 02:54:27',0,'2010-03-31 02:54:27',0,'2010-03-31 02:54:27',NULL,NULL,1,NULL),
 ('284E05CD-283A-495E-B822-BF1CA2E5D06A',NULL,'2010-07-24 16:02:05','biteloglith',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-24 16:02:05','2010-07-24 16:02:05','2010-07-24 16:02:05',0,0,'2010-07-24 16:02:05',0,'2010-07-24 16:02:05',0,'2010-07-24 16:02:05',NULL,NULL,14,NULL),
 ('285CDC8D-74E5-4610-B862-AD2C6F17F2E3',NULL,'2009-12-11 04:47:48','newbergso',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-11 04:47:48','2009-12-11 04:47:48','2009-12-11 04:47:48',0,0,'2009-12-11 04:47:48',0,'2009-12-11 04:47:48',0,'2009-12-11 04:47:48',NULL,NULL,15,NULL),
 ('285E24D1-FE10-40D1-BD54-8BE84DD45049',NULL,'2010-09-26 00:12:07','NeefWheescuen',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-26 00:12:49','2010-09-26 00:12:06','2010-09-26 00:12:06',0,0,'2010-09-26 00:12:06',0,'2010-09-26 00:12:06',0,'2010-09-26 00:12:06',NULL,NULL,1,NULL),
 ('2881627B-93B7-4DAC-BF5E-DEE9F714BD1D',NULL,'2010-09-11 12:50:24','dormasways',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-11 12:50:24','2010-09-11 12:50:24','2010-09-11 12:50:24',0,0,'2010-09-11 12:50:24',0,'2010-09-11 12:50:24',0,'2010-09-11 12:50:24',NULL,NULL,1,NULL),
 ('28B97E6D-21FC-4B3C-9F1F-CA9CC85DCB53',NULL,'2010-08-04 15:18:53','Exereepneussy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-04 15:18:53','2010-08-04 15:18:53','2010-08-04 15:18:53',0,0,'2010-08-04 15:18:53',0,'2010-08-04 15:18:53',0,'2010-08-04 15:18:53',NULL,NULL,1,NULL),
 ('291DFB86-CC1F-4C80-B530-4C937AE683E2',NULL,'2010-04-30 16:47:41','Clieptesots',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-30 16:47:41','2010-04-30 16:47:41','2010-04-30 16:47:41',0,0,'2010-04-30 16:47:41',0,'2010-04-30 16:47:41',0,'2010-04-30 16:47:41',NULL,NULL,1,NULL),
 ('29384B5D-A567-471F-A027-76DEF9B0CE1D',NULL,'2010-08-29 19:30:25','contractorins',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-29 19:30:25','2010-08-29 19:30:25','2010-08-29 19:30:25',0,0,'2010-08-29 19:30:25',0,'2010-08-29 19:30:25',0,'2010-08-29 19:30:25',NULL,NULL,14,NULL),
 ('293ADFAD-9757-4CFA-ACCC-6143773AE0EE',NULL,'2009-11-12 05:03:51','Wopaypruppy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-12 05:03:51','2009-11-12 05:03:51','2009-11-12 05:03:51',0,0,'2009-11-12 05:03:51',0,'2009-11-12 05:03:51',0,'2009-11-12 05:03:51',NULL,NULL,1,NULL),
 ('293F85F5-B739-4AF8-A22C-29EBA1477CE7',NULL,'2010-03-16 12:48:27','xMellowz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-16 12:48:27','2010-03-16 12:48:27','2010-03-16 12:48:27',0,0,'2010-03-16 12:48:27',0,'2010-03-16 12:48:27',0,'2010-03-16 12:48:27',NULL,NULL,1,NULL),
 ('29425B6A-B358-4CCB-80D7-7E069F557E26',NULL,'2010-01-20 02:57:59','invivalge',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-20 02:57:59','2010-01-20 02:57:59','2010-01-20 02:57:59',0,0,'2010-01-20 02:57:59',0,'2010-01-20 02:57:59',0,'2010-01-20 02:57:59',NULL,NULL,1,NULL),
 ('29859B46-613D-4F1D-9089-7F9D9BAE0CD2',NULL,'2009-12-11 05:21:02','jack van impe 2012\r\n',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-11 05:21:02','2009-12-11 05:21:02','2009-12-11 05:21:02',0,0,'2009-12-11 05:21:02',0,'2009-12-11 05:21:02',0,'2009-12-11 05:21:02',NULL,NULL,1,NULL),
 ('29A8C494-2AFA-48D6-BC3A-B0D9E92AEEFA',NULL,'2010-07-09 04:48:27','Horogbabsa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-09 04:48:27','2010-07-09 04:48:27','2010-07-09 04:48:27',0,0,'2010-07-09 04:48:27',0,'2010-07-09 04:48:27',0,'2010-07-09 04:48:27',NULL,NULL,1,NULL),
 ('29AA737D-F70F-4459-A1D0-816C67438441',NULL,'2010-07-04 13:03:12','AdoveVofAlile',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-04 13:03:12','2010-07-04 13:03:12','2010-07-04 13:03:12',0,0,'2010-07-04 13:03:12',0,'2010-07-04 13:03:12',0,'2010-07-04 13:03:12',NULL,NULL,1,NULL),
 ('29C8F579-A9A5-490F-A287-8CB562CC4A19',NULL,'2010-09-22 14:10:24','fisteOnesials',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-22 14:10:30','2010-09-22 14:10:24','2010-09-22 14:10:24',0,0,'2010-09-22 14:10:24',0,'2010-09-22 14:10:24',0,'2010-09-22 14:10:24',NULL,NULL,13,NULL),
 ('29DEE598-3D1F-4BF3-BA15-376079524A1D',NULL,'2010-05-04 17:48:08','jquibell',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','What color is my black dog','carrot',1,'2010-05-05 00:21:03','2010-05-05 00:17:29','2010-05-04 17:48:08',0,0,'2010-05-04 17:48:08',0,'2010-05-04 17:48:08',0,'2010-05-04 17:48:08',NULL,NULL,1,NULL),
 ('2A3E53C7-28BD-4835-AA81-8FBBD9FF5F6A',NULL,'2010-09-05 15:13:40','DivingHurghada',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-05 15:13:40','2010-09-05 15:13:40','2010-09-05 15:13:40',0,0,'2010-09-05 15:13:40',0,'2010-09-05 15:13:40',0,'2010-09-05 15:13:40',NULL,NULL,13,NULL),
 ('2A79A1CB-656F-4D64-831A-F7D3AB78DBA3',NULL,'2010-08-13 00:58:02','JeffrRutschej',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-13 00:58:02','2010-08-13 00:58:02','2010-08-13 00:58:02',0,0,'2010-08-13 00:58:02',0,'2010-08-13 00:58:02',0,'2010-08-13 00:58:02',NULL,NULL,1,NULL),
 ('2AA88133-D89A-489E-9E75-B7C477070FC5',NULL,'2010-07-11 15:59:12','larrysutherland',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-11 15:59:12','2010-07-11 15:59:12','2010-07-11 15:59:12',0,0,'2010-07-11 15:59:12',0,'2010-07-11 15:59:12',0,'2010-07-11 15:59:12',NULL,NULL,14,NULL),
 ('2ABE6AC7-EC9B-4910-95CE-4090E6E92B3D',NULL,'2010-01-15 07:33:52','liailably',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-15 07:33:52','2010-01-15 07:33:52','2010-01-15 07:33:52',0,0,'2010-01-15 07:33:52',0,'2010-01-15 07:33:52',0,'2010-01-15 07:33:52',NULL,NULL,1,NULL),
 ('2AEF4E62-C786-4AE1-AC91-8565C8D4E961',NULL,'2010-10-03 11:15:29','arnybaney',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-03 11:15:32','2010-10-03 11:15:29','2010-10-03 11:15:29',0,0,'2010-10-03 11:15:29',0,'2010-10-03 11:15:29',0,'2010-10-03 11:15:29',NULL,NULL,13,NULL),
 ('2B076FFA-70AF-4C9C-8BF5-66DFCD903C3F',NULL,'2010-09-27 23:54:22','joogstargfq',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-27 23:54:22','2010-09-27 23:54:22','2010-09-27 23:54:22',0,0,'2010-09-27 23:54:22',0,'2010-09-27 23:54:22',0,'2010-09-27 23:54:22',NULL,NULL,1,NULL),
 ('2B25C0C5-8E73-4D42-BEED-B706EF095F48',NULL,'2010-07-27 01:51:23','dmvsandiego',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-27 01:51:23','2010-07-27 01:51:23','2010-07-27 01:51:23',0,0,'2010-07-27 01:51:23',0,'2010-07-27 01:51:23',0,'2010-07-27 01:51:23',NULL,NULL,14,NULL),
 ('2B27C167-670B-4272-A108-7231B957CA9F',NULL,'2010-05-12 00:03:07','Kladzey',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-05-12 03:21:16','2010-05-12 00:03:07','2010-05-12 00:03:07',0,0,'2010-05-12 00:03:07',0,'2010-05-12 00:03:07',0,'2010-05-12 00:03:07',NULL,NULL,1,NULL),
 ('2B69A800-43C6-45CF-AA3C-8BCE5628B694',NULL,'2009-12-14 18:41:09','QuedayCautt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-14 18:41:09','2009-12-14 18:41:09','2009-12-14 18:41:09',0,0,'2009-12-14 18:41:09',0,'2009-12-14 18:41:09',0,'2009-12-14 18:41:09',NULL,NULL,1,NULL),
 ('2B75A658-E7ED-413A-B8AA-B9B70A973097',NULL,'2010-09-15 12:58:37','vouchersguy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-15 12:58:37','2010-09-15 12:58:37','2010-09-15 12:58:37',0,0,'2010-09-15 12:58:37',0,'2010-09-15 12:58:37',0,'2010-09-15 12:58:37',NULL,NULL,13,NULL),
 ('2BA96250-570D-464D-851A-B387114DF62F',NULL,'2010-08-17 16:38:24','Hobplolluch',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-17 16:38:30','2010-08-17 16:38:24','2010-08-17 16:38:24',0,0,'2010-08-17 16:38:24',0,'2010-08-17 16:38:24',0,'2010-08-17 16:38:24',NULL,NULL,1,NULL),
 ('2BC5050A-5151-480C-8262-79C00564770E',NULL,'2010-08-03 18:27:23','kylie127',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-03 18:27:28','2010-08-03 18:27:23','2010-08-03 18:27:23',0,0,'2010-08-03 18:27:23',0,'2010-08-03 18:27:23',0,'2010-08-03 18:27:23',NULL,NULL,1,NULL),
 ('2C22C46E-4AAC-49A2-A11D-C59CED573213',NULL,'2010-08-18 10:15:29','Linsquara',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-18 10:15:28','2010-08-18 10:15:28','2010-08-18 10:15:28',0,0,'2010-08-18 10:15:28',0,'2010-08-18 10:15:28',0,'2010-08-18 10:15:28',NULL,NULL,13,NULL),
 ('2C5F7887-EA4C-456E-8EE5-5476D671C4A1',NULL,'2010-05-30 00:07:16','NeinknugNed',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-30 00:07:16','2010-05-30 00:07:16','2010-05-30 00:07:16',0,0,'2010-05-30 00:07:16',0,'2010-05-30 00:07:16',0,'2010-05-30 00:07:16',NULL,NULL,1,NULL),
 ('2C8C2C72-2C6B-45C5-9F75-34B055B04722',NULL,'2010-03-04 05:53:37','Lochecillssa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-04 05:53:37','2010-03-04 05:53:37','2010-03-04 05:53:37',0,0,'2010-03-04 05:53:37',0,'2010-03-04 05:53:37',0,'2010-03-04 05:53:37',NULL,NULL,15,NULL),
 ('2CA98152-F110-48BF-81CF-24F2ACB27856',NULL,'2010-07-19 14:41:14','Nergal',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-19 15:33:44','2010-07-19 14:41:14','2010-07-19 14:41:14',0,0,'2010-07-19 14:41:14',0,'2010-07-19 14:41:14',0,'2010-07-19 14:41:14',NULL,NULL,1,NULL),
 ('2CC93C07-2DCD-44FA-B1B7-EA8233851676',NULL,'2010-03-19 13:53:37','Pillkvester',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-19 13:53:37','2010-03-19 13:53:37','2010-03-19 13:53:37',0,0,'2010-03-19 13:53:37',0,'2010-03-19 13:53:37',0,'2010-03-19 13:53:37',NULL,NULL,1,NULL),
 ('2D238AC6-BAA4-4821-A325-F9DC28F49E02',NULL,'2010-10-13 13:32:23','lomomomo@gmx.com',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-13 13:32:23','2010-10-13 13:32:23','2010-10-13 13:32:23',0,0,'2010-10-13 13:32:23',0,'2010-10-13 13:32:23',0,'2010-10-13 13:32:23',NULL,NULL,13,NULL),
 ('2D614D7A-0C3C-4792-B566-EFDF0ED558E3',NULL,'2010-04-27 03:36:53','UnfoveNeerTer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-27 03:36:53','2010-04-27 03:36:53','2010-04-27 03:36:53',0,0,'2010-04-27 03:36:53',0,'2010-04-27 03:36:53',0,'2010-04-27 03:36:53',NULL,NULL,1,NULL),
 ('2D791E74-8BFC-4A73-BD30-484170550702',NULL,'2010-09-19 10:05:44','Offeskangence',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-19 10:05:44','2010-09-19 10:05:44','2010-09-19 10:05:44',0,0,'2010-09-19 10:05:44',0,'2010-09-19 10:05:44',0,'2010-09-19 10:05:44',NULL,NULL,1,NULL),
 ('2DE84D18-EA76-4B22-B6E4-D5DDC4507903',NULL,'2010-09-14 08:26:36','Kafincaft',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-14 08:26:36','2010-09-14 08:26:36','2010-09-14 08:26:36',0,0,'2010-09-14 08:26:36',0,'2010-09-14 08:26:36',0,'2010-09-14 08:26:36',NULL,NULL,1,NULL),
 ('2E0EBD99-2C83-47BA-B442-E51B14D7B5AD',NULL,'2010-01-27 18:40:58','itensosse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-27 18:40:58','2010-01-27 18:40:58','2010-01-27 18:40:58',0,0,'2010-01-27 18:40:58',0,'2010-01-27 18:40:58',0,'2010-01-27 18:40:58',NULL,NULL,13,NULL),
 ('2E17F8AF-D0A4-468B-B307-46FDC7219FED',NULL,'2010-08-12 14:37:30','popcornteam',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-12 14:37:30','2010-08-12 14:37:30','2010-08-12 14:37:30',0,0,'2010-08-12 14:37:30',0,'2010-08-12 14:37:30',0,'2010-08-12 14:37:30',NULL,NULL,1,NULL),
 ('2E289387-0597-4E60-A98F-A3AAA97ED544',NULL,'2010-04-13 00:21:26','mskhbcvg',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-13 00:21:26','2010-04-13 00:21:26','2010-04-13 00:21:26',0,0,'2010-04-13 00:21:26',0,'2010-04-13 00:21:26',0,'2010-04-13 00:21:26',NULL,NULL,1,NULL),
 ('2E429DA5-A2E3-4219-91E6-18E096D2C5E7',NULL,'2010-04-04 11:24:32','cexpeaply',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-04 11:24:32','2010-04-04 11:24:32','2010-04-04 11:24:32',0,0,'2010-04-04 11:24:32',0,'2010-04-04 11:24:32',0,'2010-04-04 11:24:32',NULL,NULL,1,NULL),
 ('2E4A9863-512B-47F3-A485-4663F3F63B9F',NULL,'2010-03-14 14:26:26','solidexsi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-14 14:26:26','2010-03-14 14:26:26','2010-03-14 14:26:26',0,0,'2010-03-14 14:26:26',0,'2010-03-14 14:26:26',0,'2010-03-14 14:26:26',NULL,NULL,1,NULL),
 ('2EFE46F2-0249-48F8-81AB-F8B66BCD04DE',NULL,'2010-05-25 02:02:16','GardenerV',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-25 02:02:16','2010-05-25 02:02:16','2010-05-25 02:02:16',0,0,'2010-05-25 02:02:16',0,'2010-05-25 02:02:16',0,'2010-05-25 02:02:16',NULL,NULL,1,NULL),
 ('2F120524-7E98-49DF-93FA-801A004A0E0D',NULL,'2009-12-08 17:29:08','DakGlilaDab',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-08 17:29:08','2009-12-08 17:29:08','2009-12-08 17:29:08',0,0,'2009-12-08 17:29:08',0,'2009-12-08 17:29:08',0,'2009-12-08 17:29:08',NULL,NULL,1,NULL),
 ('2F459F3C-480F-4444-9FB6-1C0CA67AF86D',NULL,'2010-04-30 19:54:56','Gentoberb',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-30 19:54:56','2010-04-30 19:54:56','2010-04-30 19:54:56',0,0,'2010-04-30 19:54:56',0,'2010-04-30 19:54:56',0,'2010-04-30 19:54:56',NULL,NULL,1,NULL),
 ('2F46E546-C0F9-49E7-B374-8D08FA05FC2E',NULL,'2010-10-11 17:03:13','mymbonattit',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-11 17:03:12','2010-10-11 17:03:12','2010-10-11 17:03:12',0,0,'2010-10-11 17:03:12',0,'2010-10-11 17:03:12',0,'2010-10-11 17:03:12',NULL,NULL,1,NULL),
 ('2F606DED-15D3-49A5-9826-B3465EF760CC',NULL,'2010-04-07 08:10:33','Fatnast',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-07 08:10:32','2010-04-07 08:10:32','2010-04-07 08:10:32',0,0,'2010-04-07 08:10:32',0,'2010-04-07 08:10:32',0,'2010-04-07 08:10:32',NULL,NULL,1,NULL),
 ('2F774295-EAA2-45BA-A20C-DA37488DF072',NULL,'2010-03-28 05:17:31','WatchMovieszOnline',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-28 05:17:31','2010-03-28 05:17:31','2010-03-28 05:17:31',0,0,'2010-03-28 05:17:31',0,'2010-03-28 05:17:31',0,'2010-03-28 05:17:31',NULL,NULL,1,NULL),
 ('2F7E6899-1275-412A-96BC-EF0030742B07',NULL,'2010-03-08 18:11:20','jamimockMagma',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-08 18:11:20','2010-03-08 18:11:20','2010-03-08 18:11:20',0,0,'2010-03-08 18:11:20',0,'2010-03-08 18:11:20',0,'2010-03-08 18:11:20',NULL,NULL,1,NULL),
 ('2FDCBFBB-8A74-44ED-BC6C-A5B99585CAF5',NULL,'2010-07-20 09:52:17','UserceUnreara',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-20 09:52:17','2010-07-20 09:52:17','2010-07-20 09:52:17',0,0,'2010-07-20 09:52:17',0,'2010-07-20 09:52:17',0,'2010-07-20 09:52:17',NULL,NULL,1,NULL),
 ('2FFD04C2-7B97-4DE5-80EE-40C995BE6C84',NULL,'2010-02-11 02:24:05','rusnenteE',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-11 02:24:05','2010-02-11 02:24:05','2010-02-11 02:24:05',0,0,'2010-02-11 02:24:05',0,'2010-02-11 02:24:05',0,'2010-02-11 02:24:05',NULL,NULL,1,NULL),
 ('30749854-9FE1-4899-AB08-6AC4C4FAA3FD',NULL,'2010-07-13 20:29:07','Stiminibhix',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-13 20:29:07','2010-07-13 20:29:07','2010-07-13 20:29:07',0,0,'2010-07-13 20:29:07',0,'2010-07-13 20:29:07',0,'2010-07-13 20:29:07',NULL,NULL,1,NULL),
 ('30769959-7579-4B95-97E1-0851B971C3B6',NULL,'2010-01-21 12:11:51','top-seo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-21 12:11:51','2010-01-21 12:11:51','2010-01-21 12:11:51',0,0,'2010-01-21 12:11:51',0,'2010-01-21 12:11:51',0,'2010-01-21 12:11:51',NULL,NULL,1,NULL),
 ('30AB58C6-7F07-4946-B451-A4FD1839B3C4',NULL,'2010-04-20 23:44:10','carlospiccirili',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-20 23:44:10','2010-04-20 23:44:10','2010-04-20 23:44:10',0,0,'2010-04-20 23:44:10',0,'2010-04-20 23:44:10',0,'2010-04-20 23:44:10',NULL,NULL,1,NULL),
 ('30CF19B7-445C-4DAC-9C30-97D333B56B56',NULL,'2010-10-03 13:49:31','Sooloavoite',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-03 13:49:32','2010-10-03 13:49:31','2010-10-03 13:49:31',0,0,'2010-10-03 13:49:31',0,'2010-10-03 13:49:31',0,'2010-10-03 13:49:31',NULL,NULL,1,NULL),
 ('30E79DBC-4009-42A2-B5F6-D43E2BACD351',NULL,'2010-01-04 14:21:15','arkxrzlizmff',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-04 14:21:15','2010-01-04 14:21:15','2010-01-04 14:21:15',0,0,'2010-01-04 14:21:15',0,'2010-01-04 14:21:15',0,'2010-01-04 14:21:15',NULL,NULL,1,NULL),
 ('31119E51-F878-4403-9A7C-3815D34250D6',NULL,'2010-06-08 14:28:57','cgatto',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','pets name','destiny',1,'2010-07-13 16:38:12','2010-07-13 14:55:28','2010-06-08 14:28:57',0,0,'2010-06-08 14:28:57',0,'2010-06-08 14:28:57',0,'2010-06-08 14:28:57',NULL,NULL,1,NULL),
 ('31234749-9811-4426-B9EE-5757D5CD52B2',NULL,'2010-08-30 12:10:27','vehicle58',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-30 12:10:30','2010-08-30 12:10:27','2010-08-30 12:10:27',0,0,'2010-08-30 12:10:27',0,'2010-08-30 12:10:27',0,'2010-08-30 12:10:27',NULL,NULL,13,NULL),
 ('312BE086-BF1C-4DEA-A50E-E9B092FB1F57',NULL,'2010-06-09 18:54:06','Coariapatty',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-09 18:54:06','2010-06-09 18:54:06','2010-06-09 18:54:06',0,0,'2010-06-09 18:54:06',0,'2010-06-09 18:54:06',0,'2010-06-09 18:54:06',NULL,NULL,1,NULL),
 ('313E35E4-B6C6-492A-8606-B5BC4725C044',NULL,'2009-11-29 18:21:39','Trickyoldteacher',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-29 18:21:39','2009-11-29 18:21:39','2009-11-29 18:21:39',0,0,'2009-11-29 18:21:39',0,'2009-11-29 18:21:39',0,'2009-11-29 18:21:39',NULL,NULL,1,NULL),
 ('3151AE13-9E68-419B-841C-F54898FA8A80',NULL,'2010-05-24 18:09:25','fealtytwefutt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-24 18:09:25','2010-05-24 18:09:25','2010-05-24 18:09:25',0,0,'2010-05-24 18:09:25',0,'2010-05-24 18:09:25',0,'2010-05-24 18:09:25',NULL,NULL,13,NULL),
 ('317DB6AA-A718-454C-9B36-B09220AE997A',NULL,'2010-10-13 08:34:18','AdveryNenrear',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-13 08:34:18','2010-10-13 08:34:18','2010-10-13 08:34:18',0,0,'2010-10-13 08:34:18',0,'2010-10-13 08:34:18',0,'2010-10-13 08:34:18',NULL,NULL,14,NULL),
 ('3195C0DF-0C67-43D9-B25D-3F45C283A33E',NULL,'2009-10-19 15:17:38','crestiksa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-19 15:17:38','2009-10-19 15:17:38','2009-10-19 15:17:38',0,0,'2009-10-19 15:17:38',0,'2009-10-19 15:17:38',0,'2009-10-19 15:17:38',NULL,NULL,13,NULL),
 ('31EA7D76-17D7-4A77-89DB-A05ADFE132E3',NULL,'2010-07-14 09:16:02','electricman',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-14 09:16:02','2010-07-14 09:16:02','2010-07-14 09:16:02',0,0,'2010-07-14 09:16:02',0,'2010-07-14 09:16:02',0,'2010-07-14 09:16:02',NULL,NULL,14,NULL),
 ('31F2AAE2-4512-45DE-B5D0-D5872F7416FF',NULL,'2010-05-17 11:53:26','Dypeingerge18',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-17 11:53:26','2010-05-17 11:53:26','2010-05-17 11:53:26',0,0,'2010-05-17 11:53:26',0,'2010-05-17 11:53:26',0,'2010-05-17 11:53:26',NULL,NULL,1,NULL),
 ('32182E4A-BA9F-462B-8C78-2FAB258A38BE',NULL,'2010-01-12 19:43:22','watnema',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-12 19:43:22','2010-01-12 19:43:22','2010-01-12 19:43:22',0,0,'2010-01-12 19:43:22',0,'2010-01-12 19:43:22',0,'2010-01-12 19:43:22',NULL,NULL,14,NULL),
 ('323A7EAA-B84D-41C6-9C50-3DD4409AEFC4',NULL,'2010-03-19 20:52:52','Irrictepewets',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-19 20:52:52','2010-03-19 20:52:52','2010-03-19 20:52:52',0,0,'2010-03-19 20:52:52',0,'2010-03-19 20:52:52',0,'2010-03-19 20:52:52',NULL,NULL,1,NULL),
 ('32506EFB-2246-413A-BCFB-3F60AD8BF4CA',NULL,'2010-08-24 19:00:44','IssuesyGepnuS',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-24 19:00:44','2010-08-24 19:00:44','2010-08-24 19:00:44',0,0,'2010-08-24 19:00:44',0,'2010-08-24 19:00:44',0,'2010-08-24 19:00:44',NULL,NULL,14,NULL),
 ('33025D89-7639-4C54-836E-80D213C2FDBA',NULL,'2010-02-26 07:31:02','CreepaykigCap',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-26 07:31:02','2010-02-26 07:31:02','2010-02-26 07:31:02',0,0,'2010-02-26 07:31:02',0,'2010-02-26 07:31:02',0,'2010-02-26 07:31:02',NULL,NULL,13,NULL),
 ('3310A655-79D6-4F06-8575-CDBFA8B6140C',NULL,'2010-05-31 09:09:06','kidigmadomo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-31 09:09:06','2010-05-31 09:09:06','2010-05-31 09:09:06',0,0,'2010-05-31 09:09:06',0,'2010-05-31 09:09:06',0,'2010-05-31 09:09:06',NULL,NULL,1,NULL),
 ('33359606-5264-4136-BC65-B69204212281',NULL,'2010-05-18 22:30:34','wlgray',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','beer','beer_0`',1,'2010-05-19 07:44:59','2010-05-19 07:40:53','2010-05-18 22:30:34',0,0,'2010-05-18 22:30:34',1,'2010-05-19 07:40:22',0,'2010-05-18 22:30:34',NULL,NULL,1,NULL),
 ('3359E2C3-F3BB-4DC6-B5A8-0D76CA7DDDC1',NULL,'2010-06-02 21:32:57','impawsuplilup',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-02 21:32:57','2010-06-02 21:32:57','2010-06-02 21:32:57',0,0,'2010-06-02 21:32:57',0,'2010-06-02 21:32:57',0,'2010-06-02 21:32:57',NULL,NULL,13,NULL),
 ('336B269E-24E7-434C-B5BA-138AFC288E22',NULL,'2010-06-09 17:42:03','LoreIdiore',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-09 17:42:03','2010-06-09 17:42:03','2010-06-09 17:42:03',0,0,'2010-06-09 17:42:03',0,'2010-06-09 17:42:03',0,'2010-06-09 17:42:03',NULL,NULL,1,NULL),
 ('33B1FE8F-6B08-4A8E-AA4D-7AA05317A28B',NULL,'2010-08-25 02:44:52','Nutuapse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-25 02:44:52','2010-08-25 02:44:52','2010-08-25 02:44:52',0,0,'2010-08-25 02:44:52',0,'2010-08-25 02:44:52',0,'2010-08-25 02:44:52',NULL,NULL,1,NULL),
 ('343A48B9-6CF0-4DB9-9D19-4ABC76415552',NULL,'2010-10-03 11:44:27','funnydivorcing',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-03 11:44:27','2010-10-03 11:44:27','2010-10-03 11:44:27',0,0,'2010-10-03 11:44:27',0,'2010-10-03 11:44:27',0,'2010-10-03 11:44:27',NULL,NULL,14,NULL),
 ('344A8AA4-4D68-4D42-97AF-817BA367B573',NULL,'2010-05-01 23:01:37','tydrassalty',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-01 23:01:37','2010-05-01 23:01:37','2010-05-01 23:01:37',0,0,'2010-05-01 23:01:37',0,'2010-05-01 23:01:37',0,'2010-05-01 23:01:37',NULL,NULL,13,NULL),
 ('344BD034-FC04-4972-934B-06FB761AE035',NULL,'2010-03-22 17:40:17','Wheepulge',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-22 17:40:17','2010-03-22 17:40:17','2010-03-22 17:40:17',0,0,'2010-03-22 17:40:17',0,'2010-03-22 17:40:17',0,'2010-03-22 17:40:17',NULL,NULL,13,NULL),
 ('345A5C0B-E367-4E7E-B636-D76803F845C0',NULL,'2010-04-29 09:05:25','HTPCKing',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-29 09:05:25','2010-04-29 09:05:25','2010-04-29 09:05:25',0,0,'2010-04-29 09:05:25',0,'2010-04-29 09:05:25',0,'2010-04-29 09:05:25',NULL,NULL,13,NULL),
 ('347C3941-90E9-4AAE-B856-400E8E96CB55',NULL,'2010-06-26 23:49:54','alexandere20',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-26 23:49:54','2010-06-26 23:49:54','2010-06-26 23:49:54',0,0,'2010-06-26 23:49:54',0,'2010-06-26 23:49:54',0,'2010-06-26 23:49:54',NULL,NULL,1,NULL),
 ('347F1E1F-2227-4915-919C-D50B3B6A396D',NULL,'2010-05-16 12:14:45','toothevySkede',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 12:14:45','2010-05-16 12:14:45','2010-05-16 12:14:45',0,0,'2010-05-16 12:14:45',0,'2010-05-16 12:14:45',0,'2010-05-16 12:14:45',NULL,NULL,1,NULL),
 ('348236AB-61AA-4AEF-9317-EEB5DB0DA94D',NULL,'2010-08-16 18:22:56','Tobillita',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-16 18:22:56','2010-08-16 18:22:56','2010-08-16 18:22:56',0,0,'2010-08-16 18:22:56',0,'2010-08-16 18:22:56',0,'2010-08-16 18:22:56',NULL,NULL,1,NULL),
 ('34ADFBC4-B74B-493F-B287-B26905C5BBB6',NULL,'2010-04-05 09:12:04','Zenpoerne',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-05 09:12:04','2010-04-05 09:12:04','2010-04-05 09:12:04',0,0,'2010-04-05 09:12:04',0,'2010-04-05 09:12:04',0,'2010-04-05 09:12:04',NULL,NULL,1,NULL),
 ('34B908E4-35E8-48E5-AD94-ED9AA26807A2',NULL,'2010-08-01 00:34:55','BoseleEmume',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-01 00:34:55','2010-08-01 00:34:55','2010-08-01 00:34:55',0,0,'2010-08-01 00:34:55',0,'2010-08-01 00:34:55',0,'2010-08-01 00:34:55',NULL,NULL,1,NULL),
 ('34EC0A97-BACB-43D2-835B-9F58A03EB7FE',NULL,'2010-09-26 21:59:29','inasirlcleawl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-26 21:59:29','2010-09-26 21:59:29','2010-09-26 21:59:29',0,0,'2010-09-26 21:59:29',0,'2010-09-26 21:59:29',0,'2010-09-26 21:59:29',NULL,NULL,1,NULL),
 ('3519BA69-B388-40B8-BA76-3FD7C61EFDCA',NULL,'2009-10-31 18:16:23','eliescavips',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-31 18:16:23','2009-10-31 18:16:23','2009-10-31 18:16:23',0,0,'2009-10-31 18:16:23',0,'2009-10-31 18:16:23',0,'2009-10-31 18:16:23',NULL,NULL,1,NULL),
 ('352FFC4F-228B-4E2A-9000-D9684DC22A91',NULL,'2010-04-13 03:03:03','fwater-shoesz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-13 03:03:03','2010-04-13 03:03:03','2010-04-13 03:03:03',0,0,'2010-04-13 03:03:03',0,'2010-04-13 03:03:03',0,'2010-04-13 03:03:03',NULL,NULL,13,NULL),
 ('3552B274-CD85-4A9C-8FFB-C4631378F945',NULL,'2010-09-28 13:31:38','fael',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','always','aquela la',1,'2010-09-28 13:32:48','2010-09-28 13:31:38','2010-09-28 13:31:38',0,0,'2010-09-28 13:31:38',0,'2010-09-28 13:31:38',0,'2010-09-28 13:31:38',NULL,NULL,1,NULL),
 ('35FC11AC-6CD3-46F5-87C1-C6A641C27C8E',NULL,'2010-05-27 20:05:52','Upliltoppogma',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-27 20:05:52','2010-05-27 20:05:52','2010-05-27 20:05:52',0,0,'2010-05-27 20:05:52',0,'2010-05-27 20:05:52',0,'2010-05-27 20:05:52',NULL,NULL,1,NULL),
 ('3605C912-E724-4A96-A788-061DCB789EBD',NULL,'2010-10-13 07:26:19','BaskaKwarcova',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-13 07:26:24','2010-10-13 07:26:19','2010-10-13 07:26:19',0,0,'2010-10-13 07:26:19',0,'2010-10-13 07:26:19',0,'2010-10-13 07:26:19',NULL,NULL,1,NULL),
 ('360B2074-4199-47A2-9F41-5AD5A4F43697',NULL,'2010-01-20 01:24:10','SteffBenoit',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-20 01:24:10','2010-01-20 01:24:10','2010-01-20 01:24:10',0,0,'2010-01-20 01:24:10',0,'2010-01-20 01:24:10',0,'2010-01-20 01:24:10',NULL,NULL,1,NULL),
 ('3617EA7F-6283-4F6F-87B9-5D8F44D184FC',NULL,'2010-03-26 03:07:20','Attavetok',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-26 03:07:20','2010-03-26 03:07:20','2010-03-26 03:07:20',0,0,'2010-03-26 03:07:20',0,'2010-03-26 03:07:20',0,'2010-03-26 03:07:20',NULL,NULL,15,NULL),
 ('36395B3B-6CBD-41B4-AD47-447CAAD44C62',NULL,'2010-03-07 02:06:47','Apottequieque',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-07 02:06:47','2010-03-07 02:06:47','2010-03-07 02:06:47',0,0,'2010-03-07 02:06:47',0,'2010-03-07 02:06:47',0,'2010-03-07 02:06:47',NULL,NULL,1,NULL),
 ('3668DB19-E027-418B-8A69-40F350AECB48',NULL,'2010-03-17 20:49:56','Pructuaro',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-17 20:49:56','2010-03-17 20:49:56','2010-03-17 20:49:56',0,0,'2010-03-17 20:49:56',0,'2010-03-17 20:49:56',0,'2010-03-17 20:49:56',NULL,NULL,1,NULL),
 ('366D566D-64C7-49C4-BFF9-E3D5893F8361',NULL,'2010-03-25 06:59:02','IMMERECOR',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-25 06:59:02','2010-03-25 06:59:02','2010-03-25 06:59:02',0,0,'2010-03-25 06:59:02',0,'2010-03-25 06:59:02',0,'2010-03-25 06:59:02',NULL,NULL,13,NULL),
 ('3686CB60-B439-48DE-9A20-A901D3D106EF',NULL,'2010-09-22 13:46:26','Thonssofe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-22 13:46:26','2010-09-22 13:46:26','2010-09-22 13:46:26',0,0,'2010-09-22 13:46:26',0,'2010-09-22 13:46:26',0,'2010-09-22 13:46:26',NULL,NULL,1,NULL),
 ('36BBBA6E-22AC-442E-814C-34B80BB30336',NULL,'2010-09-25 07:07:49','Totorbini',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-25 07:07:49','2010-09-25 07:07:49','2010-09-25 07:07:49',0,0,'2010-09-25 07:07:49',0,'2010-09-25 07:07:49',0,'2010-09-25 07:07:49',NULL,NULL,1,NULL),
 ('3720ADDC-D268-46D8-8E41-33B2AD7452F2',NULL,'2010-02-20 04:50:09','effelmess',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-20 04:50:09','2010-02-20 04:50:09','2010-02-20 04:50:09',0,0,'2010-02-20 04:50:09',0,'2010-02-20 04:50:09',0,'2010-02-20 04:50:09',NULL,NULL,13,NULL),
 ('373F0FC4-39E2-4D67-A83D-29B227988D20',NULL,'2010-08-20 00:34:37','Inifeltinfima',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-20 00:34:40','2010-08-20 00:34:37','2010-08-20 00:34:37',0,0,'2010-08-20 00:34:37',0,'2010-08-20 00:34:37',0,'2010-08-20 00:34:37',NULL,NULL,1,NULL);
INSERT INTO `users` (`UserID`,`Name`,`CreationDate`,`Username`,`ApplicationName`,`Email`,`Password`,`PasswordQuestion`,`PasswordAnswer`,`IsApproved`,`LastActivityDate`,`LastLoginDate`,`LastPasswordChangedDate`,`IsOnline`,`IsLockedOut`,`LastLockedOutDate`,`FailedPasswordAttemptCount`,`FailedPasswordAttemptWindowStart`,`FailedPasswordAnswerAttemptCount`,`FailedPasswordAnswerAttemptWindowStart`,`LastModified`,`Comment`,`PortalID`,`OpenId`) VALUES 
 ('37422823-C6FD-4FE9-9183-ADF9486A5300',NULL,'2010-01-16 09:37:31','auser',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','aaa','aaa',1,'2010-01-16 09:38:37','2010-01-16 09:37:31','2010-01-16 09:37:31',0,0,'2010-01-16 09:37:31',0,'2010-01-16 09:37:31',0,'2010-01-16 09:37:31',NULL,NULL,15,NULL),
 ('375ED4F6-6711-4C6F-B4F5-F81CE7BE38B3',NULL,'2010-03-11 23:59:17','Russiandvd',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-11 23:59:21','2010-03-11 23:59:17','2010-03-11 23:59:17',0,0,'2010-03-11 23:59:17',0,'2010-03-11 23:59:17',0,'2010-03-11 23:59:17',NULL,NULL,1,NULL),
 ('376B9474-4B09-4DD8-966A-B28F68BCE336',NULL,'2010-01-21 15:30:02','buyviagratoday',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-21 15:30:02','2010-01-21 15:30:02','2010-01-21 15:30:02',0,0,'2010-01-21 15:30:02',0,'2010-01-21 15:30:02',0,'2010-01-21 15:30:02',NULL,NULL,1,NULL),
 ('38196997-8BA3-47FF-AEBA-2E7D2768FB53',NULL,'2010-08-26 14:57:13','sdusedauto',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-26 14:57:13','2010-08-26 14:57:13','2010-08-26 14:57:13',0,0,'2010-08-26 14:57:13',0,'2010-08-26 14:57:13',0,'2010-08-26 14:57:13',NULL,NULL,14,NULL),
 ('3865797C-3C5F-4B53-8CD1-BAE975961079',NULL,'2010-01-23 01:09:28','tamarapicadh',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-23 01:09:28','2010-01-23 01:09:28','2010-01-23 01:09:28',0,0,'2010-01-23 01:09:28',0,'2010-01-23 01:09:28',0,'2010-01-23 01:09:28',NULL,NULL,1,NULL),
 ('3875914E-AE66-46D0-AD74-245F5E8798F0',NULL,'2010-03-17 01:15:32','Felmvemia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-17 01:15:32','2010-03-17 01:15:32','2010-03-17 01:15:32',0,0,'2010-03-17 01:15:32',0,'2010-03-17 01:15:32',0,'2010-03-17 01:15:32',NULL,NULL,14,NULL),
 ('38E306FA-B1A5-40AD-8172-7548F88DF576',NULL,'2010-04-12 04:46:32','kellytrumps',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-12 04:46:32','2010-04-12 04:46:32','2010-04-12 04:46:32',0,0,'2010-04-12 04:46:32',0,'2010-04-12 04:46:32',0,'2010-04-12 04:46:32',NULL,NULL,1,NULL),
 ('39157620-8BD4-4558-BEF5-E4DA6F8EE46C',NULL,'2009-12-17 22:11:09','DrydayRam',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-17 22:11:09','2009-12-17 22:11:09','2009-12-17 22:11:09',0,0,'2009-12-17 22:11:09',0,'2009-12-17 22:11:09',0,'2009-12-17 22:11:09',NULL,NULL,1,NULL),
 ('3971DD8E-FFB0-4B35-81F9-771591DFE3FD',NULL,'2010-01-21 22:20:37','thorroogerdsx',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-21 22:20:37','2010-01-21 22:20:37','2010-01-21 22:20:37',0,0,'2010-01-21 22:20:37',0,'2010-01-21 22:20:37',0,'2010-01-21 22:20:37',NULL,NULL,1,NULL),
 ('3973FB5C-C02E-4C24-82EC-D3694EAF1315',NULL,'2010-05-11 04:30:13','piefOdope',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-11 04:30:13','2010-05-11 04:30:13','2010-05-11 04:30:13',0,0,'2010-05-11 04:30:13',0,'2010-05-11 04:30:13',0,'2010-05-11 04:30:13',NULL,NULL,1,NULL),
 ('3A6B4CEA-3C84-4F1E-8CF8-BB400781D54F',NULL,'2010-02-08 19:50:20','ArcapySaxsaxy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-08 19:50:20','2010-02-08 19:50:20','2010-02-08 19:50:20',0,0,'2010-02-08 19:50:20',0,'2010-02-08 19:50:20',0,'2010-02-08 19:50:20',NULL,NULL,1,NULL),
 ('3A740183-71C7-4C21-831F-37550AEE36CB',NULL,'2010-05-09 23:19:38','HTPCCase',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-09 23:19:38','2010-05-09 23:19:38','2010-05-09 23:19:38',0,0,'2010-05-09 23:19:38',0,'2010-05-09 23:19:38',0,'2010-05-09 23:19:38',NULL,NULL,13,NULL),
 ('3A918CB6-1898-4399-807C-F49CDEF00975',NULL,'2010-06-09 14:08:56','Flelvebap',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-09 14:08:56','2010-06-09 14:08:56','2010-06-09 14:08:56',0,0,'2010-06-09 14:08:56',0,'2010-06-09 14:08:56',0,'2010-06-09 14:08:56',NULL,NULL,1,NULL),
 ('3A9C4359-DAAE-401F-B7CB-0CD1DA4B12B1',NULL,'2010-08-28 01:40:31','Eteneoupt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-28 01:40:33','2010-08-28 01:40:31','2010-08-28 01:40:31',0,0,'2010-08-28 01:40:31',0,'2010-08-28 01:40:31',0,'2010-08-28 01:40:31',NULL,NULL,1,NULL),
 ('3AA87D47-4FA0-4F39-B42A-2DB3697AF2C5',NULL,'2010-07-27 00:43:51','Pagegoaweek',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-27 00:43:51','2010-07-27 00:43:51','2010-07-27 00:43:51',0,0,'2010-07-27 00:43:51',0,'2010-07-27 00:43:51',0,'2010-07-27 00:43:51',NULL,NULL,13,NULL),
 ('3AAE03BC-7CBD-470C-8555-909A0014FB29',NULL,'2010-07-27 15:11:41','Lapeobemo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-27 15:11:41','2010-07-27 15:11:41','2010-07-27 15:11:41',0,0,'2010-07-27 15:11:41',0,'2010-07-27 15:11:41',0,'2010-07-27 15:11:41',NULL,NULL,13,NULL),
 ('3ACEB367-593C-4533-A6DF-349F7D2A44AD',NULL,'2009-12-20 06:27:58','kopolzey',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-20 06:27:58','2009-12-20 06:27:58','2009-12-20 06:27:58',0,0,'2009-12-20 06:27:58',0,'2009-12-20 06:27:58',0,'2009-12-20 06:27:58',NULL,NULL,14,NULL),
 ('3B0DAADA-B568-4544-B3DC-523599973A10',NULL,'2010-06-17 12:32:44','lonelyforever',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-17 12:32:44','2010-06-17 12:32:44','2010-06-17 12:32:44',0,0,'2010-06-17 12:32:44',0,'2010-06-17 12:32:44',0,'2010-06-17 12:32:44',NULL,NULL,14,NULL),
 ('3B1192B4-B6F1-47C3-980A-12583CE0BBC3',NULL,'2010-09-30 21:19:51','odondokinna',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-30 21:19:51','2010-09-30 21:19:51','2010-09-30 21:19:51',0,0,'2010-09-30 21:19:51',0,'2010-09-30 21:19:51',0,'2010-09-30 21:19:51',NULL,NULL,13,NULL),
 ('3B3B62B9-3560-46C5-9A63-39735B52E3F9',NULL,'2010-07-13 22:58:37','DipAccikich',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-13 22:58:37','2010-07-13 22:58:37','2010-07-13 22:58:37',0,0,'2010-07-13 22:58:37',0,'2010-07-13 22:58:37',0,'2010-07-13 22:58:37',NULL,NULL,13,NULL),
 ('3B3F678A-9598-481A-8793-85037B8978E2',NULL,'2010-04-21 01:06:15','ComoObemackam',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-21 01:06:23','2010-04-21 01:06:15','2010-04-21 01:06:15',0,0,'2010-04-21 01:06:15',0,'2010-04-21 01:06:15',0,'2010-04-21 01:06:15',NULL,NULL,1,NULL),
 ('3BAF7333-3E36-482B-94AC-5C12A4416C8C',NULL,'2009-10-24 09:33:48','techmio',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-10-24 20:42:09','2009-10-24 09:33:48','2009-10-24 09:33:48',0,0,'2009-10-24 09:33:48',0,'2009-10-24 09:33:48',0,'2009-10-24 09:33:48',NULL,NULL,1,NULL),
 ('3BBA8837-0C76-476B-A88E-599C442FF03F',NULL,'2009-12-10 09:38:21','desapusi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-10 09:38:21','2009-12-10 09:38:21','2009-12-10 09:38:21',0,0,'2009-12-10 09:38:21',0,'2009-12-10 09:38:21',0,'2009-12-10 09:38:21',NULL,NULL,14,NULL),
 ('3BC8BA2F-BD88-480E-85EB-C3BB6723CDED',NULL,'2010-02-24 00:51:57','dialt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-24 00:51:57','2010-02-24 00:51:57','2010-02-24 00:51:57',0,0,'2010-02-24 00:51:57',0,'2010-02-24 00:51:57',0,'2010-02-24 00:51:57',NULL,NULL,15,NULL),
 ('3BD0C628-A17D-4DC6-BB46-D53979A12B94',NULL,'2010-06-01 21:03:07','Cahphapshaw',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-01 21:03:07','2010-06-01 21:03:07','2010-06-01 21:03:07',0,0,'2010-06-01 21:03:07',0,'2010-06-01 21:03:07',0,'2010-06-01 21:03:07',NULL,NULL,1,NULL),
 ('3BEA579A-C065-4A5E-9DBA-40F6E9FA0655',NULL,'2010-04-30 18:17:59','Dumnsomaneell',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-30 18:17:59','2010-04-30 18:17:59','2010-04-30 18:17:59',0,0,'2010-04-30 18:17:59',0,'2010-04-30 18:17:59',0,'2010-04-30 18:17:59',NULL,NULL,13,NULL),
 ('3C100D34-8B32-4F79-A9C7-C5DFD61FED96',NULL,'2010-02-11 23:59:16','irreryclolf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-11 23:59:16','2010-02-11 23:59:16','2010-02-11 23:59:16',0,0,'2010-02-11 23:59:16',0,'2010-02-11 23:59:16',0,'2010-02-11 23:59:16',NULL,NULL,1,NULL),
 ('3C29E978-91DB-4C6C-A0F4-ACB1F78202E7',NULL,'2010-08-29 11:54:02','Manteepenna',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-29 11:54:02','2010-08-29 11:54:02','2010-08-29 11:54:02',0,0,'2010-08-29 11:54:02',0,'2010-08-29 11:54:02',0,'2010-08-29 11:54:02',NULL,NULL,13,NULL),
 ('3C2B8534-0079-4767-8491-119CACD53624',NULL,'2010-06-28 08:51:01','RisyAssolla',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-28 08:51:01','2010-06-28 08:51:01','2010-06-28 08:51:01',0,0,'2010-06-28 08:51:01',0,'2010-06-28 08:51:01',0,'2010-06-28 08:51:01',NULL,NULL,13,NULL),
 ('3C2D01FF-CCBC-47EF-A891-003F79E7D1DF',NULL,'2010-07-24 10:28:32','apannastoorce',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-24 10:28:45','2010-07-24 10:28:32','2010-07-24 10:28:32',0,0,'2010-07-24 10:28:32',0,'2010-07-24 10:28:32',0,'2010-07-24 10:28:32',NULL,NULL,1,NULL),
 ('3C71BA0C-2D7A-4C18-8BD0-5890FC86EBB9',NULL,'2010-04-08 20:06:17','Apoxexpotte',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-08 20:06:17','2010-04-08 20:06:17','2010-04-08 20:06:17',0,0,'2010-04-08 20:06:17',0,'2010-04-08 20:06:17',0,'2010-04-08 20:06:17',NULL,NULL,1,NULL),
 ('3C97187B-E46B-47E0-82A9-0EA7C4E01D37',NULL,'2009-12-05 06:55:10','Glauber',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','qual o nome da minha primeira professora?','N',1,'2010-09-03 14:15:11','2010-09-02 10:12:47','2009-12-05 06:55:10',0,0,'2009-12-05 06:55:10',1,'2010-09-02 10:12:42',0,'2009-12-05 06:55:10',NULL,NULL,1,NULL),
 ('3C9B93EC-5EB2-4732-B4B1-07CAB276718A',NULL,'2010-10-03 22:33:21','JamesSL',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-03 22:33:21','2010-10-03 22:33:21','2010-10-03 22:33:21',0,0,'2010-10-03 22:33:21',0,'2010-10-03 22:33:21',0,'2010-10-03 22:33:21',NULL,NULL,1,NULL),
 ('3CBFD04B-4AD5-4F8B-9FF5-3D8858619D31',NULL,'2010-02-21 00:11:37','plauderpeter',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-21 00:11:37','2010-02-21 00:11:37','2010-02-21 00:11:37',0,0,'2010-02-21 00:11:37',0,'2010-02-21 00:11:37',0,'2010-02-21 00:11:37',NULL,NULL,14,NULL),
 ('3CC3E0D2-A914-4458-AD9C-41D1E7F1C8F8',NULL,'2010-01-21 00:27:12','Biogsdiakskal',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-21 00:27:12','2010-01-21 00:27:12','2010-01-21 00:27:12',0,0,'2010-01-21 00:27:12',0,'2010-01-21 00:27:12',0,'2010-01-21 00:27:12',NULL,NULL,1,NULL),
 ('3CC7AC93-B17D-4556-9D6A-9B8264578BEB',NULL,'2010-05-06 17:04:47','fiction90z',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-06 17:04:47','2010-05-06 17:04:47','2010-05-06 17:04:47',0,0,'2010-05-06 17:04:47',0,'2010-05-06 17:04:47',0,'2010-05-06 17:04:47',NULL,NULL,1,NULL),
 ('3CDF1768-965C-4263-A5F7-46E22F121180',NULL,'2010-05-10 07:42:19','NewDopper',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-10 07:42:19','2010-05-10 07:42:19','2010-05-10 07:42:19',0,0,'2010-05-10 07:42:19',0,'2010-05-10 07:42:19',0,'2010-05-10 07:42:19',NULL,NULL,1,NULL),
 ('3CF247BE-BDDD-46A8-9E7A-00D2E2AAE797',NULL,'2010-06-08 07:18:29','david889',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-08 07:18:32','2010-06-08 07:18:29','2010-06-08 07:18:29',0,0,'2010-06-08 07:18:29',0,'2010-06-08 07:18:29',0,'2010-06-08 07:18:29',NULL,NULL,1,NULL),
 ('3CFB617F-B8AC-43FF-A221-2696AB59C686',NULL,'2010-05-16 19:09:06','Podrozyrak',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 19:09:06','2010-05-16 19:09:06','2010-05-16 19:09:06',0,0,'2010-05-16 19:09:06',0,'2010-05-16 19:09:06',0,'2010-05-16 19:09:06',NULL,NULL,1,NULL),
 ('3D1ADAB8-CD9D-4A09-AEC4-4F81E985B8FC',NULL,'2010-09-26 01:28:49','ANDerson',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-26 01:28:49','2010-09-26 01:28:49','2010-09-26 01:28:49',0,0,'2010-09-26 01:28:49',0,'2010-09-26 01:28:49',0,'2010-09-26 01:28:49',NULL,NULL,1,NULL),
 ('3DA75467-FB04-40EC-A5EB-BE925DE9C54E',NULL,'2010-02-03 03:31:52','jghgyytyh',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-03 03:31:52','2010-02-03 03:31:52','2010-02-03 03:31:52',0,0,'2010-02-03 03:31:52',0,'2010-02-03 03:31:52',0,'2010-02-03 03:31:52',NULL,NULL,1,NULL),
 ('3DB09E0F-DA22-40B5-9A73-9EABDC0FEA60',NULL,'2010-06-19 18:23:31','FarlAvoiliord',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-19 18:23:31','2010-06-19 18:23:31','2010-06-19 18:23:31',0,0,'2010-06-19 18:23:31',0,'2010-06-19 18:23:31',0,'2010-06-19 18:23:31',NULL,NULL,1,NULL),
 ('3DB9DD31-949B-4D10-9074-21CEE218117D',NULL,'2010-08-04 20:06:20','phivy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-04 20:06:20','2010-08-04 20:06:20','2010-08-04 20:06:20',0,0,'2010-08-04 20:06:20',0,'2010-08-04 20:06:20',0,'2010-08-04 20:06:20',NULL,NULL,13,NULL),
 ('3DC5D502-ED47-45D3-9613-0F442FCCF0DF',NULL,'2010-05-09 23:28:14','Tiepayemece',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-09 23:28:14','2010-05-09 23:28:14','2010-05-09 23:28:14',0,0,'2010-05-09 23:28:14',0,'2010-05-09 23:28:14',0,'2010-05-09 23:28:14',NULL,NULL,1,NULL),
 ('3DEA85CE-A261-470D-B7FC-079740127B83',NULL,'2010-06-12 21:37:22','softeragowell',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-12 21:37:22','2010-06-12 21:37:22','2010-06-12 21:37:22',0,0,'2010-06-12 21:37:22',0,'2010-06-12 21:37:22',0,'2010-06-12 21:37:22',NULL,NULL,13,NULL),
 ('3E05236E-4091-4B9E-AD5D-D44A1E7B24B5',NULL,'2010-04-08 19:15:16','Acroclalf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-08 19:15:16','2010-04-08 19:15:16','2010-04-08 19:15:16',0,0,'2010-04-08 19:15:16',0,'2010-04-08 19:15:16',0,'2010-04-08 19:15:16',NULL,NULL,1,NULL),
 ('3E313E94-417E-40A5-AEED-746EBFECED07',NULL,'2010-04-06 17:14:18','Oceaguemace',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-06 17:14:18','2010-04-06 17:14:18','2010-04-06 17:14:18',0,0,'2010-04-06 17:14:18',0,'2010-04-06 17:14:18',0,'2010-04-06 17:14:18',NULL,NULL,13,NULL),
 ('3E67F820-8F63-452F-A9EE-93275189DE63',NULL,'2010-06-19 21:07:39','traitacix',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-19 21:08:01','2010-06-19 21:07:39','2010-06-19 21:07:39',0,0,'2010-06-19 21:07:39',0,'2010-06-19 21:07:39',0,'2010-06-19 21:07:39',NULL,NULL,1,NULL),
 ('3E7CC271-F59A-4917-8464-8E63955C2638',NULL,'2010-02-27 01:23:46','EYtitus',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-27 01:23:46','2010-02-27 01:23:46','2010-02-27 01:23:46',0,0,'2010-02-27 01:23:46',0,'2010-02-27 01:23:46',0,'2010-02-27 01:23:46',NULL,NULL,1,NULL),
 ('3E8DFC9D-63DB-4581-BF28-3C62604F2594',NULL,'2010-09-19 04:22:06','sdplumbgirl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-19 04:22:06','2010-09-19 04:22:06','2010-09-19 04:22:06',0,0,'2010-09-19 04:22:06',0,'2010-09-19 04:22:06',0,'2010-09-19 04:22:06',NULL,NULL,14,NULL),
 ('3E9DA0A7-FD0B-4662-90D1-3A149C382281',NULL,'2010-05-26 18:34:20','GuillaGlipugs',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-26 18:34:20','2010-05-26 18:34:20','2010-05-26 18:34:20',0,0,'2010-05-26 18:34:20',0,'2010-05-26 18:34:20',0,'2010-05-26 18:34:20',NULL,NULL,1,NULL),
 ('3EB417F6-277F-41C2-9A67-61A2BBCD223A',NULL,'2010-02-19 19:47:57','kontroll',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','troll138','troll138',1,'2010-02-19 19:49:33','2010-02-19 19:47:57','2010-02-19 19:47:57',0,0,'2010-02-19 19:47:57',0,'2010-02-19 19:47:57',0,'2010-02-19 19:47:57',NULL,NULL,1,NULL),
 ('3EC9AB04-0341-4744-8C10-362645543FB1',NULL,'2010-05-15 09:09:12','KZRul',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-15 09:09:12','2010-05-15 09:09:12','2010-05-15 09:09:12',0,0,'2010-05-15 09:09:12',0,'2010-05-15 09:09:12',0,'2010-05-15 09:09:12',NULL,NULL,1,NULL),
 ('3F25B5BE-841A-4523-9274-C73847A16C76',NULL,'2009-11-17 02:15:16','demo77',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-17 02:15:33','2009-11-17 02:15:16','2009-11-17 02:15:16',0,0,'2009-11-17 02:15:16',0,'2009-11-17 02:15:16',0,'2009-11-17 02:15:16',NULL,NULL,15,NULL),
 ('3F50C97B-F1BB-4310-9ABB-3778E412CF1E',NULL,'2010-08-28 19:48:02','alkappyKelp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-28 19:48:02','2010-08-28 19:48:02','2010-08-28 19:48:02',0,0,'2010-08-28 19:48:02',0,'2010-08-28 19:48:02',0,'2010-08-28 19:48:02',NULL,NULL,1,NULL),
 ('3F5C01A5-E7A4-4717-A94B-B55373CD9884',NULL,'2010-09-14 22:56:49','Caesarys',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-14 22:56:49','2010-09-14 22:56:49','2010-09-14 22:56:49',0,0,'2010-09-14 22:56:49',0,'2010-09-14 22:56:49',0,'2010-09-14 22:56:49',NULL,NULL,13,NULL),
 ('3F7020FA-CAEA-4FBB-A543-4605F51AC1D1',NULL,'2010-06-14 13:26:18','Michellekeva',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-14 13:26:18','2010-06-14 13:26:18','2010-06-14 13:26:18',0,0,'2010-06-14 13:26:18',0,'2010-06-14 13:26:18',0,'2010-06-14 13:26:18',NULL,NULL,1,NULL),
 ('3FE3752D-5FAE-4C4C-8A13-A7F01FE6990C',NULL,'2010-07-17 12:25:04','constructionsd',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-17 12:25:04','2010-07-17 12:25:04','2010-07-17 12:25:04',0,0,'2010-07-17 12:25:04',0,'2010-07-17 12:25:04',0,'2010-07-17 12:25:04',NULL,NULL,14,NULL),
 ('3FE50B93-B248-4117-988A-1CE5AF38CE8C',NULL,'2010-08-31 20:49:09','invorrose',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-31 20:49:09','2010-08-31 20:49:09','2010-08-31 20:49:09',0,0,'2010-08-31 20:49:09',0,'2010-08-31 20:49:09',0,'2010-08-31 20:49:09',NULL,NULL,13,NULL),
 ('3FE63E4E-3441-4650-B101-702E60A06EED',NULL,'2010-03-29 16:55:10','Croryadjura',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-29 16:55:10','2010-03-29 16:55:10','2010-03-29 16:55:10',0,0,'2010-03-29 16:55:10',0,'2010-03-29 16:55:10',0,'2010-03-29 16:55:10',NULL,NULL,1,NULL),
 ('4012B03A-5C17-456D-973C-7B0DFB4404EC',NULL,'2010-04-14 08:47:56','lisyfladdilia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-14 08:47:56','2010-04-14 08:47:56','2010-04-14 08:47:56',0,0,'2010-04-14 08:47:56',0,'2010-04-14 08:47:56',0,'2010-04-14 08:47:56',NULL,NULL,1,NULL),
 ('401460BD-AF9B-42AE-B336-137DC42E8037',NULL,'2010-03-05 11:16:49','markkavelskiys',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-05 11:16:49','2010-03-05 11:16:49','2010-03-05 11:16:49',0,0,'2010-03-05 11:16:49',0,'2010-03-05 11:16:49',0,'2010-03-05 11:16:49',NULL,NULL,15,NULL),
 ('40581EF1-1773-45E7-8C74-F3CE11CF20D6',NULL,'2010-05-09 03:56:59','welwet-twelff',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-09 03:56:59','2010-05-09 03:56:59','2010-05-09 03:56:59',0,0,'2010-05-09 03:56:59',0,'2010-05-09 03:56:59',0,'2010-05-09 03:56:59',NULL,NULL,1,NULL),
 ('405ECB05-3F18-416C-9D1C-F3AB128DA177',NULL,'2010-09-03 10:05:52','Reerttaussy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-03 10:05:52','2010-09-03 10:05:52','2010-09-03 10:05:52',0,0,'2010-09-03 10:05:52',0,'2010-09-03 10:05:52',0,'2010-09-03 10:05:52',NULL,NULL,1,NULL),
 ('4074495A-C917-45C2-BD08-9706D4C703C0',NULL,'2010-03-15 22:20:27','sue',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','name','sue',1,'2010-03-15 22:24:37','2010-03-15 22:20:27','2010-03-15 22:20:27',0,0,'2010-03-15 22:20:27',0,'2010-03-15 22:20:27',0,'2010-03-15 22:20:27',NULL,NULL,15,NULL),
 ('4093A28E-6AE9-457D-A584-523E6C8235E1',NULL,'2010-04-02 15:48:50','Equidssoustiz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-02 15:48:50','2010-04-02 15:48:50','2010-04-02 15:48:50',0,0,'2010-04-02 15:48:50',0,'2010-04-02 15:48:50',0,'2010-04-02 15:48:50',NULL,NULL,1,NULL),
 ('409C49F0-C7B7-41EB-A3FB-2E5CFF1C337B',NULL,'2010-05-24 03:24:13','PhantomPlate',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-24 03:24:13','2010-05-24 03:24:13','2010-05-24 03:24:13',0,0,'2010-05-24 03:24:13',0,'2010-05-24 03:24:13',0,'2010-05-24 03:24:13',NULL,NULL,13,NULL),
 ('40A23B92-977E-48CC-8505-C7B720837051',NULL,'2010-07-28 17:34:37','sddebtguy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-28 17:34:37','2010-07-28 17:34:37','2010-07-28 17:34:37',0,0,'2010-07-28 17:34:37',0,'2010-07-28 17:34:37',0,'2010-07-28 17:34:37',NULL,NULL,14,NULL),
 ('41158A2F-8EBD-4A68-A8BC-20D52B4F2A61',NULL,'2010-05-20 12:07:36','Irenoldstar',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-20 12:07:36','2010-05-20 12:07:36','2010-05-20 12:07:36',0,0,'2010-05-20 12:07:36',0,'2010-05-20 12:07:36',0,'2010-05-20 12:07:36',NULL,NULL,1,NULL),
 ('414904C7-EC21-4303-8460-FFDDD86DA698',NULL,'2010-02-04 16:44:42','scott2',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-02-04 16:45:48','2010-02-04 16:44:42','2010-02-04 16:44:42',0,0,'2010-02-04 16:44:42',0,'2010-02-04 16:44:42',0,'2010-02-04 16:44:42',NULL,NULL,15,NULL),
 ('41685EC2-1BD1-4E94-BA11-9B8DAE795D6F',NULL,'2010-10-12 16:44:01','furaheerN',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-12 16:44:01','2010-10-12 16:44:01','2010-10-12 16:44:01',0,0,'2010-10-12 16:44:01',0,'2010-10-12 16:44:01',0,'2010-10-12 16:44:01',NULL,NULL,1,NULL),
 ('41A1196B-3C3D-40EE-AB65-7373569E82C8',NULL,'2010-01-06 14:12:55','vicrua',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','pintar','pintar',1,'2010-01-06 14:20:20','2010-01-06 14:16:54','2010-01-06 14:12:55',0,0,'2010-01-06 14:12:55',0,'2010-01-06 14:12:55',0,'2010-01-06 14:12:55',NULL,NULL,15,NULL),
 ('41B636A7-07BA-49BB-AF9A-398BDFFB140C',NULL,'2010-10-02 02:37:36','nvvhforah',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-02 02:37:36','2010-10-02 02:37:36','2010-10-02 02:37:36',0,0,'2010-10-02 02:37:36',0,'2010-10-02 02:37:36',0,'2010-10-02 02:37:36',NULL,NULL,14,NULL),
 ('41DEB695-9778-4F82-A987-5BD0B31EF72B',NULL,'2010-07-05 11:55:31','allobinee',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-05 11:55:31','2010-07-05 11:55:31','2010-07-05 11:55:31',0,0,'2010-07-05 11:55:31',0,'2010-07-05 11:55:31',0,'2010-07-05 11:55:31',NULL,NULL,13,NULL),
 ('41EDB30E-82A0-4CD3-AE93-70F6A324CD3D',NULL,'2009-10-27 19:55:02','WyvvernEsser',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-27 19:55:02','2009-10-27 19:55:02','2009-10-27 19:55:02',0,0,'2009-10-27 19:55:02',0,'2009-10-27 19:55:02',0,'2009-10-27 19:55:02',NULL,NULL,1,NULL),
 ('421A7101-B29F-4E0B-9C6D-8892607B3ABF',NULL,'2010-02-05 18:23:52','Queerakam',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-05 18:23:52','2010-02-05 18:23:52','2010-02-05 18:23:52',0,0,'2010-02-05 18:23:52',0,'2010-02-05 18:23:52',0,'2010-02-05 18:23:52',NULL,NULL,1,NULL),
 ('421E73C1-7505-4DD5-97FA-DD8F40ED2BAA',NULL,'2010-03-27 02:41:06','OperNauptBamuM',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-27 02:41:06','2010-03-27 02:41:06','2010-03-27 02:41:06',0,0,'2010-03-27 02:41:06',0,'2010-03-27 02:41:06',0,'2010-03-27 02:41:06',NULL,NULL,15,NULL),
 ('424F28EE-903F-4AC6-A738-A727D8C3020B',NULL,'2010-09-16 21:51:25','Liellence',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-16 21:51:25','2010-09-16 21:51:25','2010-09-16 21:51:25',0,0,'2010-09-16 21:51:25',0,'2010-09-16 21:51:25',0,'2010-09-16 21:51:25',NULL,NULL,1,NULL),
 ('4279AC3D-07E8-4024-B340-D01CF3752734',NULL,'2010-08-11 01:47:07','traverenO',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-11 01:47:07','2010-08-11 01:47:07','2010-08-11 01:47:07',0,0,'2010-08-11 01:47:07',0,'2010-08-11 01:47:07',0,'2010-08-11 01:47:07',NULL,NULL,13,NULL),
 ('4287B9D1-8BBA-44C7-A620-E372FC260331',NULL,'2010-02-04 20:30:30','maxprosxx',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-04 20:30:30','2010-02-04 20:30:30','2010-02-04 20:30:30',0,0,'2010-02-04 20:30:30',0,'2010-02-04 20:30:30',0,'2010-02-04 20:30:30',NULL,NULL,1,NULL),
 ('42A1765D-DDC0-4FF5-BAAC-254A39F850A4',NULL,'2010-04-09 10:51:20','Buchza',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-09 10:51:20','2010-04-09 10:51:20','2010-04-09 10:51:20',0,0,'2010-04-09 10:51:20',0,'2010-04-09 10:51:20',0,'2010-04-09 10:51:20',NULL,NULL,1,NULL),
 ('42BB8CF0-2F16-4BF6-A930-83F6196A1CBE',NULL,'2010-09-14 05:24:21','ntellpi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-14 05:24:21','2010-09-14 05:24:21','2010-09-14 05:24:21',0,0,'2010-09-14 05:24:21',0,'2010-09-14 05:24:21',0,'2010-09-14 05:24:21',NULL,NULL,14,NULL),
 ('434D37FD-E81E-4555-9FBF-D5C91970117F',NULL,'2009-12-29 04:32:08','Broneypon',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-29 04:32:08','2009-12-29 04:32:08','2009-12-29 04:32:08',0,0,'2009-12-29 04:32:08',0,'2009-12-29 04:32:08',0,'2009-12-29 04:32:08',NULL,NULL,1,NULL),
 ('4356852F-DB95-4443-90C8-16D2B9F4A7DC',NULL,'2010-08-31 04:14:16','contractors',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-31 04:14:16','2010-08-31 04:14:16','2010-08-31 04:14:16',0,0,'2010-08-31 04:14:16',0,'2010-08-31 04:14:16',0,'2010-08-31 04:14:16',NULL,NULL,14,NULL),
 ('435B40E4-28C0-473F-9A3D-A06C8494352A',NULL,'2010-04-24 22:36:39','anisyarorrict',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-24 22:36:39','2010-04-24 22:36:39','2010-04-24 22:36:39',0,0,'2010-04-24 22:36:39',0,'2010-04-24 22:36:39',0,'2010-04-24 22:36:39',NULL,NULL,1,NULL),
 ('4360D162-28E8-488B-987B-B5697F709873',NULL,'2010-08-07 18:13:51','aiapicadhi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-07 18:13:51','2010-08-07 18:13:51','2010-08-07 18:13:51',0,0,'2010-08-07 18:13:51',0,'2010-08-07 18:13:51',0,'2010-08-07 18:13:51',NULL,NULL,1,NULL),
 ('437ACB4A-9170-4FC7-A208-A3C83F3B3F50',NULL,'2010-06-07 16:24:15','sleetstiend',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-07 16:24:15','2010-06-07 16:24:15','2010-06-07 16:24:15',0,0,'2010-06-07 16:24:15',0,'2010-06-07 16:24:15',0,'2010-06-07 16:24:15',NULL,NULL,1,NULL),
 ('43835C96-5D0C-4D18-9D6B-7C6F8F8684ED',NULL,'2010-06-29 14:25:35','FlaySterMs',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-29 14:25:43','2010-06-29 14:25:35','2010-06-29 14:25:35',0,0,'2010-06-29 14:25:35',0,'2010-06-29 14:25:35',0,'2010-06-29 14:25:35',NULL,NULL,1,NULL),
 ('438B00FC-F66F-4228-B6B3-F512EB1A6B64',NULL,'2009-11-19 14:44:44','ShaunPasko',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-19 14:44:44','2009-11-19 14:44:44','2009-11-19 14:44:44',0,0,'2009-11-19 14:44:44',0,'2009-11-19 14:44:44',0,'2009-11-19 14:44:44',NULL,NULL,13,NULL),
 ('438C1B50-23A5-49B3-BE29-54364EC51E4D',NULL,'2009-11-24 05:24:21','test',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-24 05:25:07','2009-11-24 05:24:21','2009-11-24 05:24:21',0,0,'2009-11-24 05:24:21',1,'2010-03-25 03:36:32',0,'2009-11-24 05:24:21',NULL,NULL,15,NULL),
 ('43903A23-39D2-4959-AF3D-9B218B40DBA9',NULL,'2010-05-14 18:14:50','dickedinger',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-14 18:14:50','2010-05-14 18:14:50','2010-05-14 18:14:50',0,0,'2010-05-14 18:14:50',0,'2010-05-14 18:14:50',0,'2010-05-14 18:14:50',NULL,NULL,14,NULL),
 ('43B23861-49A4-4727-B0DE-8CD705B492A7',NULL,'2010-10-12 23:09:09','Immerfumubsen',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-12 23:09:09','2010-10-12 23:09:09','2010-10-12 23:09:09',0,0,'2010-10-12 23:09:09',0,'2010-10-12 23:09:09',0,'2010-10-12 23:09:09',NULL,NULL,1,NULL),
 ('43B6CC02-89DC-423C-AD47-EFC56D171475',NULL,'2010-05-19 04:35:48','PlaryEruppy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-19 04:35:48','2010-05-19 04:35:48','2010-05-19 04:35:48',0,0,'2010-05-19 04:35:48',0,'2010-05-19 04:35:48',0,'2010-05-19 04:35:48',NULL,NULL,1,NULL),
 ('43F86327-134C-4972-80B7-F6EFF62C6AE8',NULL,'2010-03-16 00:12:10','Gughethyhit',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-16 00:12:10','2010-03-16 00:12:10','2010-03-16 00:12:10',0,0,'2010-03-16 00:12:10',0,'2010-03-16 00:12:10',0,'2010-03-16 00:12:10',NULL,NULL,1,NULL),
 ('44272539-DA53-492A-85B9-E061E1E92482',NULL,'2010-07-25 01:22:19','Jeri\r\n  (ALFA ) Navarette\r\n',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-25 01:22:19','2010-07-25 01:22:19','2010-07-25 01:22:19',0,0,'2010-07-25 01:22:19',0,'2010-07-25 01:22:19',0,'2010-07-25 01:22:19',NULL,NULL,13,NULL),
 ('448B3E5D-C214-4BDE-B894-0C121E77E11A',NULL,'2010-05-11 00:48:09','IntotheCefe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-11 00:48:09','2010-05-11 00:48:09','2010-05-11 00:48:09',0,0,'2010-05-11 00:48:09',0,'2010-05-11 00:48:09',0,'2010-05-11 00:48:09',NULL,NULL,14,NULL),
 ('448DB98F-773A-4867-9BAE-7879973561D7',NULL,'2010-09-29 13:29:16','Hisythilmette',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-29 13:29:16','2010-09-29 13:29:16','2010-09-29 13:29:16',0,0,'2010-09-29 13:29:16',0,'2010-09-29 13:29:16',0,'2010-09-29 13:29:16',NULL,NULL,13,NULL),
 ('44B70DF3-34D2-4544-8B5A-43BC9A18AA1D',NULL,'2010-08-10 23:34:11','bulavochkiruru',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-10 23:34:11','2010-08-10 23:34:11','2010-08-10 23:34:11',0,0,'2010-08-10 23:34:11',0,'2010-08-10 23:34:11',0,'2010-08-10 23:34:11',NULL,NULL,1,NULL),
 ('44BC8DF8-9078-4F11-9509-BAA916A74FDC',NULL,'2010-09-23 23:36:51','JamegBrut',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-23 23:36:51','2010-09-23 23:36:51','2010-09-23 23:36:51',0,0,'2010-09-23 23:36:51',0,'2010-09-23 23:36:51',0,'2010-09-23 23:36:51',NULL,NULL,1,NULL),
 ('44BE92EE-D6A8-4802-A8D4-D620283BF1C5',NULL,'2010-10-05 14:03:45','rennilmoksa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-05 14:03:45','2010-10-05 14:03:45','2010-10-05 14:03:45',0,0,'2010-10-05 14:03:45',0,'2010-10-05 14:03:45',0,'2010-10-05 14:03:45',NULL,NULL,1,NULL),
 ('44D1E743-E104-4398-AF6B-F643B96FBB69',NULL,'2010-05-26 20:17:33','TodoAdohell',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-26 20:17:33','2010-05-26 20:17:33','2010-05-26 20:17:33',0,0,'2010-05-26 20:17:33',0,'2010-05-26 20:17:33',0,'2010-05-26 20:17:33',NULL,NULL,1,NULL),
 ('44EC406E-578A-4AE5-8F68-212ED7C78317',NULL,'2010-04-27 22:07:19','BluereeIdeday',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-27 22:07:19','2010-04-27 22:07:19','2010-04-27 22:07:19',0,0,'2010-04-27 22:07:19',0,'2010-04-27 22:07:19',0,'2010-04-27 22:07:19',NULL,NULL,1,NULL),
 ('44EE2246-F530-4B25-95B6-E65E29736C68',NULL,'2010-06-21 09:10:15','BradSearf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-21 09:10:15','2010-06-21 09:10:15','2010-06-21 09:10:15',0,0,'2010-06-21 09:10:15',0,'2010-06-21 09:10:15',0,'2010-06-21 09:10:15',NULL,NULL,1,NULL),
 ('4559FC43-FB6F-4E8D-B8CC-79B2E8E8F863',NULL,'2010-03-29 22:30:13','wincslist',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-29 22:30:13','2010-03-29 22:30:13','2010-03-29 22:30:13',0,0,'2010-03-29 22:30:13',0,'2010-03-29 22:30:13',0,'2010-03-29 22:30:13',NULL,NULL,13,NULL),
 ('4560A227-E439-4214-BAEC-87F3C0B1CE37',NULL,'2010-01-10 13:01:12','SupermanOriginal',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-10 13:01:12','2010-01-10 13:01:12','2010-01-10 13:01:12',0,0,'2010-01-10 13:01:12',0,'2010-01-10 13:01:12',0,'2010-01-10 13:01:12',NULL,NULL,1,NULL),
 ('4568BA79-6443-4AD6-BFB3-3F459E27E39F',NULL,'2010-07-02 14:20:55','creditexpertslm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-02 14:20:55','2010-07-02 14:20:55','2010-07-02 14:20:55',0,0,'2010-07-02 14:20:55',0,'2010-07-02 14:20:55',0,'2010-07-02 14:20:55',NULL,NULL,13,NULL),
 ('4591D8CC-3B72-4D30-A34F-6E9F5F35F036',NULL,'2010-05-24 12:04:24','fleehillibe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-24 12:04:24','2010-05-24 12:04:24','2010-05-24 12:04:24',0,0,'2010-05-24 12:04:24',0,'2010-05-24 12:04:24',0,'2010-05-24 12:04:24',NULL,NULL,1,NULL),
 ('45F37611-B699-413B-9991-99C9FF887868',NULL,'2010-01-06 19:03:42','robertabellum',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-06 19:03:42','2010-01-06 19:03:42','2010-01-06 19:03:42',0,0,'2010-01-06 19:03:42',0,'2010-01-06 19:03:42',0,'2010-01-06 19:03:42',NULL,NULL,14,NULL),
 ('46116750-943B-4BBB-9B4C-61544ECE98E2',NULL,'2010-05-20 07:36:35','Danteeambunse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-20 07:36:35','2010-05-20 07:36:35','2010-05-20 07:36:35',0,0,'2010-05-20 07:36:35',0,'2010-05-20 07:36:35',0,'2010-05-20 07:36:35',NULL,NULL,13,NULL),
 ('464AD573-D5F4-42BE-A739-32ABD8FFB703',NULL,'2010-07-08 09:18:36','Immokyrhymn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-08 09:18:36','2010-07-08 09:18:36','2010-07-08 09:18:36',0,0,'2010-07-08 09:18:36',0,'2010-07-08 09:18:36',0,'2010-07-08 09:18:36',NULL,NULL,1,NULL),
 ('46525350-4AA4-41FE-9ACC-76F64C827860',NULL,'2010-07-15 19:32:07','moldmaster',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-15 19:32:07','2010-07-15 19:32:07','2010-07-15 19:32:07',0,0,'2010-07-15 19:32:07',0,'2010-07-15 19:32:07',0,'2010-07-15 19:32:07',NULL,NULL,14,NULL),
 ('46675CA8-3ECE-4FA9-BF6D-969E723EC34E',NULL,'2010-06-09 02:32:27','UtetleAddeste',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-09 02:32:27','2010-06-09 02:32:27','2010-06-09 02:32:27',0,0,'2010-06-09 02:32:27',0,'2010-06-09 02:32:27',0,'2010-06-09 02:32:27',NULL,NULL,13,NULL),
 ('468476E1-724C-438A-B790-EFE539A556A0',NULL,'2009-10-29 16:50:06','pwbuet1',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','mothers maiden name','fenton',1,'2009-10-29 16:51:27','2009-10-29 16:50:06','2009-10-29 16:50:06',0,0,'2009-10-29 16:50:06',0,'2009-10-29 16:50:06',0,'2009-10-29 16:50:06',NULL,NULL,1,NULL),
 ('469DA28E-0F52-4A6C-B9E0-CD8D2C40B61F',NULL,'2010-03-10 17:20:08','seinestabigue',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-10 17:20:08','2010-03-10 17:20:08','2010-03-10 17:20:08',0,0,'2010-03-10 17:20:08',0,'2010-03-10 17:20:08',0,'2010-03-10 17:20:08',NULL,NULL,1,NULL),
 ('470161E6-6552-44C4-AEFA-0F5C26EA7B05',NULL,'2010-02-11 06:54:52','TorimbJeorort',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-11 06:54:52','2010-02-11 06:54:52','2010-02-11 06:54:52',0,0,'2010-02-11 06:54:52',0,'2010-02-11 06:54:52',0,'2010-02-11 06:54:52',NULL,NULL,1,NULL),
 ('47029E92-692C-45CB-B184-F9AD306A5009',NULL,'2009-12-28 07:35:42','sandbox2',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-29 07:19:47','2009-12-28 07:35:42','2009-12-28 07:35:42',0,0,'2009-12-28 07:35:42',0,'2009-12-28 07:35:42',0,'2009-12-28 07:35:42',NULL,NULL,15,NULL),
 ('47785A42-673F-4024-98C7-C9C1CAA0E308',NULL,'2010-10-03 12:40:52','smavytitetasp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-03 12:40:52','2010-10-03 12:40:52','2010-10-03 12:40:52',0,0,'2010-10-03 12:40:52',0,'2010-10-03 12:40:52',0,'2010-10-03 12:40:52',NULL,NULL,1,NULL),
 ('4781FB67-B1BD-403D-8AF2-78113001A2BD',NULL,'2010-03-27 20:40:58','BardinADoctor',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-27 20:40:58','2010-03-27 20:40:58','2010-03-27 20:40:58',0,0,'2010-03-27 20:40:58',0,'2010-03-27 20:40:58',0,'2010-03-27 20:40:58',NULL,NULL,1,NULL),
 ('47B12E97-3233-4C06-8875-6BE57163DD4F',NULL,'2010-09-08 18:15:48','Mahinense',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-08 18:15:48','2010-09-08 18:15:48','2010-09-08 18:15:48',0,0,'2010-09-08 18:15:48',0,'2010-09-08 18:15:48',0,'2010-09-08 18:15:48',NULL,NULL,1,NULL),
 ('47CB46DB-493E-4FD7-8963-4D9A0322A0A9',NULL,'2010-06-06 12:46:59','buywindowsxpvistacheapa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-06 12:46:59','2010-06-06 12:46:59','2010-06-06 12:46:59',0,0,'2010-06-06 12:46:59',0,'2010-06-06 12:46:59',0,'2010-06-06 12:46:59',NULL,NULL,1,NULL),
 ('480B4436-C435-4461-B023-CDD476E79E86',NULL,'2010-06-04 13:59:31','Magortro',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-04 13:59:31','2010-06-04 13:59:31','2010-06-04 13:59:31',0,0,'2010-06-04 13:59:31',0,'2010-06-04 13:59:31',0,'2010-06-04 13:59:31',NULL,NULL,1,NULL),
 ('48726973-5DCD-4C8E-B1ED-84F6485D1A9D',NULL,'2010-08-22 04:24:47','ponijimaoka',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-22 04:24:47','2010-08-22 04:24:47','2010-08-22 04:24:47',0,0,'2010-08-22 04:24:47',0,'2010-08-22 04:24:47',0,'2010-08-22 04:24:47',NULL,NULL,1,NULL),
 ('4872C009-BA79-4EB4-8BBE-5C68439452E9',NULL,'2010-03-24 09:50:14','Cyncannoutt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-24 09:50:14','2010-03-24 09:50:14','2010-03-24 09:50:14',0,0,'2010-03-24 09:50:14',0,'2010-03-24 09:50:14',0,'2010-03-24 09:50:14',NULL,NULL,1,NULL),
 ('48736C21-68CE-4CA9-BD9F-07530B36A9A2',NULL,'2009-11-13 17:39:13','affiffeve',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-13 17:39:12','2009-11-13 17:39:12','2009-11-13 17:39:12',0,0,'2009-11-13 17:39:12',0,'2009-11-13 17:39:12',0,'2009-11-13 17:39:12',NULL,NULL,1,NULL),
 ('48A475D8-024D-4CC9-AFB9-82196CAFD972',NULL,'2010-08-24 08:09:54','bkmanguy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-24 08:09:54','2010-08-24 08:09:54','2010-08-24 08:09:54',0,0,'2010-08-24 08:09:54',0,'2010-08-24 08:09:54',0,'2010-08-24 08:09:54',NULL,NULL,14,NULL),
 ('49114D93-6B41-4DE4-8DCE-71EF485363D7',NULL,'2010-09-24 11:07:33','Universalresopot',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-24 11:07:32','2010-09-24 11:07:32','2010-09-24 11:07:32',0,0,'2010-09-24 11:07:32',0,'2010-09-24 11:07:32',0,'2010-09-24 11:07:32',NULL,NULL,13,NULL),
 ('4992AFC2-48E6-4772-BF33-E7275E02DAB3',NULL,'2010-07-28 13:19:40','Erickeva',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-28 13:19:40','2010-07-28 13:19:40','2010-07-28 13:19:40',0,0,'2010-07-28 13:19:40',0,'2010-07-28 13:19:40',0,'2010-07-28 13:19:40',NULL,NULL,1,NULL),
 ('499F5D14-A539-42A7-BAE8-C37D9B0EEB6F',NULL,'2010-04-09 17:11:06','elurreshy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-09 17:11:06','2010-04-09 17:11:06','2010-04-09 17:11:06',0,0,'2010-04-09 17:11:06',0,'2010-04-09 17:11:06',0,'2010-04-09 17:11:06',NULL,NULL,1,NULL),
 ('49F6C41F-1FF2-449D-ACA7-26DAD72A4739',NULL,'2010-08-21 11:38:45','sddivorce',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-21 11:38:44','2010-08-21 11:38:44','2010-08-21 11:38:44',0,0,'2010-08-21 11:38:44',0,'2010-08-21 11:38:44',0,'2010-08-21 11:38:44',NULL,NULL,14,NULL),
 ('4AA3E74F-F9D8-4741-85FF-5023A39D57D8',NULL,'2010-09-20 19:35:33','nokIrressunsedy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-20 19:35:33','2010-09-20 19:35:33','2010-09-20 19:35:33',0,0,'2010-09-20 19:35:33',0,'2010-09-20 19:35:33',0,'2010-09-20 19:35:33',NULL,NULL,14,NULL),
 ('4AA598DD-648A-4A55-8B33-F031CAEA4852',NULL,'2010-05-25 14:40:29','Najdaotn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-25 14:40:29','2010-05-25 14:40:29','2010-05-25 14:40:29',0,0,'2010-05-25 14:40:29',0,'2010-05-25 14:40:29',0,'2010-05-25 14:40:29',NULL,NULL,1,NULL),
 ('4AB8E0CE-54C5-413C-B0C5-D4982B9AC20B',NULL,'2010-07-27 09:24:47','cool',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','Birth Date','11/15/1977',1,'2010-07-27 09:28:57','2010-07-27 09:24:47','2010-07-27 09:24:47',0,0,'2010-07-27 09:24:47',0,'2010-07-27 09:24:47',0,'2010-07-27 09:24:47',NULL,NULL,1,NULL),
 ('4AC5E351-92FF-43CC-A314-89DA9B4615F7',NULL,'2009-08-26 10:17:29','SandboxAdmin','/','info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-04 08:34:10','2010-01-02 23:11:41','2009-10-18 23:22:52',0,0,'2009-08-26 10:17:29',1,'2010-09-30 03:06:33',0,'2009-08-26 10:17:29',NULL,NULL,13,NULL),
 ('4ADD2493-0024-4C6E-868A-67D9193538EB',NULL,'2010-06-24 07:15:57','veiburnorgego',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-24 07:15:57','2010-06-24 07:15:57','2010-06-24 07:15:57',0,0,'2010-06-24 07:15:57',0,'2010-06-24 07:15:57',0,'2010-06-24 07:15:57',NULL,NULL,13,NULL),
 ('4B21C2A1-CCFF-43E2-881F-27F1F627A7A4',NULL,'2010-03-11 23:36:14','Ticimibra',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-11 23:36:14','2010-03-11 23:36:14','2010-03-11 23:36:14',0,0,'2010-03-11 23:36:14',0,'2010-03-11 23:36:14',0,'2010-03-11 23:36:14',NULL,NULL,13,NULL),
 ('4B357AE2-14F4-4ACA-9A79-7209446DCDFA',NULL,'2010-01-13 06:12:36','RefUsewsRofsjed',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-13 06:12:35','2010-01-13 06:12:35','2010-01-13 06:12:35',0,0,'2010-01-13 06:12:35',0,'2010-01-13 06:12:35',0,'2010-01-13 06:12:35',NULL,NULL,1,NULL),
 ('4B8B900A-1222-4EE3-9548-11751633F0DA',NULL,'2010-06-08 11:57:40','Mulyloash',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-08 11:57:40','2010-06-08 11:57:40','2010-06-08 11:57:40',0,0,'2010-06-08 11:57:40',0,'2010-06-08 11:57:40',0,'2010-06-08 11:57:40',NULL,NULL,1,NULL),
 ('4BCB1B6F-64B0-4444-9B49-7D5F4554D93E',NULL,'2009-12-28 20:11:50','ruscgirl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-28 20:11:50','2009-12-28 20:11:50','2009-12-28 20:11:50',0,0,'2009-12-28 20:11:50',0,'2009-12-28 20:11:50',0,'2009-12-28 20:11:50',NULL,NULL,1,NULL),
 ('4C42D024-8136-46CE-A5BB-13B831AC14F0',NULL,'2010-01-19 12:38:48','test123',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-01-19 12:39:04','2010-01-19 12:38:48','2010-01-19 12:38:48',0,0,'2010-01-19 12:38:48',0,'2010-01-19 12:38:48',0,'2010-01-19 12:38:48',NULL,NULL,15,NULL),
 ('4C53DA87-F401-4268-9FDD-2289D8B05B4C',NULL,'2010-05-14 18:37:56','hemeBeage',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-14 18:37:56','2010-05-14 18:37:56','2010-05-14 18:37:56',0,0,'2010-05-14 18:37:56',0,'2010-05-14 18:37:56',0,'2010-05-14 18:37:56',NULL,NULL,13,NULL),
 ('4C54BCD9-5E91-4484-9A9A-3F2ABA9FC370',NULL,'2010-04-12 02:14:38','cetuircuisurn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-12 02:14:42','2010-04-12 02:14:38','2010-04-12 02:14:38',0,0,'2010-04-12 02:14:38',0,'2010-04-12 02:14:38',0,'2010-04-12 02:14:38',NULL,NULL,1,NULL),
 ('4C666B71-82BA-431F-82DF-DD77535D4E43',NULL,'2010-10-02 05:30:53','Fluenellenulk',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-02 05:30:53','2010-10-02 05:30:53','2010-10-02 05:30:53',0,0,'2010-10-02 05:30:53',0,'2010-10-02 05:30:53',0,'2010-10-02 05:30:53',NULL,NULL,13,NULL),
 ('4C9C89F3-9FB5-4442-B6AF-10B2EE820CD6',NULL,'2010-05-05 13:51:13','SilkGar',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-05 13:51:13','2010-05-05 13:51:13','2010-05-05 13:51:13',0,0,'2010-05-05 13:51:13',0,'2010-05-05 13:51:13',0,'2010-05-05 13:51:13',NULL,NULL,1,NULL),
 ('4CF3DC92-682A-4FEC-A57A-6415134066C1',NULL,'2010-08-18 12:52:43','incattewect',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-18 12:52:43','2010-08-18 12:52:43','2010-08-18 12:52:43',0,0,'2010-08-18 12:52:43',0,'2010-08-18 12:52:43',0,'2010-08-18 12:52:43',NULL,NULL,1,NULL),
 ('4D042722-481D-4238-817E-E0CAA2C6F131',NULL,'2010-08-05 00:44:12','yuyk',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-08-05 00:44:32','2010-08-05 00:44:12','2010-08-05 00:44:12',0,0,'2010-08-05 00:44:12',0,'2010-08-05 00:44:12',0,'2010-08-05 00:44:12',NULL,NULL,1,NULL),
 ('4D2A6A17-C1FF-4DA7-B285-48DC4975AA66',NULL,'2010-05-30 00:47:00','demetri239',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-30 00:47:00','2010-05-30 00:47:00','2010-05-30 00:47:00',0,0,'2010-05-30 00:47:00',0,'2010-05-30 00:47:00',0,'2010-05-30 00:47:00',NULL,NULL,1,NULL),
 ('4D2E8A73-61EF-4C93-9E7C-8D120F03642C',NULL,'2009-12-01 11:54:55','extitinny',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-01 11:54:55','2009-12-01 11:54:55','2009-12-01 11:54:55',0,0,'2009-12-01 11:54:55',0,'2009-12-01 11:54:55',0,'2009-12-01 11:54:55',NULL,NULL,1,NULL),
 ('4D685FE1-5128-4D0B-96EB-623AB6219CF0',NULL,'2010-07-24 09:14:14','SixEnrininato',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-24 09:14:14','2010-07-24 09:14:14','2010-07-24 09:14:14',0,0,'2010-07-24 09:14:14',0,'2010-07-24 09:14:14',0,'2010-07-24 09:14:14',NULL,NULL,1,NULL),
 ('4D72F7BD-014A-4756-88C3-32B8076FD744',NULL,'2010-01-15 01:15:24','Assarg',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-01-15 01:16:28','2010-01-15 01:15:24','2010-01-15 01:15:24',0,0,'2010-01-15 01:15:24',0,'2010-01-15 01:15:24',0,'2010-01-15 01:15:24',NULL,NULL,1,NULL),
 ('4D83A708-6C4C-4665-9E88-C7A26C72EFE1',NULL,'2010-06-22 01:14:41','crersoff',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-22 01:14:41','2010-06-22 01:14:41','2010-06-22 01:14:41',0,0,'2010-06-22 01:14:41',0,'2010-06-22 01:14:41',0,'2010-06-22 01:14:41',NULL,NULL,1,NULL),
 ('4DA7A279-FDCC-4702-BA56-287DE4AA3667',NULL,'2010-03-23 13:12:13','FrolobonLub',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-23 13:12:13','2010-03-23 13:12:13','2010-03-23 13:12:13',0,0,'2010-03-23 13:12:13',0,'2010-03-23 13:12:13',0,'2010-03-23 13:12:13',NULL,NULL,13,NULL),
 ('4DAA4BCB-6D3C-40EB-8DB5-62AFD7EC4A74',NULL,'2010-05-18 20:44:35','Maicalebaitte',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-18 20:44:35','2010-05-18 20:44:35','2010-05-18 20:44:35',0,0,'2010-05-18 20:44:35',0,'2010-05-18 20:44:35',0,'2010-05-18 20:44:35',NULL,NULL,1,NULL),
 ('4DB12791-B074-420B-9E2F-3287D9BCBC73',NULL,'2010-08-25 15:04:55','opporaHar',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-25 15:04:55','2010-08-25 15:04:55','2010-08-25 15:04:55',0,0,'2010-08-25 15:04:55',0,'2010-08-25 15:04:55',0,'2010-08-25 15:04:55',NULL,NULL,14,NULL),
 ('4DDC53A5-C857-4C03-BBC7-0C36EEC7B62D',NULL,'2010-08-12 20:05:28','EmonsseeTpren',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-12 20:05:28','2010-08-12 20:05:28','2010-08-12 20:05:28',0,0,'2010-08-12 20:05:28',0,'2010-08-12 20:05:28',0,'2010-08-12 20:05:28',NULL,NULL,13,NULL),
 ('4DE3C4C5-FC2A-4C5C-9BE6-BF61E7D79A7C',NULL,'2010-03-30 00:38:37','locksmith',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-30 00:38:37','2010-03-30 00:38:37','2010-03-30 00:38:37',0,0,'2010-03-30 00:38:37',0,'2010-03-30 00:38:37',0,'2010-03-30 00:38:37',NULL,NULL,1,NULL),
 ('4DF3BA63-A03B-4A41-A7CA-35AC6E905B64',NULL,'2009-11-09 18:06:58','lydralcotroky',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-09 18:06:58','2009-11-09 18:06:58','2009-11-09 18:06:58',0,0,'2009-11-09 18:06:58',0,'2009-11-09 18:06:58',0,'2009-11-09 18:06:58',NULL,NULL,1,NULL),
 ('4E03314E-189C-4593-B37C-A6379319DB1F',NULL,'2010-05-13 01:53:39','Bliluetehen',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-13 01:53:39','2010-05-13 01:53:39','2010-05-13 01:53:39',0,0,'2010-05-13 01:53:39',0,'2010-05-13 01:53:39',0,'2010-05-13 01:53:39',NULL,NULL,13,NULL),
 ('4E1206CD-EA57-4353-8827-621EAD904CB8',NULL,'2010-02-25 00:49:10','guidetobuyshoes',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-25 00:49:10','2010-02-25 00:49:10','2010-02-25 00:49:10',0,0,'2010-02-25 00:49:10',0,'2010-02-25 00:49:10',0,'2010-02-25 00:49:10',NULL,NULL,13,NULL),
 ('4E1F0E38-3B20-4403-8F37-7065400BF0AD',NULL,'2010-08-13 21:10:55','Soalmlobmoich',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-13 21:10:55','2010-08-13 21:10:55','2010-08-13 21:10:55',0,0,'2010-08-13 21:10:55',0,'2010-08-13 21:10:55',0,'2010-08-13 21:10:55',NULL,NULL,1,NULL),
 ('4E265E62-5353-48C2-8E22-EA3CF06C115E',NULL,'2010-09-28 12:17:38','SeesteLig',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-28 12:17:38','2010-09-28 12:17:38','2010-09-28 12:17:38',0,0,'2010-09-28 12:17:38',0,'2010-09-28 12:17:38',0,'2010-09-28 12:17:38',NULL,NULL,1,NULL),
 ('4E2E3C3B-6954-400F-98B9-0FE88E842F4E',NULL,'2010-05-29 02:42:00','Sweaverorleme',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-29 02:42:00','2010-05-29 02:42:00','2010-05-29 02:42:00',0,0,'2010-05-29 02:42:00',0,'2010-05-29 02:42:00',0,'2010-05-29 02:42:00',NULL,NULL,1,NULL),
 ('4E33F4D0-A93B-4218-BE97-F2A45D45A0C1',NULL,'2010-09-29 01:36:11','SisaSpism',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-29 01:36:13','2010-09-29 01:36:11','2010-09-29 01:36:11',0,0,'2010-09-29 01:36:11',0,'2010-09-29 01:36:11',0,'2010-09-29 01:36:11',NULL,NULL,1,NULL),
 ('4E5F6A33-A53F-48F7-9498-D2BB158B34A3',NULL,'2009-12-31 01:10:44','sarwara',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-31 01:11:16','2009-12-31 01:10:44','2009-12-31 01:10:44',0,0,'2009-12-31 01:10:44',0,'2009-12-31 01:10:44',0,'2009-12-31 01:10:44',NULL,NULL,15,NULL),
 ('4E63D547-6AC5-49B6-8A73-9ADC2B8719CF',NULL,'2010-06-26 19:52:25','stotalisuaP',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-26 19:52:25','2010-06-26 19:52:25','2010-06-26 19:52:25',0,0,'2010-06-26 19:52:25',0,'2010-06-26 19:52:25',0,'2010-06-26 19:52:25',NULL,NULL,1,NULL),
 ('4E801B3F-AE61-4C0C-B773-0799CEEF6DBF',NULL,'2010-09-18 21:01:38','MaryJennison',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-18 21:01:40','2010-09-18 21:01:38','2010-09-18 21:01:38',0,0,'2010-09-18 21:01:38',0,'2010-09-18 21:01:38',0,'2010-09-18 21:01:38',NULL,NULL,1,NULL),
 ('4E83CCCA-A5EB-4ECB-A762-7BE532007E92',NULL,'2009-12-14 22:19:58','khanhcn03',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-12-14 22:26:02','2009-12-14 22:19:58','2009-12-14 22:19:58',0,0,'2009-12-14 22:19:58',0,'2009-12-14 22:19:58',0,'2009-12-14 22:19:58',NULL,NULL,1,NULL),
 ('4E8A7311-914C-4005-8AE4-31768B9F7D18',NULL,'2010-05-20 13:42:12','dfomiss',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-20 13:42:11','2010-05-20 13:42:11','2010-05-20 13:42:11',0,0,'2010-05-20 13:42:11',0,'2010-05-20 13:42:11',0,'2010-05-20 13:42:11',NULL,NULL,1,NULL),
 ('4EA5F912-C611-41CC-828F-2BAFD9BAAC5F',NULL,'2010-09-20 12:00:44','motUsetty',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-20 12:00:44','2010-09-20 12:00:44','2010-09-20 12:00:44',0,0,'2010-09-20 12:00:44',0,'2010-09-20 12:00:44',0,'2010-09-20 12:00:44',NULL,NULL,13,NULL),
 ('4F1FC2B5-D1FA-4C2E-AF89-1A75AB13D4AA',NULL,'2010-08-03 21:09:04','gusm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-08-03 23:04:50','2010-08-03 21:09:04','2010-08-03 21:09:04',0,0,'2010-08-03 21:09:04',0,'2010-08-03 21:09:04',0,'2010-08-03 21:09:04',NULL,NULL,1,NULL),
 ('4F594D81-E16C-41FB-BEF4-064BFE833AAD',NULL,'2010-04-07 05:08:23','BardADocktora',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-07 05:08:23','2010-04-07 05:08:23','2010-04-07 05:08:23',0,0,'2010-04-07 05:08:23',0,'2010-04-07 05:08:23',0,'2010-04-07 05:08:23',NULL,NULL,13,NULL),
 ('4FA6309F-60B0-4C72-8C53-38F07B3A2EC3',NULL,'2010-08-31 03:55:59','kettlebells',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-31 03:55:59','2010-08-31 03:55:59','2010-08-31 03:55:59',0,0,'2010-08-31 03:55:59',0,'2010-08-31 03:55:59',0,'2010-08-31 03:55:59',NULL,NULL,14,NULL),
 ('4FF15BD5-F890-4E88-A2BD-C16A2A7FA12E',NULL,'2010-08-02 06:57:29','edurpipse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-02 06:57:29','2010-08-02 06:57:29','2010-08-02 06:57:29',0,0,'2010-08-02 06:57:29',0,'2010-08-02 06:57:29',0,'2010-08-02 06:57:29',NULL,NULL,1,NULL),
 ('4FF3B26B-D3A3-4A97-BF29-FD37E9E7A16C',NULL,'2010-05-26 01:53:49','Popovicher',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-26 01:53:49','2010-05-26 01:53:49','2010-05-26 01:53:49',0,0,'2010-05-26 01:53:49',0,'2010-05-26 01:53:49',0,'2010-05-26 01:53:49',NULL,NULL,1,NULL),
 ('5027532C-308E-4731-9574-3352DDF2F3D2',NULL,'2010-01-13 03:16:47','MasyaNEhoon',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-13 03:16:47','2010-01-13 03:16:47','2010-01-13 03:16:47',0,0,'2010-01-13 03:16:47',0,'2010-01-13 03:16:47',0,'2010-01-13 03:16:47',NULL,NULL,15,NULL),
 ('50B96CCA-4084-42E3-A18D-0C102D4BB370',NULL,'2010-03-21 20:51:08','PillcesterManus',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-21 20:51:08','2010-03-21 20:51:08','2010-03-21 20:51:08',0,0,'2010-03-21 20:51:08',0,'2010-03-21 20:51:08',0,'2010-03-21 20:51:08',NULL,NULL,1,NULL),
 ('50FDBA97-2502-4FFA-BB0E-A4AFE87F5428',NULL,'2010-01-19 05:52:34','JCapobianco',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-19 05:52:34','2010-01-19 05:52:34','2010-01-19 05:52:34',0,0,'2010-01-19 05:52:34',0,'2010-01-19 05:52:34',0,'2010-01-19 05:52:34',NULL,NULL,1,NULL),
 ('512359D2-DFD1-40D4-99CB-AACB4785932E',NULL,'2010-06-29 09:03:54','serega_nov',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-29 09:03:54','2010-06-29 09:03:54','2010-06-29 09:03:54',0,0,'2010-06-29 09:03:54',0,'2010-06-29 09:03:54',0,'2010-06-29 09:03:54',NULL,NULL,1,NULL),
 ('51329163-D04C-468E-B121-A9046A06E8E5',NULL,'2010-07-01 06:43:08','Waineeunfaich',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-01 06:43:08','2010-07-01 06:43:08','2010-07-01 06:43:08',0,0,'2010-07-01 06:43:08',0,'2010-07-01 06:43:08',0,'2010-07-01 06:43:08',NULL,NULL,1,NULL),
 ('5154F1B6-AAB6-4C7E-94A0-1C9A62F652E7',NULL,'2009-10-23 18:47:38','daoming',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-10-23 18:56:07','2009-10-23 18:47:38','2009-10-23 18:47:38',0,0,'2009-10-23 18:47:38',0,'2009-10-23 18:47:38',0,'2009-10-23 18:47:38',NULL,NULL,1,NULL),
 ('5190D449-B157-4898-9AF3-E728A119B94D',NULL,'2010-10-07 01:17:37','OscarOX',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-07 01:17:37','2010-10-07 01:17:37','2010-10-07 01:17:37',0,0,'2010-10-07 01:17:37',0,'2010-10-07 01:17:37',0,'2010-10-07 01:17:37',NULL,NULL,13,NULL),
 ('5199292D-C5B2-4302-929B-2FACBCD9C8C6',NULL,'2010-08-26 03:34:58','Bilsthiplot',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-26 03:34:58','2010-08-26 03:34:58','2010-08-26 03:34:58',0,0,'2010-08-26 03:34:58',0,'2010-08-26 03:34:58',0,'2010-08-26 03:34:58',NULL,NULL,1,NULL),
 ('52046ABE-46AA-4851-9770-68FECE812634',NULL,'2010-02-04 20:24:38','traupeslagree',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-04 20:24:38','2010-02-04 20:24:38','2010-02-04 20:24:38',0,0,'2010-02-04 20:24:38',0,'2010-02-04 20:24:38',0,'2010-02-04 20:24:38',NULL,NULL,1,NULL),
 ('521BF4CA-E101-40AA-BA5D-355D569E209A',NULL,'2010-10-02 05:54:48','Jojokorobo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-02 05:54:48','2010-10-02 05:54:48','2010-10-02 05:54:48',0,0,'2010-10-02 05:54:48',0,'2010-10-02 05:54:48',0,'2010-10-02 05:54:48',NULL,NULL,1,NULL),
 ('52B29966-D6CC-4874-B4CD-AA677D70ADE3',NULL,'2010-05-06 05:27:42','alentvani',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-06 05:27:42','2010-05-06 05:27:42','2010-05-06 05:27:42',0,0,'2010-05-06 05:27:42',0,'2010-05-06 05:27:42',0,'2010-05-06 05:27:42',NULL,NULL,1,NULL),
 ('52C435BF-2B1C-4347-96A3-4617B01CFF86',NULL,'2010-04-24 20:13:48','onlinepharmacyblog',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-24 20:13:48','2010-04-24 20:13:48','2010-04-24 20:13:48',0,0,'2010-04-24 20:13:48',0,'2010-04-24 20:13:48',0,'2010-04-24 20:13:48',NULL,NULL,1,NULL),
 ('52F4BCD3-2694-4619-AD22-6341E2E64E38',NULL,'2010-08-28 01:58:41','martShierie',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-28 01:58:41','2010-08-28 01:58:41','2010-08-28 01:58:41',0,0,'2010-08-28 01:58:41',0,'2010-08-28 01:58:41',0,'2010-08-28 01:58:41',NULL,NULL,1,NULL),
 ('533270AB-E13E-4B98-81DC-98F20A3C509C',NULL,'2010-08-29 02:43:02','kozlovichna',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-29 02:43:02','2010-08-29 02:43:02','2010-08-29 02:43:02',0,0,'2010-08-29 02:43:02',0,'2010-08-29 02:43:02',0,'2010-08-29 02:43:02',NULL,NULL,1,NULL),
 ('535233F6-4F34-4CDF-807D-A51686176B08',NULL,'2010-07-18 10:52:41','ed.caldeira',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-07-19 14:11:41','2010-07-19 14:11:12','2010-07-18 10:52:41',0,0,'2010-07-18 10:52:41',0,'2010-07-18 10:52:41',0,'2010-07-18 10:52:41',NULL,NULL,1,NULL),
 ('5353ED75-E430-4F7F-9F7A-1156AF25A869',NULL,'2010-09-11 22:08:55','bluemiema',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-11 22:08:55','2010-09-11 22:08:55','2010-09-11 22:08:55',0,0,'2010-09-11 22:08:55',0,'2010-09-11 22:08:55',0,'2010-09-11 22:08:55',NULL,NULL,1,NULL),
 ('535E5983-62CE-40EA-BE46-B21452152E5E',NULL,'2010-08-10 11:43:47','sdbankruptcy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-10 11:43:47','2010-08-10 11:43:47','2010-08-10 11:43:47',0,0,'2010-08-10 11:43:47',0,'2010-08-10 11:43:47',0,'2010-08-10 11:43:47',NULL,NULL,14,NULL),
 ('537CDE85-AD28-46A3-A56B-5D603DCEF8E2',NULL,'2010-02-05 11:54:24','stephalille',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-05 11:54:24','2010-02-05 11:54:24','2010-02-05 11:54:24',0,0,'2010-02-05 11:54:24',0,'2010-02-05 11:54:24',0,'2010-02-05 11:54:24',NULL,NULL,13,NULL),
 ('53A00982-882A-4B4F-B26F-1B914694E2BF',NULL,'2009-11-29 16:27:51','cmillens',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','Favorite Pet','Bacchus',1,'2009-11-29 16:57:41','2009-11-29 16:27:51','2009-11-29 16:27:51',0,0,'2009-11-29 16:27:51',0,'2009-11-29 16:27:51',0,'2009-11-29 16:27:51',NULL,NULL,1,NULL),
 ('53AAF9A2-6BDF-43C3-B294-3E2F01066B2B',NULL,'2010-04-23 02:41:56','Luskes_odsa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-23 02:41:56','2010-04-23 02:41:56','2010-04-23 02:41:56',0,0,'2010-04-23 02:41:56',0,'2010-04-23 02:41:56',0,'2010-04-23 02:41:56',NULL,NULL,1,NULL),
 ('53BB9AC0-9EE7-479F-AF54-CCA8D1299251',NULL,'2010-09-07 05:12:14','peeseebouth',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-07 05:12:14','2010-09-07 05:12:14','2010-09-07 05:12:14',0,0,'2010-09-07 05:12:14',0,'2010-09-07 05:12:14',0,'2010-09-07 05:12:14',NULL,NULL,13,NULL),
 ('53BD9DF8-309D-4424-ABD3-0C77E2A3EBA8',NULL,'2010-03-31 17:49:30','FawnPreatte',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-31 17:49:30','2010-03-31 17:49:30','2010-03-31 17:49:30',0,0,'2010-03-31 17:49:30',0,'2010-03-31 17:49:30',0,'2010-03-31 17:49:30',NULL,NULL,13,NULL),
 ('53C150DA-7A90-4B8C-8485-50D92AF7D83B',NULL,'2010-04-14 15:06:17','aydin',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','takma adim?','soyut',1,'2010-04-14 15:59:22','2010-04-14 15:59:22','2010-04-14 15:06:17',0,0,'2010-04-14 15:06:17',0,'2010-04-14 15:06:17',0,'2010-04-14 15:06:17',NULL,NULL,1,NULL),
 ('53D0C1B9-95A3-4FDE-9D45-6F2A8838DC88',NULL,'2010-08-15 02:07:34','OvenoSoahfeaf250',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-15 02:07:34','2010-08-15 02:07:34','2010-08-15 02:07:34',0,0,'2010-08-15 02:07:34',0,'2010-08-15 02:07:34',0,'2010-08-15 02:07:34',NULL,NULL,13,NULL),
 ('53E658C2-1D61-43C2-9DFE-358E84F93564',NULL,'2010-03-15 01:22:57','AzzyBearzzy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-15 01:22:57','2010-03-15 01:22:57','2010-03-15 01:22:57',0,0,'2010-03-15 01:22:57',0,'2010-03-15 01:22:57',0,'2010-03-15 01:22:57',NULL,NULL,1,NULL),
 ('545109CA-EA37-49B3-8C98-DD8AFCE187F7',NULL,'2009-12-29 12:30:30','cobfroligobok',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-29 12:30:30','2009-12-29 12:30:30','2009-12-29 12:30:30',0,0,'2009-12-29 12:30:30',0,'2009-12-29 12:30:30',0,'2009-12-29 12:30:30',NULL,NULL,1,NULL),
 ('5451E431-EC7C-4267-AFE7-2E61F18280BC',NULL,'2010-06-18 17:04:42','alykhan',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-06-19 04:46:21','2010-06-18 17:04:42','2010-06-18 17:04:42',0,0,'2010-06-18 17:04:42',0,'2010-06-18 17:04:42',0,'2010-06-18 17:04:42',NULL,NULL,1,NULL),
 ('5486F706-7463-417B-8800-10DC920BBA2C',NULL,'2010-02-23 19:17:50','Ecophybouby',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-23 19:17:50','2010-02-23 19:17:50','2010-02-23 19:17:50',0,0,'2010-02-23 19:17:50',0,'2010-02-23 19:17:50',0,'2010-02-23 19:17:50',NULL,NULL,13,NULL),
 ('54920972-ECC6-44C4-A28C-0DA2B466BA34',NULL,'2010-06-18 02:21:50','GenDaLFF',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-18 02:21:50','2010-06-18 02:21:50','2010-06-18 02:21:50',0,0,'2010-06-18 02:21:50',0,'2010-06-18 02:21:50',0,'2010-06-18 02:21:50',NULL,NULL,1,NULL),
 ('54FFC0B5-AC72-4552-AFBD-A93772525797',NULL,'2010-09-28 11:38:10','UttetPuroDore',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-28 11:38:10','2010-09-28 11:38:10','2010-09-28 11:38:10',0,0,'2010-09-28 11:38:10',0,'2010-09-28 11:38:10',0,'2010-09-28 11:38:10',NULL,NULL,1,NULL),
 ('55339A98-076D-47EC-8619-0530FDB2F5A6',NULL,'2010-03-05 10:18:58','UnfaxiaHing',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-05 10:18:58','2010-03-05 10:18:58','2010-03-05 10:18:58',0,0,'2010-03-05 10:18:58',0,'2010-03-05 10:18:58',0,'2010-03-05 10:18:58',NULL,NULL,1,NULL),
 ('553BD6EC-B5FA-4FCA-A032-D541CB0DF080',NULL,'2010-04-04 03:44:16','stakExhinahak',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-04 03:44:19','2010-04-04 03:44:15','2010-04-04 03:44:15',0,0,'2010-04-04 03:44:15',0,'2010-04-04 03:44:15',0,'2010-04-04 03:44:15',NULL,NULL,1,NULL),
 ('55671D9C-1E67-4DC8-B32D-EC753D291624',NULL,'2010-06-08 01:29:55','julianasqi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-08 01:29:55','2010-06-08 01:29:55','2010-06-08 01:29:55',0,0,'2010-06-08 01:29:55',0,'2010-06-08 01:29:55',0,'2010-06-08 01:29:55',NULL,NULL,1,NULL),
 ('55D196C1-D764-4012-BDD7-2D1ED4EE4E11',NULL,'2010-03-29 16:17:12','Zemroodoindig',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-29 16:17:12','2010-03-29 16:17:12','2010-03-29 16:17:12',0,0,'2010-03-29 16:17:12',0,'2010-03-29 16:17:12',0,'2010-03-29 16:17:12',NULL,NULL,1,NULL),
 ('55F10F4A-2B63-46BD-A4DA-686BE1765EE1',NULL,'2009-12-31 20:39:56','SobSmoozy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-31 20:39:56','2009-12-31 20:39:56','2009-12-31 20:39:56',0,0,'2009-12-31 20:39:56',0,'2009-12-31 20:39:56',0,'2009-12-31 20:39:56',NULL,NULL,15,NULL);
INSERT INTO `users` (`UserID`,`Name`,`CreationDate`,`Username`,`ApplicationName`,`Email`,`Password`,`PasswordQuestion`,`PasswordAnswer`,`IsApproved`,`LastActivityDate`,`LastLoginDate`,`LastPasswordChangedDate`,`IsOnline`,`IsLockedOut`,`LastLockedOutDate`,`FailedPasswordAttemptCount`,`FailedPasswordAttemptWindowStart`,`FailedPasswordAnswerAttemptCount`,`FailedPasswordAnswerAttemptWindowStart`,`LastModified`,`Comment`,`PortalID`,`OpenId`) VALUES 
 ('55F4E78A-DB91-4E95-A47D-FE05161EBA52',NULL,'2010-02-25 07:21:47','rosariogates',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-25 07:21:47','2010-02-25 07:21:47','2010-02-25 07:21:47',0,0,'2010-02-25 07:21:47',0,'2010-02-25 07:21:47',0,'2010-02-25 07:21:47',NULL,NULL,1,NULL),
 ('55FE4E61-011A-4E36-AA5B-F3AE4A814C71',NULL,'2010-09-16 04:00:48','sdplumbing',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-16 04:00:48','2010-09-16 04:00:48','2010-09-16 04:00:48',0,0,'2010-09-16 04:00:48',0,'2010-09-16 04:00:48',0,'2010-09-16 04:00:48',NULL,NULL,14,NULL),
 ('561D015A-FA1A-491D-AC7E-CFBAA135DEAE',NULL,'2010-06-12 18:18:03','apopaymmeta',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-12 18:18:03','2010-06-12 18:18:03','2010-06-12 18:18:03',0,0,'2010-06-12 18:18:03',0,'2010-06-12 18:18:03',0,'2010-06-12 18:18:03',NULL,NULL,1,NULL),
 ('56442717-ADFA-4DD7-BA0E-80340E6C2E0E',NULL,'2010-07-28 04:14:46','bestlepa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-28 04:14:46','2010-07-28 04:14:46','2010-07-28 04:14:46',0,0,'2010-07-28 04:14:46',0,'2010-07-28 04:14:46',0,'2010-07-28 04:14:46',NULL,NULL,14,NULL),
 ('56825763-D64E-4A33-B071-43DA7C0C119C',NULL,'2010-03-09 14:17:12','Saratymn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-09 14:17:12','2010-03-09 14:17:12','2010-03-09 14:17:12',0,0,'2010-03-09 14:17:12',0,'2010-03-09 14:17:12',0,'2010-03-09 14:17:12',NULL,NULL,15,NULL),
 ('56B5189B-485D-4E17-8C8F-550096FEADBC',NULL,'2010-09-02 00:34:37','chapseven',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-02 00:34:37','2010-09-02 00:34:37','2010-09-02 00:34:37',0,0,'2010-09-02 00:34:37',0,'2010-09-02 00:34:37',0,'2010-09-02 00:34:37',NULL,NULL,14,NULL),
 ('56C5F0B8-8EBA-48C9-86C8-E2F004F4A909',NULL,'2010-06-25 10:59:48','ReerbRecy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-25 10:59:48','2010-06-25 10:59:48','2010-06-25 10:59:48',0,0,'2010-06-25 10:59:48',0,'2010-06-25 10:59:48',0,'2010-06-25 10:59:48',NULL,NULL,13,NULL),
 ('572C3C5F-BA44-44C8-AAF2-7487F403700A',NULL,'2009-11-15 15:13:42','Errieharleyminsdavic',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-15 15:13:42','2009-11-15 15:13:42','2009-11-15 15:13:42',0,0,'2009-11-15 15:13:42',0,'2009-11-15 15:13:42',0,'2009-11-15 15:13:42',NULL,NULL,1,NULL),
 ('5730CF76-D443-4391-B16E-61C29B44A740',NULL,'2009-12-19 22:16:06','appepsymn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-19 22:16:06','2009-12-19 22:16:06','2009-12-19 22:16:06',0,0,'2009-12-19 22:16:06',0,'2009-12-19 22:16:06',0,'2009-12-19 22:16:06',NULL,NULL,1,NULL),
 ('57A6DC73-92B0-4F91-808F-4CD932DB99F1',NULL,'2010-06-13 12:48:48','jeywoody',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-13 12:48:48','2010-06-13 12:48:48','2010-06-13 12:48:48',0,0,'2010-06-13 12:48:48',0,'2010-06-13 12:48:48',0,'2010-06-13 12:48:48',NULL,NULL,14,NULL),
 ('57FD6B3C-8375-4BCC-B8C5-79BC8716D2BB',NULL,'2010-03-23 17:05:55','Accecyvat',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-23 17:05:55','2010-03-23 17:05:55','2010-03-23 17:05:55',0,0,'2010-03-23 17:05:55',0,'2010-03-23 17:05:55',0,'2010-03-23 17:05:55',NULL,NULL,1,NULL),
 ('58413A49-4D84-4FFA-A557-58C566BE0961',NULL,'2010-06-02 17:30:31','Mcpehrson',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-02 17:30:31','2010-06-02 17:30:31','2010-06-02 17:30:31',0,0,'2010-06-02 17:30:31',0,'2010-06-02 17:30:31',0,'2010-06-02 17:30:31',NULL,NULL,1,NULL),
 ('5880C141-4764-4088-869D-B67B542D0D55',NULL,'2010-06-12 17:53:40','sinokipsFep',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-12 17:53:40','2010-06-12 17:53:40','2010-06-12 17:53:40',0,0,'2010-06-12 17:53:40',0,'2010-06-12 17:53:40',0,'2010-06-12 17:53:40',NULL,NULL,1,NULL),
 ('58BA8DF9-CFC4-402E-8399-7EB719DAC3E2',NULL,'2009-11-25 09:11:27','emaizonmend',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-25 09:11:27','2009-11-25 09:11:27','2009-11-25 09:11:27',0,0,'2009-11-25 09:11:27',0,'2009-11-25 09:11:27',0,'2009-11-25 09:11:27',NULL,NULL,1,NULL),
 ('58E1D4C5-A190-4D82-BB13-397D98724C94',NULL,'2010-08-15 12:19:57','ZuluAFarmor',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-15 12:19:57','2010-08-15 12:19:57','2010-08-15 12:19:57',0,0,'2010-08-15 12:19:57',0,'2010-08-15 12:19:57',0,'2010-08-15 12:19:57',NULL,NULL,1,NULL),
 ('5906A7FA-DE0D-4D21-B765-D5B1E4145BC4',NULL,'2010-03-30 16:11:45','mattyc',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','1','1',1,'2010-03-30 16:13:50','2010-03-30 16:11:45','2010-03-30 16:11:45',0,0,'2010-03-30 16:11:45',0,'2010-03-30 16:11:45',0,'2010-03-30 16:11:45',NULL,NULL,15,NULL),
 ('59446E2E-13DC-45D4-99B4-8A9AAEE63AE5',NULL,'2010-07-30 16:18:37','chediacherelt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-30 16:18:40','2010-07-30 16:18:36','2010-07-30 16:18:36',0,0,'2010-07-30 16:18:36',0,'2010-07-30 16:18:36',0,'2010-07-30 16:18:36',NULL,NULL,1,NULL),
 ('59B4AC45-F8EC-45B6-B986-B68C8367FF32',NULL,'2009-08-08 04:02:41','anonymous','/','info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-08-08 04:16:11','2009-08-08 04:02:41','2009-08-08 04:02:41',0,0,'2009-08-08 04:02:41',0,'2009-08-08 04:02:41',0,'2009-08-08 04:02:41',NULL,NULL,1,NULL),
 ('59FCD37C-429E-4F3E-B793-6E2E85209ACF',NULL,'2010-07-16 22:46:39','ducmme',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-16 22:46:39','2010-07-16 22:46:39','2010-07-16 22:46:39',0,0,'2010-07-16 22:46:39',0,'2010-07-16 22:46:39',0,'2010-07-16 22:46:39',NULL,NULL,13,NULL),
 ('5A23A9C0-E09F-4DFC-AB4D-17448B8BA2AA',NULL,'2010-06-03 23:48:38','Azaranovichhh',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-03 23:48:38','2010-06-03 23:48:38','2010-06-03 23:48:38',0,0,'2010-06-03 23:48:38',0,'2010-06-03 23:48:38',0,'2010-06-03 23:48:38',NULL,NULL,1,NULL),
 ('5A39283A-0054-423D-9B21-C28AF2656670',NULL,'2010-05-05 15:14:36','Sleerfart',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-05 15:14:36','2010-05-05 15:14:36','2010-05-05 15:14:36',0,0,'2010-05-05 15:14:36',0,'2010-05-05 15:14:36',0,'2010-05-05 15:14:36',NULL,NULL,1,NULL),
 ('5A396923-C890-466F-94FF-CFDC6DD67BA7',NULL,'2010-05-11 18:27:22','nuarpettesene',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-11 18:27:22','2010-05-11 18:27:22','2010-05-11 18:27:22',0,0,'2010-05-11 18:27:22',0,'2010-05-11 18:27:22',0,'2010-05-11 18:27:22',NULL,NULL,13,NULL),
 ('5A3BEBDB-7A51-4C97-8880-612E4629D349',NULL,'2010-04-03 02:16:04','StoogEnopTrop',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-03 02:16:04','2010-04-03 02:16:04','2010-04-03 02:16:04',0,0,'2010-04-03 02:16:04',0,'2010-04-03 02:16:04',0,'2010-04-03 02:16:04',NULL,NULL,1,NULL),
 ('5A5E15F1-1DD6-4890-A29C-AF090F812673',NULL,'2010-07-20 20:28:59','simpleinsurance',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-20 20:28:59','2010-07-20 20:28:59','2010-07-20 20:28:59',0,0,'2010-07-20 20:28:59',0,'2010-07-20 20:28:59',0,'2010-07-20 20:28:59',NULL,NULL,14,NULL),
 ('5A75A1A3-04B9-4148-895D-9080FD27EFAE',NULL,'2010-08-09 01:28:35','JohnnyCashe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-09 01:28:35','2010-08-09 01:28:35','2010-08-09 01:28:35',0,0,'2010-08-09 01:28:35',0,'2010-08-09 01:28:35',0,'2010-08-09 01:28:35',NULL,NULL,13,NULL),
 ('5AE59506-7848-4047-B55A-5C127C0019FA',NULL,'2010-01-31 05:19:46','Teaphepsy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-31 05:19:46','2010-01-31 05:19:46','2010-01-31 05:19:46',0,0,'2010-01-31 05:19:46',0,'2010-01-31 05:19:46',0,'2010-01-31 05:19:46',NULL,NULL,1,NULL),
 ('5B026A6A-B8ED-418F-947D-BE4F3639D295',NULL,'2010-05-28 21:35:10','Findwadg',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-28 21:35:10','2010-05-28 21:35:10','2010-05-28 21:35:10',0,0,'2010-05-28 21:35:10',0,'2010-05-28 21:35:10',0,'2010-05-28 21:35:10',NULL,NULL,1,NULL),
 ('5B0B95D2-D0A7-4772-95D2-B0825BAD49E2',NULL,'2010-08-28 17:46:49','Stinnarfawn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-28 17:46:52','2010-08-28 17:46:49','2010-08-28 17:46:49',0,0,'2010-08-28 17:46:49',0,'2010-08-28 17:46:49',0,'2010-08-28 17:46:49',NULL,NULL,1,NULL),
 ('5B35C828-7D40-4A9B-A284-50E46FE4DEB3',NULL,'2009-12-14 22:16:49','ab777',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-12-14 22:17:30','2009-12-14 22:19:37','2009-12-14 22:16:49',0,0,'2009-12-14 22:16:49',1,'2009-12-14 22:19:42',0,'2009-12-14 22:16:49',NULL,NULL,15,NULL),
 ('5B45F2EC-A4CE-4643-B150-49A7C1B5AF32',NULL,'2010-05-21 10:47:13','Queepomtero',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-21 10:47:13','2010-05-21 10:47:13','2010-05-21 10:47:13',0,0,'2010-05-21 10:47:13',0,'2010-05-21 10:47:13',0,'2010-05-21 10:47:13',NULL,NULL,1,NULL),
 ('5B4C1F51-EE3A-4E51-ABCC-DE4EB98F3728',NULL,'2010-02-11 14:36:24','Awackisottota',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-11 14:36:24','2010-02-11 14:36:24','2010-02-11 14:36:24',0,0,'2010-02-11 14:36:24',0,'2010-02-11 14:36:24',0,'2010-02-11 14:36:24',NULL,NULL,14,NULL),
 ('5B5EACFB-39EA-4929-952E-24F7BEA4678E',NULL,'2010-08-05 20:52:22','maximusfirst',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-05 20:52:22','2010-08-05 20:52:22','2010-08-05 20:52:22',0,0,'2010-08-05 20:52:22',0,'2010-08-05 20:52:22',0,'2010-08-05 20:52:22',NULL,NULL,1,NULL),
 ('5B6C0EA9-23C9-402C-85F2-FD90724B8E84',NULL,'2010-05-20 10:54:53','BoupWoove',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-20 10:54:53','2010-05-20 10:54:53','2010-05-20 10:54:53',0,0,'2010-05-20 10:54:53',0,'2010-05-20 10:54:53',0,'2010-05-20 10:54:53',NULL,NULL,1,NULL),
 ('5B7854EE-172A-4311-A1BC-AF7226D82F55',NULL,'2010-03-20 13:53:03','sovietrussian',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-20 13:53:08','2010-03-20 13:53:03','2010-03-20 13:53:03',0,0,'2010-03-20 13:53:03',0,'2010-03-20 13:53:03',0,'2010-03-20 13:53:03',NULL,NULL,1,NULL),
 ('5B7F614E-213D-4F6A-BBFD-5FD8904933EE',NULL,'2009-12-15 18:21:34','Gonzalo_alegre',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-15 18:21:34','2009-12-15 18:21:34','2009-12-15 18:21:34',0,0,'2009-12-15 18:21:34',0,'2009-12-15 18:21:34',0,'2009-12-15 18:21:34',NULL,NULL,1,NULL),
 ('5BC287BC-5C5D-4D90-9B54-4BC35ECFD32D',NULL,'2010-05-30 01:37:19','WagrononchristPips',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-30 01:37:19','2010-05-30 01:37:19','2010-05-30 01:37:19',0,0,'2010-05-30 01:37:19',0,'2010-05-30 01:37:19',0,'2010-05-30 01:37:19',NULL,NULL,1,NULL),
 ('5BC87FFE-D967-44E3-B5F3-2E383558828B',NULL,'2010-04-04 15:22:04','Feishahokkisses',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-04 15:22:04','2010-04-04 15:22:04','2010-04-04 15:22:04',0,0,'2010-04-04 15:22:04',0,'2010-04-04 15:22:04',0,'2010-04-04 15:22:04',NULL,NULL,1,NULL),
 ('5BFB8BD6-9D83-49E4-A81F-D83F55B13634',NULL,'2009-10-25 12:33:07','goleaceltessy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-25 12:33:07','2009-10-25 12:33:07','2009-10-25 12:33:07',0,0,'2009-10-25 12:33:07',0,'2009-10-25 12:33:07',0,'2009-10-25 12:33:07',NULL,NULL,13,NULL),
 ('5C29F266-F192-4C7D-B957-1297C1610E7F',NULL,'2010-06-03 22:08:06','coleroituvser',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-03 22:08:06','2010-06-03 22:08:06','2010-06-03 22:08:06',0,0,'2010-06-03 22:08:06',0,'2010-06-03 22:08:06',0,'2010-06-03 22:08:06',NULL,NULL,1,NULL),
 ('5C66A077-4588-4004-BDB3-DAAD58B2B27F',NULL,'2010-03-23 03:33:12','amfo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-23 03:34:38','2010-03-23 03:33:12','2010-03-23 03:33:12',0,0,'2010-03-23 03:33:12',0,'2010-03-23 03:33:12',0,'2010-03-23 03:33:12',NULL,NULL,15,NULL),
 ('5C939D69-DD29-4C19-8615-ADEB4EE9DD35',NULL,'2010-09-15 14:18:37','Arguluppy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-15 14:18:37','2010-09-15 14:18:37','2010-09-15 14:18:37',0,0,'2010-09-15 14:18:37',0,'2010-09-15 14:18:37',0,'2010-09-15 14:18:37',NULL,NULL,1,NULL),
 ('5C93D1E0-50CD-43BF-B803-B881F662F85F',NULL,'2010-01-21 13:19:20','chupacabras',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-01-21 13:22:13','2010-01-21 13:20:08','2010-01-21 13:19:20',0,0,'2010-01-21 13:19:20',0,'2010-01-21 13:19:20',0,'2010-01-21 13:19:20',NULL,NULL,15,NULL),
 ('5CB55441-E0D8-443A-8718-DDE208CE3D9F',NULL,'2010-06-08 22:58:09','RagKakengisse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-08 22:58:09','2010-06-08 22:58:09','2010-06-08 22:58:09',0,0,'2010-06-08 22:58:09',0,'2010-06-08 22:58:09',0,'2010-06-08 22:58:09',NULL,NULL,1,NULL),
 ('5CDCA7E1-6CFF-4CDC-B955-B7E056B987EA',NULL,'2010-06-06 02:25:44','JeffT01',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-06 02:25:44','2010-06-06 02:25:44','2010-06-06 02:25:44',0,0,'2010-06-06 02:25:44',0,'2010-06-06 02:25:44',0,'2010-06-06 02:25:44',NULL,NULL,14,NULL),
 ('5CEFEE27-75FF-43FA-81E6-F34CAB25F7C4',NULL,'2010-08-17 03:16:39','toorbisteee',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-17 03:16:39','2010-08-17 03:16:39','2010-08-17 03:16:39',0,0,'2010-08-17 03:16:39',0,'2010-08-17 03:16:39',0,'2010-08-17 03:16:39',NULL,NULL,1,NULL),
 ('5D07D696-B823-45D4-BB07-5D2D398FA3D1',NULL,'2010-08-21 13:28:53','buymedicationszz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-21 13:28:53','2010-08-21 13:28:53','2010-08-21 13:28:53',0,0,'2010-08-21 13:28:53',0,'2010-08-21 13:28:53',0,'2010-08-21 13:28:53',NULL,NULL,1,NULL),
 ('5D293F8C-A938-4B3D-9B1F-48050C6245EF',NULL,'2010-05-31 13:51:18','doorapege',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-31 13:51:18','2010-05-31 13:51:18','2010-05-31 13:51:18',0,0,'2010-05-31 13:51:18',0,'2010-05-31 13:51:18',0,'2010-05-31 13:51:18',NULL,NULL,13,NULL),
 ('5D30A498-D2FC-45EB-AEF3-AD58DF2511C1',NULL,'2010-07-03 14:05:14','tasphovaUntot',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-03 14:05:14','2010-07-03 14:05:14','2010-07-03 14:05:14',0,0,'2010-07-03 14:05:14',0,'2010-07-03 14:05:14',0,'2010-07-03 14:05:14',NULL,NULL,1,NULL),
 ('5D3707DB-A068-4478-AE6B-47032311BE38',NULL,'2010-09-22 19:22:29','sddivorces',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-22 19:22:29','2010-09-22 19:22:29','2010-09-22 19:22:29',0,0,'2010-09-22 19:22:29',0,'2010-09-22 19:22:29',0,'2010-09-22 19:22:29',NULL,NULL,14,NULL),
 ('5D41D141-ED2E-436F-B517-07CAC410284E',NULL,'2010-01-25 14:48:55','FefthartReern',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-25 14:48:55','2010-01-25 14:48:55','2010-01-25 14:48:55',0,0,'2010-01-25 14:48:55',0,'2010-01-25 14:48:55',0,'2010-01-25 14:48:55',NULL,NULL,1,NULL),
 ('5D7631C2-47EF-4C49-B0EA-6AF370D9E702',NULL,'2010-08-24 00:49:34','booklibrarykp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-24 00:49:36','2010-08-24 00:49:34','2010-08-24 00:49:34',0,0,'2010-08-24 00:49:34',0,'2010-08-24 00:49:34',0,'2010-08-24 00:49:34',NULL,NULL,13,NULL),
 ('5D77E911-DB95-4A6C-926B-4A7570384AE9',NULL,'2010-09-27 21:26:35','acaiberrypillz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-27 21:26:36','2010-09-27 21:26:35','2010-09-27 21:26:35',0,0,'2010-09-27 21:26:35',0,'2010-09-27 21:26:35',0,'2010-09-27 21:26:35',NULL,NULL,13,NULL),
 ('5DC05D7C-C8AD-43D5-A7E6-3DE11F0084AC',NULL,'2010-02-20 04:50:07','bralbrallus',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-20 04:50:06','2010-02-20 04:50:06','2010-02-20 04:50:06',0,0,'2010-02-20 04:50:06',0,'2010-02-20 04:50:06',0,'2010-02-20 04:50:06',NULL,NULL,15,NULL),
 ('5DEDBD42-1DF0-43BC-BD45-0FD2E6E8290B',NULL,'2010-04-09 15:16:03','brian',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-04 23:58:38','2010-06-04 23:58:38','2010-04-09 15:16:03',0,0,'2010-04-09 15:16:03',1,'2010-06-04 23:58:10',0,'2010-04-09 15:16:03',NULL,NULL,17,NULL),
 ('5E0FE35A-3DDB-49B6-8AF6-EAAE8AC319D8',NULL,'2009-10-28 22:40:56','autobuffjhv',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-28 22:40:56','2009-10-28 22:40:56','2009-10-28 22:40:56',0,0,'2009-10-28 22:40:56',0,'2009-10-28 22:40:56',0,'2009-10-28 22:40:56',NULL,NULL,13,NULL),
 ('5E31CA01-836C-4197-82E4-2307314FB132',NULL,'2010-09-27 21:13:14','CoervevaAbraf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-27 21:13:14','2010-09-27 21:13:14','2010-09-27 21:13:14',0,0,'2010-09-27 21:13:14',0,'2010-09-27 21:13:14',0,'2010-09-27 21:13:14',NULL,NULL,1,NULL),
 ('5E36D3C2-06DB-47CB-83F0-FCF13106184F',NULL,'2010-04-19 23:09:08','Pellstignee',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-19 23:09:08','2010-04-19 23:09:08','2010-04-19 23:09:08',0,0,'2010-04-19 23:09:08',0,'2010-04-19 23:09:08',0,'2010-04-19 23:09:08',NULL,NULL,1,NULL),
 ('5E423E40-8929-42B8-AF60-DB627C15F6DB',NULL,'2010-07-17 03:43:07','Juliafedrsts',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-17 03:43:07','2010-07-17 03:43:07','2010-07-17 03:43:07',0,0,'2010-07-17 03:43:07',0,'2010-07-17 03:43:07',0,'2010-07-17 03:43:07',NULL,NULL,13,NULL),
 ('5E469471-0A27-4030-A570-C1D34902DE1A',NULL,'2010-02-11 16:36:17','Engadbanine',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-11 16:36:17','2010-02-11 16:36:17','2010-02-11 16:36:17',0,0,'2010-02-11 16:36:17',0,'2010-02-11 16:36:17',0,'2010-02-11 16:36:17',NULL,NULL,13,NULL),
 ('5E893A9F-8B77-4217-BA6F-7BD4B2518178',NULL,'2010-09-24 13:08:47','ConnieLoweTileGuy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-24 13:08:47','2010-09-24 13:08:47','2010-09-24 13:08:47',0,0,'2010-09-24 13:08:47',0,'2010-09-24 13:08:47',0,'2010-09-24 13:08:47',NULL,NULL,13,NULL),
 ('5E9ED04C-FF17-40FE-B3BF-2313699C24B2',NULL,'2009-11-16 02:06:27','StephenFOX',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-16 02:06:27','2009-11-16 02:06:27','2009-11-16 02:06:27',0,0,'2009-11-16 02:06:27',0,'2009-11-16 02:06:27',0,'2009-11-16 02:06:27',NULL,NULL,1,NULL),
 ('5EC241C6-11A3-4082-9C51-28E5383342F0',NULL,'2010-08-25 05:02:01','jonniecakeq',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-25 05:02:01','2010-08-25 05:02:01','2010-08-25 05:02:01',0,0,'2010-08-25 05:02:01',0,'2010-08-25 05:02:01',0,'2010-08-25 05:02:01',NULL,NULL,1,NULL),
 ('5EEC4BC4-FE1D-4A19-9A03-8B6D3BDF3631',NULL,'2010-01-18 04:54:03','DekemeldAmilt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-18 04:54:03','2010-01-18 04:54:03','2010-01-18 04:54:03',0,0,'2010-01-18 04:54:03',0,'2010-01-18 04:54:03',0,'2010-01-18 04:54:03',NULL,NULL,1,NULL),
 ('5EFC0484-349E-45E7-AA91-540E833C88CB',NULL,'2010-06-28 04:36:19','centerprestigezkv',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-28 04:36:19','2010-06-28 04:36:19','2010-06-28 04:36:19',0,0,'2010-06-28 04:36:19',0,'2010-06-28 04:36:19',0,'2010-06-28 04:36:19',NULL,NULL,1,NULL),
 ('5F3CAC38-29B8-44D1-9DF1-F03B5E1576CC',NULL,'2010-05-16 07:47:29','freederickks',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 07:47:29','2010-05-16 07:47:29','2010-05-16 07:47:29',0,0,'2010-05-16 07:47:29',0,'2010-05-16 07:47:29',0,'2010-05-16 07:47:29',NULL,NULL,1,NULL),
 ('5F582F82-1841-4055-AFF3-DF33230C60A1',NULL,'2010-08-20 20:50:03','caratmirror',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-20 20:50:03','2010-08-20 20:50:03','2010-08-20 20:50:03',0,0,'2010-08-20 20:50:03',0,'2010-08-20 20:50:03',0,'2010-08-20 20:50:03',NULL,NULL,1,NULL),
 ('5F8E7A26-0FFE-4275-82AF-D4EE952BB724',NULL,'2009-10-23 03:40:47','Phodefomorm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-23 03:40:47','2009-10-23 03:40:47','2009-10-23 03:40:47',0,0,'2009-10-23 03:40:47',0,'2009-10-23 03:40:47',0,'2009-10-23 03:40:47',NULL,NULL,1,NULL),
 ('5FB9A27D-FECB-4135-B68F-045EFABC1EC8',NULL,'2010-06-04 21:33:55','Nipsliall',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-04 21:33:55','2010-06-04 21:33:55','2010-06-04 21:33:55',0,0,'2010-06-04 21:33:55',0,'2010-06-04 21:33:55',0,'2010-06-04 21:33:55',NULL,NULL,1,NULL),
 ('5FD7E7F1-8E1D-4DDF-B284-55E86155C508',NULL,'2010-06-22 05:10:37','dizSweeni',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-22 05:10:44','2010-06-22 05:10:37','2010-06-22 05:10:37',0,0,'2010-06-22 05:10:37',0,'2010-06-22 05:10:37',0,'2010-06-22 05:10:37',NULL,NULL,1,NULL),
 ('5FFE9E1F-DAC8-4795-831E-37EA229875EB',NULL,'2010-08-27 11:01:58','HofsPloli',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-27 11:01:58','2010-08-27 11:01:58','2010-08-27 11:01:58',0,0,'2010-08-27 11:01:58',0,'2010-08-27 11:01:58',0,'2010-08-27 11:01:58',NULL,NULL,1,NULL),
 ('60164A6C-0A2F-41B6-A8A9-26C180D38F44',NULL,'2010-08-15 20:09:34','kayatiakisymn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-15 20:09:34','2010-08-15 20:09:34','2010-08-15 20:09:34',0,0,'2010-08-15 20:09:34',0,'2010-08-15 20:09:34',0,'2010-08-15 20:09:34',NULL,NULL,1,NULL),
 ('605F1178-C403-4315-8710-CDD1B2C59AC6',NULL,'2010-05-28 03:17:40','Vessnosmoky',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-28 03:17:40','2010-05-28 03:17:40','2010-05-28 03:17:40',0,0,'2010-05-28 03:17:40',0,'2010-05-28 03:17:40',0,'2010-05-28 03:17:40',NULL,NULL,1,NULL),
 ('6060B209-770D-4B2E-A3D5-7A0A6B4C098E',NULL,'2010-09-11 17:46:05','WendyEnatty',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-11 17:46:05','2010-09-11 17:46:05','2010-09-11 17:46:05',0,0,'2010-09-11 17:46:05',0,'2010-09-11 17:46:05',0,'2010-09-11 17:46:05',NULL,NULL,1,NULL),
 ('60836323-EB00-4968-8597-BF4049A1E163',NULL,'2010-02-20 23:51:07','PlalBloopeMor',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-20 23:51:07','2010-02-20 23:51:07','2010-02-20 23:51:07',0,0,'2010-02-20 23:51:07',0,'2010-02-20 23:51:07',0,'2010-02-20 23:51:07',NULL,NULL,1,NULL),
 ('60841F88-17F4-4386-823A-6820D58E0C8D',NULL,'2010-08-31 08:47:12','inwadointorie',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-31 08:47:12','2010-08-31 08:47:12','2010-08-31 08:47:12',0,0,'2010-08-31 08:47:12',0,'2010-08-31 08:47:12',0,'2010-08-31 08:47:12',NULL,NULL,14,NULL),
 ('60BC2D76-F896-4B82-81B5-E400A0784E2E',NULL,'2010-03-17 04:17:20','frauenpotenzmittel',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-17 04:17:20','2010-03-17 04:17:20','2010-03-17 04:17:20',0,0,'2010-03-17 04:17:20',0,'2010-03-17 04:17:20',0,'2010-03-17 04:17:20',NULL,NULL,14,NULL),
 ('60C130B0-48E0-46CB-A44A-37CC478E5ED3',NULL,'2010-09-02 06:30:15','veighny',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-02 06:30:15','2010-09-02 06:30:15','2010-09-02 06:30:15',0,0,'2010-09-02 06:30:15',0,'2010-09-02 06:30:15',0,'2010-09-02 06:30:15',NULL,NULL,1,NULL),
 ('60F0EBCF-B3AD-42AD-B2D6-35F067D3720A',NULL,'2010-05-28 09:39:41','Setsaseimpash',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-28 09:39:41','2010-05-28 09:39:41','2010-05-28 09:39:41',0,0,'2010-05-28 09:39:41',0,'2010-05-28 09:39:41',0,'2010-05-28 09:39:41',NULL,NULL,1,NULL),
 ('6109A621-1F75-4059-80E0-3EAFF6E0CE00',NULL,'2010-09-14 22:00:29','IonilewCliedo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-14 22:00:29','2010-09-14 22:00:29','2010-09-14 22:00:29',0,0,'2010-09-14 22:00:29',0,'2010-09-14 22:00:29',0,'2010-09-14 22:00:29',NULL,NULL,14,NULL),
 ('610E2C8D-FE2A-429A-B4FE-6C7BCD172369',NULL,'2010-01-08 14:48:28','visacgreality',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-08 14:48:28','2010-01-08 14:48:28','2010-01-08 14:48:28',0,0,'2010-01-08 14:48:28',0,'2010-01-08 14:48:28',0,'2010-01-08 14:48:28',NULL,NULL,1,NULL),
 ('6129CF93-71FB-45CE-A552-63492FC8F6FD',NULL,'2010-05-18 05:44:14','thorruterxrume',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-18 05:44:14','2010-05-18 05:44:14','2010-05-18 05:44:14',0,0,'2010-05-18 05:44:14',0,'2010-05-18 05:44:14',0,'2010-05-18 05:44:14',NULL,NULL,1,NULL),
 ('61360870-DA49-4ED7-B46E-64EB0B46217E',NULL,'2010-09-15 03:52:27','Paydayhom',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-15 03:52:27','2010-09-15 03:52:27','2010-09-15 03:52:27',0,0,'2010-09-15 03:52:27',0,'2010-09-15 03:52:27',0,'2010-09-15 03:52:27',NULL,NULL,1,NULL),
 ('61756CED-802A-492F-B9E0-027A3484CBBD',NULL,'2009-10-25 00:30:50','intosolo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-25 00:30:50','2009-10-25 00:30:50','2009-10-25 00:30:50',0,0,'2009-10-25 00:30:50',0,'2009-10-25 00:30:50',0,'2009-10-25 00:30:50',NULL,NULL,1,NULL),
 ('617FCDE9-92A0-4490-A0CC-C6C60B051FD1',NULL,'2010-03-26 14:23:40','Suilils',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-26 14:23:40','2010-03-26 14:23:40','2010-03-26 14:23:40',0,0,'2010-03-26 14:23:40',0,'2010-03-26 14:23:40',0,'2010-03-26 14:23:40',NULL,NULL,1,NULL),
 ('61BE742E-4F62-469F-BF84-7775423CE776',NULL,'2009-12-10 02:29:00','m60dx',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','hi','hi',1,'2009-12-10 03:08:28','2009-12-10 02:29:00','2009-12-10 02:29:00',0,0,'2009-12-10 02:29:00',0,'2009-12-10 02:29:00',0,'2009-12-10 02:29:00',NULL,NULL,1,NULL),
 ('61C44375-6B77-4506-8B55-94AB750A273E',NULL,'2009-11-16 13:13:54','sandboxeditoracct',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-09-30 03:22:04','2010-09-30 03:19:15','2009-11-16 13:13:54',0,0,'2009-11-16 13:13:54',2,'2010-03-30 02:46:09',0,'2009-11-16 13:13:54',NULL,NULL,15,NULL),
 ('61C4AFC2-1D44-48A8-A953-FD756CB28F53',NULL,'2010-04-02 07:34:51','FairllietRaiz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-02 07:34:51','2010-04-02 07:34:51','2010-04-02 07:34:51',0,0,'2010-04-02 07:34:51',0,'2010-04-02 07:34:51',0,'2010-04-02 07:34:51',NULL,NULL,1,NULL),
 ('61F4DEB0-048E-4B57-B9E1-560966553A33',NULL,'2010-09-23 19:36:19','lymncluntee',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-23 19:36:19','2010-09-23 19:36:19','2010-09-23 19:36:19',0,0,'2010-09-23 19:36:19',0,'2010-09-23 19:36:19',0,'2010-09-23 19:36:19',NULL,NULL,1,NULL),
 ('621ABB22-1A84-498C-B95C-44ADAB77DC16',NULL,'2010-08-21 01:20:25','xoptimax',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-21 01:20:25','2010-08-21 01:20:25','2010-08-21 01:20:25',0,0,'2010-08-21 01:20:25',0,'2010-08-21 01:20:25',0,'2010-08-21 01:20:25',NULL,NULL,13,NULL),
 ('62423826-8B6C-4731-B7D5-7D8466CA7005',NULL,'2009-11-15 05:21:39','Nipemicebip',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-15 05:21:39','2009-11-15 05:21:39','2009-11-15 05:21:39',0,0,'2009-11-15 05:21:39',0,'2009-11-15 05:21:39',0,'2009-11-15 05:21:39',NULL,NULL,14,NULL),
 ('6292DBA3-0899-482E-AC61-4B1A2D46FCD3',NULL,'2010-03-08 16:58:34','kompilator',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-03-13 15:27:27','2010-03-13 15:00:46','2010-03-08 16:58:34',0,0,'2010-03-08 16:58:34',2,'2010-03-12 15:56:35',0,'2010-03-08 16:58:34',NULL,NULL,1,NULL),
 ('629E8088-7FE4-45E9-AF15-5506BEA138A3',NULL,'2010-05-17 17:50:55','PRAIMAENDEADO',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-17 17:50:55','2010-05-17 17:50:55','2010-05-17 17:50:55',0,0,'2010-05-17 17:50:55',0,'2010-05-17 17:50:55',0,'2010-05-17 17:50:55',NULL,NULL,1,NULL),
 ('631686F0-EB21-410A-ACFF-08191C2EB6AF',NULL,'2010-09-13 05:55:54','AMANDATLY',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-13 05:56:08','2010-09-13 05:55:54','2010-09-13 05:55:54',0,0,'2010-09-13 05:55:54',0,'2010-09-13 05:55:54',0,'2010-09-13 05:55:54',NULL,NULL,1,NULL),
 ('63570474-D3EA-402E-BAAE-79E25FEC51C4',NULL,'2009-11-15 18:45:35','ranipoojax',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-15 18:45:35','2009-11-15 18:45:35','2009-11-15 18:45:35',0,0,'2009-11-15 18:45:35',0,'2009-11-15 18:45:35',0,'2009-11-15 18:45:35',NULL,NULL,14,NULL),
 ('6369B1CB-956D-4764-B06C-62BDD1B17DFC',NULL,'2010-04-29 06:10:45','JaidaKewKizaar',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-29 06:10:45','2010-04-29 06:10:45','2010-04-29 06:10:45',0,0,'2010-04-29 06:10:45',0,'2010-04-29 06:10:45',0,'2010-04-29 06:10:45',NULL,NULL,1,NULL),
 ('638EE026-76F9-47F0-BD75-BB616C8CA6CA',NULL,'2009-11-26 10:25:59','Endoldanats',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-26 10:25:59','2009-11-26 10:25:59','2009-11-26 10:25:59',0,0,'2009-11-26 10:25:59',0,'2009-11-26 10:25:59',0,'2009-11-26 10:25:59',NULL,NULL,1,NULL),
 ('63C4F1AF-0E0A-4726-8816-7D97640888CF',NULL,'2010-01-18 14:39:57','syncEtese',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-18 14:40:12','2010-01-18 14:39:57','2010-01-18 14:39:57',0,0,'2010-01-18 14:39:57',0,'2010-01-18 14:39:57',0,'2010-01-18 14:39:57',NULL,NULL,1,NULL),
 ('63CA08F2-F68F-41FB-9C05-E767175B340B',NULL,'2010-05-07 01:57:33','computerblogsi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-07 01:57:33','2010-05-07 01:57:33','2010-05-07 01:57:33',0,0,'2010-05-07 01:57:33',0,'2010-05-07 01:57:33',0,'2010-05-07 01:57:33',NULL,NULL,13,NULL),
 ('63F89CD0-F911-4C32-9B79-D1AC59BE3418',NULL,'2010-06-14 14:41:59','mollfb3',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-14 14:41:59','2010-06-14 14:41:59','2010-06-14 14:41:59',0,0,'2010-06-14 14:41:59',0,'2010-06-14 14:41:59',0,'2010-06-14 14:41:59',NULL,NULL,1,NULL),
 ('63F9E4CF-9BB1-40C3-9D78-65E4E8D0EFA5',NULL,'2010-05-04 13:53:51','Satslertlooto',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-04 13:53:51','2010-05-04 13:53:51','2010-05-04 13:53:51',0,0,'2010-05-04 13:53:51',0,'2010-05-04 13:53:51',0,'2010-05-04 13:53:51',NULL,NULL,1,NULL),
 ('641DF930-0F32-45FE-AE3D-1A66163C3023',NULL,'2010-05-04 23:17:33','NimfDoope',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-04 23:17:33','2010-05-04 23:17:33','2010-05-04 23:17:33',0,0,'2010-05-04 23:17:33',0,'2010-05-04 23:17:33',0,'2010-05-04 23:17:33',NULL,NULL,13,NULL),
 ('6475F6BC-5134-4E51-A578-3C43FE404F14',NULL,'2010-05-15 22:48:41','anikolaev',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-15 22:48:41','2010-05-15 22:48:41','2010-05-15 22:48:41',0,0,'2010-05-15 22:48:41',0,'2010-05-15 22:48:41',0,'2010-05-15 22:48:41',NULL,NULL,1,NULL),
 ('647C6159-6800-4A46-87FD-469106174E58',NULL,'2009-12-11 17:27:22','pavel.power',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','qwerty','qwerty',1,'2009-12-11 17:30:30','2009-12-11 17:27:22','2009-12-11 17:27:22',0,0,'2009-12-11 17:27:22',0,'2009-12-11 17:27:22',0,'2009-12-11 17:27:22',NULL,NULL,1,NULL),
 ('649B7330-6A3D-4588-AC56-D04402E5318B',NULL,'2010-04-13 20:42:28','Hedoprieree',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-13 20:42:28','2010-04-13 20:42:28','2010-04-13 20:42:28',0,0,'2010-04-13 20:42:28',0,'2010-04-13 20:42:28',0,'2010-04-13 20:42:28',NULL,NULL,1,NULL),
 ('64CE8EDB-11BD-449A-BDDC-1C5D8C1AAF21',NULL,'2010-08-14 11:45:36','outrarttido770',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-14 11:45:36','2010-08-14 11:45:36','2010-08-14 11:45:36',0,0,'2010-08-14 11:45:36',0,'2010-08-14 11:45:36',0,'2010-08-14 11:45:36',NULL,NULL,14,NULL),
 ('64DE9E14-DEE2-4EDC-A5EA-807AA411DF22',NULL,'2010-02-02 12:28:43','sadegh',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-02-02 12:29:54','2010-02-02 12:28:43','2010-02-02 12:28:43',0,0,'2010-02-02 12:28:43',0,'2010-02-02 12:28:43',0,'2010-02-02 12:28:43',NULL,NULL,1,NULL),
 ('64DF5BA2-4287-429F-B589-7F0AFBEB6999',NULL,'2010-10-07 01:38:59','Zikopog',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-07 01:38:59','2010-10-07 01:38:59','2010-10-07 01:38:59',0,0,'2010-10-07 01:38:59',0,'2010-10-07 01:38:59',0,'2010-10-07 01:38:59',NULL,NULL,1,NULL),
 ('64FF3AB3-43A6-460D-9FFB-00DB6B00023C',NULL,'2010-03-09 06:12:49','biatantebsimb',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-09 06:12:49','2010-03-09 06:12:49','2010-03-09 06:12:49',0,0,'2010-03-09 06:12:49',0,'2010-03-09 06:12:49',0,'2010-03-09 06:12:49',NULL,NULL,15,NULL),
 ('65039475-BB74-4F8B-BAED-AA45DC857A11',NULL,'2010-06-12 16:11:25','waloChoothcit',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-12 16:11:25','2010-06-12 16:11:25','2010-06-12 16:11:25',0,0,'2010-06-12 16:11:25',0,'2010-06-12 16:11:25',0,'2010-06-12 16:11:25',NULL,NULL,1,NULL),
 ('652FC95D-916C-4CF7-AE0B-F1615B54ACC5',NULL,'2010-07-28 16:44:19','Areddetrailla',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-28 16:44:19','2010-07-28 16:44:19','2010-07-28 16:44:19',0,0,'2010-07-28 16:44:19',0,'2010-07-28 16:44:19',0,'2010-07-28 16:44:19',NULL,NULL,1,NULL),
 ('653A7F8B-2D2B-4C49-A665-9ECCAA8B7AEB',NULL,'2010-05-29 08:48:32','tms',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-30 07:37:49','2010-05-29 08:48:32','2010-05-29 08:48:32',0,0,'2010-05-29 08:48:32',0,'2010-05-29 08:48:32',0,'2010-05-29 08:48:32',NULL,NULL,1,NULL),
 ('65415343-3971-4A41-A9AB-A53841FE4D5A',NULL,'2010-04-09 07:29:02','artlott',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-09 07:29:02','2010-04-09 07:29:02','2010-04-09 07:29:02',0,0,'2010-04-09 07:29:02',0,'2010-04-09 07:29:02',0,'2010-04-09 07:29:02',NULL,NULL,1,NULL),
 ('65508552-92F0-40BB-B780-861DC247E862',NULL,'2010-04-09 01:52:14','autorepair',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-09 01:52:14','2010-04-09 01:52:14','2010-04-09 01:52:14',0,0,'2010-04-09 01:52:14',0,'2010-04-09 01:52:14',0,'2010-04-09 01:52:14',NULL,NULL,1,NULL),
 ('65921FC9-65CE-4CCF-88E4-EFAA56D81FB7',NULL,'2010-06-16 09:19:40','Sanybrierry',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-16 09:19:40','2010-06-16 09:19:40','2010-06-16 09:19:40',0,0,'2010-06-16 09:19:40',0,'2010-06-16 09:19:40',0,'2010-06-16 09:19:40',NULL,NULL,1,NULL),
 ('65DDAB8E-B44D-4B5C-9117-CC7E84861256',NULL,'2010-09-15 07:15:41','veganfoodrecipes',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-15 07:15:41','2010-09-15 07:15:41','2010-09-15 07:15:41',0,0,'2010-09-15 07:15:41',0,'2010-09-15 07:15:41',0,'2010-09-15 07:15:41',NULL,NULL,13,NULL),
 ('65FF955D-3C0B-4155-A8AF-09BB32957ED9',NULL,'2010-08-03 19:28:13','sdbodyshops',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-03 19:28:13','2010-08-03 19:28:13','2010-08-03 19:28:13',0,0,'2010-08-03 19:28:13',0,'2010-08-03 19:28:13',0,'2010-08-03 19:28:13',NULL,NULL,14,NULL),
 ('66244221-0E33-47F2-8FFB-00324838186D',NULL,'2010-04-04 16:37:15','immavyMemilix',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-04 16:37:15','2010-04-04 16:37:15','2010-04-04 16:37:15',0,0,'2010-04-04 16:37:15',0,'2010-04-04 16:37:15',0,'2010-04-04 16:37:15',NULL,NULL,1,NULL),
 ('6657448C-AAA5-458D-9D5D-FB09DE7A22A2',NULL,'2010-08-04 01:59:56','partylimojjkxzay',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-04 01:59:56','2010-08-04 01:59:56','2010-08-04 01:59:56',0,0,'2010-08-04 01:59:56',0,'2010-08-04 01:59:56',0,'2010-08-04 01:59:56',NULL,NULL,1,NULL),
 ('66589B21-CEB4-4552-AA19-D0AD573D3D93',NULL,'2010-03-23 16:47:47','vubreZoodadab',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-23 16:47:47','2010-03-23 16:47:47','2010-03-23 16:47:47',0,0,'2010-03-23 16:47:47',0,'2010-03-23 16:47:47',0,'2010-03-23 16:47:47',NULL,NULL,15,NULL),
 ('666CBCEC-0D41-494A-AD0E-E771CE55C3DC',NULL,'2010-05-29 08:34:24','shoologlype',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-29 08:34:24','2010-05-29 08:34:24','2010-05-29 08:34:24',0,0,'2010-05-29 08:34:24',0,'2010-05-29 08:34:24',0,'2010-05-29 08:34:24',NULL,NULL,1,NULL),
 ('667217B4-80AD-4A0F-AF61-6383FAE52CA3',NULL,'2010-03-25 22:14:17','LuxuryMaximum',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-25 22:14:17','2010-03-25 22:14:17','2010-03-25 22:14:17',0,0,'2010-03-25 22:14:17',0,'2010-03-25 22:14:17',0,'2010-03-25 22:14:17',NULL,NULL,1,NULL),
 ('66A53897-F642-4FB1-B67D-011C436201C6',NULL,'2010-08-20 12:10:22','Vahober',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-20 12:10:22','2010-08-20 12:10:22','2010-08-20 12:10:22',0,0,'2010-08-20 12:10:22',0,'2010-08-20 12:10:22',0,'2010-08-20 12:10:22',NULL,NULL,1,NULL),
 ('66B637FD-2AE6-4A24-9DE3-907FB007F506',NULL,'2010-06-10 04:03:54','SheflyStelo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-10 04:03:54','2010-06-10 04:03:54','2010-06-10 04:03:54',0,0,'2010-06-10 04:03:54',0,'2010-06-10 04:03:54',0,'2010-06-10 04:03:54',NULL,NULL,14,NULL),
 ('66F53858-7DCE-4B90-81DF-56A03DB3D8D8',NULL,'2010-06-19 03:18:28','Tony vome',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-19 03:18:28','2010-06-19 03:18:28','2010-06-19 03:18:28',0,0,'2010-06-19 03:18:28',0,'2010-06-19 03:18:28',0,'2010-06-19 03:18:28',NULL,NULL,1,NULL),
 ('66F6F492-C6D3-4455-B5B5-FB30DBC8B3A1',NULL,'2010-04-01 04:18:01','assorgezego',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-01 04:18:01','2010-04-01 04:18:01','2010-04-01 04:18:01',0,0,'2010-04-01 04:18:01',0,'2010-04-01 04:18:01',0,'2010-04-01 04:18:01',NULL,NULL,1,NULL),
 ('6701DF12-9775-4270-9FFB-D51A33659CB7',NULL,'2010-01-11 03:17:13','sky266',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-11 03:17:49','2010-01-11 03:17:13','2010-01-11 03:17:13',0,0,'2010-01-11 03:17:13',0,'2010-01-11 03:17:13',0,'2010-01-11 03:17:13',NULL,NULL,15,NULL),
 ('6727E4D0-81B4-4BFD-889D-FF8E0EC43DD7',NULL,'2010-05-10 21:44:02','Scienelek',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-10 21:44:02','2010-05-10 21:44:02','2010-05-10 21:44:02',0,0,'2010-05-10 21:44:02',0,'2010-05-10 21:44:02',0,'2010-05-10 21:44:02',NULL,NULL,1,NULL),
 ('6804E7D4-275A-4E89-910B-3752D698B098',NULL,'2010-05-17 09:55:34','marcyloisa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-17 09:55:34','2010-05-17 09:55:34','2010-05-17 09:55:34',0,0,'2010-05-17 09:55:34',0,'2010-05-17 09:55:34',0,'2010-05-17 09:55:34',NULL,NULL,14,NULL),
 ('6875CB47-3B3E-4603-8B0B-0A0207E6F0ED',NULL,'2010-09-11 21:43:38','TomColesAB',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-11 21:43:38','2010-09-11 21:43:38','2010-09-11 21:43:38',0,0,'2010-09-11 21:43:38',0,'2010-09-11 21:43:38',0,'2010-09-11 21:43:38',NULL,NULL,13,NULL),
 ('68CD42A3-D892-4780-8FC1-AD4290026BEA',NULL,'2010-08-18 07:59:41','dimakitop',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-18 07:59:41','2010-08-18 07:59:41','2010-08-18 07:59:41',0,0,'2010-08-18 07:59:41',0,'2010-08-18 07:59:41',0,'2010-08-18 07:59:41',NULL,NULL,1,NULL),
 ('69144D92-0BC4-4DDF-B64C-5A1E1DFE715F',NULL,'2010-04-07 01:11:25','MeriWildBaby',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-07 01:11:25','2010-04-07 01:11:25','2010-04-07 01:11:25',0,0,'2010-04-07 01:11:25',0,'2010-04-07 01:11:25',0,'2010-04-07 01:11:25',NULL,NULL,1,NULL),
 ('6916989A-1F3D-4657-962D-C54801ACA04E',NULL,'2010-08-17 11:55:21','epicopere',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-17 11:55:21','2010-08-17 11:55:21','2010-08-17 11:55:21',0,0,'2010-08-17 11:55:21',0,'2010-08-17 11:55:21',0,'2010-08-17 11:55:21',NULL,NULL,1,NULL),
 ('694E6D0F-87E6-4E9E-911F-17DD5361EF2C',NULL,'2010-08-18 12:34:06','IcemnStaktamn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-18 12:34:06','2010-08-18 12:34:06','2010-08-18 12:34:06',0,0,'2010-08-18 12:34:06',0,'2010-08-18 12:34:06',0,'2010-08-18 12:34:06',NULL,NULL,13,NULL),
 ('697937C0-4E3D-4961-8579-07B7E540821E',NULL,'2010-10-02 21:20:42','creditcardcpmxh',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-02 21:20:42','2010-10-02 21:20:42','2010-10-02 21:20:42',0,0,'2010-10-02 21:20:42',0,'2010-10-02 21:20:42',0,'2010-10-02 21:20:42',NULL,NULL,13,NULL),
 ('69808091-D8DA-4FEA-A97B-30EEC587E235',NULL,'2009-11-04 12:54:54','galmsereomirm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-04 12:54:54','2009-11-04 12:54:54','2009-11-04 12:54:54',0,0,'2009-11-04 12:54:54',0,'2009-11-04 12:54:54',0,'2009-11-04 12:54:54',NULL,NULL,1,NULL),
 ('699A89A2-585C-44D8-8D20-138E7E025402',NULL,'2010-06-24 09:04:23','Nertirrarcova',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-24 09:04:23','2010-06-24 09:04:23','2010-06-24 09:04:23',0,0,'2010-06-24 09:04:23',0,'2010-06-24 09:04:23',0,'2010-06-24 09:04:23',NULL,NULL,14,NULL),
 ('69CD6955-C297-4E13-9DFE-EFDBDF4033FD',NULL,'2010-05-16 14:08:22','Glebiasmik',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 14:08:22','2010-05-16 14:08:22','2010-05-16 14:08:22',0,0,'2010-05-16 14:08:22',0,'2010-05-16 14:08:22',0,'2010-05-16 14:08:22',NULL,NULL,1,NULL),
 ('69D94177-8D78-4316-BC45-70F0A2425ACD',NULL,'2010-06-12 05:19:48','acabribly',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-12 05:19:48','2010-06-12 05:19:48','2010-06-12 05:19:48',0,0,'2010-06-12 05:19:48',0,'2010-06-12 05:19:48',0,'2010-06-12 05:19:48',NULL,NULL,1,NULL),
 ('69F61D9D-AB28-4F37-B521-EF2A0A25FF23',NULL,'2009-12-20 01:53:23','JcBO',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-20 01:53:23','2009-12-20 01:53:23','2009-12-20 01:53:23',0,0,'2009-12-20 01:53:23',0,'2009-12-20 01:53:23',0,'2009-12-20 01:53:23',NULL,NULL,1,NULL),
 ('6A0C264D-E3C5-46DF-B2C6-134FA3E52E3C',NULL,'2010-05-01 06:28:10','Kerkan',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-01 06:28:10','2010-05-01 06:28:10','2010-05-01 06:28:10',0,0,'2010-05-01 06:28:10',0,'2010-05-01 06:28:10',0,'2010-05-01 06:28:10',NULL,NULL,1,NULL),
 ('6A1120CF-EEFB-488B-BDF4-4D25739BDBED',NULL,'2010-08-23 03:19:29','FxFGfssvjcz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-23 03:19:29','2010-08-23 03:19:29','2010-08-23 03:19:29',0,0,'2010-08-23 03:19:29',0,'2010-08-23 03:19:29',0,'2010-08-23 03:19:29',NULL,NULL,1,NULL),
 ('6A2EF0B4-FF9D-4343-AB3D-3F655EFCE454',NULL,'2010-08-08 12:26:46','Seinnabrainna',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-08 12:26:46','2010-08-08 12:26:46','2010-08-08 12:26:46',0,0,'2010-08-08 12:26:46',0,'2010-08-08 12:26:46',0,'2010-08-08 12:26:46',NULL,NULL,1,NULL),
 ('6A3E75A2-CA12-4FE1-815B-BECC067162A3',NULL,'2010-02-08 03:53:31','elintxy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','retype_elin','elin',1,'2010-02-08 03:56:07','2010-02-08 03:53:31','2010-02-08 03:53:31',0,0,'2010-02-08 03:53:31',0,'2010-02-08 03:53:31',0,'2010-02-08 03:53:31',NULL,NULL,1,NULL),
 ('6A47B933-E04A-4E71-86B2-C05FE7489860',NULL,'2010-08-12 11:30:13','RandAlbunda',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-12 11:30:13','2010-08-12 11:30:13','2010-08-12 11:30:13',0,0,'2010-08-12 11:30:13',0,'2010-08-12 11:30:13',0,'2010-08-12 11:30:13',NULL,NULL,13,NULL),
 ('6A7F9730-799F-4025-9874-C396F500B2DB',NULL,'2010-09-11 10:14:35','Pagkeettysede',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-11 10:14:35','2010-09-11 10:14:35','2010-09-11 10:14:35',0,0,'2010-09-11 10:14:35',0,'2010-09-11 10:14:35',0,'2010-09-11 10:14:35',NULL,NULL,1,NULL),
 ('6A9BF8B3-4574-4AD1-B5C2-3B613971803C',NULL,'2010-10-13 13:10:43','Undevavap',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-13 13:10:43','2010-10-13 13:10:43','2010-10-13 13:10:43',0,0,'2010-10-13 13:10:43',0,'2010-10-13 13:10:43',0,'2010-10-13 13:10:43',NULL,NULL,1,NULL),
 ('6AAB3BAC-6F38-4498-89FB-7715B1582B32',NULL,'2010-02-19 15:35:01','OriffLenenofe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-19 15:35:01','2010-02-19 15:35:01','2010-02-19 15:35:01',0,0,'2010-02-19 15:35:01',0,'2010-02-19 15:35:01',0,'2010-02-19 15:35:01',NULL,NULL,1,NULL),
 ('6B2E3FAE-63F8-4CBF-9EF0-89886E792253',NULL,'2010-02-27 10:43:01','Neoropmertigo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-27 10:43:01','2010-02-27 10:43:01','2010-02-27 10:43:01',0,0,'2010-02-27 10:43:01',0,'2010-02-27 10:43:01',0,'2010-02-27 10:43:01',NULL,NULL,1,NULL),
 ('6B467876-C621-4EC4-9DDF-783A4671E5B2',NULL,'2010-04-19 16:22:27','SkinnyScott',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-19 16:22:27','2010-04-19 16:22:27','2010-04-19 16:22:27',0,0,'2010-04-19 16:22:27',0,'2010-04-19 16:22:27',0,'2010-04-19 16:22:27',NULL,NULL,1,NULL),
 ('6B501931-A479-4D96-8B7E-E7091F95FBB1',NULL,'2010-01-15 22:25:44','Cisyboose',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-15 22:25:44','2010-01-15 22:25:44','2010-01-15 22:25:44',0,0,'2010-01-15 22:25:44',0,'2010-01-15 22:25:44',0,'2010-01-15 22:25:44',NULL,NULL,1,NULL),
 ('6BB54270-567F-4DAF-A762-845876ECDEDD',NULL,'2010-07-16 13:18:00','themarketking',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-16 13:18:00','2010-07-16 13:18:00','2010-07-16 13:18:00',0,0,'2010-07-16 13:18:00',0,'2010-07-16 13:18:00',0,'2010-07-16 13:18:00',NULL,NULL,13,NULL),
 ('6BDDDDEE-B257-47BF-ABA3-D7FA887A7F57',NULL,'2010-09-05 03:34:51','NedProkeidork',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-05 03:34:51','2010-09-05 03:34:51','2010-09-05 03:34:51',0,0,'2010-09-05 03:34:51',0,'2010-09-05 03:34:51',0,'2010-09-05 03:34:51',NULL,NULL,1,NULL),
 ('6C15D8F6-673A-434A-8ECE-3301E2F49259',NULL,'2010-03-27 05:37:59','Smetriern',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-27 05:37:59','2010-03-27 05:37:59','2010-03-27 05:37:59',0,0,'2010-03-27 05:37:59',0,'2010-03-27 05:37:59',0,'2010-03-27 05:37:59',NULL,NULL,13,NULL),
 ('6C169371-D531-439B-A9FC-D94547E0CAB6',NULL,'2010-05-16 13:12:14','Botannellopozer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 13:12:14','2010-05-16 13:12:14','2010-05-16 13:12:14',0,0,'2010-05-16 13:12:14',0,'2010-05-16 13:12:14',0,'2010-05-16 13:12:14',NULL,NULL,1,NULL),
 ('6C16AD91-C780-49EB-B7D3-51C335DB8A6F',NULL,'2010-09-23 16:25:02','ReurfWressy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-23 16:25:02','2010-09-23 16:25:02','2010-09-23 16:25:02',0,0,'2010-09-23 16:25:02',0,'2010-09-23 16:25:02',0,'2010-09-23 16:25:02',NULL,NULL,14,NULL),
 ('6C2B9635-F02F-476A-8494-A0FA9E69985F',NULL,'2010-08-03 18:27:04','Phevoitte',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-03 18:27:04','2010-08-03 18:27:04','2010-08-03 18:27:04',0,0,'2010-08-03 18:27:04',0,'2010-08-03 18:27:04',0,'2010-08-03 18:27:04',NULL,NULL,1,NULL),
 ('6C2F2DDE-4C53-4848-AB45-432B3C642B34',NULL,'2010-02-25 00:39:51','duke',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-25 00:40:33','2010-02-25 00:39:50','2010-02-25 00:39:50',0,0,'2010-02-25 00:39:50',0,'2010-02-25 00:39:50',0,'2010-02-25 00:39:50',NULL,NULL,15,NULL),
 ('6C4B3CCF-302A-4780-82D1-550B4132FDA4',NULL,'2010-06-02 04:39:42','PLkam',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-02 04:39:42','2010-06-02 04:39:42','2010-06-02 04:39:42',0,0,'2010-06-02 04:39:42',0,'2010-06-02 04:39:42',0,'2010-06-02 04:39:42',NULL,NULL,1,NULL),
 ('6C58E278-A003-442B-BDEF-B6AED6C8EA19',NULL,'2010-02-28 10:56:36','potenzmittelguru',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-28 10:56:36','2010-02-28 10:56:36','2010-02-28 10:56:36',0,0,'2010-02-28 10:56:36',0,'2010-02-28 10:56:36',0,'2010-02-28 10:56:36',NULL,NULL,14,NULL),
 ('6CB2FF8F-C7CC-44D8-B260-D8C1F0A442DC',NULL,'2010-04-20 03:59:36','norssparcanna',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-20 03:59:36','2010-04-20 03:59:36','2010-04-20 03:59:36',0,0,'2010-04-20 03:59:36',0,'2010-04-20 03:59:36',0,'2010-04-20 03:59:36',NULL,NULL,1,NULL),
 ('6CB89CC3-61FF-4D6B-8947-BAF8846A20E9',NULL,'2010-09-30 03:28:42','testeditor',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-30 15:29:12','2010-09-30 15:27:50','2010-09-30 03:28:41',0,0,'2010-09-30 03:28:41',0,'2010-09-30 03:28:41',0,'2010-09-30 03:28:41',NULL,NULL,18,NULL),
 ('6CD45FAD-B927-4E67-8CF0-B5D686B6AADF',NULL,'2010-07-28 07:24:22','mr.r',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','eski cep','8411097',1,'2010-07-28 07:25:34','2010-07-28 07:24:22','2010-07-28 07:24:22',0,0,'2010-07-28 07:24:22',0,'2010-07-28 07:24:22',0,'2010-07-28 07:24:22',NULL,NULL,1,NULL),
 ('6D086C1B-98B3-45B4-B6DF-E2182E4E20FE',NULL,'2010-07-24 07:38:11','Mc-ruiffy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-24 07:38:11','2010-07-24 07:38:11','2010-07-24 07:38:11',0,0,'2010-07-24 07:38:11',0,'2010-07-24 07:38:11',0,'2010-07-24 07:38:11',NULL,NULL,1,NULL),
 ('6D73170F-EA3D-457A-8D81-54C96A32C25D',NULL,'2010-07-12 03:55:26','fulfillment',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-12 03:55:26','2010-07-12 03:55:26','2010-07-12 03:55:26',0,0,'2010-07-12 03:55:26',0,'2010-07-12 03:55:26',0,'2010-07-12 03:55:26',NULL,NULL,1,NULL),
 ('6DB409BE-9426-4C68-91F9-BF12B4A49903',NULL,'2009-12-29 20:02:13','Midscisasoark',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-29 20:02:13','2009-12-29 20:02:13','2009-12-29 20:02:13',0,0,'2009-12-29 20:02:13',0,'2009-12-29 20:02:13',0,'2009-12-29 20:02:13',NULL,NULL,1,NULL),
 ('6EA25E42-D0C9-4457-B165-1E5ED8ADC06B',NULL,'2010-06-09 15:38:49','Bairwaykamy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-09 15:38:49','2010-06-09 15:38:49','2010-06-09 15:38:49',0,0,'2010-06-09 15:38:49',0,'2010-06-09 15:38:49',0,'2010-06-09 15:38:49',NULL,NULL,1,NULL),
 ('6EB32DF0-000F-4544-AB48-D585B7AB56AE',NULL,'2010-08-29 04:44:02','rlogr',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-29 04:44:02','2010-08-29 04:44:02','2010-08-29 04:44:02',0,0,'2010-08-29 04:44:02',0,'2010-08-29 04:44:02',0,'2010-08-29 04:44:02',NULL,NULL,14,NULL),
 ('6EF9C09B-6169-42FF-AFB4-A48D075A1B08',NULL,'2010-05-30 00:56:20','Trepoppople',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-30 00:56:20','2010-05-30 00:56:20','2010-05-30 00:56:20',0,0,'2010-05-30 00:56:20',0,'2010-05-30 00:56:20',0,'2010-05-30 00:56:20',NULL,NULL,13,NULL),
 ('6F09F436-A3ED-4728-8569-2F3FA9A47FEF',NULL,'2010-05-15 04:23:27','zazanksi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-15 04:23:27','2010-05-15 04:23:27','2010-05-15 04:23:27',0,0,'2010-05-15 04:23:27',0,'2010-05-15 04:23:27',0,'2010-05-15 04:23:27',NULL,NULL,14,NULL),
 ('6F0BC652-9C47-4AC7-896E-4ED497706CCF',NULL,'2010-07-22 00:07:10','andrefit',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-22 00:07:10','2010-07-22 00:07:10','2010-07-22 00:07:10',0,0,'2010-07-22 00:07:10',0,'2010-07-22 00:07:10',0,'2010-07-22 00:07:10',NULL,NULL,1,NULL),
 ('6F13626E-6B29-40C3-98F5-1F347111DFCD',NULL,'2010-10-13 16:28:09','Corynui',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-13 16:28:11','2010-10-13 16:28:09','2010-10-13 16:28:09',0,0,'2010-10-13 16:28:09',0,'2010-10-13 16:28:09',0,'2010-10-13 16:28:09',NULL,NULL,13,NULL),
 ('6F31C2FB-FE9E-4456-99FA-E21047E295C4',NULL,'2010-05-27 00:22:47','Nanadaio',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-27 00:22:47','2010-05-27 00:22:47','2010-05-27 00:22:47',0,0,'2010-05-27 00:22:47',0,'2010-05-27 00:22:47',0,'2010-05-27 00:22:47',NULL,NULL,1,NULL),
 ('6F36BA71-A029-4A35-B317-C8F699BBE794',NULL,'2010-09-12 21:08:38','CregaksDreats',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-12 21:08:38','2010-09-12 21:08:38','2010-09-12 21:08:38',0,0,'2010-09-12 21:08:38',0,'2010-09-12 21:08:38',0,'2010-09-12 21:08:38',NULL,NULL,14,NULL),
 ('6F462A74-2264-43C1-8F6D-B1134DB74CEE',NULL,'2010-06-16 02:14:45','gomklopof',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-16 02:14:45','2010-06-16 02:14:45','2010-06-16 02:14:45',0,0,'2010-06-16 02:14:45',0,'2010-06-16 02:14:45',0,'2010-06-16 02:14:45',NULL,NULL,1,NULL),
 ('6F4A7E51-6D14-4250-ACCC-3D7D1C018583',NULL,'2010-01-27 04:29:47','testtesttesttest',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-27 04:30:19','2010-01-27 04:29:47','2010-01-27 04:29:47',0,0,'2010-01-27 04:29:47',0,'2010-01-27 04:29:47',0,'2010-01-27 04:29:47',NULL,NULL,15,NULL),
 ('6F4AAC29-5195-432E-B4FE-AB498A22E1D5',NULL,'2010-04-27 06:16:40','ulugbekaka',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-27 06:17:08','2010-04-27 06:16:40','2010-04-27 06:16:40',0,0,'2010-04-27 06:16:40',0,'2010-04-27 06:16:40',0,'2010-04-27 06:16:40',NULL,NULL,1,NULL),
 ('6F6953EE-7588-4D55-AFD4-DAAEEF163774',NULL,'2010-03-26 23:15:20','Septadarp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-26 23:15:20','2010-03-26 23:15:20','2010-03-26 23:15:20',0,0,'2010-03-26 23:15:20',0,'2010-03-26 23:15:20',0,'2010-03-26 23:15:20',NULL,NULL,1,NULL),
 ('6F8D400A-83ED-4C90-984E-B772CC5D23B7',NULL,'2010-07-11 09:07:38','carnews',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-11 09:07:38','2010-07-11 09:07:38','2010-07-11 09:07:38',0,0,'2010-07-11 09:07:38',0,'2010-07-11 09:07:38',0,'2010-07-11 09:07:38',NULL,NULL,13,NULL),
 ('6FAD5F53-2E1A-4C50-A2B9-FC6498FE6F08',NULL,'2010-01-30 06:43:48','IrinkasMalinkaas',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-30 06:43:48','2010-01-30 06:43:48','2010-01-30 06:43:48',0,0,'2010-01-30 06:43:48',0,'2010-01-30 06:43:48',0,'2010-01-30 06:43:48',NULL,NULL,1,NULL),
 ('6FAFF0C0-C7F8-4FB0-964B-EA22359FBBAB',NULL,'2010-09-15 13:24:00','greensaopscx',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-15 13:24:03','2010-09-15 13:24:00','2010-09-15 13:24:00',0,0,'2010-09-15 13:24:00',0,'2010-09-15 13:24:00',0,'2010-09-15 13:24:00',NULL,NULL,1,NULL),
 ('6FD16CB5-B323-4EE8-91B1-13206E020820',NULL,'2010-05-21 14:33:00','DeaDStRikEs',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-21 14:33:00','2010-05-21 14:33:00','2010-05-21 14:33:00',0,0,'2010-05-21 14:33:00',0,'2010-05-21 14:33:00',0,'2010-05-21 14:33:00',NULL,NULL,1,NULL),
 ('6FD5F163-C9A6-45C1-A321-9262A70A8E9E',NULL,'2010-01-14 05:23:44','Intimbentitte',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-14 05:23:44','2010-01-14 05:23:44','2010-01-14 05:23:44',0,0,'2010-01-14 05:23:44',0,'2010-01-14 05:23:44',0,'2010-01-14 05:23:44',NULL,NULL,1,NULL),
 ('703E3999-4D31-4727-8C93-92AF07D36240',NULL,'2010-09-19 03:36:40','vdoorkd',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-19 03:36:40','2010-09-19 03:36:40','2010-09-19 03:36:40',0,0,'2010-09-19 03:36:40',0,'2010-09-19 03:36:40',0,'2010-09-19 03:36:40',NULL,NULL,14,NULL),
 ('7079BC1D-DFCC-44A9-95ED-3B733C36EC1F',NULL,'2010-09-22 00:49:44','ducthanh',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','i','me',1,'2010-09-22 01:00:03','2010-09-22 00:49:44','2010-09-22 00:49:44',0,0,'2010-09-22 00:49:44',0,'2010-09-22 00:49:44',0,'2010-09-22 00:49:44',NULL,NULL,1,NULL),
 ('70880B8C-62BB-4520-8702-EB39AEA8531D',NULL,'2010-04-24 16:13:02','ADHEDSLULSE',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-24 16:13:02','2010-04-24 16:13:02','2010-04-24 16:13:02',0,0,'2010-04-24 16:13:02',0,'2010-04-24 16:13:02',0,'2010-04-24 16:13:02',NULL,NULL,1,NULL),
 ('708D94CA-AA15-48B4-8A6B-D677FD430F7D',NULL,'2010-08-16 11:05:42','SicaSwinc',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-16 11:05:42','2010-08-16 11:05:42','2010-08-16 11:05:42',0,0,'2010-08-16 11:05:42',0,'2010-08-16 11:05:42',0,'2010-08-16 11:05:42',NULL,NULL,1,NULL),
 ('709CA413-2FA1-4676-8942-9CB1643F030C',NULL,'2009-10-19 05:57:02','LavaGreeday',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-19 05:57:02','2009-10-19 05:57:02','2009-10-19 05:57:02',0,0,'2009-10-19 05:57:02',0,'2009-10-19 05:57:02',0,'2009-10-19 05:57:02',NULL,NULL,13,NULL),
 ('70AFB855-4527-48A5-89EE-14E30FAF0446',NULL,'2010-08-23 21:32:33','spenteesorI',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-23 21:32:33','2010-08-23 21:32:33','2010-08-23 21:32:33',0,0,'2010-08-23 21:32:33',0,'2010-08-23 21:32:33',0,'2010-08-23 21:32:33',NULL,NULL,14,NULL),
 ('70BF0A23-0531-4718-AEE8-6BB0FF7DE570',NULL,'2010-09-23 14:56:13','1AngeniaGags',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-23 14:56:13','2010-09-23 14:56:13','2010-09-23 14:56:13',0,0,'2010-09-23 14:56:13',0,'2010-09-23 14:56:13',0,'2010-09-23 14:56:13',NULL,NULL,1,NULL),
 ('70C48FE8-A63E-4CD9-B8B5-E55CE4DA964D',NULL,'2010-02-28 11:17:43','italia_m',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-28 11:17:43','2010-02-28 11:17:43','2010-02-28 11:17:43',0,0,'2010-02-28 11:17:43',0,'2010-02-28 11:17:43',0,'2010-02-28 11:17:43',NULL,NULL,1,NULL),
 ('70CAE546-81C4-4979-AA3B-FAAEF1B9391D',NULL,'2010-09-09 14:16:36','groownsooda',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-09 14:16:39','2010-09-09 14:16:36','2010-09-09 14:16:36',0,0,'2010-09-09 14:16:36',0,'2010-09-09 14:16:36',0,'2010-09-09 14:16:36',NULL,NULL,1,NULL),
 ('70D17478-C402-432A-83CF-48855196982C',NULL,'2010-06-05 13:24:31','VimaxPillsZXX',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-05 13:24:31','2010-06-05 13:24:31','2010-06-05 13:24:31',0,0,'2010-06-05 13:24:31',0,'2010-06-05 13:24:31',0,'2010-06-05 13:24:31',NULL,NULL,14,NULL),
 ('70EB232E-D49C-41C2-903E-A29BB928FDB6',NULL,'2010-07-17 00:35:42','Sanchopahcerq',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-17 00:35:42','2010-07-17 00:35:42','2010-07-17 00:35:42',0,0,'2010-07-17 00:35:42',0,'2010-07-17 00:35:42',0,'2010-07-17 00:35:42',NULL,NULL,13,NULL),
 ('710D9839-91B1-459B-B0E5-52F13DE51E01',NULL,'2010-08-14 11:21:57','billjackso',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-14 11:21:57','2010-08-14 11:21:57','2010-08-14 11:21:57',0,0,'2010-08-14 11:21:57',0,'2010-08-14 11:21:57',0,'2010-08-14 11:21:57',NULL,NULL,14,NULL),
 ('710E624A-F90C-42D0-8ABD-E9B586F9C9A6',NULL,'2009-11-06 02:51:34','Michelle',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-06 02:51:34','2009-11-06 02:51:34','2009-11-06 02:51:34',0,0,'2009-11-06 02:51:34',0,'2009-11-06 02:51:34',0,'2009-11-06 02:51:34',NULL,NULL,1,NULL),
 ('710EE539-445C-4F64-A140-1C9CF7B7D135',NULL,'2010-06-28 11:57:14','RumnugSpepe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-28 11:57:14','2010-06-28 11:57:14','2010-06-28 11:57:14',0,0,'2010-06-28 11:57:14',0,'2010-06-28 11:57:14',0,'2010-06-28 11:57:14',NULL,NULL,1,NULL),
 ('71615946-5D18-4273-A453-015FED7A92DB',NULL,'2010-03-25 19:51:30','naifiariehymn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-25 19:51:32','2010-03-25 19:51:30','2010-03-25 19:51:30',0,0,'2010-03-25 19:51:30',0,'2010-03-25 19:51:30',0,'2010-03-25 19:51:30',NULL,NULL,1,NULL),
 ('7162DDB6-A694-4FEB-994B-6579CAF8BB40',NULL,'2010-08-23 12:33:21','vladimir',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','dog','mazai',1,'2010-08-23 12:37:53','2010-08-23 12:33:21','2010-08-23 12:33:21',0,0,'2010-08-23 12:33:21',0,'2010-08-23 12:33:21',0,'2010-08-23 12:33:21',NULL,NULL,1,NULL),
 ('7197A20A-D08D-4A06-B0CA-1383CCD4A4B2',NULL,'2010-06-04 04:02:43','pavel',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','my first f','?? ?? ?? ??',1,'2010-07-25 13:40:15','2010-06-04 04:02:42','2010-06-04 04:02:42',0,0,'2010-06-04 04:02:42',0,'2010-06-04 04:02:42',0,'2010-06-04 04:02:42',NULL,NULL,1,NULL),
 ('724CE0BD-0F4D-471C-A376-7F38502548BC',NULL,'2010-10-06 03:48:02','AmomaaricaLit',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-06 03:48:03','2010-10-06 03:48:02','2010-10-06 03:48:02',0,0,'2010-10-06 03:48:02',0,'2010-10-06 03:48:02',0,'2010-10-06 03:48:02',NULL,NULL,1,NULL),
 ('7253CBAE-4E3E-4C8F-A1BC-102E01A72CD1',NULL,'2010-06-22 09:29:22','immerbjen',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-22 09:29:22','2010-06-22 09:29:22','2010-06-22 09:29:22',0,0,'2010-06-22 09:29:22',0,'2010-06-22 09:29:22',0,'2010-06-22 09:29:22',NULL,NULL,1,NULL),
 ('73274D96-6DE2-4416-AF61-C47D771B7D55',NULL,'2010-02-06 04:43:09','happinessforfree',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-06 04:43:09','2010-02-06 04:43:09','2010-02-06 04:43:09',0,0,'2010-02-06 04:43:09',0,'2010-02-06 04:43:09',0,'2010-02-06 04:43:09',NULL,NULL,1,NULL),
 ('733983C4-BAA2-47DD-9A68-791028437EBD',NULL,'2010-02-06 07:57:10','pneuchect',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-06 07:57:10','2010-02-06 07:57:10','2010-02-06 07:57:10',0,0,'2010-02-06 07:57:10',0,'2010-02-06 07:57:10',0,'2010-02-06 07:57:10',NULL,NULL,13,NULL),
 ('733D494C-2749-4A0C-B82A-3040ED6114A4',NULL,'2010-07-06 02:48:09','ZetNY',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-06 02:48:09','2010-07-06 02:48:09','2010-07-06 02:48:09',0,0,'2010-07-06 02:48:09',0,'2010-07-06 02:48:09',0,'2010-07-06 02:48:09',NULL,NULL,1,NULL),
 ('73560DCC-FAFD-4F7A-94AA-ED23C777715D',NULL,'2010-08-13 10:46:59','Apporeanela',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-13 10:46:59','2010-08-13 10:46:59','2010-08-13 10:46:59',0,0,'2010-08-13 10:46:59',0,'2010-08-13 10:46:59',0,'2010-08-13 10:46:59',NULL,NULL,1,NULL),
 ('7399078A-E540-46B3-AB5B-DE30419F9F76',NULL,'2010-03-07 02:10:24','GENDEGEQUOB',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-07 02:10:24','2010-03-07 02:10:24','2010-03-07 02:10:24',0,0,'2010-03-07 02:10:24',0,'2010-03-07 02:10:24',0,'2010-03-07 02:10:24',NULL,NULL,1,NULL),
 ('739A461E-FC6F-4615-AD22-F25BFBBA257E',NULL,'2009-11-22 21:28:43','MAXSexual',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-22 21:28:43','2009-11-22 21:28:43','2009-11-22 21:28:43',0,0,'2009-11-22 21:28:43',0,'2009-11-22 21:28:43',0,'2009-11-22 21:28:43',NULL,NULL,1,NULL),
 ('73A1AE0F-DD5C-43C5-B82F-F351ACA4F840',NULL,'2010-03-31 16:14:24','briesserymn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-31 16:14:24','2010-03-31 16:14:24','2010-03-31 16:14:24',0,0,'2010-03-31 16:14:24',0,'2010-03-31 16:14:24',0,'2010-03-31 16:14:24',NULL,NULL,1,NULL);
INSERT INTO `users` (`UserID`,`Name`,`CreationDate`,`Username`,`ApplicationName`,`Email`,`Password`,`PasswordQuestion`,`PasswordAnswer`,`IsApproved`,`LastActivityDate`,`LastLoginDate`,`LastPasswordChangedDate`,`IsOnline`,`IsLockedOut`,`LastLockedOutDate`,`FailedPasswordAttemptCount`,`FailedPasswordAttemptWindowStart`,`FailedPasswordAnswerAttemptCount`,`FailedPasswordAnswerAttemptWindowStart`,`LastModified`,`Comment`,`PortalID`,`OpenId`) VALUES 
 ('73A89922-B17D-4787-BCB9-081EA6905EE8',NULL,'2010-08-10 22:22:38','unfottia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-10 22:22:38','2010-08-10 22:22:38','2010-08-10 22:22:38',0,0,'2010-08-10 22:22:38',0,'2010-08-10 22:22:38',0,'2010-08-10 22:22:38',NULL,NULL,1,NULL),
 ('73B17257-D551-452B-80F8-E16629916E63',NULL,'2009-11-04 11:18:21','hereiamnow',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','Uncle','Bubba',1,'2009-11-04 11:19:00','2009-11-04 11:18:21','2009-11-04 11:18:21',0,0,'2009-11-04 11:18:21',0,'2009-11-04 11:18:21',0,'2009-11-04 11:18:21',NULL,NULL,1,NULL),
 ('73B9E236-EF49-466F-81F9-9FC43A322C25',NULL,'2010-09-05 03:47:54','Jajkossuper',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-05 03:47:54','2010-09-05 03:47:54','2010-09-05 03:47:54',0,0,'2010-09-05 03:47:54',0,'2010-09-05 03:47:54',0,'2010-09-05 03:47:54',NULL,NULL,13,NULL),
 ('73BB10A7-F22C-4806-89AC-08F2528D58AA',NULL,'2010-01-30 19:22:51','Abradiaartext',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-30 19:23:05','2010-01-30 19:22:51','2010-01-30 19:22:51',0,0,'2010-01-30 19:22:51',0,'2010-01-30 19:22:51',0,'2010-01-30 19:22:51',NULL,NULL,13,NULL),
 ('73E53186-8045-4225-A750-BD0BA744F93B',NULL,'2009-10-19 20:36:22','#gennik[8888]',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-19 20:36:22','2009-10-19 20:36:22','2009-10-19 20:36:22',0,0,'2009-10-19 20:36:22',0,'2009-10-19 20:36:22',0,'2009-10-19 20:36:22',NULL,NULL,1,NULL),
 ('740EDB1A-0B41-4356-AB44-29579AA21773',NULL,'2009-10-28 22:52:38','hoowingthossy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-28 22:52:37','2009-10-28 22:52:37','2009-10-28 22:52:37',0,0,'2009-10-28 22:52:37',0,'2009-10-28 22:52:37',0,'2009-10-28 22:52:37',NULL,NULL,1,NULL),
 ('74208D9F-6C26-485E-B845-C88D779B82D3',NULL,'2010-08-19 11:21:58','VeineType',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-19 11:21:58','2010-08-19 11:21:58','2010-08-19 11:21:58',0,0,'2010-08-19 11:21:58',0,'2010-08-19 11:21:58',0,'2010-08-19 11:21:58',NULL,NULL,1,NULL),
 ('7449E04D-1527-43A4-BB7F-3C68F16E69EF',NULL,'2010-06-27 18:35:09','Towguy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-27 18:35:09','2010-06-27 18:35:09','2010-06-27 18:35:09',0,0,'2010-06-27 18:35:09',0,'2010-06-27 18:35:09',0,'2010-06-27 18:35:09',NULL,NULL,14,NULL),
 ('745312AE-C2A8-457E-9EE6-7B11AD8ACF5C',NULL,'2009-12-10 11:43:34','nvanmatre',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-10 11:44:09','2009-12-10 11:43:34','2009-12-10 11:43:34',0,0,'2009-12-10 11:43:34',0,'2009-12-10 11:43:34',0,'2009-12-10 11:43:34',NULL,NULL,15,NULL),
 ('747D4F91-B02D-47E1-B10E-3ECF190F4CCD',NULL,'2010-08-15 11:09:33','augzoobax',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-15 11:09:33','2010-08-15 11:09:33','2010-08-15 11:09:33',0,0,'2010-08-15 11:09:33',0,'2010-08-15 11:09:33',0,'2010-08-15 11:09:33',NULL,NULL,1,NULL),
 ('74BC46CD-A993-43B0-8060-9BF1AF9D9E6D',NULL,'2010-08-01 09:37:17','occuptbob',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-01 09:37:17','2010-08-01 09:37:17','2010-08-01 09:37:17',0,0,'2010-08-01 09:37:17',0,'2010-08-01 09:37:17',0,'2010-08-01 09:37:17',NULL,NULL,13,NULL),
 ('74BFF41E-2833-42C0-8090-4346F683AD42',NULL,'2009-12-21 09:19:36','DebraDavidson',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-21 09:19:36','2009-12-21 09:19:36','2009-12-21 09:19:36',0,0,'2009-12-21 09:19:36',0,'2009-12-21 09:19:36',0,'2009-12-21 09:19:36',NULL,NULL,1,NULL),
 ('74C72EFD-1FAE-4E6E-BE70-0CD47026D443',NULL,'2010-03-23 03:29:53','driersAxiorne',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-23 03:29:53','2010-03-23 03:29:53','2010-03-23 03:29:53',0,0,'2010-03-23 03:29:53',0,'2010-03-23 03:29:53',0,'2010-03-23 03:29:53',NULL,NULL,13,NULL),
 ('75059BD3-1A52-4735-8243-544E1681B68A',NULL,'2010-04-30 06:39:32','insarceri',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-30 06:39:32','2010-04-30 06:39:32','2010-04-30 06:39:32',0,0,'2010-04-30 06:39:32',0,'2010-04-30 06:39:32',0,'2010-04-30 06:39:32',NULL,NULL,1,NULL),
 ('75224524-2A10-4EB6-A15E-C4B02D9C860E',NULL,'2010-04-08 06:19:21','ErnestTravino',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-08 06:19:21','2010-04-08 06:19:21','2010-04-08 06:19:21',0,0,'2010-04-08 06:19:21',0,'2010-04-08 06:19:21',0,'2010-04-08 06:19:21',NULL,NULL,1,NULL),
 ('7525A8CD-C0D8-4A20-9470-2D0A2616870A',NULL,'2010-04-08 22:11:13','aregailinuarl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-08 22:11:13','2010-04-08 22:11:13','2010-04-08 22:11:13',0,0,'2010-04-08 22:11:13',0,'2010-04-08 22:11:13',0,'2010-04-08 22:11:13',NULL,NULL,1,NULL),
 ('75561728-773F-427A-A684-19830A267FF0',NULL,'2010-04-24 17:03:52','sisastowats',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-24 17:03:52','2010-04-24 17:03:52','2010-04-24 17:03:52',0,0,'2010-04-24 17:03:52',0,'2010-04-24 17:03:52',0,'2010-04-24 17:03:52',NULL,NULL,1,NULL),
 ('756DEAC0-EE89-489F-B2E1-DA0892851FBA',NULL,'2009-10-29 04:29:16','mcnightflash',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-29 04:29:16','2009-10-29 04:29:16','2009-10-29 04:29:16',0,0,'2009-10-29 04:29:16',0,'2009-10-29 04:29:16',0,'2009-10-29 04:29:16',NULL,NULL,1,NULL),
 ('75A394D8-D92C-487A-BBCF-7A2B2D24CA3D',NULL,'2010-05-10 05:54:45','dannjb',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-10 05:54:56','2010-05-10 05:54:45','2010-05-10 05:54:45',0,0,'2010-05-10 05:54:45',0,'2010-05-10 05:54:45',0,'2010-05-10 05:54:45',NULL,NULL,1,NULL),
 ('75B7E991-F82D-406F-8F01-08ABC2E2DA8E',NULL,'2010-09-06 10:19:59','WVcole',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-06 10:19:59','2010-09-06 10:19:59','2010-09-06 10:19:59',0,0,'2010-09-06 10:19:59',0,'2010-09-06 10:19:59',0,'2010-09-06 10:19:59',NULL,NULL,1,NULL),
 ('75E159B8-8EE0-447A-92BF-B48893B66279',NULL,'2010-01-21 07:09:18','Linopychopype',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-21 07:09:18','2010-01-21 07:09:18','2010-01-21 07:09:18',0,0,'2010-01-21 07:09:18',0,'2010-01-21 07:09:18',0,'2010-01-21 07:09:18',NULL,NULL,1,NULL),
 ('75F3B955-CEDB-4BE5-928B-5234433B0398',NULL,'2010-07-29 11:01:21','sdtowing',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-29 11:01:21','2010-07-29 11:01:21','2010-07-29 11:01:21',0,0,'2010-07-29 11:01:21',0,'2010-07-29 11:01:21',0,'2010-07-29 11:01:21',NULL,NULL,14,NULL),
 ('76195C16-D997-4CDE-9AE7-304CBD58619E',NULL,'2010-03-15 18:58:11','maddiagirl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-15 18:58:11','2010-03-15 18:58:11','2010-03-15 18:58:11',0,0,'2010-03-15 18:58:11',0,'2010-03-15 18:58:11',0,'2010-03-15 18:58:11',NULL,NULL,1,NULL),
 ('764227FE-83DD-4DAF-B629-4E64F997525D',NULL,'2009-10-27 09:20:11','tepsweemy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-27 09:20:11','2009-10-27 09:20:11','2009-10-27 09:20:11',0,0,'2009-10-27 09:20:11',0,'2009-10-27 09:20:11',0,'2009-10-27 09:20:11',NULL,NULL,1,NULL),
 ('76452DC2-6185-4BC5-8294-3BE322AD15CD',NULL,'2009-12-01 10:05:03','howdy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-12-01 10:06:08','2009-12-01 10:05:03','2009-12-01 10:05:03',0,0,'2009-12-01 10:05:03',0,'2009-12-01 10:05:03',0,'2009-12-01 10:05:03',NULL,NULL,15,NULL),
 ('76D3A725-4C51-404F-8731-0DC61AC3F2B3',NULL,'2010-08-25 06:00:48','funcenume',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-25 06:00:48','2010-08-25 06:00:48','2010-08-25 06:00:48',0,0,'2010-08-25 06:00:48',0,'2010-08-25 06:00:48',0,'2010-08-25 06:00:48',NULL,NULL,1,NULL),
 ('76E45BC1-4753-4454-BAEE-146229CD23CD',NULL,'2010-05-24 04:53:12','shambhuthakur',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-05-24 08:26:42','2010-05-24 04:53:11','2010-05-24 04:53:11',0,0,'2010-05-24 04:53:11',0,'2010-05-24 04:53:11',0,'2010-05-24 04:53:11',NULL,NULL,1,NULL),
 ('76F63DD4-E9E2-472E-B903-84548E7F2EAD',NULL,'2010-09-23 01:14:38','jeotheJaftese',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-23 01:14:38','2010-09-23 01:14:38','2010-09-23 01:14:38',0,0,'2010-09-23 01:14:38',0,'2010-09-23 01:14:38',0,'2010-09-23 01:14:38',NULL,NULL,14,NULL),
 ('77383A8A-A10D-4B95-8262-0A40F5E34008',NULL,'2010-02-28 18:39:31','Icogypozymymnsymnusq',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-28 18:39:31','2010-02-28 18:39:31','2010-02-28 18:39:31',0,0,'2010-02-28 18:39:31',0,'2010-02-28 18:39:31',0,'2010-02-28 18:39:31',NULL,NULL,1,NULL),
 ('7743FAEA-EC12-471B-ABCD-7183B2866ECC',NULL,'2009-11-05 09:07:03','Vault Dweller',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-11-05 10:09:32','2009-11-05 09:07:03','2009-11-05 09:07:03',0,0,'2009-11-05 09:07:03',0,'2009-11-05 09:07:03',0,'2009-11-05 09:07:03',NULL,NULL,1,NULL),
 ('7750F5C3-A56D-476C-A591-0221EBDE225E',NULL,'2010-02-18 10:18:22','pokerinfoscom',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-18 10:18:22','2010-02-18 10:18:22','2010-02-18 10:18:22',0,0,'2010-02-18 10:18:22',0,'2010-02-18 10:18:22',0,'2010-02-18 10:18:22',NULL,NULL,1,NULL),
 ('775D285A-5DF3-4259-861D-88F4954C9C50',NULL,'2010-07-28 00:08:33','Mydrageatrere',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-28 00:08:33','2010-07-28 00:08:33','2010-07-28 00:08:33',0,0,'2010-07-28 00:08:33',0,'2010-07-28 00:08:33',0,'2010-07-28 00:08:33',NULL,NULL,1,NULL),
 ('77841B29-846C-454F-8E89-6CDD8281C63A',NULL,'2010-09-27 01:26:36','SbbAaBync',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-27 01:26:36','2010-09-27 01:26:36','2010-09-27 01:26:36',0,0,'2010-09-27 01:26:36',0,'2010-09-27 01:26:36',0,'2010-09-27 01:26:36',NULL,NULL,1,NULL),
 ('778708B2-274C-4D8E-B615-601A274FBB09',NULL,'2010-08-16 14:30:19','Evasaraevade',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-16 14:30:19','2010-08-16 14:30:19','2010-08-16 14:30:19',0,0,'2010-08-16 14:30:19',0,'2010-08-16 14:30:19',0,'2010-08-16 14:30:19',NULL,NULL,1,NULL),
 ('77A4C91C-F408-4CDD-ADB5-C4A3B87ACAB3',NULL,'2010-05-16 00:22:21','Todomija',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 00:22:21','2010-05-16 00:22:21','2010-05-16 00:22:21',0,0,'2010-05-16 00:22:21',0,'2010-05-16 00:22:21',0,'2010-05-16 00:22:21',NULL,NULL,1,NULL),
 ('77B3F5FD-55A0-4C74-80AE-5A81E4B823F6',NULL,'2010-03-30 13:44:36','heersuard',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-30 13:44:36','2010-03-30 13:44:36','2010-03-30 13:44:36',0,0,'2010-03-30 13:44:36',0,'2010-03-30 13:44:36',0,'2010-03-30 13:44:36',NULL,NULL,1,NULL),
 ('77CA8119-68C3-44CA-8A7B-C8ABE4D7C37F',NULL,'2010-05-04 22:45:54','mcpherzj',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','favorite sport','football',1,'2010-05-04 22:47:35','2010-05-04 22:45:54','2010-05-04 22:45:54',0,0,'2010-05-04 22:45:54',0,'2010-05-04 22:45:54',0,'2010-05-04 22:45:54',NULL,NULL,1,NULL),
 ('77ECE676-96D2-4650-8F36-4A4ADA0A63C2',NULL,'2010-09-26 23:34:10','LPozizzxochI',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-26 23:34:10','2010-09-26 23:34:10','2010-09-26 23:34:10',0,0,'2010-09-26 23:34:10',0,'2010-09-26 23:34:10',0,'2010-09-26 23:34:10',NULL,NULL,1,NULL),
 ('77FBCC25-AE21-4DEC-8F44-EFA4B4AE14B3',NULL,'2010-09-24 09:42:22','prostateyhealthq',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-24 09:42:22','2010-09-24 09:42:22','2010-09-24 09:42:22',0,0,'2010-09-24 09:42:22',0,'2010-09-24 09:42:22',0,'2010-09-24 09:42:22',NULL,NULL,14,NULL),
 ('78089ACC-12ED-43D2-BD02-7FAF56B047F8',NULL,'2010-04-17 05:38:28','anichefuggige',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-17 05:38:28','2010-04-17 05:38:28','2010-04-17 05:38:28',0,0,'2010-04-17 05:38:28',0,'2010-04-17 05:38:28',0,'2010-04-17 05:38:28',NULL,NULL,1,NULL),
 ('780CCBF6-58A1-400E-917F-9B61A05A41E0',NULL,'2010-07-26 23:06:03','generalcontractor',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-26 23:06:03','2010-07-26 23:06:03','2010-07-26 23:06:03',0,0,'2010-07-26 23:06:03',0,'2010-07-26 23:06:03',0,'2010-07-26 23:06:03',NULL,NULL,14,NULL),
 ('7865DC04-656A-43B7-8478-78EA91270A04',NULL,'2009-12-02 20:31:23','Galaloamn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-02 20:31:22','2009-12-02 20:31:22','2009-12-02 20:31:22',0,0,'2009-12-02 20:31:22',0,'2009-12-02 20:31:22',0,'2009-12-02 20:31:22',NULL,NULL,1,NULL),
 ('788C03E6-F505-4649-AA03-B524B892AD3A',NULL,'2010-03-31 19:05:32','Albuquerquey',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-31 19:05:39','2010-03-31 19:05:32','2010-03-31 19:05:32',0,0,'2010-03-31 19:05:32',0,'2010-03-31 19:05:32',0,'2010-03-31 19:05:32',NULL,NULL,1,NULL),
 ('78BB80C9-68FD-4238-9C8E-15F9C4816561',NULL,'2010-09-19 21:15:16','cartradecars',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-19 21:15:15','2010-09-19 21:15:15','2010-09-19 21:15:15',0,0,'2010-09-19 21:15:15',0,'2010-09-19 21:15:15',0,'2010-09-19 21:15:15',NULL,NULL,1,NULL),
 ('78BEEA92-A739-45B9-AD29-5198FA52AF16',NULL,'2010-09-12 17:00:36','Cronnerge',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-12 17:00:36','2010-09-12 17:00:36','2010-09-12 17:00:36',0,0,'2010-09-12 17:00:36',0,'2010-09-12 17:00:36',0,'2010-09-12 17:00:36',NULL,NULL,1,NULL),
 ('78EAFD4F-172D-417D-813F-BD601A46CDE8',NULL,'2010-02-24 17:16:45','quesonitro',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-24 17:16:45','2010-02-24 17:16:45','2010-02-24 17:16:45',0,0,'2010-02-24 17:16:45',0,'2010-02-24 17:16:45',0,'2010-02-24 17:16:45',NULL,NULL,1,NULL),
 ('7928E6D4-486C-4442-946F-0BFB93C96351',NULL,'2010-02-23 05:04:35','bestcar',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-23 05:04:35','2010-02-23 05:04:35','2010-02-23 05:04:35',0,0,'2010-02-23 05:04:35',0,'2010-02-23 05:04:35',0,'2010-02-23 05:04:35',NULL,NULL,1,NULL),
 ('794CCE30-52A9-48B1-BB73-8253EF9ACB26',NULL,'2010-09-29 02:15:09','LisaTartan',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-29 02:15:09','2010-09-29 02:15:09','2010-09-29 02:15:09',0,0,'2010-09-29 02:15:09',0,'2010-09-29 02:15:09',0,'2010-09-29 02:15:09',NULL,NULL,1,NULL),
 ('7A2ED3F9-F1AC-4455-A253-F464C5DB6C29',NULL,'2010-07-12 17:20:15','VasiliyMolchanov',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-12 17:20:15','2010-07-12 17:20:15','2010-07-12 17:20:15',0,0,'2010-07-12 17:20:15',0,'2010-07-12 17:20:15',0,'2010-07-12 17:20:15',NULL,NULL,1,NULL),
 ('7A3159E8-EA93-4243-A46A-7EBF2BFAADEA',NULL,'2010-01-26 02:30:10','innovegrene',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-26 02:30:10','2010-01-26 02:30:10','2010-01-26 02:30:10',0,0,'2010-01-26 02:30:10',0,'2010-01-26 02:30:10',0,'2010-01-26 02:30:10',NULL,NULL,1,NULL),
 ('7A44454E-C2BE-417C-84E5-E15B61604009',NULL,'2010-05-20 17:38:57','rusinvitation',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-20 17:38:57','2010-05-20 17:38:57','2010-05-20 17:38:57',0,0,'2010-05-20 17:38:57',0,'2010-05-20 17:38:57',0,'2010-05-20 17:38:57',NULL,NULL,1,NULL),
 ('7A8A985F-560A-4A43-A1EF-B47319638FA7',NULL,'2010-05-15 06:02:50','forumbg',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-15 06:02:50','2010-05-15 06:02:50','2010-05-15 06:02:50',0,0,'2010-05-15 06:02:50',0,'2010-05-15 06:02:50',0,'2010-05-15 06:02:50',NULL,NULL,1,NULL),
 ('7A9985F4-898C-4AAF-80D4-C700486B1AA8',NULL,'2009-11-01 20:39:05','ofigennoeru',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-01 20:39:05','2009-11-01 20:39:05','2009-11-01 20:39:05',0,0,'2009-11-01 20:39:05',0,'2009-11-01 20:39:05',0,'2009-11-01 20:39:05',NULL,NULL,1,NULL),
 ('7AA92850-C9AA-482B-8EEB-DA1D6F42341C',NULL,'2010-02-25 10:56:10','TerryShaw',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-25 10:56:31','2010-02-25 10:56:10','2010-02-25 10:56:10',0,0,'2010-02-25 10:56:10',0,'2010-02-25 10:56:10',0,'2010-02-25 10:56:10',NULL,NULL,1,NULL),
 ('7AAE0A31-45A8-4C62-B9FD-2CB4824BD2DF',NULL,'2010-09-10 00:35:16','Theliacrirura',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-10 00:35:16','2010-09-10 00:35:16','2010-09-10 00:35:16',0,0,'2010-09-10 00:35:16',0,'2010-09-10 00:35:16',0,'2010-09-10 00:35:16',NULL,NULL,13,NULL),
 ('7AC09464-99EE-4A18-825D-EFD79196C508',NULL,'2010-05-20 01:39:54','Iojmapsj',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-20 01:39:54','2010-05-20 01:39:54','2010-05-20 01:39:54',0,0,'2010-05-20 01:39:54',0,'2010-05-20 01:39:54',0,'2010-05-20 01:39:54',NULL,NULL,1,NULL),
 ('7AE544BA-0555-4929-A8C4-4F30A37A3CD1',NULL,'2010-03-28 07:00:29','acilintaize',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-28 07:00:29','2010-03-28 07:00:29','2010-03-28 07:00:29',0,0,'2010-03-28 07:00:29',0,'2010-03-28 07:00:29',0,'2010-03-28 07:00:29',NULL,NULL,1,NULL),
 ('7B1684A9-8256-4063-B3E6-7BCC2490E638',NULL,'2010-09-05 14:41:05','abrarcads',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-05 14:41:05','2010-09-05 14:41:05','2010-09-05 14:41:05',0,0,'2010-09-05 14:41:05',0,'2010-09-05 14:41:05',0,'2010-09-05 14:41:05',NULL,NULL,14,NULL),
 ('7B23B2E3-A000-446F-8B24-8C5E6A408696',NULL,'2010-05-26 00:34:55','Mesimix',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-26 00:34:55','2010-05-26 00:34:55','2010-05-26 00:34:55',0,0,'2010-05-26 00:34:55',0,'2010-05-26 00:34:55',0,'2010-05-26 00:34:55',NULL,NULL,1,NULL),
 ('7B399A81-67AF-4657-ADFE-06DB484D9778',NULL,'2010-07-14 10:35:45','weosparkons',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-14 10:35:45','2010-07-14 10:35:45','2010-07-14 10:35:45',0,0,'2010-07-14 10:35:45',0,'2010-07-14 10:35:45',0,'2010-07-14 10:35:45',NULL,NULL,13,NULL),
 ('7B564C29-63C1-4072-BAF6-4FDF61E02F5C',NULL,'2010-08-03 03:03:30','wineGilllence',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-03 03:03:30','2010-08-03 03:03:30','2010-08-03 03:03:30',0,0,'2010-08-03 03:03:30',0,'2010-08-03 03:03:30',0,'2010-08-03 03:03:30',NULL,NULL,1,NULL),
 ('7B7F2612-3B8D-4965-A6E5-0AFACBCA9364',NULL,'2010-03-01 07:00:33','chervjakopetuh',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-01 07:00:33','2010-03-01 07:00:33','2010-03-01 07:00:33',0,0,'2010-03-01 07:00:33',0,'2010-03-01 07:00:33',0,'2010-03-01 07:00:33',NULL,NULL,1,NULL),
 ('7B884271-EAFD-4447-8B1C-8F139F53E359',NULL,'2010-06-27 18:00:22','ShadowGirl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','puppy','shadow',1,'2010-06-27 18:02:05','2010-06-27 18:00:22','2010-06-27 18:00:22',0,0,'2010-06-27 18:00:22',0,'2010-06-27 18:00:22',0,'2010-06-27 18:00:22',NULL,NULL,1,NULL),
 ('7B88FB57-8A19-41C9-96A9-AAF2867A8F85',NULL,'2010-02-25 07:41:34','IronManRockz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-25 07:41:34','2010-02-25 07:41:34','2010-02-25 07:41:34',0,0,'2010-02-25 07:41:34',0,'2010-02-25 07:41:34',0,'2010-02-25 07:41:34',NULL,NULL,1,NULL),
 ('7BD20155-A223-4083-B5D0-615BB748D8D2',NULL,'2010-05-25 18:52:48','TimiPythimB',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-25 18:52:48','2010-05-25 18:52:48','2010-05-25 18:52:48',0,0,'2010-05-25 18:52:48',0,'2010-05-25 18:52:48',0,'2010-05-25 18:52:48',NULL,NULL,1,NULL),
 ('7C1110BB-7C9D-4DDC-8AD7-EB8FEC565665',NULL,'2010-05-07 08:02:58','SketchySteve',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','23','23',1,'2010-05-07 10:17:28','2010-05-07 08:02:58','2010-05-07 08:02:58',0,0,'2010-05-07 08:02:58',0,'2010-05-07 08:02:58',0,'2010-05-07 08:02:58',NULL,NULL,1,NULL),
 ('7C3ADCB2-50BE-4BD0-8535-9110DB6FEDE9',NULL,'2010-08-10 15:35:07','rsantos',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','jarjar','jarjar',1,'2010-08-10 15:36:06','2010-08-10 15:35:07','2010-08-10 15:35:07',0,0,'2010-08-10 15:35:07',0,'2010-08-10 15:35:07',0,'2010-08-10 15:35:07',NULL,NULL,1,NULL),
 ('7C681322-4EE0-47BA-8B85-DAADBCD7626A',NULL,'2010-09-15 22:07:47','buyshoes',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-15 22:07:47','2010-09-15 22:07:47','2010-09-15 22:07:47',0,0,'2010-09-15 22:07:47',0,'2010-09-15 22:07:47',0,'2010-09-15 22:07:47',NULL,NULL,13,NULL),
 ('7C909CD1-7838-43C1-A4B1-97D9979CACA9',NULL,'2010-09-24 23:00:51','adancedar',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-24 23:00:51','2010-09-24 23:00:51','2010-09-24 23:00:51',0,0,'2010-09-24 23:00:51',0,'2010-09-24 23:00:51',0,'2010-09-24 23:00:51',NULL,NULL,13,NULL),
 ('7CA3EF7A-8D68-4C6B-A056-CBE35C35A326',NULL,'2010-07-24 14:01:55','genasmaximus',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-24 14:01:55','2010-07-24 14:01:55','2010-07-24 14:01:55',0,0,'2010-07-24 14:01:55',0,'2010-07-24 14:01:55',0,'2010-07-24 14:01:55',NULL,NULL,1,NULL),
 ('7CACA095-AE59-4E2C-8688-983764C3A9C8',NULL,'2010-06-10 20:55:43','Tefstissedyef',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-10 20:55:43','2010-06-10 20:55:43','2010-06-10 20:55:43',0,0,'2010-06-10 20:55:43',0,'2010-06-10 20:55:43',0,'2010-06-10 20:55:43',NULL,NULL,1,NULL),
 ('7CDEFDC1-256E-48F8-8FF1-867594547F7B',NULL,'2010-03-06 03:10:39','Triecy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-06 03:10:39','2010-03-06 03:10:39','2010-03-06 03:10:39',0,0,'2010-03-06 03:10:39',0,'2010-03-06 03:10:39',0,'2010-03-06 03:10:39',NULL,NULL,15,NULL),
 ('7D55ED76-1D5E-40C2-8F22-4C45156E12A4',NULL,'2010-07-22 22:01:25','sandiegoinsurance',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-22 22:01:25','2010-07-22 22:01:25','2010-07-22 22:01:25',0,0,'2010-07-22 22:01:25',0,'2010-07-22 22:01:25',0,'2010-07-22 22:01:25',NULL,NULL,14,NULL),
 ('7D8290E8-8FE1-4548-9B28-458F2B665A78',NULL,'2010-04-29 06:43:15','pavelvolek',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','main pwd?','yes!',1,'2010-04-29 06:44:34','2010-04-29 06:44:20','2010-04-29 06:43:15',0,0,'2010-04-29 06:43:15',0,'2010-04-29 06:43:15',0,'2010-04-29 06:43:15',NULL,NULL,1,NULL),
 ('7DC642DC-E61D-4C9E-8322-FE480E6CAFCE',NULL,'2010-06-01 08:31:23','bassouma86',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-01 08:36:14','2010-06-01 08:31:23','2010-06-01 08:31:23',0,0,'2010-06-01 08:31:23',0,'2010-06-01 08:31:23',0,'2010-06-01 08:31:23',NULL,NULL,1,NULL),
 ('7DC8A366-72A5-45A2-B452-8E57A615306F',NULL,'2010-09-24 13:04:50','sandiegodui',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-24 13:04:50','2010-09-24 13:04:50','2010-09-24 13:04:50',0,0,'2010-09-24 13:04:50',0,'2010-09-24 13:04:50',0,'2010-09-24 13:04:50',NULL,NULL,14,NULL),
 ('7E344D54-476F-45A1-B3B8-7D0C2A04DFCA',NULL,'2010-07-17 20:23:00','scatpeeD',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-17 20:23:00','2010-07-17 20:23:00','2010-07-17 20:23:00',0,0,'2010-07-17 20:23:00',0,'2010-07-17 20:23:00',0,'2010-07-17 20:23:00',NULL,NULL,1,NULL),
 ('7E37C54C-82D6-43EC-8EE3-A61114996DB0',NULL,'2010-01-23 04:40:17','viagratramadolw',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-23 04:40:17','2010-01-23 04:40:17','2010-01-23 04:40:17',0,0,'2010-01-23 04:40:17',0,'2010-01-23 04:40:17',0,'2010-01-23 04:40:17',NULL,NULL,1,NULL),
 ('7E58BF30-44CA-49FF-B3D2-10944271E69B',NULL,'2010-07-11 10:06:20','rhymncync',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-11 10:06:20','2010-07-11 10:06:20','2010-07-11 10:06:20',0,0,'2010-07-11 10:06:20',0,'2010-07-11 10:06:20',0,'2010-07-11 10:06:20',NULL,NULL,13,NULL),
 ('7E6A8B7E-0E73-4102-B7D9-0090AB5DA3A5',NULL,'2010-05-04 20:53:54','Simievoto',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-04 20:54:00','2010-05-04 20:53:54','2010-05-04 20:53:54',0,0,'2010-05-04 20:53:54',0,'2010-05-04 20:53:54',0,'2010-05-04 20:53:54',NULL,NULL,1,NULL),
 ('7EE1851D-74EA-43CA-9E27-08B3EFF3C0CD',NULL,'2010-10-13 15:58:29','Teasiulse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-13 15:58:29','2010-10-13 15:58:29','2010-10-13 15:58:29',0,0,'2010-10-13 15:58:29',0,'2010-10-13 15:58:29',0,'2010-10-13 15:58:29',NULL,NULL,14,NULL),
 ('7F171C75-F13D-4D37-B0A7-02B26CE36E91',NULL,'2010-05-18 10:16:30','DeequeAcounse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-18 10:16:30','2010-05-18 10:16:30','2010-05-18 10:16:30',0,0,'2010-05-18 10:16:30',0,'2010-05-18 10:16:30',0,'2010-05-18 10:16:30',NULL,NULL,1,NULL),
 ('7F42A8CE-CD8A-416D-8D9A-D1DC2D35E5AE',NULL,'2010-05-12 13:01:15','zaziretti',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-12 13:01:21','2010-05-12 13:01:15','2010-05-12 13:01:15',0,0,'2010-05-12 13:01:15',0,'2010-05-12 13:01:15',0,'2010-05-12 13:01:15',NULL,NULL,1,NULL),
 ('7F44250B-E356-48B6-A9AB-B3091324A426',NULL,'2009-11-11 04:23:46','atlamansa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-11 04:23:46','2009-11-11 04:23:46','2009-11-11 04:23:46',0,0,'2009-11-11 04:23:46',0,'2009-11-11 04:23:46',0,'2009-11-11 04:23:46',NULL,NULL,1,NULL),
 ('7FA0C93F-F53A-4D07-9617-F472EA38BEA0',NULL,'2010-05-09 13:59:27','denis121',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-05-09 14:01:48','2010-05-09 13:59:27','2010-05-09 13:59:27',0,0,'2010-05-09 13:59:27',0,'2010-05-09 13:59:27',0,'2010-05-09 13:59:27',NULL,NULL,1,NULL),
 ('7FB0EB53-9C93-477C-9850-2F0F524AD0FD',NULL,'2009-10-24 07:51:14','devstvenikvchera',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-24 07:51:13','2009-10-24 07:51:13','2009-10-24 07:51:13',0,0,'2009-10-24 07:51:13',0,'2009-10-24 07:51:13',0,'2009-10-24 07:51:13',NULL,NULL,1,NULL),
 ('7FDA8F18-DD59-4952-9B9B-201F51B15F32',NULL,'2010-06-26 12:54:19','Estitopriom',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-26 12:54:19','2010-06-26 12:54:19','2010-06-26 12:54:19',0,0,'2010-06-26 12:54:19',0,'2010-06-26 12:54:19',0,'2010-06-26 12:54:19',NULL,NULL,1,NULL),
 ('8004F6A3-6B9E-470A-9D60-DFF5B8B7818C',NULL,'2010-05-25 17:09:33','Muradai',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-25 17:09:32','2010-05-25 17:09:32','2010-05-25 17:09:32',0,0,'2010-05-25 17:09:32',0,'2010-05-25 17:09:32',0,'2010-05-25 17:09:32',NULL,NULL,1,NULL),
 ('8049E8A2-B183-4186-88F2-6DA7D0ACD95F',NULL,'2010-03-15 18:19:40','gman2005',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','who is the hero?','spiderman2',1,'2010-03-15 18:21:17','2010-03-15 18:19:40','2010-03-15 18:19:40',0,0,'2010-03-15 18:19:40',0,'2010-03-15 18:19:40',0,'2010-03-15 18:19:40',NULL,NULL,1,NULL),
 ('807CCA23-EB44-438E-8949-D3A2808D8457',NULL,'2010-08-06 12:16:55','FoombMuro',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-06 12:16:55','2010-08-06 12:16:55','2010-08-06 12:16:55',0,0,'2010-08-06 12:16:55',0,'2010-08-06 12:16:55',0,'2010-08-06 12:16:55',NULL,NULL,1,NULL),
 ('807F3F24-425E-44AE-A7A6-1FA7AA76FFBF',NULL,'2010-03-11 16:28:24','Sciessyspeaxorsbhd',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-11 16:28:24','2010-03-11 16:28:24','2010-03-11 16:28:24',0,0,'2010-03-11 16:28:24',0,'2010-03-11 16:28:24',0,'2010-03-11 16:28:24',NULL,NULL,1,NULL),
 ('809F182B-BEE8-4F07-9449-BBE0A9C3A7A8',NULL,'2010-06-01 07:03:58','ftewenty',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-01 07:03:58','2010-06-01 07:03:58','2010-06-01 07:03:58',0,0,'2010-06-01 07:03:58',0,'2010-06-01 07:03:58',0,'2010-06-01 07:03:58',NULL,NULL,1,NULL),
 ('80B6FF28-CFDF-4764-A706-8663EF99D6A1',NULL,'2010-05-25 22:04:44','upsetedodwide',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-25 22:04:44','2010-05-25 22:04:44','2010-05-25 22:04:44',0,0,'2010-05-25 22:04:44',0,'2010-05-25 22:04:44',0,'2010-05-25 22:04:44',NULL,NULL,13,NULL),
 ('80BB5F45-6ED7-4EB7-B5FD-FEA2E6479D2C',NULL,'2010-08-12 19:28:42','Chisyitette',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-12 19:28:42','2010-08-12 19:28:42','2010-08-12 19:28:42',0,0,'2010-08-12 19:28:42',0,'2010-08-12 19:28:42',0,'2010-08-12 19:28:42',NULL,NULL,1,NULL),
 ('80E0D19A-B731-44BC-932A-D50FEACABB9E',NULL,'2010-03-24 07:11:56','elalaSahWrine',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-24 07:11:58','2010-03-24 07:11:56','2010-03-24 07:11:56',0,0,'2010-03-24 07:11:56',0,'2010-03-24 07:11:56',0,'2010-03-24 07:11:56',NULL,NULL,1,NULL),
 ('81036901-4AA8-478D-8628-BDABC67B4B7A',NULL,'2010-08-10 12:15:54','Unwiskbiaks',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-10 12:15:54','2010-08-10 12:15:54','2010-08-10 12:15:54',0,0,'2010-08-10 12:15:54',0,'2010-08-10 12:15:54',0,'2010-08-10 12:15:54',NULL,NULL,1,NULL),
 ('81049CF5-1F2D-4EC4-9670-F7FCE1C72910',NULL,'2010-06-02 01:47:35','Broorsbum',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-02 01:47:35','2010-06-02 01:47:35','2010-06-02 01:47:35',0,0,'2010-06-02 01:47:35',0,'2010-06-02 01:47:35',0,'2010-06-02 01:47:35',NULL,NULL,1,NULL),
 ('81238331-03BB-45CB-BD3F-BD85B597A6B7',NULL,'2010-01-26 05:50:55','PertJapetem',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-26 05:50:55','2010-01-26 05:50:55','2010-01-26 05:50:55',0,0,'2010-01-26 05:50:55',0,'2010-01-26 05:50:55',0,'2010-01-26 05:50:55',NULL,NULL,1,NULL),
 ('81445325-AE36-4753-8E75-07E0CC062CB0',NULL,'2010-06-15 10:50:00','Nuacuusty',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-15 10:50:03','2010-06-15 10:50:00','2010-06-15 10:50:00',0,0,'2010-06-15 10:50:00',0,'2010-06-15 10:50:00',0,'2010-06-15 10:50:00',NULL,NULL,1,NULL),
 ('8156B692-CDC3-47AE-9D89-E50CAE4EEB27',NULL,'2010-09-14 06:59:25','heerbighitugh',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-14 06:59:25','2010-09-14 06:59:25','2010-09-14 06:59:25',0,0,'2010-09-14 06:59:25',0,'2010-09-14 06:59:25',0,'2010-09-14 06:59:25',NULL,NULL,1,NULL),
 ('81642696-A8D4-4F96-ABE5-8CFC335D60B0',NULL,'2010-05-17 20:50:27','rnd_best',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-17 20:50:27','2010-05-17 20:50:27','2010-05-17 20:50:27',0,0,'2010-05-17 20:50:27',0,'2010-05-17 20:50:27',0,'2010-05-17 20:50:27',NULL,NULL,1,NULL),
 ('816AB170-EB03-44A8-9EE1-5A4C8C06702E',NULL,'2010-05-15 04:54:50','Smakugl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-15 04:54:50','2010-05-15 04:54:50','2010-05-15 04:54:50',0,0,'2010-05-15 04:54:50',0,'2010-05-15 04:54:50',0,'2010-05-15 04:54:50',NULL,NULL,1,NULL),
 ('8190D0E9-E25D-483C-9CBA-BA872185EEF7',NULL,'2009-12-21 05:22:16','tomislavmesic',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','dog','lea',1,'2009-12-21 05:26:34','2009-12-21 05:22:16','2009-12-21 05:22:16',0,0,'2009-12-21 05:22:16',0,'2009-12-21 05:22:16',0,'2009-12-21 05:22:16',NULL,NULL,1,NULL),
 ('81BDE73C-757A-47E9-8B7E-3695102934F1',NULL,'2010-05-24 12:52:36','queenseentida',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-24 12:52:36','2010-05-24 12:52:36','2010-05-24 12:52:36',0,0,'2010-05-24 12:52:36',0,'2010-05-24 12:52:36',0,'2010-05-24 12:52:36',NULL,NULL,13,NULL),
 ('81E58FCB-BDDD-4F68-9253-A52DD9847F11',NULL,'2010-01-07 21:22:59','SmateDemEvest',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-07 21:22:59','2010-01-07 21:22:59','2010-01-07 21:22:59',0,0,'2010-01-07 21:22:59',0,'2010-01-07 21:22:59',0,'2010-01-07 21:22:59',NULL,NULL,1,NULL),
 ('822225E6-A7A9-45B4-BA4D-59B4E278AF16',NULL,'2010-06-03 15:43:42','Cillemepype',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-03 15:43:42','2010-06-03 15:43:42','2010-06-03 15:43:42',0,0,'2010-06-03 15:43:42',0,'2010-06-03 15:43:42',0,'2010-06-03 15:43:42',NULL,NULL,1,NULL),
 ('823133FE-9812-49B9-BE0A-FE08899855E6',NULL,'2010-03-17 08:57:32','Toismcogs',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-17 08:57:32','2010-03-17 08:57:32','2010-03-17 08:57:32',0,0,'2010-03-17 08:57:32',0,'2010-03-17 08:57:32',0,'2010-03-17 08:57:32',NULL,NULL,1,NULL),
 ('8243D934-85CB-4F4E-A928-13042838A3DD',NULL,'2010-05-24 23:39:38','alupzeste',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-24 23:39:38','2010-05-24 23:39:38','2010-05-24 23:39:38',0,0,'2010-05-24 23:39:38',0,'2010-05-24 23:39:38',0,'2010-05-24 23:39:38',NULL,NULL,1,NULL),
 ('82A172A0-FD1B-4292-B5EC-BAE6A6362D3B',NULL,'2010-01-23 04:02:35','arreriush',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-23 04:02:35','2010-01-23 04:02:35','2010-01-23 04:02:35',0,0,'2010-01-23 04:02:35',0,'2010-01-23 04:02:35',0,'2010-01-23 04:02:35',NULL,NULL,1,NULL),
 ('82D3A490-F782-4ECC-B443-01E9A09BC0EC',NULL,'2010-04-22 07:22:52','royabyNedCery',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-22 07:22:52','2010-04-22 07:22:52','2010-04-22 07:22:52',0,0,'2010-04-22 07:22:52',0,'2010-04-22 07:22:52',0,'2010-04-22 07:22:52',NULL,NULL,13,NULL),
 ('82E9FA2C-D30B-4657-8B26-1EDC8DBEA6B5',NULL,'2010-09-05 00:05:18','paulonewman',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-05 00:05:18','2010-09-05 00:05:18','2010-09-05 00:05:18',0,0,'2010-09-05 00:05:18',0,'2010-09-05 00:05:18',0,'2010-09-05 00:05:18',NULL,NULL,14,NULL),
 ('82EFF84C-4234-4A4F-BE93-28AC6BE96B74',NULL,'2010-05-03 09:14:34','mefttibeRer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-03 09:14:34','2010-05-03 09:14:34','2010-05-03 09:14:34',0,0,'2010-05-03 09:14:34',0,'2010-05-03 09:14:34',0,'2010-05-03 09:14:34',NULL,NULL,1,NULL),
 ('831A203F-A2BA-47A3-B4F4-4BFC2A9C0FBE',NULL,'2010-09-28 11:42:39','rooferguyxxunow',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-28 11:42:39','2010-09-28 11:42:39','2010-09-28 11:42:39',0,0,'2010-09-28 11:42:39',0,'2010-09-28 11:42:39',0,'2010-09-28 11:42:39',NULL,NULL,1,NULL),
 ('831F389F-9746-451E-B102-87F7334D1486',NULL,'2010-04-21 15:34:48','vizardsovin',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-21 15:34:55','2010-04-21 15:34:48','2010-04-21 15:34:48',0,0,'2010-04-21 15:34:48',0,'2010-04-21 15:34:48',0,'2010-04-21 15:34:48',NULL,NULL,1,NULL),
 ('83371B0C-92DE-4C7A-98DE-FC3B69BEBE94',NULL,'2010-07-01 18:42:03','opretreopwqer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-01 18:42:03','2010-07-01 18:42:03','2010-07-01 18:42:03',0,0,'2010-07-01 18:42:03',0,'2010-07-01 18:42:03',0,'2010-07-01 18:42:03',NULL,NULL,1,NULL),
 ('835567FC-0BA1-4CC5-8BAD-9BC91887C0D2',NULL,'2010-07-26 00:37:07','Wagnerppxf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-26 00:37:07','2010-07-26 00:37:07','2010-07-26 00:37:07',0,0,'2010-07-26 00:37:07',0,'2010-07-26 00:37:07',0,'2010-07-26 00:37:07',NULL,NULL,13,NULL),
 ('839E1F3D-F964-4257-B745-54ECC6227E64',NULL,'2010-07-06 23:08:25','Appertalt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-06 23:08:25','2010-07-06 23:08:25','2010-07-06 23:08:25',0,0,'2010-07-06 23:08:25',0,'2010-07-06 23:08:25',0,'2010-07-06 23:08:25',NULL,NULL,1,NULL),
 ('83A2A641-6054-4DB2-89CD-3D2F638E4C55',NULL,'2010-01-12 03:00:52','dvorikicom',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-12 03:00:52','2010-01-12 03:00:52','2010-01-12 03:00:52',0,0,'2010-01-12 03:00:52',0,'2010-01-12 03:00:52',0,'2010-01-12 03:00:52',NULL,NULL,1,NULL),
 ('83B05748-0DA1-4DD1-986C-7AD75236F2A0',NULL,'2010-06-14 21:46:21','abnonalia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-14 21:46:21','2010-06-14 21:46:21','2010-06-14 21:46:21',0,0,'2010-06-14 21:46:21',0,'2010-06-14 21:46:21',0,'2010-06-14 21:46:21',NULL,NULL,1,NULL),
 ('83B0B3C5-EDF0-4AE8-A073-F1D7D7B31F90',NULL,'2010-05-23 22:37:47','asternenalerb',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-23 22:37:47','2010-05-23 22:37:47','2010-05-23 22:37:47',0,0,'2010-05-23 22:37:47',0,'2010-05-23 22:37:47',0,'2010-05-23 22:37:47',NULL,NULL,1,NULL),
 ('83C9BE4D-DF8A-455A-9F5D-E5D5867A6AE5',NULL,'2009-04-16 15:28:27','Editor','MvcCms','info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','kung','foo',1,'2010-10-09 23:12:56','2010-10-09 23:08:36','2009-10-18 22:43:49',0,0,'2009-06-19 10:31:36',1,'2010-07-01 06:49:54',1,'2009-11-19 16:25:40',NULL,NULL,1,NULL),
 ('841BA36E-3A86-40ED-8210-FF29C0F9A769',NULL,'2010-05-03 01:17:07','medanmusice',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-03 01:17:07','2010-05-03 01:17:07','2010-05-03 01:17:07',0,0,'2010-05-03 01:17:07',0,'2010-05-03 01:17:07',0,'2010-05-03 01:17:07',NULL,NULL,1,NULL),
 ('84279082-0CAA-4C56-966D-49BD4A4E796E',NULL,'2010-09-30 21:43:53','spelienveni',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-30 21:43:53','2010-09-30 21:43:53','2010-09-30 21:43:53',0,0,'2010-09-30 21:43:53',0,'2010-09-30 21:43:53',0,'2010-09-30 21:43:53',NULL,NULL,1,NULL),
 ('84727B78-35EC-401D-9A47-09BE76171EE8',NULL,'2010-05-05 01:33:53','Loossynodyfus',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-05 01:33:59','2010-05-05 01:33:53','2010-05-05 01:33:53',0,0,'2010-05-05 01:33:53',0,'2010-05-05 01:33:53',0,'2010-05-05 01:33:53',NULL,NULL,1,NULL),
 ('847A5A26-91B7-4207-A0E0-28CB7EDEC0BF',NULL,'2010-06-01 21:22:11','Rewwotter',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-01 21:22:11','2010-06-01 21:22:11','2010-06-01 21:22:11',0,0,'2010-06-01 21:22:11',0,'2010-06-01 21:22:11',0,'2010-06-01 21:22:11',NULL,NULL,1,NULL),
 ('84CA1312-E26C-49CB-91DE-2CD6CCC1FE07',NULL,'2010-08-15 10:19:37','Acubbomoppy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-15 10:19:37','2010-08-15 10:19:37','2010-08-15 10:19:37',0,0,'2010-08-15 10:19:37',0,'2010-08-15 10:19:37',0,'2010-08-15 10:19:37',NULL,NULL,1,NULL),
 ('84DD782D-BEA2-4C73-9DBC-C39C819BE698',NULL,'2010-06-22 09:51:48','necro40',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','necro','40',1,'2010-06-22 09:53:49','2010-06-22 09:51:48','2010-06-22 09:51:48',0,0,'2010-06-22 09:51:48',0,'2010-06-22 09:51:48',0,'2010-06-22 09:51:48',NULL,NULL,1,NULL),
 ('8502AAE4-7408-4153-8ABD-1AEC28133ABD',NULL,'2010-04-28 08:49:07','GroulpGal',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-28 08:49:06','2010-04-28 08:49:06','2010-04-28 08:49:06',0,0,'2010-04-28 08:49:06',0,'2010-04-28 08:49:06',0,'2010-04-28 08:49:06',NULL,NULL,13,NULL),
 ('851BEBAB-D410-481B-ABC6-90F712BDA09E',NULL,'2010-02-03 05:20:44','harik',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-03 05:22:09','2010-02-03 05:20:44','2010-02-03 05:20:44',0,0,'2010-02-03 05:20:44',0,'2010-02-03 05:20:44',0,'2010-02-03 05:20:44',NULL,NULL,15,NULL),
 ('852D591A-7D6C-43CF-95E1-B9F372BFAD59',NULL,'2010-06-19 10:28:58','EnamnvakFat',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-19 10:28:57','2010-06-19 10:28:57','2010-06-19 10:28:57',0,0,'2010-06-19 10:28:57',0,'2010-06-19 10:28:57',0,'2010-06-19 10:28:57',NULL,NULL,1,NULL),
 ('853E9498-33BD-4B11-B04E-B222181AFAA4',NULL,'2010-07-30 02:28:48','constructiongirl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-30 02:28:48','2010-07-30 02:28:48','2010-07-30 02:28:48',0,0,'2010-07-30 02:28:48',0,'2010-07-30 02:28:48',0,'2010-07-30 02:28:48',NULL,NULL,14,NULL),
 ('8554A008-79FB-43F5-A7A0-8D11153E883B',NULL,'2010-03-22 05:14:43','MaccallUlceno',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-22 05:14:47','2010-03-22 05:14:43','2010-03-22 05:14:43',0,0,'2010-03-22 05:14:43',0,'2010-03-22 05:14:43',0,'2010-03-22 05:14:43',NULL,NULL,1,NULL),
 ('859F7FD8-9F92-49DE-80A2-85E930DAF442',NULL,'2010-03-25 04:27:08','domdom',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-03-25 04:28:41','2010-03-25 04:27:08','2010-03-25 04:27:08',0,0,'2010-03-25 04:27:08',0,'2010-03-25 04:27:08',0,'2010-03-25 04:27:08',NULL,NULL,1,NULL),
 ('85BD7F9B-18F2-41B5-80AB-47A2DFA1DD27',NULL,'2010-04-27 07:31:06','Gymnenzynctum',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-27 07:31:06','2010-04-27 07:31:06','2010-04-27 07:31:06',0,0,'2010-04-27 07:31:06',0,'2010-04-27 07:31:06',0,'2010-04-27 07:31:06',NULL,NULL,1,NULL),
 ('85D3C773-C672-46FB-96FC-840D05B3D2D6',NULL,'2010-05-12 19:43:07','Parasweance',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-12 19:43:10','2010-05-12 19:43:07','2010-05-12 19:43:07',0,0,'2010-05-12 19:43:07',0,'2010-05-12 19:43:07',0,'2010-05-12 19:43:07',NULL,NULL,1,NULL),
 ('85FEF0E0-FA46-4FC3-9837-5E9D6776444C',NULL,'2009-11-01 17:30:26','aib',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-11-01 17:34:30','2009-11-01 17:30:26','2009-11-01 17:30:26',0,0,'2009-11-01 17:30:26',0,'2009-11-01 17:30:26',0,'2009-11-01 17:30:26',NULL,NULL,1,NULL),
 ('86096298-06F7-44C6-B9ED-4B7545355155',NULL,'2010-03-02 11:44:34','fliclearcaddy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-02 11:44:34','2010-03-02 11:44:34','2010-03-02 11:44:34',0,0,'2010-03-02 11:44:34',0,'2010-03-02 11:44:34',0,'2010-03-02 11:44:34',NULL,NULL,1,NULL),
 ('865D03D8-CA05-43EB-BAB6-2B4B633C2FC1',NULL,'2010-09-24 18:57:34','lisafox75',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-24 18:57:34','2010-09-24 18:57:34','2010-09-24 18:57:34',0,0,'2010-09-24 18:57:34',0,'2010-09-24 18:57:34',0,'2010-09-24 18:57:34',NULL,NULL,1,NULL),
 ('867AABFB-86FD-4A4A-84BA-1A127C4FBFCD',NULL,'2009-11-26 09:38:54','FifolifuelS',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-26 09:38:54','2009-11-26 09:38:54','2009-11-26 09:38:54',0,0,'2009-11-26 09:38:54',0,'2009-11-26 09:38:54',0,'2009-11-26 09:38:54',NULL,NULL,13,NULL),
 ('86814405-413F-4175-BBA7-99C147F230E1',NULL,'2010-04-01 18:43:14','pmzmalta',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-01 18:43:14','2010-04-01 18:43:14','2010-04-01 18:43:14',0,0,'2010-04-01 18:43:14',0,'2010-04-01 18:43:14',0,'2010-04-01 18:43:14',NULL,NULL,1,NULL),
 ('86923E32-4C92-4027-A0E1-27DB979E66F4',NULL,'2010-04-08 05:39:16','Lamyson',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-08 05:39:16','2010-04-08 05:39:16','2010-04-08 05:39:16',0,0,'2010-04-08 05:39:16',0,'2010-04-08 05:39:16',0,'2010-04-08 05:39:16',NULL,NULL,1,NULL),
 ('869FED9A-2ECF-46CA-BEDE-E43C2959138F',NULL,'2010-04-13 04:55:31','radoslav.minchev',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-13 15:01:49','2010-04-13 04:55:31','2010-04-13 04:55:31',0,0,'2010-04-13 04:55:31',0,'2010-04-13 04:55:31',0,'2010-04-13 04:55:31',NULL,NULL,1,NULL),
 ('86A6FCCB-A07A-4985-9B22-66F557DA3946',NULL,'2009-08-20 17:00:25','PortalAdmin','/','info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-09-30 03:32:22','2010-09-30 03:28:55','2009-10-18 22:13:18',0,1,'2010-01-18 11:52:49',2,'2010-06-24 00:12:44',0,'2009-08-20 17:00:25',NULL,NULL,1,NULL),
 ('86B844C8-B11C-4A92-B27E-7BEEC080A60C',NULL,'2010-08-13 08:43:04','unsoroIsodymn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-13 08:43:04','2010-08-13 08:43:04','2010-08-13 08:43:04',0,0,'2010-08-13 08:43:04',0,'2010-08-13 08:43:04',0,'2010-08-13 08:43:04',NULL,NULL,1,NULL),
 ('86BA47EB-0962-4449-BA3C-64913DD119A7',NULL,'2010-04-24 22:26:17','Cosygausa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-24 22:26:17','2010-04-24 22:26:17','2010-04-24 22:26:17',0,0,'2010-04-24 22:26:17',0,'2010-04-24 22:26:17',0,'2010-04-24 22:26:17',NULL,NULL,1,NULL),
 ('86C195A7-9FCA-4D2F-88B7-20AF585B526C',NULL,'2010-05-20 06:13:03','Pesserovv',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-20 06:13:03','2010-05-20 06:13:03','2010-05-20 06:13:03',0,0,'2010-05-20 06:13:03',0,'2010-05-20 06:13:03',0,'2010-05-20 06:13:03',NULL,NULL,1,NULL),
 ('86DD3125-716F-441B-B297-A62E2F4AE012',NULL,'2010-07-29 06:09:43','tanghh',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-29 06:11:15','2010-07-29 06:09:43','2010-07-29 06:09:43',0,0,'2010-07-29 06:09:43',0,'2010-07-29 06:09:43',0,'2010-07-29 06:09:43',NULL,NULL,1,NULL),
 ('870C6D5B-3EA8-4551-91CA-1ECAD9E4154F',NULL,'2010-02-24 06:28:51','cgcgreality',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-24 06:28:50','2010-02-24 06:28:50','2010-02-24 06:28:50',0,0,'2010-02-24 06:28:50',0,'2010-02-24 06:28:50',0,'2010-02-24 06:28:50',NULL,NULL,1,NULL),
 ('8734D2D7-32FC-417C-A6A4-3E081155ABC8',NULL,'2010-05-22 20:07:33','Sweet_November',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-22 20:07:32','2010-05-22 20:07:32','2010-05-22 20:07:32',0,0,'2010-05-22 20:07:32',0,'2010-05-22 20:07:32',0,'2010-05-22 20:07:32',NULL,NULL,1,NULL),
 ('876BA42C-89F9-4744-87F1-4D266BE6EC0D',NULL,'2010-01-18 11:30:00','unsedeece',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-18 11:30:00','2010-01-18 11:30:00','2010-01-18 11:30:00',0,0,'2010-01-18 11:30:00',0,'2010-01-18 11:30:00',0,'2010-01-18 11:30:00',NULL,NULL,1,NULL),
 ('876D026D-E600-47E3-8187-143C3C07840F',NULL,'2010-07-07 13:18:33','Ceceoscismafe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-07 13:18:33','2010-07-07 13:18:33','2010-07-07 13:18:33',0,0,'2010-07-07 13:18:33',0,'2010-07-07 13:18:33',0,'2010-07-07 13:18:33',NULL,NULL,1,NULL),
 ('878F0D0C-CAF2-4A87-BC57-072F42B20D7C',NULL,'2010-02-05 02:43:09','elektra',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-05 02:43:09','2010-02-05 02:43:09','2010-02-05 02:43:09',0,0,'2010-02-05 02:43:09',0,'2010-02-05 02:43:09',0,'2010-02-05 02:43:09',NULL,NULL,1,NULL),
 ('879CDEF1-E6DD-4871-8F79-65ECDECB63A0',NULL,'2010-07-31 20:55:37','GlowalkRagoto',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-31 20:55:37','2010-07-31 20:55:37','2010-07-31 20:55:37',0,0,'2010-07-31 20:55:37',0,'2010-07-31 20:55:37',0,'2010-07-31 20:55:37',NULL,NULL,1,NULL),
 ('87ACAC7B-83CD-4B08-8FE9-D3CC4FD85F60',NULL,'2010-09-18 15:43:07','obermappraize',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-18 15:43:07','2010-09-18 15:43:07','2010-09-18 15:43:07',0,0,'2010-09-18 15:43:07',0,'2010-09-18 15:43:07',0,'2010-09-18 15:43:07',NULL,NULL,1,NULL),
 ('87AE37B6-AB16-41B5-BE20-E465163F5652',NULL,'2009-11-22 01:27:14','MarcoPolotea',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-22 01:27:14','2009-11-22 01:27:14','2009-11-22 01:27:14',0,0,'2009-11-22 01:27:14',0,'2009-11-22 01:27:14',0,'2009-11-22 01:27:14',NULL,NULL,14,NULL),
 ('87B708D2-0A26-4281-BD72-205F4A95DD29',NULL,'2010-03-15 02:29:08','Ordilm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-15 02:29:08','2010-03-15 02:29:08','2010-03-15 02:29:08',0,0,'2010-03-15 02:29:08',0,'2010-03-15 02:29:08',0,'2010-03-15 02:29:08',NULL,NULL,15,NULL),
 ('87E3DEC2-33B6-424D-8750-93D20511106C',NULL,'2010-07-24 21:29:54','rprovll',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-24 21:29:57','2010-07-24 21:29:54','2010-07-24 21:29:54',0,0,'2010-07-24 21:29:54',0,'2010-07-24 21:29:54',0,'2010-07-24 21:29:54',NULL,NULL,1,NULL),
 ('87F4DE59-8770-458D-9A5C-DD8270BCF0E8',NULL,'2010-01-13 05:40:04','Vakessels',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-13 05:40:04','2010-01-13 05:40:04','2010-01-13 05:40:04',0,0,'2010-01-13 05:40:04',0,'2010-01-13 05:40:04',0,'2010-01-13 05:40:04',NULL,NULL,14,NULL),
 ('880883D8-7781-4BA7-8D76-DD8ED1395C60',NULL,'2010-07-24 22:30:14','AllenW12g',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-24 22:30:14','2010-07-24 22:30:14','2010-07-24 22:30:14',0,0,'2010-07-24 22:30:14',0,'2010-07-24 22:30:14',0,'2010-07-24 22:30:14',NULL,NULL,1,NULL),
 ('8808E9BC-659E-45CA-A3CC-7F5C122DFE7C',NULL,'2009-11-03 10:24:44','ratostergog',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-03 10:24:44','2009-11-03 10:24:44','2009-11-03 10:24:44',0,0,'2009-11-03 10:24:44',0,'2009-11-03 10:24:44',0,'2009-11-03 10:24:44',NULL,NULL,1,NULL),
 ('8827ABE9-7140-40D3-B2B4-FCC266CD1D1C',NULL,'2009-10-26 14:58:43','Hoxtrourekeft',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-26 14:58:43','2009-10-26 14:58:43','2009-10-26 14:58:43',0,0,'2009-10-26 14:58:43',0,'2009-10-26 14:58:43',0,'2009-10-26 14:58:43',NULL,NULL,13,NULL),
 ('8836EED4-A5D2-42BD-B6A3-8C73258DED90',NULL,'2010-04-20 13:10:10','fluifiers',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-20 13:10:12','2010-04-20 13:10:10','2010-04-20 13:10:10',0,0,'2010-04-20 13:10:10',0,'2010-04-20 13:10:10',0,'2010-04-20 13:10:10',NULL,NULL,1,NULL),
 ('886E4148-4F36-491B-884D-6DEB727F5E55',NULL,'2010-06-15 07:52:53','fastinsureguys',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-15 07:52:53','2010-06-15 07:52:53','2010-06-15 07:52:53',0,0,'2010-06-15 07:52:53',0,'2010-06-15 07:52:53',0,'2010-06-15 07:52:53',NULL,NULL,14,NULL),
 ('88943094-C664-4C56-A46D-E96F4FE3D0FD',NULL,'2010-05-07 17:55:15','SergeyZiminsis',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-07 17:55:15','2010-05-07 17:55:15','2010-05-07 17:55:15',0,0,'2010-05-07 17:55:15',0,'2010-05-07 17:55:15',0,'2010-05-07 17:55:15',NULL,NULL,1,NULL),
 ('88D02624-3644-45E7-A514-8444704056EF',NULL,'2010-06-24 04:10:27','neigginyton',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-24 04:10:27','2010-06-24 04:10:27','2010-06-24 04:10:27',0,0,'2010-06-24 04:10:27',0,'2010-06-24 04:10:27',0,'2010-06-24 04:10:27',NULL,NULL,1,NULL),
 ('88FD4582-C56A-42EE-9215-54728F73B861',NULL,'2010-08-27 19:07:28','Lalsesqueek',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-27 19:07:28','2010-08-27 19:07:28','2010-08-27 19:07:28',0,0,'2010-08-27 19:07:28',0,'2010-08-27 19:07:28',0,'2010-08-27 19:07:28',NULL,NULL,1,NULL),
 ('89228F6C-DDA8-4C1E-A15E-9AAA5378CAD8',NULL,'2010-07-16 19:56:54','sdaffony',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-16 19:56:54','2010-07-16 19:56:54','2010-07-16 19:56:54',0,0,'2010-07-16 19:56:54',0,'2010-07-16 19:56:54',0,'2010-07-16 19:56:54',NULL,NULL,1,NULL),
 ('892AF2EF-5B65-4F57-911B-AF8933342F9A',NULL,'2010-05-10 07:53:26','aspissona',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-10 07:53:26','2010-05-10 07:53:26','2010-05-10 07:53:26',0,0,'2010-05-10 07:53:26',0,'2010-05-10 07:53:26',0,'2010-05-10 07:53:26',NULL,NULL,13,NULL),
 ('8942DE53-25A9-4BF0-B372-6DE8EAC90A70',NULL,'2010-04-22 20:48:37','Opeshophy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-22 20:48:37','2010-04-22 20:48:37','2010-04-22 20:48:37',0,0,'2010-04-22 20:48:37',0,'2010-04-22 20:48:37',0,'2010-04-22 20:48:37',NULL,NULL,13,NULL),
 ('89707EC5-5A39-4560-BC05-2FAEA8052FF2',NULL,'2010-02-02 16:00:25','jefflily',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-02 16:00:25','2010-02-02 16:00:25','2010-02-02 16:00:25',0,0,'2010-02-02 16:00:25',0,'2010-02-02 16:00:25',0,'2010-02-02 16:00:25',NULL,NULL,13,NULL),
 ('89AD71A9-20E6-4E82-AA60-137C3FF33603',NULL,'2010-10-12 11:07:47','Juttosseprext',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-12 11:07:47','2010-10-12 11:07:47','2010-10-12 11:07:47',0,0,'2010-10-12 11:07:47',0,'2010-10-12 11:07:47',0,'2010-10-12 11:07:47',NULL,NULL,1,NULL),
 ('89CBCA5B-2357-4A9F-BF7F-2253448985BA',NULL,'2010-03-09 20:52:22','Chandu',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','What is your pet name?','Chandu',1,'2010-06-20 01:32:54','2010-06-20 00:56:17','2010-03-09 20:52:22',0,0,'2010-03-09 20:52:22',1,'2010-03-11 12:55:07',0,'2010-03-09 20:52:22',NULL,NULL,1,NULL),
 ('89E62F64-6C95-40AC-9175-A54CC356B320',NULL,'2010-03-21 16:53:37','mevapreex',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-21 16:53:37','2010-03-21 16:53:37','2010-03-21 16:53:37',0,0,'2010-03-21 16:53:37',0,'2010-03-21 16:53:37',0,'2010-03-21 16:53:37',NULL,NULL,15,NULL),
 ('89F22BD2-D91C-4642-B972-226E79F330FB',NULL,'2010-03-22 18:24:34','Foma',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-22 18:24:34','2010-03-22 18:24:34','2010-03-22 18:24:34',0,0,'2010-03-22 18:24:34',0,'2010-03-22 18:24:34',0,'2010-03-22 18:24:34',NULL,NULL,1,NULL),
 ('89F23491-2A77-496A-8209-23E1574AF265',NULL,'2010-06-11 13:57:01','pintoturbo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-11 13:57:01','2010-06-11 13:57:01','2010-06-11 13:57:01',0,0,'2010-06-11 13:57:01',0,'2010-06-11 13:57:01',0,'2010-06-11 13:57:01',NULL,NULL,14,NULL),
 ('8A074E8D-EE6C-4D70-B131-A390215B00A6',NULL,'2010-06-12 11:10:39','Neurontines',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-12 11:10:39','2010-06-12 11:10:39','2010-06-12 11:10:39',0,0,'2010-06-12 11:10:39',0,'2010-06-12 11:10:39',0,'2010-06-12 11:10:39',NULL,NULL,1,NULL),
 ('8A1B2569-7EF7-4213-AC2A-9CAFFFDB406A',NULL,'2010-10-06 03:10:29','fomLypetemy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-06 03:10:28','2010-10-06 03:10:28','2010-10-06 03:10:28',0,0,'2010-10-06 03:10:28',0,'2010-10-06 03:10:28',0,'2010-10-06 03:10:28',NULL,NULL,13,NULL),
 ('8A56C9ED-4CC9-46BE-B848-E16AE4194BE3',NULL,'2010-01-30 01:49:36','Ipetoxsed',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-30 01:49:36','2010-01-30 01:49:36','2010-01-30 01:49:36',0,0,'2010-01-30 01:49:36',0,'2010-01-30 01:49:36',0,'2010-01-30 01:49:36',NULL,NULL,1,NULL),
 ('8A57675B-28E3-4756-B919-09138911F8AD',NULL,'2010-03-27 22:52:51','Ovekly',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-27 22:52:51','2010-03-27 22:52:51','2010-03-27 22:52:51',0,0,'2010-03-27 22:52:51',0,'2010-03-27 22:52:51',0,'2010-03-27 22:52:51',NULL,NULL,15,NULL),
 ('8AAA81EE-9E03-4A8F-9DAA-CD4E0677845A',NULL,'2010-09-11 20:25:12','sandiegotowing',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-11 20:25:12','2010-09-11 20:25:12','2010-09-11 20:25:12',0,0,'2010-09-11 20:25:12',0,'2010-09-11 20:25:12',0,'2010-09-11 20:25:12',NULL,NULL,14,NULL),
 ('8AD4349E-F04D-447D-9842-4E0E1E73692B',NULL,'2010-10-04 14:27:54','frieftCix',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-04 14:27:54','2010-10-04 14:27:54','2010-10-04 14:27:54',0,0,'2010-10-04 14:27:54',0,'2010-10-04 14:27:54',0,'2010-10-04 14:27:54',NULL,NULL,1,NULL),
 ('8AF9BDFB-9986-409E-9849-460DE4E922C4',NULL,'2010-09-07 02:12:58','ADEDSCYNCBYMN',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-07 02:12:58','2010-09-07 02:12:58','2010-09-07 02:12:58',0,0,'2010-09-07 02:12:58',0,'2010-09-07 02:12:58',0,'2010-09-07 02:12:58',NULL,NULL,1,NULL),
 ('8AFB712F-43D9-401E-A587-73666AC7000B',NULL,'2010-08-27 10:12:47','abomeJago',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-27 10:12:47','2010-08-27 10:12:47','2010-08-27 10:12:47',0,0,'2010-08-27 10:12:47',0,'2010-08-27 10:12:47',0,'2010-08-27 10:12:47',NULL,NULL,1,NULL),
 ('8B1BED3F-1F81-466D-86AC-3712E13BC65C',NULL,'2010-07-12 12:10:19','HowToPayDebts',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-12 12:10:25','2010-07-12 12:10:19','2010-07-12 12:10:19',0,0,'2010-07-12 12:10:19',0,'2010-07-12 12:10:19',0,'2010-07-12 12:10:19',NULL,NULL,1,NULL),
 ('8B20AB66-56A3-44B4-9112-6DA1CF00570A',NULL,'2010-03-30 15:52:35','xboatsailorz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-30 15:52:35','2010-03-30 15:52:35','2010-03-30 15:52:35',0,0,'2010-03-30 15:52:35',0,'2010-03-30 15:52:35',0,'2010-03-30 15:52:35',NULL,NULL,1,NULL),
 ('8B2B0990-AF81-46D8-8AA8-4B197AF279A7',NULL,'2010-03-19 10:19:32','enfonaDia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-19 10:19:32','2010-03-19 10:19:32','2010-03-19 10:19:32',0,0,'2010-03-19 10:19:32',0,'2010-03-19 10:19:32',0,'2010-03-19 10:19:32',NULL,NULL,1,NULL),
 ('8B88C43C-4837-4E1D-960F-4ED75DC64546',NULL,'2010-06-11 13:03:04','hattFoona',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-11 13:03:04','2010-06-11 13:03:04','2010-06-11 13:03:04',0,0,'2010-06-11 13:03:04',0,'2010-06-11 13:03:04',0,'2010-06-11 13:03:04',NULL,NULL,1,NULL),
 ('8BA85278-E463-4F78-A282-4DD9FD10F0B7',NULL,'2010-07-18 00:47:25','owleyeindianguyzza',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-18 00:47:25','2010-07-18 00:47:25','2010-07-18 00:47:25',0,0,'2010-07-18 00:47:25',0,'2010-07-18 00:47:25',0,'2010-07-18 00:47:25',NULL,NULL,1,NULL),
 ('8BB9E07C-3F7A-4149-8F00-DBB0F82B114B',NULL,'2010-03-04 23:51:22','GuruMaster',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-04 23:51:22','2010-03-04 23:51:22','2010-03-04 23:51:22',0,0,'2010-03-04 23:51:22',0,'2010-03-04 23:51:22',0,'2010-03-04 23:51:22',NULL,NULL,1,NULL),
 ('8BD831D2-3EC5-4B86-B773-661C899A118E',NULL,'2010-03-22 19:03:30','felofleplat',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-22 19:03:30','2010-03-22 19:03:30','2010-03-22 19:03:30',0,0,'2010-03-22 19:03:30',0,'2010-03-22 19:03:30',0,'2010-03-22 19:03:30',NULL,NULL,1,NULL),
 ('8BEF24D1-5F4F-4671-ADF6-A83B1905C280',NULL,'2009-12-31 13:08:53','illeniOmibism',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-31 13:08:53','2009-12-31 13:08:53','2009-12-31 13:08:53',0,0,'2009-12-31 13:08:53',0,'2009-12-31 13:08:53',0,'2009-12-31 13:08:53',NULL,NULL,1,NULL),
 ('8BF46512-E9EB-4625-AB93-3253229A1C84',NULL,'2010-09-25 03:20:44','DerekIU',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-25 03:20:44','2010-09-25 03:20:44','2010-09-25 03:20:44',0,0,'2010-09-25 03:20:44',0,'2010-09-25 03:20:44',0,'2010-09-25 03:20:44',NULL,NULL,1,NULL),
 ('8C0A496F-5E9A-423D-AEEA-BF650A9FF813',NULL,'2010-09-16 01:17:21','arbaitenpharp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-16 01:17:21','2010-09-16 01:17:21','2010-09-16 01:17:21',0,0,'2010-09-16 01:17:21',0,'2010-09-16 01:17:21',0,'2010-09-16 01:17:21',NULL,NULL,1,NULL),
 ('8C153528-469D-4053-A97E-F72141EBCD9F',NULL,'2010-05-03 19:54:17','lisarubinstein',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-03 19:54:17','2010-05-03 19:54:17','2010-05-03 19:54:17',0,0,'2010-05-03 19:54:17',0,'2010-05-03 19:54:17',0,'2010-05-03 19:54:17',NULL,NULL,1,NULL),
 ('8C22AB90-C385-4C08-9B48-83DF5D764ED4',NULL,'2010-05-29 19:31:14','PooNryBok',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-29 19:31:14','2010-05-29 19:31:14','2010-05-29 19:31:14',0,0,'2010-05-29 19:31:14',0,'2010-05-29 19:31:14',0,'2010-05-29 19:31:14',NULL,NULL,1,NULL),
 ('8C2AAF65-6744-47DC-8454-23DFD51C2AC9',NULL,'2010-05-04 01:22:30','GeapyBupReupe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-04 01:22:30','2010-05-04 01:22:30','2010-05-04 01:22:30',0,0,'2010-05-04 01:22:30',0,'2010-05-04 01:22:30',0,'2010-05-04 01:22:30',NULL,NULL,13,NULL),
 ('8C32363E-0115-4644-8B40-B404CBD4DC29',NULL,'2010-08-01 18:34:11','Markflerit',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-01 18:34:11','2010-08-01 18:34:11','2010-08-01 18:34:11',0,0,'2010-08-01 18:34:11',0,'2010-08-01 18:34:11',0,'2010-08-01 18:34:11',NULL,NULL,1,NULL),
 ('8C5ED65D-7132-41D0-AF75-7B17A4DE9FE8',NULL,'2010-08-22 06:55:43','achurenics',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-22 06:55:43','2010-08-22 06:55:43','2010-08-22 06:55:43',0,0,'2010-08-22 06:55:43',0,'2010-08-22 06:55:43',0,'2010-08-22 06:55:43',NULL,NULL,1,NULL),
 ('8C9E9874-1B0F-47C3-A551-55C27FA2ACD9',NULL,'2009-12-14 02:24:19','Spantalpare',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-14 02:24:18','2009-12-14 02:24:18','2009-12-14 02:24:18',0,0,'2009-12-14 02:24:18',0,'2009-12-14 02:24:18',0,'2009-12-14 02:24:18',NULL,NULL,1,NULL),
 ('8D0A093C-4767-4620-B0E0-298DF7CD93DB',NULL,'2010-03-24 20:46:41','ONBruce',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-24 20:46:41','2010-03-24 20:46:41','2010-03-24 20:46:41',0,0,'2010-03-24 20:46:41',0,'2010-03-24 20:46:41',0,'2010-03-24 20:46:41',NULL,NULL,13,NULL),
 ('8D141131-F525-46C8-8184-B28DF13C1768',NULL,'2010-10-01 11:30:01','bkhelpguy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-01 11:30:01','2010-10-01 11:30:01','2010-10-01 11:30:01',0,0,'2010-10-01 11:30:01',0,'2010-10-01 11:30:01',0,'2010-10-01 11:30:01',NULL,NULL,14,NULL),
 ('8D1CD81F-5B02-484C-B52B-65231868DB7F',NULL,'2010-05-15 15:53:11','thiniornomomsaz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-15 15:53:11','2010-05-15 15:53:11','2010-05-15 15:53:11',0,0,'2010-05-15 15:53:11',0,'2010-05-15 15:53:11',0,'2010-05-15 15:53:11',NULL,NULL,1,NULL),
 ('8D221F62-1166-4A0E-96A2-C8FD01E2F2C9',NULL,'2010-05-29 03:34:52','AndrewJZ',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-29 03:34:52','2010-05-29 03:34:52','2010-05-29 03:34:52',0,0,'2010-05-29 03:34:52',0,'2010-05-29 03:34:52',0,'2010-05-29 03:34:52',NULL,NULL,1,NULL),
 ('8D803897-633F-4DB1-83D5-E6AEE3DB7745',NULL,'2010-05-19 22:34:10','Wepidoreclile',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-19 22:34:10','2010-05-19 22:34:10','2010-05-19 22:34:10',0,0,'2010-05-19 22:34:10',0,'2010-05-19 22:34:10',0,'2010-05-19 22:34:10',NULL,NULL,1,NULL),
 ('8D824A4A-1D30-435D-B5D5-28E92D62101F',NULL,'2010-08-02 16:50:33','barlowladilloq',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-02 16:50:32','2010-08-02 16:50:32','2010-08-02 16:50:32',0,0,'2010-08-02 16:50:32',0,'2010-08-02 16:50:32',0,'2010-08-02 16:50:32',NULL,NULL,13,NULL),
 ('8D8A72CA-AE5E-4380-A7B3-F9DFDAB41A18',NULL,'2009-11-04 17:16:21','nogdianisat',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-04 17:16:21','2009-11-04 17:16:21','2009-11-04 17:16:21',0,0,'2009-11-04 17:16:21',0,'2009-11-04 17:16:21',0,'2009-11-04 17:16:21',NULL,NULL,1,NULL),
 ('8DA23BA6-66E7-48C5-B023-26F2415CEB7C',NULL,'2010-08-26 02:49:45','Dulouddydow',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-26 02:49:45','2010-08-26 02:49:45','2010-08-26 02:49:45',0,0,'2010-08-26 02:49:45',0,'2010-08-26 02:49:45',0,'2010-08-26 02:49:45',NULL,NULL,14,NULL),
 ('8E1D1304-5DEE-4C9E-B13B-13A4F6D43B70',NULL,'2010-09-15 12:41:46','HithroldToili',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-15 12:41:46','2010-09-15 12:41:46','2010-09-15 12:41:46',0,0,'2010-09-15 12:41:46',0,'2010-09-15 12:41:46',0,'2010-09-15 12:41:46',NULL,NULL,14,NULL);
INSERT INTO `users` (`UserID`,`Name`,`CreationDate`,`Username`,`ApplicationName`,`Email`,`Password`,`PasswordQuestion`,`PasswordAnswer`,`IsApproved`,`LastActivityDate`,`LastLoginDate`,`LastPasswordChangedDate`,`IsOnline`,`IsLockedOut`,`LastLockedOutDate`,`FailedPasswordAttemptCount`,`FailedPasswordAttemptWindowStart`,`FailedPasswordAnswerAttemptCount`,`FailedPasswordAnswerAttemptWindowStart`,`LastModified`,`Comment`,`PortalID`,`OpenId`) VALUES 
 ('8E251427-93B7-4544-A649-09EA166DC5D2',NULL,'2010-10-06 21:40:52','sofiyavterano',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-06 21:40:52','2010-10-06 21:40:52','2010-10-06 21:40:52',0,0,'2010-10-06 21:40:52',0,'2010-10-06 21:40:52',0,'2010-10-06 21:40:52',NULL,NULL,1,NULL),
 ('8E2AD11D-9F32-4414-8009-987AB8189562',NULL,'2010-08-10 06:34:51','tooneeatmorry',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-10 06:34:51','2010-08-10 06:34:51','2010-08-10 06:34:51',0,0,'2010-08-10 06:34:51',0,'2010-08-10 06:34:51',0,'2010-08-10 06:34:51',NULL,NULL,13,NULL),
 ('8E2E0ED6-E2D7-4FB6-A4B2-F74B10127B67',NULL,'2010-07-21 04:42:25','CANTOINETTE\r\n',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-21 04:42:25','2010-07-21 04:42:25','2010-07-21 04:42:25',0,0,'2010-07-21 04:42:25',0,'2010-07-21 04:42:25',0,'2010-07-21 04:42:25',NULL,NULL,13,NULL),
 ('8E93C1E8-6A3B-4DC8-BFB0-06AF520E6C05',NULL,'2010-09-24 15:21:26','hairysexteen',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-24 15:21:26','2010-09-24 15:21:26','2010-09-24 15:21:26',0,0,'2010-09-24 15:21:26',0,'2010-09-24 15:21:26',0,'2010-09-24 15:21:26',NULL,NULL,1,NULL),
 ('8E973449-F0D1-4ED7-A51B-66F6131A0FC4',NULL,'2010-10-13 17:32:08','BululgeNut',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-13 17:32:08','2010-10-13 17:32:08','2010-10-13 17:32:08',0,0,'2010-10-13 17:32:08',0,'2010-10-13 17:32:08',0,'2010-10-13 17:32:08',NULL,NULL,1,NULL),
 ('8EA60DB7-562F-478B-9004-7F7704EC7B47',NULL,'2010-09-06 12:24:47','Hymnenagete',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-06 12:24:47','2010-09-06 12:24:47','2010-09-06 12:24:47',0,0,'2010-09-06 12:24:47',0,'2010-09-06 12:24:47',0,'2010-09-06 12:24:47',NULL,NULL,1,NULL),
 ('8ECDEB87-9067-46A4-99E0-6AFD229AF98E',NULL,'2009-10-09 14:24:42','1234567',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-09 14:24:59','2010-01-23 16:19:06','2009-10-09 14:24:42',0,0,'2009-10-09 14:24:42',0,'2009-10-09 14:24:42',0,'2009-10-09 14:24:42',NULL,NULL,13,NULL),
 ('8ED88FF9-2C7F-4DE9-AC2E-4BE69F856DF0',NULL,'2010-06-10 21:32:25','sigipond',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-10 21:32:25','2010-06-10 21:32:25','2010-06-10 21:32:25',0,0,'2010-06-10 21:32:25',0,'2010-06-10 21:32:25',0,'2010-06-10 21:32:25',NULL,NULL,1,NULL),
 ('8EE931F1-914C-4AAB-BA92-29A3EFEB6E0A',NULL,'2010-05-19 01:31:09','anovsvet',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-19 01:31:09','2010-05-19 01:31:09','2010-05-19 01:31:09',0,0,'2010-05-19 01:31:09',0,'2010-05-19 01:31:09',0,'2010-05-19 01:31:09',NULL,NULL,1,NULL),
 ('8F0669B7-B22F-4A61-8A53-89182FAC2E8B',NULL,'2010-02-26 18:37:32','GakgliBleleni',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-26 18:37:32','2010-02-26 18:37:32','2010-02-26 18:37:32',0,0,'2010-02-26 18:37:32',0,'2010-02-26 18:37:32',0,'2010-02-26 18:37:32',NULL,NULL,1,NULL),
 ('8F2F63E7-77FF-4620-8236-9FD364AE6FFB',NULL,'2010-01-09 17:10:23','wtf1331',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','asdf','fdsa',1,'2010-01-09 17:10:49','2010-01-09 17:10:23','2010-01-09 17:10:23',0,0,'2010-01-09 17:10:23',0,'2010-01-09 17:10:23',0,'2010-01-09 17:10:23',NULL,NULL,15,NULL),
 ('8F33A0A7-2E54-4D58-A25B-F987A07397B3',NULL,'2010-08-16 09:23:32','ZedpooreNon',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-16 09:23:32','2010-08-16 09:23:32','2010-08-16 09:23:32',0,0,'2010-08-16 09:23:32',0,'2010-08-16 09:23:32',0,'2010-08-16 09:23:32',NULL,NULL,1,NULL),
 ('8F70CAD6-1091-457B-87BB-E9F1EE8B500D',NULL,'2010-03-14 20:27:38','emacleply',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-14 20:27:38','2010-03-14 20:27:38','2010-03-14 20:27:38',0,0,'2010-03-14 20:27:38',0,'2010-03-14 20:27:38',0,'2010-03-14 20:27:38',NULL,NULL,1,NULL),
 ('8F742A5D-E552-4C5E-B09A-E5B8E36844DD',NULL,'2010-06-07 17:37:43','xarchevnya',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-07 17:37:43','2010-06-07 17:37:43','2010-06-07 17:37:43',0,0,'2010-06-07 17:37:43',0,'2010-06-07 17:37:43',0,'2010-06-07 17:37:43',NULL,NULL,1,NULL),
 ('8F7A1A81-F822-4CE1-9B0F-F1539AFC50B9',NULL,'2010-09-02 16:58:49','Qugu',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-02 16:58:49','2010-09-02 16:58:49','2010-09-02 16:58:49',0,0,'2010-09-02 16:58:49',0,'2010-09-02 16:58:49',0,'2010-09-02 16:58:49',NULL,NULL,13,NULL),
 ('8F9BC696-CDE5-4DEA-9E12-3F814AEB6472',NULL,'2010-05-05 07:09:06','UNSALELUGGESE',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-05 07:09:06','2010-05-05 07:09:06','2010-05-05 07:09:06',0,0,'2010-05-05 07:09:06',0,'2010-05-05 07:09:06',0,'2010-05-05 07:09:06',NULL,NULL,13,NULL),
 ('8FB34240-3DA7-49D8-8FDB-9303045ADA3C',NULL,'2010-09-22 09:43:49','OwexPreomemor',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-22 09:43:49','2010-09-22 09:43:49','2010-09-22 09:43:49',0,0,'2010-09-22 09:43:49',0,'2010-09-22 09:43:49',0,'2010-09-22 09:43:49',NULL,NULL,14,NULL),
 ('8FCBE137-FA5F-448D-A218-9428AF88F543',NULL,'2010-06-20 01:58:19','seoguys',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-20 01:58:19','2010-06-20 01:58:19','2010-06-20 01:58:19',0,0,'2010-06-20 01:58:19',0,'2010-06-20 01:58:19',0,'2010-06-20 01:58:19',NULL,NULL,14,NULL),
 ('90239F61-4DBD-4F25-8471-3CB214392180',NULL,'2010-07-09 12:51:24','ThyncMene',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-09 12:51:24','2010-07-09 12:51:24','2010-07-09 12:51:24',0,0,'2010-07-09 12:51:24',0,'2010-07-09 12:51:24',0,'2010-07-09 12:51:24',NULL,NULL,13,NULL),
 ('9028C1B3-489E-4F14-9037-2664C3F6DB46',NULL,'2010-09-03 23:55:29','cheaskelosons',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-03 23:55:29','2010-09-03 23:55:29','2010-09-03 23:55:29',0,0,'2010-09-03 23:55:29',0,'2010-09-03 23:55:29',0,'2010-09-03 23:55:29',NULL,NULL,1,NULL),
 ('90349602-60E2-4690-AD9D-2DF4B041070A',NULL,'2010-07-28 15:59:11','luiz.apostolico',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','Padrao','Padrao',1,'2010-07-28 16:04:26','2010-07-28 15:59:11','2010-07-28 15:59:11',0,0,'2010-07-28 15:59:11',0,'2010-07-28 15:59:11',0,'2010-07-28 15:59:11',NULL,NULL,1,NULL),
 ('9074F5FD-532B-4D7E-B29F-825E58E8D110',NULL,'2010-09-21 20:49:32','maceaccoums',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-21 20:49:32','2010-09-21 20:49:32','2010-09-21 20:49:32',0,0,'2010-09-21 20:49:32',0,'2010-09-21 20:49:32',0,'2010-09-21 20:49:32',NULL,NULL,14,NULL),
 ('90788B30-4337-4B5D-A059-55715793526E',NULL,'2010-06-14 15:22:46','jijojohnson1',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-14 15:27:01','2010-06-14 15:22:46','2010-06-14 15:22:46',0,0,'2010-06-14 15:22:46',0,'2010-06-14 15:22:46',0,'2010-06-14 15:22:46',NULL,NULL,1,NULL),
 ('90868AF2-08D3-4273-9187-5EF1AED8055F',NULL,'2009-12-05 06:29:38','Pet Supplies',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-05 06:29:38','2009-12-05 06:29:38','2009-12-05 06:29:38',0,0,'2009-12-05 06:29:38',0,'2009-12-05 06:29:38',0,'2009-12-05 06:29:38',NULL,NULL,1,NULL),
 ('90A1A83A-3F83-4EB8-982D-E086ACA85234',NULL,'2010-05-14 20:43:14','ceteretti',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-14 20:43:19','2010-05-14 20:43:14','2010-05-14 20:43:14',0,0,'2010-05-14 20:43:14',0,'2010-05-14 20:43:14',0,'2010-05-14 20:43:14',NULL,NULL,1,NULL),
 ('90AC4466-0BDF-4F6C-82E4-DF48834450ED',NULL,'2009-11-23 19:19:39','TomSuixi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-23 19:19:39','2009-11-23 19:19:39','2009-11-23 19:19:39',0,0,'2009-11-23 19:19:39',0,'2009-11-23 19:19:39',0,'2009-11-23 19:19:39',NULL,NULL,14,NULL),
 ('90C03894-0F7D-4B35-A96B-B29EC12004DC',NULL,'2010-06-30 03:13:03','StaiccatSuege',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-30 03:13:03','2010-06-30 03:13:03','2010-06-30 03:13:03',0,0,'2010-06-30 03:13:03',0,'2010-06-30 03:13:03',0,'2010-06-30 03:13:03',NULL,NULL,1,NULL),
 ('90CB0DDA-544B-4C65-8FED-E388C3BF76D3',NULL,'2009-12-09 06:09:27','CharlesZI',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-09 06:09:27','2009-12-09 06:09:27','2009-12-09 06:09:27',0,0,'2009-12-09 06:09:27',0,'2009-12-09 06:09:27',0,'2009-12-09 06:09:27',NULL,NULL,1,NULL),
 ('90CF1D77-F72C-4B25-AD2C-FF769CCCF8B7',NULL,'2010-08-10 10:57:56','Bidsavaidly',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-10 10:57:56','2010-08-10 10:57:56','2010-08-10 10:57:56',0,0,'2010-08-10 10:57:56',0,'2010-08-10 10:57:56',0,'2010-08-10 10:57:56',NULL,NULL,1,NULL),
 ('91033330-B200-44CD-B54D-176EA859551A',NULL,'2010-04-10 16:48:20','syclormrods',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-10 16:48:20','2010-04-10 16:48:20','2010-04-10 16:48:20',0,0,'2010-04-10 16:48:20',0,'2010-04-10 16:48:20',0,'2010-04-10 16:48:20',NULL,NULL,1,NULL),
 ('917F6500-EAEB-4BDE-9B40-ECEED3E103AF',NULL,'2010-02-28 16:13:08','Affidsdom',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-28 16:13:08','2010-02-28 16:13:08','2010-02-28 16:13:08',0,0,'2010-02-28 16:13:08',0,'2010-02-28 16:13:08',0,'2010-02-28 16:13:08',NULL,NULL,1,NULL),
 ('9185CB04-6E7D-4D18-9143-ACEE33894306',NULL,'2009-12-04 18:45:39','Elubculty',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-04 18:45:39','2009-12-04 18:45:39','2009-12-04 18:45:39',0,0,'2009-12-04 18:45:39',0,'2009-12-04 18:45:39',0,'2009-12-04 18:45:39',NULL,NULL,1,NULL),
 ('9192DE1A-BC26-44CC-BB2E-DDFA29B7E0ED',NULL,'2010-04-25 11:48:02','bssmyssbrd',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-25 11:48:08','2010-04-25 11:48:02','2010-04-25 11:48:02',0,0,'2010-04-25 11:48:02',0,'2010-04-25 11:48:02',0,'2010-04-25 11:48:02',NULL,NULL,1,NULL),
 ('91A47096-7650-4861-A783-C602D878C97D',NULL,'2009-11-26 04:43:49','davidsthompson',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','Mothers Maiden Name','Leech',1,'2009-11-26 04:44:38','2009-11-26 04:43:49','2009-11-26 04:43:49',0,0,'2009-11-26 04:43:49',0,'2009-11-26 04:43:49',0,'2009-11-26 04:43:49',NULL,NULL,1,NULL),
 ('920CCFCB-73D0-41F8-A9F8-AFDA494940C3',NULL,'2010-10-05 20:18:50','Lataspilt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-05 20:18:53','2010-10-05 20:18:50','2010-10-05 20:18:50',0,0,'2010-10-05 20:18:50',0,'2010-10-05 20:18:50',0,'2010-10-05 20:18:50',NULL,NULL,1,NULL),
 ('925A27CE-1E3E-4172-B4B8-049DF709A10A',NULL,'2010-04-18 21:08:33','Crete',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-18 21:08:33','2010-04-18 21:08:33','2010-04-18 21:08:33',0,0,'2010-04-18 21:08:33',0,'2010-04-18 21:08:33',0,'2010-04-18 21:08:33',NULL,NULL,1,NULL),
 ('928A01F5-0E99-40EF-B5AE-12928B3CDA58',NULL,'2010-05-02 04:08:40','aashop',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-02 04:08:40','2010-05-02 04:08:40','2010-05-02 04:08:40',0,0,'2010-05-02 04:08:40',0,'2010-05-02 04:08:40',0,'2010-05-02 04:08:40',NULL,NULL,1,NULL),
 ('92A65C8E-376C-42C1-8ECC-2A24B04926F3',NULL,'2009-11-27 11:36:47','Swarydaywax',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-27 11:36:47','2009-11-27 11:36:47','2009-11-27 11:36:47',0,0,'2009-11-27 11:36:47',0,'2009-11-27 11:36:47',0,'2009-11-27 11:36:47',NULL,NULL,1,NULL),
 ('92F6CE9A-AE51-4040-83A5-543235A0BCE1',NULL,'2010-04-27 05:49:29','aaroncancost',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-27 05:49:29','2010-04-27 05:49:29','2010-04-27 05:49:29',0,0,'2010-04-27 05:49:29',0,'2010-04-27 05:49:29',0,'2010-04-27 05:49:29',NULL,NULL,1,NULL),
 ('934E6222-04E3-48F8-97FE-882324471DCF',NULL,'2010-05-22 17:06:10','Borrisserr',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-22 17:06:10','2010-05-22 17:06:10','2010-05-22 17:06:10',0,0,'2010-05-22 17:06:10',0,'2010-05-22 17:06:10',0,'2010-05-22 17:06:10',NULL,NULL,1,NULL),
 ('935F5112-BA0B-4893-B434-51F4388AAFA8',NULL,'2010-07-11 15:45:39','markpills',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-11 15:45:39','2010-07-11 15:45:39','2010-07-11 15:45:39',0,0,'2010-07-11 15:45:39',0,'2010-07-11 15:45:39',0,'2010-07-11 15:45:39',NULL,NULL,1,NULL),
 ('936AFA3F-9E6F-4AB4-97E9-61A44B9F1E84',NULL,'2010-08-29 20:48:18','loseFaill',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-29 20:48:18','2010-08-29 20:48:18','2010-08-29 20:48:18',0,0,'2010-08-29 20:48:18',0,'2010-08-29 20:48:18',0,'2010-08-29 20:48:18',NULL,NULL,13,NULL),
 ('93B25CC9-2AC7-4C73-A5E9-D6AF0C55DA1A',NULL,'2010-06-28 12:47:17','Arpinero',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-28 12:47:22','2010-06-28 12:47:17','2010-06-28 12:47:17',0,0,'2010-06-28 12:47:17',0,'2010-06-28 12:47:17',0,'2010-06-28 12:47:17',NULL,NULL,1,NULL),
 ('93D3A1FD-6B46-4341-A66E-B69C4AAB833B',NULL,'2010-03-17 02:57:41','Jasicagarbett',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-17 02:57:41','2010-03-17 02:57:41','2010-03-17 02:57:41',0,0,'2010-03-17 02:57:41',0,'2010-03-17 02:57:41',0,'2010-03-17 02:57:41',NULL,NULL,1,NULL),
 ('93FFDA5A-1F6B-4E9A-9F51-B29CC77E3585',NULL,'2010-07-29 11:14:50','lovetotravellll',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-29 11:14:50','2010-07-29 11:14:50','2010-07-29 11:14:50',0,0,'2010-07-29 11:14:50',0,'2010-07-29 11:14:50',0,'2010-07-29 11:14:50',NULL,NULL,1,NULL),
 ('94389DF6-896B-41AC-964B-1EC1CECDB6D6',NULL,'2010-03-18 08:50:31','odorgo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-18 08:50:30','2010-03-18 08:50:30','2010-03-18 08:50:30',0,0,'2010-03-18 08:50:30',0,'2010-03-18 08:50:30',0,'2010-03-18 08:50:30',NULL,NULL,1,NULL),
 ('94604295-E603-4055-9EFD-0F721081F124',NULL,'2010-08-23 23:34:53','bamayf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-23 23:34:53','2010-08-23 23:34:53','2010-08-23 23:34:53',0,0,'2010-08-23 23:34:53',0,'2010-08-23 23:34:53',0,'2010-08-23 23:34:53',NULL,NULL,1,NULL),
 ('94B2515E-3075-42DB-87DE-08BA3DFFF57B',NULL,'2010-07-22 03:05:42','Faigobibzon',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-22 03:05:42','2010-07-22 03:05:42','2010-07-22 03:05:42',0,0,'2010-07-22 03:05:42',0,'2010-07-22 03:05:42',0,'2010-07-22 03:05:42',NULL,NULL,1,NULL),
 ('94CAE8D7-2FDC-402E-A4DF-BF51B4EF34C0',NULL,'2010-05-08 16:10:12','Waralidomal',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-08 16:10:12','2010-05-08 16:10:12','2010-05-08 16:10:12',0,0,'2010-05-08 16:10:12',0,'2010-05-08 16:10:12',0,'2010-05-08 16:10:12',NULL,NULL,1,NULL),
 ('94D7C395-FA73-46B8-B440-04E2708EF618',NULL,'2010-05-04 19:18:09','intidatoike',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-04 19:18:09','2010-05-04 19:18:09','2010-05-04 19:18:09',0,0,'2010-05-04 19:18:09',0,'2010-05-04 19:18:09',0,'2010-05-04 19:18:09',NULL,NULL,1,NULL),
 ('94E62644-2E8D-4306-BFC2-4607D4EF68F0',NULL,'2009-12-17 01:12:07','????????',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-17 01:12:07','2009-12-17 01:12:07','2009-12-17 01:12:07',0,0,'2009-12-17 01:12:07',0,'2009-12-17 01:12:07',0,'2009-12-17 01:12:07',NULL,NULL,14,NULL),
 ('950B735A-D7A4-49CF-B9B5-40BF01BC3292',NULL,'2009-12-03 08:58:16','goldsilverrr',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-03 08:58:16','2009-12-03 08:58:16','2009-12-03 08:58:16',0,0,'2009-12-03 08:58:16',0,'2009-12-03 08:58:16',0,'2009-12-03 08:58:16',NULL,NULL,1,NULL),
 ('95618746-1E5A-40F7-9CFB-CA7EE659ADF2',NULL,'2010-08-26 17:58:34','lilddidge',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-26 17:58:34','2010-08-26 17:58:34','2010-08-26 17:58:34',0,0,'2010-08-26 17:58:34',0,'2010-08-26 17:58:34',0,'2010-08-26 17:58:34',NULL,NULL,1,NULL),
 ('956482A9-5B06-4AA5-941F-02DB156D38FE',NULL,'2009-11-27 16:49:02','zanoxman',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-27 16:49:02','2009-11-27 16:49:02','2009-11-27 16:49:02',0,0,'2009-11-27 16:49:02',0,'2009-11-27 16:49:02',0,'2009-11-27 16:49:02',NULL,NULL,14,NULL),
 ('9579D3D6-6D83-441A-873D-9DFF92171FE8',NULL,'2010-05-26 15:24:23','Sandra Steuber',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','do you walk in love?','yes',1,'2010-05-26 15:33:51','2010-05-26 15:24:23','2010-05-26 15:24:23',0,0,'2010-05-26 15:24:23',0,'2010-05-26 15:24:23',0,'2010-05-26 15:24:23',NULL,NULL,16,NULL),
 ('957A616E-8155-45B5-AA7B-31F25B4E7F2C',NULL,'2010-05-04 08:52:25','Fisher_k',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-04 08:52:25','2010-05-04 08:52:25','2010-05-04 08:52:25',0,0,'2010-05-04 08:52:25',0,'2010-05-04 08:52:25',0,'2010-05-04 08:52:25',NULL,NULL,1,NULL),
 ('9587E8CA-2927-4B9D-AF04-CA2477117A6C',NULL,'2010-08-28 10:05:50','TMaefssvzxf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-28 10:05:50','2010-08-28 10:05:50','2010-08-28 10:05:50',0,0,'2010-08-28 10:05:50',0,'2010-08-28 10:05:50',0,'2010-08-28 10:05:50',NULL,NULL,1,NULL),
 ('959595E9-F443-49ED-867C-1958E54B2BBA',NULL,'2010-06-26 16:42:35','Mimagdalena',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-26 16:42:35','2010-06-26 16:42:35','2010-06-26 16:42:35',0,0,'2010-06-26 16:42:35',0,'2010-06-26 16:42:35',0,'2010-06-26 16:42:35',NULL,NULL,1,NULL),
 ('95B595AF-D12D-44AB-BEB0-C5842C82DDD0',NULL,'2010-10-04 13:17:00','maibeMeapleva',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-04 13:17:00','2010-10-04 13:17:00','2010-10-04 13:17:00',0,0,'2010-10-04 13:17:00',0,'2010-10-04 13:17:00',0,'2010-10-04 13:17:00',NULL,NULL,1,NULL),
 ('95BC2A54-CC25-4743-8DA6-425BB60EBEEA',NULL,'2010-05-14 22:20:31','Xrumerdocthorxzw',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-14 22:20:31','2010-05-14 22:20:31','2010-05-14 22:20:31',0,0,'2010-05-14 22:20:31',0,'2010-05-14 22:20:31',0,'2010-05-14 22:20:31',NULL,NULL,1,NULL),
 ('963B0BC5-51E0-49AC-A6CB-45939DC4B504',NULL,'2010-03-09 07:28:29','Reirway35',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-09 07:28:29','2010-03-09 07:28:29','2010-03-09 07:28:29',0,0,'2010-03-09 07:28:29',0,'2010-03-09 07:28:29',0,'2010-03-09 07:28:29',NULL,NULL,1,NULL),
 ('96507D2B-640D-42E5-8024-6B063CAF467B',NULL,'2009-12-26 00:59:35','RexCiketity',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-26 00:59:35','2009-12-26 00:59:35','2009-12-26 00:59:35',0,0,'2009-12-26 00:59:35',0,'2009-12-26 00:59:35',0,'2009-12-26 00:59:35',NULL,NULL,1,NULL),
 ('96793167-33E0-4E9F-9347-E8AB615AA9C3',NULL,'2009-11-19 09:32:20','stewartcoombs',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-11-19 09:32:33','2009-11-19 09:32:20','2009-11-19 09:32:20',0,0,'2009-11-19 09:32:20',0,'2009-11-19 09:32:20',0,'2009-11-19 09:32:20',NULL,NULL,1,NULL),
 ('968DBEF6-B066-455A-91C8-7648B4067C30',NULL,'2009-12-20 03:47:28','expertsoftnik',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-20 03:47:28','2009-12-20 03:47:28','2009-12-20 03:47:28',0,0,'2009-12-20 03:47:28',0,'2009-12-20 03:47:28',0,'2009-12-20 03:47:28',NULL,NULL,1,NULL),
 ('96F1DF5E-FE9D-4077-9DDD-C86A312E3E28',NULL,'2010-05-29 05:47:52','JeffV77',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-29 05:47:57','2010-05-29 05:47:52','2010-05-29 05:47:52',0,0,'2010-05-29 05:47:52',0,'2010-05-29 05:47:52',0,'2010-05-29 05:47:52',NULL,NULL,1,NULL),
 ('9713F609-9D84-4F2B-8B7B-6B348E87D665',NULL,'2010-05-26 11:31:44','Cutlifen',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-26 11:31:44','2010-05-26 11:31:44','2010-05-26 11:31:44',0,0,'2010-05-26 11:31:44',0,'2010-05-26 11:31:44',0,'2010-05-26 11:31:44',NULL,NULL,1,NULL),
 ('9714B1CC-3482-408C-9318-E5038556523F',NULL,'2010-07-29 07:52:41','scharada',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','who are they','both girls',1,'2010-07-29 07:58:56','2010-07-29 07:52:41','2010-07-29 07:52:41',0,0,'2010-07-29 07:52:41',0,'2010-07-29 07:52:41',0,'2010-07-29 07:52:41',NULL,NULL,1,NULL),
 ('977816A6-E234-422A-99D3-F79096E312F2',NULL,'2010-08-09 09:19:29','Cruipheheshit',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-09 09:19:29','2010-08-09 09:19:29','2010-08-09 09:19:29',0,0,'2010-08-09 09:19:29',0,'2010-08-09 09:19:29',0,'2010-08-09 09:19:29',NULL,NULL,1,NULL),
 ('977C2BC5-B273-4FF0-920C-CA5A653F3AB1',NULL,'2010-04-23 23:51:12','ViamsTamn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-23 23:51:12','2010-04-23 23:51:12','2010-04-23 23:51:12',0,0,'2010-04-23 23:51:12',0,'2010-04-23 23:51:12',0,'2010-04-23 23:51:12',NULL,NULL,1,NULL),
 ('98293EAD-D3A5-4F60-BD42-5075A2596602',NULL,'2010-06-25 05:16:13','fleenlyBleada',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-25 05:16:12','2010-06-25 05:16:12','2010-06-25 05:16:12',0,0,'2010-06-25 05:16:12',0,'2010-06-25 05:16:12',0,'2010-06-25 05:16:12',NULL,NULL,13,NULL),
 ('9842D13B-57E7-4E9E-8960-7CECE4CDCC80',NULL,'2010-06-20 18:58:53','kaskwoods',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-20 18:58:53','2010-06-20 18:58:53','2010-06-20 18:58:53',0,0,'2010-06-20 18:58:53',0,'2010-06-20 18:58:53',0,'2010-06-20 18:58:53',NULL,NULL,1,NULL),
 ('98629B51-D24B-436D-85AE-071DB23CCCB6',NULL,'2010-06-06 19:08:07','dopingshop.ru',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-06 19:08:07','2010-06-06 19:08:07','2010-06-06 19:08:07',0,0,'2010-06-06 19:08:07',0,'2010-06-06 19:08:07',0,'2010-06-06 19:08:07',NULL,NULL,1,NULL),
 ('9894CB51-C469-42EE-9AB4-283BA8DC17FD',NULL,'2010-02-20 03:29:23','Litlepeparisp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-20 03:29:23','2010-02-20 03:29:23','2010-02-20 03:29:23',0,0,'2010-02-20 03:29:23',0,'2010-02-20 03:29:23',0,'2010-02-20 03:29:23',NULL,NULL,15,NULL),
 ('98B9090C-3FC6-4260-85EB-4D9F21EE125A',NULL,'2010-01-18 14:30:00','sokmonkey67',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','who is your wife?','Jenedee',1,'2010-01-21 21:33:27','2010-01-18 14:30:00','2010-01-18 14:30:00',0,0,'2010-01-18 14:30:00',0,'2010-01-18 14:30:00',0,'2010-01-18 14:30:00',NULL,NULL,1,NULL),
 ('98BB8DB7-55E8-4C4B-AC88-AB4B2B7B9557',NULL,'2010-03-27 09:38:07','hoodiamzigog',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-27 09:38:07','2010-03-27 09:38:07','2010-03-27 09:38:07',0,0,'2010-03-27 09:38:07',0,'2010-03-27 09:38:07',0,'2010-03-27 09:38:07',NULL,NULL,1,NULL),
 ('98D2CF35-8BB6-47B7-ABC0-DCD799D96A16',NULL,'2010-06-30 15:27:32','baconbarks',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-30 15:27:32','2010-06-30 15:27:32','2010-06-30 15:27:32',0,0,'2010-06-30 15:27:32',0,'2010-06-30 15:27:32',0,'2010-06-30 15:27:32',NULL,NULL,13,NULL),
 ('98F02408-C26E-4FCC-A67B-73E556750F07',NULL,'2010-09-14 05:08:55','chulavistatint',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-14 05:08:55','2010-09-14 05:08:55','2010-09-14 05:08:55',0,0,'2010-09-14 05:08:55',0,'2010-09-14 05:08:55',0,'2010-09-14 05:08:55',NULL,NULL,14,NULL),
 ('9929E1E1-7D19-47F9-94F8-71719023164F',NULL,'2009-12-26 10:03:03','Invaveguake',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-26 10:03:03','2009-12-26 10:03:03','2009-12-26 10:03:03',0,0,'2009-12-26 10:03:03',0,'2009-12-26 10:03:03',0,'2009-12-26 10:03:03',NULL,NULL,14,NULL),
 ('9956ACFB-8BDF-4575-860E-8D96D7B93FED',NULL,'2010-01-17 04:43:24','helmut',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','BT','BARTENDER',1,'2010-01-17 04:46:01','2010-01-17 04:43:24','2010-01-17 04:43:24',0,0,'2010-01-17 04:43:24',0,'2010-01-17 04:43:24',0,'2010-01-17 04:43:24',NULL,NULL,15,NULL),
 ('99B8237C-251E-4369-8E34-629B00ADF86E',NULL,'2010-04-04 08:43:58','inculge',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-04 08:43:58','2010-04-04 08:43:58','2010-04-04 08:43:58',0,0,'2010-04-04 08:43:58',0,'2010-04-04 08:43:58',0,'2010-04-04 08:43:58',NULL,NULL,1,NULL),
 ('99F6F8C2-52DC-417E-830E-DC411FAF02FB',NULL,'2010-08-29 18:17:54','noothingwado',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-29 18:17:54','2010-08-29 18:17:54','2010-08-29 18:17:54',0,0,'2010-08-29 18:17:54',0,'2010-08-29 18:17:54',0,'2010-08-29 18:17:54',NULL,NULL,1,NULL),
 ('9A31ED4A-E7D5-4DAB-B72D-63B88C0CA1BC',NULL,'2010-06-22 10:36:01','diaderrongoff',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-22 10:36:05','2010-06-22 10:36:01','2010-06-22 10:36:01',0,0,'2010-06-22 10:36:01',0,'2010-06-22 10:36:01',0,'2010-06-22 10:36:01',NULL,NULL,1,NULL),
 ('9A90FDE2-7D40-4F07-9BC5-C6DD677ECC6F',NULL,'2010-09-15 16:55:09','Phishattima',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-15 16:55:11','2010-09-15 16:55:09','2010-09-15 16:55:09',0,0,'2010-09-15 16:55:09',0,'2010-09-15 16:55:09',0,'2010-09-15 16:55:09',NULL,NULL,1,NULL),
 ('9AB763CC-740A-4C02-BBD0-9019279047C1',NULL,'2010-09-11 16:21:22','sdusedcarlot',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-11 16:21:22','2010-09-11 16:21:22','2010-09-11 16:21:22',0,0,'2010-09-11 16:21:22',0,'2010-09-11 16:21:22',0,'2010-09-11 16:21:22',NULL,NULL,14,NULL),
 ('9B6E244E-95FD-4AFA-8337-7D7028B84111',NULL,'2010-06-09 20:18:47','ReatFeapeus',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-09 20:18:47','2010-06-09 20:18:47','2010-06-09 20:18:47',0,0,'2010-06-09 20:18:47',0,'2010-06-09 20:18:47',0,'2010-06-09 20:18:47',NULL,NULL,13,NULL),
 ('9B99530A-3EE1-4123-A020-971BCF5B0088',NULL,'2010-05-09 05:21:13','miragit',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-09 05:21:13','2010-05-09 05:21:13','2010-05-09 05:21:13',0,0,'2010-05-09 05:21:13',0,'2010-05-09 05:21:13',0,'2010-05-09 05:21:13',NULL,NULL,1,NULL),
 ('9BA2986F-C337-46C4-A06B-7770F67CF4BB',NULL,'2010-05-22 08:10:00','triamygetry',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-22 08:10:00','2010-05-22 08:10:00','2010-05-22 08:10:00',0,0,'2010-05-22 08:10:00',0,'2010-05-22 08:10:00',0,'2010-05-22 08:10:00',NULL,NULL,1,NULL),
 ('9BB74CEC-31C6-4037-806F-6F97C31690F1',NULL,'2010-07-18 10:21:27','gametime',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-18 10:21:27','2010-07-18 10:21:27','2010-07-18 10:21:27',0,0,'2010-07-18 10:21:27',0,'2010-07-18 10:21:27',0,'2010-07-18 10:21:27',NULL,NULL,14,NULL),
 ('9C152A9E-8393-4277-A889-E89E7F71836A',NULL,'2010-07-08 22:03:29','ComImismraits',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-08 22:03:29','2010-07-08 22:03:29','2010-07-08 22:03:29',0,0,'2010-07-08 22:03:29',0,'2010-07-08 22:03:29',0,'2010-07-08 22:03:29',NULL,NULL,1,NULL),
 ('9C3EA3C9-E735-4AB0-B6AD-FE5C1C490B82',NULL,'2010-06-08 07:48:52','juliana4jv',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-08 07:48:52','2010-06-08 07:48:52','2010-06-08 07:48:52',0,0,'2010-06-08 07:48:52',0,'2010-06-08 07:48:52',0,'2010-06-08 07:48:52',NULL,NULL,13,NULL),
 ('9C5290B9-9CF6-4ECB-B2AE-3DAC350DA33F',NULL,'2010-09-03 05:07:19','kinommanka',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-03 05:07:19','2010-09-03 05:07:19','2010-09-03 05:07:19',0,0,'2010-09-03 05:07:19',0,'2010-09-03 05:07:19',0,'2010-09-03 05:07:19',NULL,NULL,1,NULL),
 ('9C804808-FD3F-4E68-9E5E-BE1E12C4F26D',NULL,'2010-08-24 09:29:07','Numscoese',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-24 09:29:07','2010-08-24 09:29:07','2010-08-24 09:29:07',0,0,'2010-08-24 09:29:07',0,'2010-08-24 09:29:07',0,'2010-08-24 09:29:07',NULL,NULL,1,NULL),
 ('9C8F004B-83C9-4468-B536-3D55F939E2E1',NULL,'2010-04-27 17:51:44','egreetings',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-27 17:51:44','2010-04-27 17:51:44','2010-04-27 17:51:44',0,0,'2010-04-27 17:51:44',0,'2010-04-27 17:51:44',0,'2010-04-27 17:51:44',NULL,NULL,1,NULL),
 ('9C902795-A4CA-42ED-B32B-3668882D1890',NULL,'2010-05-20 07:22:43','entesorksok',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-20 07:22:43','2010-05-20 07:22:43','2010-05-20 07:22:43',0,0,'2010-05-20 07:22:43',0,'2010-05-20 07:22:43',0,'2010-05-20 07:22:43',NULL,NULL,1,NULL),
 ('9C9B886E-6946-4EDA-BB2E-040F3C053C86',NULL,'2009-11-17 06:12:19','Spapamactiono',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-17 06:12:19','2009-11-17 06:12:19','2009-11-17 06:12:19',0,0,'2009-11-17 06:12:19',0,'2009-11-17 06:12:19',0,'2009-11-17 06:12:19',NULL,NULL,1,NULL),
 ('9D105FE8-0FF6-4F7A-9E13-FD4F41BD65F7',NULL,'2010-03-17 09:45:09','BusinessOnlineBlog',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-17 09:45:09','2010-03-17 09:45:09','2010-03-17 09:45:09',0,0,'2010-03-17 09:45:09',0,'2010-03-17 09:45:09',0,'2010-03-17 09:45:09',NULL,NULL,15,NULL),
 ('9D27B7AD-B680-4E5B-A420-63D48684D836',NULL,'2010-05-16 02:00:38','Argumbbus',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 02:00:38','2010-05-16 02:00:38','2010-05-16 02:00:38',0,0,'2010-05-16 02:00:38',0,'2010-05-16 02:00:38',0,'2010-05-16 02:00:38',NULL,NULL,1,NULL),
 ('9D70460D-55EA-4F74-B535-368D6CAECCC2',NULL,'2010-03-04 13:17:54','RTCarlos',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-04 13:17:54','2010-03-04 13:17:54','2010-03-04 13:17:54',0,0,'2010-03-04 13:17:54',0,'2010-03-04 13:17:54',0,'2010-03-04 13:17:54',NULL,NULL,1,NULL),
 ('9D961519-0E58-4916-8124-99742687AA20',NULL,'2010-02-11 10:12:10','egilyad',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','kaballa?','da',1,'2010-02-12 16:16:33','2010-02-11 10:12:10','2010-02-11 10:12:10',0,0,'2010-02-11 10:12:10',0,'2010-02-11 10:12:10',0,'2010-02-11 10:12:10',NULL,NULL,1,NULL),
 ('9D996A65-0BCE-44E3-A18E-467DFB682C42',NULL,'2010-06-24 11:46:40','attemydaree',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-24 11:46:40','2010-06-24 11:46:40','2010-06-24 11:46:40',0,0,'2010-06-24 11:46:40',0,'2010-06-24 11:46:40',0,'2010-06-24 11:46:40',NULL,NULL,1,NULL),
 ('9DD8967E-A260-4CDE-B7C7-3A2EA4C6C6A3',NULL,'2010-04-16 17:17:02','Ecorouddy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-16 17:17:02','2010-04-16 17:17:02','2010-04-16 17:17:02',0,0,'2010-04-16 17:17:02',0,'2010-04-16 17:17:02',0,'2010-04-16 17:17:02',NULL,NULL,1,NULL),
 ('9DD982E0-CC5D-481E-BF22-5AC020FCC792',NULL,'2010-05-28 03:58:26','Potterrezz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-28 03:58:26','2010-05-28 03:58:26','2010-05-28 03:58:26',0,0,'2010-05-28 03:58:26',0,'2010-05-28 03:58:26',0,'2010-05-28 03:58:26',NULL,NULL,1,NULL),
 ('9DEC4E61-234E-4814-8985-709C93C321AA',NULL,'2010-02-03 08:14:55','sodephods',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-03 08:14:55','2010-02-03 08:14:55','2010-02-03 08:14:55',0,0,'2010-02-03 08:14:55',0,'2010-02-03 08:14:55',0,'2010-02-03 08:14:55',NULL,NULL,14,NULL),
 ('9E35DAC0-65FE-4206-8C54-37305F33C313',NULL,'2010-05-25 16:50:19','Togassito',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-25 16:50:19','2010-05-25 16:50:19','2010-05-25 16:50:19',0,0,'2010-05-25 16:50:19',0,'2010-05-25 16:50:19',0,'2010-05-25 16:50:19',NULL,NULL,1,NULL),
 ('9E5F852C-CD80-4A4B-8CE6-971162B59361',NULL,'2010-07-08 12:59:15','nagif',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-07-08 14:09:45','2010-07-08 12:59:15','2010-07-08 12:59:15',0,0,'2010-07-08 12:59:15',0,'2010-07-08 12:59:15',0,'2010-07-08 12:59:15',NULL,NULL,1,NULL),
 ('9E672710-B369-494F-AE63-A0A1AA55F750',NULL,'2010-10-12 07:33:27','Universalresopotqqq',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-12 07:33:27','2010-10-12 07:33:27','2010-10-12 07:33:27',0,0,'2010-10-12 07:33:27',0,'2010-10-12 07:33:27',0,'2010-10-12 07:33:27',NULL,NULL,13,NULL),
 ('9EAEB136-D064-453B-9F46-78F3F4EDA931',NULL,'2010-07-20 10:34:01','Kenewhenugs',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-20 10:34:01','2010-07-20 10:34:01','2010-07-20 10:34:01',0,0,'2010-07-20 10:34:01',0,'2010-07-20 10:34:01',0,'2010-07-20 10:34:01',NULL,NULL,1,NULL),
 ('9EAFAAC0-7B02-4D11-98D3-833B834E8DB5',NULL,'2010-09-12 18:51:23','outrarttido404',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-12 18:51:23','2010-09-12 18:51:23','2010-09-12 18:51:23',0,0,'2010-09-12 18:51:23',0,'2010-09-12 18:51:23',0,'2010-09-12 18:51:23',NULL,NULL,14,NULL),
 ('9EB0D31B-8683-4701-AC76-DDF22DBA5FAB',NULL,'2010-08-03 21:31:36','forumtravelerxzaqv',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-03 21:31:36','2010-08-03 21:31:36','2010-08-03 21:31:36',0,0,'2010-08-03 21:31:36',0,'2010-08-03 21:31:36',0,'2010-08-03 21:31:36',NULL,NULL,1,NULL),
 ('9ECB5151-689D-4D39-B878-902C67EB2867',NULL,'2010-04-04 05:42:19','neonixons',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-04 05:42:19','2010-04-04 05:42:19','2010-04-04 05:42:19',0,0,'2010-04-04 05:42:19',0,'2010-04-04 05:42:19',0,'2010-04-04 05:42:19',NULL,NULL,1,NULL),
 ('9F100348-48E5-408C-B26D-74D093BD3035',NULL,'2010-03-06 01:26:22','excelmanking',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-06 01:26:22','2010-03-06 01:26:22','2010-03-06 01:26:22',0,0,'2010-03-06 01:26:22',0,'2010-03-06 01:26:22',0,'2010-03-06 01:26:22',NULL,NULL,1,NULL),
 ('9F2DADE4-EAB9-4881-A63D-0DA56244ED93',NULL,'2009-11-04 14:13:53','Empisibiowido',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-04 14:13:53','2009-11-04 14:13:53','2009-11-04 14:13:53',0,0,'2009-11-04 14:13:53',0,'2009-11-04 14:13:53',0,'2009-11-04 14:13:53',NULL,NULL,1,NULL),
 ('9F653643-F986-47B8-B05B-FCEAF4A2E67B',NULL,'2009-12-14 23:28:32','Robert',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-14 23:28:32','2009-12-14 23:28:32','2009-12-14 23:28:32',0,0,'2009-12-14 23:28:32',0,'2009-12-14 23:28:32',0,'2009-12-14 23:28:32',NULL,NULL,1,NULL),
 ('9FAA0463-56F2-46E2-A743-3CD012ADAFE5',NULL,'2010-03-31 10:29:03','jessicareems',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-31 10:29:03','2010-03-31 10:29:03','2010-03-31 10:29:03',0,0,'2010-03-31 10:29:03',0,'2010-03-31 10:29:03',0,'2010-03-31 10:29:03',NULL,NULL,1,NULL),
 ('9FC78645-ED7B-4ACA-BF51-FB59CA32FCDA',NULL,'2009-11-27 21:15:22','Pinkybobo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-27 21:15:22','2009-11-27 21:15:22','2009-11-27 21:15:22',0,0,'2009-11-27 21:15:22',0,'2009-11-27 21:15:22',0,'2009-11-27 21:15:22',NULL,NULL,14,NULL),
 ('9FEA789A-843F-4DFD-8355-93EC9964D01D',NULL,'2010-01-18 17:07:32','LadyROOT',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-18 17:07:32','2010-01-18 17:07:32','2010-01-18 17:07:32',0,0,'2010-01-18 17:07:32',0,'2010-01-18 17:07:32',0,'2010-01-18 17:07:32',NULL,NULL,13,NULL),
 ('9FF2ABAB-62FC-4105-973D-CF907AF98633',NULL,'2010-06-08 11:28:16','accoulaIcedly',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-08 11:28:16','2010-06-08 11:28:16','2010-06-08 11:28:16',0,0,'2010-06-08 11:28:16',0,'2010-06-08 11:28:16',0,'2010-06-08 11:28:16',NULL,NULL,1,NULL),
 ('A071D19D-4717-4E6E-89D1-9EA9193C0D3E',NULL,'2010-07-22 23:59:54','sandiegodebt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-22 23:59:54','2010-07-22 23:59:54','2010-07-22 23:59:54',0,0,'2010-07-22 23:59:54',0,'2010-07-22 23:59:54',0,'2010-07-22 23:59:54',NULL,NULL,14,NULL),
 ('A0AD3AAE-3F9B-47CC-86E7-AD15A014CD94',NULL,'2010-04-22 18:51:06','tughtame70',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-22 18:51:06','2010-04-22 18:51:06','2010-04-22 18:51:06',0,0,'2010-04-22 18:51:06',0,'2010-04-22 18:51:06',0,'2010-04-22 18:51:06',NULL,NULL,1,NULL),
 ('A0B1D4F7-04FD-48E1-A63B-DBB7306F85D8',NULL,'2010-06-11 11:27:41','DearneSnack',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-11 11:31:04','2010-06-11 11:27:41','2010-06-11 11:27:41',0,0,'2010-06-11 11:27:41',0,'2010-06-11 11:27:41',0,'2010-06-11 11:27:41',NULL,NULL,1,NULL),
 ('A1357EE3-6F65-4642-AE39-35E3A3DE7F59',NULL,'2010-08-21 03:58:41','Icosetest',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-21 03:58:41','2010-08-21 03:58:41','2010-08-21 03:58:41',0,0,'2010-08-21 03:58:41',0,'2010-08-21 03:58:41',0,'2010-08-21 03:58:41',NULL,NULL,1,NULL),
 ('A1A199F5-8C44-4B2A-ABB3-E17A02093E57',NULL,'2009-12-06 08:42:06','samgreenaway',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-12-06 08:43:07','2009-12-06 08:42:06','2009-12-06 08:42:06',0,0,'2009-12-06 08:42:06',0,'2009-12-06 08:42:06',0,'2009-12-06 08:42:06',NULL,NULL,15,NULL),
 ('A1A969DB-DB45-47E6-894B-F9F3C8369962',NULL,'2010-04-18 04:08:21','alanm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-04-18 04:22:52','2010-04-18 04:08:21','2010-04-18 04:08:21',0,0,'2010-04-18 04:08:21',0,'2010-04-18 04:08:21',0,'2010-04-18 04:08:21',NULL,NULL,1,NULL),
 ('A1C07F51-FA79-419E-BB6D-C2676D0972A4',NULL,'2010-05-07 03:50:47','zarezutti',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-07 03:50:49','2010-05-07 03:50:46','2010-05-07 03:50:46',0,0,'2010-05-07 03:50:46',0,'2010-05-07 03:50:46',0,'2010-05-07 03:50:46',NULL,NULL,1,NULL),
 ('A1FBEA0C-32E8-4E39-8435-EB85BFC555A7',NULL,'2009-12-04 06:10:27','dunnock',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-12-04 08:23:46','2009-12-04 06:10:27','2009-12-04 06:10:27',0,0,'2009-12-04 06:10:27',0,'2009-12-04 06:10:27',0,'2009-12-04 06:10:27',NULL,NULL,1,NULL),
 ('A229EF5B-5BE0-483A-A35C-A679237F77B8',NULL,'2010-09-25 10:16:38','Avtomoto-DuriIrott',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-25 10:16:47','2010-09-25 10:16:38','2010-09-25 10:16:38',0,0,'2010-09-25 10:16:38',0,'2010-09-25 10:16:38',0,'2010-09-25 10:16:38',NULL,NULL,1,NULL),
 ('A24BFE78-A45D-4996-BDE8-A7D5B9A3A70B',NULL,'2010-04-06 07:34:27','toowPlawn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-06 07:34:27','2010-04-06 07:34:27','2010-04-06 07:34:27',0,0,'2010-04-06 07:34:27',0,'2010-04-06 07:34:27',0,'2010-04-06 07:34:27',NULL,NULL,1,NULL),
 ('A25A602B-BE3A-4314-88FD-BA7958029E12',NULL,'2010-04-05 05:35:52','Tupenursiseggi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-05 05:35:52','2010-04-05 05:35:52','2010-04-05 05:35:52',0,0,'2010-04-05 05:35:52',0,'2010-04-05 05:35:52',0,'2010-04-05 05:35:52',NULL,NULL,1,NULL),
 ('A25F332B-1274-4649-BA7C-2E8180DFBD0F',NULL,'2010-08-14 18:17:55','engenumnibedy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-14 18:17:55','2010-08-14 18:17:55','2010-08-14 18:17:55',0,0,'2010-08-14 18:17:55',0,'2010-08-14 18:17:55',0,'2010-08-14 18:17:55',NULL,NULL,1,NULL),
 ('A26E601A-EA65-44F7-846D-B61563424603',NULL,'2010-03-23 17:10:53','loliposanes',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-23 17:11:00','2010-03-23 17:10:53','2010-03-23 17:10:53',0,0,'2010-03-23 17:10:53',0,'2010-03-23 17:10:53',0,'2010-03-23 17:10:53',NULL,NULL,1,NULL),
 ('A2D28796-44C1-46F3-951E-5AD13E6B53C4',NULL,'2010-07-03 23:15:39','Tokscoca',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-03 23:15:39','2010-07-03 23:15:39','2010-07-03 23:15:39',0,0,'2010-07-03 23:15:39',0,'2010-07-03 23:15:39',0,'2010-07-03 23:15:39',NULL,NULL,1,NULL),
 ('A2D2FF5C-4F58-44B2-BFC6-FE38D7A0FEB3',NULL,'2010-10-02 12:08:18','epitieque',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-02 12:08:18','2010-10-02 12:08:18','2010-10-02 12:08:18',0,0,'2010-10-02 12:08:18',0,'2010-10-02 12:08:18',0,'2010-10-02 12:08:18',NULL,NULL,1,NULL),
 ('A2DCC13A-3684-4BAF-896D-D13130CCB43A',NULL,'2010-06-16 20:44:52','Tiesepied',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-16 20:44:52','2010-06-16 20:44:52','2010-06-16 20:44:52',0,0,'2010-06-16 20:44:52',0,'2010-06-16 20:44:52',0,'2010-06-16 20:44:52',NULL,NULL,1,NULL),
 ('A2DCDAA3-4333-4097-B21E-9CA4E9B566E5',NULL,'2010-04-24 22:44:38','BemiBeerefs',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-24 22:44:38','2010-04-24 22:44:38','2010-04-24 22:44:38',0,0,'2010-04-24 22:44:38',0,'2010-04-24 22:44:38',0,'2010-04-24 22:44:38',NULL,NULL,13,NULL),
 ('A2ED57DF-0DC7-4A50-A457-9EF99B5C5632',NULL,'2010-03-29 14:47:52','test1234',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','test','test',1,'2010-03-29 14:50:07','2010-03-29 14:47:52','2010-03-29 14:47:52',0,0,'2010-03-29 14:47:52',0,'2010-03-29 14:47:52',0,'2010-03-29 14:47:52',NULL,NULL,15,NULL),
 ('A3115649-9C86-4A47-BECD-164F2F440030',NULL,'2010-04-19 20:03:51','egyaprgo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-19 20:03:51','2010-04-19 20:03:51','2010-04-19 20:03:51',0,0,'2010-04-19 20:03:51',0,'2010-04-19 20:03:51',0,'2010-04-19 20:03:51',NULL,NULL,1,NULL),
 ('A325C11E-3FA2-4E7B-9432-D403AFCF0465',NULL,'2010-03-08 21:59:51','Sanjana',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-08 21:59:51','2010-03-08 21:59:51','2010-03-08 21:59:51',0,0,'2010-03-08 21:59:51',0,'2010-03-08 21:59:51',0,'2010-03-08 21:59:51',NULL,NULL,1,NULL),
 ('A32D2BE3-5975-4C4D-979F-F16628E0CB78',NULL,'2010-04-20 05:36:28','KaraSheargo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-20 05:36:28','2010-04-20 05:36:28','2010-04-20 05:36:28',0,0,'2010-04-20 05:36:28',0,'2010-04-20 05:36:28',0,'2010-04-20 05:36:28',NULL,NULL,1,NULL),
 ('A32F1192-4FFB-4C43-B55A-87A28608DF5E',NULL,'2009-10-29 14:51:39','OxydayAtteree',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-29 14:51:39','2009-10-29 14:51:39','2009-10-29 14:51:39',0,0,'2009-10-29 14:51:39',0,'2009-10-29 14:51:39',0,'2009-10-29 14:51:39',NULL,NULL,1,NULL),
 ('A3602CAC-0A22-43CE-89D0-4581A82A3215',NULL,'2010-08-21 05:31:10','GefePence',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-21 05:31:15','2010-08-21 05:31:10','2010-08-21 05:31:10',0,0,'2010-08-21 05:31:10',0,'2010-08-21 05:31:10',0,'2010-08-21 05:31:10',NULL,NULL,1,NULL),
 ('A3CB7C47-E2B9-44FF-B700-4C1FE5C6A907',NULL,'2010-06-23 16:04:38','Abathessews',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-23 16:04:38','2010-06-23 16:04:38','2010-06-23 16:04:38',0,0,'2010-06-23 16:04:38',0,'2010-06-23 16:04:38',0,'2010-06-23 16:04:38',NULL,NULL,1,NULL),
 ('A3FC8E22-FBAE-4BE5-AF28-A3F5D6485907',NULL,'2010-04-24 19:50:09','PreereerenoboGbini',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-24 19:50:09','2010-04-24 19:50:09','2010-04-24 19:50:09',0,0,'2010-04-24 19:50:09',0,'2010-04-24 19:50:09',0,'2010-04-24 19:50:09',NULL,NULL,1,NULL),
 ('A3FCD961-8ADB-4EBE-8C29-40552EFA2458',NULL,'2010-08-20 05:03:34','bingfengec',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','123456789','987654321',1,'2010-08-20 05:15:43','2010-08-20 05:03:33','2010-08-20 05:03:33',0,0,'2010-08-20 05:03:33',0,'2010-08-20 05:03:33',0,'2010-08-20 05:03:33',NULL,NULL,1,NULL),
 ('A4491B2D-C25C-4592-B476-F4FD1B832DEC',NULL,'2010-08-12 06:38:28','inviteengidet',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-12 06:38:28','2010-08-12 06:38:28','2010-08-12 06:38:28',0,0,'2010-08-12 06:38:28',0,'2010-08-12 06:38:28',0,'2010-08-12 06:38:28',NULL,NULL,1,NULL),
 ('A48105B0-02AB-46C3-A613-43ACCA34BF8B',NULL,'2010-03-25 02:33:07','henrico',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-03-25 02:35:27','2010-03-25 02:33:07','2010-03-25 02:33:07',0,0,'2010-03-25 02:33:07',0,'2010-03-25 02:33:07',0,'2010-03-25 02:33:07',NULL,NULL,15,NULL),
 ('A48293FD-9F0A-4483-AAFC-DBCFED82FBEA',NULL,'2010-03-25 10:46:26','helventee',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-25 10:46:26','2010-03-25 10:46:26','2010-03-25 10:46:26',0,0,'2010-03-25 10:46:26',0,'2010-03-25 10:46:26',0,'2010-03-25 10:46:26',NULL,NULL,15,NULL),
 ('A4A3121D-06CA-4422-A3A7-465CB0E87F6B',NULL,'2010-02-02 21:33:52','packaway',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','where are you from?','im from wuhan',1,'2010-02-02 21:33:52','2010-02-02 21:33:52','2010-02-02 21:33:52',0,0,'2010-02-02 21:33:52',0,'2010-02-02 21:33:52',0,'2010-02-02 21:33:52',NULL,NULL,15,NULL),
 ('A50C53C1-960C-42BC-9E9A-9BAECEAC88D4',NULL,'2010-02-13 23:54:11','vega',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-13 23:54:11','2010-02-13 23:54:11','2010-02-13 23:54:11',0,0,'2010-02-13 23:54:11',0,'2010-02-13 23:54:11',0,'2010-02-13 23:54:11',NULL,NULL,15,NULL),
 ('A5111BC7-9AFB-485A-8008-6A01DB6647D9',NULL,'2010-01-18 07:33:36','ala',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-18 07:34:16','2010-01-18 07:33:36','2010-01-18 07:33:36',0,0,'2010-01-18 07:33:36',0,'2010-01-18 07:33:36',0,'2010-01-18 07:33:36',NULL,NULL,15,NULL),
 ('A52482F5-006A-4EE1-92A6-27DC3A2DF7BC',NULL,'2010-06-18 07:15:25','Crecyncgync',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-18 07:15:25','2010-06-18 07:15:25','2010-06-18 07:15:25',0,0,'2010-06-18 07:15:25',0,'2010-06-18 07:15:25',0,'2010-06-18 07:15:25',NULL,NULL,1,NULL),
 ('A5678A58-C1FF-492D-9427-C2648800D0AC',NULL,'2010-08-06 19:51:25','martaemiliag',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-06 19:51:25','2010-08-06 19:51:25','2010-08-06 19:51:25',0,0,'2010-08-06 19:51:25',0,'2010-08-06 19:51:25',0,'2010-08-06 19:51:25',NULL,NULL,1,NULL),
 ('A5AAE6C7-CF3D-4F25-BAA6-5AD985DB6C8E',NULL,'2010-05-29 21:26:26','niceguyforuxzcv',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-29 21:26:26','2010-05-29 21:26:26','2010-05-29 21:26:26',0,0,'2010-05-29 21:26:26',0,'2010-05-29 21:26:26',0,'2010-05-29 21:26:26',NULL,NULL,1,NULL),
 ('A5E1C489-0838-4FFF-96E4-00C46A1719C6',NULL,'2010-02-09 14:40:36','Freerma',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-09 14:40:36','2010-02-09 14:40:36','2010-02-09 14:40:36',0,0,'2010-02-09 14:40:36',0,'2010-02-09 14:40:36',0,'2010-02-09 14:40:36',NULL,NULL,15,NULL),
 ('A5F31DA1-A253-433D-B2A0-6A4BA8217825',NULL,'2010-01-16 16:28:43','poestyHiewows',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-16 16:28:42','2010-01-16 16:28:42','2010-01-16 16:28:42',0,0,'2010-01-16 16:28:42',0,'2010-01-16 16:28:42',0,'2010-01-16 16:28:42',NULL,NULL,1,NULL),
 ('A63AEACB-4DDA-49FD-8FA6-46C9DE3C8B9E',NULL,'2010-02-01 10:34:21','trullieri',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-01 10:34:20','2010-02-01 10:34:20','2010-02-01 10:34:20',0,0,'2010-02-01 10:34:20',0,'2010-02-01 10:34:20',0,'2010-02-01 10:34:20',NULL,NULL,13,NULL),
 ('A64526FF-AD70-4F98-AE9C-9282B07681AF',NULL,'2009-11-13 04:05:42','tredPleredo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-13 04:05:42','2009-11-13 04:05:42','2009-11-13 04:05:42',0,0,'2009-11-13 04:05:42',0,'2009-11-13 04:05:42',0,'2009-11-13 04:05:42',NULL,NULL,1,NULL),
 ('A67FEA8E-7875-49DC-AE18-BBCC9F9D6573',NULL,'2010-03-26 18:18:29','rercormubmado',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-26 18:18:29','2010-03-26 18:18:29','2010-03-26 18:18:29',0,0,'2010-03-26 18:18:29',0,'2010-03-26 18:18:29',0,'2010-03-26 18:18:29',NULL,NULL,1,NULL),
 ('A6893F16-2FD5-402F-9DC0-9F87DEC79E76',NULL,'2010-08-09 21:41:20','Treliaoberi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-09 21:41:20','2010-08-09 21:41:20','2010-08-09 21:41:20',0,0,'2010-08-09 21:41:20',0,'2010-08-09 21:41:20',0,'2010-08-09 21:41:20',NULL,NULL,1,NULL),
 ('A68E9BFA-4470-4384-9A6E-C7027C078F19',NULL,'2010-05-21 12:44:17','GyncDyncguaxy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-21 12:44:17','2010-05-21 12:44:17','2010-05-21 12:44:17',0,0,'2010-05-21 12:44:17',0,'2010-05-21 12:44:17',0,'2010-05-21 12:44:17',NULL,NULL,13,NULL),
 ('A693885F-7766-4CA5-B026-A1E15C137F6B',NULL,'2009-12-12 23:25:57','WaywardMage',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','favorite color','blue',1,'2009-12-12 23:38:15','2009-12-12 23:25:57','2009-12-12 23:25:57',0,0,'2009-12-12 23:25:57',0,'2009-12-12 23:25:57',0,'2009-12-12 23:25:57',NULL,NULL,1,NULL),
 ('A69DC5F4-F77E-41B3-9B21-D7EDEDC855CA',NULL,'2010-09-21 05:59:14','ethepsycleptVex',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-21 05:59:14','2010-09-21 05:59:14','2010-09-21 05:59:14',0,0,'2010-09-21 05:59:14',0,'2010-09-21 05:59:14',0,'2010-09-21 05:59:14',NULL,NULL,1,NULL),
 ('A6C58835-09D5-4FBA-8D33-3B173B5CF9C5',NULL,'2010-08-16 09:07:52','PlulkyCok',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-16 09:07:54','2010-08-16 09:07:52','2010-08-16 09:07:52',0,0,'2010-08-16 09:07:52',0,'2010-08-16 09:07:52',0,'2010-08-16 09:07:52',NULL,NULL,1,NULL),
 ('A6CA946F-4CEC-485F-8F62-2640AEA0E1EE',NULL,'2010-04-05 16:33:27','adiminiusney',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-05 16:33:27','2010-04-05 16:33:27','2010-04-05 16:33:27',0,0,'2010-04-05 16:33:27',0,'2010-04-05 16:33:27',0,'2010-04-05 16:33:27',NULL,NULL,1,NULL),
 ('A6D98A13-759E-4B1C-9B57-1EF9DADAE4A5',NULL,'2010-08-13 18:02:51','SheabeMib',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-13 18:02:51','2010-08-13 18:02:51','2010-08-13 18:02:51',0,0,'2010-08-13 18:02:51',0,'2010-08-13 18:02:51',0,'2010-08-13 18:02:51',NULL,NULL,1,NULL),
 ('A704115F-D0DE-4BB8-B68B-85DADC43A6B8',NULL,'2010-02-06 12:23:01','SesFooppy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-06 12:23:01','2010-02-06 12:23:01','2010-02-06 12:23:01',0,0,'2010-02-06 12:23:01',0,'2010-02-06 12:23:01',0,'2010-02-06 12:23:01',NULL,NULL,1,NULL),
 ('A71FECB0-D27C-4AB9-BF92-A52F2EB74BE6',NULL,'2010-08-11 05:36:52','Vaitiskissse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-11 05:36:52','2010-08-11 05:36:52','2010-08-11 05:36:52',0,0,'2010-08-11 05:36:52',0,'2010-08-11 05:36:52',0,'2010-08-11 05:36:52',NULL,NULL,1,NULL),
 ('A7568DD3-61BF-4865-A907-B32563DCD044',NULL,'2010-05-11 15:30:50','Arovehonahary',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-11 15:30:49','2010-05-11 15:30:49','2010-05-11 15:30:49',0,0,'2010-05-11 15:30:49',0,'2010-05-11 15:30:49',0,'2010-05-11 15:30:49',NULL,NULL,1,NULL),
 ('A7C89C9D-145B-41FB-B9DA-6C523FA3AACB',NULL,'2010-09-05 00:50:04','alothethy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-05 00:50:04','2010-09-05 00:50:04','2010-09-05 00:50:04',0,0,'2010-09-05 00:50:04',0,'2010-09-05 00:50:04',0,'2010-09-05 00:50:04',NULL,NULL,1,NULL),
 ('A7D4E419-9B5C-49C9-A75F-62917EE83D35',NULL,'2009-11-29 23:33:17','bluttortrer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-29 23:33:16','2009-11-29 23:33:16','2009-11-29 23:33:16',0,0,'2009-11-29 23:33:16',0,'2009-11-29 23:33:16',0,'2009-11-29 23:33:16',NULL,NULL,1,NULL),
 ('A85A680F-4024-4CCC-B668-621AA011AB19',NULL,'2010-05-23 19:53:45','SoFsose',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-23 19:53:45','2010-05-23 19:53:45','2010-05-23 19:53:45',0,0,'2010-05-23 19:53:45',0,'2010-05-23 19:53:45',0,'2010-05-23 19:53:45',NULL,NULL,1,NULL),
 ('A85B1B03-12FA-496B-887C-70B3DDA68C26',NULL,'2010-06-24 07:23:53','VerLarotose',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-24 07:23:53','2010-06-24 07:23:53','2010-06-24 07:23:53',0,0,'2010-06-24 07:23:53',0,'2010-06-24 07:23:53',0,'2010-06-24 07:23:53',NULL,NULL,1,NULL),
 ('A87DEB9F-1C4A-452B-8E7D-6FDB9DA51FE3',NULL,'2009-12-10 09:19:15','tuperaree',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-10 09:19:15','2009-12-10 09:19:15','2009-12-10 09:19:15',0,0,'2009-12-10 09:19:15',0,'2009-12-10 09:19:15',0,'2009-12-10 09:19:15',NULL,NULL,1,NULL),
 ('A8C6B866-1167-4F1E-8B4C-8608CA0E8A55',NULL,'2010-03-08 04:17:25','Narourgenonna',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-08 04:17:25','2010-03-08 04:17:25','2010-03-08 04:17:25',0,0,'2010-03-08 04:17:25',0,'2010-03-08 04:17:25',0,'2010-03-08 04:17:25',NULL,NULL,1,NULL),
 ('A8CBED76-DF85-4984-B7B0-B6979335EC0A',NULL,'2010-03-07 00:53:56','mooldeholmell',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-07 00:53:56','2010-03-07 00:53:56','2010-03-07 00:53:56',0,0,'2010-03-07 00:53:56',0,'2010-03-07 00:53:56',0,'2010-03-07 00:53:56',NULL,NULL,13,NULL),
 ('A8D29F26-AD5A-4F95-9C36-EFBE04FA1880',NULL,'2009-11-19 04:26:00','Freeman@sn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-19 04:26:00','2009-11-19 04:26:00','2009-11-19 04:26:00',0,0,'2009-11-19 04:26:00',0,'2009-11-19 04:26:00',0,'2009-11-19 04:26:00',NULL,NULL,1,NULL),
 ('A902F3C0-BC38-4A9B-8B9C-7418CBAC1268',NULL,'2010-07-06 17:51:08','SainnaQuify',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-06 17:51:07','2010-07-06 17:51:07','2010-07-06 17:51:07',0,0,'2010-07-06 17:51:07',0,'2010-07-06 17:51:07',0,'2010-07-06 17:51:07',NULL,NULL,1,NULL),
 ('A90BE2F8-62FA-479F-AE3F-F4AEBEEA8546',NULL,'2010-06-01 00:59:47','silfara',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-01 00:59:47','2010-06-01 00:59:47','2010-06-01 00:59:47',0,0,'2010-06-01 00:59:47',0,'2010-06-01 00:59:47',0,'2010-06-01 00:59:47',NULL,NULL,1,NULL),
 ('A91467A8-7A8C-4D00-9EBF-3630A95CC817',NULL,'2010-07-04 21:09:40','JXDavid',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-04 21:09:40','2010-07-04 21:09:40','2010-07-04 21:09:40',0,0,'2010-07-04 21:09:40',0,'2010-07-04 21:09:40',0,'2010-07-04 21:09:40',NULL,NULL,1,NULL),
 ('A93E7397-A7BA-40D2-B6A4-9851A9BAD114',NULL,'2010-09-28 19:49:33','TeadiedarrothMilextazTl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-28 19:49:33','2010-09-28 19:49:33','2010-09-28 19:49:33',0,0,'2010-09-28 19:49:33',0,'2010-09-28 19:49:33',0,'2010-09-28 19:49:33',NULL,NULL,1,NULL),
 ('A953C1CD-AD63-456F-9D52-E711B62D31AE',NULL,'2010-04-22 16:33:40','lautipa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-22 16:33:40','2010-04-22 16:33:40','2010-04-22 16:33:40',0,0,'2010-04-22 16:33:40',0,'2010-04-22 16:33:40',0,'2010-04-22 16:33:40',NULL,NULL,1,NULL),
 ('A95B1B05-041C-4383-9EB8-9F59E0FF31C9',NULL,'2010-03-10 08:06:23','VatTenIrrarty',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-10 08:06:23','2010-03-10 08:06:23','2010-03-10 08:06:23',0,0,'2010-03-10 08:06:23',0,'2010-03-10 08:06:23',0,'2010-03-10 08:06:23',NULL,NULL,1,NULL),
 ('A9BF651C-EDA5-41A8-8EA3-3BDAAC6BFF95',NULL,'2010-07-02 16:56:08','FrouFrouFrou',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-02 16:56:08','2010-07-02 16:56:08','2010-07-02 16:56:08',0,0,'2010-07-02 16:56:08',0,'2010-07-02 16:56:08',0,'2010-07-02 16:56:08',NULL,NULL,1,NULL),
 ('A9F47081-31FA-4071-885B-B2BE23085DFD',NULL,'2010-06-27 11:03:09','pole9q',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-27 11:03:09','2010-06-27 11:03:09','2010-06-27 11:03:09',0,0,'2010-06-27 11:03:09',0,'2010-06-27 11:03:09',0,'2010-06-27 11:03:09',NULL,NULL,13,NULL),
 ('AA260465-9533-4C9A-BC69-F760345D224A',NULL,'2010-03-19 13:52:24','dlaxisvans',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-19 13:52:24','2010-03-19 13:52:24','2010-03-19 13:52:24',0,0,'2010-03-19 13:52:24',0,'2010-03-19 13:52:24',0,'2010-03-19 13:52:24',NULL,NULL,1,NULL),
 ('AA61EFE6-71ED-49AF-91E1-78AFC4EB8B7D',NULL,'2010-07-03 01:41:19','accersoracoum',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-03 01:41:19','2010-07-03 01:41:19','2010-07-03 01:41:19',0,0,'2010-07-03 01:41:19',0,'2010-07-03 01:41:19',0,'2010-07-03 01:41:19',NULL,NULL,1,NULL),
 ('AA8DF0D5-50AE-4678-802F-76085C5421C0',NULL,'2010-05-12 07:46:43','Dipesonsesia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-12 07:46:43','2010-05-12 07:46:43','2010-05-12 07:46:43',0,0,'2010-05-12 07:46:43',0,'2010-05-12 07:46:43',0,'2010-05-12 07:46:43',NULL,NULL,1,NULL),
 ('AAAD6637-F8D9-48A6-A6D4-7810D1B27468',NULL,'2010-04-03 01:31:43','MDSketch',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-03 01:31:50','2010-04-03 01:31:43','2010-04-03 01:31:43',0,0,'2010-04-03 01:31:43',0,'2010-04-03 01:31:43',0,'2010-04-03 01:31:43',NULL,NULL,1,NULL),
 ('AABBADDF-D85A-4C80-9839-AD6348212714',NULL,'2010-06-12 13:07:03','LuxMobiles',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-12 13:07:03','2010-06-12 13:07:03','2010-06-12 13:07:03',0,0,'2010-06-12 13:07:03',0,'2010-06-12 13:07:03',0,'2010-06-12 13:07:03',NULL,NULL,1,NULL),
 ('AB048274-2233-4034-ABB1-BFEC625C622F',NULL,'2010-04-01 22:18:55','robberttwelss',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-01 22:18:55','2010-04-01 22:18:55','2010-04-01 22:18:55',0,0,'2010-04-01 22:18:55',0,'2010-04-01 22:18:55',0,'2010-04-01 22:18:55',NULL,NULL,1,NULL),
 ('AB2685B3-78DD-4E54-8F80-11A6FF327DED',NULL,'2010-03-12 05:58:57','Exodisinguing',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-12 05:58:57','2010-03-12 05:58:57','2010-03-12 05:58:57',0,0,'2010-03-12 05:58:57',0,'2010-03-12 05:58:57',0,'2010-03-12 05:58:57',NULL,NULL,14,NULL),
 ('AB2DCD12-BC84-446D-8041-8AABE40F8A02',NULL,'2010-03-14 07:46:34','Eradonopdop',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-14 07:46:33','2010-03-14 07:46:33','2010-03-14 07:46:33',0,0,'2010-03-14 07:46:33',0,'2010-03-14 07:46:33',0,'2010-03-14 07:46:33',NULL,NULL,1,NULL),
 ('AB480B6A-33E4-45F3-AF5C-E266766E0799',NULL,'2009-10-25 18:21:11','axiom255',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-10-25 18:21:29','2009-10-25 18:21:11','2009-10-25 18:21:11',0,0,'2009-10-25 18:21:11',0,'2009-10-25 18:21:11',0,'2009-10-25 18:21:11',NULL,NULL,1,NULL),
 ('AB6854BB-C7F9-418C-9CB0-65C4960514C9',NULL,'2010-07-01 18:55:52','Kuzisenajoo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-01 18:55:52','2010-07-01 18:55:52','2010-07-01 18:55:52',0,0,'2010-07-01 18:55:52',0,'2010-07-01 18:55:52',0,'2010-07-01 18:55:52',NULL,NULL,1,NULL),
 ('ABC99382-3B16-4C1D-B1D0-85FB5BCE35C0',NULL,'2010-07-12 22:13:13','fastconstruction',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-12 22:13:13','2010-07-12 22:13:13','2010-07-12 22:13:13',0,0,'2010-07-12 22:13:13',0,'2010-07-12 22:13:13',0,'2010-07-12 22:13:13',NULL,NULL,14,NULL),
 ('ABE28745-5E30-4FC0-BF1A-BE4E98197A37',NULL,'2010-09-22 22:34:37','AttagetaG',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-22 22:34:37','2010-09-22 22:34:37','2010-09-22 22:34:37',0,0,'2010-09-22 22:34:37',0,'2010-09-22 22:34:37',0,'2010-09-22 22:34:37',NULL,NULL,1,NULL),
 ('ABEEA4F2-0140-4FB5-82AC-F1CC52869D40',NULL,'2010-05-12 09:12:20','Booliphishsit',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-12 09:12:20','2010-05-12 09:12:20','2010-05-12 09:12:20',0,0,'2010-05-12 09:12:20',0,'2010-05-12 09:12:20',0,'2010-05-12 09:12:20',NULL,NULL,13,NULL),
 ('ABF87809-AD3A-4041-9598-754292434ED6',NULL,'2010-05-02 20:42:09','VottSmiltsgz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-02 20:42:09','2010-05-02 20:42:09','2010-05-02 20:42:09',0,0,'2010-05-02 20:42:09',0,'2010-05-02 20:42:09',0,'2010-05-02 20:42:09',NULL,NULL,13,NULL),
 ('AC1ACFAD-43AA-48E0-A666-12A536750C78',NULL,'2010-05-29 21:01:28','Layernbruibre',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-29 21:01:28','2010-05-29 21:01:28','2010-05-29 21:01:28',0,0,'2010-05-29 21:01:28',0,'2010-05-29 21:01:28',0,'2010-05-29 21:01:28',NULL,NULL,1,NULL),
 ('AC3A6E71-C725-4F42-B6DD-140BEF19702A',NULL,'2010-03-11 07:53:15','bgcgreality',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-11 07:53:15','2010-03-11 07:53:15','2010-03-11 07:53:15',0,0,'2010-03-11 07:53:15',0,'2010-03-11 07:53:15',0,'2010-03-11 07:53:15',NULL,NULL,1,NULL),
 ('AC6E1C5C-8F18-4CBE-A308-75CA548D8ED4',NULL,'2010-07-28 13:00:27','liegreven',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-28 13:00:27','2010-07-28 13:00:27','2010-07-28 13:00:27',0,0,'2010-07-28 13:00:27',0,'2010-07-28 13:00:27',0,'2010-07-28 13:00:27',NULL,NULL,1,NULL),
 ('AC7FD783-9B66-4377-8606-4A6067B7789F',NULL,'2009-12-10 11:53:17','g.ciocci',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','cane?','dora',1,'2009-12-11 05:14:52','2009-12-11 04:43:41','2009-12-10 11:53:17',0,0,'2009-12-10 11:53:17',0,'2009-12-10 11:53:17',0,'2009-12-10 11:53:17',NULL,NULL,1,NULL),
 ('AC9A0618-6872-46F0-9B2A-8CAC6B520FDD',NULL,'2010-05-16 19:22:48','fiercespise',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 19:22:48','2010-05-16 19:22:48','2010-05-16 19:22:48',0,0,'2010-05-16 19:22:48',0,'2010-05-16 19:22:48',0,'2010-05-16 19:22:48',NULL,NULL,1,NULL),
 ('AC9CA699-4424-4A4F-AB25-13B916C1F3AC',NULL,'2010-02-10 14:20:32','clubpenguincode',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-10 14:20:32','2010-02-10 14:20:32','2010-02-10 14:20:32',0,0,'2010-02-10 14:20:32',0,'2010-02-10 14:20:32',0,'2010-02-10 14:20:32',NULL,NULL,13,NULL),
 ('AC9F2E72-C653-4C49-9C4B-136E91B4F751',NULL,'2010-07-10 02:27:49','NirmweveCrert',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-10 02:27:49','2010-07-10 02:27:49','2010-07-10 02:27:49',0,0,'2010-07-10 02:27:49',0,'2010-07-10 02:27:49',0,'2010-07-10 02:27:49',NULL,NULL,1,NULL),
 ('ACA23139-E128-471B-8D40-824A407CF05C',NULL,'2010-04-09 21:08:11','LadyAndertr',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-09 21:08:11','2010-04-09 21:08:11','2010-04-09 21:08:11',0,0,'2010-04-09 21:08:11',0,'2010-04-09 21:08:11',0,'2010-04-09 21:08:11',NULL,NULL,13,NULL),
 ('ACBE09D5-5EC6-4E24-B0E9-97DDFE61E97E',NULL,'2010-07-20 13:43:25','vystinata',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-20 13:43:25','2010-07-20 13:43:25','2010-07-20 13:43:25',0,0,'2010-07-20 13:43:25',0,'2010-07-20 13:43:25',0,'2010-07-20 13:43:25',NULL,NULL,13,NULL),
 ('AD81F4F5-ECD8-4DA3-A182-1F40DBA10EF7',NULL,'2010-01-17 01:09:53','Burnzette',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-17 01:09:53','2010-01-17 01:09:53','2010-01-17 01:09:53',0,0,'2010-01-17 01:09:53',0,'2010-01-17 01:09:53',0,'2010-01-17 01:09:53',NULL,NULL,15,NULL),
 ('ADBC4FF3-5EDE-4D33-A1E2-BB6EC9DEE7AE',NULL,'2010-04-12 08:19:35','easyos2000',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','maiden name','vakirtzi',1,'2010-04-12 09:38:16','2010-04-12 08:19:35','2010-04-12 08:19:35',0,0,'2010-04-12 08:19:35',0,'2010-04-12 08:19:35',0,'2010-04-12 08:19:35',NULL,NULL,1,NULL);
INSERT INTO `users` (`UserID`,`Name`,`CreationDate`,`Username`,`ApplicationName`,`Email`,`Password`,`PasswordQuestion`,`PasswordAnswer`,`IsApproved`,`LastActivityDate`,`LastLoginDate`,`LastPasswordChangedDate`,`IsOnline`,`IsLockedOut`,`LastLockedOutDate`,`FailedPasswordAttemptCount`,`FailedPasswordAttemptWindowStart`,`FailedPasswordAnswerAttemptCount`,`FailedPasswordAnswerAttemptWindowStart`,`LastModified`,`Comment`,`PortalID`,`OpenId`) VALUES 
 ('AE43F9F0-C4FA-47C5-AAFC-F981AA8F2B8B',NULL,'2010-05-20 12:19:27','Goldbergloda',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-20 12:19:26','2010-05-20 12:19:26','2010-05-20 12:19:26',0,0,'2010-05-20 12:19:26',0,'2010-05-20 12:19:26',0,'2010-05-20 12:19:26',NULL,NULL,1,NULL),
 ('AE635F55-A277-4F15-85A5-D4F730524882',NULL,'2010-05-08 07:42:21','JannetC',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-08 07:42:21','2010-05-08 07:42:21','2010-05-08 07:42:21',0,0,'2010-05-08 07:42:21',0,'2010-05-08 07:42:21',0,'2010-05-08 07:42:21',NULL,NULL,1,NULL),
 ('AE644F24-4489-4B22-8AF3-17A5F181391A',NULL,'2010-06-10 08:38:34','neattovenew',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-10 08:38:34','2010-06-10 08:38:34','2010-06-10 08:38:34',0,0,'2010-06-10 08:38:34',0,'2010-06-10 08:38:34',0,'2010-06-10 08:38:34',NULL,NULL,1,NULL),
 ('AE6A2B00-1457-4E53-B4E8-C6DD95547CF7',NULL,'2010-03-03 00:06:35','zmyHairsalons',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-03 00:06:35','2010-03-03 00:06:35','2010-03-03 00:06:35',0,0,'2010-03-03 00:06:35',0,'2010-03-03 00:06:35',0,'2010-03-03 00:06:35',NULL,NULL,1,NULL),
 ('AEB0776C-DC58-42C0-9BA1-ACBB42939695',NULL,'2010-10-13 06:39:45','wrappibverb',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-13 06:39:45','2010-10-13 06:39:45','2010-10-13 06:39:45',0,0,'2010-10-13 06:39:45',0,'2010-10-13 06:39:45',0,'2010-10-13 06:39:45',NULL,NULL,1,NULL),
 ('AEBBED9B-77CD-448D-986C-A1EFD666BE5F',NULL,'2010-08-24 07:20:23','vimzAparypesypier',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-24 07:20:32','2010-08-24 07:20:23','2010-08-24 07:20:23',0,0,'2010-08-24 07:20:23',0,'2010-08-24 07:20:23',0,'2010-08-24 07:20:23',NULL,NULL,13,NULL),
 ('AEE86ACB-D3CD-482B-8174-71133A190233',NULL,'2010-07-29 08:55:02','Tivinnapleale',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-29 08:55:02','2010-07-29 08:55:02','2010-07-29 08:55:02',0,0,'2010-07-29 08:55:02',0,'2010-07-29 08:55:02',0,'2010-07-29 08:55:02',NULL,NULL,13,NULL),
 ('AF056FAD-1C7C-47F0-B080-6D4A54843FEE',NULL,'2010-08-25 11:50:02','sdusedcars',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-25 11:50:02','2010-08-25 11:50:02','2010-08-25 11:50:02',0,0,'2010-08-25 11:50:02',0,'2010-08-25 11:50:02',0,'2010-08-25 11:50:02',NULL,NULL,14,NULL),
 ('AF3CCD8B-D39B-48CC-8C3D-EC6353B54041',NULL,'2010-04-09 09:13:19','gloria5kc',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-09 09:13:19','2010-04-09 09:13:19','2010-04-09 09:13:19',0,0,'2010-04-09 09:13:19',0,'2010-04-09 09:13:19',0,'2010-04-09 09:13:19',NULL,NULL,1,NULL),
 ('AF941393-0460-4472-9600-B8AC6B45CC33',NULL,'2010-01-13 20:32:47','MasyaNEwefs',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-13 20:32:46','2010-01-13 20:32:46','2010-01-13 20:32:46',0,0,'2010-01-13 20:32:46',0,'2010-01-13 20:32:46',0,'2010-01-13 20:32:46',NULL,NULL,1,NULL),
 ('AFD0A6EE-6042-4222-8040-0309820AD68A',NULL,'2010-01-06 20:37:58','ShoughKayally',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-06 20:37:58','2010-01-06 20:37:58','2010-01-06 20:37:58',0,0,'2010-01-06 20:37:58',0,'2010-01-06 20:37:58',0,'2010-01-06 20:37:58',NULL,NULL,14,NULL),
 ('B01F2D04-7FA6-4D45-AB23-03A9E01389AF',NULL,'2009-12-16 12:54:32','Lywowsridewow',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-16 12:54:32','2009-12-16 12:54:32','2009-12-16 12:54:32',0,0,'2009-12-16 12:54:32',0,'2009-12-16 12:54:32',0,'2009-12-16 12:54:32',NULL,NULL,1,NULL),
 ('B0D0CD67-3FE1-493D-B77E-106FBF932848',NULL,'2010-03-26 12:48:00','nedvizimost',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-26 12:48:00','2010-03-26 12:48:00','2010-03-26 12:48:00',0,0,'2010-03-26 12:48:00',0,'2010-03-26 12:48:00',0,'2010-03-26 12:48:00',NULL,NULL,1,NULL),
 ('B0F64179-078E-4371-8194-5B6F3920E390',NULL,'2010-03-17 11:19:38','Avepeassedge',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-17 11:19:38','2010-03-17 11:19:38','2010-03-17 11:19:38',0,0,'2010-03-17 11:19:38',0,'2010-03-17 11:19:38',0,'2010-03-17 11:19:38',NULL,NULL,1,NULL),
 ('B1281EE5-C2DB-4EA3-A682-B663056A8DD3',NULL,'2010-01-21 03:05:39','IndunnyImmoxeptpes',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-21 03:05:38','2010-01-21 03:05:38','2010-01-21 03:05:38',0,0,'2010-01-21 03:05:38',0,'2010-01-21 03:05:38',0,'2010-01-21 03:05:38',NULL,NULL,1,NULL),
 ('B13AD0A1-4F27-4BAE-8490-9B3453293FCF',NULL,'2010-09-30 19:57:37','powaymassage',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-30 19:57:36','2010-09-30 19:57:36','2010-09-30 19:57:36',0,0,'2010-09-30 19:57:36',0,'2010-09-30 19:57:36',0,'2010-09-30 19:57:36',NULL,NULL,14,NULL),
 ('B1521FF6-DC09-4C59-84E0-34610A80E380',NULL,'2010-07-07 23:44:16','Binihodwiny',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-07 23:44:16','2010-07-07 23:44:16','2010-07-07 23:44:16',0,0,'2010-07-07 23:44:16',0,'2010-07-07 23:44:16',0,'2010-07-07 23:44:16',NULL,NULL,1,NULL),
 ('B16C5723-3F10-4033-9515-C7BDAD63318F',NULL,'2009-12-15 08:00:32','a1',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-12-15 08:03:13','2009-12-15 08:00:32','2009-12-15 08:00:32',0,0,'2009-12-15 08:00:32',0,'2009-12-15 08:00:32',0,'2009-12-15 08:00:32',NULL,NULL,15,NULL),
 ('B18932C3-0C06-4338-90AD-D39943689C2D',NULL,'2010-08-15 18:45:04','HitUtibritkek',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-15 18:45:04','2010-08-15 18:45:04','2010-08-15 18:45:04',0,0,'2010-08-15 18:45:04',0,'2010-08-15 18:45:04',0,'2010-08-15 18:45:04',NULL,NULL,13,NULL),
 ('B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',NULL,'2009-04-08 20:32:02','Admin','MvcCms','info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-10-10 13:17:30','2010-10-10 13:13:27','2009-10-18 22:04:09',0,1,'2010-03-30 14:16:39',1,'2010-09-22 09:48:04',0,'2009-04-08 20:32:02',NULL,NULL,1,NULL),
 ('B22D177A-E46E-439F-B095-30AD0703220F',NULL,'2010-06-11 20:23:32','interiordesign',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-11 20:23:32','2010-06-11 20:23:32','2010-06-11 20:23:32',0,0,'2010-06-11 20:23:32',0,'2010-06-11 20:23:32',0,'2010-06-11 20:23:32',NULL,NULL,1,NULL),
 ('B234866D-6BD0-4B86-88B2-3D28C8FB7345',NULL,'2010-08-03 21:52:47','fliedlest',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-03 21:52:47','2010-08-03 21:52:47','2010-08-03 21:52:47',0,0,'2010-08-03 21:52:47',0,'2010-08-03 21:52:47',0,'2010-08-03 21:52:47',NULL,NULL,13,NULL),
 ('B239D745-711C-42D6-9A38-2361B5E49B43',NULL,'2010-05-03 15:21:23','jeremiedfpkurt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-03 15:21:23','2010-05-03 15:21:23','2010-05-03 15:21:23',0,0,'2010-05-03 15:21:23',0,'2010-05-03 15:21:23',0,'2010-05-03 15:21:23',NULL,NULL,1,NULL),
 ('B23A89F3-35D7-40FA-BECA-F134F2D62F23',NULL,'2009-11-21 09:55:47','wheerceic',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-21 09:55:47','2009-11-21 09:55:47','2009-11-21 09:55:47',0,0,'2009-11-21 09:55:47',0,'2009-11-21 09:55:47',0,'2009-11-21 09:55:47',NULL,NULL,13,NULL),
 ('B24AE618-3005-4724-B121-EA7F89A5919A',NULL,'2010-03-15 00:07:48','cataGrolo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-15 00:07:48','2010-03-15 00:07:48','2010-03-15 00:07:48',0,0,'2010-03-15 00:07:48',0,'2010-03-15 00:07:48',0,'2010-03-15 00:07:48',NULL,NULL,13,NULL),
 ('B2E57D70-6AE7-4F7C-86E0-91D8F8E96A47',NULL,'2010-09-28 22:59:37','mylittlegonni',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-28 22:59:37','2010-09-28 22:59:37','2010-09-28 22:59:37',0,0,'2010-09-28 22:59:37',0,'2010-09-28 22:59:37',0,'2010-09-28 22:59:37',NULL,NULL,1,NULL),
 ('B2E8E4C1-ECED-4BE0-994C-D2D3258D68B7',NULL,'2010-05-27 10:12:11','Thophyday',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-27 10:12:11','2010-05-27 10:12:11','2010-05-27 10:12:11',0,0,'2010-05-27 10:12:11',0,'2010-05-27 10:12:11',0,'2010-05-27 10:12:11',NULL,NULL,1,NULL),
 ('B2FC537E-F516-4EA5-AE61-CEA26EA1C6FD',NULL,'2010-08-18 05:13:30','LesReisok',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-18 05:13:30','2010-08-18 05:13:30','2010-08-18 05:13:30',0,0,'2010-08-18 05:13:30',0,'2010-08-18 05:13:30',0,'2010-08-18 05:13:30',NULL,NULL,1,NULL),
 ('B31F4226-A132-4CCE-AE23-46A6879F15A2',NULL,'2010-07-13 11:58:46','Snanguppy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-13 11:58:46','2010-07-13 11:58:46','2010-07-13 11:58:46',0,0,'2010-07-13 11:58:46',0,'2010-07-13 11:58:46',0,'2010-07-13 11:58:46',NULL,NULL,1,NULL),
 ('B3814774-4782-42AC-A43B-E5B3F44FC963',NULL,'2009-12-23 05:00:30','PedWheept',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-23 05:00:30','2009-12-23 05:00:30','2009-12-23 05:00:30',0,0,'2009-12-23 05:00:30',0,'2009-12-23 05:00:30',0,'2009-12-23 05:00:30',NULL,NULL,14,NULL),
 ('B39B0FF3-3008-4B4D-A170-B9956CABB332',NULL,'2010-06-12 09:29:30','Tetindicesish',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-12 09:29:30','2010-06-12 09:29:30','2010-06-12 09:29:30',0,0,'2010-06-12 09:29:30',0,'2010-06-12 09:29:30',0,'2010-06-12 09:29:30',NULL,NULL,1,NULL),
 ('B3CA5B25-E9C0-4B65-B3B4-3CCA21D7962E',NULL,'2010-02-17 01:48:15','Invenseatot',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-17 01:48:14','2010-02-17 01:48:14','2010-02-17 01:48:14',0,0,'2010-02-17 01:48:14',0,'2010-02-17 01:48:14',0,'2010-02-17 01:48:14',NULL,NULL,13,NULL),
 ('B3D7497B-9194-45AB-B00D-4508C6DF2E6F',NULL,'2010-10-02 12:31:38','Drurfsoms',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-02 12:31:38','2010-10-02 12:31:38','2010-10-02 12:31:38',0,0,'2010-10-02 12:31:38',0,'2010-10-02 12:31:38',0,'2010-10-02 12:31:38',NULL,NULL,13,NULL),
 ('B4032677-4B3B-45E6-AED2-9545516A42C8',NULL,'2009-11-20 11:58:29','blchiliuserlos',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-20 11:58:29','2009-11-20 11:58:29','2009-11-20 11:58:29',0,0,'2009-11-20 11:58:29',0,'2009-11-20 11:58:29',0,'2009-11-20 11:58:29',NULL,NULL,1,NULL),
 ('B44315DC-DBC2-4E75-A030-43A8F2F0B5FA',NULL,'2010-07-08 17:40:31','funionseliope',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-08 17:40:31','2010-07-08 17:40:31','2010-07-08 17:40:31',0,0,'2010-07-08 17:40:31',0,'2010-07-08 17:40:31',0,'2010-07-08 17:40:31',NULL,NULL,1,NULL),
 ('B45DE669-2266-46C1-9894-8822BFFE420D',NULL,'2009-11-22 04:50:19','MyCamsVideosChats',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-22 04:50:19','2009-11-22 04:50:19','2009-11-22 04:50:19',0,0,'2009-11-22 04:50:19',0,'2009-11-22 04:50:19',0,'2009-11-22 04:50:19',NULL,NULL,1,NULL),
 ('B463D08F-6CCA-480C-A39D-3629E143C032',NULL,'2010-02-03 14:20:04','iianvaldeyz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-03 14:20:04','2010-02-03 14:20:04','2010-02-03 14:20:04',0,0,'2010-02-03 14:20:04',0,'2010-02-03 14:20:04',0,'2010-02-03 14:20:04',NULL,NULL,1,NULL),
 ('B4A4B09C-BE5D-4BDB-9B6A-3326D6EAE74E',NULL,'2010-06-03 16:47:23','keteTemiweige',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-03 16:47:23','2010-06-03 16:47:23','2010-06-03 16:47:23',0,0,'2010-06-03 16:47:23',0,'2010-06-03 16:47:23',0,'2010-06-03 16:47:23',NULL,NULL,1,NULL),
 ('B4A84658-C186-435C-9328-92ED27B361EA',NULL,'2010-10-04 16:13:32','restaurantlancaster',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-04 16:13:32','2010-10-04 16:13:32','2010-10-04 16:13:32',0,0,'2010-10-04 16:13:32',0,'2010-10-04 16:13:32',0,'2010-10-04 16:13:32',NULL,NULL,13,NULL),
 ('B4E2D291-A5A6-44D2-8AE6-BD8F9B04D262',NULL,'2010-05-07 16:21:21','Tillailliff',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-07 16:21:21','2010-05-07 16:21:21','2010-05-07 16:21:21',0,0,'2010-05-07 16:21:21',0,'2010-05-07 16:21:21',0,'2010-05-07 16:21:21',NULL,NULL,1,NULL),
 ('B5301759-25A5-4848-BCFC-6538E67E8788',NULL,'2010-07-30 22:26:01','drughDiltDrig',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-30 22:26:01','2010-07-30 22:26:01','2010-07-30 22:26:01',0,0,'2010-07-30 22:26:01',0,'2010-07-30 22:26:01',0,'2010-07-30 22:26:01',NULL,NULL,1,NULL),
 ('B5312C6B-2102-401A-8E11-3BD94D70C06D',NULL,'2010-08-14 09:31:23','incuraErurf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-14 09:31:23','2010-08-14 09:31:23','2010-08-14 09:31:23',0,0,'2010-08-14 09:31:23',0,'2010-08-14 09:31:23',0,'2010-08-14 09:31:23',NULL,NULL,1,NULL),
 ('B541A861-2579-4693-86A6-4D1E9A8633DF',NULL,'2010-03-17 04:02:21','Reavaisse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-17 04:02:21','2010-03-17 04:02:21','2010-03-17 04:02:21',0,0,'2010-03-17 04:02:21',0,'2010-03-17 04:02:21',0,'2010-03-17 04:02:21',NULL,NULL,1,NULL),
 ('B5560D56-6063-4765-AD3F-F08982EF4E98',NULL,'2010-05-31 20:30:17','BunderArray',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-31 20:30:17','2010-05-31 20:30:17','2010-05-31 20:30:17',0,0,'2010-05-31 20:30:17',0,'2010-05-31 20:30:17',0,'2010-05-31 20:30:17',NULL,NULL,1,NULL),
 ('B56B3D39-E447-42EA-ACF5-C6A7BC1C78E6',NULL,'2010-09-10 21:57:41','leratinos',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-10 21:57:41','2010-09-10 21:57:41','2010-09-10 21:57:41',0,0,'2010-09-10 21:57:41',0,'2010-09-10 21:57:41',0,'2010-09-10 21:57:41',NULL,NULL,1,NULL),
 ('B6015F3D-812F-4E84-B491-9639238B43D3',NULL,'2010-02-17 00:58:46','MeyerChadwick',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-17 00:58:46','2010-02-17 00:58:46','2010-02-17 00:58:46',0,0,'2010-02-17 00:58:46',0,'2010-02-17 00:58:46',0,'2010-02-17 00:58:46',NULL,NULL,14,NULL),
 ('B616D676-81CD-4266-B3D6-5B002D043214',NULL,'2010-01-11 22:57:00','sloreality',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-11 22:57:00','2010-01-11 22:57:00','2010-01-11 22:57:00',0,0,'2010-01-11 22:57:00',0,'2010-01-11 22:57:00',0,'2010-01-11 22:57:00',NULL,NULL,1,NULL),
 ('B63246D6-FB33-4B79-B303-C95CC7BCB9F6',NULL,'2010-08-13 15:06:45','spitocuoupe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-13 15:06:45','2010-08-13 15:06:45','2010-08-13 15:06:45',0,0,'2010-08-13 15:06:45',0,'2010-08-13 15:06:45',0,'2010-08-13 15:06:45',NULL,NULL,1,NULL),
 ('B6343B9F-A967-40CE-BB98-5900F1E01C81',NULL,'2010-06-24 23:02:27','Blorpoboniern',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-24 23:02:27','2010-06-24 23:02:27','2010-06-24 23:02:27',0,0,'2010-06-24 23:02:27',0,'2010-06-24 23:02:27',0,'2010-06-24 23:02:27',NULL,NULL,1,NULL),
 ('B659F3AC-E54A-4071-9DBF-10AB6AB0124A',NULL,'2010-10-12 21:59:31','ignorgeWimmiz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-12 21:59:31','2010-10-12 21:59:31','2010-10-12 21:59:31',0,0,'2010-10-12 21:59:31',0,'2010-10-12 21:59:31',0,'2010-10-12 21:59:31',NULL,NULL,1,NULL),
 ('B6669C7E-0297-4399-8257-A50E9E08E2AF',NULL,'2010-08-01 04:14:09','Glownontorm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-01 04:14:09','2010-08-01 04:14:09','2010-08-01 04:14:09',0,0,'2010-08-01 04:14:09',0,'2010-08-01 04:14:09',0,'2010-08-01 04:14:09',NULL,NULL,13,NULL),
 ('B671B6D0-37A4-4D54-A5D7-EEEF1CDF5A68',NULL,'2010-04-06 13:00:33','suedeatorse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-06 13:01:45','2010-04-06 13:00:33','2010-04-06 13:00:33',0,0,'2010-04-06 13:00:33',0,'2010-04-06 13:00:33',0,'2010-04-06 13:00:33',NULL,NULL,1,NULL),
 ('B6886D7A-39C5-4A77-9FE5-75C408027768',NULL,'2010-06-22 10:00:05','gobeEngisse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-22 10:00:05','2010-06-22 10:00:05','2010-06-22 10:00:05',0,0,'2010-06-22 10:00:05',0,'2010-06-22 10:00:05',0,'2010-06-22 10:00:05',NULL,NULL,1,NULL),
 ('B6A65D98-EA96-461E-9262-0875677146F9',NULL,'2010-01-25 21:01:38','tlatourelle',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-27 07:50:04','2010-01-25 21:01:38','2010-01-25 21:01:38',0,0,'2010-01-25 21:01:38',0,'2010-01-25 21:01:38',0,'2010-01-25 21:01:38',NULL,NULL,15,NULL),
 ('B6EDA84C-C1CE-4CD4-A698-076F14B575CD',NULL,'2010-07-11 14:50:02','Arefessesse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-11 14:50:02','2010-07-11 14:50:02','2010-07-11 14:50:02',0,0,'2010-07-11 14:50:02',0,'2010-07-11 14:50:02',0,'2010-07-11 14:50:02',NULL,NULL,1,NULL),
 ('B7CA3061-9B67-4F84-AE47-D68930AA8054',NULL,'2010-08-30 10:45:41','CourgyCom',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-30 10:45:41','2010-08-30 10:45:41','2010-08-30 10:45:41',0,0,'2010-08-30 10:45:41',0,'2010-08-30 10:45:41',0,'2010-08-30 10:45:41',NULL,NULL,1,NULL),
 ('B7E0464C-EB69-4AD4-A8D8-71DD55D849AD',NULL,'2010-08-27 01:01:20','pripsezekowew',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-27 01:01:20','2010-08-27 01:01:20','2010-08-27 01:01:20',0,0,'2010-08-27 01:01:20',0,'2010-08-27 01:01:20',0,'2010-08-27 01:01:20',NULL,NULL,13,NULL),
 ('B7F6A2CC-B42F-4B91-9595-1427ED08D1E3',NULL,'2010-04-05 01:23:55','SamantaBecham',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-05 01:23:55','2010-04-05 01:23:55','2010-04-05 01:23:55',0,0,'2010-04-05 01:23:55',0,'2010-04-05 01:23:55',0,'2010-04-05 01:23:55',NULL,NULL,1,NULL),
 ('B7FCBEDE-51A0-4777-BA24-59BF04744208',NULL,'2010-07-26 16:01:27','Nikol_Autold',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-26 16:01:27','2010-07-26 16:01:27','2010-07-26 16:01:27',0,0,'2010-07-26 16:01:27',0,'2010-07-26 16:01:27',0,'2010-07-26 16:01:27',NULL,NULL,1,NULL),
 ('B8181D46-EA6D-471A-8AE7-A04DEA36C440',NULL,'2010-02-15 10:18:13','Meelync75',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-15 10:18:13','2010-02-15 10:18:13','2010-02-15 10:18:13',0,0,'2010-02-15 10:18:13',0,'2010-02-15 10:18:13',0,'2010-02-15 10:18:13',NULL,NULL,1,NULL),
 ('B81BAD90-5C2D-4028-8229-9E5E2FC45E9A',NULL,'2010-01-24 06:03:38','kirchich',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-24 06:03:38','2010-01-24 06:03:38','2010-01-24 06:03:38',0,0,'2010-01-24 06:03:38',0,'2010-01-24 06:03:38',0,'2010-01-24 06:03:38',NULL,NULL,1,NULL),
 ('B81D597A-A1F3-4C3F-A113-8D546774C48D',NULL,'2010-06-26 03:43:14','Cattetti',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-26 03:43:19','2010-06-26 03:43:14','2010-06-26 03:43:14',0,0,'2010-06-26 03:43:14',0,'2010-06-26 03:43:14',0,'2010-06-26 03:43:14',NULL,NULL,1,NULL),
 ('B81DD6B1-1A6F-4FEC-9DE3-24AAD5CAF2F6',NULL,'2010-07-09 03:38:54','guadayFum',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-09 03:38:54','2010-07-09 03:38:54','2010-07-09 03:38:54',0,0,'2010-07-09 03:38:54',0,'2010-07-09 03:38:54',0,'2010-07-09 03:38:54',NULL,NULL,1,NULL),
 ('B83A6F58-445D-40CB-8BDC-307A0EF05742',NULL,'2010-01-29 04:51:40','hoang2th',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','who?','me',1,'2010-01-29 04:53:27','2010-01-29 04:51:40','2010-01-29 04:51:40',0,0,'2010-01-29 04:51:40',0,'2010-01-29 04:51:40',0,'2010-01-29 04:51:40',NULL,NULL,15,NULL),
 ('B83E33B6-EC60-4B79-8354-6D0BD793942F',NULL,'2010-08-10 18:13:22','annepaymn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-10 18:13:25','2010-08-10 18:13:22','2010-08-10 18:13:22',0,0,'2010-08-10 18:13:22',0,'2010-08-10 18:13:22',0,'2010-08-10 18:13:22',NULL,NULL,1,NULL),
 ('B85A0B2B-0735-4856-874B-68ABA0DF29CA',NULL,'2010-06-08 00:05:15','aletnualley',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-08 00:05:15','2010-06-08 00:05:15','2010-06-08 00:05:15',0,0,'2010-06-08 00:05:15',0,'2010-06-08 00:05:15',0,'2010-06-08 00:05:15',NULL,NULL,1,NULL),
 ('B8817B26-2881-4DD1-B707-EE4AF03D173D',NULL,'2010-10-12 11:36:43','faceclaireec',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-12 11:36:43','2010-10-12 11:36:43','2010-10-12 11:36:43',0,0,'2010-10-12 11:36:43',0,'2010-10-12 11:36:43',0,'2010-10-12 11:36:43',NULL,NULL,14,NULL),
 ('B8A503F8-820D-4956-A88F-09D8D97362EE',NULL,'2010-09-19 05:38:57','brendon114',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-19 05:39:03','2010-09-19 05:38:57','2010-09-19 05:38:57',0,0,'2010-09-19 05:38:57',0,'2010-09-19 05:38:57',0,'2010-09-19 05:38:57',NULL,NULL,1,NULL),
 ('B8E9DEC7-958B-483A-91D3-542C2861AFA1',NULL,'2010-09-07 20:44:25','Johnkeva',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-07 20:44:25','2010-09-07 20:44:25','2010-09-07 20:44:25',0,0,'2010-09-07 20:44:25',0,'2010-09-07 20:44:25',0,'2010-09-07 20:44:25',NULL,NULL,1,NULL),
 ('B8F96A2D-CC84-42E7-9F9B-F0047F12D658',NULL,'2010-07-21 02:04:06','sandiegodmv',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-21 02:04:06','2010-07-21 02:04:06','2010-07-21 02:04:06',0,0,'2010-07-21 02:04:06',0,'2010-07-21 02:04:06',0,'2010-07-21 02:04:06',NULL,NULL,14,NULL),
 ('B9001F7C-C261-4BBB-805F-5B5424BC403F',NULL,'2010-03-07 00:54:17','utimosfkkkqsq',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-07 00:54:17','2010-03-07 00:54:17','2010-03-07 00:54:17',0,0,'2010-03-07 00:54:17',0,'2010-03-07 00:54:17',0,'2010-03-07 00:54:17',NULL,NULL,1,NULL),
 ('B97B3E7B-8293-4837-92BE-D39363FF0218',NULL,'2010-08-30 17:53:28','teeglineege',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-30 17:53:28','2010-08-30 17:53:28','2010-08-30 17:53:28',0,0,'2010-08-30 17:53:28',0,'2010-08-30 17:53:28',0,'2010-08-30 17:53:28',NULL,NULL,14,NULL),
 ('B9803237-D825-4057-8744-5C5895A36287',NULL,'2010-05-28 14:41:54','Sturcelautle',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-28 14:41:54','2010-05-28 14:41:54','2010-05-28 14:41:54',0,0,'2010-05-28 14:41:54',0,'2010-05-28 14:41:54',0,'2010-05-28 14:41:54',NULL,NULL,1,NULL),
 ('B9893CF0-0557-41D8-8635-38E9E4B01933',NULL,'2010-08-29 19:30:23','fitnesstrainer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-29 19:30:23','2010-08-29 19:30:23','2010-08-29 19:30:23',0,0,'2010-08-29 19:30:23',0,'2010-08-29 19:30:23',0,'2010-08-29 19:30:23',NULL,NULL,14,NULL),
 ('B9BFF641-3CF6-4741-85F7-76AA33E40E97',NULL,'2010-03-24 09:48:26','toortiort',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-24 09:48:48','2010-03-24 09:48:26','2010-03-24 09:48:26',0,0,'2010-03-24 09:48:26',0,'2010-03-24 09:48:26',0,'2010-03-24 09:48:26',NULL,NULL,1,NULL),
 ('B9C3DF2B-7B23-4646-BF2B-15747A8D6186',NULL,'2010-02-05 21:09:51','Unknowngoogle',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-02-05 21:10:32','2010-02-05 21:09:51','2010-02-05 21:09:51',0,0,'2010-02-05 21:09:51',0,'2010-02-05 21:09:51',0,'2010-02-05 21:09:51',NULL,NULL,1,NULL),
 ('B9DD0F25-4F9B-4857-B8DF-A65CF083F938',NULL,'2009-11-17 21:40:37','polychitsamiyadskiyorgazm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-17 21:40:37','2009-11-17 21:40:37','2009-11-17 21:40:37',0,0,'2009-11-17 21:40:37',0,'2009-11-17 21:40:37',0,'2009-11-17 21:40:37',NULL,NULL,1,NULL),
 ('B9E8CC39-D536-4C25-BFD8-20B590BE5B22',NULL,'2010-08-05 14:04:24','TuffTuptemodo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-05 14:04:24','2010-08-05 14:04:24','2010-08-05 14:04:24',0,0,'2010-08-05 14:04:24',0,'2010-08-05 14:04:24',0,'2010-08-05 14:04:24',NULL,NULL,1,NULL),
 ('B9EACEC2-190C-4711-B182-DD8A57FD60AD',NULL,'2010-03-16 18:55:41','Frormigprox',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-16 18:55:44','2010-03-16 18:55:41','2010-03-16 18:55:41',0,0,'2010-03-16 18:55:41',0,'2010-03-16 18:55:41',0,'2010-03-16 18:55:41',NULL,NULL,1,NULL),
 ('BA4066C4-7B19-4AA6-A86C-13389C0012A8',NULL,'2010-06-22 13:00:42','sonsofsam',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-22 13:00:42','2010-06-22 13:00:42','2010-06-22 13:00:42',0,0,'2010-06-22 13:00:42',0,'2010-06-22 13:00:42',0,'2010-06-22 13:00:42',NULL,NULL,14,NULL),
 ('BAA8A94F-4A6A-44C5-8E44-61C04F3A308C',NULL,'2010-07-22 15:09:08','Papabaz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-22 15:09:08','2010-07-22 15:09:08','2010-07-22 15:09:08',0,0,'2010-07-22 15:09:08',0,'2010-07-22 15:09:08',0,'2010-07-22 15:09:08',NULL,NULL,1,NULL),
 ('BAB242B5-FBB6-4452-973E-302BDF82EE71',NULL,'2010-07-04 15:55:24','InfurfDusDorb',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-04 15:55:24','2010-07-04 15:55:24','2010-07-04 15:55:24',0,0,'2010-07-04 15:55:24',0,'2010-07-04 15:55:24',0,'2010-07-04 15:55:24',NULL,NULL,1,NULL),
 ('BAC3DAD6-38CA-468C-B6F2-86C3DF712C13',NULL,'2010-09-02 02:29:36','OredayWheer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-02 02:29:36','2010-09-02 02:29:36','2010-09-02 02:29:36',0,0,'2010-09-02 02:29:36',0,'2010-09-02 02:29:36',0,'2010-09-02 02:29:36',NULL,NULL,14,NULL),
 ('BAD0D0D1-18FD-47D1-AEA1-47DC18079925',NULL,'2010-08-28 02:59:40','Mathmany',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-28 02:59:40','2010-08-28 02:59:40','2010-08-28 02:59:40',0,0,'2010-08-28 02:59:40',0,'2010-08-28 02:59:40',0,'2010-08-28 02:59:40',NULL,NULL,1,NULL),
 ('BAE72A78-F4FC-4496-B312-059BD3B2CB50',NULL,'2010-06-04 16:06:34','phymbopirremi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-04 16:06:34','2010-06-04 16:06:34','2010-06-04 16:06:34',0,0,'2010-06-04 16:06:34',0,'2010-06-04 16:06:34',0,'2010-06-04 16:06:34',NULL,NULL,1,NULL),
 ('BAED3F74-DE31-4403-AF0A-08617B0FF194',NULL,'2010-05-24 19:03:49','bberrosser',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-24 19:03:49','2010-05-24 19:03:49','2010-05-24 19:03:49',0,0,'2010-05-24 19:03:49',0,'2010-05-24 19:03:49',0,'2010-05-24 19:03:49',NULL,NULL,1,NULL),
 ('BAF6A554-7D56-45E4-8A8E-19D018360437',NULL,'2010-03-18 00:06:35','cyh',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','hello world','world hello',1,'2010-03-18 00:06:35','2010-03-18 00:07:17','2010-03-18 00:06:35',0,0,'2010-03-18 00:06:35',0,'2010-03-18 00:06:35',0,'2010-03-18 00:06:35',NULL,NULL,15,NULL),
 ('BB1780E4-BE6C-42B8-825B-2929A9AD0D8D',NULL,'2010-06-24 10:20:50','Flothiplomi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-24 10:20:50','2010-06-24 10:20:50','2010-06-24 10:20:50',0,0,'2010-06-24 10:20:50',0,'2010-06-24 10:20:50',0,'2010-06-24 10:20:50',NULL,NULL,1,NULL),
 ('BB2E5220-A532-4656-8DCA-769F0BB02479',NULL,'2010-04-23 21:00:32','dingmicno',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-23 21:00:32','2010-04-23 21:00:32','2010-04-23 21:00:32',0,0,'2010-04-23 21:00:32',0,'2010-04-23 21:00:32',0,'2010-04-23 21:00:32',NULL,NULL,1,NULL),
 ('BB51F968-DC6D-4095-9BD9-46DADF6FDC1D',NULL,'2010-03-26 06:09:00','boroWhosy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-26 06:09:00','2010-03-26 06:09:00','2010-03-26 06:09:00',0,0,'2010-03-26 06:09:00',0,'2010-03-26 06:09:00',0,'2010-03-26 06:09:00',NULL,NULL,1,NULL),
 ('BB6AD3E6-B321-442F-B2D1-D02EBA03E269',NULL,'2009-12-11 15:00:51','MrSlowly',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-12-11 15:10:34','2009-12-11 15:00:51','2009-12-11 15:00:51',0,0,'2009-12-11 15:00:51',0,'2009-12-11 15:00:51',0,'2009-12-11 15:00:51',NULL,NULL,1,NULL),
 ('BBB6A46B-8C0F-40AA-BD9C-DD6FA30F88C1',NULL,'2010-09-17 12:39:21','Paydaychugh',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-17 12:39:21','2010-09-17 12:39:21','2010-09-17 12:39:21',0,0,'2010-09-17 12:39:21',0,'2010-09-17 12:39:21',0,'2010-09-17 12:39:21',NULL,NULL,1,NULL),
 ('BBC49E33-C08F-44B7-A760-B74BEB2FECC3',NULL,'2010-05-14 07:00:59','Glebiasm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-14 07:00:59','2010-05-14 07:00:59','2010-05-14 07:00:59',0,0,'2010-05-14 07:00:59',0,'2010-05-14 07:00:59',0,'2010-05-14 07:00:59',NULL,NULL,1,NULL),
 ('BBD1C298-9FAC-489C-8762-A48C01DF7ACD',NULL,'2010-05-19 01:13:12','Haitrarly',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-19 01:13:12','2010-05-19 01:13:12','2010-05-19 01:13:12',0,0,'2010-05-19 01:13:12',0,'2010-05-19 01:13:12',0,'2010-05-19 01:13:12',NULL,NULL,1,NULL),
 ('BBDD5EE1-C2CD-4AC1-AF12-E0EE79890A93',NULL,'2010-03-06 14:00:11','rimakostope',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-06 14:00:11','2010-03-06 14:00:11','2010-03-06 14:00:11',0,0,'2010-03-06 14:00:11',0,'2010-03-06 14:00:11',0,'2010-03-06 14:00:11',NULL,NULL,15,NULL),
 ('BBDDEAFC-1130-4061-AB8B-EA3D452035E9',NULL,'2010-03-21 02:35:57','QueeripewFox',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-21 02:35:57','2010-03-21 02:35:57','2010-03-21 02:35:57',0,0,'2010-03-21 02:35:57',0,'2010-03-21 02:35:57',0,'2010-03-21 02:35:57',NULL,NULL,1,NULL),
 ('BBEF51ED-FAF3-427F-9861-4D63FFB544CA',NULL,'2010-04-22 11:22:11','Immentkef',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-22 11:22:11','2010-04-22 11:22:11','2010-04-22 11:22:11',0,0,'2010-04-22 11:22:11',0,'2010-04-22 11:22:11',0,'2010-04-22 11:22:11',NULL,NULL,1,NULL),
 ('BBFC6C55-8C8E-4578-BF0F-5C2E698FA9D5',NULL,'2010-01-28 19:21:16','SteffBenoitTT',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-28 19:21:16','2010-01-28 19:21:16','2010-01-28 19:21:16',0,0,'2010-01-28 19:21:16',0,'2010-01-28 19:21:16',0,'2010-01-28 19:21:16',NULL,NULL,1,NULL),
 ('BC2EF6E5-FA99-4E2F-B1B6-2685D0FAB56E',NULL,'2010-04-06 08:28:19','N.indinny',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-06 08:28:19','2010-04-06 08:28:19','2010-04-06 08:28:19',0,0,'2010-04-06 08:28:19',0,'2010-04-06 08:28:19',0,'2010-04-06 08:28:19',NULL,NULL,1,NULL),
 ('BC33241A-1F14-4BE3-A245-8A28BC8A2F2E',NULL,'2010-04-09 12:33:25','comeWhehinc',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-09 12:33:25','2010-04-09 12:33:25','2010-04-09 12:33:25',0,0,'2010-04-09 12:33:25',0,'2010-04-09 12:33:25',0,'2010-04-09 12:33:25',NULL,NULL,1,NULL),
 ('BC48FBCA-7979-4AEA-B349-5C6836838C41',NULL,'2010-07-09 03:52:41','impupeJupePic',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-09 03:52:41','2010-07-09 03:52:41','2010-07-09 03:52:41',0,0,'2010-07-09 03:52:41',0,'2010-07-09 03:52:41',0,'2010-07-09 03:52:41',NULL,NULL,1,NULL),
 ('BCB4E79A-99E7-46A7-A67F-A61BE8D425E8',NULL,'2009-11-07 22:04:47','Inforeonsep',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-07 22:04:47','2009-11-07 22:04:47','2009-11-07 22:04:47',0,0,'2009-11-07 22:04:47',0,'2009-11-07 22:04:47',0,'2009-11-07 22:04:47',NULL,NULL,1,NULL),
 ('BCDFF4EA-2C5C-4AA6-A317-7C5B5109CAF1',NULL,'2009-10-31 02:33:09','Angetiree',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-31 02:33:09','2009-10-31 02:33:09','2009-10-31 02:33:09',0,0,'2009-10-31 02:33:09',0,'2009-10-31 02:33:09',0,'2009-10-31 02:33:09',NULL,NULL,1,NULL),
 ('BCFF9D2B-B632-4061-8A00-C1DD9620A830',NULL,'2010-10-07 00:24:55','sdinjurylawyers',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-07 00:24:55','2010-10-07 00:24:55','2010-10-07 00:24:55',0,0,'2010-10-07 00:24:55',0,'2010-10-07 00:24:55',0,'2010-10-07 00:24:55',NULL,NULL,14,NULL),
 ('BD18626A-393C-4FF1-9FDB-DE63888A5788',NULL,'2010-05-17 20:56:43','Biogleb',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-17 20:56:42','2010-05-17 20:56:42','2010-05-17 20:56:42',0,0,'2010-05-17 20:56:42',0,'2010-05-17 20:56:42',0,'2010-05-17 20:56:42',NULL,NULL,1,NULL),
 ('BD613242-3167-49D3-8894-12C5CB454DC5',NULL,'2010-06-23 04:45:45','speedracerguy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-23 04:45:45','2010-06-23 04:45:45','2010-06-23 04:45:45',0,0,'2010-06-23 04:45:45',0,'2010-06-23 04:45:45',0,'2010-06-23 04:45:45',NULL,NULL,14,NULL),
 ('BD8485D5-45DB-4F6A-B5C3-8000D5204E62',NULL,'2010-07-01 18:04:26','Zewayanerse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-01 18:04:26','2010-07-01 18:04:26','2010-07-01 18:04:26',0,0,'2010-07-01 18:04:26',0,'2010-07-01 18:04:26',0,'2010-07-01 18:04:26',NULL,NULL,1,NULL),
 ('BD87B257-CAD5-440E-A4AE-27F666FC50D0',NULL,'2010-05-11 07:13:00','jimedadod',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-11 07:13:02','2010-05-11 07:13:00','2010-05-11 07:13:00',0,0,'2010-05-11 07:13:00',0,'2010-05-11 07:13:00',0,'2010-05-11 07:13:00',NULL,NULL,1,NULL),
 ('BD8F9365-B5CB-4B8A-B35A-68EE9A7E2B8C',NULL,'2010-09-28 17:52:37','Peloprootabar',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-28 17:52:37','2010-09-28 17:52:37','2010-09-28 17:52:37',0,0,'2010-09-28 17:52:37',0,'2010-09-28 17:52:37',0,'2010-09-28 17:52:37',NULL,NULL,1,NULL),
 ('BD8FD70E-857A-4CE2-8E46-5950A81F6A66',NULL,'2010-03-17 04:51:39','Reidayweemy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-17 04:51:39','2010-03-17 04:51:39','2010-03-17 04:51:39',0,0,'2010-03-17 04:51:39',0,'2010-03-17 04:51:39',0,'2010-03-17 04:51:39',NULL,NULL,13,NULL),
 ('BD9DDE9E-5C69-40A2-AD0F-8FC3A3DE6AC2',NULL,'2010-08-11 22:40:35','TugTruttybeew',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-11 22:40:35','2010-08-11 22:40:35','2010-08-11 22:40:35',0,0,'2010-08-11 22:40:35',0,'2010-08-11 22:40:35',0,'2010-08-11 22:40:35',NULL,NULL,14,NULL),
 ('BDAEFF1A-25DF-4541-A9CA-8F18FF50EAE8',NULL,'2010-05-16 07:21:06','Marscesia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 07:21:05','2010-05-16 07:21:05','2010-05-16 07:21:05',0,0,'2010-05-16 07:21:05',0,'2010-05-16 07:21:05',0,'2010-05-16 07:21:05',NULL,NULL,1,NULL),
 ('BDB526C5-A699-4F54-B3DB-B883D5B3E0DD',NULL,'2010-06-20 18:14:31','HexySypeHield',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-20 18:17:55','2010-06-20 18:14:31','2010-06-20 18:14:31',0,0,'2010-06-20 18:14:31',0,'2010-06-20 18:14:31',0,'2010-06-20 18:14:31',NULL,NULL,1,NULL),
 ('BDE54F0A-77E5-44BA-9814-CE196386A350',NULL,'2009-10-19 02:03:51','Ecocabees',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-19 02:03:51','2009-10-19 02:03:51','2009-10-19 02:03:51',0,0,'2009-10-19 02:03:51',0,'2009-10-19 02:03:51',0,'2009-10-19 02:03:51',NULL,NULL,1,NULL),
 ('BDEC0E64-B3DF-42ED-9695-50102B14B91A',NULL,'2010-07-21 14:20:24','babritraddime',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-21 14:20:24','2010-07-21 14:20:24','2010-07-21 14:20:24',0,0,'2010-07-21 14:20:24',0,'2010-07-21 14:20:24',0,'2010-07-21 14:20:24',NULL,NULL,1,NULL),
 ('BDFB0865-FD30-48E1-90A6-B912FDA045CE',NULL,'2010-03-05 05:45:40','ThenseKer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-05 05:45:40','2010-03-05 05:45:40','2010-03-05 05:45:40',0,0,'2010-03-05 05:45:40',0,'2010-03-05 05:45:40',0,'2010-03-05 05:45:40',NULL,NULL,1,NULL),
 ('BE09FD05-97B3-4C42-8A1D-BE731DCC5BBA',NULL,'2010-06-08 05:13:45','Fearlessdweller',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-08 05:13:45','2010-06-08 05:13:45','2010-06-08 05:13:45',0,0,'2010-06-08 05:13:45',0,'2010-06-08 05:13:45',0,'2010-06-08 05:13:45',NULL,NULL,1,NULL),
 ('BE131198-5F29-4CD5-9D42-E58F02E28AB2',NULL,'2010-03-01 10:55:20','radiopoda',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-01 10:55:20','2010-03-01 10:55:20','2010-03-01 10:55:20',0,0,'2010-03-01 10:55:20',0,'2010-03-01 10:55:20',0,'2010-03-01 10:55:20',NULL,NULL,1,NULL),
 ('BEB4AD0B-693E-437F-8E49-B4F2752ADFC2',NULL,'2010-07-01 04:35:27','josebar',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-01 04:35:27','2010-07-01 04:35:27','2010-07-01 04:35:27',0,0,'2010-07-01 04:35:27',0,'2010-07-01 04:35:27',0,'2010-07-01 04:35:27',NULL,NULL,14,NULL),
 ('BEBA8B20-6C90-48C2-9065-102544276106',NULL,'2010-05-17 09:20:26','Joeripperg',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-17 09:20:26','2010-05-17 09:20:26','2010-05-17 09:20:26',0,0,'2010-05-17 09:20:26',0,'2010-05-17 09:20:26',0,'2010-05-17 09:20:26',NULL,NULL,1,NULL),
 ('BEDC4B00-0D12-457D-8BF4-4B49A29DC170',NULL,'2010-09-03 01:00:45','PatrickGreen',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-03 01:00:45','2010-09-03 01:00:45','2010-09-03 01:00:45',0,0,'2010-09-03 01:00:45',0,'2010-09-03 01:00:45',0,'2010-09-03 01:00:45',NULL,NULL,13,NULL),
 ('BEE9E6EA-D9D2-407D-9B27-8158D94CA520',NULL,'2010-05-21 00:12:05','Kohgsobgds',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-21 00:12:05','2010-05-21 00:12:05','2010-05-21 00:12:05',0,0,'2010-05-21 00:12:05',0,'2010-05-21 00:12:05',0,'2010-05-21 00:12:05',NULL,NULL,1,NULL),
 ('BEF15C0C-E1EA-4A2B-A50F-9F8B5332A28E',NULL,'2010-09-09 17:52:46','exsilebizz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-09 17:52:46','2010-09-09 17:52:46','2010-09-09 17:52:46',0,0,'2010-09-09 17:52:46',0,'2010-09-09 17:52:46',0,'2010-09-09 17:52:46',NULL,NULL,1,NULL),
 ('BF022B28-A212-41FA-BCC5-48BC98CCBC7C',NULL,'2010-03-23 17:57:47','Moodoadhedymn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-23 17:57:47','2010-03-23 17:57:47','2010-03-23 17:57:47',0,0,'2010-03-23 17:57:47',0,'2010-03-23 17:57:47',0,'2010-03-23 17:57:47',NULL,NULL,1,NULL),
 ('BF98DA6C-9C09-4A7E-948B-B0EA3B615629',NULL,'2010-05-06 18:30:51','assoneeEncout',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-06 18:30:51','2010-05-06 18:30:51','2010-05-06 18:30:51',0,0,'2010-05-06 18:30:51',0,'2010-05-06 18:30:51',0,'2010-05-06 18:30:51',NULL,NULL,1,NULL),
 ('BFB89E4C-EC9C-4995-8272-CD57D2FFB332',NULL,'2010-07-11 06:44:02','Bynccyclili',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-11 06:44:07','2010-07-11 06:44:02','2010-07-11 06:44:02',0,0,'2010-07-11 06:44:02',0,'2010-07-11 06:44:02',0,'2010-07-11 06:44:02',NULL,NULL,1,NULL),
 ('C00A0977-D992-4C2F-8039-C88EE190EF56',NULL,'2010-09-15 06:02:08','icellpi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-15 06:02:07','2010-09-15 06:02:07','2010-09-15 06:02:07',0,0,'2010-09-15 06:02:07',0,'2010-09-15 06:02:07',0,'2010-09-15 06:02:07',NULL,NULL,14,NULL),
 ('C00E586A-6F5F-47E4-9C7E-661E088C963D',NULL,'2010-08-19 07:04:58','Enlidgevied',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-19 07:04:58','2010-08-19 07:04:58','2010-08-19 07:04:58',0,0,'2010-08-19 07:04:58',0,'2010-08-19 07:04:58',0,'2010-08-19 07:04:58',NULL,NULL,1,NULL),
 ('C0693289-53C4-4420-B8D0-92BB32DB1E9C',NULL,'2009-12-20 09:47:28','Misha Ulyutin',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','Ostrikova','Inna',1,'2009-12-20 10:08:05','2009-12-20 09:47:28','2009-12-20 09:47:28',0,0,'2009-12-20 09:47:28',0,'2009-12-20 09:47:28',0,'2009-12-20 09:47:28',NULL,NULL,1,NULL),
 ('C06F48EF-1F69-45C7-B0B4-D629000E62B0',NULL,'2010-08-24 17:22:52','advarymoova',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-24 17:22:52','2010-08-24 17:22:52','2010-08-24 17:22:52',0,0,'2010-08-24 17:22:52',0,'2010-08-24 17:22:52',0,'2010-08-24 17:22:52',NULL,NULL,1,NULL),
 ('C0B13A09-956B-4EFA-B4CB-1360F35732AB',NULL,'2010-04-27 16:30:54','jestpovakitan',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-27 16:30:54','2010-04-27 16:30:54','2010-04-27 16:30:54',0,0,'2010-04-27 16:30:54',0,'2010-04-27 16:30:54',0,'2010-04-27 16:30:54',NULL,NULL,1,NULL),
 ('C0CB2FFA-36A2-4F4F-B0FB-A1D89F4EC208',NULL,'2010-01-30 18:27:46','Injeteree',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-30 18:27:52','2010-01-30 18:27:46','2010-01-30 18:27:46',0,0,'2010-01-30 18:27:46',0,'2010-01-30 18:27:46',0,'2010-01-30 18:27:46',NULL,NULL,1,NULL),
 ('C10B7DAD-56FF-4FFA-973B-BC4F8E472D74',NULL,'2010-08-08 17:52:52','elviscamed',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-08 17:52:52','2010-08-08 17:52:52','2010-08-08 17:52:52',0,0,'2010-08-08 17:52:52',0,'2010-08-08 17:52:52',0,'2010-08-08 17:52:52',NULL,NULL,13,NULL),
 ('C11969AD-9213-4C0D-B8B0-4E0CEFE95888',NULL,'2010-07-05 02:41:37','tysfulfurgy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-05 02:41:37','2010-07-05 02:41:37','2010-07-05 02:41:37',0,0,'2010-07-05 02:41:37',0,'2010-07-05 02:41:37',0,'2010-07-05 02:41:37',NULL,NULL,1,NULL),
 ('C141A6A5-2A9D-45C3-A96E-DF7507207656',NULL,'2010-03-19 17:06:52','temLiagma',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-19 17:06:52','2010-03-19 17:06:52','2010-03-19 17:06:52',0,0,'2010-03-19 17:06:52',0,'2010-03-19 17:06:52',0,'2010-03-19 17:06:52',NULL,NULL,1,NULL),
 ('C14EA471-ACAE-4601-BDC1-FF350C35D984',NULL,'2010-08-20 02:10:04','rodykowdelljr',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-20 02:10:03','2010-08-20 02:10:03','2010-08-20 02:10:03',0,0,'2010-08-20 02:10:03',0,'2010-08-20 02:10:03',0,'2010-08-20 02:10:03',NULL,NULL,1,NULL),
 ('C184B8DC-F916-40F8-A102-3923DB9D7AAF',NULL,'2010-03-15 08:05:13','WestDiscGolf',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-03-15 08:20:24','2010-03-15 08:05:13','2010-03-15 08:05:13',0,0,'2010-03-15 08:05:13',0,'2010-03-15 08:05:13',0,'2010-03-15 08:05:13',NULL,NULL,1,NULL),
 ('C19107CB-8617-486A-9591-654E68929F0E',NULL,'2010-10-12 18:32:09','AppogyGesse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-12 18:32:09','2010-10-12 18:32:09','2010-10-12 18:32:09',0,0,'2010-10-12 18:32:09',0,'2010-10-12 18:32:09',0,'2010-10-12 18:32:09',NULL,NULL,1,NULL),
 ('C19355EC-6F90-481C-B2A4-6F20C813367E',NULL,'2010-04-22 19:51:31','marcotrujillo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-22 19:51:31','2010-04-22 19:51:31','2010-04-22 19:51:31',0,0,'2010-04-22 19:51:31',0,'2010-04-22 19:51:31',0,'2010-04-22 19:51:31',NULL,NULL,1,NULL),
 ('C19CCD28-0F64-4A5F-9ADE-2EC4B0C1C20D',NULL,'2010-07-16 20:23:21','Artirtybrubre',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-16 20:23:21','2010-07-16 20:23:21','2010-07-16 20:23:21',0,0,'2010-07-16 20:23:21',0,'2010-07-16 20:23:21',0,'2010-07-16 20:23:21',NULL,NULL,1,NULL),
 ('C1BB025E-EC4B-47A6-AA49-4D65CFD9950E',NULL,'2010-03-31 14:25:49','TogInergo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-31 14:25:49','2010-03-31 14:25:49','2010-03-31 14:25:49',0,0,'2010-03-31 14:25:49',0,'2010-03-31 14:25:49',0,'2010-03-31 14:25:49',NULL,NULL,1,NULL),
 ('C1BE3326-2872-4E49-A878-C677DBB1CBFC',NULL,'2009-11-19 01:35:24','azimutgps',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-19 01:35:24','2009-11-19 01:35:24','2009-11-19 01:35:24',0,0,'2009-11-19 01:35:24',0,'2009-11-19 01:35:24',0,'2009-11-19 01:35:24',NULL,NULL,13,NULL),
 ('C1CDDDF7-33FE-4EDF-8544-45FE2B11F21B',NULL,'2010-09-14 13:25:20','allomiAllella',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-14 13:25:20','2010-09-14 13:25:20','2010-09-14 13:25:20',0,0,'2010-09-14 13:25:20',0,'2010-09-14 13:25:20',0,'2010-09-14 13:25:20',NULL,NULL,1,NULL),
 ('C22EE1F1-78FF-47DC-85A4-9F55C442009C',NULL,'2009-12-03 11:53:52','toto',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-03 11:53:52','2009-12-03 11:53:52','2009-12-03 11:53:52',0,0,'2009-12-03 11:53:52',0,'2009-12-03 11:53:52',0,'2009-12-03 11:53:52',NULL,NULL,15,NULL),
 ('C281F797-0741-433E-8C3F-0E445928A72E',NULL,'2010-09-13 08:24:25','archibaldj',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-13 08:24:25','2010-09-13 08:24:25','2010-09-13 08:24:25',0,0,'2010-09-13 08:24:25',0,'2010-09-13 08:24:25',0,'2010-09-13 08:24:25',NULL,NULL,1,NULL),
 ('C2951989-8BBF-4C8B-9397-EEF3A8CFA1A5',NULL,'2010-06-05 09:43:50','paintball',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-05 09:43:50','2010-06-05 09:43:50','2010-06-05 09:43:50',0,0,'2010-06-05 09:43:50',0,'2010-06-05 09:43:50',0,'2010-06-05 09:43:50',NULL,NULL,1,NULL),
 ('C2A7223A-97A7-424C-9524-24CECA7FA168',NULL,'2010-04-07 11:11:59','InforaDitaadvapydot',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-07 11:11:59','2010-04-07 11:11:59','2010-04-07 11:11:59',0,0,'2010-04-07 11:11:59',0,'2010-04-07 11:11:59',0,'2010-04-07 11:11:59',NULL,NULL,1,NULL),
 ('C2ED0C92-C74A-4131-879B-8355C1D5F198',NULL,'2010-06-20 23:33:45','reottomodycle',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-20 23:33:45','2010-06-20 23:33:45','2010-06-20 23:33:45',0,0,'2010-06-20 23:33:45',0,'2010-06-20 23:33:45',0,'2010-06-20 23:33:45',NULL,NULL,1,NULL),
 ('C3066324-F57C-4C3E-9EC7-53EEA2A6D172',NULL,'2010-04-04 08:38:15','aberveCleak',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-04 08:38:15','2010-04-04 08:38:15','2010-04-04 08:38:15',0,0,'2010-04-04 08:38:15',0,'2010-04-04 08:38:15',0,'2010-04-04 08:38:15',NULL,NULL,1,NULL),
 ('C31D29A3-E3C0-43E4-A5B9-576F7F5DB9BF',NULL,'2010-05-14 22:28:10','MRdenzepakezolka',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-14 22:28:10','2010-05-14 22:28:10','2010-05-14 22:28:10',0,0,'2010-05-14 22:28:10',0,'2010-05-14 22:28:10',0,'2010-05-14 22:28:10',NULL,NULL,1,NULL),
 ('C38364F5-DD8B-493A-8581-215DBC39E755',NULL,'2010-09-29 13:39:10','olvmavcgae',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-29 13:39:10','2010-09-29 13:39:10','2010-09-29 13:39:10',0,0,'2010-09-29 13:39:10',0,'2010-09-29 13:39:10',0,'2010-09-29 13:39:10',NULL,NULL,1,NULL),
 ('C39F7BB2-A169-4CD4-B59E-88DF520018FC',NULL,'2010-08-29 22:47:31','illessyDere',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-29 22:47:31','2010-08-29 22:47:31','2010-08-29 22:47:31',0,0,'2010-08-29 22:47:31',0,'2010-08-29 22:47:31',0,'2010-08-29 22:47:31',NULL,NULL,1,NULL),
 ('C3E765CC-60A7-4BE4-875D-CE40A198EA34',NULL,'2010-05-29 10:22:44','tekGipleTek',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-29 10:22:44','2010-05-29 10:22:44','2010-05-29 10:22:44',0,0,'2010-05-29 10:22:44',0,'2010-05-29 10:22:44',0,'2010-05-29 10:22:44',NULL,NULL,13,NULL),
 ('C3F139C1-15EF-4A49-81AB-BB4DDE2E673C',NULL,'2010-09-21 08:39:49','edgemnphedo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-21 08:39:49','2010-09-21 08:39:49','2010-09-21 08:39:49',0,0,'2010-09-21 08:39:49',0,'2010-09-21 08:39:49',0,'2010-09-21 08:39:49',NULL,NULL,1,NULL),
 ('C43700AF-E71C-49C5-8C2F-A5AEDF047B09',NULL,'2010-08-29 20:28:45','inokihewja',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-29 20:28:45','2010-08-29 20:28:45','2010-08-29 20:28:45',0,0,'2010-08-29 20:28:45',0,'2010-08-29 20:28:45',0,'2010-08-29 20:28:45',NULL,NULL,1,NULL),
 ('C45B10DF-8264-43FF-AE04-9F8722943318',NULL,'2010-03-25 19:03:06','Dassysek',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-25 19:03:06','2010-03-25 19:03:06','2010-03-25 19:03:06',0,0,'2010-03-25 19:03:06',0,'2010-03-25 19:03:06',0,'2010-03-25 19:03:06',NULL,NULL,15,NULL),
 ('C4646194-B27F-49EC-9755-73E5D829CDDA',NULL,'2010-07-22 17:46:37','millr',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-22 17:46:37','2010-07-22 17:46:37','2010-07-22 17:46:37',0,0,'2010-07-22 17:46:37',0,'2010-07-22 17:46:37',0,'2010-07-22 17:46:37',NULL,NULL,1,NULL),
 ('C48C48D9-262F-4C7F-ABEE-DF201AEC5352',NULL,'2010-05-08 20:47:24','burevatti',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-08 20:47:27','2010-05-08 20:47:24','2010-05-08 20:47:24',0,0,'2010-05-08 20:47:24',0,'2010-05-08 20:47:24',0,'2010-05-08 20:47:24',NULL,NULL,1,NULL),
 ('C4B7E2C2-22D5-4F28-A961-2D603E6F5D0D',NULL,'2010-10-06 09:47:31','peamnmeva',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-06 09:47:31','2010-10-06 09:47:31','2010-10-06 09:47:31',0,0,'2010-10-06 09:47:31',0,'2010-10-06 09:47:31',0,'2010-10-06 09:47:31',NULL,NULL,1,NULL),
 ('C4BD22E4-5D5F-4B05-86FA-020A264D9EF5',NULL,'2010-06-19 16:23:27','vizzards',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-19 16:23:26','2010-06-19 16:23:26','2010-06-19 16:23:26',0,0,'2010-06-19 16:23:26',0,'2010-06-19 16:23:26',0,'2010-06-19 16:23:26',NULL,NULL,1,NULL),
 ('C4E93657-3892-43E5-88E2-6732CEE4AE1B',NULL,'2009-11-02 17:34:27','ChubakaAlm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-02 17:34:27','2009-11-02 17:34:27','2009-11-02 17:34:27',0,0,'2009-11-02 17:34:27',0,'2009-11-02 17:34:27',0,'2009-11-02 17:34:27',NULL,NULL,1,NULL),
 ('C5027FDA-41A8-4473-8791-8BB0A51E90B2',NULL,'2010-05-26 00:29:39','arbaitenus2010',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-26 00:29:39','2010-05-26 00:29:39','2010-05-26 00:29:39',0,0,'2010-05-26 00:29:39',0,'2010-05-26 00:29:39',0,'2010-05-26 00:29:39',NULL,NULL,1,NULL),
 ('C5298E4E-AB15-447E-900C-5E536FBAE8C2',NULL,'2010-09-17 13:45:22','Zenunfobiocoto',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-17 13:45:22','2010-09-17 13:45:22','2010-09-17 13:45:22',0,0,'2010-09-17 13:45:22',0,'2010-09-17 13:45:22',0,'2010-09-17 13:45:22',NULL,NULL,1,NULL),
 ('C540D6F7-9E4A-4441-B67F-2689FAA71034',NULL,'2010-01-05 01:27:14','Pesclousexase',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-05 01:27:20','2010-01-05 01:27:14','2010-01-05 01:27:14',0,0,'2010-01-05 01:27:14',0,'2010-01-05 01:27:14',0,'2010-01-05 01:27:14',NULL,NULL,1,NULL),
 ('C553E646-A425-44F9-BDBB-67B0678A9F28',NULL,'2010-01-29 11:49:17','Eurotatob',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-29 11:49:17','2010-01-29 11:49:17','2010-01-29 11:49:17',0,0,'2010-01-29 11:49:17',0,'2010-01-29 11:49:17',0,'2010-01-29 11:49:17',NULL,NULL,13,NULL),
 ('C5C3C482-C5E3-46AD-864E-D2E6FBAACB7B',NULL,'2010-03-22 08:01:40','shadp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-22 08:01:40','2010-03-22 08:01:40','2010-03-22 08:01:40',0,0,'2010-03-22 08:01:40',0,'2010-03-22 08:01:40',0,'2010-03-22 08:01:40',NULL,NULL,13,NULL),
 ('C5CBA4D7-A285-4041-88DA-62490CA01DA6',NULL,'2010-05-24 04:54:43','Nayuisa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-24 04:54:43','2010-05-24 04:54:43','2010-05-24 04:54:43',0,0,'2010-05-24 04:54:43',0,'2010-05-24 04:54:43',0,'2010-05-24 04:54:43',NULL,NULL,1,NULL),
 ('C5D5612D-0D9D-4400-926B-382866D024C1',NULL,'2010-03-23 11:09:09','BestForPill',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-23 11:09:09','2010-03-23 11:09:09','2010-03-23 11:09:09',0,0,'2010-03-23 11:09:09',0,'2010-03-23 11:09:09',0,'2010-03-23 11:09:09',NULL,NULL,1,NULL),
 ('C5DA18CE-E8F5-4E1F-9ED1-2A522E715579',NULL,'2010-04-01 21:33:38','Errorebrusews',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-01 21:33:38','2010-04-01 21:33:38','2010-04-01 21:33:38',0,0,'2010-04-01 21:33:38',0,'2010-04-01 21:33:38',0,'2010-04-01 21:33:38',NULL,NULL,1,NULL),
 ('C606A327-BAEA-4798-8275-82DA6D7D2B82',NULL,'2010-07-03 01:08:29','ElisyseesHit',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-03 01:08:29','2010-07-03 01:08:29','2010-07-03 01:08:29',0,0,'2010-07-03 01:08:29',0,'2010-07-03 01:08:29',0,'2010-07-03 01:08:29',NULL,NULL,13,NULL),
 ('C6078DE8-87BA-441F-99BB-818C34C45C50',NULL,'2010-02-04 12:02:07','liverefrusby',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-04 12:02:07','2010-02-04 12:02:07','2010-02-04 12:02:07',0,0,'2010-02-04 12:02:07',0,'2010-02-04 12:02:07',0,'2010-02-04 12:02:07',NULL,NULL,1,NULL),
 ('C6095642-FDAC-413E-89DA-6BFA18AE4948',NULL,'2009-10-21 10:21:53','evilg',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-21 10:26:35','2009-10-21 10:26:34','2009-10-21 10:21:52',0,0,'2009-10-21 10:21:52',0,'2009-10-21 10:21:52',0,'2009-10-21 10:21:52',NULL,NULL,1,NULL),
 ('C6321D40-E5FC-492A-B75B-7474E9CDD6CA',NULL,'2010-06-24 13:50:09','Sigillimb',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-24 13:50:09','2010-06-24 13:50:09','2010-06-24 13:50:09',0,0,'2010-06-24 13:50:09',0,'2010-06-24 13:50:09',0,'2010-06-24 13:50:09',NULL,NULL,1,NULL),
 ('C64E7252-3331-4CB9-915D-A546B62C60BA',NULL,'2010-06-10 12:56:41','arbaitenus20?N',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-10 12:56:41','2010-06-10 12:56:41','2010-06-10 12:56:41',0,0,'2010-06-10 12:56:41',0,'2010-06-10 12:56:41',0,'2010-06-10 12:56:41',NULL,NULL,1,NULL),
 ('C68C63DD-05F3-4F06-AB26-9F616EDC4E88',NULL,'2010-05-24 19:14:34','Ninjandi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-24 19:14:34','2010-05-24 19:14:34','2010-05-24 19:14:34',0,0,'2010-05-24 19:14:34',0,'2010-05-24 19:14:34',0,'2010-05-24 19:14:34',NULL,NULL,1,NULL),
 ('C6AB9E82-CECA-482D-AE02-CB9AEFBA6305',NULL,'2009-11-15 19:29:03','stratocasterrr',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-15 19:29:03','2009-11-15 19:29:03','2009-11-15 19:29:03',0,0,'2009-11-15 19:29:03',0,'2009-11-15 19:29:03',0,'2009-11-15 19:29:03',NULL,NULL,1,NULL),
 ('C6AF3182-15D3-4432-B53F-11C89832CBA8',NULL,'2009-11-05 11:52:31','LypePypeembat',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-05 11:52:31','2009-11-05 11:52:31','2009-11-05 11:52:31',0,0,'2009-11-05 11:52:31',0,'2009-11-05 11:52:31',0,'2009-11-05 11:52:31',NULL,NULL,1,NULL),
 ('C6B4D920-E9A2-4316-A4F4-7C083450BE6A',NULL,'2010-04-18 23:12:56','acurryliaitly',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-18 23:12:56','2010-04-18 23:12:56','2010-04-18 23:12:56',0,0,'2010-04-18 23:12:56',0,'2010-04-18 23:12:56',0,'2010-04-18 23:12:56',NULL,NULL,1,NULL),
 ('C6C6A657-6D7C-40D8-B5E9-D49BAC4B4595',NULL,'2010-07-14 06:07:55','VandOrdibia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-14 06:07:55','2010-07-14 06:07:55','2010-07-14 06:07:55',0,0,'2010-07-14 06:07:55',0,'2010-07-14 06:07:55',0,'2010-07-14 06:07:55',NULL,NULL,13,NULL),
 ('C6E57BBC-C43F-4FD6-A5AE-B2F058EA1066',NULL,'2010-08-20 07:03:15','crulartieli',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-20 07:03:15','2010-08-20 07:03:15','2010-08-20 07:03:15',0,0,'2010-08-20 07:03:15',0,'2010-08-20 07:03:15',0,'2010-08-20 07:03:15',NULL,NULL,14,NULL),
 ('C6F7B01C-7687-45B1-983A-41B39DFCFA7C',NULL,'2010-01-17 16:04:14','acaipowleet',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-17 16:04:14','2010-01-17 16:04:14','2010-01-17 16:04:14',0,0,'2010-01-17 16:04:14',0,'2010-01-17 16:04:14',0,'2010-01-17 16:04:14',NULL,NULL,1,NULL),
 ('C6FBF25E-75DD-4FF3-BD65-C2C42CBCDF38',NULL,'2010-06-20 04:00:07','Hideinibianum',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-20 04:00:07','2010-06-20 04:00:07','2010-06-20 04:00:07',0,0,'2010-06-20 04:00:07',0,'2010-06-20 04:00:07',0,'2010-06-20 04:00:07',NULL,NULL,1,NULL),
 ('C70D2B43-1CA9-4F89-ADFC-AB7688129968',NULL,'2010-03-11 19:23:16','Gemymarie',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-11 19:23:16','2010-03-11 19:23:16','2010-03-11 19:23:16',0,0,'2010-03-11 19:23:16',0,'2010-03-11 19:23:16',0,'2010-03-11 19:23:16',NULL,NULL,1,NULL),
 ('C73483E0-D5EB-46BF-8EAD-FA5B4C11FAD7',NULL,'2009-11-20 13:50:01','jony',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-11-20 13:54:33','2009-11-20 13:50:21','2009-11-20 13:50:01',0,0,'2009-11-20 13:50:01',0,'2009-11-20 13:50:01',0,'2009-11-20 13:50:01',NULL,NULL,15,NULL),
 ('C73507D6-D4A5-4819-9A06-C3FA4289C066',NULL,'2010-08-15 14:28:30','brixchuch',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-15 14:28:36','2010-08-15 14:28:30','2010-08-15 14:28:30',0,0,'2010-08-15 14:28:30',0,'2010-08-15 14:28:30',0,'2010-08-15 14:28:30',NULL,NULL,1,NULL),
 ('C740F0BD-7AE0-4A5A-B9A6-4C38DF40FA80',NULL,'2010-05-26 08:12:25','cymnamadopy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-26 08:12:31','2010-05-26 08:12:25','2010-05-26 08:12:25',0,0,'2010-05-26 08:12:25',0,'2010-05-26 08:12:25',0,'2010-05-26 08:12:25',NULL,NULL,1,NULL),
 ('C7426BE6-65A3-42FA-AF17-13E288DC0F77',NULL,'2010-05-09 02:40:03','managed_forex',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-09 02:40:03','2010-05-09 02:40:03','2010-05-09 02:40:03',0,0,'2010-05-09 02:40:03',0,'2010-05-09 02:40:03',0,'2010-05-09 02:40:03',NULL,NULL,13,NULL),
 ('C76EEF4B-A08E-489A-9968-AC9090FDB3EB',NULL,'2009-11-17 15:37:13','Tradekafcurce',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-17 15:37:13','2009-11-17 15:37:13','2009-11-17 15:37:13',0,0,'2009-11-17 15:37:13',0,'2009-11-17 15:37:13',0,'2009-11-17 15:37:13',NULL,NULL,1,NULL),
 ('C779B400-7EBF-4C08-BDF6-915AC48442CB',NULL,'2010-02-01 13:16:51','dangkim',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','hunnie','tam',1,'2010-02-01 13:24:16','2010-02-01 13:16:51','2010-02-01 13:16:51',0,0,'2010-02-01 13:16:51',0,'2010-02-01 13:16:51',0,'2010-02-01 13:16:51',NULL,NULL,1,NULL),
 ('C7873E96-85E0-48FE-8CF8-2180075B6B27',NULL,'2009-12-21 03:00:59','lutlerbarbota',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-21 03:00:59','2009-12-21 03:00:59','2009-12-21 03:00:59',0,0,'2009-12-21 03:00:59',0,'2009-12-21 03:00:59',0,'2009-12-21 03:00:59',NULL,NULL,1,NULL),
 ('C7C8C3A0-BDFF-4CC4-B569-96E89D21B2A9',NULL,'2010-08-26 18:42:54','liendynifykib',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-26 18:42:54','2010-08-26 18:42:54','2010-08-26 18:42:54',0,0,'2010-08-26 18:42:54',0,'2010-08-26 18:42:54',0,'2010-08-26 18:42:54',NULL,NULL,1,NULL),
 ('C7F154F5-7CDC-42E5-9C64-770100888986',NULL,'2010-09-16 03:27:32','incorndionsew',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-16 03:27:32','2010-09-16 03:27:32','2010-09-16 03:27:32',0,0,'2010-09-16 03:27:32',0,'2010-09-16 03:27:32',0,'2010-09-16 03:27:32',NULL,NULL,14,NULL),
 ('C7FBA80F-DB16-4CD4-B6F6-749309A4B4EA',NULL,'2009-11-26 16:01:07','Esossyshurgig',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-26 16:01:07','2009-11-26 16:01:07','2009-11-26 16:01:07',0,0,'2009-11-26 16:01:07',0,'2009-11-26 16:01:07',0,'2009-11-26 16:01:07',NULL,NULL,14,NULL),
 ('C8277F32-BF05-4E81-9FA4-B6A209CE2BF3',NULL,'2010-05-06 11:20:36','cypeenjoype',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-06 11:20:36','2010-05-06 11:20:36','2010-05-06 11:20:36',0,0,'2010-05-06 11:20:36',0,'2010-05-06 11:20:36',0,'2010-05-06 11:20:36',NULL,NULL,1,NULL),
 ('C8463969-014C-4B06-A904-D410FC1315D1',NULL,'2010-09-03 00:27:02','AlexiaAsuris',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-03 00:27:02','2010-09-03 00:27:02','2010-09-03 00:27:02',0,0,'2010-09-03 00:27:02',0,'2010-09-03 00:27:02',0,'2010-09-03 00:27:02',NULL,NULL,1,NULL),
 ('C855F000-E2D8-4135-A679-B941BDE48128',NULL,'2010-07-28 07:45:34','leksly',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','lex','lex',1,'2010-07-28 07:46:40','2010-07-28 07:45:34','2010-07-28 07:45:34',0,0,'2010-07-28 07:45:34',0,'2010-07-28 07:45:34',0,'2010-07-28 07:45:34',NULL,NULL,1,NULL),
 ('C85E422B-7BB2-4291-8B69-DE3D98730100',NULL,'2010-02-11 16:42:37','fickbrother',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-11 16:42:37','2010-02-11 16:42:37','2010-02-11 16:42:37',0,0,'2010-02-11 16:42:37',0,'2010-02-11 16:42:37',0,'2010-02-11 16:42:37',NULL,NULL,14,NULL),
 ('C867FB63-0897-4BB9-8B76-9AD7EA389911',NULL,'2010-10-12 10:32:33','hiescitle',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-12 10:32:33','2010-10-12 10:32:33','2010-10-12 10:32:33',0,0,'2010-10-12 10:32:33',0,'2010-10-12 10:32:33',0,'2010-10-12 10:32:33',NULL,NULL,1,NULL),
 ('C86E988D-6BB3-48E2-8353-C5C30D504E17',NULL,'2010-08-10 04:38:27','praitoniserap',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-10 04:38:27','2010-08-10 04:38:27','2010-08-10 04:38:27',0,0,'2010-08-10 04:38:27',0,'2010-08-10 04:38:27',0,'2010-08-10 04:38:27',NULL,NULL,1,NULL),
 ('C8969CC0-8BEA-4B20-9C93-EC4E6BBEFD4B',NULL,'2010-05-29 05:48:56','DaphaullyLarp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-29 05:48:56','2010-05-29 05:48:56','2010-05-29 05:48:56',0,0,'2010-05-29 05:48:56',0,'2010-05-29 05:48:56',0,'2010-05-29 05:48:56',NULL,NULL,1,NULL),
 ('C8C6A646-F687-4160-A14E-8E1EEBE5EF61',NULL,'2010-07-15 08:29:01','FashionWomen',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-15 08:29:01','2010-07-15 08:29:01','2010-07-15 08:29:01',0,0,'2010-07-15 08:29:01',0,'2010-07-15 08:29:01',0,'2010-07-15 08:29:01',NULL,NULL,14,NULL),
 ('C8CE152A-5B35-49B1-B480-8AD2F7A8AB99',NULL,'2010-01-17 18:33:07','valiDeeplay',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-17 18:33:07','2010-01-17 18:33:07','2010-01-17 18:33:07',0,0,'2010-01-17 18:33:07',0,'2010-01-17 18:33:07',0,'2010-01-17 18:33:07',NULL,NULL,1,NULL),
 ('C8FDB607-96D1-461F-AC04-63CAD7A54E2D',NULL,'2010-09-16 20:16:26','CaxMugappoxia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-16 20:16:26','2010-09-16 20:16:26','2010-09-16 20:16:26',0,0,'2010-09-16 20:16:26',0,'2010-09-16 20:16:26',0,'2010-09-16 20:16:26',NULL,NULL,1,NULL),
 ('C908FB5E-6A72-4DC3-BD9A-1F08551DA23E',NULL,'2010-08-24 08:09:25','funnydivorcer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-24 08:09:25','2010-08-24 08:09:25','2010-08-24 08:09:25',0,0,'2010-08-24 08:09:25',0,'2010-08-24 08:09:25',0,'2010-08-24 08:09:25',NULL,NULL,14,NULL),
 ('C910E5D7-0BA9-4AF9-95AF-E8E8043BBE72',NULL,'2010-06-30 13:55:17','Bdsmbond',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-30 13:55:17','2010-06-30 13:55:17','2010-06-30 13:55:17',0,0,'2010-06-30 13:55:17',0,'2010-06-30 13:55:17',0,'2010-06-30 13:55:17',NULL,NULL,1,NULL),
 ('C93B18CA-BCAC-4B0E-8B48-B463786DE5B2',NULL,'2010-07-28 01:42:51','Offeleattailm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-28 01:42:56','2010-07-28 01:42:51','2010-07-28 01:42:51',0,0,'2010-07-28 01:42:51',0,'2010-07-28 01:42:51',0,'2010-07-28 01:42:51',NULL,NULL,1,NULL),
 ('C93D2B01-F5D8-4673-BCED-F2A74020157D',NULL,'2010-03-07 11:00:50','gazodincovo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-07 11:00:50','2010-03-07 11:00:50','2010-03-07 11:00:50',0,0,'2010-03-07 11:00:50',0,'2010-03-07 11:00:50',0,'2010-03-07 11:00:50',NULL,NULL,1,NULL),
 ('C945FF84-7D94-4C68-8E15-17D4EAE43408',NULL,'2010-05-15 10:25:56','Joeripper',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-15 10:25:56','2010-05-15 10:25:56','2010-05-15 10:25:56',0,0,'2010-05-15 10:25:56',0,'2010-05-15 10:25:56',0,'2010-05-15 10:25:56',NULL,NULL,1,NULL);
INSERT INTO `users` (`UserID`,`Name`,`CreationDate`,`Username`,`ApplicationName`,`Email`,`Password`,`PasswordQuestion`,`PasswordAnswer`,`IsApproved`,`LastActivityDate`,`LastLoginDate`,`LastPasswordChangedDate`,`IsOnline`,`IsLockedOut`,`LastLockedOutDate`,`FailedPasswordAttemptCount`,`FailedPasswordAttemptWindowStart`,`FailedPasswordAnswerAttemptCount`,`FailedPasswordAnswerAttemptWindowStart`,`LastModified`,`Comment`,`PortalID`,`OpenId`) VALUES 
 ('C95C711A-C08B-4C39-867D-4B852612CC3C',NULL,'2010-08-15 13:26:06','CLUBParaCam',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-15 13:26:06','2010-08-15 13:26:06','2010-08-15 13:26:06',0,0,'2010-08-15 13:26:06',0,'2010-08-15 13:26:06',0,'2010-08-15 13:26:06',NULL,NULL,13,NULL),
 ('C96CC9C8-5FC0-4DCF-A55D-59AB93236F34',NULL,'2010-08-18 10:25:57','Bluellirm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-18 10:25:57','2010-08-18 10:25:57','2010-08-18 10:25:57',0,0,'2010-08-18 10:25:57',0,'2010-08-18 10:25:57',0,'2010-08-18 10:25:57',NULL,NULL,13,NULL),
 ('C988A4CB-653F-4FAE-B329-5F6934D89A2E',NULL,'2010-05-13 11:40:54','obessehes',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-13 11:40:54','2010-05-13 11:40:54','2010-05-13 11:40:54',0,0,'2010-05-13 11:40:54',0,'2010-05-13 11:40:54',0,'2010-05-13 11:40:54',NULL,NULL,1,NULL),
 ('C98A55CC-3AE1-4DE5-A938-7CCD6B119658',NULL,'2010-10-01 07:41:37','legitimateworkfromhome',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-01 07:41:37','2010-10-01 07:41:37','2010-10-01 07:41:37',0,0,'2010-10-01 07:41:37',0,'2010-10-01 07:41:37',0,'2010-10-01 07:41:37',NULL,NULL,1,NULL),
 ('C9957BB9-6B33-4D83-B242-8DABC949E63D',NULL,'2010-06-18 11:58:27','Verroverr',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-18 11:58:27','2010-06-18 11:58:27','2010-06-18 11:58:27',0,0,'2010-06-18 11:58:27',0,'2010-06-18 11:58:27',0,'2010-06-18 11:58:27',NULL,NULL,1,NULL),
 ('C9AEAF1C-522B-42F5-9F76-8500B6B89413',NULL,'2010-02-15 15:39:32','cmauriciopa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','la de siempre','la de karen',1,'2010-02-15 15:40:44','2010-02-15 15:39:32','2010-02-15 15:39:32',0,0,'2010-02-15 15:39:32',0,'2010-02-15 15:39:32',0,'2010-02-15 15:39:32',NULL,NULL,1,NULL),
 ('C9DECFEE-98B1-4C3D-88EA-04E4479C9DFF',NULL,'2010-08-21 10:01:10','thebkguy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-21 10:01:10','2010-08-21 10:01:10','2010-08-21 10:01:10',0,0,'2010-08-21 10:01:10',0,'2010-08-21 10:01:10',0,'2010-08-21 10:01:10',NULL,NULL,14,NULL),
 ('C9E62DA9-311C-4574-AB52-CAC7A245F961',NULL,'2010-03-30 23:17:42','Illummofe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-30 23:17:42','2010-03-30 23:17:42','2010-03-30 23:17:42',0,0,'2010-03-30 23:17:42',0,'2010-03-30 23:17:42',0,'2010-03-30 23:17:42',NULL,NULL,1,NULL),
 ('CA2DEF18-562F-4772-B1ED-63C92A3AD36E',NULL,'2009-12-09 04:07:50','ali',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','1','1',1,'2009-12-09 04:09:30','2009-12-09 04:07:50','2009-12-09 04:07:50',0,0,'2009-12-09 04:07:50',0,'2009-12-09 04:07:50',0,'2009-12-09 04:07:50',NULL,NULL,1,NULL),
 ('CA707FE8-3070-4795-B305-81F4CF6DA948',NULL,'2010-08-07 22:29:13','Nurceguarne',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-07 22:29:12','2010-08-07 22:29:12','2010-08-07 22:29:12',0,0,'2010-08-07 22:29:12',0,'2010-08-07 22:29:12',0,'2010-08-07 22:29:12',NULL,NULL,1,NULL),
 ('CAB2A0F6-C74A-4DC4-A0E9-60742EA8F095',NULL,'2010-08-08 14:32:03','Kerysoopy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-08 14:32:09','2010-08-08 14:32:03','2010-08-08 14:32:03',0,0,'2010-08-08 14:32:03',0,'2010-08-08 14:32:03',0,'2010-08-08 14:32:03',NULL,NULL,1,NULL),
 ('CABC0F7F-E53E-4E42-A07E-3D01308F363E',NULL,'2010-04-13 14:54:30','Russel_Hinton',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-13 14:54:30','2010-04-13 14:54:30','2010-04-13 14:54:30',0,0,'2010-04-13 14:54:30',0,'2010-04-13 14:54:30',0,'2010-04-13 14:54:30',NULL,NULL,1,NULL),
 ('CAC029B0-C41C-46DC-B380-FF54E323705A',NULL,'2010-06-07 05:20:20','ronaildiniorullizer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-07 05:20:19','2010-06-07 05:20:19','2010-06-07 05:20:19',0,0,'2010-06-07 05:20:19',0,'2010-06-07 05:20:19',0,'2010-06-07 05:20:19',NULL,NULL,13,NULL),
 ('CB3D6BAF-D272-4555-92CC-761896B6C2EC',NULL,'2010-03-05 15:43:57','Roindjnkfvjkfvijfijkdfd',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-05 15:44:01','2010-03-05 15:43:57','2010-03-05 15:43:57',0,0,'2010-03-05 15:43:57',0,'2010-03-05 15:43:57',0,'2010-03-05 15:43:57',NULL,NULL,15,NULL),
 ('CB697844-D456-4430-A700-519C068D90DF',NULL,'2010-02-28 02:58:41','ultrambq',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-28 02:58:41','2010-02-28 02:58:41','2010-02-28 02:58:41',0,0,'2010-02-28 02:58:41',0,'2010-02-28 02:58:41',0,'2010-02-28 02:58:41',NULL,NULL,1,NULL),
 ('CBC0812B-765F-4467-9132-2F417190CF73',NULL,'2010-06-01 16:57:02','HottSiniactuago',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-01 16:57:02','2010-06-01 16:57:02','2010-06-01 16:57:02',0,0,'2010-06-01 16:57:02',0,'2010-06-01 16:57:02',0,'2010-06-01 16:57:02',NULL,NULL,14,NULL),
 ('CBF0B1E5-81CF-4969-8E50-3BE9CA85FA54',NULL,'2009-12-02 05:03:04','bvrijn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-02 05:03:28','2009-12-02 05:03:04','2009-12-02 05:03:04',0,0,'2009-12-02 05:03:04',0,'2009-12-02 05:03:04',0,'2009-12-02 05:03:04',NULL,NULL,1,NULL),
 ('CC45388D-D740-41AC-B4EA-C0AA2B620125',NULL,'2009-12-01 05:18:26','Magistrat',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-01 05:18:26','2009-12-01 05:18:26','2009-12-01 05:18:26',0,0,'2009-12-01 05:18:26',0,'2009-12-01 05:18:26',0,'2009-12-01 05:18:26',NULL,NULL,1,NULL),
 ('CC6E467A-0655-4C31-9CFA-D12038C1CCD5',NULL,'2010-01-06 11:49:43','SallUrizall',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-06 11:49:51','2010-01-06 11:49:42','2010-01-06 11:49:42',0,0,'2010-01-06 11:49:42',0,'2010-01-06 11:49:42',0,'2010-01-06 11:49:42',NULL,NULL,1,NULL),
 ('CC9161AE-E8E6-4AE2-8BDF-A39AC77EAB15',NULL,'2009-10-20 13:20:55','lazyd',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-20 13:23:09','2009-10-20 13:20:55','2009-10-20 13:20:55',0,0,'2009-10-20 13:20:55',0,'2009-10-20 13:20:55',0,'2009-10-20 13:20:55',NULL,NULL,1,NULL),
 ('CC96F388-9150-4C78-B5E7-6FAE059AACC0',NULL,'2010-04-27 01:34:50','exeplexeprict',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-27 01:34:50','2010-04-27 01:34:50','2010-04-27 01:34:50',0,0,'2010-04-27 01:34:50',0,'2010-04-27 01:34:50',0,'2010-04-27 01:34:50',NULL,NULL,1,NULL),
 ('CCAE061A-3BFB-46D5-8DF2-A72B69D70B69',NULL,'2010-06-14 20:27:23','cecilyw5c',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-14 20:27:23','2010-06-14 20:27:23','2010-06-14 20:27:23',0,0,'2010-06-14 20:27:23',0,'2010-06-14 20:27:23',0,'2010-06-14 20:27:23',NULL,NULL,13,NULL),
 ('CCE72EE8-9D22-453A-874D-CD32FF490721',NULL,'2010-10-12 15:56:31','STYDAYSEMEHAF',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-12 15:56:31','2010-10-12 15:56:31','2010-10-12 15:56:31',0,0,'2010-10-12 15:56:31',0,'2010-10-12 15:56:31',0,'2010-10-12 15:56:31',NULL,NULL,1,NULL),
 ('CCFCD08D-EA7C-4A44-B320-A37221E1B2EE',NULL,'2009-11-13 01:46:02','magic',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-13 01:46:20','2009-11-13 01:46:02','2009-11-13 01:46:02',0,0,'2009-11-13 01:46:02',0,'2009-11-13 01:46:02',0,'2009-11-13 01:46:02',NULL,NULL,14,NULL),
 ('CD376420-13F4-4FDA-B9CC-76D0CFDA1CB6',NULL,'2010-01-29 17:35:36','NoinnyRig',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-29 17:35:36','2010-01-29 17:35:36','2010-01-29 17:35:36',0,0,'2010-01-29 17:35:36',0,'2010-01-29 17:35:36',0,'2010-01-29 17:35:36',NULL,NULL,1,NULL),
 ('CD6D2CAE-3848-4049-AD00-DD7088B321A8',NULL,'2010-06-22 13:50:54','skalacuulfich',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-22 13:50:54','2010-06-22 13:50:54','2010-06-22 13:50:54',0,0,'2010-06-22 13:50:54',0,'2010-06-22 13:50:54',0,'2010-06-22 13:50:54',NULL,NULL,1,NULL),
 ('CDCD0533-59BF-481A-8265-9DDD155E376C',NULL,'2010-05-03 02:22:50','RopSwelttoope',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-03 02:22:50','2010-05-03 02:22:50','2010-05-03 02:22:50',0,0,'2010-05-03 02:22:50',0,'2010-05-03 02:22:50',0,'2010-05-03 02:22:50',NULL,NULL,1,NULL),
 ('CE09491F-1DE7-45EA-B840-1F18FA80E914',NULL,'2010-09-19 00:30:58','pohertez',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-19 00:30:58','2010-09-19 00:30:58','2010-09-19 00:30:58',0,0,'2010-09-19 00:30:58',0,'2010-09-19 00:30:58',0,'2010-09-19 00:30:58',NULL,NULL,1,NULL),
 ('CE15F507-61F3-497E-AEEA-434D7C0C711D',NULL,'2010-03-06 04:04:17','PIChristopher',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-06 04:04:17','2010-03-06 04:04:17','2010-03-06 04:04:17',0,0,'2010-03-06 04:04:17',0,'2010-03-06 04:04:17',0,'2010-03-06 04:04:17',NULL,NULL,1,NULL),
 ('CE17F970-1405-4047-9163-EF5546890774',NULL,'2009-10-21 23:01:14','cod',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-10-09 21:57:09','2010-10-09 21:33:30','2009-10-21 23:01:14',0,0,'2009-10-21 23:01:14',0,'2009-10-21 23:01:14',0,'2009-10-21 23:01:14',NULL,NULL,13,NULL),
 ('CE260BBE-DA6C-4D18-A355-24DA3286F01A',NULL,'2010-03-28 17:14:23','Traubssougs',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-28 17:14:23','2010-03-28 17:14:23','2010-03-28 17:14:23',0,0,'2010-03-28 17:14:23',0,'2010-03-28 17:14:23',0,'2010-03-28 17:14:23',NULL,NULL,1,NULL),
 ('CE3FF826-4668-4C6D-8CC2-53D2422CECEF',NULL,'2010-09-16 01:41:16','KAlifabus',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-16 01:41:16','2010-09-16 01:41:16','2010-09-16 01:41:16',0,0,'2010-09-16 01:41:16',0,'2010-09-16 01:41:16',0,'2010-09-16 01:41:16',NULL,NULL,1,NULL),
 ('CE485AE3-65AA-47D0-ADBF-62D36C9CAF30',NULL,'2010-09-30 01:24:25','Rigreekem',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-30 01:24:25','2010-09-30 01:24:25','2010-09-30 01:24:25',0,0,'2010-09-30 01:24:25',0,'2010-09-30 01:24:25',0,'2010-09-30 01:24:25',NULL,NULL,1,NULL),
 ('CE69156F-6673-4ED6-A3F9-EBD9D6065CD1',NULL,'2010-07-02 15:02:54','Bicupeimpewom',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-02 15:02:53','2010-07-02 15:02:53','2010-07-02 15:02:53',0,0,'2010-07-02 15:02:53',0,'2010-07-02 15:02:53',0,'2010-07-02 15:02:53',NULL,NULL,14,NULL),
 ('CEA0B7AE-8C03-4CCA-9D2D-8CD388E37A53',NULL,'2010-10-02 09:49:20','sddealers',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-02 09:49:20','2010-10-02 09:49:20','2010-10-02 09:49:20',0,0,'2010-10-02 09:49:20',0,'2010-10-02 09:49:20',0,'2010-10-02 09:49:20',NULL,NULL,14,NULL),
 ('CECDD5FA-60B2-41CD-BCA8-622738741488',NULL,'2010-09-26 18:02:38','mansblackvid',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-26 18:02:38','2010-09-26 18:02:38','2010-09-26 18:02:38',0,0,'2010-09-26 18:02:38',0,'2010-09-26 18:02:38',0,'2010-09-26 18:02:38',NULL,NULL,1,NULL),
 ('CEE34179-5F04-4563-915F-EBE03A185946',NULL,'2010-04-16 06:52:56','Kithliaixesia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-16 06:52:56','2010-04-16 06:52:56','2010-04-16 06:52:56',0,0,'2010-04-16 06:52:56',0,'2010-04-16 06:52:56',0,'2010-04-16 06:52:56',NULL,NULL,13,NULL),
 ('CEEACDD0-B7A4-4DAE-8A4F-BEB342206E83',NULL,'2010-05-10 06:15:55','OccubLopVob',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-10 06:15:55','2010-05-10 06:15:55','2010-05-10 06:15:55',0,0,'2010-05-10 06:15:55',0,'2010-05-10 06:15:55',0,'2010-05-10 06:15:55',NULL,NULL,1,NULL),
 ('CEF0E67A-A3F4-4B65-A261-841F2CB319DC',NULL,'2010-01-09 11:44:51','fxtest',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-09 11:53:50','2010-01-09 11:44:51','2010-01-09 11:44:51',0,0,'2010-01-09 11:44:51',0,'2010-01-09 11:44:51',0,'2010-01-09 11:44:51',NULL,NULL,1,NULL),
 ('CF05BAE1-81FE-4A07-B306-9B957E2068CA',NULL,'2009-11-18 19:28:53','phuonglewis',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-11-23 06:45:58','2009-11-19 02:30:30','2009-11-18 19:28:53',0,0,'2009-11-18 19:28:53',0,'2009-11-18 19:28:53',0,'2009-11-18 19:28:53',NULL,NULL,1,NULL),
 ('CF0C9052-1E61-4797-9EBD-C4D8245C44E5',NULL,'2010-09-26 23:59:00','joulleyDete',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-26 23:59:00','2010-09-26 23:59:00','2010-09-26 23:59:00',0,0,'2010-09-26 23:59:00',0,'2010-09-26 23:59:00',0,'2010-09-26 23:59:00',NULL,NULL,1,NULL),
 ('CF3AADAE-5335-4599-995D-74611049290C',NULL,'2010-03-09 00:11:36','Quoffunfaix',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-09 00:11:36','2010-03-09 00:11:36','2010-03-09 00:11:36',0,0,'2010-03-09 00:11:36',0,'2010-03-09 00:11:36',0,'2010-03-09 00:11:36',NULL,NULL,15,NULL),
 ('CF4DAA0B-987F-4054-8B3A-10ECBD7638CD',NULL,'2010-02-28 20:12:11','Pamengandpultucheinc',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-28 20:12:11','2010-02-28 20:12:11','2010-02-28 20:12:11',0,0,'2010-02-28 20:12:11',0,'2010-02-28 20:12:11',0,'2010-02-28 20:12:11',NULL,NULL,1,NULL),
 ('CF79622D-A075-477B-BBD6-2D40669D527A',NULL,'2010-09-05 14:28:41','sandiegotow',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-05 14:28:41','2010-09-05 14:28:41','2010-09-05 14:28:41',0,0,'2010-09-05 14:28:41',0,'2010-09-05 14:28:41',0,'2010-09-05 14:28:41',NULL,NULL,14,NULL),
 ('CF9DF3FD-F13F-4871-8004-D6E2194A8B1D',NULL,'2010-01-21 21:00:47','MaydayElehalp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-21 21:00:47','2010-01-21 21:00:47','2010-01-21 21:00:47',0,0,'2010-01-21 21:00:47',0,'2010-01-21 21:00:47',0,'2010-01-21 21:00:47',NULL,NULL,1,NULL),
 ('CFA5EF9C-B438-46D0-9C48-5A8B9D333BD4',NULL,'2010-08-07 01:48:41','PioneerFive',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-07 01:48:41','2010-08-07 01:48:41','2010-08-07 01:48:41',0,0,'2010-08-07 01:48:41',0,'2010-08-07 01:48:41',0,'2010-08-07 01:48:41',NULL,NULL,1,NULL),
 ('CFAB240A-B7D9-4372-8633-D3BFC774A8E9',NULL,'2010-06-12 16:04:33','treboonnobiny',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-12 16:04:33','2010-06-12 16:04:33','2010-06-12 16:04:33',0,0,'2010-06-12 16:04:33',0,'2010-06-12 16:04:33',0,'2010-06-12 16:04:33',NULL,NULL,1,NULL),
 ('CFF4C4A2-68DB-4BF7-9754-69B82281F621',NULL,'2010-09-06 22:51:37','kettlebell',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-06 22:51:37','2010-09-06 22:51:37','2010-09-06 22:51:37',0,0,'2010-09-06 22:51:37',0,'2010-09-06 22:51:37',0,'2010-09-06 22:51:37',NULL,NULL,14,NULL),
 ('CFFFF434-6508-4CD4-A8C2-6F96E793C256',NULL,'2009-10-25 11:07:27','vedat',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-25 11:09:15','2009-10-25 11:07:27','2009-10-25 11:07:27',0,0,'2009-10-25 11:07:27',0,'2009-10-25 11:07:27',0,'2009-10-25 11:07:27',NULL,NULL,1,NULL),
 ('D027E852-7A1C-43B9-B2C1-25228D3C8232',NULL,'2010-08-05 11:25:58','DiofeNoiliPep',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-05 11:25:58','2010-08-05 11:25:58','2010-08-05 11:25:58',0,0,'2010-08-05 11:25:58',0,'2010-08-05 11:25:58',0,'2010-08-05 11:25:58',NULL,NULL,1,NULL),
 ('D043B066-5AE5-4DF9-93F3-65334A2B2AC6',NULL,'2010-07-04 17:03:09','GuiltbugRig',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-04 17:03:09','2010-07-04 17:03:09','2010-07-04 17:03:09',0,0,'2010-07-04 17:03:09',0,'2010-07-04 17:03:09',0,'2010-07-04 17:03:09',NULL,NULL,1,NULL),
 ('D045EE7F-2FA7-43AE-B68B-F2B10F58EFBA',NULL,'2010-09-09 19:57:39','Cenutettyvmax',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-09 19:57:47','2010-09-09 19:57:39','2010-09-09 19:57:39',0,0,'2010-09-09 19:57:39',0,'2010-09-09 19:57:39',0,'2010-09-09 19:57:39',NULL,NULL,13,NULL),
 ('D0535B5C-125B-4F9C-88B2-EEAF87F4471E',NULL,'2009-12-10 23:12:41','PublicInvasions',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-10 23:12:41','2009-12-10 23:12:41','2009-12-10 23:12:41',0,0,'2009-12-10 23:12:41',0,'2009-12-10 23:12:41',0,'2009-12-10 23:12:41',NULL,NULL,1,NULL),
 ('D05B2327-9915-430A-9C15-932992C6BAE0',NULL,'2010-09-26 01:34:04','groucoums',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-26 01:34:04','2010-09-26 01:34:04','2010-09-26 01:34:04',0,0,'2010-09-26 01:34:04',0,'2010-09-26 01:34:04',0,'2010-09-26 01:34:04',NULL,NULL,1,NULL),
 ('D07C1F17-E6D8-4810-A460-BBA347485BA5',NULL,'2010-08-23 06:04:00','cjohni',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-23 06:04:00','2010-08-23 06:04:00','2010-08-23 06:04:00',0,0,'2010-08-23 06:04:00',0,'2010-08-23 06:04:00',0,'2010-08-23 06:04:00',NULL,NULL,1,NULL),
 ('D08CC655-952E-4734-9834-A9EE2B905C6B',NULL,'2010-06-25 23:10:21','mogyman',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-25 23:10:21','2010-06-25 23:10:21','2010-06-25 23:10:21',0,0,'2010-06-25 23:10:21',0,'2010-06-25 23:10:21',0,'2010-06-25 23:10:21',NULL,NULL,1,NULL),
 ('D0955FA7-612D-4794-A767-7779D764245A',NULL,'2010-08-06 04:31:45','Brooftslata',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-06 04:31:45','2010-08-06 04:31:45','2010-08-06 04:31:45',0,0,'2010-08-06 04:31:45',0,'2010-08-06 04:31:45',0,'2010-08-06 04:31:45',NULL,NULL,1,NULL),
 ('D0CE53A4-B414-4DF6-9D17-1BFC8E1E3816',NULL,'2010-08-04 20:34:41','FPhopleson',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-04 20:34:41','2010-08-04 20:34:41','2010-08-04 20:34:41',0,0,'2010-08-04 20:34:41',0,'2010-08-04 20:34:41',0,'2010-08-04 20:34:41',NULL,NULL,1,NULL),
 ('D0DC5279-F3A1-4B8D-B8A9-176C2B13AE13',NULL,'2010-06-26 03:06:44','soymnfumn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-26 03:06:44','2010-06-26 03:06:44','2010-06-26 03:06:44',0,0,'2010-06-26 03:06:44',0,'2010-06-26 03:06:44',0,'2010-06-26 03:06:44',NULL,NULL,1,NULL),
 ('D10312F8-CD96-4E7D-A72B-EFE7A783E4E6',NULL,'2010-02-12 17:09:51','canablezskinfreak',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-12 17:09:51','2010-02-12 17:09:51','2010-02-12 17:09:51',0,0,'2010-02-12 17:09:51',0,'2010-02-12 17:09:51',0,'2010-02-12 17:09:51',NULL,NULL,13,NULL),
 ('D1417D6B-242C-4614-A162-7BCAF33E3AB9',NULL,'2010-04-28 19:36:26','FedCheque',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-28 19:36:26','2010-04-28 19:36:26','2010-04-28 19:36:26',0,0,'2010-04-28 19:36:26',0,'2010-04-28 19:36:26',0,'2010-04-28 19:36:26',NULL,NULL,1,NULL),
 ('D149DAB0-1762-4E61-9731-E833FE28842F',NULL,'2010-08-27 11:44:13','sandiegobk',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-27 11:44:13','2010-08-27 11:44:13','2010-08-27 11:44:13',0,0,'2010-08-27 11:44:13',0,'2010-08-27 11:44:13',0,'2010-08-27 11:44:13',NULL,NULL,14,NULL),
 ('D14CDEE7-B86F-4765-B433-3EE5932F07EC',NULL,'2010-10-04 08:35:08','JodyMeier',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-04 08:35:28','2010-10-04 08:35:08','2010-10-04 08:35:08',0,0,'2010-10-04 08:35:08',0,'2010-10-04 08:35:08',0,'2010-10-04 08:35:08',NULL,NULL,13,NULL),
 ('D154E816-0EA8-4F04-AB83-7AA5E9BF0513',NULL,'2010-06-26 18:57:19','mirinavika',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-26 18:57:25','2010-06-26 18:57:19','2010-06-26 18:57:19',0,0,'2010-06-26 18:57:19',0,'2010-06-26 18:57:19',0,'2010-06-26 18:57:19',NULL,NULL,1,NULL),
 ('D1665457-5F4F-41F4-B6E3-F7CCD3969B17',NULL,'2010-09-27 09:22:59','alurfardy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-27 09:22:59','2010-09-27 09:22:59','2010-09-27 09:22:59',0,0,'2010-09-27 09:22:59',0,'2010-09-27 09:22:59',0,'2010-09-27 09:22:59',NULL,NULL,1,NULL),
 ('D1AC715C-04E4-4C75-A706-0797C6D6FE22',NULL,'2010-04-13 19:56:59','pelepnsaganum',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-13 19:56:59','2010-04-13 19:56:59','2010-04-13 19:56:59',0,0,'2010-04-13 19:56:59',0,'2010-04-13 19:56:59',0,'2010-04-13 19:56:59',NULL,NULL,1,NULL),
 ('D1B42DD4-5A12-4360-A2C1-9EFFA7AB49D8',NULL,'2010-04-18 06:23:30','ExerbaseLab',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-18 06:23:30','2010-04-18 06:23:30','2010-04-18 06:23:30',0,0,'2010-04-18 06:23:30',0,'2010-04-18 06:23:30',0,'2010-04-18 06:23:30',NULL,NULL,1,NULL),
 ('D1C676EB-6CA6-4F01-968D-2E35464EB4E7',NULL,'2010-04-08 19:32:12','Fatkict',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-08 19:32:12','2010-04-08 19:32:12','2010-04-08 19:32:12',0,0,'2010-04-08 19:32:12',0,'2010-04-08 19:32:12',0,'2010-04-08 19:32:12',NULL,NULL,13,NULL),
 ('D1D48164-0784-4054-B179-1A035B319AA2',NULL,'2010-06-08 14:15:13','VladIlichR',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-08 14:15:13','2010-06-08 14:15:13','2010-06-08 14:15:13',0,0,'2010-06-08 14:15:13',0,'2010-06-08 14:15:13',0,'2010-06-08 14:15:13',NULL,NULL,13,NULL),
 ('D1E937E0-F4BE-402C-B070-65C4E4D89B85',NULL,'2010-03-05 05:36:13','ZepImposeCono',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-05 05:36:13','2010-03-05 05:36:13','2010-03-05 05:36:13',0,0,'2010-03-05 05:36:13',0,'2010-03-05 05:36:13',0,'2010-03-05 05:36:13',NULL,NULL,1,NULL),
 ('D20D8004-58CA-4C3C-9610-02FB369A6AD6',NULL,'2010-04-25 10:38:06','JaidaKewKizhfh',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-25 10:38:06','2010-04-25 10:38:06','2010-04-25 10:38:06',0,0,'2010-04-25 10:38:06',0,'2010-04-25 10:38:06',0,'2010-04-25 10:38:06',NULL,NULL,1,NULL),
 ('D26F4C2A-786B-49F1-8300-0720DB7E1690',NULL,'2010-05-26 14:28:03','minagrowband',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-26 14:28:03','2010-05-26 14:28:03','2010-05-26 14:28:03',0,0,'2010-05-26 14:28:03',0,'2010-05-26 14:28:03',0,'2010-05-26 14:28:03',NULL,NULL,1,NULL),
 ('D27C91C4-9FC3-431D-9D0C-9F7B6571A189',NULL,'2010-03-16 16:34:37','inwawlval',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-16 16:34:37','2010-03-16 16:34:37','2010-03-16 16:34:37',0,0,'2010-03-16 16:34:37',0,'2010-03-16 16:34:37',0,'2010-03-16 16:34:37',NULL,NULL,13,NULL),
 ('D2819EE0-B728-43EB-B552-173691BE013C',NULL,'2010-04-01 14:32:49','thorrooferazxcl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-01 14:32:49','2010-04-01 14:32:49','2010-04-01 14:32:49',0,0,'2010-04-01 14:32:49',0,'2010-04-01 14:32:49',0,'2010-04-01 14:32:49',NULL,NULL,1,NULL),
 ('D2B05AF1-428C-4581-9A04-4E6EFDF2FDB5',NULL,'2010-03-20 22:41:55','trwblack',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-20 22:41:55','2010-03-20 22:41:55','2010-03-20 22:41:55',0,0,'2010-03-20 22:41:55',0,'2010-03-20 22:41:55',0,'2010-03-20 22:41:55',NULL,NULL,1,NULL),
 ('D2F348CC-2A1C-432C-B5F0-4CD4058C6DF6',NULL,'2010-03-09 23:00:08','mrkazoo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','first dog','Dusty',1,'2010-03-09 23:02:52','2010-03-09 23:00:08','2010-03-09 23:00:08',0,0,'2010-03-09 23:00:08',0,'2010-03-09 23:00:08',0,'2010-03-09 23:00:08',NULL,NULL,15,NULL),
 ('D30A8904-856D-4751-B6F7-77A64ABA874B',NULL,'2009-12-14 22:28:46','huunghiem',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-10 20:22:39','2010-01-10 20:22:39','2009-12-14 22:28:46',0,0,'2009-12-14 22:28:46',1,'2010-01-10 20:22:32',0,'2009-12-14 22:28:46',NULL,NULL,1,NULL),
 ('D317DF17-3E16-46D9-8021-F433BE8B520A',NULL,'2010-03-25 18:02:52','BypeCrypeAddeta',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-25 18:02:52','2010-03-25 18:02:52','2010-03-25 18:02:52',0,0,'2010-03-25 18:02:52',0,'2010-03-25 18:02:52',0,'2010-03-25 18:02:52',NULL,NULL,1,NULL),
 ('D3483CA3-3785-4E92-A974-7982C556D44E',NULL,'2010-05-05 23:36:01','MikeTheOilMan',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-05 23:36:01','2010-05-05 23:36:01','2010-05-05 23:36:01',0,0,'2010-05-05 23:36:01',0,'2010-05-05 23:36:01',0,'2010-05-05 23:36:01',NULL,NULL,1,NULL),
 ('D3895E8F-CDAF-43E7-B05C-DE9F1AD22BB5',NULL,'2010-05-14 22:12:34','irenmalchevcski',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-14 22:12:41','2010-05-14 22:12:34','2010-05-14 22:12:34',0,0,'2010-05-14 22:12:34',0,'2010-05-14 22:12:34',0,'2010-05-14 22:12:34',NULL,NULL,1,NULL),
 ('D41C5371-B475-45B6-B4AD-235CF9BAA697',NULL,'2010-02-09 23:11:04','Dousnisptut',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-09 23:11:04','2010-02-09 23:11:04','2010-02-09 23:11:04',0,0,'2010-02-09 23:11:04',0,'2010-02-09 23:11:04',0,'2010-02-09 23:11:04',NULL,NULL,1,NULL),
 ('D428A644-4A0A-4AE5-A525-FA1A484A0156',NULL,'2009-12-11 07:16:24','blabla2',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-11 07:18:29','2009-12-11 07:18:03','2009-12-11 07:16:24',0,0,'2009-12-11 07:16:24',0,'2009-12-11 07:16:24',0,'2009-12-11 07:16:24',NULL,NULL,15,NULL),
 ('D44BC8AA-FD5D-4B15-AA48-1F5C3E19F318',NULL,'2010-09-21 15:52:11','fafeascenda',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-21 15:52:11','2010-09-21 15:52:11','2010-09-21 15:52:11',0,0,'2010-09-21 15:52:11',0,'2010-09-21 15:52:11',0,'2010-09-21 15:52:11',NULL,NULL,1,NULL),
 ('D4615F0B-93C6-4AC9-A6F5-C5E9D4CB6FC6',NULL,'2010-02-18 03:51:05','stellagates',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-18 03:51:05','2010-02-18 03:51:05','2010-02-18 03:51:05',0,0,'2010-02-18 03:51:05',0,'2010-02-18 03:51:05',0,'2010-02-18 03:51:05',NULL,NULL,1,NULL),
 ('D4AFE154-4EEB-41FA-BC7E-3E00F60D7303',NULL,'2010-07-22 09:18:19','Coastestata',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-22 09:18:19','2010-07-22 09:18:19','2010-07-22 09:18:19',0,0,'2010-07-22 09:18:19',0,'2010-07-22 09:18:19',0,'2010-07-22 09:18:19',NULL,NULL,1,NULL),
 ('D4BB8AD9-5330-4635-AE38-E83D8266DA46',NULL,'2009-10-30 00:30:20','Matt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','Dog','Riley',1,'2009-10-30 00:30:48','2009-10-30 00:30:20','2009-10-30 00:30:20',0,0,'2009-10-30 00:30:20',0,'2009-10-30 00:30:20',0,'2009-10-30 00:30:20',NULL,NULL,1,NULL),
 ('D4CD259B-3338-4DA2-BD58-4E237AC64BE6',NULL,'2010-09-22 09:46:35','jin',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-22 09:46:35','2010-09-22 09:46:35','2010-09-22 09:46:35',0,0,'2010-09-22 09:46:35',0,'2010-09-22 09:46:35',0,'2010-09-22 09:46:35',NULL,NULL,1,NULL),
 ('D4F99F1B-30FC-4D3A-BCA7-1992B16EB84E',NULL,'2010-09-28 02:30:29','silverstarsky',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','what middle name?','duc',1,'2010-10-07 05:21:11','2010-10-07 02:45:54','2010-09-28 02:30:29',0,0,'2010-09-28 02:30:29',0,'2010-09-28 02:30:29',0,'2010-09-28 02:30:29',NULL,NULL,1,NULL),
 ('D5094A1D-1580-4FA6-8338-33BB93DEEF01',NULL,'2009-11-27 14:13:52','weijian',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','ni??','??',1,'2009-11-27 14:14:13','2009-11-27 14:13:52','2009-11-27 14:13:52',0,0,'2009-11-27 14:13:52',0,'2009-11-27 14:13:52',0,'2009-11-27 14:13:52',NULL,NULL,1,NULL),
 ('D52BA171-696A-412D-8825-773C2E50DB5C',NULL,'2010-09-24 18:05:18','sdmoldrepair',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-24 18:05:18','2010-09-24 18:05:18','2010-09-24 18:05:18',0,0,'2010-09-24 18:05:18',0,'2010-09-24 18:05:18',0,'2010-09-24 18:05:18',NULL,NULL,14,NULL),
 ('D55E1A67-6D1D-4E2F-A06B-03CE593A8632',NULL,'2009-11-29 19:04:25','Evible',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-29 19:04:25','2009-11-29 19:04:25','2009-11-29 19:04:25',0,0,'2009-11-29 19:04:25',0,'2009-11-29 19:04:25',0,'2009-11-29 19:04:25',NULL,NULL,1,NULL),
 ('D57E3E16-46BD-4E51-B05E-2A0B3CA43E83',NULL,'2010-06-28 19:40:25','playgirl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-28 19:40:25','2010-06-28 19:40:25','2010-06-28 19:40:25',0,0,'2010-06-28 19:40:25',0,'2010-06-28 19:40:25',0,'2010-06-28 19:40:25',NULL,NULL,1,NULL),
 ('D5AC0051-90D8-41F2-BDF0-121FC4306FBE',NULL,'2010-04-27 04:17:20','Slopsypospirl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-27 04:17:20','2010-04-27 04:17:20','2010-04-27 04:17:20',0,0,'2010-04-27 04:17:20',0,'2010-04-27 04:17:20',0,'2010-04-27 04:17:20',NULL,NULL,1,NULL),
 ('D5B118BA-8CE5-4DC7-9716-8BA9390A7F85',NULL,'2010-10-12 13:55:12','96Tommy1979',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-12 13:55:12','2010-10-12 13:55:12','2010-10-12 13:55:12',0,0,'2010-10-12 13:55:12',0,'2010-10-12 13:55:12',0,'2010-10-12 13:55:12',NULL,NULL,1,NULL),
 ('D5CBA2F3-39D4-4327-915D-31262CC354D9',NULL,'2010-03-16 06:00:10','stanozweb',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-16 06:00:13','2010-03-16 06:00:10','2010-03-16 06:00:10',0,0,'2010-03-16 06:00:10',0,'2010-03-16 06:00:10',0,'2010-03-16 06:00:10',NULL,NULL,1,NULL),
 ('D5E8DA27-BE2E-43A6-B3A0-E482529127B0',NULL,'2010-04-01 17:57:22','goldenprofitsis',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-01 17:57:22','2010-04-01 17:57:22','2010-04-01 17:57:22',0,0,'2010-04-01 17:57:22',0,'2010-04-01 17:57:22',0,'2010-04-01 17:57:22',NULL,NULL,1,NULL),
 ('D5EC0215-F6AB-46BE-AF71-A74064C89BC3',NULL,'2010-03-16 14:38:02','Ediveamyday',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-16 14:38:02','2010-03-16 14:38:02','2010-03-16 14:38:02',0,0,'2010-03-16 14:38:02',0,'2010-03-16 14:38:02',0,'2010-03-16 14:38:02',NULL,NULL,1,NULL),
 ('D6119E70-536F-490D-939E-0E182E0F71C5',NULL,'2010-08-10 11:48:51','healthcoach',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-10 11:48:51','2010-08-10 11:48:51','2010-08-10 11:48:51',0,0,'2010-08-10 11:48:51',0,'2010-08-10 11:48:51',0,'2010-08-10 11:48:51',NULL,NULL,14,NULL),
 ('D615F8A9-C141-4CD3-A85E-2A66E6883444',NULL,'2010-04-07 19:20:25','nationalgroup',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-07 19:20:25','2010-04-07 19:20:25','2010-04-07 19:20:25',0,0,'2010-04-07 19:20:25',0,'2010-04-07 19:20:25',0,'2010-04-07 19:20:25',NULL,NULL,1,NULL),
 ('D654389F-4D15-400C-9962-5DDE3A606374',NULL,'2010-08-17 08:35:56','helenaprincesss',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-17 08:35:56','2010-08-17 08:35:56','2010-08-17 08:35:56',0,0,'2010-08-17 08:35:56',0,'2010-08-17 08:35:56',0,'2010-08-17 08:35:56',NULL,NULL,1,NULL),
 ('D6816A9B-9364-4030-9FC5-15BFA8C0F117',NULL,'2010-03-17 06:36:29','martaoscarsg',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-17 06:36:29','2010-03-17 06:36:29','2010-03-17 06:36:29',0,0,'2010-03-17 06:36:29',0,'2010-03-17 06:36:29',0,'2010-03-17 06:36:29',NULL,NULL,1,NULL),
 ('D6FB0CD7-B8C7-4205-BB7F-A3DEEA19CA4C',NULL,'2010-08-19 03:32:43','anton',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-08-19 03:34:30','2010-08-19 03:32:43','2010-08-19 03:32:43',0,0,'2010-08-19 03:32:43',0,'2010-08-19 03:32:43',0,'2010-08-19 03:32:43',NULL,NULL,1,NULL),
 ('D72AACB2-CD52-4668-B1FE-0FB5923C8D31',NULL,'2010-09-05 05:00:22','Impadyplodo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-05 05:00:22','2010-09-05 05:00:22','2010-09-05 05:00:22',0,0,'2010-09-05 05:00:22',0,'2010-09-05 05:00:22',0,'2010-09-05 05:00:22',NULL,NULL,1,NULL),
 ('D73B7140-D3CF-4C2C-B92A-90FDB72C09DE',NULL,'2010-08-14 03:47:12','evorhoota',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-14 03:47:12','2010-08-14 03:47:12','2010-08-14 03:47:12',0,0,'2010-08-14 03:47:12',0,'2010-08-14 03:47:12',0,'2010-08-14 03:47:12',NULL,NULL,1,NULL),
 ('D74CA0AF-536B-456C-9A9E-D929516FA1F5',NULL,'2010-08-31 16:11:43','streamingF',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-31 16:11:43','2010-08-31 16:11:43','2010-08-31 16:11:43',0,0,'2010-08-31 16:11:43',0,'2010-08-31 16:11:43',0,'2010-08-31 16:11:43',NULL,NULL,14,NULL),
 ('D7716EAA-A927-49D6-A0BC-40EF705287C9',NULL,'2010-02-07 15:34:56','pushnbv',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-07 15:34:56','2010-02-07 15:34:56','2010-02-07 15:34:56',0,0,'2010-02-07 15:34:56',0,'2010-02-07 15:34:56',0,'2010-02-07 15:34:56',NULL,NULL,1,NULL),
 ('D83BA3BF-9B8E-48AA-B8AC-D36FF4813010',NULL,'2010-08-02 22:47:27','casiaHifesend',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-02 22:47:27','2010-08-02 22:47:27','2010-08-02 22:47:27',0,0,'2010-08-02 22:47:27',0,'2010-08-02 22:47:27',0,'2010-08-02 22:47:27',NULL,NULL,1,NULL),
 ('D864F12F-C6B8-4F63-A8C1-B60691187648',NULL,'2010-08-10 22:59:40','epuujee',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-10 23:07:48','2010-08-10 22:59:40','2010-08-10 22:59:40',0,0,'2010-08-10 22:59:40',0,'2010-08-10 22:59:40',0,'2010-08-10 22:59:40',NULL,NULL,1,NULL),
 ('D8687DEE-A7FF-4531-A45A-4F1B5614D3D2',NULL,'2010-04-19 19:52:40','thorroogerx',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-19 19:52:40','2010-04-19 19:52:40','2010-04-19 19:52:40',0,0,'2010-04-19 19:52:40',0,'2010-04-19 19:52:40',0,'2010-04-19 19:52:40',NULL,NULL,1,NULL),
 ('D87D35CD-417A-4EA4-9D49-8EA1DCF73A55',NULL,'2010-04-12 06:10:25','rowlandifv',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-12 06:10:25','2010-04-12 06:10:25','2010-04-12 06:10:25',0,0,'2010-04-12 06:10:25',0,'2010-04-12 06:10:25',0,'2010-04-12 06:10:25',NULL,NULL,13,NULL),
 ('D8968724-275D-46DB-8886-1DD0B357687D',NULL,'2010-01-12 01:37:22','advode',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-12 01:37:22','2010-01-12 01:37:22','2010-01-12 01:37:22',0,0,'2010-01-12 01:37:22',0,'2010-01-12 01:37:22',0,'2010-01-12 01:37:22',NULL,NULL,1,NULL),
 ('D8E7B9B3-8FF8-4F65-A2F9-905367BF1A65',NULL,'2010-03-02 02:28:30','dachphene',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-02 02:28:30','2010-03-02 02:28:30','2010-03-02 02:28:30',0,0,'2010-03-02 02:28:30',0,'2010-03-02 02:28:30',0,'2010-03-02 02:28:30',NULL,NULL,15,NULL),
 ('D9048A5A-7A0A-4E95-BE36-B69578B9E55A',NULL,'2009-12-09 05:06:39','MichelleWatson',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-09 05:06:38','2009-12-09 05:06:38','2009-12-09 05:06:38',0,0,'2009-12-09 05:06:38',0,'2009-12-09 05:06:38',0,'2009-12-09 05:06:38',NULL,NULL,1,NULL),
 ('D91E1E3C-AF24-4CC0-93D1-A32CC25673D4',NULL,'2010-06-26 09:24:17','speedcity',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-26 09:24:17','2010-06-26 09:24:17','2010-06-26 09:24:17',0,0,'2010-06-26 09:24:17',0,'2010-06-26 09:24:17',0,'2010-06-26 09:24:17',NULL,NULL,14,NULL),
 ('D92BC9A6-C75F-4136-B9C3-A2C81D7B9E7E',NULL,'2010-01-15 03:18:36','bobojr',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-01-15 03:23:11','2010-01-15 03:18:36','2010-01-15 03:18:36',0,0,'2010-01-15 03:18:36',0,'2010-01-15 03:18:36',0,'2010-01-15 03:18:36',NULL,NULL,15,NULL),
 ('D939F95E-377C-421A-9180-63E4B6692C4F',NULL,'2010-10-12 19:19:12','yjuhhgaydsdw',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-12 19:19:12','2010-10-12 19:19:12','2010-10-12 19:19:12',0,0,'2010-10-12 19:19:12',0,'2010-10-12 19:19:12',0,'2010-10-12 19:19:12',NULL,NULL,1,NULL),
 ('D96E17B3-CA47-464B-A956-68D830882460',NULL,'2010-08-16 15:26:29','SheachNer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-16 15:26:29','2010-08-16 15:26:29','2010-08-16 15:26:29',0,0,'2010-08-16 15:26:29',0,'2010-08-16 15:26:29',0,'2010-08-16 15:26:29',NULL,NULL,13,NULL),
 ('D96E36B8-B71A-4EB1-88AB-5E5C03EF047A',NULL,'2010-05-31 05:35:12','dorothypa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-31 05:35:12','2010-05-31 05:35:12','2010-05-31 05:35:12',0,0,'2010-05-31 05:35:12',0,'2010-05-31 05:35:12',0,'2010-05-31 05:35:12',NULL,NULL,1,NULL),
 ('D99CBBFB-03DD-4C5D-B4F8-44BFDF14CD69',NULL,'2010-05-27 03:53:40','SmateSpoupt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-27 03:53:40','2010-05-27 03:53:40','2010-05-27 03:53:40',0,0,'2010-05-27 03:53:40',0,'2010-05-27 03:53:40',0,'2010-05-27 03:53:40',NULL,NULL,1,NULL),
 ('D9C35000-DE19-40D8-B722-EBFF7F40B634',NULL,'2010-07-21 01:05:13','SnumnKilm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-21 01:05:13','2010-07-21 01:05:13','2010-07-21 01:05:13',0,0,'2010-07-21 01:05:13',0,'2010-07-21 01:05:13',0,'2010-07-21 01:05:13',NULL,NULL,1,NULL),
 ('D9DEE4A0-DCDF-4592-BF1B-C27996259859',NULL,'2010-04-04 04:16:14','diombodia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-04 04:16:14','2010-04-04 04:16:14','2010-04-04 04:16:14',0,0,'2010-04-04 04:16:14',0,'2010-04-04 04:16:14',0,'2010-04-04 04:16:14',NULL,NULL,1,NULL),
 ('D9FDC196-EA17-4DEE-847E-E3C31D887F24',NULL,'2010-08-31 22:06:33','Avril Lavin L',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-31 22:06:33','2010-08-31 22:06:33','2010-08-31 22:06:33',0,0,'2010-08-31 22:06:33',0,'2010-08-31 22:06:33',0,'2010-08-31 22:06:33',NULL,NULL,1,NULL),
 ('DA00D091-040E-4453-AFF2-0BA3A587799D',NULL,'2010-09-11 01:58:43','dwebteptows',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-11 01:58:43','2010-09-11 01:58:43','2010-09-11 01:58:43',0,0,'2010-09-11 01:58:43',0,'2010-09-11 01:58:43',0,'2010-09-11 01:58:43',NULL,NULL,14,NULL),
 ('DA2653FE-7132-4760-BB55-27BEB017E4E0',NULL,'2010-03-13 19:51:08','dagaric',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-03-13 19:58:09','2010-03-13 19:51:08','2010-03-13 19:51:08',0,0,'2010-03-13 19:51:08',0,'2010-03-13 19:51:08',0,'2010-03-13 19:51:08',NULL,NULL,1,NULL),
 ('DA2A13E6-0746-4C0C-AD46-416D5B9B45D2',NULL,'2010-02-27 14:55:23','BERonnie',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-27 14:55:23','2010-02-27 14:55:23','2010-02-27 14:55:23',0,0,'2010-02-27 14:55:23',0,'2010-02-27 14:55:23',0,'2010-02-27 14:55:23',NULL,NULL,1,NULL),
 ('DAAE65D0-D91B-47CE-B169-7D438E690CF7',NULL,'2010-04-24 09:03:07','Feepekari',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-24 09:03:07','2010-04-24 09:03:07','2010-04-24 09:03:07',0,0,'2010-04-24 09:03:07',0,'2010-04-24 09:03:07',0,'2010-04-24 09:03:07',NULL,NULL,1,NULL),
 ('DADE8ED5-CDFB-430D-8328-12A13AD86308',NULL,'2009-12-08 08:06:21','jacob.dvir@gmail.com',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-12-08 09:42:44','2009-12-08 08:06:21','2009-12-08 08:06:21',0,0,'2009-12-08 08:06:21',0,'2009-12-08 08:06:21',0,'2009-12-08 08:06:21',NULL,NULL,1,NULL),
 ('DB16781C-A42C-4AAC-AE9A-158B918BDCF3',NULL,'2010-05-25 01:56:45','thorropxvbxrumer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-25 01:56:45','2010-05-25 01:56:45','2010-05-25 01:56:45',0,0,'2010-05-25 01:56:45',0,'2010-05-25 01:56:45',0,'2010-05-25 01:56:45',NULL,NULL,1,NULL),
 ('DB52303E-D2F2-4CEF-884B-98798AF8F675',NULL,'2010-02-20 12:04:14','glas',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-20 12:05:35','2010-02-20 12:04:14','2010-02-20 12:04:14',0,0,'2010-02-20 12:04:14',0,'2010-02-20 12:04:14',0,'2010-02-20 12:04:14',NULL,NULL,15,NULL),
 ('DB5E60F7-B61E-4995-BF6B-72E45AD805D7',NULL,'2010-08-11 07:43:25','prierceEnvefe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-11 07:43:25','2010-08-11 07:43:25','2010-08-11 07:43:25',0,0,'2010-08-11 07:43:25',0,'2010-08-11 07:43:25',0,'2010-08-11 07:43:25',NULL,NULL,1,NULL),
 ('DB9121A4-2F51-42AB-9F26-942C06A8DDE4',NULL,'2010-06-01 13:32:10','Neissevefum',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-01 13:32:10','2010-06-01 13:32:10','2010-06-01 13:32:10',0,0,'2010-06-01 13:32:10',0,'2010-06-01 13:32:10',0,'2010-06-01 13:32:10',NULL,NULL,1,NULL),
 ('DB9F761D-5F74-4477-B0E6-1B1EC44B89B1',NULL,'2010-04-24 22:38:52','jijojohnson',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-04-24 22:39:47','2010-04-24 22:38:52','2010-04-24 22:38:52',0,1,'2010-06-14 15:20:45',5,'2010-06-14 15:18:31',0,'2010-04-24 22:38:52',NULL,NULL,1,NULL),
 ('DBAC4A90-41C5-4613-B91E-B32B9A1C2B00',NULL,'2010-05-04 02:15:01','zuby',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','firefly','firefly',1,'2010-05-04 03:17:39','2010-05-04 02:15:01','2010-05-04 02:15:01',0,0,'2010-05-04 02:15:01',0,'2010-05-04 02:15:01',0,'2010-05-04 02:15:01',NULL,NULL,1,NULL),
 ('DBBF78D7-F666-450C-9797-DD2861B71153',NULL,'2010-06-15 00:22:17','madzoombax',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-15 00:22:17','2010-06-15 00:22:17','2010-06-15 00:22:17',0,0,'2010-06-15 00:22:17',0,'2010-06-15 00:22:17',0,'2010-06-15 00:22:17',NULL,NULL,1,NULL),
 ('DBCC2FE1-81C3-4912-9D64-C76270259A96',NULL,'2010-04-24 04:01:41','freenueAtteva',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-24 04:01:41','2010-04-24 04:01:41','2010-04-24 04:01:41',0,0,'2010-04-24 04:01:41',0,'2010-04-24 04:01:41',0,'2010-04-24 04:01:41',NULL,NULL,13,NULL),
 ('DC0EDC00-60B0-4460-959F-84E46243A582',NULL,'2010-08-27 20:53:18','Grouraarism',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-27 20:53:18','2010-08-27 20:53:18','2010-08-27 20:53:18',0,0,'2010-08-27 20:53:18',0,'2010-08-27 20:53:18',0,'2010-08-27 20:53:18',NULL,NULL,13,NULL),
 ('DC4483EC-ED87-4035-B7A0-2C8069641312',NULL,'2010-09-04 20:37:55','ViateJalJense',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-04 20:37:55','2010-09-04 20:37:55','2010-09-04 20:37:55',0,0,'2010-09-04 20:37:55',0,'2010-09-04 20:37:55',0,'2010-09-04 20:37:55',NULL,NULL,1,NULL),
 ('DC7E81E2-C747-491F-9788-2C8693B1A1B8',NULL,'2010-03-30 06:39:19','Tellmottalk',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-30 06:39:26','2010-03-30 06:39:19','2010-03-30 06:39:19',0,0,'2010-03-30 06:39:19',0,'2010-03-30 06:39:19',0,'2010-03-30 06:39:19',NULL,NULL,1,NULL),
 ('DCB7070A-0073-4F26-821D-672810836E88',NULL,'2010-08-14 12:53:39','Savalkdoode',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-14 12:53:39','2010-08-14 12:53:39','2010-08-14 12:53:39',0,0,'2010-08-14 12:53:39',0,'2010-08-14 12:53:39',0,'2010-08-14 12:53:39',NULL,NULL,1,NULL),
 ('DCC22EE9-D802-4ABE-A519-C1F40B7E5D8D',NULL,'2010-05-25 03:00:26','hedyninia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-25 03:00:26','2010-05-25 03:00:26','2010-05-25 03:00:26',0,0,'2010-05-25 03:00:26',0,'2010-05-25 03:00:26',0,'2010-05-25 03:00:26',NULL,NULL,1,NULL),
 ('DCCC1DC3-7A7F-4C1B-BB27-849F103CBBA8',NULL,'2010-08-29 12:43:40','NacuareeFeema',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-29 12:43:40','2010-08-29 12:43:40','2010-08-29 12:43:40',0,0,'2010-08-29 12:43:40',0,'2010-08-29 12:43:40',0,'2010-08-29 12:43:40',NULL,NULL,1,NULL),
 ('DD5AC45E-8F90-4B17-A5C6-AC53D1A11DC7',NULL,'2009-11-27 10:04:03','RoyallMod',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-27 10:04:03','2009-11-27 10:04:03','2009-11-27 10:04:03',0,0,'2009-11-27 10:04:03',0,'2009-11-27 10:04:03',0,'2009-11-27 10:04:03',NULL,NULL,1,NULL),
 ('DD664689-C7C0-4BA0-952B-C646CD8D5278',NULL,'2010-07-03 23:38:56','onmarketb',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-03 23:38:55','2010-07-03 23:38:55','2010-07-03 23:38:55',0,0,'2010-07-03 23:38:55',0,'2010-07-03 23:38:55',0,'2010-07-03 23:38:55',NULL,NULL,13,NULL),
 ('DD66E014-7E78-4DE7-B5E2-11FC2A644DAE',NULL,'2010-09-26 02:39:41','Bartsikfog',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-26 02:39:41','2010-09-26 02:39:41','2010-09-26 02:39:41',0,0,'2010-09-26 02:39:41',0,'2010-09-26 02:39:41',0,'2010-09-26 02:39:41',NULL,NULL,1,NULL),
 ('DD763C68-E0BD-4AD5-ACF9-27DA4610B104',NULL,'2010-09-18 04:00:33','Anaekassota',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-18 04:00:32','2010-09-18 04:00:32','2010-09-18 04:00:32',0,0,'2010-09-18 04:00:32',0,'2010-09-18 04:00:32',0,'2010-09-18 04:00:32',NULL,NULL,1,NULL),
 ('DD902947-D2ED-401C-B669-F4835055CD07',NULL,'2010-09-03 16:46:09','scieddila',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-03 16:46:13','2010-09-03 16:46:09','2010-09-03 16:46:09',0,0,'2010-09-03 16:46:09',0,'2010-09-03 16:46:09',0,'2010-09-03 16:46:09',NULL,NULL,1,NULL),
 ('DD9ABF75-0DDB-4C46-BB24-7452CC95630B',NULL,'2010-05-28 21:31:41','tehrfloleandohr',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-28 21:31:41','2010-05-28 21:31:41','2010-05-28 21:31:41',0,0,'2010-05-28 21:31:41',0,'2010-05-28 21:31:41',0,'2010-05-28 21:31:41',NULL,NULL,13,NULL),
 ('DDFEF868-CB37-4261-BA3B-08D3F393B5D8',NULL,'2010-09-10 09:02:18','excensexuts',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-10 09:02:20','2010-09-10 09:02:17','2010-09-10 09:02:17',0,0,'2010-09-10 09:02:17',0,'2010-09-10 09:02:17',0,'2010-09-10 09:02:17',NULL,NULL,1,NULL),
 ('DE280A5C-AA3F-4A69-9844-B09136566654',NULL,'2010-03-04 11:49:37','DenOvence',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-04 11:49:37','2010-03-04 11:49:37','2010-03-04 11:49:37',0,0,'2010-03-04 11:49:37',0,'2010-03-04 11:49:37',0,'2010-03-04 11:49:37',NULL,NULL,15,NULL),
 ('DEB29A56-860C-4642-8B75-7A4CFBF3FE8B',NULL,'2009-12-18 16:08:15','Palinfalp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-18 16:08:15','2009-12-18 16:08:15','2009-12-18 16:08:15',0,0,'2009-12-18 16:08:15',0,'2009-12-18 16:08:15',0,'2009-12-18 16:08:15',NULL,NULL,13,NULL),
 ('DF0115B3-CD25-4A8A-8485-CA5499AC7856',NULL,'2010-05-01 09:13:58','urbannaunlasp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-01 09:13:58','2010-05-01 09:13:58','2010-05-01 09:13:58',0,0,'2010-05-01 09:13:58',0,'2010-05-01 09:13:58',0,'2010-05-01 09:13:58',NULL,NULL,1,NULL),
 ('DF23CB69-D654-492F-B304-B30D83D3265B',NULL,'2010-05-11 03:52:45','lagoessevab',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-11 03:52:45','2010-05-11 03:52:45','2010-05-11 03:52:45',0,0,'2010-05-11 03:52:45',0,'2010-05-11 03:52:45',0,'2010-05-11 03:52:45',NULL,NULL,1,NULL),
 ('DF2F8A59-FEDB-454F-AAA3-84472CF159BC',NULL,'2009-09-02 03:02:06','jon','/','info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-10-13 14:47:36','2010-10-13 13:25:44','2009-10-18 22:43:07',0,0,'2009-09-02 03:02:06',1,'2009-10-18 22:42:45',0,'2009-09-02 03:02:06',NULL,NULL,1,NULL),
 ('DFA3D2C9-1011-4EAE-9996-A70C551E2C58',NULL,'2010-08-27 20:07:22','Henonessado',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-27 20:07:22','2010-08-27 20:07:22','2010-08-27 20:07:22',0,0,'2010-08-27 20:07:22',0,'2010-08-27 20:07:22',0,'2010-08-27 20:07:22',NULL,NULL,14,NULL),
 ('DFE747E8-CE5E-473B-9A2D-7A21D9CD697B',NULL,'2010-08-21 00:46:49','eliezer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','my mother name','cirila',1,'2010-08-21 00:50:07','2010-08-21 00:46:49','2010-08-21 00:46:49',0,0,'2010-08-21 00:46:49',0,'2010-08-21 00:46:49',0,'2010-08-21 00:46:49',NULL,NULL,1,NULL),
 ('E039E341-0250-44CE-B6F5-C1D7FDCEB757',NULL,'2010-08-21 11:45:06','Soxycymnlomma',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-21 11:45:06','2010-08-21 11:45:06','2010-08-21 11:45:06',0,0,'2010-08-21 11:45:06',0,'2010-08-21 11:45:06',0,'2010-08-21 11:45:06',NULL,NULL,1,NULL),
 ('E0428A4C-A2DE-40B4-9AB1-D51EBA8451BF',NULL,'2010-05-04 13:27:32','eramallerly',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-04 13:27:32','2010-05-04 13:27:32','2010-05-04 13:27:32',0,0,'2010-05-04 13:27:32',0,'2010-05-04 13:27:32',0,'2010-05-04 13:27:32',NULL,NULL,14,NULL),
 ('E06134E9-3FBC-4AA3-89BA-FB19769A02C7',NULL,'2010-06-06 09:36:19','ShisaSibeNima',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-06 09:36:19','2010-06-06 09:36:19','2010-06-06 09:36:19',0,0,'2010-06-06 09:36:19',0,'2010-06-06 09:36:19',0,'2010-06-06 09:36:19',NULL,NULL,14,NULL),
 ('E07273AE-36F0-44BF-B928-DE7CAB050349',NULL,'2010-08-19 19:21:30','Howunsolown',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-19 19:21:30','2010-08-19 19:21:30','2010-08-19 19:21:30',0,0,'2010-08-19 19:21:30',0,'2010-08-19 19:21:30',0,'2010-08-19 19:21:30',NULL,NULL,1,NULL),
 ('E093A158-9208-406C-8A43-38C6E5A884CC',NULL,'2010-06-27 20:15:05','noifincBami',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-27 20:15:05','2010-06-27 20:15:05','2010-06-27 20:15:05',0,0,'2010-06-27 20:15:05',0,'2010-06-27 20:15:05',0,'2010-06-27 20:15:05',NULL,NULL,1,NULL),
 ('E095AB12-A119-435C-B045-A906BCB2E6A1',NULL,'2010-07-07 18:11:33','muderrooper',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-07 18:11:33','2010-07-07 18:11:33','2010-07-07 18:11:33',0,0,'2010-07-07 18:11:33',0,'2010-07-07 18:11:33',0,'2010-07-07 18:11:33',NULL,NULL,1,NULL),
 ('E0AED783-7BBF-46D7-91E0-E0BD0C81B391',NULL,'2010-06-12 04:04:52','kitanaIrelande',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-12 04:04:52','2010-06-12 04:04:52','2010-06-12 04:04:52',0,0,'2010-06-12 04:04:52',0,'2010-06-12 04:04:52',0,'2010-06-12 04:04:52',NULL,NULL,1,NULL),
 ('E10676D8-3987-4843-85FC-D1502B91CF2F',NULL,'2010-05-10 04:25:43','RakAppamy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-10 04:25:50','2010-05-10 04:25:43','2010-05-10 04:25:43',0,0,'2010-05-10 04:25:43',0,'2010-05-10 04:25:43',0,'2010-05-10 04:25:43',NULL,NULL,1,NULL),
 ('E114043F-85B0-4F70-B20C-438E27AC32E1',NULL,'2010-10-05 11:29:22','MiniKasia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-05 11:29:29','2010-10-05 11:29:22','2010-10-05 11:29:22',0,0,'2010-10-05 11:29:22',0,'2010-10-05 11:29:22',0,'2010-10-05 11:29:22',NULL,NULL,1,NULL),
 ('E156274D-9D23-4559-8750-9DD08C94F6C4',NULL,'2010-09-09 03:14:47','sddivorc',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-09 03:14:47','2010-09-09 03:14:47','2010-09-09 03:14:47',0,0,'2010-09-09 03:14:47',0,'2010-09-09 03:14:47',0,'2010-09-09 03:14:47',NULL,NULL,14,NULL),
 ('E15A973C-3EFB-49F6-B597-5394DAF9A145',NULL,'2010-09-21 13:08:55','horypeBrosy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-21 13:08:55','2010-09-21 13:08:55','2010-09-21 13:08:55',0,0,'2010-09-21 13:08:55',0,'2010-09-21 13:08:55',0,'2010-09-21 13:08:55',NULL,NULL,1,NULL),
 ('E1824AFF-9691-4F9D-A875-B34DAAB144BD',NULL,'2010-07-29 21:06:08','crearafet',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-29 21:06:08','2010-07-29 21:06:08','2010-07-29 21:06:08',0,0,'2010-07-29 21:06:08',0,'2010-07-29 21:06:08',0,'2010-07-29 21:06:08',NULL,NULL,1,NULL),
 ('E18EA683-A521-47ED-9959-62CFE2D7D33E',NULL,'2010-09-12 07:12:51','DrureSeek',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-12 07:12:51','2010-09-12 07:12:51','2010-09-12 07:12:51',0,0,'2010-09-12 07:12:51',0,'2010-09-12 07:12:51',0,'2010-09-12 07:12:51',NULL,NULL,14,NULL),
 ('E1A6E745-80E7-407C-9A0E-DC71B703E4D6',NULL,'2010-03-04 20:13:48','viagrabuyd',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-04 20:13:48','2010-03-04 20:13:48','2010-03-04 20:13:48',0,0,'2010-03-04 20:13:48',0,'2010-03-04 20:13:48',0,'2010-03-04 20:13:48',NULL,NULL,1,NULL),
 ('E1CCD312-6208-4002-A298-0F4C18D33733',NULL,'2010-03-18 13:07:04','flemmingSundra',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-18 13:07:04','2010-03-18 13:07:04','2010-03-18 13:07:04',0,0,'2010-03-18 13:07:04',0,'2010-03-18 13:07:04',0,'2010-03-18 13:07:04',NULL,NULL,1,NULL),
 ('E1DDCAC2-DAF7-4757-860D-C4E48738F5DE',NULL,'2010-02-04 18:37:42','fliept',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-04 18:37:42','2010-02-04 18:37:42','2010-02-04 18:37:42',0,0,'2010-02-04 18:37:42',0,'2010-02-04 18:37:42',0,'2010-02-04 18:37:42',NULL,NULL,15,NULL),
 ('E1DFF1EF-D1EE-4D78-985A-826D1A0E96CB',NULL,'2009-11-25 18:03:09','tgaspic',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-26 04:17:28','2009-11-25 18:17:58','2009-11-25 18:03:09',0,0,'2009-11-25 18:03:09',2,'2009-11-25 18:16:05',0,'2009-11-25 18:03:09',NULL,NULL,1,NULL),
 ('E20E2295-A41D-4AEE-94FE-C25CFCA03AFA',NULL,'2010-10-12 10:23:00','kkaushal',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','pet name','tomy',1,'2010-10-12 10:24:03','2010-10-12 10:23:00','2010-10-12 10:23:00',0,0,'2010-10-12 10:23:00',0,'2010-10-12 10:23:00',0,'2010-10-12 10:23:00',NULL,NULL,1,NULL),
 ('E22032F0-47D0-49A6-8380-EAE7F3C5721C',NULL,'2010-09-26 08:22:38','booaka',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-26 08:22:38','2010-09-26 08:22:38','2010-09-26 08:22:38',0,0,'2010-09-26 08:22:38',0,'2010-09-26 08:22:38',0,'2010-09-26 08:22:38',NULL,NULL,13,NULL),
 ('E289D713-7FAC-4F76-ABA8-9696C8E2129A',NULL,'2010-05-16 13:44:05','Popovichher',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 13:44:05','2010-05-16 13:44:05','2010-05-16 13:44:05',0,0,'2010-05-16 13:44:05',0,'2010-05-16 13:44:05',0,'2010-05-16 13:44:05',NULL,NULL,1,NULL),
 ('E2BC6D8B-1BE3-4522-8030-73D44EE5A76B',NULL,'2010-08-03 18:03:17','sdbklawyer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-03 18:03:17','2010-08-03 18:03:17','2010-08-03 18:03:17',0,0,'2010-08-03 18:03:17',0,'2010-08-03 18:03:17',0,'2010-08-03 18:03:17',NULL,NULL,14,NULL),
 ('E3612E1C-8047-4BC2-B29A-D1DCFD954B78',NULL,'2010-03-21 22:54:04','Geomiereosevy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-21 22:54:04','2010-03-21 22:54:04','2010-03-21 22:54:04',0,0,'2010-03-21 22:54:04',0,'2010-03-21 22:54:04',0,'2010-03-21 22:54:04',NULL,NULL,1,NULL),
 ('E3735130-F220-461F-B1FD-97C7B7B1FD29',NULL,'2010-01-31 16:19:46','coestitlela',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-31 16:19:46','2010-01-31 16:19:46','2010-01-31 16:19:46',0,0,'2010-01-31 16:19:46',0,'2010-01-31 16:19:46',0,'2010-01-31 16:19:46',NULL,NULL,15,NULL),
 ('E411D7EC-B389-43E4-8758-73B6A95DD0EF',NULL,'2010-04-05 01:58:07','SexyBarbieLesik',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-05 01:58:07','2010-04-05 01:58:07','2010-04-05 01:58:07',0,0,'2010-04-05 01:58:07',0,'2010-04-05 01:58:07',0,'2010-04-05 01:58:07',NULL,NULL,1,NULL),
 ('E429022A-9FDF-46BF-8EBC-D905A2A2B82F',NULL,'2010-06-10 22:37:39','thorrooferzaquxt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-10 22:37:39','2010-06-10 22:37:39','2010-06-10 22:37:39',0,0,'2010-06-10 22:37:39',0,'2010-06-10 22:37:39',0,'2010-06-10 22:37:39',NULL,NULL,1,NULL),
 ('E4785AB4-4BF2-4E2A-BA29-EA918E2472AF',NULL,'2010-09-29 01:08:35','JerryVN',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-29 01:08:39','2010-09-29 01:08:35','2010-09-29 01:08:35',0,0,'2010-09-29 01:08:35',0,'2010-09-29 01:08:35',0,'2010-09-29 01:08:35',NULL,NULL,1,NULL),
 ('E47B86D6-24A0-4BAB-8329-EE093AB507BA',NULL,'2010-03-28 15:36:06','LonePiere',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-28 15:36:05','2010-03-28 15:36:05','2010-03-28 15:36:05',0,0,'2010-03-28 15:36:05',0,'2010-03-28 15:36:05',0,'2010-03-28 15:36:05',NULL,NULL,1,NULL),
 ('E4F80C2E-DC5C-4AC8-B2C0-82F9BDE11AAF',NULL,'2010-08-11 17:01:09','WBRobert',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-11 17:01:09','2010-08-11 17:01:09','2010-08-11 17:01:09',0,0,'2010-08-11 17:01:09',0,'2010-08-11 17:01:09',0,'2010-08-11 17:01:09',NULL,NULL,1,NULL),
 ('E528D303-E9BF-400B-B712-542AF390EE1E',NULL,'2010-09-21 04:57:39','MrbolgarLub',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-21 04:57:38','2010-09-21 04:57:38','2010-09-21 04:57:38',0,0,'2010-09-21 04:57:38',0,'2010-09-21 04:57:38',0,'2010-09-21 04:57:38',NULL,NULL,1,NULL),
 ('E52B106B-62D3-4DFD-B540-27D27595F713',NULL,'2010-01-19 20:48:13','Danatedayday',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-19 20:48:13','2010-01-19 20:48:13','2010-01-19 20:48:13',0,0,'2010-01-19 20:48:13',0,'2010-01-19 20:48:13',0,'2010-01-19 20:48:13',NULL,NULL,1,NULL),
 ('E5451C6B-C40B-49E5-BA21-915C62F8D83B',NULL,'2010-03-27 13:04:28','Embopebruibub',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-27 13:04:31','2010-03-27 13:04:28','2010-03-27 13:04:28',0,0,'2010-03-27 13:04:28',0,'2010-03-27 13:04:28',0,'2010-03-27 13:04:28',NULL,NULL,1,NULL),
 ('E548BCA1-6B62-4F89-AF78-9E24BBD293F9',NULL,'2009-11-01 20:31:50','Jeoltalueject',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-01 20:31:50','2009-11-01 20:31:50','2009-11-01 20:31:50',0,0,'2009-11-01 20:31:50',0,'2009-11-01 20:31:50',0,'2009-11-01 20:31:50',NULL,NULL,1,NULL),
 ('E55E1C68-AB3C-4E16-A8A6-081F7F86D2D0',NULL,'2010-07-19 17:52:52','dabsLictboisa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-19 17:52:52','2010-07-19 17:52:52','2010-07-19 17:52:52',0,0,'2010-07-19 17:52:52',0,'2010-07-19 17:52:52',0,'2010-07-19 17:52:52',NULL,NULL,14,NULL),
 ('E575FCCB-DBF3-4DFC-A363-06A43C82CAD2',NULL,'2010-09-26 15:56:28','PatrickLee',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-26 15:56:28','2010-09-26 15:56:28','2010-09-26 15:56:28',0,0,'2010-09-26 15:56:28',0,'2010-09-26 15:56:28',0,'2010-09-26 15:56:28',NULL,NULL,13,NULL),
 ('E5B79E72-6945-4A50-BDDD-944728EFE743',NULL,'2009-11-22 08:55:13','allergonaut',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-22 08:55:13','2009-11-22 08:55:13','2009-11-22 08:55:13',0,0,'2009-11-22 08:55:13',0,'2009-11-22 08:55:13',0,'2009-11-22 08:55:13',NULL,NULL,1,NULL),
 ('E5CEE03F-3916-4E5B-AA52-087FB76E4769',NULL,'2010-07-24 02:39:46','Richy333',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-07-28 12:00:19','2010-07-24 02:39:46','2010-07-24 02:39:46',0,0,'2010-07-24 02:39:46',0,'2010-07-24 02:39:46',0,'2010-07-24 02:39:46',NULL,NULL,1,NULL),
 ('E5E532EC-7AE8-4BBF-B2CF-F36D37D9D580',NULL,'2010-08-03 09:30:16','marazmatic',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-03 09:30:16','2010-08-03 09:30:16','2010-08-03 09:30:16',0,0,'2010-08-03 09:30:16',0,'2010-08-03 09:30:16',0,'2010-08-03 09:30:16',NULL,NULL,1,NULL),
 ('E608D9AD-1D00-4547-BD8D-F465BFFF8170',NULL,'2010-08-31 19:43:59','Gaigechaibe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-31 19:43:59','2010-08-31 19:43:59','2010-08-31 19:43:59',0,0,'2010-08-31 19:43:59',0,'2010-08-31 19:43:59',0,'2010-08-31 19:43:59',NULL,NULL,1,NULL),
 ('E6282CBE-E758-4006-8DC9-2336000686C9',NULL,'2010-05-09 16:26:48','Dakhaumncah',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-09 16:26:48','2010-05-09 16:26:48','2010-05-09 16:26:48',0,0,'2010-05-09 16:26:48',0,'2010-05-09 16:26:48',0,'2010-05-09 16:26:48',NULL,NULL,1,NULL),
 ('E6337BF2-7837-4CBB-9936-B9D917481D8E',NULL,'2010-05-28 20:24:14','omacleandoflox',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-28 20:24:14','2010-05-28 20:24:14','2010-05-28 20:24:14',0,0,'2010-05-28 20:24:14',0,'2010-05-28 20:24:14',0,'2010-05-28 20:24:14',NULL,NULL,1,NULL),
 ('E63504AC-D6D7-4656-AF9F-98269AA3B204',NULL,'2010-03-04 10:23:47','utimokkkqsq',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-04 10:23:47','2010-03-04 10:23:47','2010-03-04 10:23:47',0,0,'2010-03-04 10:23:47',0,'2010-03-04 10:23:47',0,'2010-03-04 10:23:47',NULL,NULL,1,NULL),
 ('E647952C-5640-4DA3-B73A-CBC8017B72C4',NULL,'2010-07-01 04:11:59','rvdru',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-01 04:11:59','2010-07-01 04:11:59','2010-07-01 04:11:59',0,0,'2010-07-01 04:11:59',0,'2010-07-01 04:11:59',0,'2010-07-01 04:11:59',NULL,NULL,1,NULL),
 ('E6617376-3CDB-4A79-9216-B05CB29F3268',NULL,'2010-04-28 04:30:31','elencex',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-28 04:30:31','2010-04-28 04:30:31','2010-04-28 04:30:31',0,0,'2010-04-28 04:30:31',0,'2010-04-28 04:30:31',0,'2010-04-28 04:30:31',NULL,NULL,14,NULL),
 ('E685833D-8966-4F5B-B9AC-2E911F35EACC',NULL,'2010-03-04 17:26:33','htpccaseKelly\r\n',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-04 17:26:33','2010-03-04 17:26:33','2010-03-04 17:26:33',0,0,'2010-03-04 17:26:33',0,'2010-03-04 17:26:33',0,'2010-03-04 17:26:33',NULL,NULL,13,NULL),
 ('E68B6F02-595A-44B5-8AE0-D8D0711B2A01',NULL,'2010-08-14 10:45:18','Boashyalasy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-14 10:45:18','2010-08-14 10:45:18','2010-08-14 10:45:18',0,0,'2010-08-14 10:45:18',0,'2010-08-14 10:45:18',0,'2010-08-14 10:45:18',NULL,NULL,1,NULL),
 ('E6A960A7-554E-4B2D-A89C-3B3E1F80A675',NULL,'2010-09-20 19:50:53','seenuevymep',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-20 19:51:12','2010-09-20 19:50:53','2010-09-20 19:50:53',0,0,'2010-09-20 19:50:53',0,'2010-09-20 19:50:53',0,'2010-09-20 19:50:53',NULL,NULL,1,NULL),
 ('E6C56B1D-C3BC-460E-84D5-1AA82F64D07F',NULL,'2010-04-26 18:31:23','GuekexceekBen',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-26 18:31:23','2010-04-26 18:31:23','2010-04-26 18:31:23',0,0,'2010-04-26 18:31:23',0,'2010-04-26 18:31:23',0,'2010-04-26 18:31:23',NULL,NULL,13,NULL),
 ('E6D8BB33-127A-43C2-BA57-D444EFDC3812',NULL,'2010-06-06 12:42:27','AbillaVip',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-06 12:42:27','2010-06-06 12:42:27','2010-06-06 12:42:27',0,0,'2010-06-06 12:42:27',0,'2010-06-06 12:42:27',0,'2010-06-06 12:42:27',NULL,NULL,1,NULL),
 ('E7156F7B-71E7-4AB4-A901-EFC4BCB0006E',NULL,'2010-09-05 21:35:07','freddy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-09-05 21:42:36','2010-09-05 21:35:07','2010-09-05 21:35:07',0,0,'2010-09-05 21:35:07',0,'2010-09-05 21:35:07',0,'2010-09-05 21:35:07',NULL,NULL,1,NULL),
 ('E74F01F8-5F15-4662-BA4B-C7581B57F38F',NULL,'2010-10-05 16:26:13','OffeNtuct',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-05 16:26:13','2010-10-05 16:26:13','2010-10-05 16:26:13',0,0,'2010-10-05 16:26:13',0,'2010-10-05 16:26:13',0,'2010-10-05 16:26:13',NULL,NULL,1,NULL),
 ('E78236CC-A2D5-479F-90D9-2C66E611DB1E',NULL,'2010-05-28 18:30:19','Seirsua',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-28 18:30:18','2010-05-28 18:30:18','2010-05-28 18:30:18',0,0,'2010-05-28 18:30:18',0,'2010-05-28 18:30:18',0,'2010-05-28 18:30:18',NULL,NULL,1,NULL),
 ('E7CF9518-899A-4830-BFF6-E0DAD7CC81E0',NULL,'2010-09-21 15:42:06','Ceatfleesee',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-21 15:42:06','2010-09-21 15:42:06','2010-09-21 15:42:06',0,0,'2010-09-21 15:42:06',0,'2010-09-21 15:42:06',0,'2010-09-21 15:42:06',NULL,NULL,1,NULL),
 ('E7DE5DF3-678A-4B86-BD43-2CC5AC4104CB',NULL,'2010-03-10 10:11:47','Misehaixene',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-10 10:11:51','2010-03-10 10:11:47','2010-03-10 10:11:47',0,0,'2010-03-10 10:11:47',0,'2010-03-10 10:11:47',0,'2010-03-10 10:11:47',NULL,NULL,1,NULL),
 ('E833D249-B9E8-477D-B577-79249AD6DB9D',NULL,'2009-12-17 03:41:41','suresh',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','How are you','fine',1,'2009-12-17 03:55:49','2009-12-17 04:13:50','2009-12-17 03:41:41',0,0,'2009-12-17 03:41:41',0,'2009-12-17 03:41:41',0,'2009-12-17 03:41:41',NULL,NULL,1,NULL);
INSERT INTO `users` (`UserID`,`Name`,`CreationDate`,`Username`,`ApplicationName`,`Email`,`Password`,`PasswordQuestion`,`PasswordAnswer`,`IsApproved`,`LastActivityDate`,`LastLoginDate`,`LastPasswordChangedDate`,`IsOnline`,`IsLockedOut`,`LastLockedOutDate`,`FailedPasswordAttemptCount`,`FailedPasswordAttemptWindowStart`,`FailedPasswordAnswerAttemptCount`,`FailedPasswordAnswerAttemptWindowStart`,`LastModified`,`Comment`,`PortalID`,`OpenId`) VALUES 
 ('E8858A33-2942-4DE2-80CD-604AE5F81529',NULL,'2010-07-01 13:25:13','wiseshrek',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-01 13:26:28','2010-07-01 13:25:13','2010-07-01 13:25:13',0,0,'2010-07-01 13:25:13',0,'2010-07-01 13:25:13',0,'2010-07-01 13:25:13',NULL,NULL,1,NULL),
 ('E8F6AFD9-FE6B-4E58-B5B2-0650049B5BA0',NULL,'2010-06-07 16:24:41','evodiargaigo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-07 16:24:41','2010-06-07 16:24:41','2010-06-07 16:24:41',0,0,'2010-06-07 16:24:41',0,'2010-06-07 16:24:41',0,'2010-06-07 16:24:41',NULL,NULL,1,NULL),
 ('E9273307-3B6D-4414-9B19-651F8D7A5906',NULL,'2010-08-22 01:48:49','josetest',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-22 01:53:55','2010-08-22 01:48:49','2010-08-22 01:48:49',0,0,'2010-08-22 01:48:49',0,'2010-08-22 01:48:49',0,'2010-08-22 01:48:49',NULL,NULL,1,NULL),
 ('E93680C2-140C-436E-8AD4-AAEF57F1EB50',NULL,'2010-06-11 09:38:52','trakecreacy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-11 09:38:52','2010-06-11 09:38:52','2010-06-11 09:38:52',0,0,'2010-06-11 09:38:52',0,'2010-06-11 09:38:52',0,'2010-06-11 09:38:52',NULL,NULL,1,NULL),
 ('E9708BE6-6E28-48E9-90E3-94BF9E4F4703',NULL,'2010-07-23 23:48:17','viagraplus',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-23 23:48:17','2010-07-23 23:48:17','2010-07-23 23:48:17',0,0,'2010-07-23 23:48:17',0,'2010-07-23 23:48:17',0,'2010-07-23 23:48:17',NULL,NULL,1,NULL),
 ('E99538EF-BC96-4BDC-BECE-6FE790ED1F19',NULL,'2010-05-01 07:20:45','Walliec',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-01 07:20:45','2010-05-01 07:20:45','2010-05-01 07:20:45',0,0,'2010-05-01 07:20:45',0,'2010-05-01 07:20:45',0,'2010-05-01 07:20:45',NULL,NULL,1,NULL),
 ('E9A79230-4450-4486-B1E2-CF74646768B9',NULL,'2009-12-02 10:10:29','gopimpopay',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-02 10:10:29','2009-12-02 10:10:29','2009-12-02 10:10:29',0,0,'2009-12-02 10:10:29',0,'2009-12-02 10:10:29',0,'2009-12-02 10:10:29',NULL,NULL,1,NULL),
 ('E9A92979-DD91-4C2E-B697-1EC49233508B',NULL,'2010-05-31 16:19:01','Famfari',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-31 16:19:01','2010-05-31 16:19:01','2010-05-31 16:19:01',0,0,'2010-05-31 16:19:01',0,'2010-05-31 16:19:01',0,'2010-05-31 16:19:01',NULL,NULL,1,NULL),
 ('E9BE8F53-873D-48CD-AF3C-18907952319C',NULL,'2010-09-29 10:48:34','jesseupm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-29 10:48:36','2010-09-29 10:48:34','2010-09-29 10:48:34',0,0,'2010-09-29 10:48:34',0,'2010-09-29 10:48:34',0,'2010-09-29 10:48:34',NULL,NULL,13,NULL),
 ('EA045C0B-4B20-4709-BAEE-20A27139FB76',NULL,'2010-08-19 15:15:54','Vobeglotbog',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-19 15:15:54','2010-08-19 15:15:54','2010-08-19 15:15:54',0,0,'2010-08-19 15:15:54',0,'2010-08-19 15:15:54',0,'2010-08-19 15:15:54',NULL,NULL,13,NULL),
 ('EA2A3353-01B9-4D1D-B591-1A0EE5CA062A',NULL,'2010-05-04 08:08:08','Nimftrurl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-04 08:08:08','2010-05-04 08:08:08','2010-05-04 08:08:08',0,0,'2010-05-04 08:08:08',0,'2010-05-04 08:08:08',0,'2010-05-04 08:08:08',NULL,NULL,1,NULL),
 ('EA3C14CD-5168-4507-9AA9-361E0475EBF8',NULL,'2010-05-19 16:23:21','RofHolfmoobia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-19 16:23:21','2010-05-19 16:23:21','2010-05-19 16:23:21',0,0,'2010-05-19 16:23:21',0,'2010-05-19 16:23:21',0,'2010-05-19 16:23:21',NULL,NULL,13,NULL),
 ('EAC6F0AF-8122-447B-908A-CD94C1978F68',NULL,'2010-09-11 17:16:11','RenoCrexbrear',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-11 17:16:11','2010-09-11 17:16:11','2010-09-11 17:16:11',0,0,'2010-09-11 17:16:11',0,'2010-09-11 17:16:11',0,'2010-09-11 17:16:11',NULL,NULL,1,NULL),
 ('EAE40FAA-50BB-40D5-94CE-A557B7EEF6A2',NULL,'2010-08-28 15:36:34','sabeztia5pitttyj0',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-28 15:36:39','2010-08-28 15:36:34','2010-08-28 15:36:34',0,0,'2010-08-28 15:36:34',0,'2010-08-28 15:36:34',0,'2010-08-28 15:36:34',NULL,NULL,13,NULL),
 ('EAFFC019-4FFB-4337-B335-944C467F36F3',NULL,'2010-10-13 11:51:37','Jessica Randatatha',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-13 11:51:37','2010-10-13 11:51:37','2010-10-13 11:51:37',0,0,'2010-10-13 11:51:37',0,'2010-10-13 11:51:37',0,'2010-10-13 11:51:37',NULL,NULL,1,NULL),
 ('EB0881D1-EBD7-45E2-BBD9-6CCF73DECDC6',NULL,'2010-07-08 13:27:44','SokElilky',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-08 13:27:44','2010-07-08 13:27:44','2010-07-08 13:27:44',0,0,'2010-07-08 13:27:44',0,'2010-07-08 13:27:44',0,'2010-07-08 13:27:44',NULL,NULL,1,NULL),
 ('EB29D05C-9CB4-4F4C-9962-B98508003B39',NULL,'2010-01-14 15:06:46','mangomamath',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-14 15:06:46','2010-01-14 15:06:46','2010-01-14 15:06:46',0,0,'2010-01-14 15:06:46',0,'2010-01-14 15:06:46',0,'2010-01-14 15:06:46',NULL,NULL,1,NULL),
 ('EB4A154A-A805-4235-8966-F1A764D59DD1',NULL,'2010-06-16 13:51:31','HizeProomiHer',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-16 13:51:31','2010-06-16 13:51:31','2010-06-16 13:51:31',0,0,'2010-06-16 13:51:31',0,'2010-06-16 13:51:31',0,'2010-06-16 13:51:31',NULL,NULL,1,NULL),
 ('EBBD4CB2-B594-4899-ACE6-5A9C86A30672',NULL,'2010-05-16 02:29:35','PukAdew',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 02:29:35','2010-05-16 02:29:35','2010-05-16 02:29:35',0,0,'2010-05-16 02:29:35',0,'2010-05-16 02:29:35',0,'2010-05-16 02:29:35',NULL,NULL,13,NULL),
 ('EBE53C43-2BF1-467C-AAC7-D5615CCD48E7',NULL,'2009-12-25 02:09:41','FlunteeGlussy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-25 02:09:41','2009-12-25 02:09:41','2009-12-25 02:09:41',0,0,'2009-12-25 02:09:41',0,'2009-12-25 02:09:41',0,'2009-12-25 02:09:41',NULL,NULL,1,NULL),
 ('EC1451C9-DDD1-40A5-AFF6-9C9C613385F3',NULL,'2010-08-30 01:59:38','Adappyendarne',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-30 01:59:38','2010-08-30 01:59:38','2010-08-30 01:59:38',0,0,'2010-08-30 01:59:38',0,'2010-08-30 01:59:38',0,'2010-08-30 01:59:38',NULL,NULL,14,NULL),
 ('EC666640-E5B3-4BB1-A5C8-FB97D925E683',NULL,'2010-03-05 19:45:16','atmotheshoump',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-05 19:45:16','2010-03-05 19:45:16','2010-03-05 19:45:16',0,0,'2010-03-05 19:45:16',0,'2010-03-05 19:45:16',0,'2010-03-05 19:45:16',NULL,NULL,15,NULL),
 ('EC7AAC92-EE86-4F22-9AF8-F683C9707EA7',NULL,'2010-03-30 13:58:33','Samantha',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-30 13:58:33','2010-03-30 13:58:33','2010-03-30 13:58:33',0,0,'2010-03-30 13:58:33',0,'2010-03-30 13:58:33',0,'2010-03-30 13:58:33',NULL,NULL,1,NULL),
 ('ECBE685E-40F2-437C-9F9C-2FD17EA75783',NULL,'2010-07-28 07:37:22','Glallulmids',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-28 07:37:22','2010-07-28 07:37:22','2010-07-28 07:37:22',0,0,'2010-07-28 07:37:22',0,'2010-07-28 07:37:22',0,'2010-07-28 07:37:22',NULL,NULL,1,NULL),
 ('ECD5CDB9-BF1F-489C-B502-D2D3EF24D9E3',NULL,'2010-04-23 03:04:44','AbstractSoft',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-06 09:17:13','2010-08-06 09:14:33','2010-04-23 03:04:44',0,0,'2010-04-23 03:04:44',0,'2010-04-23 03:04:44',0,'2010-04-23 03:04:44',NULL,NULL,1,NULL),
 ('ED381C66-81C2-4FD1-AA61-9238B1E4B047',NULL,'2010-03-24 15:24:04','zaibi',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-03-24 15:25:03','2010-03-24 15:24:04','2010-03-24 15:24:04',0,0,'2010-03-24 15:24:04',0,'2010-03-24 15:24:04',0,'2010-03-24 15:24:04',NULL,NULL,15,NULL),
 ('ED5ABB18-8902-420D-8974-FABAC1E53FD0',NULL,'2010-06-14 05:54:57','Ms Sex Toys',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-14 05:54:57','2010-06-14 05:54:57','2010-06-14 05:54:57',0,0,'2010-06-14 05:54:57',0,'2010-06-14 05:54:57',0,'2010-06-14 05:54:57',NULL,NULL,14,NULL),
 ('ED805057-5733-47C2-B4C6-26F10604F1E1',NULL,'2009-10-08 11:39:42','sandboxeditor',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-08 15:22:04','2010-09-30 03:15:18','2009-10-08 11:39:42',0,0,'2009-10-08 11:39:42',1,'2009-11-13 05:07:30',0,'2009-10-08 11:39:42',NULL,NULL,13,NULL),
 ('ED8A0F04-EB72-459B-A0B4-20F4D33C786B',NULL,'2010-07-18 21:57:02','chulagirl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-18 21:57:02','2010-07-18 21:57:02','2010-07-18 21:57:02',0,0,'2010-07-18 21:57:02',0,'2010-07-18 21:57:02',0,'2010-07-18 21:57:02',NULL,NULL,14,NULL),
 ('EDA9951D-CA4D-419A-B257-89B9DAD5064B',NULL,'2010-04-08 07:51:08','slovaronlinenet',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-08 07:51:07','2010-04-08 07:51:07','2010-04-08 07:51:07',0,0,'2010-04-08 07:51:07',0,'2010-04-08 07:51:07',0,'2010-04-08 07:51:07',NULL,NULL,1,NULL),
 ('EDE92758-9284-44C2-BD2A-80CDA69DCD7C',NULL,'2010-09-14 07:10:56','Tess Walters',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-14 07:10:56','2010-09-14 07:10:56','2010-09-14 07:10:56',0,0,'2010-09-14 07:10:56',0,'2010-09-14 07:10:56',0,'2010-09-14 07:10:56',NULL,NULL,13,NULL),
 ('EDF3BDFA-4220-4AB6-9E80-1DB89A0D0CC2',NULL,'2010-08-20 04:17:40','estizeletlent',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-20 04:17:40','2010-08-20 04:17:40','2010-08-20 04:17:40',0,0,'2010-08-20 04:17:40',0,'2010-08-20 04:17:40',0,'2010-08-20 04:17:40',NULL,NULL,1,NULL),
 ('EE11D326-AA11-4B6F-8EE4-AB12D257C161',NULL,'2010-03-13 00:09:19','Alen',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-03-13 00:10:07','2010-03-13 00:09:19','2010-03-13 00:09:19',0,0,'2010-03-13 00:09:19',0,'2010-03-13 00:09:19',0,'2010-03-13 00:09:19',NULL,NULL,1,NULL),
 ('EE7C49ED-87B8-4C94-AF93-1EA992C99F31',NULL,'2010-04-16 19:46:14','prostitutkivmoskve',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-16 19:46:14','2010-04-16 19:46:14','2010-04-16 19:46:14',0,0,'2010-04-16 19:46:14',0,'2010-04-16 19:46:14',0,'2010-04-16 19:46:14',NULL,NULL,1,NULL),
 ('EEB2AADB-FFAE-48AD-A380-A8B46B381512',NULL,'2010-05-23 12:04:30','ovetouhburo',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-23 12:04:30','2010-05-23 12:04:30','2010-05-23 12:04:30',0,0,'2010-05-23 12:04:30',0,'2010-05-23 12:04:30',0,'2010-05-23 12:04:30',NULL,NULL,1,NULL),
 ('EEFB285B-32E3-4980-BD76-3E66AE595AF1',NULL,'2010-10-03 21:21:44','episeeTon',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-03 21:21:44','2010-10-03 21:21:44','2010-10-03 21:21:44',0,0,'2010-10-03 21:21:44',0,'2010-10-03 21:21:44',0,'2010-10-03 21:21:44',NULL,NULL,1,NULL),
 ('EF03C6CE-E7C4-45C7-895B-EB758A1F639F',NULL,'2009-11-30 10:42:02','asvetlenko',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','asvetlenko','asvetlenko',1,'2009-11-30 10:51:49','2009-11-30 10:42:02','2009-11-30 10:42:02',0,0,'2009-11-30 10:42:02',0,'2009-11-30 10:42:02',0,'2009-11-30 10:42:02',NULL,NULL,1,NULL),
 ('EF06754D-AEFA-4763-B7D0-99B660B50A63',NULL,'2009-11-12 23:18:32','JonRanes',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','usual','cod',1,'2009-12-22 03:51:19','2009-12-22 03:51:01','2009-11-12 23:18:32',0,0,'2009-11-12 23:18:32',0,'2009-11-12 23:18:32',0,'2009-11-12 23:18:32',NULL,NULL,14,NULL),
 ('EF15282A-1A34-4015-B2AB-6DFF235C6888',NULL,'2010-04-24 23:29:26','flongeunfaill',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-24 23:29:26','2010-04-24 23:29:26','2010-04-24 23:29:26',0,0,'2010-04-24 23:29:26',0,'2010-04-24 23:29:26',0,'2010-04-24 23:29:26',NULL,NULL,1,NULL),
 ('EF2087D7-4E0A-41D9-93AF-6AD729F596FB',NULL,'2010-06-08 15:22:32','vogonpomoev',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-08 15:22:32','2010-06-08 15:22:32','2010-06-08 15:22:32',0,0,'2010-06-08 15:22:32',0,'2010-06-08 15:22:32',0,'2010-06-08 15:22:32',NULL,NULL,13,NULL),
 ('EF5A8682-D7F8-407B-936D-C7506ABF5288',NULL,'2010-01-14 07:08:01','testtest',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-14 07:08:55','2010-01-14 07:08:01','2010-01-14 07:08:01',0,0,'2010-01-14 07:08:01',0,'2010-01-14 07:08:01',0,'2010-01-14 07:08:01',NULL,NULL,15,NULL),
 ('EF6B0543-7539-4FF9-B83B-9CE9251D9D67',NULL,'2010-03-25 20:04:05','iodibrafluola',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-25 20:04:05','2010-03-25 20:04:05','2010-03-25 20:04:05',0,0,'2010-03-25 20:04:05',0,'2010-03-25 20:04:05',0,'2010-03-25 20:04:05',NULL,NULL,1,NULL),
 ('EF757409-EBE5-49EE-8ED7-6EF5ED0C7BF3',NULL,'2010-09-18 06:46:56','Cavaspoodia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-18 06:46:56','2010-09-18 06:46:56','2010-09-18 06:46:56',0,0,'2010-09-18 06:46:56',0,'2010-09-18 06:46:56',0,'2010-09-18 06:46:56',NULL,NULL,14,NULL),
 ('EF9DB217-4834-44AB-AE64-D26E29CF592B',NULL,'2010-06-18 18:30:03','PreomeosulUrl',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-18 18:30:03','2010-06-18 18:30:03','2010-06-18 18:30:03',0,0,'2010-06-18 18:30:03',0,'2010-06-18 18:30:03',0,'2010-06-18 18:30:03',NULL,NULL,1,NULL),
 ('EFB31EDA-513D-4E07-B019-DEAF9F9BB053',NULL,'2010-05-11 18:12:30','Avtoo-monsterss',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-11 18:12:30','2010-05-11 18:12:30','2010-05-11 18:12:30',0,0,'2010-05-11 18:12:30',0,'2010-05-11 18:12:30',0,'2010-05-11 18:12:30',NULL,NULL,13,NULL),
 ('EFE6E10C-93F6-4FD8-9C54-B2AB5D9267FC',NULL,'2010-08-22 07:36:01','snondociofe',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-22 07:36:01','2010-08-22 07:36:01','2010-08-22 07:36:01',0,0,'2010-08-22 07:36:01',0,'2010-08-22 07:36:01',0,'2010-08-22 07:36:01',NULL,NULL,13,NULL),
 ('EFEA3DD1-8C15-460B-9A56-DFFA6307B05E',NULL,'2010-05-19 17:03:46','bonggoy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2010-06-25 14:00:03','2010-05-19 17:03:46','2010-05-19 17:03:46',0,0,'2010-05-19 17:03:46',1,'2010-06-08 22:11:26',0,'2010-05-19 17:03:46',NULL,NULL,1,NULL),
 ('EFFAEB06-6BA0-4A8D-8F73-2798F9570BC2',NULL,'2010-05-02 04:03:35','mZFvomRUrm',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-02 04:03:41','2010-05-02 04:03:35','2010-05-02 04:03:35',0,0,'2010-05-02 04:03:35',0,'2010-05-02 04:03:35',0,'2010-05-02 04:03:35',NULL,NULL,1,NULL),
 ('F00924D2-727B-47D5-9082-BFADC69F3758',NULL,'2010-06-06 05:18:02','jimmydean',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-06 05:18:02','2010-06-06 05:18:02','2010-06-06 05:18:02',0,0,'2010-06-06 05:18:02',0,'2010-06-06 05:18:02',0,'2010-06-06 05:18:02',NULL,NULL,14,NULL),
 ('F00C3ED5-D36E-4703-8217-A38F8CE56C6E',NULL,'2010-04-14 20:19:08','Boypronee',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-14 20:19:08','2010-04-14 20:19:08','2010-04-14 20:19:08',0,0,'2010-04-14 20:19:08',0,'2010-04-14 20:19:08',0,'2010-04-14 20:19:08',NULL,NULL,1,NULL),
 ('F025E5D0-FBA2-4528-AD46-AB2BBFC51FA3',NULL,'2010-04-12 02:40:50','Utisbuplellut',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-12 02:40:50','2010-04-12 02:40:50','2010-04-12 02:40:50',0,0,'2010-04-12 02:40:50',0,'2010-04-12 02:40:50',0,'2010-04-12 02:40:50',NULL,NULL,13,NULL),
 ('F0569F99-E46C-4CB7-82D1-D87E39B628FE',NULL,'2009-10-23 04:56:46','ThestyAdhelty',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-10-23 04:56:46','2009-10-23 04:56:46','2009-10-23 04:56:46',0,0,'2009-10-23 04:56:46',0,'2009-10-23 04:56:46',0,'2009-10-23 04:56:46',NULL,NULL,13,NULL),
 ('F062F5EF-88D0-46CC-9EA1-1E984B0069AB',NULL,'2009-11-12 22:37:41','sandbox',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','seven x seven','49',1,'2010-02-17 04:56:18','2010-02-17 04:56:17','2010-03-20 19:02:34',0,0,'2010-03-29 08:09:48',4,'2010-09-30 03:06:41',1,'2010-03-26 07:29:01',NULL,NULL,15,NULL),
 ('F0846124-E12E-47B3-B726-2604B60A416B',NULL,'2010-09-25 17:59:28','apemienue',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-25 17:59:28','2010-09-25 17:59:28','2010-09-25 17:59:28',0,0,'2010-09-25 17:59:28',0,'2010-09-25 17:59:28',0,'2010-09-25 17:59:28',NULL,NULL,14,NULL),
 ('F08DE56A-0606-47E2-877A-6661F2D7E02B',NULL,'2010-03-04 05:51:12','RodyOrindyrok',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-04 05:51:12','2010-03-04 05:51:12','2010-03-04 05:51:12',0,0,'2010-03-04 05:51:12',0,'2010-03-04 05:51:12',0,'2010-03-04 05:51:12',NULL,NULL,1,NULL),
 ('F0931474-3B1E-49DE-8CE8-41E0DFA476DB',NULL,'2010-07-04 20:00:22','woffprorymn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-04 20:00:22','2010-07-04 20:00:22','2010-07-04 20:00:22',0,0,'2010-07-04 20:00:22',0,'2010-07-04 20:00:22',0,'2010-07-04 20:00:22',NULL,NULL,1,NULL),
 ('F0D8FD94-24D6-44C6-A887-6481E49050F4',NULL,'2010-08-20 18:41:51','QuoliFlussy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-20 18:41:51','2010-08-20 18:41:51','2010-08-20 18:41:51',0,0,'2010-08-20 18:41:51',0,'2010-08-20 18:41:51',0,'2010-08-20 18:41:51',NULL,NULL,1,NULL),
 ('F12C4B01-DB57-41FA-A5BB-3A37D8C21B29',NULL,'2010-09-15 00:08:47','Vesumon\r\n',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-15 00:08:47','2010-09-15 00:08:47','2010-09-15 00:08:47',0,0,'2010-09-15 00:08:47',0,'2010-09-15 00:08:47',0,'2010-09-15 00:08:47',NULL,NULL,1,NULL),
 ('F19EAE75-134F-44A6-B69E-B947275A8E41',NULL,'2010-04-08 15:20:54','Dossera',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-08 15:20:54','2010-04-08 15:20:54','2010-04-08 15:20:54',0,0,'2010-04-08 15:20:54',0,'2010-04-08 15:20:54',0,'2010-04-08 15:20:54',NULL,NULL,1,NULL),
 ('F1D512EF-7A91-4407-9A17-CA2936FCC518',NULL,'2010-05-07 01:37:37','euroloWroxy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-07 01:37:37','2010-05-07 01:37:37','2010-05-07 01:37:37',0,0,'2010-05-07 01:37:37',0,'2010-05-07 01:37:37',0,'2010-05-07 01:37:37',NULL,NULL,1,NULL),
 ('F2181025-053F-4F73-9E6A-C6E1F7EC8829',NULL,'2010-08-03 21:58:18','paymentgate',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-03 21:58:18','2010-08-03 21:58:18','2010-08-03 21:58:18',0,0,'2010-08-03 21:58:18',0,'2010-08-03 21:58:18',0,'2010-08-03 21:58:18',NULL,NULL,1,NULL),
 ('F21CEA85-2D8D-455E-9B0A-891168D5E221',NULL,'2010-01-29 15:09:42','bruiredup',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-29 15:09:42','2010-01-29 15:09:42','2010-01-29 15:09:42',0,0,'2010-01-29 15:09:42',0,'2010-01-29 15:09:42',0,'2010-01-29 15:09:42',NULL,NULL,15,NULL),
 ('F23252B8-63A5-4EE2-A0FD-133E24D2AB95',NULL,'2010-04-08 05:52:09','buksha',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','gmail','gmail',1,'2010-04-08 06:27:17','2010-04-08 05:52:09','2010-04-08 05:52:09',0,0,'2010-04-08 05:52:09',0,'2010-04-08 05:52:09',0,'2010-04-08 05:52:09',NULL,NULL,1,NULL),
 ('F25F9134-BE3C-4F6B-8FC7-7A9FDCD1FC93',NULL,'2009-10-25 06:36:39','alexstrelok',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','yes','yes',1,'2009-10-25 06:38:01','2009-10-25 06:36:39','2009-10-25 06:36:39',0,0,'2009-10-25 06:36:39',0,'2009-10-25 06:36:39',0,'2009-10-25 06:36:39',NULL,NULL,1,NULL),
 ('F271FF8D-031D-489C-9FCF-70B3C0E8E89B',NULL,'2010-07-17 00:47:41','werist',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-17 00:47:41','2010-07-17 00:47:41','2010-07-17 00:47:41',0,0,'2010-07-17 00:47:41',0,'2010-07-17 00:47:41',0,'2010-07-17 00:47:41',NULL,NULL,1,NULL),
 ('F2B21364-8DB2-4CFE-A618-0964183E2F62',NULL,'2010-05-10 10:32:08','Yourmoneyyes',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-10 10:32:08','2010-05-10 10:32:08','2010-05-10 10:32:08',0,0,'2010-05-10 10:32:08',0,'2010-05-10 10:32:08',0,'2010-05-10 10:32:08',NULL,NULL,1,NULL),
 ('F36E9BA9-CABE-4DCC-8650-B9675B9E0E4F',NULL,'2010-05-14 02:28:08','arschficken',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-14 02:28:07','2010-05-14 02:28:07','2010-05-14 02:28:07',0,0,'2010-05-14 02:28:07',0,'2010-05-14 02:28:07',0,'2010-05-14 02:28:07',NULL,NULL,14,NULL),
 ('F36EB620-2C00-4A47-90FD-BDD18B3A881A',NULL,'2010-05-16 14:49:50','jamesbaldwin',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 14:49:53','2010-05-16 14:49:50','2010-05-16 14:49:50',0,0,'2010-05-16 14:49:50',0,'2010-05-16 14:49:50',0,'2010-05-16 14:49:50',NULL,NULL,1,NULL),
 ('F3A44B2A-3715-4C10-8043-253EAC062D7E',NULL,'2010-09-24 17:34:29','cadiethilia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-24 17:35:00','2010-09-24 17:34:29','2010-09-24 17:34:29',0,0,'2010-09-24 17:34:29',0,'2010-09-24 17:34:29',0,'2010-09-24 17:34:29',NULL,NULL,13,NULL),
 ('F3ABB029-5390-4A84-AF29-5CA02AD2C03D',NULL,'2010-04-18 17:56:00','bgarrisons',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-18 17:56:00','2010-04-18 17:56:00','2010-04-18 17:56:00',0,0,'2010-04-18 17:56:00',0,'2010-04-18 17:56:00',0,'2010-04-18 17:56:00',NULL,NULL,1,NULL),
 ('F3BF3B33-9FC2-4994-8D98-A87A250C0C42',NULL,'2010-08-23 11:40:15','Faloexege',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-23 11:40:15','2010-08-23 11:40:15','2010-08-23 11:40:15',0,0,'2010-08-23 11:40:15',0,'2010-08-23 11:40:15',0,'2010-08-23 11:40:15',NULL,NULL,1,NULL),
 ('F3CD574C-25C7-47CF-8949-1003443069AC',NULL,'2010-02-12 18:50:42','Evissistema148',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-12 18:50:42','2010-02-12 18:50:42','2010-02-12 18:50:42',0,0,'2010-02-12 18:50:42',0,'2010-02-12 18:50:42',0,'2010-02-12 18:50:42',NULL,NULL,1,NULL),
 ('F3D5A4B5-D0FA-4270-84C1-8A620CEACB40',NULL,'2010-04-05 10:03:45','ejaculatiopraecox',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-05 10:03:45','2010-04-05 10:03:45','2010-04-05 10:03:45',0,0,'2010-04-05 10:03:45',0,'2010-04-05 10:03:45',0,'2010-04-05 10:03:45',NULL,NULL,14,NULL),
 ('F4119B20-C929-4C48-89DF-57217AF29371',NULL,'2010-05-29 13:16:02','Turounlapsuro',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-29 13:16:02','2010-05-29 13:16:02','2010-05-29 13:16:02',0,0,'2010-05-29 13:16:02',0,'2010-05-29 13:16:02',0,'2010-05-29 13:16:02',NULL,NULL,1,NULL),
 ('F4146FD9-7E7D-4022-BE7D-7CD4B6A0915D',NULL,'2010-09-01 04:56:39','regissimurdag',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-01 04:56:39','2010-09-01 04:56:39','2010-09-01 04:56:39',0,0,'2010-09-01 04:56:39',0,'2010-09-01 04:56:39',0,'2010-09-01 04:56:39',NULL,NULL,13,NULL),
 ('F4374A85-587E-486A-B792-ECC50CC1B53F',NULL,'2010-03-19 11:44:05','VialUncewinna',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-19 11:44:05','2010-03-19 11:44:05','2010-03-19 11:44:05',0,0,'2010-03-19 11:44:05',0,'2010-03-19 11:44:05',0,'2010-03-19 11:44:05',NULL,NULL,1,NULL),
 ('F46DC435-61AE-444E-BC37-FA9B77E1482A',NULL,'2010-04-04 19:38:03','VigcreariaLix',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-04 19:38:03','2010-04-04 19:38:03','2010-04-04 19:38:03',0,0,'2010-04-04 19:38:03',0,'2010-04-04 19:38:03',0,'2010-04-04 19:38:03',NULL,NULL,1,NULL),
 ('F48EC77E-1D4A-430A-84F5-0E78681A748C',NULL,'2010-03-20 06:04:28','peter',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','who are you','I am peter',1,'2010-03-20 06:05:12','2010-03-20 06:04:28','2010-03-20 06:04:28',0,0,'2010-03-20 06:04:28',0,'2010-03-20 06:04:28',0,'2010-03-20 06:04:28',NULL,NULL,15,NULL),
 ('F4AF847E-ACFE-4C6E-8170-4F7198E9B564',NULL,'2010-07-05 08:36:58','seoexpertxucvq',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-05 08:36:58','2010-07-05 08:36:58','2010-07-05 08:36:58',0,0,'2010-07-05 08:36:58',0,'2010-07-05 08:36:58',0,'2010-07-05 08:36:58',NULL,NULL,14,NULL),
 ('F4B2A30F-C21B-4632-81F1-FB0923D6206A',NULL,'2010-06-17 18:16:51','miniwheat',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','Qui suis-je','moimeme',1,'2010-06-17 18:19:09','2010-06-17 18:16:51','2010-06-17 18:16:51',0,0,'2010-06-17 18:16:51',0,'2010-06-17 18:16:51',0,'2010-06-17 18:16:51',NULL,NULL,1,NULL),
 ('F4D9B421-2CE9-41A7-B7F1-210C71B8D225',NULL,'2010-03-04 12:52:38','viagrapotenzmittel',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-04 12:52:38','2010-03-04 12:52:38','2010-03-04 12:52:38',0,0,'2010-03-04 12:52:38',0,'2010-03-04 12:52:38',0,'2010-03-04 12:52:38',NULL,NULL,14,NULL),
 ('F4E6DEFE-0507-42F5-9015-E86EF1DF97AA',NULL,'2010-01-13 01:13:39','izmoto',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-13 01:13:59','2010-01-13 01:13:39','2010-01-13 01:13:39',0,0,'2010-01-13 01:13:39',0,'2010-01-13 01:13:39',0,'2010-01-13 01:13:39',NULL,NULL,15,NULL),
 ('F5271EB6-8B76-4B16-837D-C6680CD8F605',NULL,'2010-01-22 06:36:55','Horprumma',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-22 06:36:55','2010-01-22 06:36:55','2010-01-22 06:36:55',0,0,'2010-01-22 06:36:55',0,'2010-01-22 06:36:55',0,'2010-01-22 06:36:55',NULL,NULL,1,NULL),
 ('F5415660-5FA0-4941-9405-5FC44DE3A461',NULL,'2009-12-23 03:13:29','tomkuzch',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-23 03:13:29','2009-12-23 03:13:29','2009-12-23 03:13:29',0,0,'2009-12-23 03:13:29',0,'2009-12-23 03:13:29',0,'2009-12-23 03:13:29',NULL,NULL,1,NULL),
 ('F559AB70-B285-4C27-93EF-28B651AEB58B',NULL,'2010-09-02 00:04:51','sdusedautos',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-02 00:04:51','2010-09-02 00:04:51','2010-09-02 00:04:51',0,0,'2010-09-02 00:04:51',0,'2010-09-02 00:04:51',0,'2010-09-02 00:04:51',NULL,NULL,14,NULL),
 ('F5F0B533-FCC3-476E-9293-B418AC68E3FD',NULL,'2010-03-28 19:22:41','speseCamp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-28 19:22:41','2010-03-28 19:22:41','2010-03-28 19:22:41',0,0,'2010-03-28 19:22:41',0,'2010-03-28 19:22:41',0,'2010-03-28 19:22:41',NULL,NULL,13,NULL),
 ('F5F1EB03-0C2B-4A07-9239-EF0752FAECEB',NULL,'2010-09-19 02:27:53','Sissokunxisaa',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-19 02:27:53','2010-09-19 02:27:53','2010-09-19 02:27:53',0,0,'2010-09-19 02:27:53',0,'2010-09-19 02:27:53',0,'2010-09-19 02:27:53',NULL,NULL,1,NULL),
 ('F5F974F4-08B8-4470-B874-E09E0C57B478',NULL,'2009-12-13 02:39:09','sardian',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-12-13 02:40:48','2009-12-13 02:39:09','2009-12-13 02:39:09',0,0,'2009-12-13 02:39:09',0,'2009-12-13 02:39:09',0,'2009-12-13 02:39:09',NULL,NULL,1,NULL),
 ('F624436A-51FC-4C4A-9B40-AEA18A0C4053',NULL,'2010-09-15 19:35:44','Parfume',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-15 19:35:44','2010-09-15 19:35:44','2010-09-15 19:35:44',0,0,'2010-09-15 19:35:44',0,'2010-09-15 19:35:44',0,'2010-09-15 19:35:44',NULL,NULL,14,NULL),
 ('F63F6BAD-9C7A-4B84-AF3B-BA85E38F268E',NULL,'2010-05-16 18:54:10','Bapsanegeceag',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 18:54:10','2010-05-16 18:54:10','2010-05-16 18:54:10',0,0,'2010-05-16 18:54:10',0,'2010-05-16 18:54:10',0,'2010-05-16 18:54:10',NULL,NULL,13,NULL),
 ('F6484860-C4AD-438E-99BB-8D7A3DA49216',NULL,'2010-06-02 13:11:41','Twistan',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-02 13:11:41','2010-06-02 13:11:41','2010-06-02 13:11:41',0,0,'2010-06-02 13:11:41',0,'2010-06-02 13:11:41',0,'2010-06-02 13:11:41',NULL,NULL,1,NULL),
 ('F691B782-AABF-4D8B-8552-1D6BD180BB89',NULL,'2010-02-14 14:13:52','insobosindift',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-14 14:13:52','2010-02-14 14:13:52','2010-02-14 14:13:52',0,0,'2010-02-14 14:13:52',0,'2010-02-14 14:13:52',0,'2010-02-14 14:13:52',NULL,NULL,15,NULL),
 ('F6951950-7CA0-4DA9-A80F-58B1CAE86F4F',NULL,'2009-12-31 03:28:27','scooperday',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','mother surname','sidorchuk',1,'2009-12-31 03:29:55','2009-12-31 03:28:27','2009-12-31 03:28:27',0,0,'2009-12-31 03:28:27',0,'2009-12-31 03:28:27',0,'2009-12-31 03:28:27',NULL,NULL,1,NULL),
 ('F6A6667E-1D1C-43AC-867B-FE9DF9C78FE7',NULL,'2010-05-16 07:10:37','Thomasys',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 07:10:37','2010-05-16 07:10:37','2010-05-16 07:10:37',0,0,'2010-05-16 07:10:37',0,'2010-05-16 07:10:37',0,'2010-05-16 07:10:37',NULL,NULL,1,NULL),
 ('F6A70DE9-61D3-4015-B8C4-8DE83B06BF9B',NULL,'2010-06-10 06:42:46','albert',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-10 06:47:53','2010-06-10 06:42:46','2010-06-10 06:42:46',0,0,'2010-06-10 06:42:46',0,'2010-06-10 06:42:46',0,'2010-06-10 06:42:46',NULL,NULL,1,NULL),
 ('F6A9B7FB-E19B-49DA-93F7-FC666AA27E68',NULL,'2010-03-23 18:21:16','newlifesvarka',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-23 18:21:16','2010-03-23 18:21:16','2010-03-23 18:21:16',0,0,'2010-03-23 18:21:16',0,'2010-03-23 18:21:16',0,'2010-03-23 18:21:16',NULL,NULL,1,NULL),
 ('F6BDE83F-1083-4849-B898-8DB5F67B7B03',NULL,'2010-07-12 01:50:10','Pamsjittilt',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-12 01:50:10','2010-07-12 01:50:10','2010-07-12 01:50:10',0,0,'2010-07-12 01:50:10',0,'2010-07-12 01:50:10',0,'2010-07-12 01:50:10',NULL,NULL,1,NULL),
 ('F6C885C2-6249-4D19-88B1-16A87340F71D',NULL,'2010-08-22 18:31:25','booklibraryc7',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-22 18:31:27','2010-08-22 18:31:25','2010-08-22 18:31:25',0,0,'2010-08-22 18:31:25',0,'2010-08-22 18:31:25',0,'2010-08-22 18:31:25',NULL,NULL,13,NULL),
 ('F71DC9F7-DD4C-4B1C-9B8E-E4B4F6228FC3',NULL,'2010-04-14 02:08:36','melanievsmed',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-14 02:08:36','2010-04-14 02:08:36','2010-04-14 02:08:36',0,0,'2010-04-14 02:08:36',0,'2010-04-14 02:08:36',0,'2010-04-14 02:08:36',NULL,NULL,1,NULL),
 ('F71E1F56-8365-4297-8298-E2F4522CE853',NULL,'2010-04-05 05:22:44','RyanNC',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-05 05:22:44','2010-04-05 05:22:44','2010-04-05 05:22:44',0,0,'2010-04-05 05:22:44',0,'2010-04-05 05:22:44',0,'2010-04-05 05:22:44',NULL,NULL,1,NULL),
 ('F721F6B2-1B92-41AB-B2D2-849A7F00EDC1',NULL,'2010-05-16 11:48:10','Operrokrewwase',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 11:48:10','2010-05-16 11:48:10','2010-05-16 11:48:10',0,0,'2010-05-16 11:48:10',0,'2010-05-16 11:48:10',0,'2010-05-16 11:48:10',NULL,NULL,1,NULL),
 ('F76DF654-53A6-4EE0-B611-285FF113ED1B',NULL,'2010-07-11 07:08:14','skiptoyou',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-11 07:08:14','2010-07-11 07:08:14','2010-07-11 07:08:14',0,0,'2010-07-11 07:08:14',0,'2010-07-11 07:08:14',0,'2010-07-11 07:08:14',NULL,NULL,14,NULL),
 ('F78B7599-5BF8-42A7-A1D4-C82FABBD15E3',NULL,'2010-09-02 19:14:08','businesscoachcourse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-02 19:14:08','2010-09-02 19:14:08','2010-09-02 19:14:08',0,0,'2010-09-02 19:14:08',0,'2010-09-02 19:14:08',0,'2010-09-02 19:14:08',NULL,NULL,13,NULL),
 ('F7B93113-E378-48CD-AA46-BE87A0E5FD0A',NULL,'2010-09-09 17:42:14','Trermreagmype',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-09 17:42:14','2010-09-09 17:42:14','2010-09-09 17:42:14',0,0,'2010-09-09 17:42:14',0,'2010-09-09 17:42:14',0,'2010-09-09 17:42:14',NULL,NULL,1,NULL),
 ('F7DAD65E-F401-45BC-A35E-0A8007F49CBE',NULL,'2010-02-26 08:13:46','forumviolan',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-26 08:13:46','2010-02-26 08:13:46','2010-02-26 08:13:46',0,0,'2010-02-26 08:13:46',0,'2010-02-26 08:13:46',0,'2010-02-26 08:13:46',NULL,NULL,1,NULL),
 ('F7F601AD-C9F0-4AA6-B472-FD914A144A4E',NULL,'2009-11-05 11:44:58','Ellis Carver',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-05 11:44:58','2009-11-05 11:44:58','2009-11-05 11:44:58',0,0,'2009-11-05 11:44:58',0,'2009-11-05 11:44:58',0,'2009-11-05 11:44:58',NULL,NULL,1,NULL),
 ('F812349C-E123-4A05-A83F-5FA4C6D8D376',NULL,'2010-09-14 05:51:39','sdmartialarts',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-14 05:51:39','2010-09-14 05:51:39','2010-09-14 05:51:39',0,0,'2010-09-14 05:51:39',0,'2010-09-14 05:51:39',0,'2010-09-14 05:51:39',NULL,NULL,14,NULL),
 ('F84AAFD8-A1B8-4FE3-9C14-1EA2BCC30438',NULL,'2010-03-23 02:53:42','TheDhuttysype',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-23 02:53:42','2010-03-23 02:53:42','2010-03-23 02:53:42',0,0,'2010-03-23 02:53:42',0,'2010-03-23 02:53:42',0,'2010-03-23 02:53:42',NULL,NULL,15,NULL),
 ('F85323CD-9588-4C1A-99DA-13CE9F0F6858',NULL,'2010-03-31 15:10:04','FaulaRica',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-31 15:10:04','2010-03-31 15:10:04','2010-03-31 15:10:04',0,0,'2010-03-31 15:10:04',0,'2010-03-31 15:10:04',0,'2010-03-31 15:10:04',NULL,NULL,1,NULL),
 ('F87E479F-72B3-4545-BF08-A481B0FD3196',NULL,'2010-07-04 11:57:49','downloadertube',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-04 11:57:49','2010-07-04 11:57:49','2010-07-04 11:57:49',0,0,'2010-07-04 11:57:49',0,'2010-07-04 11:57:49',0,'2010-07-04 11:57:49',NULL,NULL,1,NULL),
 ('F893D9C8-9FDB-4070-B602-0527CE6A72FA',NULL,'2010-05-16 13:29:24','sweept',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-16 13:29:24','2010-05-16 13:29:24','2010-05-16 13:29:24',0,0,'2010-05-16 13:29:24',0,'2010-05-16 13:29:24',0,'2010-05-16 13:29:24',NULL,NULL,13,NULL),
 ('F8D45790-55A2-48AB-91DC-AC4450013BFB',NULL,'2010-05-12 17:31:44','talObliff',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-12 17:31:44','2010-05-12 17:31:44','2010-05-12 17:31:44',0,0,'2010-05-12 17:31:44',0,'2010-05-12 17:31:44',0,'2010-05-12 17:31:44',NULL,NULL,13,NULL),
 ('F8D4D41B-31C0-4B46-9FF7-CE45F96B0E8B',NULL,'2010-04-30 00:35:05','ObtaitaFite',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-30 00:35:05','2010-04-30 00:35:05','2010-04-30 00:35:05',0,0,'2010-04-30 00:35:05',0,'2010-04-30 00:35:05',0,'2010-04-30 00:35:05',NULL,NULL,1,NULL),
 ('F90B333D-7155-4CC2-ADB7-E773B7ABBDEF',NULL,'2009-12-11 06:55:54','blabla',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','','',1,'2009-12-11 07:05:06','2009-12-11 06:55:54','2009-12-11 06:55:54',0,0,'2009-12-11 06:55:54',0,'2009-12-11 06:55:54',0,'2009-12-11 06:55:54',NULL,NULL,1,NULL),
 ('F91F7311-46AD-4481-B948-04E3E6DF655D',NULL,'2010-10-13 02:47:01','diackScence',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-13 02:47:01','2010-10-13 02:47:01','2010-10-13 02:47:01',0,0,'2010-10-13 02:47:01',0,'2010-10-13 02:47:01',0,'2010-10-13 02:47:01',NULL,NULL,1,NULL),
 ('F9507C15-7072-40BB-89A5-8F1DA789728A',NULL,'2010-02-11 11:50:40','Incancark',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-11 11:50:40','2010-02-11 11:50:40','2010-02-11 11:50:40',0,0,'2010-02-11 11:50:40',0,'2010-02-11 11:50:40',0,'2010-02-11 11:50:40',NULL,NULL,1,NULL),
 ('F973D2B5-D802-4D76-BAD7-A8BA00AC306E',NULL,'2010-06-06 21:59:07','arriguero',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-06 21:59:06','2010-06-06 21:59:06','2010-06-06 21:59:06',0,0,'2010-06-06 21:59:06',0,'2010-06-06 21:59:06',0,'2010-06-06 21:59:06',NULL,NULL,1,NULL),
 ('F98505E8-D849-40B3-B955-49AB998E4A26',NULL,'2010-05-21 18:26:00','BeaHendersz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-21 18:27:42','2010-05-21 18:26:00','2010-05-21 18:26:00',0,0,'2010-05-21 18:26:00',0,'2010-05-21 18:26:00',0,'2010-05-21 18:26:00',NULL,NULL,1,NULL),
 ('F99F10E7-6B24-4C99-B366-18D8FD29D977',NULL,'2010-08-15 01:36:22','Ciceidehite',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-15 01:36:22','2010-08-15 01:36:22','2010-08-15 01:36:22',0,0,'2010-08-15 01:36:22',0,'2010-08-15 01:36:22',0,'2010-08-15 01:36:22',NULL,NULL,1,NULL),
 ('F9D6ED08-A996-4C38-8994-301665BC77A7',NULL,'2010-05-29 01:48:26','Bobactho',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-29 01:48:26','2010-05-29 01:48:26','2010-05-29 01:48:26',0,0,'2010-05-29 01:48:26',0,'2010-05-29 01:48:26',0,'2010-05-29 01:48:26',NULL,NULL,1,NULL),
 ('F9DE7B28-1C84-48DD-A8A5-CE893FD9A953',NULL,'2010-07-13 10:09:57','ceisenhart',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-13 10:10:00','2010-07-13 10:09:57','2010-07-13 10:09:57',0,0,'2010-07-13 10:09:57',0,'2010-07-13 10:09:57',0,'2010-07-13 10:09:57',NULL,NULL,1,NULL),
 ('F9E9A27A-44A3-4278-8F8F-C5C3806F8394',NULL,'2010-03-14 16:33:39','Areltybitle',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-14 16:33:39','2010-03-14 16:33:39','2010-03-14 16:33:39',0,0,'2010-03-14 16:33:39',0,'2010-03-14 16:33:39',0,'2010-03-14 16:33:39',NULL,NULL,15,NULL),
 ('F9EB9992-1958-49BA-A137-BB387DDFBF26',NULL,'2010-01-22 13:28:49','TSlavada',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-22 13:28:49','2010-01-22 13:28:49','2010-01-22 13:28:49',0,0,'2010-01-22 13:28:49',0,'2010-01-22 13:28:49',0,'2010-01-22 13:28:49',NULL,NULL,15,NULL),
 ('FA086857-A2F5-42F1-B92E-88BEF1055684',NULL,'2010-01-17 20:32:00','Knogeotrege',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-17 20:32:13','2010-01-17 20:32:00','2010-01-17 20:32:00',0,0,'2010-01-17 20:32:00',0,'2010-01-17 20:32:00',0,'2010-01-17 20:32:00',NULL,NULL,1,NULL),
 ('FA1E3312-4AB9-41D5-8F03-5B7794F248E4',NULL,'2010-05-10 11:31:45','Bishwhind',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-10 11:31:45','2010-05-10 11:31:45','2010-05-10 11:31:45',0,0,'2010-05-10 11:31:45',0,'2010-05-10 11:31:45',0,'2010-05-10 11:31:45',NULL,NULL,1,NULL),
 ('FA749F7E-2EF1-47DF-A4F9-538B681E8710',NULL,'2010-06-25 01:41:02','Drurlquible',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-25 01:41:02','2010-06-25 01:41:02','2010-06-25 01:41:02',0,0,'2010-06-25 01:41:02',0,'2010-06-25 01:41:02',0,'2010-06-25 01:41:02',NULL,NULL,13,NULL),
 ('FAB7DBAC-BA2A-4B12-99E1-D43A9F87BAF3',NULL,'2010-07-16 05:27:21','SayerhT5mskg',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-16 05:27:21','2010-07-16 05:27:21','2010-07-16 05:27:21',0,0,'2010-07-16 05:27:21',0,'2010-07-16 05:27:21',0,'2010-07-16 05:27:21',NULL,NULL,1,NULL),
 ('FAE20E37-2999-4CB4-B27A-83A77680FF56',NULL,'2009-11-12 18:00:34','rscadmin',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-09 22:35:53','2010-10-09 22:35:37','2009-11-12 18:00:34',0,0,'2009-11-12 18:00:34',1,'2009-11-12 18:01:18',0,'2009-11-12 18:00:34',NULL,NULL,14,NULL),
 ('FAE96AE1-4346-413D-989D-9F33781EB135',NULL,'2010-07-17 17:02:23','garant-vinnaliaddy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-17 17:02:23','2010-07-17 17:02:23','2010-07-17 17:02:23',0,0,'2010-07-17 17:02:23',0,'2010-07-17 17:02:23',0,'2010-07-17 17:02:23',NULL,NULL,13,NULL),
 ('FB132FD3-49A7-4DFD-9178-1AF219F6D399',NULL,'2010-09-06 01:00:36','Molly.Nace',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-06 01:00:36','2010-09-06 01:00:36','2010-09-06 01:00:36',0,0,'2010-09-06 01:00:36',0,'2010-09-06 01:00:36',0,'2010-09-06 01:00:36',NULL,NULL,1,NULL),
 ('FB1BF98E-8B3B-428E-B4FC-2E2AA0DCCCD1',NULL,'2010-08-09 14:48:07','wrowsVerlow',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-09 14:48:07','2010-08-09 14:48:07','2010-08-09 14:48:07',0,0,'2010-08-09 14:48:07',0,'2010-08-09 14:48:07',0,'2010-08-09 14:48:07',NULL,NULL,1,NULL),
 ('FB4AC9E4-DF06-44D2-AFEC-98DBDD0C2CFA',NULL,'2010-05-03 03:10:29','nickamoxil',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-03 03:10:29','2010-05-03 03:10:29','2010-05-03 03:10:29',0,0,'2010-05-03 03:10:29',0,'2010-05-03 03:10:29',0,'2010-05-03 03:10:29',NULL,NULL,1,NULL),
 ('FB776395-88EC-483C-AE4D-62C08F2105AC',NULL,'2010-08-18 03:55:41','Linsabarp',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-18 03:55:41','2010-08-18 03:55:41','2010-08-18 03:55:41',0,0,'2010-08-18 03:55:41',0,'2010-08-18 03:55:41',0,'2010-08-18 03:55:41',NULL,NULL,1,NULL),
 ('FB906120-F6F6-4466-A53D-16AF8014C0CC',NULL,'2010-06-07 09:50:42','Polfoccuddy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-07 09:50:42','2010-06-07 09:50:42','2010-06-07 09:50:42',0,0,'2010-06-07 09:50:42',0,'2010-06-07 09:50:42',0,'2010-06-07 09:50:42',NULL,NULL,1,NULL),
 ('FBDF0EAB-E5FE-4FA6-A440-2B2FB154ADC7',NULL,'2010-02-23 00:25:17','bunderbergoff',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-23 00:25:17','2010-02-23 00:25:17','2010-02-23 00:25:17',0,0,'2010-02-23 00:25:17',0,'2010-02-23 00:25:17',0,'2010-02-23 00:25:17',NULL,NULL,1,NULL),
 ('FBE8140C-8F61-4E11-AC32-4661FFBE59EE',NULL,'2010-07-28 20:23:58','Ethentybymn',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-28 20:23:58','2010-07-28 20:23:58','2010-07-28 20:23:58',0,0,'2010-07-28 20:23:58',0,'2010-07-28 20:23:58',0,'2010-07-28 20:23:58',NULL,NULL,14,NULL),
 ('FC591DF1-293A-48FE-9733-8B2E18C52737',NULL,'2010-06-13 17:33:21','Irrewepsype',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-13 17:33:21','2010-06-13 17:33:21','2010-06-13 17:33:21',0,0,'2010-06-13 17:33:21',0,'2010-06-13 17:33:21',0,'2010-06-13 17:33:21',NULL,NULL,1,NULL),
 ('FC5E6C9C-91BC-4000-84BF-863F12CB8C6A',NULL,'2010-05-12 10:36:45','unsastere',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-12 10:36:45','2010-05-12 10:36:45','2010-05-12 10:36:45',0,0,'2010-05-12 10:36:45',0,'2010-05-12 10:36:45',0,'2010-05-12 10:36:45',NULL,NULL,1,NULL),
 ('FC644FEA-3610-44B5-9916-8EE64CA90016',NULL,'2010-03-17 14:00:31','brian01',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-17 14:03:44','2010-03-17 14:03:23','2010-03-17 14:00:31',0,0,'2010-03-17 14:00:31',0,'2010-03-17 14:00:31',0,'2010-03-17 14:00:31',NULL,NULL,15,NULL),
 ('FCFC83BE-5977-49C4-B64B-6D126C0D6810',NULL,'2010-08-25 00:25:49','DVIDA\r\n',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-25 00:25:49','2010-08-25 00:25:49','2010-08-25 00:25:49',0,0,'2010-08-25 00:25:49',0,'2010-08-25 00:25:49',0,'2010-08-25 00:25:49',NULL,NULL,13,NULL),
 ('FD262309-732D-471C-8ED4-383F48DDE4ED',NULL,'2010-03-02 14:50:09','liamretkaw',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-02 14:50:08','2010-03-02 14:50:08','2010-03-02 14:50:08',0,0,'2010-03-02 14:50:08',0,'2010-03-02 14:50:08',0,'2010-03-02 14:50:08',NULL,NULL,1,NULL),
 ('FD9DB924-6116-4C01-B77E-F9FCDA0EDDB4',NULL,'2010-07-09 12:48:04','sensationover',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-09 12:48:04','2010-07-09 12:48:04','2010-07-09 12:48:04',0,0,'2010-07-09 12:48:04',0,'2010-07-09 12:48:04',0,'2010-07-09 12:48:04',NULL,NULL,14,NULL),
 ('FDA5493D-CA6D-452E-8395-64C86C784280',NULL,'2010-04-01 03:54:44','spombitidiody',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-01 03:54:44','2010-04-01 03:54:44','2010-04-01 03:54:44',0,0,'2010-04-01 03:54:44',0,'2010-04-01 03:54:44',0,'2010-04-01 03:54:44',NULL,NULL,1,NULL),
 ('FDD6BCCB-0199-4AB0-9096-0CC1037C2816',NULL,'2010-06-15 04:58:16','femeappoify',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-06-15 04:58:16','2010-06-15 04:58:16','2010-06-15 04:58:16',0,0,'2010-06-15 04:58:16',0,'2010-06-15 04:58:16',0,'2010-06-15 04:58:16',NULL,NULL,13,NULL),
 ('FE003D4A-AD8C-4844-8E5E-26A8F4CE24EE',NULL,'2010-02-06 07:52:59','spubjesse',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-02-06 07:52:59','2010-02-06 07:52:59','2010-02-06 07:52:59',0,0,'2010-02-06 07:52:59',0,'2010-02-06 07:52:59',0,'2010-02-06 07:52:59',NULL,NULL,1,NULL),
 ('FE482B82-5136-4B6E-8EA0-F044A8B803BD',NULL,'2010-05-17 00:40:40','withoutgoogle',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-17 00:40:40','2010-05-17 00:40:40','2010-05-17 00:40:40',0,0,'2010-05-17 00:40:40',0,'2010-05-17 00:40:40',0,'2010-05-17 00:40:40',NULL,NULL,1,NULL),
 ('FE651A32-0EFC-438D-8722-D0E3FB9E6B2B',NULL,'2010-09-02 09:30:49','milkThealia',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-02 09:30:49','2010-09-02 09:30:49','2010-09-02 09:30:49',0,0,'2010-09-02 09:30:49',0,'2010-09-02 09:30:49',0,'2010-09-02 09:30:49',NULL,NULL,13,NULL),
 ('FE67035D-DF6C-453A-997D-6F4CD508C23F',NULL,'2010-08-01 16:44:15','ryansd',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-08-01 16:44:15','2010-08-01 16:44:15','2010-08-01 16:44:15',0,0,'2010-08-01 16:44:15',0,'2010-08-01 16:44:15',0,'2010-08-01 16:44:15',NULL,NULL,14,NULL),
 ('FE680D8C-8A1A-4A37-A6CB-CE93B1EB4B87',NULL,'2010-10-02 07:44:31','AnyncCrydAy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-10-02 07:44:31','2010-10-02 07:44:31','2010-10-02 07:44:31',0,0,'2010-10-02 07:44:31',0,'2010-10-02 07:44:31',0,'2010-10-02 07:44:31',NULL,NULL,1,NULL),
 ('FE70454C-9B7C-44F1-9703-B7F686950F65',NULL,'2010-07-09 12:42:13','hingigiopleve',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-07-09 12:42:13','2010-07-09 12:42:13','2010-07-09 12:42:13',0,0,'2010-07-09 12:42:13',0,'2010-07-09 12:42:13',0,'2010-07-09 12:42:13',NULL,NULL,1,NULL),
 ('FF02C63D-8D57-4092-9EA1-A3823B1E929D',NULL,'2010-09-19 00:33:56','zacklimonxxz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-19 00:33:56','2010-09-19 00:33:56','2010-09-19 00:33:56',0,0,'2010-09-19 00:33:56',0,'2010-09-19 00:33:56',0,'2010-09-19 00:33:56',NULL,NULL,1,NULL),
 ('FF087974-361C-41C0-8D5B-C0652541ABA8',NULL,'2010-04-10 22:41:48','Heanteestunda',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-10 22:41:48','2010-04-10 22:41:48','2010-04-10 22:41:48',0,0,'2010-04-10 22:41:48',0,'2010-04-10 22:41:48',0,'2010-04-10 22:41:48',NULL,NULL,13,NULL),
 ('FF2C6C98-59FC-460C-A4C4-892E6D259E5C',NULL,'2010-09-16 16:17:04','Rizhaerlz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-16 16:17:08','2010-09-16 16:17:04','2010-09-16 16:17:04',0,0,'2010-09-16 16:17:04',0,'2010-09-16 16:17:04',0,'2010-09-16 16:17:04',NULL,NULL,1,NULL),
 ('FF2EED79-5DEA-47DD-B166-57E1894CB9EB',NULL,'2010-03-29 03:31:14','Friedasfan',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-03-29 03:31:14','2010-03-29 03:31:14','2010-03-29 03:31:14',0,0,'2010-03-29 03:31:14',0,'2010-03-29 03:31:14',0,'2010-03-29 03:31:14',NULL,NULL,15,NULL),
 ('FF2F9155-2A1C-4EB8-A7E4-2A1B23DD2D56',NULL,'2009-11-15 03:33:35','BuyPillsOnline',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-15 03:33:34','2009-11-15 03:33:34','2009-11-15 03:33:34',0,0,'2009-11-15 03:33:34',0,'2009-11-15 03:33:34',0,'2009-11-15 03:33:34',NULL,NULL,14,NULL),
 ('FF4ABA87-10B2-4296-A862-6BA4890FB8E4',NULL,'2010-09-14 13:21:06','KOalidfbu',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-14 13:21:06','2010-09-14 13:21:06','2010-09-14 13:21:06',0,0,'2010-09-14 13:21:06',0,'2010-09-14 13:21:06',0,'2010-09-14 13:21:06',NULL,NULL,1,NULL),
 ('FF55601E-A853-414D-A5A8-FFDF554ADBBC',NULL,'2010-06-08 09:14:10','MarkCincy',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=','What do I play?','Guitar',1,'2010-06-08 09:17:03','2010-06-08 09:14:10','2010-06-08 09:14:10',0,0,'2010-06-08 09:14:10',0,'2010-06-08 09:14:10',0,'2010-06-08 09:14:10',NULL,NULL,1,NULL),
 ('FF7FE388-F94B-4AC8-8E1B-7DE4564F66DB',NULL,'2010-01-23 04:02:18','Ribawabstig',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-01-23 04:02:18','2010-01-23 04:02:18','2010-01-23 04:02:18',0,0,'2010-01-23 04:02:18',0,'2010-01-23 04:02:18',0,'2010-01-23 04:02:18',NULL,NULL,1,NULL),
 ('FFAF297E-CCC8-4B29-90AF-B894F498BB15',NULL,'2010-04-29 04:42:56','Spopontef',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-04-29 04:42:56','2010-04-29 04:42:56','2010-04-29 04:42:56',0,0,'2010-04-29 04:42:56',0,'2010-04-29 04:42:56',0,'2010-04-29 04:42:56',NULL,NULL,1,NULL),
 ('FFB3FE85-6ED8-4A6B-A1B8-BAC120B8F80A',NULL,'2010-05-04 15:50:37','bleasecax',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-05-04 15:50:37','2010-05-04 15:50:37','2010-05-04 15:50:37',0,0,'2010-05-04 15:50:37',0,'2010-05-04 15:50:37',0,'2010-05-04 15:50:37',NULL,NULL,1,NULL),
 ('FFCABA6B-56DC-4DA1-924D-7DBEB101CCC5',NULL,'2009-11-22 19:59:43','sexinimfhetka',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2009-11-22 19:59:42','2009-11-22 19:59:42','2009-11-22 19:59:42',0,0,'2009-11-22 19:59:42',0,'2009-11-22 19:59:42',0,'2009-11-22 19:59:42',NULL,NULL,1,NULL),
 ('FFFC7491-2CBE-4842-B85D-7EEE130B63A8',NULL,'2010-09-07 14:19:17','adamz',NULL,'info@mvccms.com','WP/aRR1Ch46m2YhECOOIs05gPWI=',NULL,NULL,1,'2010-09-07 14:20:26','2010-09-07 14:19:17','2010-09-07 14:19:17',0,0,'2010-09-07 14:19:17',0,'2010-09-07 14:19:17',0,'2010-09-07 14:19:17',NULL,NULL,1,NULL);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;


--
-- Definition of trigger `Users_Default`
--

DROP TRIGGER /*!50030 IF EXISTS */ `Users_Default`;

DELIMITER $$

CREATE DEFINER = `root`@`localhost` TRIGGER `Users_Default` BEFORE INSERT ON `users` FOR EACH ROW BEGIN
   IF NEW.UserID IS NULL THEN
      SET NEW.UserID = UUID();
   END IF;
END $$

DELIMITER ;

--
-- Definition of table `usersinroles`
--

DROP TABLE IF EXISTS `usersinroles`;
CREATE TABLE `usersinroles` (
  `UserId` char(36) NOT NULL,
  `RoleId` char(36) NOT NULL,
  PRIMARY KEY (`UserId`,`RoleId`),
  KEY `FK__UsersInRo__RoleI__2C3393D0Idx` (`RoleId`),
  KEY `FK__UsersInRo__UserI__2D27B809Idx` (`UserId`),
  CONSTRAINT `FK__UsersInRo__RoleI__2C3393D0` FOREIGN KEY (`RoleId`) REFERENCES `roles` (`RoleId`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK__UsersInRo__UserI__2D27B809` FOREIGN KEY (`UserId`) REFERENCES `users` (`UserID`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `usersinroles`
--

/*!40000 ALTER TABLE `usersinroles` DISABLE KEYS */;
INSERT INTO `usersinroles` (`UserId`,`RoleId`) VALUES 
 ('0030F4EE-3FD0-4345-AFFD-6DFBC8A95907','7732EA2C-8DB2-4B4F-8FDA-D0DD7E9ABB6B'),
 ('4AC5E351-92FF-43CC-A314-89DA9B4615F7','7732EA2C-8DB2-4B4F-8FDA-D0DD7E9ABB6B'),
 ('5DEDBD42-1DF0-43BC-BD45-0FD2E6E8290B','7732EA2C-8DB2-4B4F-8FDA-D0DD7E9ABB6B'),
 ('86A6FCCB-A07A-4985-9B22-66F557DA3946','7732EA2C-8DB2-4B4F-8FDA-D0DD7E9ABB6B'),
 ('B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','7732EA2C-8DB2-4B4F-8FDA-D0DD7E9ABB6B'),
 ('F062F5EF-88D0-46CC-9EA1-1E984B0069AB','7732EA2C-8DB2-4B4F-8FDA-D0DD7E9ABB6B'),
 ('FAE20E37-2999-4CB4-B27A-83A77680FF56','7732EA2C-8DB2-4B4F-8FDA-D0DD7E9ABB6B'),
 ('000296DF-8CD5-41C9-843C-70472831F4FD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0030F4EE-3FD0-4345-AFFD-6DFBC8A95907','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0078610F-6953-4C0C-B4B0-017EFA67E446','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('00800F36-0769-46EE-95DA-94E963F4479A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('00AD6094-4A52-44F9-83E2-83862EFCCE76','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('00AF8867-4976-43BE-AFC1-15B4378B8FDE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('00BE4578-7E30-431D-9DFA-0DE3E2561C0D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('00F15452-65DD-4DD3-B95C-AD4FE68A215C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('01049E6F-122F-46AE-99AF-A11A986E6C91','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0144E4EB-A645-494C-A57E-AB1B6A9C211D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('01871818-4884-4EBA-BFF1-3EC219FA9AD0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('01D4D5DC-ACB6-4374-AAD3-5DB7A82B2974','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0202EB51-B5C6-4FB6-A981-871F3087B763','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0203ADCD-A276-45B6-99E2-0969D4BBB684','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('023FF770-041E-48F7-A42C-31D5D8BB7F0B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('02414F05-0A0D-4574-AA2E-EFD2891D7A2F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('026CBA1E-3469-44C0-BE40-C07E3C1CF8D7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('027AAA62-28F8-4282-8A61-1CB58F763058','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('027F1344-4510-4BB9-9650-EAA4A4AD54C4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('02B14743-2500-4D3A-BFEC-44A60C436BF2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('02C71EDA-B038-4A21-A73D-984CCC98878C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('02CED138-5CCA-4B3C-8B22-71DDD3390211','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('032DB5E7-6623-4042-951E-8774980A0CFC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('033FD4CB-E5A0-4F30-AEB1-6C4AD9F24418','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0377358C-D726-4544-B6FA-603C5C059248','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('038B5344-A926-4794-B6D5-AD7FBE54D378','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('039057B3-7E7F-41F6-94FF-83C080C0DC32','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('03A586C7-AADF-4848-9E09-4427B18DE735','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('03ABFB04-6F7D-495B-8434-7FB9F4CDECFB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('03C49F56-50FB-4A57-8C1D-E7C3D15678F8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('03E2661A-B829-4A7A-A2C5-597E6FBCCD74','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('03F49759-4A95-4CC5-BA3F-9EF69CE252F2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('040F6FB4-78A0-42E0-B0B8-18ABDB525F2A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('04175DC1-6BEB-408B-9F24-95C481A1FE23','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('041BC0D5-5A4D-41BE-9CEF-9924113FC0BA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('04252678-8681-4F74-97C1-1972BF3F1E26','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('042906A7-596E-43C4-8768-8B71A82547FE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0458D0DB-3491-42D9-9B7F-40294143AF61','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('049B969A-050F-4FE6-ACF3-B3A159D61E95','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('04A33EAB-EEE3-478F-9323-20B1B783303C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('04E70F98-3CAF-41F8-BC71-99F3E26829C5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('050B196F-79B2-4B1E-837C-980BD5EF77E6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('055027E8-9A30-48E1-8B47-BA09AA665647','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('05566BB2-44EC-47A5-A1B5-A4DDCF75475A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('05771DBA-CC76-4C29-9B17-30BA36E4B10D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('05C3EB82-6EC3-49B6-B7D1-74C5E63A9E94','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('05DCB937-8540-41E0-9090-D38C1F04B934','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('05E89575-B17A-466A-996E-8C79B5AE40D4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('05EB75F0-8B13-4680-9534-8897C7710028','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0601A5B0-3D82-429A-BC5A-3E2A3AD3417E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('062C3AEB-16A0-4B6F-9565-B6C0B696EAA6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('062F1BA0-3E7D-4DE1-9897-CA150BB8B780','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('064357C3-061B-43F8-B612-660EF076F44E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('064ED3BF-C14E-449C-AAC6-FB59E375C076','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0655AA9D-BD24-4CE3-A387-F4A262460E0B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('06A51D47-BA55-47CC-AF17-7D30FCAD11C9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('06AA68C5-8EDD-4C81-B8B0-2817832CB0C1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('06ED98E2-3DF3-4BE8-AFDA-3EB8A4B98F6D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0711B574-4D45-4752-AE7E-D18094650120','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('071FBB5F-A71B-4E2D-9753-AF371381CEBB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('07649B95-E326-4711-B87D-4C5E16DB3A9D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0764C897-F7DF-4368-A7C7-D140A09B3896','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('077576F1-BDF0-456F-A8B9-E835C7B5B222','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('07835BD4-3953-42E4-A9F8-084E89CA4854','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('07AC5D8B-E92A-4514-80EA-2C7C1766F146','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('07BA5477-AD39-433C-B57E-B62225013642','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('07C319B1-ACC6-4BE7-9BF8-365D6CEDA675','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('07D7676F-AB8E-47C1-8017-825C11625932','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0827EBB1-BD2C-4D58-8335-3409F8269C25','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('08DB9820-2A2F-453D-B63C-6A09D67B54C4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('08DD51F4-7D62-47DF-8899-AD985C144AED','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('08E4964C-3FC2-453F-90BB-58798CC78974','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('092006E6-8706-47D4-B406-97D62AB2F24B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0933B6C9-B72A-4C9E-97E7-9AD5223FE249','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('093CEB2B-5C2C-4EDC-8F1C-89CFEB94E41D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0949CFBE-37B1-4EED-9585-8406C1F68492','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0962F1AA-39A3-42A5-9839-DA49EDD12DF8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('096C2508-0DC7-4E24-8CE9-970445E90401','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0976F170-E51B-48EC-9313-6EF5EB40D49B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('097E12D5-3DDB-464D-9E91-37FDFDA42DBF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('09829087-C664-4EC6-B445-CD21B055C627','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('09C4A716-17D9-4AC2-A0D9-FE9C5F32DFF8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0A0CB0E4-2EA0-4A4C-AEF2-514C5EE2687C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0A177CE6-5661-4754-A21F-CE8371089EB5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0A17F4D3-4AF6-4391-8E1B-1BB970F0442A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0A7C25A4-B124-4BF1-A8E0-9651D646561B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0B59EDAF-E3A1-4B14-A5F1-5FACC02E1A9B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0B612F95-37BC-42C3-BBF7-45B9173D73D1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0B69BF78-B43A-47F0-A707-6B5BF7CE440D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0B9706E9-844E-490C-9FA8-78945A04698A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0BA77C37-1985-4CE3-9C95-A1A44F5F546A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0BAE0381-A0CB-4455-9893-44E497318BB4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0BF24B68-93FE-4C4E-9B67-6015EEC6516D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0C2742C7-63C3-4CB7-BDF2-A5B312B5E7A8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0C36C29D-FDED-4DEF-B606-4808D7559550','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0C3E56EB-91B8-4353-ABCB-F694311F13D0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0C50686A-29CF-407F-9252-F9E267E5BCB8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0C6E240F-43C1-48EB-B717-3791A88F5BE1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0C7420BA-6696-4471-B317-98ED9015F022','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0D1EA3E4-6E45-449D-BB39-5B9DC448DFBA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0D2082AC-24D4-4E4F-8DB1-FA91E4EFFFA7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0D28C5E5-E99C-4163-BE4B-6CDD6D720FDE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0D299E6C-8ABF-451A-98C0-C5F810F83D46','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0D38C4E9-4604-48B2-929E-394BF2018278','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0D499A8D-23D1-46C4-B482-3FE01FD08D23','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0D5BD3BF-9833-4821-BCA2-7BAEC10BDEE9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0DB59E97-6926-42EA-83B6-AB863E587F92','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0DC98C41-3DDE-411F-B08A-25045055CCBF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0DE9EF1A-7C1D-4A26-8786-D260CA56C7BB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0E0806AA-733A-4F91-9D81-48ECE776B6C2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0E359F95-2E1E-4018-876A-531423B0FBD8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0E51689F-9DEE-4F06-ABF7-DE8C6FA31CEA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0EBC4DB9-BA2C-4F11-B147-6107AB598F40','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0EDA8B53-153D-4D06-8151-E17C42D6F23E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0EE4013B-A6CB-4A18-886B-C7AF7506D987','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0EF3688F-0429-4BCD-8D5D-E56FDA416244','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0EF98A17-2A9A-42F1-97D2-9EF9B0DCA030','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0F0C0AFD-D918-4C08-9BE2-A70B58B084DE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0F47E975-20C4-4B41-BC42-EA8E6621C267','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0F4DB129-2CD0-4618-8C96-4C23D153842B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0F51536A-C5A3-4254-A613-8BC016176432','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0F833485-3569-4B35-9DCB-CC2A3A372E4D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0F853667-6970-4958-867F-0BDE3A19255A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0F99E2B7-4B44-496C-9186-1B7064293725','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0FA3167D-009F-4AD2-A937-E66324555EA1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0FBD5677-41F3-4A98-A4CF-A5CE7D8FA5A2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0FC868A1-BF38-43B9-BFA0-BD0DCA2689DA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0FF6CC01-F565-43C2-BE86-5EAA7C9137E3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1012C34A-D4E5-4A07-AEF7-87CAD51199ED','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('105447C7-50D1-47FB-8E30-35F1A89D9BB0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1076632E-25F6-495C-8DBD-827388D3BC1C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('107E1630-B495-4A32-865A-AAA62833E6CE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('108F7FB9-75AE-49C0-94E6-E93F0F093018','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('10D2A8E5-AA5E-4D29-A703-071964359BEB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('10D2EF41-FACF-419A-B871-586C60282A09','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('110C6CE5-0E9F-4015-B32F-BE9BC001C6CE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('11109A4B-97B0-458C-8370-375D932C2C5D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('114DFE0C-D215-4C28-B69C-16206384B2AD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('115F12CD-E89A-48AC-A4F6-3ADC1612F5B6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('11B497C8-9D10-4970-85AE-E27F3367AD7A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('11B9317C-13E2-4408-8B72-FA6D643914FD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('11BA7B57-C7F1-403B-9CFA-B21F37A54EEF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('11C7B04A-F4F0-4017-9872-359F79ECF2D8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('11C84B67-99A5-456F-BD5B-B97776E6194F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('11D3A786-01CB-470C-BE50-E6816B8C32E0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('11FF0CA4-C2F5-49A6-A2EC-FD7EFDBDA07A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('120B6C4A-F2C9-4290-AE3D-825689B4C65F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('121793C3-F3CB-4595-9570-00527D8702F2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1231BC1E-568C-40F6-8C08-25B0BD7F5ABD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('123A49CA-167D-40F5-BD44-EDB7F1A2DB8C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('12BBE0E1-4EA7-41AC-AF72-86F73ACE0707','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('13080D7B-B2FE-479A-9318-DEDFCEC6AF78','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('13154F69-A407-4983-A650-0DCD164E6155','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('13178904-FD3F-4B8E-BA31-A20BCD5A7DD3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1319F12E-60A8-442C-8BB1-8B69CA18D4C5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('13283B79-9EE8-4B3B-B71C-D49B99383644','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1333C8B4-9D23-4C9D-9505-BE6AB3061C3B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('13372DC0-DB8E-404A-ABC0-0BE5D04CB995','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('13926018-1C8D-4E49-B9D6-05484A3C2188','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('13A3AE06-C435-441E-869F-B4513FCECAA1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('13D7DE89-A158-436D-9427-461A4D97D387','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('13EFC150-87CB-46A2-A6C5-8B83294CCC72','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('141B82F4-2357-426E-A42A-2BFBB21D03DE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('149278F9-DB25-4EDE-82FD-C87D972BC7A9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('14B4FF8C-2EDA-4733-89C9-51C6FD8E738A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('14E9E755-88CE-4094-B546-D5456E284366','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('15286565-35E1-4EF3-9A1D-5D40BFA6CC93','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1538DC12-D037-43E4-BB15-DE49202C4AE6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('158A126D-D9B4-467C-803F-5FF62710D8BB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('15E9ED43-BA18-47A4-9548-226C7E454432','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('15F4EF55-D7F7-491F-BB38-C4E28ABC1DCB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('16044558-9E46-4A5E-947B-182F06AD5377','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('16116C44-7854-4085-B565-4F85B66DA81B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('16469283-D2EB-4F0C-A933-071F6D0DBF1A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('165790FC-628F-4D66-B506-9F0ABFFA4956','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('166702FF-F81E-472E-B1EE-733A20BC59D2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('166A0B3C-B612-4CA2-A214-A9E3EEE0F1E9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('167CB0AD-B1B1-4E1F-8A28-8F2D4CDE03C8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1683FE83-769B-4851-A9F4-16939FC88329','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('169EA322-6314-44BD-95C6-8EE9088C362A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('16AAC8DD-C5FC-4E2C-8655-B5865B59F755','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('16B27D47-BCE4-434D-9003-986CD4DD03E9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('16B6C035-5C1E-4A16-9487-C12FB0204F22','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('16BDB402-FE86-4A50-8447-E5E103334A00','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('16DEB0AB-CDB3-41C5-9E15-A859083C16EE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('16E66AEF-FD1A-47AF-BE17-5A805046EE32','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('16ECD127-6205-4C74-B3AF-A662ABB5FFD2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('171839FE-4E07-4663-8645-CDB0262FAFE4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('17344BE4-3991-4A08-8834-85BE728B048B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('178E3C5A-1C6A-4F75-831D-E8D2D071AB77','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('179A5FBD-3EF3-4B8A-9FC9-DB4774715CE1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('17FA89F1-F221-4F75-AE8A-FF1C481DBF9E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('18005B07-CDB1-44CE-A66F-F4A27BA0EBF6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('18167CCB-9668-48B8-814A-D3B0C8210F1C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1851644E-E12D-4B30-9605-3103324CDB96','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1852168C-39A8-4359-80D1-BE35F30814B8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('187DCB9E-EFB3-4AD5-8D18-47B3BC39BC54','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('188F53C6-18B0-42F3-A5CE-1F50D25268A3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1892590B-0E8D-4747-A4D4-5F30CCF3E102','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('189A2B70-C7EF-4111-98B2-19253DA6A6F3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('189D3DCB-2EAA-4E75-8B8D-A1B365EF4918','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('18E0C86F-0671-4A11-B8A0-18BBCE333663','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('18E62D29-C823-4E42-B7A1-59204A4054F8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('193CFC11-FF46-49E5-B391-F9C3E52735BF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('195D267E-2DFA-4D80-8489-5AF4C26DC6A4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('19654116-5727-4A16-8398-29CD5465945E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1966F8CC-447F-4BB1-8328-3C9B77EE7828','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1973DF4A-20D8-4D70-9C2F-D11AFDC7B4BA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1973F26B-BF56-407F-9617-9600DF64FC7C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('197E6FC9-8633-4C55-B8D6-F10B6EDE8374','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('198E6082-3BE3-41BD-BB5F-5B4495CD99E2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('19DCDAAF-1DE8-4CA4-B1DE-CB92E9B4D265','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('19ECD407-F600-4CBF-AFEE-D0FAF12B3CFC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1A569DE7-1C45-47A9-9E05-C84AC7EF7152','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1A66CAEB-F257-469A-B83A-DD9E07627CAF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1ADA9FBC-09D4-4881-83EA-AC9E1523B52C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1AF25799-1BAD-4C7A-A3FB-EA003A14569D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1AFAB4BD-DD15-430C-9C92-AD77974C1D67','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1B032A48-BBD5-4A56-858F-AB1AD5162FEC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1B2AB994-58AB-489E-9FA7-86ABB514C417','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1B725858-AAC5-4A03-A9F0-461F54801B94','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1B74C22E-C6A8-44B3-8561-98CEED75838F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1BAE7806-CF05-46BC-A110-ECAC9174301B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1BC7498A-90FF-424C-9C51-7B9FFF54AB8B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1BD6C3CC-526F-400C-8FDE-43CCD04FFCA6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1BFF3098-C043-4777-86AA-AF5121C6B997','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1C0CD3B8-1C4F-46E8-ABD5-71CCEB13D3F5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1C0FA9C5-4EB3-4E9A-B7CC-861B239B5FCE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1C8EFA7C-D2CD-47C1-B44B-93904800EA5B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1CAB3084-7C17-4F2E-9BF0-C163EEE7BF13','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1CF486D6-B70F-4FD2-8057-F26D3C2EC166','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1CFF6547-916F-4723-881A-2133F2D1F036','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1D009D5D-00F6-4ED5-A0ED-103800D214BA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1D159FC6-4931-440D-8C50-5311168F5A63','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1D32CCF8-9C35-4615-89DA-2A635CCB5CD0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1D8088D1-A907-4A89-9958-96E94A3C318D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1D81CBAF-FBFA-4E31-B412-C4872AA0B300','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1D8F3ACF-652F-46BF-96BB-79E6FC1462FA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1D9187BA-92EB-4C31-A427-4C7376DDC9D3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1D9226BE-3E0A-44D3-BACA-D986BAE40D35','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1DBA556D-1DF8-4BB2-882C-C2D1D251E967','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1DC4A13D-734D-4F63-B18B-C738BEC55F6B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1DD3BA0B-0AF3-491C-997F-296B613D8964','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1E15476E-6859-4A9A-9782-74C67B3A5230','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1E33E286-8AF4-46A6-ACD5-4058AD297B99','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1E34B35F-4BF2-482B-A4AC-8185F42217D9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1E433557-BB80-4D7C-9078-FAE09FA2D10C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1E510052-862F-4BA5-9EB6-088205C767DF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1E59EFAB-5CC9-4382-872A-2E3BD6935BB4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1E6D3CBE-FB1E-4932-B5EF-FD3A87ECF062','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1E85EAF3-B708-4664-8EFE-FB3BB796BF86','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1EACC681-A8CA-49EF-A13C-D184C25E1CA8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1EC82D5B-0604-4E2B-A55E-554EE33EE488','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1F0B4984-BBD0-4705-8121-EA6155DF4CC0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1F58C129-3D8F-4394-A688-070C8C80618F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1F7AD0D1-FB1E-496F-8744-59BB7122A710','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1F7E506D-DB1D-4245-9BC6-F655D6159119','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1F803727-6B35-4960-90FC-5CAD36039E3F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1F879A70-99C5-4B81-9ABE-15EEB2A23155','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1F93D530-F0A1-4236-9431-DAD61D989392','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('1FC5E371-C157-422D-B1C0-41BA96DFE329','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('202C3597-C23D-4D73-940D-1B2520783E01','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('206850A3-8256-4F8A-853B-83555DD88278','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('20D54AF9-99AD-468B-A91F-AA8CB01022F0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('20DB0AA9-CFE2-4169-AD0D-DB6D254CEA90','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('20E97622-BAC9-40D2-A409-66A02BFC3F61','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('20F8EFB7-92AE-4706-97CA-B1FA07BD26F2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2140C1B6-D991-434A-AD3B-2226E2C66D0B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2179FB01-BC34-45F4-A3ED-A1EDA83060D9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2196219A-3C6F-47CD-A100-4DEC08E71D90','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2196EEDD-5219-4BF8-97D7-BB2295CD01E2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('219A1F06-84EA-4723-91ED-3062BDC0DF20','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('21AAFF6C-CF35-4CF7-B4AC-2FA937846E3F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('21D72B18-F7F5-440C-93E4-0A3B4A83C823','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('21E50A34-19A3-4372-BC26-9025250FAD6F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('220F9B49-70F0-45DB-9614-5089689488A4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2282A697-8D7B-4967-8772-150E283E34F3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('22EBA499-EC45-4FEB-A459-CDF93D5ACB6D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('23052C92-7AB4-457C-B5C4-F7A1D3205B01','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('231B74C9-214F-45F6-8639-015F461C13B4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('232F166D-1CEB-4B7C-91DC-50515640EB77','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('23B2D802-989E-4AEF-AB8A-3DAE31A1536D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('23C6D1AC-03CF-4AB2-8278-B0A119B8ADD2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('243C86AE-F368-4419-AD0E-DE3D6B19F5E6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2462CC18-7E77-4DDE-8D16-6BA4A67A3571','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('24663E99-12A8-4422-B0A6-1B54E24CB316','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('248C875D-9541-40D3-8347-F50558773445','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('24F4DFEC-0D84-4786-8AAD-8CF06E34A4F5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('24F67905-332A-46FF-85B9-AACB8C7A357C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('24F702D1-C408-4F0C-B757-01C43897A652','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2513B685-9070-4DFA-89F8-3996D703EA27','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2541EA34-B96A-4278-A654-EB7D39715234','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2591042E-6F70-464C-BDBC-41A38B75C533','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('25CF9D9A-CFAB-49A9-8D6E-8A1BDDFC60AE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('25D6391C-D0FE-42BD-9480-44A2B452EC76','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('25DEA925-3E06-43F5-84EE-1F2B1816C295','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('25FF1B0A-F7CD-4B6E-86E3-E027F59A114B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('265BF070-F7A1-4218-A373-EC00854220D3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('267B5865-8146-4D0A-BFE0-3E818124E609','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('267E0EB1-AF56-4908-910E-719098A778E9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('26870949-C430-43DB-8C3D-CD07BC94712F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('26E64B89-A17C-4CD0-9F53-F63583C85FE4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('26F53F3B-C5D8-4692-8768-E45730140DB4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('27022E7C-C5EC-4EBB-9E3C-0FE960C5050F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('271FA4E2-31B2-4A8C-8983-D203BD6F4456','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2730AA5D-F54C-415F-A928-20BDA40CC9CB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2735DB04-E32E-490E-A7A6-ADDDC74DCA98','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('27408E31-C766-4941-99C9-46955F580B87','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2762C289-4578-4637-89AA-4EB13056154E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2765B066-829E-4865-9629-5A6F85FBB27B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2765E17E-0233-4EB5-9981-66F3713D0A61','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('278CC62B-D5A1-4B6B-999B-03A0299F0FCE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('278D1C7A-2036-45DE-9230-831CB370B2B6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('27C53DEA-F207-4249-ADDA-54EC2B49F380','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('27D2216E-F504-474F-A72F-6D219D2C4542','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('27D6C1FF-5474-4A99-8D3D-B296E7C33CC2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2804FAA4-EAF6-42B2-ABF3-C28750A39690','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('28124FD3-3762-4F33-90F9-BF1793D67FA0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2818507F-1E66-4338-A33A-130E7F719C77','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('284E05CD-283A-495E-B822-BF1CA2E5D06A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('285CDC8D-74E5-4610-B862-AD2C6F17F2E3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('285E24D1-FE10-40D1-BD54-8BE84DD45049','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2881627B-93B7-4DAC-BF5E-DEE9F714BD1D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('28B97E6D-21FC-4B3C-9F1F-CA9CC85DCB53','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('291DFB86-CC1F-4C80-B530-4C937AE683E2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('29384B5D-A567-471F-A027-76DEF9B0CE1D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('293ADFAD-9757-4CFA-ACCC-6143773AE0EE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('293F85F5-B739-4AF8-A22C-29EBA1477CE7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('29425B6A-B358-4CCB-80D7-7E069F557E26','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('29A8C494-2AFA-48D6-BC3A-B0D9E92AEEFA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('29AA737D-F70F-4459-A1D0-816C67438441','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('29C8F579-A9A5-490F-A287-8CB562CC4A19','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('29DEE598-3D1F-4BF3-BA15-376079524A1D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2A3E53C7-28BD-4835-AA81-8FBBD9FF5F6A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2A79A1CB-656F-4D64-831A-F7D3AB78DBA3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2AA88133-D89A-489E-9E75-B7C477070FC5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2ABE6AC7-EC9B-4910-95CE-4090E6E92B3D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2AEF4E62-C786-4AE1-AC91-8565C8D4E961','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2B076FFA-70AF-4C9C-8BF5-66DFCD903C3F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2B25C0C5-8E73-4D42-BEED-B706EF095F48','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2B27C167-670B-4272-A108-7231B957CA9F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2B69A800-43C6-45CF-AA3C-8BCE5628B694','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2B75A658-E7ED-413A-B8AA-B9B70A973097','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2BA96250-570D-464D-851A-B387114DF62F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2BC5050A-5151-480C-8262-79C00564770E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2C22C46E-4AAC-49A2-A11D-C59CED573213','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2C5F7887-EA4C-456E-8EE5-5476D671C4A1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2C8C2C72-2C6B-45C5-9F75-34B055B04722','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2CA98152-F110-48BF-81CF-24F2ACB27856','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2CC93C07-2DCD-44FA-B1B7-EA8233851676','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2D238AC6-BAA4-4821-A325-F9DC28F49E02','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2D614D7A-0C3C-4792-B566-EFDF0ED558E3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2D791E74-8BFC-4A73-BD30-484170550702','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2DE84D18-EA76-4B22-B6E4-D5DDC4507903','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2E0EBD99-2C83-47BA-B442-E51B14D7B5AD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2E17F8AF-D0A4-468B-B307-46FDC7219FED','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2E289387-0597-4E60-A98F-A3AAA97ED544','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2E429DA5-A2E3-4219-91E6-18E096D2C5E7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2E4A9863-512B-47F3-A485-4663F3F63B9F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2EFE46F2-0249-48F8-81AB-F8B66BCD04DE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2F120524-7E98-49DF-93FA-801A004A0E0D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2F459F3C-480F-4444-9FB6-1C0CA67AF86D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2F46E546-C0F9-49E7-B374-8D08FA05FC2E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2F606DED-15D3-49A5-9826-B3465EF760CC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2F774295-EAA2-45BA-A20C-DA37488DF072','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2F7E6899-1275-412A-96BC-EF0030742B07','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2FDCBFBB-8A74-44ED-BC6C-A5B99585CAF5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('2FFD04C2-7B97-4DE5-80EE-40C995BE6C84','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('30749854-9FE1-4899-AB08-6AC4C4FAA3FD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('30769959-7579-4B95-97E1-0851B971C3B6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('30AB58C6-7F07-4946-B451-A4FD1839B3C4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('30CF19B7-445C-4DAC-9C30-97D333B56B56','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('30E79DBC-4009-42A2-B5F6-D43E2BACD351','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('31119E51-F878-4403-9A7C-3815D34250D6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('31234749-9811-4426-B9EE-5757D5CD52B2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('312BE086-BF1C-4DEA-A50E-E9B092FB1F57','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('313E35E4-B6C6-492A-8606-B5BC4725C044','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3151AE13-9E68-419B-841C-F54898FA8A80','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('317DB6AA-A718-454C-9B36-B09220AE997A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3195C0DF-0C67-43D9-B25D-3F45C283A33E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('31EA7D76-17D7-4A77-89DB-A05ADFE132E3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('31F2AAE2-4512-45DE-B5D0-D5872F7416FF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('32182E4A-BA9F-462B-8C78-2FAB258A38BE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('323A7EAA-B84D-41C6-9C50-3DD4409AEFC4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('32506EFB-2246-413A-BCFB-3F60AD8BF4CA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('33025D89-7639-4C54-836E-80D213C2FDBA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3310A655-79D6-4F06-8575-CDBFA8B6140C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('33359606-5264-4136-BC65-B69204212281','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3359E2C3-F3BB-4DC6-B5A8-0D76CA7DDDC1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('336B269E-24E7-434C-B5BA-138AFC288E22','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('33B1FE8F-6B08-4A8E-AA4D-7AA05317A28B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('343A48B9-6CF0-4DB9-9D19-4ABC76415552','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('344A8AA4-4D68-4D42-97AF-817BA367B573','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('344BD034-FC04-4972-934B-06FB761AE035','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('345A5C0B-E367-4E7E-B636-D76803F845C0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('347C3941-90E9-4AAE-B856-400E8E96CB55','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('347F1E1F-2227-4915-919C-D50B3B6A396D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('348236AB-61AA-4AEF-9317-EEB5DB0DA94D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('34ADFBC4-B74B-493F-B287-B26905C5BBB6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('34B908E4-35E8-48E5-AD94-ED9AA26807A2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('34EC0A97-BACB-43D2-835B-9F58A03EB7FE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3519BA69-B388-40B8-BA76-3FD7C61EFDCA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('352FFC4F-228B-4E2A-9000-D9684DC22A91','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3552B274-CD85-4A9C-8FFB-C4631378F945','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('35FC11AC-6CD3-46F5-87C1-C6A641C27C8E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3605C912-E724-4A96-A788-061DCB789EBD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('360B2074-4199-47A2-9F41-5AD5A4F43697','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3617EA7F-6283-4F6F-87B9-5D8F44D184FC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('36395B3B-6CBD-41B4-AD47-447CAAD44C62','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3668DB19-E027-418B-8A69-40F350AECB48','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('366D566D-64C7-49C4-BFF9-E3D5893F8361','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3686CB60-B439-48DE-9A20-A901D3D106EF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('36BBBA6E-22AC-442E-814C-34B80BB30336','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3720ADDC-D268-46D8-8E41-33B2AD7452F2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('373F0FC4-39E2-4D67-A83D-29B227988D20','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('37422823-C6FD-4FE9-9183-ADF9486A5300','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('375ED4F6-6711-4C6F-B4F5-F81CE7BE38B3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('376B9474-4B09-4DD8-966A-B28F68BCE336','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('38196997-8BA3-47FF-AEBA-2E7D2768FB53','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3865797C-3C5F-4B53-8CD1-BAE975961079','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3875914E-AE66-46D0-AD74-245F5E8798F0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('38E306FA-B1A5-40AD-8172-7548F88DF576','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('39157620-8BD4-4558-BEF5-E4DA6F8EE46C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3971DD8E-FFB0-4B35-81F9-771591DFE3FD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3973FB5C-C02E-4C24-82EC-D3694EAF1315','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3A6B4CEA-3C84-4F1E-8CF8-BB400781D54F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3A740183-71C7-4C21-831F-37550AEE36CB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3A918CB6-1898-4399-807C-F49CDEF00975','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3A9C4359-DAAE-401F-B7CB-0CD1DA4B12B1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3AA87D47-4FA0-4F39-B42A-2DB3697AF2C5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3AAE03BC-7CBD-470C-8555-909A0014FB29','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3ACEB367-593C-4533-A6DF-349F7D2A44AD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3B0DAADA-B568-4544-B3DC-523599973A10','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3B1192B4-B6F1-47C3-980A-12583CE0BBC3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3B3B62B9-3560-46C5-9A63-39735B52E3F9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3B3F678A-9598-481A-8793-85037B8978E2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3BAF7333-3E36-482B-94AC-5C12A4416C8C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3BBA8837-0C76-476B-A88E-599C442FF03F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3BC8BA2F-BD88-480E-85EB-C3BB6723CDED','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3BD0C628-A17D-4DC6-BB46-D53979A12B94','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3BEA579A-C065-4A5E-9DBA-40F6E9FA0655','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3C100D34-8B32-4F79-A9C7-C5DFD61FED96','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3C29E978-91DB-4C6C-A0F4-ACB1F78202E7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3C2B8534-0079-4767-8491-119CACD53624','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3C2D01FF-CCBC-47EF-A891-003F79E7D1DF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3C71BA0C-2D7A-4C18-8BD0-5890FC86EBB9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3C97187B-E46B-47E0-82A9-0EA7C4E01D37','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3C9B93EC-5EB2-4732-B4B1-07CAB276718A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3CBFD04B-4AD5-4F8B-9FF5-3D8858619D31','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3CC3E0D2-A914-4458-AD9C-41D1E7F1C8F8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3CC7AC93-B17D-4556-9D6A-9B8264578BEB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3CDF1768-965C-4263-A5F7-46E22F121180','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3CF247BE-BDDD-46A8-9E7A-00D2E2AAE797','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3CFB617F-B8AC-43FF-A221-2696AB59C686','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3D1ADAB8-CD9D-4A09-AEC4-4F81E985B8FC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3DA75467-FB04-40EC-A5EB-BE925DE9C54E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3DB09E0F-DA22-40B5-9A73-9EABDC0FEA60','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3DB9DD31-949B-4D10-9074-21CEE218117D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3DC5D502-ED47-45D3-9613-0F442FCCF0DF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3DEA85CE-A261-470D-B7FC-079740127B83','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3E05236E-4091-4B9E-AD5D-D44A1E7B24B5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3E313E94-417E-40A5-AEED-746EBFECED07','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3E67F820-8F63-452F-A9EE-93275189DE63','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3E7CC271-F59A-4917-8464-8E63955C2638','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3E8DFC9D-63DB-4581-BF28-3C62604F2594','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3E9DA0A7-FD0B-4662-90D1-3A149C382281','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3EB417F6-277F-41C2-9A67-61A2BBCD223A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3EC9AB04-0341-4744-8C10-362645543FB1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3F25B5BE-841A-4523-9274-C73847A16C76','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3F50C97B-F1BB-4310-9ABB-3778E412CF1E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3F5C01A5-E7A4-4717-A94B-B55373CD9884','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3F7020FA-CAEA-4FBB-A543-4605F51AC1D1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3FE3752D-5FAE-4C4C-8A13-A7F01FE6990C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3FE50B93-B248-4117-988A-1CE5AF38CE8C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('3FE63E4E-3441-4650-B101-702E60A06EED','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4012B03A-5C17-456D-973C-7B0DFB4404EC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('401460BD-AF9B-42AE-B336-137DC42E8037','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('40581EF1-1773-45E7-8C74-F3CE11CF20D6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('405ECB05-3F18-416C-9D1C-F3AB128DA177','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4074495A-C917-45C2-BD08-9706D4C703C0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4093A28E-6AE9-457D-A584-523E6C8235E1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('409C49F0-C7B7-41EB-A3FB-2E5CFF1C337B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('40A23B92-977E-48CC-8505-C7B720837051','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('41158A2F-8EBD-4A68-A8BC-20D52B4F2A61','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('414904C7-EC21-4303-8460-FFDDD86DA698','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('41685EC2-1BD1-4E94-BA11-9B8DAE795D6F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('41A1196B-3C3D-40EE-AB65-7373569E82C8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('41B636A7-07BA-49BB-AF9A-398BDFFB140C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('41DEB695-9778-4F82-A987-5BD0B31EF72B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('41EDB30E-82A0-4CD3-AE93-70F6A324CD3D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('421A7101-B29F-4E0B-9C6D-8892607B3ABF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('421E73C1-7505-4DD5-97FA-DD8F40ED2BAA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('424F28EE-903F-4AC6-A738-A727D8C3020B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4279AC3D-07E8-4024-B340-D01CF3752734','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4287B9D1-8BBA-44C7-A620-E372FC260331','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('42A1765D-DDC0-4FF5-BAAC-254A39F850A4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('42BB8CF0-2F16-4BF6-A930-83F6196A1CBE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('434D37FD-E81E-4555-9FBF-D5C91970117F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4356852F-DB95-4443-90C8-16D2B9F4A7DC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('435B40E4-28C0-473F-9A3D-A06C8494352A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4360D162-28E8-488B-987B-B5697F709873','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('437ACB4A-9170-4FC7-A208-A3C83F3B3F50','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('43835C96-5D0C-4D18-9D6B-7C6F8F8684ED','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('438B00FC-F66F-4228-B6B3-F512EB1A6B64','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('438C1B50-23A5-49B3-BE29-54364EC51E4D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('43903A23-39D2-4959-AF3D-9B218B40DBA9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('43B23861-49A4-4727-B0DE-8CD705B492A7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('43B6CC02-89DC-423C-AD47-EFC56D171475','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('43F86327-134C-4972-80B7-F6EFF62C6AE8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('448B3E5D-C214-4BDE-B894-0C121E77E11A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('448DB98F-773A-4867-9BAE-7879973561D7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('44B70DF3-34D2-4544-8B5A-43BC9A18AA1D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('44BC8DF8-9078-4F11-9509-BAA916A74FDC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('44BE92EE-D6A8-4802-A8D4-D620283BF1C5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('44D1E743-E104-4398-AF6B-F643B96FBB69','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('44EC406E-578A-4AE5-8F68-212ED7C78317','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('44EE2246-F530-4B25-95B6-E65E29736C68','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4559FC43-FB6F-4E8D-B8CC-79B2E8E8F863','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4560A227-E439-4214-BAEC-87F3C0B1CE37','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4568BA79-6443-4AD6-BFB3-3F459E27E39F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4591D8CC-3B72-4D30-A34F-6E9F5F35F036','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('45F37611-B699-413B-9991-99C9FF887868','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('46116750-943B-4BBB-9B4C-61544ECE98E2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('464AD573-D5F4-42BE-A739-32ABD8FFB703','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('46525350-4AA4-41FE-9ACC-76F64C827860','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('46675CA8-3ECE-4FA9-BF6D-969E723EC34E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('468476E1-724C-438A-B790-EFE539A556A0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('469DA28E-0F52-4A6C-B9E0-CD8D2C40B61F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('470161E6-6552-44C4-AEFA-0F5C26EA7B05','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('47029E92-692C-45CB-B184-F9AD306A5009','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('47785A42-673F-4024-98C7-C9C1CAA0E308','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4781FB67-B1BD-403D-8AF2-78113001A2BD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('47B12E97-3233-4C06-8875-6BE57163DD4F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('47CB46DB-493E-4FD7-8963-4D9A0322A0A9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('480B4436-C435-4461-B023-CDD476E79E86','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('48726973-5DCD-4C8E-B1ED-84F6485D1A9D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4872C009-BA79-4EB4-8BBE-5C68439452E9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('48736C21-68CE-4CA9-BD9F-07530B36A9A2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('48A475D8-024D-4CC9-AFB9-82196CAFD972','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('49114D93-6B41-4DE4-8DCE-71EF485363D7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4992AFC2-48E6-4772-BF33-E7275E02DAB3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('499F5D14-A539-42A7-BAE8-C37D9B0EEB6F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('49F6C41F-1FF2-449D-ACA7-26DAD72A4739','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4AA3E74F-F9D8-4741-85FF-5023A39D57D8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4AA598DD-648A-4A55-8B33-F031CAEA4852','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4AB8E0CE-54C5-413C-B0C5-D4982B9AC20B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4AC5E351-92FF-43CC-A314-89DA9B4615F7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4ADD2493-0024-4C6E-868A-67D9193538EB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4B21C2A1-CCFF-43E2-881F-27F1F627A7A4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4B357AE2-14F4-4ACA-9A79-7209446DCDFA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4B8B900A-1222-4EE3-9548-11751633F0DA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4BCB1B6F-64B0-4444-9B49-7D5F4554D93E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4C42D024-8136-46CE-A5BB-13B831AC14F0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4C53DA87-F401-4268-9FDD-2289D8B05B4C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4C54BCD9-5E91-4484-9A9A-3F2ABA9FC370','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4C666B71-82BA-431F-82DF-DD77535D4E43','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4C9C89F3-9FB5-4442-B6AF-10B2EE820CD6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4CF3DC92-682A-4FEC-A57A-6415134066C1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4D042722-481D-4238-817E-E0CAA2C6F131','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4D2A6A17-C1FF-4DA7-B285-48DC4975AA66','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4D2E8A73-61EF-4C93-9E7C-8D120F03642C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4D685FE1-5128-4D0B-96EB-623AB6219CF0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4D72F7BD-014A-4756-88C3-32B8076FD744','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4D83A708-6C4C-4665-9E88-C7A26C72EFE1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4DA7A279-FDCC-4702-BA56-287DE4AA3667','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4DAA4BCB-6D3C-40EB-8DB5-62AFD7EC4A74','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4DB12791-B074-420B-9E2F-3287D9BCBC73','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4DDC53A5-C857-4C03-BBC7-0C36EEC7B62D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4DE3C4C5-FC2A-4C5C-9BE6-BF61E7D79A7C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4DF3BA63-A03B-4A41-A7CA-35AC6E905B64','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4E03314E-189C-4593-B37C-A6379319DB1F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4E1206CD-EA57-4353-8827-621EAD904CB8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4E1F0E38-3B20-4403-8F37-7065400BF0AD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4E265E62-5353-48C2-8E22-EA3CF06C115E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4E2E3C3B-6954-400F-98B9-0FE88E842F4E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4E33F4D0-A93B-4218-BE97-F2A45D45A0C1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4E5F6A33-A53F-48F7-9498-D2BB158B34A3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4E63D547-6AC5-49B6-8A73-9ADC2B8719CF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4E801B3F-AE61-4C0C-B773-0799CEEF6DBF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4E83CCCA-A5EB-4ECB-A762-7BE532007E92','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4E8A7311-914C-4005-8AE4-31768B9F7D18','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4EA5F912-C611-41CC-828F-2BAFD9BAAC5F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4F1FC2B5-D1FA-4C2E-AF89-1A75AB13D4AA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4F594D81-E16C-41FB-BEF4-064BFE833AAD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4FA6309F-60B0-4C72-8C53-38F07B3A2EC3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4FF15BD5-F890-4E88-A2BD-C16A2A7FA12E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('4FF3B26B-D3A3-4A97-BF29-FD37E9E7A16C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5027532C-308E-4731-9574-3352DDF2F3D2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('50B96CCA-4084-42E3-A18D-0C102D4BB370','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('50FDBA97-2502-4FFA-BB0E-A4AFE87F5428','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('512359D2-DFD1-40D4-99CB-AACB4785932E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('51329163-D04C-468E-B121-A9046A06E8E5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5154F1B6-AAB6-4C7E-94A0-1C9A62F652E7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5190D449-B157-4898-9AF3-E728A119B94D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5199292D-C5B2-4302-929B-2FACBCD9C8C6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('52046ABE-46AA-4851-9770-68FECE812634','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('521BF4CA-E101-40AA-BA5D-355D569E209A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('52B29966-D6CC-4874-B4CD-AA677D70ADE3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('52C435BF-2B1C-4347-96A3-4617B01CFF86','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('52F4BCD3-2694-4619-AD22-6341E2E64E38','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('533270AB-E13E-4B98-81DC-98F20A3C509C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('535233F6-4F34-4CDF-807D-A51686176B08','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5353ED75-E430-4F7F-9F7A-1156AF25A869','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('535E5983-62CE-40EA-BE46-B21452152E5E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('537CDE85-AD28-46A3-A56B-5D603DCEF8E2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('53A00982-882A-4B4F-B26F-1B914694E2BF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('53AAF9A2-6BDF-43C3-B294-3E2F01066B2B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('53BB9AC0-9EE7-479F-AF54-CCA8D1299251','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('53BD9DF8-309D-4424-ABD3-0C77E2A3EBA8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('53C150DA-7A90-4B8C-8485-50D92AF7D83B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('53D0C1B9-95A3-4FDE-9D45-6F2A8838DC88','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('53E658C2-1D61-43C2-9DFE-358E84F93564','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('545109CA-EA37-49B3-8C98-DD8AFCE187F7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5451E431-EC7C-4267-AFE7-2E61F18280BC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5486F706-7463-417B-8800-10DC920BBA2C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('54920972-ECC6-44C4-A28C-0DA2B466BA34','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('54FFC0B5-AC72-4552-AFBD-A93772525797','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('55339A98-076D-47EC-8619-0530FDB2F5A6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('553BD6EC-B5FA-4FCA-A032-D541CB0DF080','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('55671D9C-1E67-4DC8-B32D-EC753D291624','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('55D196C1-D764-4012-BDD7-2D1ED4EE4E11','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('55F10F4A-2B63-46BD-A4DA-686BE1765EE1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('55F4E78A-DB91-4E95-A47D-FE05161EBA52','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('55FE4E61-011A-4E36-AA5B-F3AE4A814C71','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('561D015A-FA1A-491D-AC7E-CFBAA135DEAE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('56442717-ADFA-4DD7-BA0E-80340E6C2E0E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('56825763-D64E-4A33-B071-43DA7C0C119C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('56B5189B-485D-4E17-8C8F-550096FEADBC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('56C5F0B8-8EBA-48C9-86C8-E2F004F4A909','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('572C3C5F-BA44-44C8-AAF2-7487F403700A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5730CF76-D443-4391-B16E-61C29B44A740','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('57A6DC73-92B0-4F91-808F-4CD932DB99F1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('57FD6B3C-8375-4BCC-B8C5-79BC8716D2BB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('58413A49-4D84-4FFA-A557-58C566BE0961','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5880C141-4764-4088-869D-B67B542D0D55','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('58BA8DF9-CFC4-402E-8399-7EB719DAC3E2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('58E1D4C5-A190-4D82-BB13-397D98724C94','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5906A7FA-DE0D-4D21-B765-D5B1E4145BC4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('59446E2E-13DC-45D4-99B4-8A9AAEE63AE5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('59B4AC45-F8EC-45B6-B986-B68C8367FF32','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('59FCD37C-429E-4F3E-B793-6E2E85209ACF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5A23A9C0-E09F-4DFC-AB4D-17448B8BA2AA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5A39283A-0054-423D-9B21-C28AF2656670','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5A396923-C890-466F-94FF-CFDC6DD67BA7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5A3BEBDB-7A51-4C97-8880-612E4629D349','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5A5E15F1-1DD6-4890-A29C-AF090F812673','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5A75A1A3-04B9-4148-895D-9080FD27EFAE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5AE59506-7848-4047-B55A-5C127C0019FA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5B026A6A-B8ED-418F-947D-BE4F3639D295','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5B0B95D2-D0A7-4772-95D2-B0825BAD49E2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5B35C828-7D40-4A9B-A284-50E46FE4DEB3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5B45F2EC-A4CE-4643-B150-49A7C1B5AF32','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5B4C1F51-EE3A-4E51-ABCC-DE4EB98F3728','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5B5EACFB-39EA-4929-952E-24F7BEA4678E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5B6C0EA9-23C9-402C-85F2-FD90724B8E84','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5B7854EE-172A-4311-A1BC-AF7226D82F55','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5B7F614E-213D-4F6A-BBFD-5FD8904933EE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5BC287BC-5C5D-4D90-9B54-4BC35ECFD32D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5BC87FFE-D967-44E3-B5F3-2E383558828B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5BFB8BD6-9D83-49E4-A81F-D83F55B13634','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5C29F266-F192-4C7D-B957-1297C1610E7F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5C66A077-4588-4004-BDB3-DAAD58B2B27F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5C939D69-DD29-4C19-8615-ADEB4EE9DD35','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5C93D1E0-50CD-43BF-B803-B881F662F85F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5CB55441-E0D8-443A-8718-DDE208CE3D9F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5CDCA7E1-6CFF-4CDC-B955-B7E056B987EA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5CEFEE27-75FF-43FA-81E6-F34CAB25F7C4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5D07D696-B823-45D4-BB07-5D2D398FA3D1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5D293F8C-A938-4B3D-9B1F-48050C6245EF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5D30A498-D2FC-45EB-AEF3-AD58DF2511C1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5D3707DB-A068-4478-AE6B-47032311BE38','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5D41D141-ED2E-436F-B517-07CAC410284E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5D7631C2-47EF-4C49-B0EA-6AF370D9E702','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5D77E911-DB95-4A6C-926B-4A7570384AE9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5DC05D7C-C8AD-43D5-A7E6-3DE11F0084AC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5DEDBD42-1DF0-43BC-BD45-0FD2E6E8290B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5E0FE35A-3DDB-49B6-8AF6-EAAE8AC319D8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5E31CA01-836C-4197-82E4-2307314FB132','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5E36D3C2-06DB-47CB-83F0-FCF13106184F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5E423E40-8929-42B8-AF60-DB627C15F6DB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5E469471-0A27-4030-A570-C1D34902DE1A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5E893A9F-8B77-4217-BA6F-7BD4B2518178','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5E9ED04C-FF17-40FE-B3BF-2313699C24B2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5EC241C6-11A3-4082-9C51-28E5383342F0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5EEC4BC4-FE1D-4A19-9A03-8B6D3BDF3631','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5EFC0484-349E-45E7-AA91-540E833C88CB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5F3CAC38-29B8-44D1-9DF1-F03B5E1576CC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5F582F82-1841-4055-AFF3-DF33230C60A1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5F8E7A26-0FFE-4275-82AF-D4EE952BB724','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5FB9A27D-FECB-4135-B68F-045EFABC1EC8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5FD7E7F1-8E1D-4DDF-B284-55E86155C508','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('5FFE9E1F-DAC8-4795-831E-37EA229875EB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('60164A6C-0A2F-41B6-A8A9-26C180D38F44','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('605F1178-C403-4315-8710-CDD1B2C59AC6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6060B209-770D-4B2E-A3D5-7A0A6B4C098E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('60836323-EB00-4968-8597-BF4049A1E163','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('60841F88-17F4-4386-823A-6820D58E0C8D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('60BC2D76-F896-4B82-81B5-E400A0784E2E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('60C130B0-48E0-46CB-A44A-37CC478E5ED3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('60F0EBCF-B3AD-42AD-B2D6-35F067D3720A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6109A621-1F75-4059-80E0-3EAFF6E0CE00','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('610E2C8D-FE2A-429A-B4FE-6C7BCD172369','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6129CF93-71FB-45CE-A552-63492FC8F6FD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('61360870-DA49-4ED7-B46E-64EB0B46217E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('61756CED-802A-492F-B9E0-027A3484CBBD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('617FCDE9-92A0-4490-A0CC-C6C60B051FD1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('61BE742E-4F62-469F-BF84-7775423CE776','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('61C44375-6B77-4506-8B55-94AB750A273E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('61C4AFC2-1D44-48A8-A953-FD756CB28F53','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('61F4DEB0-048E-4B57-B9E1-560966553A33','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('621ABB22-1A84-498C-B95C-44ADAB77DC16','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('62423826-8B6C-4731-B7D5-7D8466CA7005','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6292DBA3-0899-482E-AC61-4B1A2D46FCD3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('629E8088-7FE4-45E9-AF15-5506BEA138A3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('631686F0-EB21-410A-ACFF-08191C2EB6AF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('63570474-D3EA-402E-BAAE-79E25FEC51C4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6369B1CB-956D-4764-B06C-62BDD1B17DFC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('638EE026-76F9-47F0-BD75-BB616C8CA6CA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('63C4F1AF-0E0A-4726-8816-7D97640888CF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('63CA08F2-F68F-41FB-9C05-E767175B340B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('63F89CD0-F911-4C32-9B79-D1AC59BE3418','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('63F9E4CF-9BB1-40C3-9D78-65E4E8D0EFA5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('641DF930-0F32-45FE-AE3D-1A66163C3023','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6475F6BC-5134-4E51-A578-3C43FE404F14','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('647C6159-6800-4A46-87FD-469106174E58','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('649B7330-6A3D-4588-AC56-D04402E5318B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('64CE8EDB-11BD-449A-BDDC-1C5D8C1AAF21','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('64DE9E14-DEE2-4EDC-A5EA-807AA411DF22','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('64DF5BA2-4287-429F-B589-7F0AFBEB6999','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('64FF3AB3-43A6-460D-9FFB-00DB6B00023C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('65039475-BB74-4F8B-BAED-AA45DC857A11','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('652FC95D-916C-4CF7-AE0B-F1615B54ACC5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('653A7F8B-2D2B-4C49-A665-9ECCAA8B7AEB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('65415343-3971-4A41-A9AB-A53841FE4D5A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('65508552-92F0-40BB-B780-861DC247E862','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('65921FC9-65CE-4CCF-88E4-EFAA56D81FB7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('65DDAB8E-B44D-4B5C-9117-CC7E84861256','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('65FF955D-3C0B-4155-A8AF-09BB32957ED9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('66244221-0E33-47F2-8FFB-00324838186D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6657448C-AAA5-458D-9D5D-FB09DE7A22A2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('66589B21-CEB4-4552-AA19-D0AD573D3D93','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('666CBCEC-0D41-494A-AD0E-E771CE55C3DC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('667217B4-80AD-4A0F-AF61-6383FAE52CA3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('66A53897-F642-4FB1-B67D-011C436201C6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('66B637FD-2AE6-4A24-9DE3-907FB007F506','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('66F53858-7DCE-4B90-81DF-56A03DB3D8D8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('66F6F492-C6D3-4455-B5B5-FB30DBC8B3A1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6701DF12-9775-4270-9FFB-D51A33659CB7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6727E4D0-81B4-4BFD-889D-FF8E0EC43DD7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6804E7D4-275A-4E89-910B-3752D698B098','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6875CB47-3B3E-4603-8B0B-0A0207E6F0ED','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('68CD42A3-D892-4780-8FC1-AD4290026BEA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('69144D92-0BC4-4DDF-B64C-5A1E1DFE715F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6916989A-1F3D-4657-962D-C54801ACA04E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('694E6D0F-87E6-4E9E-911F-17DD5361EF2C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('697937C0-4E3D-4961-8579-07B7E540821E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('69808091-D8DA-4FEA-A97B-30EEC587E235','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('699A89A2-585C-44D8-8D20-138E7E025402','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('69CD6955-C297-4E13-9DFE-EFDBDF4033FD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('69D94177-8D78-4316-BC45-70F0A2425ACD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('69F61D9D-AB28-4F37-B521-EF2A0A25FF23','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6A0C264D-E3C5-46DF-B2C6-134FA3E52E3C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6A1120CF-EEFB-488B-BDF4-4D25739BDBED','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6A2EF0B4-FF9D-4343-AB3D-3F655EFCE454','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6A3E75A2-CA12-4FE1-815B-BECC067162A3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6A47B933-E04A-4E71-86B2-C05FE7489860','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6A7F9730-799F-4025-9874-C396F500B2DB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6A9BF8B3-4574-4AD1-B5C2-3B613971803C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6AAB3BAC-6F38-4498-89FB-7715B1582B32','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6B2E3FAE-63F8-4CBF-9EF0-89886E792253','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6B467876-C621-4EC4-9DDF-783A4671E5B2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6B501931-A479-4D96-8B7E-E7091F95FBB1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6BB54270-567F-4DAF-A762-845876ECDEDD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6BDDDDEE-B257-47BF-ABA3-D7FA887A7F57','8E79BA23-E568-423F-80F3-AF60C33DC7EB');
INSERT INTO `usersinroles` (`UserId`,`RoleId`) VALUES 
 ('6C15D8F6-673A-434A-8ECE-3301E2F49259','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6C169371-D531-439B-A9FC-D94547E0CAB6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6C16AD91-C780-49EB-B7D3-51C335DB8A6F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6C2B9635-F02F-476A-8494-A0FA9E69985F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6C2F2DDE-4C53-4848-AB45-432B3C642B34','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6C4B3CCF-302A-4780-82D1-550B4132FDA4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6C58E278-A003-442B-BDEF-B6AED6C8EA19','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6CB2FF8F-C7CC-44D8-B260-D8C1F0A442DC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6CB89CC3-61FF-4D6B-8947-BAF8846A20E9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6CD45FAD-B927-4E67-8CF0-B5D686B6AADF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6D086C1B-98B3-45B4-B6DF-E2182E4E20FE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6D73170F-EA3D-457A-8D81-54C96A32C25D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6DB409BE-9426-4C68-91F9-BF12B4A49903','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6EA25E42-D0C9-4457-B165-1E5ED8ADC06B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6EB32DF0-000F-4544-AB48-D585B7AB56AE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6EF9C09B-6169-42FF-AFB4-A48D075A1B08','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6F09F436-A3ED-4728-8569-2F3FA9A47FEF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6F0BC652-9C47-4AC7-896E-4ED497706CCF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6F13626E-6B29-40C3-98F5-1F347111DFCD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6F31C2FB-FE9E-4456-99FA-E21047E295C4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6F36BA71-A029-4A35-B317-C8F699BBE794','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6F462A74-2264-43C1-8F6D-B1134DB74CEE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6F4A7E51-6D14-4250-ACCC-3D7D1C018583','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6F4AAC29-5195-432E-B4FE-AB498A22E1D5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6F6953EE-7588-4D55-AFD4-DAAEEF163774','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6F8D400A-83ED-4C90-984E-B772CC5D23B7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6FAD5F53-2E1A-4C50-A2B9-FC6498FE6F08','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6FAFF0C0-C7F8-4FB0-964B-EA22359FBBAB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6FD16CB5-B323-4EE8-91B1-13206E020820','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('6FD5F163-C9A6-45C1-A321-9262A70A8E9E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('703E3999-4D31-4727-8C93-92AF07D36240','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7079BC1D-DFCC-44A9-95ED-3B733C36EC1F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('70880B8C-62BB-4520-8702-EB39AEA8531D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('708D94CA-AA15-48B4-8A6B-D677FD430F7D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('709CA413-2FA1-4676-8942-9CB1643F030C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('70AFB855-4527-48A5-89EE-14E30FAF0446','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('70BF0A23-0531-4718-AEE8-6BB0FF7DE570','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('70C48FE8-A63E-4CD9-B8B5-E55CE4DA964D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('70CAE546-81C4-4979-AA3B-FAAEF1B9391D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('70D17478-C402-432A-83CF-48855196982C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('70EB232E-D49C-41C2-903E-A29BB928FDB6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('710D9839-91B1-459B-B0E5-52F13DE51E01','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('710E624A-F90C-42D0-8ABD-E9B586F9C9A6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('710EE539-445C-4F64-A140-1C9CF7B7D135','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('71615946-5D18-4273-A453-015FED7A92DB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7162DDB6-A694-4FEB-994B-6579CAF8BB40','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7197A20A-D08D-4A06-B0CA-1383CCD4A4B2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('724CE0BD-0F4D-471C-A376-7F38502548BC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7253CBAE-4E3E-4C8F-A1BC-102E01A72CD1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('73274D96-6DE2-4416-AF61-C47D771B7D55','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('733983C4-BAA2-47DD-9A68-791028437EBD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('733D494C-2749-4A0C-B82A-3040ED6114A4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('73560DCC-FAFD-4F7A-94AA-ED23C777715D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7399078A-E540-46B3-AB5B-DE30419F9F76','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('739A461E-FC6F-4615-AD22-F25BFBBA257E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('73A1AE0F-DD5C-43C5-B82F-F351ACA4F840','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('73A89922-B17D-4787-BCB9-081EA6905EE8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('73B17257-D551-452B-80F8-E16629916E63','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('73B9E236-EF49-466F-81F9-9FC43A322C25','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('73BB10A7-F22C-4806-89AC-08F2528D58AA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('73E53186-8045-4225-A750-BD0BA744F93B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('740EDB1A-0B41-4356-AB44-29579AA21773','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('74208D9F-6C26-485E-B845-C88D779B82D3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7449E04D-1527-43A4-BB7F-3C68F16E69EF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('745312AE-C2A8-457E-9EE6-7B11AD8ACF5C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('747D4F91-B02D-47E1-B10E-3ECF190F4CCD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('74BC46CD-A993-43B0-8060-9BF1AF9D9E6D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('74BFF41E-2833-42C0-8090-4346F683AD42','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('74C72EFD-1FAE-4E6E-BE70-0CD47026D443','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('75059BD3-1A52-4735-8243-544E1681B68A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('75224524-2A10-4EB6-A15E-C4B02D9C860E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7525A8CD-C0D8-4A20-9470-2D0A2616870A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('75561728-773F-427A-A684-19830A267FF0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('756DEAC0-EE89-489F-B2E1-DA0892851FBA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('75A394D8-D92C-487A-BBCF-7A2B2D24CA3D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('75B7E991-F82D-406F-8F01-08ABC2E2DA8E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('75E159B8-8EE0-447A-92BF-B48893B66279','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('75F3B955-CEDB-4BE5-928B-5234433B0398','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('76195C16-D997-4CDE-9AE7-304CBD58619E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('764227FE-83DD-4DAF-B629-4E64F997525D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('76452DC2-6185-4BC5-8294-3BE322AD15CD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('76D3A725-4C51-404F-8731-0DC61AC3F2B3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('76E45BC1-4753-4454-BAEE-146229CD23CD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('76F63DD4-E9E2-472E-B903-84548E7F2EAD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('77383A8A-A10D-4B95-8262-0A40F5E34008','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7743FAEA-EC12-471B-ABCD-7183B2866ECC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7750F5C3-A56D-476C-A591-0221EBDE225E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('775D285A-5DF3-4259-861D-88F4954C9C50','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('77841B29-846C-454F-8E89-6CDD8281C63A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('778708B2-274C-4D8E-B615-601A274FBB09','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('77A4C91C-F408-4CDD-ADB5-C4A3B87ACAB3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('77B3F5FD-55A0-4C74-80AE-5A81E4B823F6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('77CA8119-68C3-44CA-8A7B-C8ABE4D7C37F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('77ECE676-96D2-4650-8F36-4A4ADA0A63C2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('77FBCC25-AE21-4DEC-8F44-EFA4B4AE14B3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('78089ACC-12ED-43D2-BD02-7FAF56B047F8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('780CCBF6-58A1-400E-917F-9B61A05A41E0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7865DC04-656A-43B7-8478-78EA91270A04','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('788C03E6-F505-4649-AA03-B524B892AD3A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('78BB80C9-68FD-4238-9C8E-15F9C4816561','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('78BEEA92-A739-45B9-AD29-5198FA52AF16','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('78EAFD4F-172D-417D-813F-BD601A46CDE8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7928E6D4-486C-4442-946F-0BFB93C96351','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('794CCE30-52A9-48B1-BB73-8253EF9ACB26','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7A2ED3F9-F1AC-4455-A253-F464C5DB6C29','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7A3159E8-EA93-4243-A46A-7EBF2BFAADEA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7A44454E-C2BE-417C-84E5-E15B61604009','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7A8A985F-560A-4A43-A1EF-B47319638FA7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7A9985F4-898C-4AAF-80D4-C700486B1AA8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7AA92850-C9AA-482B-8EEB-DA1D6F42341C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7AAE0A31-45A8-4C62-B9FD-2CB4824BD2DF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7AC09464-99EE-4A18-825D-EFD79196C508','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7AE544BA-0555-4929-A8C4-4F30A37A3CD1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7B1684A9-8256-4063-B3E6-7BCC2490E638','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7B23B2E3-A000-446F-8B24-8C5E6A408696','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7B399A81-67AF-4657-ADFE-06DB484D9778','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7B564C29-63C1-4072-BAF6-4FDF61E02F5C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7B7F2612-3B8D-4965-A6E5-0AFACBCA9364','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7B884271-EAFD-4447-8B1C-8F139F53E359','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7B88FB57-8A19-41C9-96A9-AAF2867A8F85','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7BD20155-A223-4083-B5D0-615BB748D8D2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7C1110BB-7C9D-4DDC-8AD7-EB8FEC565665','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7C3ADCB2-50BE-4BD0-8535-9110DB6FEDE9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7C681322-4EE0-47BA-8B85-DAADBCD7626A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7C909CD1-7838-43C1-A4B1-97D9979CACA9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7CA3EF7A-8D68-4C6B-A056-CBE35C35A326','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7CACA095-AE59-4E2C-8688-983764C3A9C8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7CDEFDC1-256E-48F8-8FF1-867594547F7B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7D55ED76-1D5E-40C2-8F22-4C45156E12A4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7D8290E8-8FE1-4548-9B28-458F2B665A78','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7DC642DC-E61D-4C9E-8322-FE480E6CAFCE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7DC8A366-72A5-45A2-B452-8E57A615306F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7E344D54-476F-45A1-B3B8-7D0C2A04DFCA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7E37C54C-82D6-43EC-8EE3-A61114996DB0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7E58BF30-44CA-49FF-B3D2-10944271E69B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7E6A8B7E-0E73-4102-B7D9-0090AB5DA3A5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7EE1851D-74EA-43CA-9E27-08B3EFF3C0CD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7F171C75-F13D-4D37-B0A7-02B26CE36E91','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7F42A8CE-CD8A-416D-8D9A-D1DC2D35E5AE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7F44250B-E356-48B6-A9AB-B3091324A426','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7FA0C93F-F53A-4D07-9617-F472EA38BEA0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7FB0EB53-9C93-477C-9850-2F0F524AD0FD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('7FDA8F18-DD59-4952-9B9B-201F51B15F32','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8004F6A3-6B9E-470A-9D60-DFF5B8B7818C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8049E8A2-B183-4186-88F2-6DA7D0ACD95F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('807CCA23-EB44-438E-8949-D3A2808D8457','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('807F3F24-425E-44AE-A7A6-1FA7AA76FFBF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('809F182B-BEE8-4F07-9449-BBE0A9C3A7A8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('80B6FF28-CFDF-4764-A706-8663EF99D6A1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('80BB5F45-6ED7-4EB7-B5FD-FEA2E6479D2C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('80E0D19A-B731-44BC-932A-D50FEACABB9E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('81036901-4AA8-478D-8628-BDABC67B4B7A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('81049CF5-1F2D-4EC4-9670-F7FCE1C72910','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('81238331-03BB-45CB-BD3F-BD85B597A6B7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('81445325-AE36-4753-8E75-07E0CC062CB0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8156B692-CDC3-47AE-9D89-E50CAE4EEB27','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('81642696-A8D4-4F96-ABE5-8CFC335D60B0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('816AB170-EB03-44A8-9EE1-5A4C8C06702E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8190D0E9-E25D-483C-9CBA-BA872185EEF7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('81BDE73C-757A-47E9-8B7E-3695102934F1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('81E58FCB-BDDD-4F68-9253-A52DD9847F11','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('822225E6-A7A9-45B4-BA4D-59B4E278AF16','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('823133FE-9812-49B9-BE0A-FE08899855E6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8243D934-85CB-4F4E-A928-13042838A3DD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('82A172A0-FD1B-4292-B5EC-BAE6A6362D3B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('82D3A490-F782-4ECC-B443-01E9A09BC0EC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('82E9FA2C-D30B-4657-8B26-1EDC8DBEA6B5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('82EFF84C-4234-4A4F-BE93-28AC6BE96B74','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('831A203F-A2BA-47A3-B4F4-4BFC2A9C0FBE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('831F389F-9746-451E-B102-87F7334D1486','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('83371B0C-92DE-4C7A-98DE-FC3B69BEBE94','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('835567FC-0BA1-4CC5-8BAD-9BC91887C0D2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('839E1F3D-F964-4257-B745-54ECC6227E64','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('83A2A641-6054-4DB2-89CD-3D2F638E4C55','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('83B05748-0DA1-4DD1-986C-7AD75236F2A0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('83B0B3C5-EDF0-4AE8-A073-F1D7D7B31F90','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('83C9BE4D-DF8A-455A-9F5D-E5D5867A6AE5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('841BA36E-3A86-40ED-8210-FF29C0F9A769','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('84279082-0CAA-4C56-966D-49BD4A4E796E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('84727B78-35EC-401D-9A47-09BE76171EE8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('847A5A26-91B7-4207-A0E0-28CB7EDEC0BF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('84CA1312-E26C-49CB-91DE-2CD6CCC1FE07','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('84DD782D-BEA2-4C73-9DBC-C39C819BE698','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8502AAE4-7408-4153-8ABD-1AEC28133ABD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('851BEBAB-D410-481B-ABC6-90F712BDA09E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('852D591A-7D6C-43CF-95E1-B9F372BFAD59','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('853E9498-33BD-4B11-B04E-B222181AFAA4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8554A008-79FB-43F5-A7A0-8D11153E883B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('859F7FD8-9F92-49DE-80A2-85E930DAF442','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('85BD7F9B-18F2-41B5-80AB-47A2DFA1DD27','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('85D3C773-C672-46FB-96FC-840D05B3D2D6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('85FEF0E0-FA46-4FC3-9837-5E9D6776444C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('86096298-06F7-44C6-B9ED-4B7545355155','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('865D03D8-CA05-43EB-BAB6-2B4B633C2FC1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('867AABFB-86FD-4A4A-84BA-1A127C4FBFCD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('86814405-413F-4175-BBA7-99C147F230E1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('86923E32-4C92-4027-A0E1-27DB979E66F4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('869FED9A-2ECF-46CA-BEDE-E43C2959138F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('86A6FCCB-A07A-4985-9B22-66F557DA3946','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('86B844C8-B11C-4A92-B27E-7BEEC080A60C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('86BA47EB-0962-4449-BA3C-64913DD119A7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('86C195A7-9FCA-4D2F-88B7-20AF585B526C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('86DD3125-716F-441B-B297-A62E2F4AE012','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('870C6D5B-3EA8-4551-91CA-1ECAD9E4154F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8734D2D7-32FC-417C-A6A4-3E081155ABC8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('876BA42C-89F9-4744-87F1-4D266BE6EC0D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('876D026D-E600-47E3-8187-143C3C07840F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('878F0D0C-CAF2-4A87-BC57-072F42B20D7C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('879CDEF1-E6DD-4871-8F79-65ECDECB63A0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('87ACAC7B-83CD-4B08-8FE9-D3CC4FD85F60','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('87AE37B6-AB16-41B5-BE20-E465163F5652','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('87B708D2-0A26-4281-BD72-205F4A95DD29','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('87E3DEC2-33B6-424D-8750-93D20511106C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('87F4DE59-8770-458D-9A5C-DD8270BCF0E8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('880883D8-7781-4BA7-8D76-DD8ED1395C60','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8808E9BC-659E-45CA-A3CC-7F5C122DFE7C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8827ABE9-7140-40D3-B2B4-FCC266CD1D1C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8836EED4-A5D2-42BD-B6A3-8C73258DED90','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('886E4148-4F36-491B-884D-6DEB727F5E55','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('88943094-C664-4C56-A46D-E96F4FE3D0FD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('88D02624-3644-45E7-A514-8444704056EF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('88FD4582-C56A-42EE-9215-54728F73B861','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('89228F6C-DDA8-4C1E-A15E-9AAA5378CAD8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('892AF2EF-5B65-4F57-911B-AF8933342F9A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8942DE53-25A9-4BF0-B372-6DE8EAC90A70','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('89707EC5-5A39-4560-BC05-2FAEA8052FF2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('89AD71A9-20E6-4E82-AA60-137C3FF33603','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('89CBCA5B-2357-4A9F-BF7F-2253448985BA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('89E62F64-6C95-40AC-9175-A54CC356B320','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('89F22BD2-D91C-4642-B972-226E79F330FB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('89F23491-2A77-496A-8209-23E1574AF265','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8A074E8D-EE6C-4D70-B131-A390215B00A6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8A1B2569-7EF7-4213-AC2A-9CAFFFDB406A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8A56C9ED-4CC9-46BE-B848-E16AE4194BE3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8A57675B-28E3-4756-B919-09138911F8AD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8AAA81EE-9E03-4A8F-9DAA-CD4E0677845A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8AD4349E-F04D-447D-9842-4E0E1E73692B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8AF9BDFB-9986-409E-9849-460DE4E922C4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8AFB712F-43D9-401E-A587-73666AC7000B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8B1BED3F-1F81-466D-86AC-3712E13BC65C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8B20AB66-56A3-44B4-9112-6DA1CF00570A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8B2B0990-AF81-46D8-8AA8-4B197AF279A7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8B88C43C-4837-4E1D-960F-4ED75DC64546','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8BA85278-E463-4F78-A282-4DD9FD10F0B7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8BB9E07C-3F7A-4149-8F00-DBB0F82B114B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8BD831D2-3EC5-4B86-B773-661C899A118E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8BEF24D1-5F4F-4671-ADF6-A83B1905C280','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8BF46512-E9EB-4625-AB93-3253229A1C84','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8C0A496F-5E9A-423D-AEEA-BF650A9FF813','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8C153528-469D-4053-A97E-F72141EBCD9F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8C22AB90-C385-4C08-9B48-83DF5D764ED4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8C2AAF65-6744-47DC-8454-23DFD51C2AC9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8C32363E-0115-4644-8B40-B404CBD4DC29','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8C5ED65D-7132-41D0-AF75-7B17A4DE9FE8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8C9E9874-1B0F-47C3-A551-55C27FA2ACD9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8D0A093C-4767-4620-B0E0-298DF7CD93DB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8D141131-F525-46C8-8184-B28DF13C1768','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8D1CD81F-5B02-484C-B52B-65231868DB7F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8D221F62-1166-4A0E-96A2-C8FD01E2F2C9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8D803897-633F-4DB1-83D5-E6AEE3DB7745','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8D824A4A-1D30-435D-B5D5-28E92D62101F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8D8A72CA-AE5E-4380-A7B3-F9DFDAB41A18','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8DA23BA6-66E7-48C5-B023-26F2415CEB7C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8E1D1304-5DEE-4C9E-B13B-13A4F6D43B70','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8E251427-93B7-4544-A649-09EA166DC5D2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8E2AD11D-9F32-4414-8009-987AB8189562','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8E93C1E8-6A3B-4DC8-BFB0-06AF520E6C05','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8E973449-F0D1-4ED7-A51B-66F6131A0FC4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8EA60DB7-562F-478B-9004-7F7704EC7B47','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8ECDEB87-9067-46A4-99E0-6AFD229AF98E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8ED88FF9-2C7F-4DE9-AC2E-4BE69F856DF0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8EE931F1-914C-4AAB-BA92-29A3EFEB6E0A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8F0669B7-B22F-4A61-8A53-89182FAC2E8B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8F2F63E7-77FF-4620-8236-9FD364AE6FFB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8F33A0A7-2E54-4D58-A25B-F987A07397B3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8F70CAD6-1091-457B-87BB-E9F1EE8B500D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8F742A5D-E552-4C5E-B09A-E5B8E36844DD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8F7A1A81-F822-4CE1-9B0F-F1539AFC50B9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8F9BC696-CDE5-4DEA-9E12-3F814AEB6472','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8FB34240-3DA7-49D8-8FDB-9303045ADA3C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('8FCBE137-FA5F-448D-A218-9428AF88F543','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('90239F61-4DBD-4F25-8471-3CB214392180','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9028C1B3-489E-4F14-9037-2664C3F6DB46','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('90349602-60E2-4690-AD9D-2DF4B041070A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9074F5FD-532B-4D7E-B29F-825E58E8D110','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('90788B30-4337-4B5D-A059-55715793526E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('90868AF2-08D3-4273-9187-5EF1AED8055F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('90A1A83A-3F83-4EB8-982D-E086ACA85234','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('90AC4466-0BDF-4F6C-82E4-DF48834450ED','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('90C03894-0F7D-4B35-A96B-B29EC12004DC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('90CB0DDA-544B-4C65-8FED-E388C3BF76D3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('90CF1D77-F72C-4B25-AD2C-FF769CCCF8B7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('91033330-B200-44CD-B54D-176EA859551A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('917F6500-EAEB-4BDE-9B40-ECEED3E103AF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9185CB04-6E7D-4D18-9143-ACEE33894306','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9192DE1A-BC26-44CC-BB2E-DDFA29B7E0ED','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('91A47096-7650-4861-A783-C602D878C97D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('920CCFCB-73D0-41F8-A9F8-AFDA494940C3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('925A27CE-1E3E-4172-B4B8-049DF709A10A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('928A01F5-0E99-40EF-B5AE-12928B3CDA58','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('92A65C8E-376C-42C1-8ECC-2A24B04926F3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('92F6CE9A-AE51-4040-83A5-543235A0BCE1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('934E6222-04E3-48F8-97FE-882324471DCF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('935F5112-BA0B-4893-B434-51F4388AAFA8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('936AFA3F-9E6F-4AB4-97E9-61A44B9F1E84','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('93B25CC9-2AC7-4C73-A5E9-D6AF0C55DA1A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('93D3A1FD-6B46-4341-A66E-B69C4AAB833B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('93FFDA5A-1F6B-4E9A-9F51-B29CC77E3585','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('94389DF6-896B-41AC-964B-1EC1CECDB6D6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('94604295-E603-4055-9EFD-0F721081F124','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('94B2515E-3075-42DB-87DE-08BA3DFFF57B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('94CAE8D7-2FDC-402E-A4DF-BF51B4EF34C0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('94D7C395-FA73-46B8-B440-04E2708EF618','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('94E62644-2E8D-4306-BFC2-4607D4EF68F0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('950B735A-D7A4-49CF-B9B5-40BF01BC3292','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('95618746-1E5A-40F7-9CFB-CA7EE659ADF2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('956482A9-5B06-4AA5-941F-02DB156D38FE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9579D3D6-6D83-441A-873D-9DFF92171FE8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('957A616E-8155-45B5-AA7B-31F25B4E7F2C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9587E8CA-2927-4B9D-AF04-CA2477117A6C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('959595E9-F443-49ED-867C-1958E54B2BBA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('95B595AF-D12D-44AB-BEB0-C5842C82DDD0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('95BC2A54-CC25-4743-8DA6-425BB60EBEEA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('963B0BC5-51E0-49AC-A6CB-45939DC4B504','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('96507D2B-640D-42E5-8024-6B063CAF467B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('96793167-33E0-4E9F-9347-E8AB615AA9C3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('968DBEF6-B066-455A-91C8-7648B4067C30','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('96F1DF5E-FE9D-4077-9DDD-C86A312E3E28','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9713F609-9D84-4F2B-8B7B-6B348E87D665','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9714B1CC-3482-408C-9318-E5038556523F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('977816A6-E234-422A-99D3-F79096E312F2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('977C2BC5-B273-4FF0-920C-CA5A653F3AB1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('98293EAD-D3A5-4F60-BD42-5075A2596602','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9842D13B-57E7-4E9E-8960-7CECE4CDCC80','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('98629B51-D24B-436D-85AE-071DB23CCCB6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9894CB51-C469-42EE-9AB4-283BA8DC17FD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('98B9090C-3FC6-4260-85EB-4D9F21EE125A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('98BB8DB7-55E8-4C4B-AC88-AB4B2B7B9557','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('98D2CF35-8BB6-47B7-ABC0-DCD799D96A16','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('98F02408-C26E-4FCC-A67B-73E556750F07','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9929E1E1-7D19-47F9-94F8-71719023164F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9956ACFB-8BDF-4575-860E-8D96D7B93FED','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('99B8237C-251E-4369-8E34-629B00ADF86E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('99F6F8C2-52DC-417E-830E-DC411FAF02FB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9A31ED4A-E7D5-4DAB-B72D-63B88C0CA1BC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9A90FDE2-7D40-4F07-9BC5-C6DD677ECC6F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9AB763CC-740A-4C02-BBD0-9019279047C1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9B6E244E-95FD-4AFA-8337-7D7028B84111','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9B99530A-3EE1-4123-A020-971BCF5B0088','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9BA2986F-C337-46C4-A06B-7770F67CF4BB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9BB74CEC-31C6-4037-806F-6F97C31690F1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9C152A9E-8393-4277-A889-E89E7F71836A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9C3EA3C9-E735-4AB0-B6AD-FE5C1C490B82','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9C5290B9-9CF6-4ECB-B2AE-3DAC350DA33F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9C804808-FD3F-4E68-9E5E-BE1E12C4F26D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9C8F004B-83C9-4468-B536-3D55F939E2E1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9C902795-A4CA-42ED-B32B-3668882D1890','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9C9B886E-6946-4EDA-BB2E-040F3C053C86','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9D105FE8-0FF6-4F7A-9E13-FD4F41BD65F7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9D27B7AD-B680-4E5B-A420-63D48684D836','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9D70460D-55EA-4F74-B535-368D6CAECCC2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9D961519-0E58-4916-8124-99742687AA20','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9D996A65-0BCE-44E3-A18E-467DFB682C42','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9DD8967E-A260-4CDE-B7C7-3A2EA4C6C6A3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9DD982E0-CC5D-481E-BF22-5AC020FCC792','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9DEC4E61-234E-4814-8985-709C93C321AA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9E35DAC0-65FE-4206-8C54-37305F33C313','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9E5F852C-CD80-4A4B-8CE6-971162B59361','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9E672710-B369-494F-AE63-A0A1AA55F750','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9EAEB136-D064-453B-9F46-78F3F4EDA931','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9EAFAAC0-7B02-4D11-98D3-833B834E8DB5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9EB0D31B-8683-4701-AC76-DDF22DBA5FAB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9ECB5151-689D-4D39-B878-902C67EB2867','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9F100348-48E5-408C-B26D-74D093BD3035','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9F2DADE4-EAB9-4881-A63D-0DA56244ED93','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9F653643-F986-47B8-B05B-FCEAF4A2E67B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9FAA0463-56F2-46E2-A743-3CD012ADAFE5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9FC78645-ED7B-4ACA-BF51-FB59CA32FCDA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9FEA789A-843F-4DFD-8355-93EC9964D01D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('9FF2ABAB-62FC-4105-973D-CF907AF98633','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A071D19D-4717-4E6E-89D1-9EA9193C0D3E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A0AD3AAE-3F9B-47CC-86E7-AD15A014CD94','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A0B1D4F7-04FD-48E1-A63B-DBB7306F85D8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A1357EE3-6F65-4642-AE39-35E3A3DE7F59','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A1A199F5-8C44-4B2A-ABB3-E17A02093E57','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A1A969DB-DB45-47E6-894B-F9F3C8369962','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A1C07F51-FA79-419E-BB6D-C2676D0972A4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A1FBEA0C-32E8-4E39-8435-EB85BFC555A7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A229EF5B-5BE0-483A-A35C-A679237F77B8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A24BFE78-A45D-4996-BDE8-A7D5B9A3A70B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A25A602B-BE3A-4314-88FD-BA7958029E12','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A25F332B-1274-4649-BA7C-2E8180DFBD0F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A26E601A-EA65-44F7-846D-B61563424603','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A2D28796-44C1-46F3-951E-5AD13E6B53C4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A2D2FF5C-4F58-44B2-BFC6-FE38D7A0FEB3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A2DCC13A-3684-4BAF-896D-D13130CCB43A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A2DCDAA3-4333-4097-B21E-9CA4E9B566E5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A2ED57DF-0DC7-4A50-A457-9EF99B5C5632','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A3115649-9C86-4A47-BECD-164F2F440030','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A325C11E-3FA2-4E7B-9432-D403AFCF0465','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A32D2BE3-5975-4C4D-979F-F16628E0CB78','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A32F1192-4FFB-4C43-B55A-87A28608DF5E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A3602CAC-0A22-43CE-89D0-4581A82A3215','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A3CB7C47-E2B9-44FF-B700-4C1FE5C6A907','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A3FC8E22-FBAE-4BE5-AF28-A3F5D6485907','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A3FCD961-8ADB-4EBE-8C29-40552EFA2458','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A4491B2D-C25C-4592-B476-F4FD1B832DEC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A48105B0-02AB-46C3-A613-43ACCA34BF8B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A48293FD-9F0A-4483-AAFC-DBCFED82FBEA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A4A3121D-06CA-4422-A3A7-465CB0E87F6B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A50C53C1-960C-42BC-9E9A-9BAECEAC88D4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A5111BC7-9AFB-485A-8008-6A01DB6647D9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A52482F5-006A-4EE1-92A6-27DC3A2DF7BC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A5678A58-C1FF-492D-9427-C2648800D0AC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A5AAE6C7-CF3D-4F25-BAA6-5AD985DB6C8E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A5E1C489-0838-4FFF-96E4-00C46A1719C6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A5F31DA1-A253-433D-B2A0-6A4BA8217825','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A63AEACB-4DDA-49FD-8FA6-46C9DE3C8B9E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A64526FF-AD70-4F98-AE9C-9282B07681AF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A67FEA8E-7875-49DC-AE18-BBCC9F9D6573','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A6893F16-2FD5-402F-9DC0-9F87DEC79E76','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A68E9BFA-4470-4384-9A6E-C7027C078F19','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A693885F-7766-4CA5-B026-A1E15C137F6B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A69DC5F4-F77E-41B3-9B21-D7EDEDC855CA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A6C58835-09D5-4FBA-8D33-3B173B5CF9C5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A6CA946F-4CEC-485F-8F62-2640AEA0E1EE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A6D98A13-759E-4B1C-9B57-1EF9DADAE4A5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A704115F-D0DE-4BB8-B68B-85DADC43A6B8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A71FECB0-D27C-4AB9-BF92-A52F2EB74BE6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A7568DD3-61BF-4865-A907-B32563DCD044','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A7C89C9D-145B-41FB-B9DA-6C523FA3AACB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A7D4E419-9B5C-49C9-A75F-62917EE83D35','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A85A680F-4024-4CCC-B668-621AA011AB19','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A85B1B03-12FA-496B-887C-70B3DDA68C26','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A87DEB9F-1C4A-452B-8E7D-6FDB9DA51FE3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A8C6B866-1167-4F1E-8B4C-8608CA0E8A55','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A8CBED76-DF85-4984-B7B0-B6979335EC0A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A8D29F26-AD5A-4F95-9C36-EFBE04FA1880','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A902F3C0-BC38-4A9B-8B9C-7418CBAC1268','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A90BE2F8-62FA-479F-AE3F-F4AEBEEA8546','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A91467A8-7A8C-4D00-9EBF-3630A95CC817','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A93E7397-A7BA-40D2-B6A4-9851A9BAD114','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A953C1CD-AD63-456F-9D52-E711B62D31AE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A95B1B05-041C-4383-9EB8-9F59E0FF31C9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A9BF651C-EDA5-41A8-8EA3-3BDAAC6BFF95','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('A9F47081-31FA-4071-885B-B2BE23085DFD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AA260465-9533-4C9A-BC69-F760345D224A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AA61EFE6-71ED-49AF-91E1-78AFC4EB8B7D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AA8DF0D5-50AE-4678-802F-76085C5421C0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AAAD6637-F8D9-48A6-A6D4-7810D1B27468','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AABBADDF-D85A-4C80-9839-AD6348212714','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AB048274-2233-4034-ABB1-BFEC625C622F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AB2685B3-78DD-4E54-8F80-11A6FF327DED','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AB2DCD12-BC84-446D-8041-8AABE40F8A02','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AB480B6A-33E4-45F3-AF5C-E266766E0799','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AB6854BB-C7F9-418C-9CB0-65C4960514C9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('ABC99382-3B16-4C1D-B1D0-85FB5BCE35C0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('ABE28745-5E30-4FC0-BF1A-BE4E98197A37','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('ABEEA4F2-0140-4FB5-82AC-F1CC52869D40','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('ABF87809-AD3A-4041-9598-754292434ED6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AC1ACFAD-43AA-48E0-A666-12A536750C78','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AC3A6E71-C725-4F42-B6DD-140BEF19702A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AC6E1C5C-8F18-4CBE-A308-75CA548D8ED4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AC7FD783-9B66-4377-8606-4A6067B7789F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AC9A0618-6872-46F0-9B2A-8CAC6B520FDD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AC9CA699-4424-4A4F-AB25-13B916C1F3AC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AC9F2E72-C653-4C49-9C4B-136E91B4F751','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('ACA23139-E128-471B-8D40-824A407CF05C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('ACBE09D5-5EC6-4E24-B0E9-97DDFE61E97E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AD81F4F5-ECD8-4DA3-A182-1F40DBA10EF7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('ADBC4FF3-5EDE-4D33-A1E2-BB6EC9DEE7AE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AE43F9F0-C4FA-47C5-AAFC-F981AA8F2B8B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AE635F55-A277-4F15-85A5-D4F730524882','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AE644F24-4489-4B22-8AF3-17A5F181391A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AE6A2B00-1457-4E53-B4E8-C6DD95547CF7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AEB0776C-DC58-42C0-9BA1-ACBB42939695','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AEBBED9B-77CD-448D-986C-A1EFD666BE5F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AEE86ACB-D3CD-482B-8174-71133A190233','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AF056FAD-1C7C-47F0-B080-6D4A54843FEE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AF3CCD8B-D39B-48CC-8C3D-EC6353B54041','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AF941393-0460-4472-9600-B8AC6B45CC33','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('AFD0A6EE-6042-4222-8040-0309820AD68A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B01F2D04-7FA6-4D45-AB23-03A9E01389AF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B0D0CD67-3FE1-493D-B77E-106FBF932848','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B0F64179-078E-4371-8194-5B6F3920E390','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B1281EE5-C2DB-4EA3-A682-B663056A8DD3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B13AD0A1-4F27-4BAE-8490-9B3453293FCF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B1521FF6-DC09-4C59-84E0-34610A80E380','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B16C5723-3F10-4033-9515-C7BDAD63318F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B18932C3-0C06-4338-90AD-D39943689C2D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B22D177A-E46E-439F-B095-30AD0703220F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B234866D-6BD0-4B86-88B2-3D28C8FB7345','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B239D745-711C-42D6-9A38-2361B5E49B43','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B23A89F3-35D7-40FA-BECA-F134F2D62F23','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B24AE618-3005-4724-B121-EA7F89A5919A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B2E57D70-6AE7-4F7C-86E0-91D8F8E96A47','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B2E8E4C1-ECED-4BE0-994C-D2D3258D68B7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B2FC537E-F516-4EA5-AE61-CEA26EA1C6FD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B31F4226-A132-4CCE-AE23-46A6879F15A2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B3814774-4782-42AC-A43B-E5B3F44FC963','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B39B0FF3-3008-4B4D-A170-B9956CABB332','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B3CA5B25-E9C0-4B65-B3B4-3CCA21D7962E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B3D7497B-9194-45AB-B00D-4508C6DF2E6F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B4032677-4B3B-45E6-AED2-9545516A42C8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B44315DC-DBC2-4E75-A030-43A8F2F0B5FA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B45DE669-2266-46C1-9894-8822BFFE420D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B463D08F-6CCA-480C-A39D-3629E143C032','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B4A4B09C-BE5D-4BDB-9B6A-3326D6EAE74E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B4A84658-C186-435C-9328-92ED27B361EA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B4E2D291-A5A6-44D2-8AE6-BD8F9B04D262','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B5301759-25A5-4848-BCFC-6538E67E8788','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B5312C6B-2102-401A-8E11-3BD94D70C06D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B541A861-2579-4693-86A6-4D1E9A8633DF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B5560D56-6063-4765-AD3F-F08982EF4E98','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B56B3D39-E447-42EA-ACF5-C6A7BC1C78E6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B6015F3D-812F-4E84-B491-9639238B43D3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B616D676-81CD-4266-B3D6-5B002D043214','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B63246D6-FB33-4B79-B303-C95CC7BCB9F6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B6343B9F-A967-40CE-BB98-5900F1E01C81','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B659F3AC-E54A-4071-9DBF-10AB6AB0124A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B6669C7E-0297-4399-8257-A50E9E08E2AF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B671B6D0-37A4-4D54-A5D7-EEEF1CDF5A68','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B6886D7A-39C5-4A77-9FE5-75C408027768','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B6A65D98-EA96-461E-9262-0875677146F9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B6EDA84C-C1CE-4CD4-A698-076F14B575CD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B7CA3061-9B67-4F84-AE47-D68930AA8054','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B7E0464C-EB69-4AD4-A8D8-71DD55D849AD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B7F6A2CC-B42F-4B91-9595-1427ED08D1E3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B7FCBEDE-51A0-4777-BA24-59BF04744208','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B8181D46-EA6D-471A-8AE7-A04DEA36C440','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B81BAD90-5C2D-4028-8229-9E5E2FC45E9A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B81D597A-A1F3-4C3F-A113-8D546774C48D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B81DD6B1-1A6F-4FEC-9DE3-24AAD5CAF2F6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B83A6F58-445D-40CB-8BDC-307A0EF05742','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B83E33B6-EC60-4B79-8354-6D0BD793942F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B85A0B2B-0735-4856-874B-68ABA0DF29CA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B8817B26-2881-4DD1-B707-EE4AF03D173D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B8A503F8-820D-4956-A88F-09D8D97362EE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B8E9DEC7-958B-483A-91D3-542C2861AFA1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B8F96A2D-CC84-42E7-9F9B-F0047F12D658','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B9001F7C-C261-4BBB-805F-5B5424BC403F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B97B3E7B-8293-4837-92BE-D39363FF0218','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B9803237-D825-4057-8744-5C5895A36287','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B9893CF0-0557-41D8-8635-38E9E4B01933','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B9BFF641-3CF6-4741-85F7-76AA33E40E97','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B9C3DF2B-7B23-4646-BF2B-15747A8D6186','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B9DD0F25-4F9B-4857-B8DF-A65CF083F938','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B9E8CC39-D536-4C25-BFD8-20B590BE5B22','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('B9EACEC2-190C-4711-B182-DD8A57FD60AD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BA4066C4-7B19-4AA6-A86C-13389C0012A8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BAA8A94F-4A6A-44C5-8E44-61C04F3A308C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BAB242B5-FBB6-4452-973E-302BDF82EE71','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BAC3DAD6-38CA-468C-B6F2-86C3DF712C13','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BAD0D0D1-18FD-47D1-AEA1-47DC18079925','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BAE72A78-F4FC-4496-B312-059BD3B2CB50','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BAED3F74-DE31-4403-AF0A-08617B0FF194','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BAF6A554-7D56-45E4-8A8E-19D018360437','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BB1780E4-BE6C-42B8-825B-2929A9AD0D8D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BB2E5220-A532-4656-8DCA-769F0BB02479','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BB51F968-DC6D-4095-9BD9-46DADF6FDC1D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BB6AD3E6-B321-442F-B2D1-D02EBA03E269','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BBB6A46B-8C0F-40AA-BD9C-DD6FA30F88C1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BBC49E33-C08F-44B7-A760-B74BEB2FECC3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BBD1C298-9FAC-489C-8762-A48C01DF7ACD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BBDD5EE1-C2CD-4AC1-AF12-E0EE79890A93','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BBDDEAFC-1130-4061-AB8B-EA3D452035E9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BBEF51ED-FAF3-427F-9861-4D63FFB544CA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BBFC6C55-8C8E-4578-BF0F-5C2E698FA9D5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BC2EF6E5-FA99-4E2F-B1B6-2685D0FAB56E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BC33241A-1F14-4BE3-A245-8A28BC8A2F2E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BC48FBCA-7979-4AEA-B349-5C6836838C41','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BCB4E79A-99E7-46A7-A67F-A61BE8D425E8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BCDFF4EA-2C5C-4AA6-A317-7C5B5109CAF1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BCFF9D2B-B632-4061-8A00-C1DD9620A830','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BD18626A-393C-4FF1-9FDB-DE63888A5788','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BD613242-3167-49D3-8894-12C5CB454DC5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BD8485D5-45DB-4F6A-B5C3-8000D5204E62','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BD87B257-CAD5-440E-A4AE-27F666FC50D0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BD8F9365-B5CB-4B8A-B35A-68EE9A7E2B8C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BD8FD70E-857A-4CE2-8E46-5950A81F6A66','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BD9DDE9E-5C69-40A2-AD0F-8FC3A3DE6AC2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BDAEFF1A-25DF-4541-A9CA-8F18FF50EAE8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BDB526C5-A699-4F54-B3DB-B883D5B3E0DD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BDE54F0A-77E5-44BA-9814-CE196386A350','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BDEC0E64-B3DF-42ED-9695-50102B14B91A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BDFB0865-FD30-48E1-90A6-B912FDA045CE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BE09FD05-97B3-4C42-8A1D-BE731DCC5BBA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BE131198-5F29-4CD5-9D42-E58F02E28AB2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BEB4AD0B-693E-437F-8E49-B4F2752ADFC2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BEBA8B20-6C90-48C2-9065-102544276106','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BEDC4B00-0D12-457D-8BF4-4B49A29DC170','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BEE9E6EA-D9D2-407D-9B27-8158D94CA520','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BEF15C0C-E1EA-4A2B-A50F-9F8B5332A28E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BF022B28-A212-41FA-BCC5-48BC98CCBC7C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BF98DA6C-9C09-4A7E-948B-B0EA3B615629','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('BFB89E4C-EC9C-4995-8272-CD57D2FFB332','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C00A0977-D992-4C2F-8039-C88EE190EF56','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C00E586A-6F5F-47E4-9C7E-661E088C963D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C0693289-53C4-4420-B8D0-92BB32DB1E9C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C06F48EF-1F69-45C7-B0B4-D629000E62B0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C0B13A09-956B-4EFA-B4CB-1360F35732AB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C0CB2FFA-36A2-4F4F-B0FB-A1D89F4EC208','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C10B7DAD-56FF-4FFA-973B-BC4F8E472D74','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C11969AD-9213-4C0D-B8B0-4E0CEFE95888','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C141A6A5-2A9D-45C3-A96E-DF7507207656','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C14EA471-ACAE-4601-BDC1-FF350C35D984','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C184B8DC-F916-40F8-A102-3923DB9D7AAF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C19107CB-8617-486A-9591-654E68929F0E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C19355EC-6F90-481C-B2A4-6F20C813367E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C19CCD28-0F64-4A5F-9ADE-2EC4B0C1C20D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C1BB025E-EC4B-47A6-AA49-4D65CFD9950E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C1BE3326-2872-4E49-A878-C677DBB1CBFC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C1CDDDF7-33FE-4EDF-8544-45FE2B11F21B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C22EE1F1-78FF-47DC-85A4-9F55C442009C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C281F797-0741-433E-8C3F-0E445928A72E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C2951989-8BBF-4C8B-9397-EEF3A8CFA1A5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C2A7223A-97A7-424C-9524-24CECA7FA168','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C2ED0C92-C74A-4131-879B-8355C1D5F198','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C3066324-F57C-4C3E-9EC7-53EEA2A6D172','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C31D29A3-E3C0-43E4-A5B9-576F7F5DB9BF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C38364F5-DD8B-493A-8581-215DBC39E755','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C39F7BB2-A169-4CD4-B59E-88DF520018FC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C3E765CC-60A7-4BE4-875D-CE40A198EA34','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C3F139C1-15EF-4A49-81AB-BB4DDE2E673C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C43700AF-E71C-49C5-8C2F-A5AEDF047B09','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C45B10DF-8264-43FF-AE04-9F8722943318','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C4646194-B27F-49EC-9755-73E5D829CDDA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C48C48D9-262F-4C7F-ABEE-DF201AEC5352','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C4B7E2C2-22D5-4F28-A961-2D603E6F5D0D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C4BD22E4-5D5F-4B05-86FA-020A264D9EF5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C4E93657-3892-43E5-88E2-6732CEE4AE1B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C5027FDA-41A8-4473-8791-8BB0A51E90B2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C5298E4E-AB15-447E-900C-5E536FBAE8C2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C540D6F7-9E4A-4441-B67F-2689FAA71034','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C553E646-A425-44F9-BDBB-67B0678A9F28','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C5C3C482-C5E3-46AD-864E-D2E6FBAACB7B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C5CBA4D7-A285-4041-88DA-62490CA01DA6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C5D5612D-0D9D-4400-926B-382866D024C1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C5DA18CE-E8F5-4E1F-9ED1-2A522E715579','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C606A327-BAEA-4798-8275-82DA6D7D2B82','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C6078DE8-87BA-441F-99BB-818C34C45C50','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C6095642-FDAC-413E-89DA-6BFA18AE4948','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C6321D40-E5FC-492A-B75B-7474E9CDD6CA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C64E7252-3331-4CB9-915D-A546B62C60BA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C68C63DD-05F3-4F06-AB26-9F616EDC4E88','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C6AB9E82-CECA-482D-AE02-CB9AEFBA6305','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C6AF3182-15D3-4432-B53F-11C89832CBA8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C6B4D920-E9A2-4316-A4F4-7C083450BE6A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C6C6A657-6D7C-40D8-B5E9-D49BAC4B4595','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C6E57BBC-C43F-4FD6-A5AE-B2F058EA1066','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C6F7B01C-7687-45B1-983A-41B39DFCFA7C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C6FBF25E-75DD-4FF3-BD65-C2C42CBCDF38','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C70D2B43-1CA9-4F89-ADFC-AB7688129968','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C73483E0-D5EB-46BF-8EAD-FA5B4C11FAD7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C73507D6-D4A5-4819-9A06-C3FA4289C066','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C740F0BD-7AE0-4A5A-B9A6-4C38DF40FA80','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C7426BE6-65A3-42FA-AF17-13E288DC0F77','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C76EEF4B-A08E-489A-9968-AC9090FDB3EB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C779B400-7EBF-4C08-BDF6-915AC48442CB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C7873E96-85E0-48FE-8CF8-2180075B6B27','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C7C8C3A0-BDFF-4CC4-B569-96E89D21B2A9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C7F154F5-7CDC-42E5-9C64-770100888986','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C7FBA80F-DB16-4CD4-B6F6-749309A4B4EA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C8277F32-BF05-4E81-9FA4-B6A209CE2BF3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C8463969-014C-4B06-A904-D410FC1315D1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C855F000-E2D8-4135-A679-B941BDE48128','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C85E422B-7BB2-4291-8B69-DE3D98730100','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C867FB63-0897-4BB9-8B76-9AD7EA389911','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C86E988D-6BB3-48E2-8353-C5C30D504E17','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C8969CC0-8BEA-4B20-9C93-EC4E6BBEFD4B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C8C6A646-F687-4160-A14E-8E1EEBE5EF61','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C8CE152A-5B35-49B1-B480-8AD2F7A8AB99','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C8FDB607-96D1-461F-AC04-63CAD7A54E2D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C908FB5E-6A72-4DC3-BD9A-1F08551DA23E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C910E5D7-0BA9-4AF9-95AF-E8E8043BBE72','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C93B18CA-BCAC-4B0E-8B48-B463786DE5B2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C93D2B01-F5D8-4673-BCED-F2A74020157D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C945FF84-7D94-4C68-8E15-17D4EAE43408','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C95C711A-C08B-4C39-867D-4B852612CC3C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C96CC9C8-5FC0-4DCF-A55D-59AB93236F34','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C988A4CB-653F-4FAE-B329-5F6934D89A2E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C98A55CC-3AE1-4DE5-A938-7CCD6B119658','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C9957BB9-6B33-4D83-B242-8DABC949E63D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C9AEAF1C-522B-42F5-9F76-8500B6B89413','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C9DECFEE-98B1-4C3D-88EA-04E4479C9DFF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('C9E62DA9-311C-4574-AB52-CAC7A245F961','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CA2DEF18-562F-4772-B1ED-63C92A3AD36E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CA707FE8-3070-4795-B305-81F4CF6DA948','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CAB2A0F6-C74A-4DC4-A0E9-60742EA8F095','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CABC0F7F-E53E-4E42-A07E-3D01308F363E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CAC029B0-C41C-46DC-B380-FF54E323705A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CB3D6BAF-D272-4555-92CC-761896B6C2EC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CB697844-D456-4430-A700-519C068D90DF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CBC0812B-765F-4467-9132-2F417190CF73','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CBF0B1E5-81CF-4969-8E50-3BE9CA85FA54','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CC45388D-D740-41AC-B4EA-C0AA2B620125','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CC6E467A-0655-4C31-9CFA-D12038C1CCD5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CC9161AE-E8E6-4AE2-8BDF-A39AC77EAB15','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CC96F388-9150-4C78-B5E7-6FAE059AACC0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CCAE061A-3BFB-46D5-8DF2-A72B69D70B69','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CCE72EE8-9D22-453A-874D-CD32FF490721','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CCFCD08D-EA7C-4A44-B320-A37221E1B2EE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CD376420-13F4-4FDA-B9CC-76D0CFDA1CB6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CD6D2CAE-3848-4049-AD00-DD7088B321A8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CDCD0533-59BF-481A-8265-9DDD155E376C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CE09491F-1DE7-45EA-B840-1F18FA80E914','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CE15F507-61F3-497E-AEEA-434D7C0C711D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CE17F970-1405-4047-9163-EF5546890774','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CE260BBE-DA6C-4D18-A355-24DA3286F01A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CE3FF826-4668-4C6D-8CC2-53D2422CECEF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CE485AE3-65AA-47D0-ADBF-62D36C9CAF30','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CE69156F-6673-4ED6-A3F9-EBD9D6065CD1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CEA0B7AE-8C03-4CCA-9D2D-8CD388E37A53','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CECDD5FA-60B2-41CD-BCA8-622738741488','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CEE34179-5F04-4563-915F-EBE03A185946','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CEEACDD0-B7A4-4DAE-8A4F-BEB342206E83','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CEF0E67A-A3F4-4B65-A261-841F2CB319DC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CF05BAE1-81FE-4A07-B306-9B957E2068CA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CF0C9052-1E61-4797-9EBD-C4D8245C44E5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CF3AADAE-5335-4599-995D-74611049290C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CF4DAA0B-987F-4054-8B3A-10ECBD7638CD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CF79622D-A075-477B-BBD6-2D40669D527A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CF9DF3FD-F13F-4871-8004-D6E2194A8B1D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CFA5EF9C-B438-46D0-9C48-5A8B9D333BD4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CFAB240A-B7D9-4372-8633-D3BFC774A8E9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CFF4C4A2-68DB-4BF7-9754-69B82281F621','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('CFFFF434-6508-4CD4-A8C2-6F96E793C256','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D027E852-7A1C-43B9-B2C1-25228D3C8232','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D043B066-5AE5-4DF9-93F3-65334A2B2AC6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D045EE7F-2FA7-43AE-B68B-F2B10F58EFBA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D0535B5C-125B-4F9C-88B2-EEAF87F4471E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D05B2327-9915-430A-9C15-932992C6BAE0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D07C1F17-E6D8-4810-A460-BBA347485BA5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D08CC655-952E-4734-9834-A9EE2B905C6B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D0955FA7-612D-4794-A767-7779D764245A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D0CE53A4-B414-4DF6-9D17-1BFC8E1E3816','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D0DC5279-F3A1-4B8D-B8A9-176C2B13AE13','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D10312F8-CD96-4E7D-A72B-EFE7A783E4E6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D1417D6B-242C-4614-A162-7BCAF33E3AB9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D149DAB0-1762-4E61-9731-E833FE28842F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D14CDEE7-B86F-4765-B433-3EE5932F07EC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D154E816-0EA8-4F04-AB83-7AA5E9BF0513','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D1665457-5F4F-41F4-B6E3-F7CCD3969B17','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D1AC715C-04E4-4C75-A706-0797C6D6FE22','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D1B42DD4-5A12-4360-A2C1-9EFFA7AB49D8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D1C676EB-6CA6-4F01-968D-2E35464EB4E7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D1D48164-0784-4054-B179-1A035B319AA2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D1E937E0-F4BE-402C-B070-65C4E4D89B85','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D20D8004-58CA-4C3C-9610-02FB369A6AD6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D26F4C2A-786B-49F1-8300-0720DB7E1690','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D27C91C4-9FC3-431D-9D0C-9F7B6571A189','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D2819EE0-B728-43EB-B552-173691BE013C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D2B05AF1-428C-4581-9A04-4E6EFDF2FDB5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D2F348CC-2A1C-432C-B5F0-4CD4058C6DF6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D30A8904-856D-4751-B6F7-77A64ABA874B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D317DF17-3E16-46D9-8021-F433BE8B520A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D3483CA3-3785-4E92-A974-7982C556D44E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D3895E8F-CDAF-43E7-B05C-DE9F1AD22BB5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D41C5371-B475-45B6-B4AD-235CF9BAA697','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D428A644-4A0A-4AE5-A525-FA1A484A0156','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D44BC8AA-FD5D-4B15-AA48-1F5C3E19F318','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D4615F0B-93C6-4AC9-A6F5-C5E9D4CB6FC6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D4AFE154-4EEB-41FA-BC7E-3E00F60D7303','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D4BB8AD9-5330-4635-AE38-E83D8266DA46','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D4CD259B-3338-4DA2-BD58-4E237AC64BE6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D4F99F1B-30FC-4D3A-BCA7-1992B16EB84E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D5094A1D-1580-4FA6-8338-33BB93DEEF01','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D52BA171-696A-412D-8825-773C2E50DB5C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D55E1A67-6D1D-4E2F-A06B-03CE593A8632','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D57E3E16-46BD-4E51-B05E-2A0B3CA43E83','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D5AC0051-90D8-41F2-BDF0-121FC4306FBE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D5B118BA-8CE5-4DC7-9716-8BA9390A7F85','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D5CBA2F3-39D4-4327-915D-31262CC354D9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D5E8DA27-BE2E-43A6-B3A0-E482529127B0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D5EC0215-F6AB-46BE-AF71-A74064C89BC3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D6119E70-536F-490D-939E-0E182E0F71C5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D615F8A9-C141-4CD3-A85E-2A66E6883444','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D654389F-4D15-400C-9962-5DDE3A606374','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D6816A9B-9364-4030-9FC5-15BFA8C0F117','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D6FB0CD7-B8C7-4205-BB7F-A3DEEA19CA4C','8E79BA23-E568-423F-80F3-AF60C33DC7EB');
INSERT INTO `usersinroles` (`UserId`,`RoleId`) VALUES 
 ('D72AACB2-CD52-4668-B1FE-0FB5923C8D31','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D73B7140-D3CF-4C2C-B92A-90FDB72C09DE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D74CA0AF-536B-456C-9A9E-D929516FA1F5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D7716EAA-A927-49D6-A0BC-40EF705287C9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D83BA3BF-9B8E-48AA-B8AC-D36FF4813010','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D864F12F-C6B8-4F63-A8C1-B60691187648','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D8687DEE-A7FF-4531-A45A-4F1B5614D3D2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D87D35CD-417A-4EA4-9D49-8EA1DCF73A55','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D8968724-275D-46DB-8886-1DD0B357687D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D8E7B9B3-8FF8-4F65-A2F9-905367BF1A65','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D9048A5A-7A0A-4E95-BE36-B69578B9E55A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D91E1E3C-AF24-4CC0-93D1-A32CC25673D4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D92BC9A6-C75F-4136-B9C3-A2C81D7B9E7E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D939F95E-377C-421A-9180-63E4B6692C4F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D96E17B3-CA47-464B-A956-68D830882460','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D96E36B8-B71A-4EB1-88AB-5E5C03EF047A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D99CBBFB-03DD-4C5D-B4F8-44BFDF14CD69','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D9C35000-DE19-40D8-B722-EBFF7F40B634','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D9DEE4A0-DCDF-4592-BF1B-C27996259859','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('D9FDC196-EA17-4DEE-847E-E3C31D887F24','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DA00D091-040E-4453-AFF2-0BA3A587799D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DA2653FE-7132-4760-BB55-27BEB017E4E0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DA2A13E6-0746-4C0C-AD46-416D5B9B45D2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DAAE65D0-D91B-47CE-B169-7D438E690CF7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DADE8ED5-CDFB-430D-8328-12A13AD86308','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DB16781C-A42C-4AAC-AE9A-158B918BDCF3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DB52303E-D2F2-4CEF-884B-98798AF8F675','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DB5E60F7-B61E-4995-BF6B-72E45AD805D7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DB9121A4-2F51-42AB-9F26-942C06A8DDE4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DB9F761D-5F74-4477-B0E6-1B1EC44B89B1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DBAC4A90-41C5-4613-B91E-B32B9A1C2B00','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DBBF78D7-F666-450C-9797-DD2861B71153','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DBCC2FE1-81C3-4912-9D64-C76270259A96','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DC0EDC00-60B0-4460-959F-84E46243A582','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DC4483EC-ED87-4035-B7A0-2C8069641312','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DC7E81E2-C747-491F-9788-2C8693B1A1B8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DCB7070A-0073-4F26-821D-672810836E88','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DCC22EE9-D802-4ABE-A519-C1F40B7E5D8D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DCCC1DC3-7A7F-4C1B-BB27-849F103CBBA8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DD5AC45E-8F90-4B17-A5C6-AC53D1A11DC7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DD664689-C7C0-4BA0-952B-C646CD8D5278','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DD66E014-7E78-4DE7-B5E2-11FC2A644DAE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DD763C68-E0BD-4AD5-ACF9-27DA4610B104','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DD902947-D2ED-401C-B669-F4835055CD07','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DD9ABF75-0DDB-4C46-BB24-7452CC95630B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DDFEF868-CB37-4261-BA3B-08D3F393B5D8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DE280A5C-AA3F-4A69-9844-B09136566654','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DEB29A56-860C-4642-8B75-7A4CFBF3FE8B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DF0115B3-CD25-4A8A-8485-CA5499AC7856','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DF23CB69-D654-492F-B304-B30D83D3265B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DF2F8A59-FEDB-454F-AAA3-84472CF159BC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DFA3D2C9-1011-4EAE-9996-A70C551E2C58','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('DFE747E8-CE5E-473B-9A2D-7A21D9CD697B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E039E341-0250-44CE-B6F5-C1D7FDCEB757','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E0428A4C-A2DE-40B4-9AB1-D51EBA8451BF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E06134E9-3FBC-4AA3-89BA-FB19769A02C7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E07273AE-36F0-44BF-B928-DE7CAB050349','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E093A158-9208-406C-8A43-38C6E5A884CC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E095AB12-A119-435C-B045-A906BCB2E6A1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E0AED783-7BBF-46D7-91E0-E0BD0C81B391','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E10676D8-3987-4843-85FC-D1502B91CF2F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E114043F-85B0-4F70-B20C-438E27AC32E1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E156274D-9D23-4559-8750-9DD08C94F6C4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E15A973C-3EFB-49F6-B597-5394DAF9A145','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E1824AFF-9691-4F9D-A875-B34DAAB144BD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E18EA683-A521-47ED-9959-62CFE2D7D33E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E1A6E745-80E7-407C-9A0E-DC71B703E4D6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E1CCD312-6208-4002-A298-0F4C18D33733','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E1DDCAC2-DAF7-4757-860D-C4E48738F5DE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E1DFF1EF-D1EE-4D78-985A-826D1A0E96CB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E20E2295-A41D-4AEE-94FE-C25CFCA03AFA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E22032F0-47D0-49A6-8380-EAE7F3C5721C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E289D713-7FAC-4F76-ABA8-9696C8E2129A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E2BC6D8B-1BE3-4522-8030-73D44EE5A76B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E3612E1C-8047-4BC2-B29A-D1DCFD954B78','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E3735130-F220-461F-B1FD-97C7B7B1FD29','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E411D7EC-B389-43E4-8758-73B6A95DD0EF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E429022A-9FDF-46BF-8EBC-D905A2A2B82F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E4785AB4-4BF2-4E2A-BA29-EA918E2472AF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E47B86D6-24A0-4BAB-8329-EE093AB507BA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E4F80C2E-DC5C-4AC8-B2C0-82F9BDE11AAF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E528D303-E9BF-400B-B712-542AF390EE1E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E52B106B-62D3-4DFD-B540-27D27595F713','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E5451C6B-C40B-49E5-BA21-915C62F8D83B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E548BCA1-6B62-4F89-AF78-9E24BBD293F9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E55E1C68-AB3C-4E16-A8A6-081F7F86D2D0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E575FCCB-DBF3-4DFC-A363-06A43C82CAD2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E5B79E72-6945-4A50-BDDD-944728EFE743','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E5CEE03F-3916-4E5B-AA52-087FB76E4769','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E5E532EC-7AE8-4BBF-B2CF-F36D37D9D580','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E608D9AD-1D00-4547-BD8D-F465BFFF8170','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E6282CBE-E758-4006-8DC9-2336000686C9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E6337BF2-7837-4CBB-9936-B9D917481D8E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E63504AC-D6D7-4656-AF9F-98269AA3B204','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E647952C-5640-4DA3-B73A-CBC8017B72C4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E6617376-3CDB-4A79-9216-B05CB29F3268','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E68B6F02-595A-44B5-8AE0-D8D0711B2A01','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E6A960A7-554E-4B2D-A89C-3B3E1F80A675','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E6C56B1D-C3BC-460E-84D5-1AA82F64D07F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E6D8BB33-127A-43C2-BA57-D444EFDC3812','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E7156F7B-71E7-4AB4-A901-EFC4BCB0006E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E74F01F8-5F15-4662-BA4B-C7581B57F38F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E78236CC-A2D5-479F-90D9-2C66E611DB1E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E7CF9518-899A-4830-BFF6-E0DAD7CC81E0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E7DE5DF3-678A-4B86-BD43-2CC5AC4104CB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E833D249-B9E8-477D-B577-79249AD6DB9D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E8858A33-2942-4DE2-80CD-604AE5F81529','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E8F6AFD9-FE6B-4E58-B5B2-0650049B5BA0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E9273307-3B6D-4414-9B19-651F8D7A5906','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E93680C2-140C-436E-8AD4-AAEF57F1EB50','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E9708BE6-6E28-48E9-90E3-94BF9E4F4703','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E99538EF-BC96-4BDC-BECE-6FE790ED1F19','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E9A79230-4450-4486-B1E2-CF74646768B9','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E9A92979-DD91-4C2E-B697-1EC49233508B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('E9BE8F53-873D-48CD-AF3C-18907952319C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EA045C0B-4B20-4709-BAEE-20A27139FB76','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EA2A3353-01B9-4D1D-B591-1A0EE5CA062A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EA3C14CD-5168-4507-9AA9-361E0475EBF8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EAC6F0AF-8122-447B-908A-CD94C1978F68','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EAE40FAA-50BB-40D5-94CE-A557B7EEF6A2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EAFFC019-4FFB-4337-B335-944C467F36F3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EB0881D1-EBD7-45E2-BBD9-6CCF73DECDC6','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EB29D05C-9CB4-4F4C-9962-B98508003B39','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EB4A154A-A805-4235-8966-F1A764D59DD1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EBBD4CB2-B594-4899-ACE6-5A9C86A30672','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EBE53C43-2BF1-467C-AAC7-D5615CCD48E7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EC1451C9-DDD1-40A5-AFF6-9C9C613385F3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EC666640-E5B3-4BB1-A5C8-FB97D925E683','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EC7AAC92-EE86-4F22-9AF8-F683C9707EA7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('ECBE685E-40F2-437C-9F9C-2FD17EA75783','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('ECD5CDB9-BF1F-489C-B502-D2D3EF24D9E3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('ED381C66-81C2-4FD1-AA61-9238B1E4B047','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('ED5ABB18-8902-420D-8974-FABAC1E53FD0','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('ED8A0F04-EB72-459B-A0B4-20F4D33C786B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EDA9951D-CA4D-419A-B257-89B9DAD5064B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EDE92758-9284-44C2-BD2A-80CDA69DCD7C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EDF3BDFA-4220-4AB6-9E80-1DB89A0D0CC2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EE11D326-AA11-4B6F-8EE4-AB12D257C161','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EE7C49ED-87B8-4C94-AF93-1EA992C99F31','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EEB2AADB-FFAE-48AD-A380-A8B46B381512','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EEFB285B-32E3-4980-BD76-3E66AE595AF1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EF03C6CE-E7C4-45C7-895B-EB758A1F639F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EF06754D-AEFA-4763-B7D0-99B660B50A63','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EF15282A-1A34-4015-B2AB-6DFF235C6888','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EF2087D7-4E0A-41D9-93AF-6AD729F596FB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EF5A8682-D7F8-407B-936D-C7506ABF5288','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EF6B0543-7539-4FF9-B83B-9CE9251D9D67','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EF757409-EBE5-49EE-8ED7-6EF5ED0C7BF3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EF9DB217-4834-44AB-AE64-D26E29CF592B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EFB31EDA-513D-4E07-B019-DEAF9F9BB053','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EFE6E10C-93F6-4FD8-9C54-B2AB5D9267FC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EFEA3DD1-8C15-460B-9A56-DFFA6307B05E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('EFFAEB06-6BA0-4A8D-8F73-2798F9570BC2','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F00924D2-727B-47D5-9082-BFADC69F3758','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F00C3ED5-D36E-4703-8217-A38F8CE56C6E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F025E5D0-FBA2-4528-AD46-AB2BBFC51FA3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F0569F99-E46C-4CB7-82D1-D87E39B628FE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F062F5EF-88D0-46CC-9EA1-1E984B0069AB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F0846124-E12E-47B3-B726-2604B60A416B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F08DE56A-0606-47E2-877A-6661F2D7E02B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F0931474-3B1E-49DE-8CE8-41E0DFA476DB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F0D8FD94-24D6-44C6-A887-6481E49050F4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F19EAE75-134F-44A6-B69E-B947275A8E41','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F1D512EF-7A91-4407-9A17-CA2936FCC518','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F2181025-053F-4F73-9E6A-C6E1F7EC8829','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F21CEA85-2D8D-455E-9B0A-891168D5E221','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F23252B8-63A5-4EE2-A0FD-133E24D2AB95','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F25F9134-BE3C-4F6B-8FC7-7A9FDCD1FC93','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F271FF8D-031D-489C-9FCF-70B3C0E8E89B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F2B21364-8DB2-4CFE-A618-0964183E2F62','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F36E9BA9-CABE-4DCC-8650-B9675B9E0E4F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F36EB620-2C00-4A47-90FD-BDD18B3A881A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F3A44B2A-3715-4C10-8043-253EAC062D7E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F3ABB029-5390-4A84-AF29-5CA02AD2C03D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F3BF3B33-9FC2-4994-8D98-A87A250C0C42','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F3CD574C-25C7-47CF-8949-1003443069AC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F3D5A4B5-D0FA-4270-84C1-8A620CEACB40','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F4119B20-C929-4C48-89DF-57217AF29371','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F4146FD9-7E7D-4022-BE7D-7CD4B6A0915D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F4374A85-587E-486A-B792-ECC50CC1B53F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F46DC435-61AE-444E-BC37-FA9B77E1482A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F48EC77E-1D4A-430A-84F5-0E78681A748C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F4AF847E-ACFE-4C6E-8170-4F7198E9B564','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F4B2A30F-C21B-4632-81F1-FB0923D6206A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F4D9B421-2CE9-41A7-B7F1-210C71B8D225','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F4E6DEFE-0507-42F5-9015-E86EF1DF97AA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F5271EB6-8B76-4B16-837D-C6680CD8F605','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F5415660-5FA0-4941-9405-5FC44DE3A461','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F559AB70-B285-4C27-93EF-28B651AEB58B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F5F0B533-FCC3-476E-9293-B418AC68E3FD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F5F1EB03-0C2B-4A07-9239-EF0752FAECEB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F5F974F4-08B8-4470-B874-E09E0C57B478','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F624436A-51FC-4C4A-9B40-AEA18A0C4053','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F63F6BAD-9C7A-4B84-AF3B-BA85E38F268E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F6484860-C4AD-438E-99BB-8D7A3DA49216','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F691B782-AABF-4D8B-8552-1D6BD180BB89','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F6951950-7CA0-4DA9-A80F-58B1CAE86F4F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F6A6667E-1D1C-43AC-867B-FE9DF9C78FE7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F6A70DE9-61D3-4015-B8C4-8DE83B06BF9B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F6A9B7FB-E19B-49DA-93F7-FC666AA27E68','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F6BDE83F-1083-4849-B898-8DB5F67B7B03','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F6C885C2-6249-4D19-88B1-16A87340F71D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F71DC9F7-DD4C-4B1C-9B8E-E4B4F6228FC3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F71E1F56-8365-4297-8298-E2F4522CE853','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F721F6B2-1B92-41AB-B2D2-849A7F00EDC1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F76DF654-53A6-4EE0-B611-285FF113ED1B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F78B7599-5BF8-42A7-A1D4-C82FABBD15E3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F7B93113-E378-48CD-AA46-BE87A0E5FD0A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F7DAD65E-F401-45BC-A35E-0A8007F49CBE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F7F601AD-C9F0-4AA6-B472-FD914A144A4E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F812349C-E123-4A05-A83F-5FA4C6D8D376','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F84AAFD8-A1B8-4FE3-9C14-1EA2BCC30438','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F85323CD-9588-4C1A-99DA-13CE9F0F6858','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F87E479F-72B3-4545-BF08-A481B0FD3196','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F893D9C8-9FDB-4070-B602-0527CE6A72FA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F8D45790-55A2-48AB-91DC-AC4450013BFB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F8D4D41B-31C0-4B46-9FF7-CE45F96B0E8B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F90B333D-7155-4CC2-ADB7-E773B7ABBDEF','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F91F7311-46AD-4481-B948-04E3E6DF655D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F9507C15-7072-40BB-89A5-8F1DA789728A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F973D2B5-D802-4D76-BAD7-A8BA00AC306E','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F98505E8-D849-40B3-B955-49AB998E4A26','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F99F10E7-6B24-4C99-B366-18D8FD29D977','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F9D6ED08-A996-4C38-8994-301665BC77A7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F9DE7B28-1C84-48DD-A8A5-CE893FD9A953','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F9E9A27A-44A3-4278-8F8F-C5C3806F8394','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('F9EB9992-1958-49BA-A137-BB387DDFBF26','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FA086857-A2F5-42F1-B92E-88BEF1055684','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FA1E3312-4AB9-41D5-8F03-5B7794F248E4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FA749F7E-2EF1-47DF-A4F9-538B681E8710','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FAB7DBAC-BA2A-4B12-99E1-D43A9F87BAF3','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FAE20E37-2999-4CB4-B27A-83A77680FF56','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FAE96AE1-4346-413D-989D-9F33781EB135','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FB132FD3-49A7-4DFD-9178-1AF219F6D399','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FB1BF98E-8B3B-428E-B4FC-2E2AA0DCCCD1','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FB4AC9E4-DF06-44D2-AFEC-98DBDD0C2CFA','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FB776395-88EC-483C-AE4D-62C08F2105AC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FB906120-F6F6-4466-A53D-16AF8014C0CC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FBDF0EAB-E5FE-4FA6-A440-2B2FB154ADC7','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FBE8140C-8F61-4E11-AC32-4661FFBE59EE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FC591DF1-293A-48FE-9733-8B2E18C52737','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FC5E6C9C-91BC-4000-84BF-863F12CB8C6A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FC644FEA-3610-44B5-9916-8EE64CA90016','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FD262309-732D-471C-8ED4-383F48DDE4ED','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FD9DB924-6116-4C01-B77E-F9FCDA0EDDB4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FDA5493D-CA6D-452E-8395-64C86C784280','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FDD6BCCB-0199-4AB0-9096-0CC1037C2816','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FE003D4A-AD8C-4844-8E5E-26A8F4CE24EE','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FE482B82-5136-4B6E-8EA0-F044A8B803BD','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FE651A32-0EFC-438D-8722-D0E3FB9E6B2B','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FE67035D-DF6C-453A-997D-6F4CD508C23F','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FE680D8C-8A1A-4A37-A6CB-CE93B1EB4B87','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FE70454C-9B7C-44F1-9703-B7F686950F65','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FF02C63D-8D57-4092-9EA1-A3823B1E929D','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FF087974-361C-41C0-8D5B-C0652541ABA8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FF2C6C98-59FC-460C-A4C4-892E6D259E5C','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FF2EED79-5DEA-47DD-B166-57E1894CB9EB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FF2F9155-2A1C-4EB8-A7E4-2A1B23DD2D56','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FF4ABA87-10B2-4296-A862-6BA4890FB8E4','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FF55601E-A853-414D-A5A8-FFDF554ADBBC','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FF7FE388-F94B-4AC8-8E1B-7DE4564F66DB','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FFAF297E-CCC8-4B29-90AF-B894F498BB15','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FFB3FE85-6ED8-4A6B-A1B8-BAC120B8F80A','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FFCABA6B-56DC-4DA1-924D-7DBEB101CCC5','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('FFFC7491-2CBE-4842-B85D-7EEE130B63A8','8E79BA23-E568-423F-80F3-AF60C33DC7EB'),
 ('0030F4EE-3FD0-4345-AFFD-6DFBC8A95907','AEDA12DD-2874-482D-9DAC-60B47A8178DB'),
 ('4AC5E351-92FF-43CC-A314-89DA9B4615F7','AEDA12DD-2874-482D-9DAC-60B47A8178DB'),
 ('5DEDBD42-1DF0-43BC-BD45-0FD2E6E8290B','AEDA12DD-2874-482D-9DAC-60B47A8178DB'),
 ('61C44375-6B77-4506-8B55-94AB750A273E','AEDA12DD-2874-482D-9DAC-60B47A8178DB'),
 ('6CB89CC3-61FF-4D6B-8947-BAF8846A20E9','AEDA12DD-2874-482D-9DAC-60B47A8178DB'),
 ('83C9BE4D-DF8A-455A-9F5D-E5D5867A6AE5','AEDA12DD-2874-482D-9DAC-60B47A8178DB'),
 ('B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','AEDA12DD-2874-482D-9DAC-60B47A8178DB'),
 ('CE17F970-1405-4047-9163-EF5546890774','AEDA12DD-2874-482D-9DAC-60B47A8178DB'),
 ('F062F5EF-88D0-46CC-9EA1-1E984B0069AB','AEDA12DD-2874-482D-9DAC-60B47A8178DB'),
 ('FAE20E37-2999-4CB4-B27A-83A77680FF56','AEDA12DD-2874-482D-9DAC-60B47A8178DB'),
 ('86A6FCCB-A07A-4985-9B22-66F557DA3946','B9341C75-6C65-4362-BC74-DB23985BED37'),
 ('D428A644-4A0A-4AE5-A525-FA1A484A0156','CC697250-229B-4BC2-A4D5-BD9756F3F14A'),
 ('DF2F8A59-FEDB-454F-AAA3-84472CF159BC','CC697250-229B-4BC2-A4D5-BD9756F3F14A'),
 ('0030F4EE-3FD0-4345-AFFD-6DFBC8A95907','DA960D64-8546-49A6-BDE7-C1E391F82416'),
 ('4AC5E351-92FF-43CC-A314-89DA9B4615F7','DA960D64-8546-49A6-BDE7-C1E391F82416'),
 ('5DEDBD42-1DF0-43BC-BD45-0FD2E6E8290B','DA960D64-8546-49A6-BDE7-C1E391F82416'),
 ('6CB89CC3-61FF-4D6B-8947-BAF8846A20E9','DA960D64-8546-49A6-BDE7-C1E391F82416'),
 ('83C9BE4D-DF8A-455A-9F5D-E5D5867A6AE5','DA960D64-8546-49A6-BDE7-C1E391F82416'),
 ('B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F','DA960D64-8546-49A6-BDE7-C1E391F82416'),
 ('DF2F8A59-FEDB-454F-AAA3-84472CF159BC','DA960D64-8546-49A6-BDE7-C1E391F82416'),
 ('EF06754D-AEFA-4763-B7D0-99B660B50A63','DA960D64-8546-49A6-BDE7-C1E391F82416'),
 ('F062F5EF-88D0-46CC-9EA1-1E984B0069AB','DA960D64-8546-49A6-BDE7-C1E391F82416'),
 ('FAE20E37-2999-4CB4-B27A-83A77680FF56','DA960D64-8546-49A6-BDE7-C1E391F82416');
/*!40000 ALTER TABLE `usersinroles` ENABLE KEYS */;


--
-- Definition of table `wiki_contents`
--

DROP TABLE IF EXISTS `wiki_contents`;
CREATE TABLE `wiki_contents` (
  `ContentID` int(11) NOT NULL AUTO_INCREMENT,
  `TitleID` int(11) NOT NULL,
  `Source` longtext NOT NULL,
  `Version` int(11) NOT NULL DEFAULT '1',
  `VersionDate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `UserID` char(36) NOT NULL,
  `IsCurrentVersion` tinyint(1) NOT NULL,
  PRIMARY KEY (`ContentID`),
  KEY `FK_Wiki_Contents_Wiki_TitlesIdx` (`TitleID`),
  CONSTRAINT `FK_Wiki_Contents_Wiki_Titles` FOREIGN KEY (`TitleID`) REFERENCES `wiki_titles` (`TitleID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=6643 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `wiki_contents`
--

/*!40000 ALTER TABLE `wiki_contents` DISABLE KEYS */;
INSERT INTO `wiki_contents` (`ContentID`,`TitleID`,`Source`,`Version`,`VersionDate`,`UserID`,`IsCurrentVersion`) VALUES 
 (1,1,'!! Welcome to the WikiPlex Sample Application\r\n\r\nThis application showcases the WikiPlex engine. Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',1,'2009-03-29 22:59:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (2,2,'!! Silverlight Macro\r\n\r\n_The Silverlight macro allows you to insert Silverlight applications into your wiki page_\r\n\r\n!!!!! Source Markup\r\n{{\r\n{silverlight:url=http://slkit.blob.core.windows.net/xaps/ToolkitBanner.xap,height=280,width=880}\r\n}}\r\n!!!!! Rendered Markup\r\n{silverlight:url=http://slkit.blob.core.windows.net/xaps/ToolkitBanner.xap,height=280,width=880}',1,'2009-03-29 22:59:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (3,3,'!! Video Macro\r\n_The video macro allows you to insert video media into your wiki page_\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to video media | n/a |\r\n| type | media type of the video | flash/quicktime/real/soapbox/windows/youtube |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| align | alignment of the video | left/center/right | center |\r\n\r\n!!!!! Source Markup\r\n{{\r\n{video:url=mms://wm.microsoft.com/ms/msnse/0607/28366/CodePlexTeam_Final_MBR.wmv,type=windows}\r\n}}\r\n!!!!! Rendered Markup\r\n{video:url=mms://wm.microsoft.com/ms/msnse/0607/28366/CodePlexTeam_Final_MBR.wmv,type=windows}',1,'2009-03-29 22:59:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (4,4,'!! Rss Macro\r\n_The rss macro allows for the importing of external rss feeds into your wiki page._\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to rss feed | n/a |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| max | maximum number of posts to display up to 20 | 0-20 | 20 |\r\n| titlesOnly | show only the date and title of each post | true/false | false |\r\n\r\n!!!!! Source Markup\r\n{{\r\n{rss:url=http://blogs.msdn.com/codeplex/rss.xml,max=1,titlesOnly=false}\r\n}}\r\n!!!!! Rendered Markup\r\n{rss:url=http://blogs.msdn.com/codeplex/rss.xml,max=1,titlesOnly=false}',1,'2009-03-29 22:59:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (5,5,'!! Syntax Highlighted Code Snippet\r\n_Allows for a code snippet to be styled according to the language specified._\r\n\r\n!!!!! Source Markup\r\n{{\r\n{code:c#}\r\nusing System;\r\npublic class HelloWorld\r\n{\r\n   public static void Main(params string[] args)\r\n   {\r\n   Console.WriteLine(\"Hello World!\");\r\n   }\r\n}\r\n{code:c#}\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n{code:c#}\r\nusing System;\r\npublic class HelloWorld\r\n{\r\n   public static void Main(params string[] args)\r\n   {\r\n   Console.WriteLine(\"Hello World!\");\r\n   }\r\n}\r\n{code:c#}\r\n\r\n!!!!! Syntax Highlighting Supported Languages\r\n\r\nUsing {\"{code:language}\"} as shown above.\r\n\r\n|| Language || Notes ||\r\n| aspx c# | Use for code snippets from .aspx, .ascx, .asax, .asmx, .master, and .skin files that have embedded C# code |\r\n| aspx vb.net | Use for code snippets from .aspx, .ascx, .asax, .asmx, .master, and .skin files that have embedded VB.NET code |\r\n| ashx | Use for code snippets from .ashx files |\r\n| c# | Use for C# code snippets |\r\n| vb.net | Use for VB.NET code snippets |\r\n| html | Use for HTML code snippets |\r\n| sql | Use for SQL code snippets |\r\n| javascript | Use for JavaScript code snippets |\r\n| xml | Use for snippets from .xml, .config, .dbml, and .xsd files |\r\n| php | Use for PHP code snippets |\r\n| css | Use for CSS code snippets |',1,'2009-03-29 22:59:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (6,6,'!! Formatting and Layout\r\nThis page provides a guide for doing simple formatting utilizing various macros.\r\n\r\n* [Basic Text Formatting]\r\n* [Headings]\r\n* [Code Blocks]\r\n* [Escaped Markup]\r\n* [Lists]\r\n* [Tables]\r\n\r\n!!!! Note on block level tags\r\n_Block level tags include headings, lists, tables, and multi-line formatted text_\r\n* Tag must be the first thing on the line\r\n* Closing tag must be the last thing on the line\r\n* There should be no leading or trailing whitespace',1,'2009-03-29 22:59:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (7,7,'!! Basic Formatting\r\n_Allows for simple formatting of wiki text._\r\n\r\n!!!!! Source Markup\r\n{{\r\n*bold*\r\n_italics_\r\n+underline+\r\n--strikethrough--\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n*bold*\r\n_italics_\r\n+underline+\r\n--strikethrough--',1,'2009-03-29 22:59:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (8,8,'!! Headings\r\n_Allows formatting text as a header._\r\n\r\n!!!!! Source Markup\r\n{{\r\n! Heading 1\r\n!! Heading 2\r\n!!! Heading 3\r\n!!!! Heading 4\r\n!!!!! Heading 5\r\n!!!!!! Heading 6\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n! Heading 1   \r\n!! Heading 2\r\n!!! Heading 3\r\n!!!! Heading 4\r\n!!!!! Heading 5\r\n!!!!!! Heading 6',1,'2009-03-29 22:59:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (9,9,'!! Code Block\r\n_Allows for text to be formatted as code for languages in which syntax highlighting is not supported._\r\n\r\n!!!!! Source Markup\r\n{{\r\n// multi-line\r\n{{\r\n   public static void Main()\r\n   {\r\n     // code goes here\r\n   }\r\n}}\r\n\r\n// single line\r\n{{ single line of text }}\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n// multi-line\r\n{{\r\n   public static void Main()\r\n   {\r\n     // code goes here\r\n   }\r\n}}\r\n\r\n// single line\r\n{{ single line of text }}',1,'2009-03-29 22:59:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (10,10,'!! Escaped Markup\r\n_Allows use of wiki formatting characters as literal text._\r\n\r\n!!!!! Source Markup\r\n{{\r\n{\"text with *unrendered* wiki markup\"}\r\n}}\r\n\r\n!!!!! Rendered Text\r\n{\"text with *unrendered* wiki markup\"}\r\n\r\n*Note: Only use vertical (not curly) quotes to ensure that formatting will not apply.*',1,'2009-03-29 22:59:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (11,11,'!! Lists\r\n_Allows for the creation of bullted or numbered lists._\r\n\r\n!!!!! Source Markup\r\n{{\r\n* Bulleted List 1\r\n** Bulleted List 2\r\n*** Bulleted List 3\r\n\r\n# Numbered List 1\r\n## Numbered List 1.1\r\n### Numbered List 1.1.1\r\n# Numbered List 2\r\n## Numbered List 2.1\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n* Bulleted List 1\r\n** Bulleted List 2\r\n*** Bulleted List 3\r\n\r\n# Numbered List 1\r\n## Numbered List 1.1\r\n### Numbered List 1.1.1\r\n# Numbered List 2\r\n## Numbered List 2.1',1,'2009-03-29 22:59:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (12,12,'!! Tables\r\n_Allows for the creation of simple table layouts._\r\n\r\n!!!!! Source Markup\r\n{{\r\n|| Table Heading 1 || Table Heading 2 || Table Heading 3 ||\r\n| Row 1 - Cell 1 | Row 1 - Cell 2 | Row 1 - Cell 3 |\r\n| Row 2 - Cell 1 | Row 2 - Cell 2 | Row 2 - Cell 3 |\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n|| Table Heading 1 || Table Heading 2 || Table Heading 3 ||\r\n| Row 1 - Cell 1 | Row 1 - Cell 2 | Row 1 - Cell 3 |\r\n| Row 2 - Cell 1 | Row 2 - Cell 2 | Row 2 - Cell 3 |',1,'2009-03-29 22:59:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (13,6,'[Home] > Formatting and Layout\r\n!! Formatting and Layout\r\nThis page provides a guide for doing simple formatting utilizing various macros.\r\n\r\n* [Basic Text Formatting]\r\n* [Headings]\r\n* [Code Blocks]\r\n* [Escaped Markup]\r\n* [Lists]\r\n* [Tables]\r\n\r\n!!!! Note on block level tags\r\n_Block level tags include headings, lists, tables, and multi-line formatted text_\r\n* Tag must be the first thing on the line\r\n* Closing tag must be the last thing on the line\r\n* There should be no leading or trailing whitespace',2,'2009-03-29 23:09:01','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (14,7,'[Home] > [Formatting and Layout] > Basic Formatting\r\n!! Basic Formatting\r\n_Allows for simple formatting of wiki text._\r\n\r\n!!!!! Source Markup\r\n{{\r\n*bold*\r\n_italics_\r\n+underline+\r\n--strikethrough--\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n*bold*\r\n_italics_\r\n+underline+\r\n--strikethrough--',2,'2009-03-29 23:09:25','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (15,8,'[Home] > [Formatting and Layout] > Headings\r\n!! Headings\r\n_Allows formatting text as a header._\r\n\r\n!!!!! Source Markup\r\n{{\r\n! Heading 1\r\n!! Heading 2\r\n!!! Heading 3\r\n!!!! Heading 4\r\n!!!!! Heading 5\r\n!!!!!! Heading 6\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n! Heading 1   \r\n!! Heading 2\r\n!!! Heading 3\r\n!!!! Heading 4\r\n!!!!! Heading 5\r\n!!!!!! Heading 6',2,'2009-03-29 23:09:49','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (16,9,'[Home] > [Formatting and Layout] > Code Blocks\r\n!! Code Block\r\n_Allows for text to be formatted as code for languages in which syntax highlighting is not supported._\r\n\r\n!!!!! Source Markup\r\n{{\r\n// multi-line\r\n{{\r\n   public static void Main()\r\n   {\r\n     // code goes here\r\n   }\r\n}}\r\n\r\n// single line\r\n{{ single line of text }}\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n// multi-line\r\n{{\r\n   public static void Main()\r\n   {\r\n     // code goes here\r\n   }\r\n}}\r\n\r\n// single line\r\n{{ single line of text }}',2,'2009-03-29 23:10:01','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (17,10,'[Home] > [Formatting and Layout] > Escaped Markup\r\n!! Escaped Markup\r\n_Allows use of wiki formatting characters as literal text._\r\n\r\n!!!!! Source Markup\r\n{{\r\n{\"text with *unrendered* wiki markup\"}\r\n}}\r\n\r\n!!!!! Rendered Text\r\n{\"text with *unrendered* wiki markup\"}\r\n\r\n*Note: Only use vertical (not curly) quotes to ensure that formatting will not apply.*',2,'2009-03-29 23:10:13','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (18,11,'[Home] > [Formatting and Layout] > Lists\r\n!! Lists\r\n_Allows for the creation of bullted or numbered lists._\r\n\r\n!!!!! Source Markup\r\n{{\r\n* Bulleted List 1\r\n** Bulleted List 2\r\n*** Bulleted List 3\r\n\r\n# Numbered List 1\r\n## Numbered List 1.1\r\n### Numbered List 1.1.1\r\n# Numbered List 2\r\n## Numbered List 2.1\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n* Bulleted List 1\r\n** Bulleted List 2\r\n*** Bulleted List 3\r\n\r\n# Numbered List 1\r\n## Numbered List 1.1\r\n### Numbered List 1.1.1\r\n# Numbered List 2\r\n## Numbered List 2.1',2,'2009-03-29 23:10:25','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (19,12,'[Home] > [Formatting and Layout] > Tables\r\n!! Tables\r\n_Allows for the creation of simple table layouts._\r\n\r\n!!!!! Source Markup\r\n{{\r\n|| Table Heading 1 || Table Heading 2 || Table Heading 3 ||\r\n| Row 1 - Cell 1 | Row 1 - Cell 2 | Row 1 - Cell 3 |\r\n| Row 2 - Cell 1 | Row 2 - Cell 2 | Row 2 - Cell 3 |\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n|| Table Heading 1 || Table Heading 2 || Table Heading 3 ||\r\n| Row 1 - Cell 1 | Row 1 - Cell 2 | Row 1 - Cell 3 |\r\n| Row 2 - Cell 1 | Row 2 - Cell 2 | Row 2 - Cell 3 |',2,'2009-03-29 23:10:35','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (20,5,'[Home] > Syntax Highlighting\r\n!! Syntax Highlighted Code Snippet\r\n_Allows for a code snippet to be styled according to the language specified._\r\n\r\n!!!!! Source Markup\r\n{{\r\n{code:c#}\r\nusing System;\r\npublic class HelloWorld\r\n{\r\n   public static void Main(params string[] args)\r\n   {\r\n   Console.WriteLine(\"Hello World!\");\r\n   }\r\n}\r\n{code:c#}\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n{code:c#}\r\nusing System;\r\npublic class HelloWorld\r\n{\r\n   public static void Main(params string[] args)\r\n   {\r\n   Console.WriteLine(\"Hello World!\");\r\n   }\r\n}\r\n{code:c#}\r\n\r\n!!!!! Syntax Highlighting Supported Languages\r\n\r\nUsing {\"{code:language}\"} as shown above.\r\n\r\n|| Language || Notes ||\r\n| aspx c# | Use for code snippets from .aspx, .ascx, .asax, .asmx, .master, and .skin files that have embedded C# code |\r\n| aspx vb.net | Use for code snippets from .aspx, .ascx, .asax, .asmx, .master, and .skin files that have embedded VB.NET code |\r\n| ashx | Use for code snippets from .ashx files |\r\n| c# | Use for C# code snippets |\r\n| vb.net | Use for VB.NET code snippets |\r\n| html | Use for HTML code snippets |\r\n| sql | Use for SQL code snippets |\r\n| javascript | Use for JavaScript code snippets |\r\n| xml | Use for snippets from .xml, .config, .dbml, and .xsd files |\r\n| php | Use for PHP code snippets |\r\n| css | Use for CSS code snippets |',2,'2009-03-29 23:11:19','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (21,4,'[Home] > Rss Macro\r\n!! Rss Macro\r\n_The rss macro allows for the importing of external rss feeds into your wiki page._\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to rss feed | n/a |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| max | maximum number of posts to display up to 20 | 0-20 | 20 |\r\n| titlesOnly | show only the date and title of each post | true/false | false |\r\n\r\n!!!!! Source Markup\r\n{{\r\n{rss:url=http://blogs.msdn.com/codeplex/rss.xml,max=1,titlesOnly=false}\r\n}}\r\n!!!!! Rendered Markup\r\n{rss:url=http://blogs.msdn.com/codeplex/rss.xml,max=1,titlesOnly=false}',2,'2009-03-29 23:11:33','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (22,3,'[Home] > Video Support\r\n!! Video Support\r\n_The video macro allows you to insert video media into your wiki page_\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to video media | n/a |\r\n| type | media type of the video | flash/quicktime/real/soapbox/windows/youtube |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| align | alignment of the video | left/center/right | center |\r\n\r\n!!!!! Source Markup\r\n{{\r\n{video:url=mms://wm.microsoft.com/ms/msnse/0607/28366/CodePlexTeam_Final_MBR.wmv,type=windows}\r\n}}\r\n!!!!! Rendered Markup\r\n{video:url=mms://wm.microsoft.com/ms/msnse/0607/28366/CodePlexTeam_Final_MBR.wmv,type=windows}',2,'2009-03-29 23:11:50','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (23,4,'[Home] > Rss Support\r\n!! Rss Support\r\n_The rss macro allows for the importing of external rss feeds into your wiki page._\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to rss feed | n/a |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| max | maximum number of posts to display up to 20 | 0-20 | 20 |\r\n| titlesOnly | show only the date and title of each post | true/false | false |\r\n\r\n!!!!! Source Markup\r\n{{\r\n{rss:url=http://blogs.msdn.com/codeplex/rss.xml,max=1,titlesOnly=false}\r\n}}\r\n!!!!! Rendered Markup\r\n{rss:url=http://blogs.msdn.com/codeplex/rss.xml,max=1,titlesOnly=false}',3,'2009-03-29 23:12:03','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (24,2,'[Home] > Silverlight Support\r\n!! Silverlight Macro\r\n\r\n_The Silverlight macro allows you to insert Silverlight applications into your wiki page_\r\n\r\n!!!!! Source Markup\r\n{{\r\n{silverlight:url=http://slkit.blob.core.windows.net/xaps/ToolkitBanner.xap,height=280,width=880}\r\n}}\r\n!!!!! Rendered Markup\r\n{silverlight:url=http://slkit.blob.core.windows.net/xaps/ToolkitBanner.xap,height=280,width=880}',2,'2009-03-29 23:12:21','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (25,6,'[Home] > Formatting and Layout\r\n!! Formatting and Layout\r\nThis page provides a guide for doing simple formatting utilizing various macros.\r\n\r\n* [Basic Text Formatting]\r\n* [Headings]\r\n* [Code Blocks]\r\n* [Escaped Markup]\r\n* [Lists]\r\n* [Tables]\r\n* [Horizontal Rules]\r\n\r\n!!!! Note on block level tags\r\n_Block level tags include headings, lists, tables, and multi-line formatted text_\r\n* Tag must be the first thing on the line\r\n* Closing tag must be the last thing on the line\r\n* There should be no leading or trailing whitespace',3,'2009-03-29 23:12:46','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (26,13,'[Home] > [Formatting and Layout] > Horizontal Rules\r\n!! Horizontal Rules\r\n_Allows for a visual break in your wiki content_\r\n\r\n*Source Markup*\r\n{{\r\ntop content\r\n----\r\nbottom content\r\n}}\r\n\r\n*Rendered Markup*\r\n\r\ntop content\r\n----\r\nbottom content\r\n\r\n*Notes:*\r\nThe horizontal rule must be the first thing on a line. Content can follow it, but when rendered - will render on a new line.',1,'2009-03-29 23:16:26','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (27,6,'[Home] > Formatting and Layout\r\n!! Formatting and Layout\r\nThis page provides a guide for doing simple formatting utilizing various macros.\r\n\r\n* [Basic Text Formatting]\r\n* [Text Alignment]\r\n* [Headings]\r\n* [Code Blocks]\r\n* [Escaped Markup]\r\n* [Lists]\r\n* [Tables]\r\n* [Horizontal Rules]\r\n\r\n!!!! Note on block level tags\r\n_Block level tags include headings, lists, tables, and multi-line formatted text_\r\n* Tag must be the first thing on the line\r\n* Closing tag must be the last thing on the line\r\n* There should be no leading or trailing whitespace',4,'2009-04-08 15:06:06','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (28,14,'[Home] > [Formatting and Layout] > Text Alignment\r\n\r\n!! Text Alignment\r\n_Allows for alignment of text on the page._\r\n\r\n!!!!! Source Markup\r\n{{\r\n<{this is left aligned content}<\r\n>{this is right aligned content}>\r\n><{this is center aligned content}><\r\n<>{this is justified aligned content}<>\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n<{this is left aligned content}<\r\n>{this is right aligned content}>\r\n><{this is center aligned content}><\r\n<>{this is justified aligned content}<>',1,'2009-04-08 15:07:00','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (29,14,'[Home] > [Formatting and Layout] > Text Alignment\r\n\r\n!! Text Alignment\r\n_Allows for alignment of text on the page._\r\n\r\n!!!!! Source Markup\r\n{{\r\n<{this is left aligned content}<\r\n>{this is right aligned content}>\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n<{this is left aligned content}<\r\n>{this is right aligned content}>',2,'2009-06-16 15:56:22','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (30,6,'[Home] > Formatting and Layout\r\n!! Formatting and Layout\r\nThis page provides a guide for doing simple formatting utilizing various macros.\r\n\r\n* [Basic Text Formatting]\r\n* [Links]\r\n* [Images]\r\n* [Text Alignment]\r\n* [Headings]\r\n* [Code Blocks]\r\n* [Escaped Markup]\r\n* [Lists]\r\n* [Tables]\r\n* [Horizontal Rules]\r\n\r\n!!!! Note on block level tags\r\n_Block level tags include headings, lists, tables, and multi-line formatted text_\r\n* Tag must be the first thing on the line\r\n* Closing tag must be the last thing on the line\r\n* There should be no leading or trailing whitespace',5,'2009-07-15 23:26:37','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (31,15,'[Home] > [Formatting and Layout] > Links\r\n!! External Links\r\n_External links allow you to link to any url outside your project._\r\n\r\n!!!!! Source Markup\r\n{{\r\n[url:http://wikiplex.codeplex.com]\r\n[url:WikiPlex|http://wikiplex.codeplex.com]\r\n[url:Email Someone|mailto:someone@someurl.com]\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n[url:http://wikiplex.codeplex.com]\r\n[url:WikiPlex|http://wikiplex.codeplex.com]\r\n[url:Email Someone|mailto:someone@someurl.com]\r\n\r\n!! File Links\r\n_File links allow you to link to files that will prompt the user to download._\r\n\r\n!!!!! Source Markup\r\n{{\r\n[file:http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest]\r\n[file:Download Latest Source|http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest]\r\n}}\r\n\r\n[file:http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest]\r\n[file:Download Latest Source|http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest]\r\n\r\n!! Anchors\r\n_Anchors are links that allow you to link to certain content via a hashtag._\r\n\r\n!!!!! Source Markup\r\n{{\r\n// create an anchor\r\n{anchor:anchorName}\r\n\r\n// link to an anchor\r\n[#anchorName] \r\n}}\r\n\r\n// create an anchor\r\n{anchor:anchorName}\r\n\r\n// link to an anchor\r\n[#anchorName] ',1,'2009-07-15 23:34:33','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (32,16,'[Home] > [Formatting and Layout] > Images\r\n!! Images\r\n_Images allow you to link to images hosted elsewhere and linked from the wiki._\r\n\r\n!!!!! Source Markup\r\n{{\r\n[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321]\r\n[image:WikiPlex Logo|http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321]\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321]\r\n[image:WikiPlex Logo|http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321]\r\n\r\n!! Hyperlinking Images\r\n_Images can be hyperlinked using the format below._\r\n\r\n!!!!! Source Markup\r\n{{\r\n[image:<Friendly Name>|<image name or link to the image>|<URL pointed to by image>]\r\n\r\nFor example:\r\n\r\n[image:My Image|http://www.domain.com/myimage.jpg|http://www.domain.com]\r\n}}\r\n!!!!! Rendered Markup\r\n[image:WikiPlex|http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321|http://wikiplex.codeplex.com/]\r\n\r\n!! Wrapped Content\r\n_Images also allow you to wrap content around the left or right side of it._\r\n\r\n!!!!! Source Markup\r\n{{\r\n<[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321] This content will flow around the image on the right hand side.\r\n>[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321] This content will flow around the image on the left hand side.\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n<[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321] This content will flow around the image on the right hand side.\r\n>[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321] This content will flow around the image on the left hand side.',1,'2009-07-15 23:43:51','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (33,14,'[Home] > [Formatting and Layout] > Text Alignment\r\n\r\n!! Text Alignment\r\n_Allows for alignment of text on the page. Indentation allows for n-level depth._\r\n\r\n!!!!! Source Markup\r\n{{\r\n<{this is left aligned content}<\r\n>{this is right aligned content}>\r\n\r\n: this is indented\r\n:: this is double-indented\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n<{this is left aligned content}<\r\n>{this is right aligned content}>\r\n\r\n: this is indented\r\n:: this is double indented',3,'2009-08-25 13:44:29','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (34,3,'[Home] > Video Support\r\n!! Video Support\r\n_The video macro allows you to insert video media into your wiki page_\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to video media | n/a |\r\n| type | media type of the video | flash/quicktime/real/windows/youtube |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| align | alignment of the video | left/center/right | center |\r\n\r\n!!!!! Source Markup\r\n{{\r\n{video:url=mms://wm.microsoft.com/ms/msnse/0607/28366/CodePlexTeam_Final_MBR.wmv,type=windows}\r\n}}\r\n!!!!! Rendered Markup\r\n{video:url=mms://wm.microsoft.com/ms/msnse/0607/28366/CodePlexTeam_Final_MBR.wmv,type=windows}',3,'2009-08-25 14:12:13','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (35,2,'[Home] > Silverlight Support\r\n!! Silverlight Macro\r\n\r\n_The Silverlight macro allows you to insert Silverlight applications into your wiki page_\r\n\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to xap file | n/a |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| height | the height of the Silverlight object | number/% | 200 |\r\n| width | the width of the Silverlight object | number/% | 200 |\r\n| version | the version of Silverlight to use | 2/3 | 3 |\r\n\r\n\r\n!!!!! Source Markup\r\n{{\r\n{silverlight:url=http://slkit.blob.core.windows.net/xaps/ToolkitBanner.xap,height=280,width=880}\r\n}}\r\n!!!!! Rendered Markup\r\n{silverlight:url=http://slkit.blob.core.windows.net/xaps/ToolkitBanner.xap,height=280,width=880}',3,'2009-08-26 09:16:54','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (36,5,'[Home] > Syntax Highlighting\r\n!! Syntax Highlighted Code Snippet\r\n_Allows for a code snippet to be styled according to the language specified._\r\n\r\n!!!!! Source Markup\r\n{{\r\n{code:c#}\r\nusing System;\r\npublic class HelloWorld\r\n{\r\n   public static void Main(params string[] args)\r\n   {\r\n   Console.WriteLine(\"Hello World!\");\r\n   }\r\n}\r\n{code:c#}\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n{code:c#}\r\nusing System;\r\npublic class HelloWorld\r\n{\r\n   public static void Main(params string[] args)\r\n   {\r\n   Console.WriteLine(\"Hello World!\");\r\n   }\r\n}\r\n{code:c#}\r\n\r\n!!!!! Syntax Highlighting Supported Languages\r\n\r\nUsing {\"{code:language}\"} as shown above.\r\n\r\n|| Language || Notes ||\r\n| aspx c# | Use for code snippets from .aspx, .ascx, .asax, .asmx, .master, and .skin files that have embedded C# code |\r\n| aspx vb.net | Use for code snippets from .aspx, .ascx, .asax, .asmx, .master, and .skin files that have embedded VB.NET code |\r\n| ashx | Use for code snippets from .ashx files |\r\n| {\"c++\"} | Use for {\"C++\"} code snippets |\r\n| c# | Use for C# code snippets |\r\n| vb.net | Use for VB.NET code snippets |\r\n| html | Use for HTML code snippets |\r\n| sql | Use for SQL code snippets |\r\n| javascript | Use for JavaScript code snippets |\r\n| xml | Use for snippets from .xml, .config, .dbml, and .xsd files |\r\n| php | Use for PHP code snippets |\r\n| css | Use for CSS code snippets |',3,'2009-09-04 11:27:10','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (37,3,'[Home] > Video Support\r\n!! Video Support\r\n_The video macro allows you to insert video media into your wiki page_\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to video media | n/a |\r\n| type | media type of the video | flash/quicktime/real/windows/youtube |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| align | alignment of the video | left/center/right | center |\r\n| height | the height of the video | px, %, em, etc. | 285px |\r\n| width | the width of the video | px, %, em, etc. | 320px |\r\n\r\n\r\n!!!!! Source Markup\r\n{{\r\n{video:url=mms://wm.microsoft.com/ms/msnse/0607/28366/CodePlexTeam_Final_MBR.wmv,type=windows}\r\n}}\r\n!!!!! Rendered Markup\r\n{video:url=mms://wm.microsoft.com/ms/msnse/0607/28366/CodePlexTeam_Final_MBR.wmv,type=windows}',4,'2009-10-01 10:49:18','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (38,2,'[Home] > Silverlight Support\r\n!! Silverlight Macro\r\n\r\n_The Silverlight macro allows you to insert Silverlight applications into your wiki page_\r\n\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to xap file | n/a |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| height | the height of the Silverlight object | px, %, em, etc. | 200px |\r\n| width | the width of the Silverlight object | px, %, em, etc. | 200px |\r\n| version | the version of Silverlight to use | 2/3 | 3 |\r\n\r\n\r\n!!!!! Source Markup\r\n{{\r\n{silverlight:url=http://slkit.blob.core.windows.net/xaps/ToolkitBanner.xap,height=280,width=880}\r\n}}\r\n!!!!! Rendered Markup\r\n{silverlight:url=http://slkit.blob.core.windows.net/xaps/ToolkitBanner.xap,height=280,width=880}',4,'2009-10-01 10:50:50','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (39,5,'[Home] > Syntax Highlighting\r\n!! Syntax Highlighted Code Snippet\r\n_Allows for a code snippet to be styled according to the language specified._\r\n\r\n!!!!! Source Markup\r\n{{\r\n{code:c#}\r\nusing System;\r\npublic class HelloWorld\r\n{\r\n   public static void Main(params string[] args)\r\n   {\r\n   Console.WriteLine(\"Hello World!\");\r\n   }\r\n}\r\n{code:c#}\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n{code:c#}\r\nusing System;\r\npublic class HelloWorld\r\n{\r\n   public static void Main(params string[] args)\r\n   {\r\n   Console.WriteLine(\"Hello World!\");\r\n   }\r\n}\r\n{code:c#}\r\n\r\n!!!!! Syntax Highlighting Supported Languages\r\n\r\nUsing {\"{code:language}\"} as shown above.\r\n\r\n|| Language || Notes ||\r\n| aspx c# | Use for code snippets from .aspx, .ascx, .asax, .asmx, .master, and .skin files that have embedded C# code |\r\n| aspx vb.net | Use for code snippets from .aspx, .ascx, .asax, .asmx, .master, and .skin files that have embedded VB.NET code |\r\n| ashx | Use for code snippets from .ashx files |\r\n| {\"c++\"} | Use for {\"C++\"} code snippets |\r\n| c# | Use for C# code snippets |\r\n| vb.net | Use for VB.NET code snippets |\r\n| html | Use for HTML code snippets |\r\n| sql | Use for SQL code snippets |\r\n| java | Use for Java code snippets |\r\n| javascript | Use for JavaScript code snippets |\r\n| xml | Use for snippets from .xml, .config, .dbml, and .xsd files |\r\n| php | Use for PHP code snippets |\r\n| css | Use for CSS code snippets |',4,'2009-10-01 11:51:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (40,2,'[Home] > Silverlight Support\r\n!! Silverlight Macro\r\n\r\n_The Silverlight macro allows you to insert Silverlight applications into your wiki page_\r\n\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to xap file | n/a |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| height | the height of the Silverlight object | px, %, em, etc. | 200px |\r\n| width | the width of the Silverlight object | px, %, em, etc. | 200px |\r\n| version | the version of Silverlight to use | 2/3 | 3 |\r\n\r\n!!!! Initialized Parameters\r\nIf your Silverlight object requires initParams to be set, you can add arbitrary key/value pairs to the markup. They will be combined and rendered correctly at runtime.\r\n\r\n!!!!! Source Markup\r\n{{\r\n{silverlight:url=http://slkit.blob.core.windows.net/xaps/ToolkitBanner.xap,height=280,width=880,param1=a,param2=b}\r\n}}\r\n!!!!! Rendered Markup\r\n{silverlight:url=http://slkit.blob.core.windows.net/xaps/ToolkitBanner.xap,height=280,width=880,param1=a,param2=b}',5,'2009-10-01 15:36:29','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (41,3,'[Home] > Video Support\r\n!! Video Support\r\n_The video macro allows you to insert video media into your wiki page_\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to video media | n/a |\r\n| type | media type of the video | flash/quicktime/real/windows/youtube/channel9 |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| align | alignment of the video | left/center/right | center |\r\n| height | the height of the video | px, %, em, etc. | 285px |\r\n| width | the width of the video | px, %, em, etc. | 320px |\r\n\r\n\r\n!!!!! Source Markup\r\n{{\r\n{video:url=mms://wm.microsoft.com/ms/msnse/0607/28366/CodePlexTeam_Final_MBR.wmv,type=windows}\r\n}}\r\n!!!!! Rendered Markup\r\n{video:url=mms://wm.microsoft.com/ms/msnse/0607/28366/CodePlexTeam_Final_MBR.wmv,type=windows}',5,'2009-10-25 15:04:46','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (42,6,'[Wiki] > Formatting and Layout\r\n!! Formatting and Layout\r\nThis page provides a guide for doing simple formatting utilizing various macros.\r\n\r\n* [Basic Text Formatting]\r\n* [Links]\r\n* [Images]\r\n* [Text Alignment]\r\n* [Headings]\r\n* [Code Blocks]\r\n* [Escaped Markup]\r\n* [Lists]\r\n* [Tables]\r\n* [Horizontal Rules]\r\n\r\n!!!! Note on block level tags\r\n_Block level tags include headings, lists, tables, and multi-line formatted text_\r\n* Tag must be the first thing on the line\r\n* Closing tag must be the last thing on the line\r\n* There should be no leading or trailing whitespace',6,'2009-12-03 22:49:42','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (43,6,'[Home] > Formatting and Layout\r\n!! Formatting and Layout\r\nThis page provides a guide for doing simple formatting utilizing various macros.\r\n\r\n* [Basic Text Formatting]\r\n* [Links]\r\n* [Images]\r\n* [Text Alignment]\r\n* [Headings]\r\n* [Code Blocks]\r\n* [Escaped Markup]\r\n* [Lists]\r\n* [Tables]\r\n* [Horizontal Rules]\r\n\r\n!!!! Note on block level tags\r\n_Block level tags include headings, lists, tables, and multi-line formatted text_\r\n* Tag must be the first thing on the line\r\n* Closing tag must be the last thing on the line\r\n* There should be no leading or trailing whitespace',7,'2009-12-04 01:27:58','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (44,1,'!! Welcome to the MvcCms WikiPlex Sample Application\r\n\r\nThis application showcases the WikiPlex engine. Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',2,'2009-12-04 02:32:48','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (45,1,'!! Welcome to the MvcCms WikiPlex Wiki\r\n\r\nUse this wiki to keep up to date information on using [MmvcCms 1.0] and [MvcCms 2.0].\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',3,'2009-12-04 02:50:47','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (46,17,'[Home] \r\n\r\nMvcCms 1.0 is the first version of MvcCms based on the MVC 1.0 web framework from Microsoft',1,'2009-12-04 14:34:20','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (47,17,'[Home] > MvcCms 1.0\r\n\r\nMvcCms 1.0 is the first version of MvcCms based on the MVC 1.0 web framework from Microsoft',2,'2009-12-04 14:34:46','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (48,18,'[Home] > MvcCms 2.0\r\n\r\nMvcCms 2.0 is the first version of MvcCms based on the MVC 2.0 web framework from Microsoft',1,'2009-12-04 14:35:28','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (49,19,'this is the new wiki adapted from wikiplex',1,'2009-12-04 14:51:23','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (50,19,'this is the new wiki adapted from wikiplex\r\n\r\n[test page]',2,'2009-12-04 14:51:35','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (51,20,'[Home] > Test Page\r\n\r\nThis is a test',1,'2009-12-04 14:51:55','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (52,21,'The wiki for realitypeninsula.org',1,'2009-12-04 14:53:07','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (53,1,'!! Welcome to the MvcCms WikiPlex Wiki\r\n\r\nUse this wiki to keep up to date information on using [MmvcCms 1.0] and [MvcCms 2.0].\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',4,'2009-12-04 14:54:22','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (54,1,'!! Welcome to the MvcCms WikiPlex Wiki\r\n\r\nUse this wiki to keep up to date information on using [MmcCms 1.0] and [MvcCms 2.0].\r\n\r\nThe Wiki is setup to allow anonymous editing of pages but you must be a member of the site to create a wiki page.\r\n\r\nTo create a wiki page simply create a wiki link and then click through to it and you will be taken to the page to create the wiki page.\r\n\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',5,'2009-12-05 01:50:19','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (55,1,'!! Welcome to the MvcCms WikiPlex Wiki\r\n\r\nUse this wiki to keep up to date information on using [MvcCms 1.0] and [MvcCms 2.0].\r\n\r\nThe Wiki is setup to allow anonymous editing of pages but you must be a member of the site to create a wiki page.\r\n\r\nTo create a wiki page simply create a wiki link and then click through to it and you will be taken to the page to create the wiki page.\r\n\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',6,'2009-12-05 01:50:43','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (56,1,'!! Welcome to the MvcCms WikiPlex Wiki\r\n\r\nUse this wiki to keep up to date information on using [MvcCms 1.0] and [MvcCms 2.0].\r\n\r\nThe Wiki is setup to allow anonymous editing of pages but you must be a [url:member|http://www.mvccms.com/Account/Register] of the site to create a wiki page.\r\n\r\nTo create a wiki page simply create a wiki link and then click through to it and you will be taken to the page to create the wiki page.\r\n\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',7,'2009-12-05 01:53:30','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (57,1,'!! Welcome to the MvcCms [url:WikiPlex|http://wikiplex.codeplex.com/] Wiki\r\n\r\nUse this wiki to keep up to date information on using [MvcCms 1.0] and [MvcCms 2.0].\r\n\r\nThe Wiki is setup to allow anonymous editing of pages but you must be a [url:member|http://www.mvccms.com/Account/Register] of the site to create a wiki page.\r\n\r\nTo create a wiki page simply create a wiki link and then click through to it and you will be taken to the page to create the wiki page.\r\n\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',8,'2009-12-05 02:31:02','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (58,21,'The wiki for realitypeninsula.org\r\n\r\nAnonymous contributions welcome!',2,'2009-12-05 02:35:08','CE17F970-1405-4047-9163-EF5546890774',1),
 (59,1,'!! Welcome to the MvcCms [url:WikiPlex|http://wikiplex.codeplex.com/] Wiki\r\n\r\nUse this wiki to keep up to date information on using [MvcCms 1.0] and [MvcCms 2.0].\r\n\r\nThe Wiki is setup to allow anonymous editing of pages but you must be a [url:member|http://www.mvccms.com/Account/Register] of the site to create a wiki page.\r\n\r\nTo create a wiki page simply create a wiki link and then click through to it and you will be taken to the page to create the wiki page.\r\n\r\n* [Documentation]\r\n* [Planned Development]\r\n* [Known Issues]\r\n\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',9,'2009-12-05 03:48:14','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (60,22,'This will be the documentation section of the wiki.',1,'2009-12-05 03:49:00','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (61,22,'[Home] > MvcCms Documentation\r\n!!Documentation\r\n\r\nThis will be the documentation section of the wiki.',2,'2009-12-05 03:52:27','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (62,22,'[Home] > MvcCms Documentation\r\n!! Documentation\r\n\r\nThis will be the documentation section of the wiki.',3,'2009-12-05 03:53:04','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',1),
 (63,19,'Sandbox wiki home\r\n\r\nThe wiki rocks but I see it is all messed up on the sandbox, I\'ll fix it tomorrow.\r\n\r\n[test page]',3,'2009-12-05 04:25:30','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',0),
 (64,1,'!! Welcome to the MvcCms [url:WikiPlex|http://wikiplex.codeplex.com/] Wiki\r\n\r\nUse this wiki to keep up to date information on using [MvcCms 1.0] and [MvcCms 2.0].\r\n\r\nThe Wiki is setup to allow anonymous editing of pages but you must be a [url:member|http://www.mvccms.com/Account/Register] of the site to create a wiki page.\r\n\r\nTo create a wiki page simply create a wiki link and then click through to it and you will be taken to the page to create the wiki page.\r\n\r\n* [Documentation]\r\n* [Planned Development]\r\n* [Known Issues]\r\n\r\n1\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',10,'2009-12-05 15:17:27','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (65,1,'!! Welcome to the MvcCms [url:WikiPlex|http://wikiplex.codeplex.com/] Wiki\r\n\r\nUse this wiki to keep up to date information on using [MvcCms 1.0] and [MvcCms 2.0].\r\n\r\nThe Wiki is setup to allow anonymous editing of pages but you must be a [url:member|http://www.mvccms.com/Account/Register] of the site to create a wiki page.\r\n\r\nTo create a wiki page simply create a wiki link and then click through to it and you will be taken to the page to create the wiki page.\r\n\r\n* [Documentation]\r\n* [Planned Development]\r\n* [Known Issues]\r\n\r\n12\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',11,'2009-12-05 15:17:34','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (66,1,'!! Welcome to the MvcCms [url:WikiPlex|http://wikiplex.codeplex.com/] Wiki\r\n\r\nUse this wiki to keep up to date information on using [MvcCms 1.0] and [MvcCms 2.0].\r\n\r\nThe Wiki is setup to allow anonymous editing of pages but you must be a [url:member|http://www.mvccms.com/Account/Register] of the site to create a wiki page.\r\n\r\nTo create a wiki page simply create a wiki link and then click through to it and you will be taken to the page to create the wiki page.\r\n\r\n* [Documentation]\r\n* [Planned Development]\r\n* [Known Issues]\r\n\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',12,'2009-12-05 15:17:42','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (67,20,'[Home] > Test Page\r\n\r\nThis is a test\r\n\r\n[poiuy tre]',2,'2009-12-05 19:38:25','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',0),
 (68,23,'JHVJHBLJK KJB L',1,'2009-12-05 19:38:38','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (69,19,'Sandbox wiki home\r\n\r\nThe wiki rocks but I see it is all messed up on the sandbox, I\'ll fix it tomorrow.\r\n\r\n[test page]\r\n\r\n\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',4,'2009-12-05 19:44:44','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',0),
 (70,24,'[Home] > Formatting and Layout\r\n!! Formatting and Layout\r\nThis page provides a guide for doing simple formatting utilizing various macros.\r\n\r\n* [Basic Text Formatting]\r\n* [Links]\r\n* [Images]\r\n* [Text Alignment]\r\n* [Headings]\r\n* [Code Blocks]\r\n* [Escaped Markup]\r\n* [Lists]\r\n* [Tables]\r\n* [Horizontal Rules]\r\n\r\n!!!! Note on block level tags\r\n_Block level tags include headings, lists, tables, and multi-line formatted text_\r\n* Tag must be the first thing on the line\r\n* Closing tag must be the last thing on the line\r\n* There should be no leading or trailing whitespace',1,'2009-12-05 19:45:08','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (71,25,'[Home] > [Formatting and Layout] > Basic Formatting\r\n!! Basic Formatting\r\n_Allows for simple formatting of wiki text._\r\n\r\n!!!!! Source Markup\r\n{{\r\n*bold*\r\n_italics_\r\n+underline+\r\n--strikethrough--\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n*bold*\r\n_italics_\r\n+underline+\r\n--strikethrough--',1,'2009-12-05 19:45:47','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (72,26,'[Home] > [Formatting and Layout] > Links\r\n!! External Links\r\n_External links allow you to link to any url outside your project._\r\n\r\n!!!!! Source Markup\r\n{{\r\n[url:http://wikiplex.codeplex.com]\r\n[url:WikiPlex|http://wikiplex.codeplex.com]\r\n[url:Email Someone|mailto:someone@someurl.com]\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n[url:http://wikiplex.codeplex.com]\r\n[url:WikiPlex|http://wikiplex.codeplex.com]\r\n[url:Email Someone|mailto:someone@someurl.com]\r\n\r\n!! File Links\r\n_File links allow you to link to files that will prompt the user to download._\r\n\r\n!!!!! Source Markup\r\n{{\r\n[file:http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest]\r\n[file:Download Latest Source|http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest]\r\n}}\r\n\r\n[file:http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest]\r\n[file:Download Latest Source|http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest]\r\n\r\n!! Anchors\r\n_Anchors are links that allow you to link to certain content via a hashtag._\r\n\r\n!!!!! Source Markup\r\n{{\r\n// create an anchor\r\n{anchor:anchorName}\r\n\r\n// link to an anchor\r\n[#anchorName] \r\n}}\r\n\r\n// create an anchor\r\n{anchor:anchorName}\r\n\r\n// link to an anchor\r\n[#anchorName] ',1,'2009-12-05 19:46:12','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (73,27,'[Home] > [Formatting and Layout] > Images\r\n!! Images\r\n_Images allow you to link to images hosted elsewhere and linked from the wiki._\r\n\r\n!!!!! Source Markup\r\n{{\r\n[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321]\r\n[image:WikiPlex Logo|http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321]\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321]\r\n[image:WikiPlex Logo|http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321]\r\n\r\n!! Hyperlinking Images\r\n_Images can be hyperlinked using the format below._\r\n\r\n!!!!! Source Markup\r\n{{\r\n[image:<Friendly Name>|<image name or link to the image>|<URL pointed to by image>]\r\n\r\nFor example:\r\n\r\n[image:My Image|http://www.domain.com/myimage.jpg|http://www.domain.com]\r\n}}\r\n!!!!! Rendered Markup\r\n[image:WikiPlex|http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321|http://wikiplex.codeplex.com/]\r\n\r\n!! Wrapped Content\r\n_Images also allow you to wrap content around the left or right side of it._\r\n\r\n!!!!! Source Markup\r\n{{\r\n<[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321] This content will flow around the image on the right hand side.\r\n>[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321] This content will flow around the image on the left hand side.\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n<[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321] This content will flow around the image on the right hand side.\r\n>[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321] This content will flow around the image on the left hand side.',1,'2009-12-05 19:46:43','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (74,28,'[Home] > [Formatting and Layout] > Text Alignment\r\n\r\n!! Text Alignment\r\n_Allows for alignment of text on the page. Indentation allows for n-level depth._\r\n\r\n!!!!! Source Markup\r\n{{\r\n<{this is left aligned content}<\r\n>{this is right aligned content}>\r\n\r\n: this is indented\r\n:: this is double-indented\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n<{this is left aligned content}<\r\n>{this is right aligned content}>\r\n\r\n: this is indented\r\n:: this is double indented',1,'2009-12-05 19:47:46','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (75,29,'[Home] > [Formatting and Layout] > Headings\r\n!! Headings\r\n_Allows formatting text as a header._\r\n\r\n!!!!! Source Markup\r\n{{\r\n! Heading 1\r\n!! Heading 2\r\n!!! Heading 3\r\n!!!! Heading 4\r\n!!!!! Heading 5\r\n!!!!!! Heading 6\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n! Heading 1   \r\n!! Heading 2\r\n!!! Heading 3\r\n!!!! Heading 4\r\n!!!!! Heading 5\r\n!!!!!! Heading 6',1,'2009-12-05 19:48:11','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (76,30,'[Home] > [Formatting and Layout] > Code Blocks\r\n!! Code Block\r\n_Allows for text to be formatted as code for languages in which syntax highlighting is not supported._\r\n\r\n!!!!! Source Markup\r\n{{\r\n// multi-line\r\n{{\r\n   public static void Main()\r\n   {\r\n     // code goes here\r\n   }\r\n}}\r\n\r\n// single line\r\n{{ single line of text }}\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n// multi-line\r\n{{\r\n   public static void Main()\r\n   {\r\n     // code goes here\r\n   }\r\n}}\r\n\r\n// single line\r\n{{ single line of text }}',1,'2009-12-05 19:48:39','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (77,31,'[Home] > [Formatting and Layout] > Escaped Markup\r\n!! Escaped Markup\r\n_Allows use of wiki formatting characters as literal text._\r\n\r\n!!!!! Source Markup\r\n{{\r\n{\"text with *unrendered* wiki markup\"}\r\n}}\r\n\r\n!!!!! Rendered Text\r\n{\"text with *unrendered* wiki markup\"}\r\n\r\n*Note: Only use vertical (not curly) quotes to ensure that formatting will not apply.*',1,'2009-12-05 19:49:01','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (78,32,'[Home] > [Formatting and Layout] > Lists\r\n!! Lists\r\n_Allows for the creation of bullted or numbered lists._\r\n\r\n!!!!! Source Markup\r\n{{\r\n* Bulleted List 1\r\n** Bulleted List 2\r\n*** Bulleted List 3\r\n\r\n# Numbered List 1\r\n## Numbered List 1.1\r\n### Numbered List 1.1.1\r\n# Numbered List 2\r\n## Numbered List 2.1\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n* Bulleted List 1\r\n** Bulleted List 2\r\n*** Bulleted List 3\r\n\r\n# Numbered List 1\r\n## Numbered List 1.1\r\n### Numbered List 1.1.1\r\n# Numbered List 2\r\n## Numbered List 2.1',1,'2009-12-05 19:49:29','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (79,33,'[Home] > [Formatting and Layout] > Tables\r\n!! Tables\r\n_Allows for the creation of simple table layouts._\r\n\r\n!!!!! Source Markup\r\n{{\r\n|| Table Heading 1 || Table Heading 2 || Table Heading 3 ||\r\n| Row 1 - Cell 1 | Row 1 - Cell 2 | Row 1 - Cell 3 |\r\n| Row 2 - Cell 1 | Row 2 - Cell 2 | Row 2 - Cell 3 |\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n|| Table Heading 1 || Table Heading 2 || Table Heading 3 ||\r\n| Row 1 - Cell 1 | Row 1 - Cell 2 | Row 1 - Cell 3 |\r\n| Row 2 - Cell 1 | Row 2 - Cell 2 | Row 2 - Cell 3 |',1,'2009-12-05 19:49:56','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (80,34,'[Home] > [Formatting and Layout] > Horizontal Rules\r\n!! Horizontal Rules\r\n_Allows for a visual break in your wiki content_\r\n\r\n*Source Markup*\r\n{{\r\ntop content\r\n----\r\nbottom content\r\n}}\r\n\r\n*Rendered Markup*\r\n\r\ntop content\r\n----\r\nbottom content\r\n\r\n*Notes:*\r\nThe horizontal rule must be the first thing on a line. Content can follow it, but when rendered - will render on a new line.',1,'2009-12-05 19:50:24','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (81,35,'[Home] > Syntax Highlighting\r\n!! Syntax Highlighted Code Snippet\r\n_Allows for a code snippet to be styled according to the language specified._\r\n\r\n!!!!! Source Markup\r\n{{\r\n{code:c#}\r\nusing System;\r\npublic class HelloWorld\r\n{\r\n   public static void Main(params string[] args)\r\n   {\r\n   Console.WriteLine(\"Hello World!\");\r\n   }\r\n}\r\n{code:c#}\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n{code:c#}\r\nusing System;\r\npublic class HelloWorld\r\n{\r\n   public static void Main(params string[] args)\r\n   {\r\n   Console.WriteLine(\"Hello World!\");\r\n   }\r\n}\r\n{code:c#}\r\n\r\n!!!!! Syntax Highlighting Supported Languages\r\n\r\nUsing {\"{code:language}\"} as shown above.\r\n\r\n|| Language || Notes ||\r\n| aspx c# | Use for code snippets from .aspx, .ascx, .asax, .asmx, .master, and .skin files that have embedded C# code |\r\n| aspx vb.net | Use for code snippets from .aspx, .ascx, .asax, .asmx, .master, and .skin files that have embedded VB.NET code |\r\n| ashx | Use for code snippets from .ashx files |\r\n| {\"c++\"} | Use for {\"C++\"} code snippets |\r\n| c# | Use for C# code snippets |\r\n| vb.net | Use for VB.NET code snippets |\r\n| html | Use for HTML code snippets |\r\n| sql | Use for SQL code snippets |\r\n| java | Use for Java code snippets |\r\n| javascript | Use for JavaScript code snippets |\r\n| xml | Use for snippets from .xml, .config, .dbml, and .xsd files |\r\n| php | Use for PHP code snippets |\r\n| css | Use for CSS code snippets |',1,'2009-12-05 19:50:57','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (82,36,'[Home] > Rss Support\r\n!! Rss Support\r\n_The rss macro allows for the importing of external rss feeds into your wiki page._\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to rss feed | n/a |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| max | maximum number of posts to display up to 20 | 0-20 | 20 |\r\n| titlesOnly | show only the date and title of each post | true/false | false |\r\n\r\n!!!!! Source Markup\r\n{{\r\n{rss:url=http://blogs.msdn.com/codeplex/rss.xml,max=1,titlesOnly=false}\r\n}}\r\n!!!!! Rendered Markup\r\n{rss:url=http://blogs.msdn.com/codeplex/rss.xml,max=1,titlesOnly=false}',1,'2009-12-05 19:51:25','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (83,37,'[Home] > Video Support\r\n!! Video Support\r\n_The video macro allows you to insert video media into your wiki page_\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to video media | n/a |\r\n| type | media type of the video | flash/quicktime/real/windows/youtube/channel9 |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| align | alignment of the video | left/center/right | center |\r\n| height | the height of the video | px, %, em, etc. | 285px |\r\n| width | the width of the video | px, %, em, etc. | 320px |\r\n\r\n\r\n!!!!! Source Markup\r\n{{\r\n{video:url=mms://wm.microsoft.com/ms/msnse/0607/28366/CodePlexTeam_Final_MBR.wmv,type=windows}\r\n}}\r\n!!!!! Rendered Markup\r\n{video:url=mms://wm.microsoft.com/ms/msnse/0607/28366/CodePlexTeam_Final_MBR.wmv,type=windows}',1,'2009-12-05 19:51:55','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (84,38,'[Home] > Silverlight Support\r\n!! Silverlight Macro\r\n\r\n_The Silverlight macro allows you to insert Silverlight applications into your wiki page_\r\n\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to xap file | n/a |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| height | the height of the Silverlight object | px, %, em, etc. | 200px |\r\n| width | the width of the Silverlight object | px, %, em, etc. | 200px |\r\n| version | the version of Silverlight to use | 2/3 | 3 |\r\n\r\n!!!! Initialized Parameters\r\nIf your Silverlight object requires initParams to be set, you can add arbitrary key/value pairs to the markup. They will be combined and rendered correctly at runtime.\r\n\r\n!!!!! Source Markup\r\n{{\r\n{silverlight:url=http://slkit.blob.core.windows.net/xaps/ToolkitBanner.xap,height=280,width=880,param1=a,param2=b}\r\n}}\r\n!!!!! Rendered Markup\r\n{silverlight:url=http://slkit.blob.core.windows.net/xaps/ToolkitBanner.xap,height=280,width=880,param1=a,param2=b}',1,'2009-12-05 19:52:27','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (85,19,'Sandbox wiki home\r\n\r\nThe wiki rocks!!!!!!\r\n\r\n[test page]\r\n\r\n\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',5,'2009-12-05 19:52:55','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',0),
 (86,19,'Sandbox wiki home\r\n\r\nThe wiki rocks!!!!!!\r\n\r\n[test page]\r\n\r\nthe wiki is set to allow anonymous edit and create page.\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',6,'2009-12-05 19:58:58','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',0),
 (87,21,'The wiki for realitypeninsula.org\r\n\r\nAnonymous contributions welcome!',3,'2009-12-05 20:16:56','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (88,21,'The wiki for realitypeninsula.org\r\n\r\nAnonymous contributions welcome!\r\n\r\n[A View From Space With Gary Bell]',4,'2009-12-05 20:17:28','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (89,39,'[Home] > A View From Space With Gary Bell\r\n\r\nPost info here about a view from space.',1,'2009-12-05 20:18:25','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (90,21,'The wiki for realitypeninsula.org\r\n\r\nAnonymous contributions welcome!\r\n\r\n[A View From Space With Gary Bell]\r\n\r\n\r\n\r\n\r\n\r\n----\r\n\r\nBelow are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',5,'2009-12-05 20:34:21','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (91,40,'[Home] > Formatting and Layout\r\n!! Formatting and Layout\r\nThis page provides a guide for doing simple formatting utilizing various macros.\r\n\r\n* [Basic Text Formatting]\r\n* [Links]\r\n* [Images]\r\n* [Text Alignment]\r\n* [Headings]\r\n* [Code Blocks]\r\n* [Escaped Markup]\r\n* [Lists]\r\n* [Tables]\r\n* [Horizontal Rules]\r\n\r\n!!!! Note on block level tags\r\n_Block level tags include headings, lists, tables, and multi-line formatted text_\r\n* Tag must be the first thing on the line\r\n* Closing tag must be the last thing on the line\r\n* There should be no leading or trailing whitespace',1,'2009-12-05 20:34:48','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (92,41,'[Home] > [Formatting and Layout] > Basic Formatting\r\n!! Basic Formatting\r\n_Allows for simple formatting of wiki text._\r\n\r\n!!!!! Source Markup\r\n{{\r\n*bold*\r\n_italics_\r\n+underline+\r\n--strikethrough--\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n*bold*\r\n_italics_\r\n+underline+\r\n--strikethrough--',1,'2009-12-05 20:35:07','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (93,42,'[Home] > [Formatting and Layout] > Links\r\n!! External Links\r\n_External links allow you to link to any url outside your project._\r\n\r\n!!!!! Source Markup\r\n{{\r\n[url:http://wikiplex.codeplex.com]\r\n[url:WikiPlex|http://wikiplex.codeplex.com]\r\n[url:Email Someone|mailto:someone@someurl.com]\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n[url:http://wikiplex.codeplex.com]\r\n[url:WikiPlex|http://wikiplex.codeplex.com]\r\n[url:Email Someone|mailto:someone@someurl.com]\r\n\r\n!! File Links\r\n_File links allow you to link to files that will prompt the user to download._\r\n\r\n!!!!! Source Markup\r\n{{\r\n[file:http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest]\r\n[file:Download Latest Source|http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest]\r\n}}\r\n\r\n[file:http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest]\r\n[file:Download Latest Source|http://wikiplex.codeplex.com/SourceControl/ListDownloadableCommits.aspx#DownloadLatest]\r\n\r\n!! Anchors\r\n_Anchors are links that allow you to link to certain content via a hashtag._\r\n\r\n!!!!! Source Markup\r\n{{\r\n// create an anchor\r\n{anchor:anchorName}\r\n\r\n// link to an anchor\r\n[#anchorName] \r\n}}\r\n\r\n// create an anchor\r\n{anchor:anchorName}\r\n\r\n// link to an anchor\r\n[#anchorName] ',1,'2009-12-05 20:35:36','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (94,43,'[Home] > [Formatting and Layout] > Images\r\n!! Images\r\n_Images allow you to link to images hosted elsewhere and linked from the wiki._\r\n\r\n!!!!! Source Markup\r\n{{\r\n[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321]\r\n[image:WikiPlex Logo|http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321]\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321]\r\n[image:WikiPlex Logo|http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321]\r\n\r\n!! Hyperlinking Images\r\n_Images can be hyperlinked using the format below._\r\n\r\n!!!!! Source Markup\r\n{{\r\n[image:<Friendly Name>|<image name or link to the image>|<URL pointed to by image>]\r\n\r\nFor example:\r\n\r\n[image:My Image|http://www.domain.com/myimage.jpg|http://www.domain.com]\r\n}}\r\n!!!!! Rendered Markup\r\n[image:WikiPlex|http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321|http://wikiplex.codeplex.com/]\r\n\r\n!! Wrapped Content\r\n_Images also allow you to wrap content around the left or right side of it._\r\n\r\n!!!!! Source Markup\r\n{{\r\n<[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321] This content will flow around the image on the right hand side.\r\n>[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321] This content will flow around the image on the left hand side.\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n<[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321] This content will flow around the image on the right hand side.\r\n>[image:http://download.codeplex.com/Project/Download/FileDownload.aspx?ProjectName=WikiPlex&DownloadId=74720&Build=15321] This content will flow around the image on the left hand side.',1,'2009-12-05 20:36:12','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (95,44,'[Home] > [Formatting and Layout] > Text Alignment\r\n\r\n!! Text Alignment\r\n_Allows for alignment of text on the page. Indentation allows for n-level depth._\r\n\r\n!!!!! Source Markup\r\n{{\r\n<{this is left aligned content}<\r\n>{this is right aligned content}>\r\n\r\n: this is indented\r\n:: this is double-indented\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n<{this is left aligned content}<\r\n>{this is right aligned content}>\r\n\r\n: this is indented\r\n:: this is double indented',1,'2009-12-05 20:36:51','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1);
INSERT INTO `wiki_contents` (`ContentID`,`TitleID`,`Source`,`Version`,`VersionDate`,`UserID`,`IsCurrentVersion`) VALUES 
 (96,45,'[Home] > [Formatting and Layout] > Headings\r\n!! Headings\r\n_Allows formatting text as a header._\r\n\r\n!!!!! Source Markup\r\n{{\r\n! Heading 1\r\n!! Heading 2\r\n!!! Heading 3\r\n!!!! Heading 4\r\n!!!!! Heading 5\r\n!!!!!! Heading 6\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n! Heading 1   \r\n!! Heading 2\r\n!!! Heading 3\r\n!!!! Heading 4\r\n!!!!! Heading 5\r\n!!!!!! Heading 6',1,'2009-12-05 20:37:15','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (97,46,'[Home] > [Formatting and Layout] > Escaped Markup\r\n!! Escaped Markup\r\n_Allows use of wiki formatting characters as literal text._\r\n\r\n!!!!! Source Markup\r\n{{\r\n{\"text with *unrendered* wiki markup\"}\r\n}}\r\n\r\n!!!!! Rendered Text\r\n{\"text with *unrendered* wiki markup\"}\r\n\r\n*Note: Only use vertical (not curly) quotes to ensure that formatting will not apply.*',1,'2009-12-05 20:37:48','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (98,47,'[Home] > [Formatting and Layout] > Lists\r\n!! Lists\r\n_Allows for the creation of bullted or numbered lists._\r\n\r\n!!!!! Source Markup\r\n{{\r\n* Bulleted List 1\r\n** Bulleted List 2\r\n*** Bulleted List 3\r\n\r\n# Numbered List 1\r\n## Numbered List 1.1\r\n### Numbered List 1.1.1\r\n# Numbered List 2\r\n## Numbered List 2.1\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n* Bulleted List 1\r\n** Bulleted List 2\r\n*** Bulleted List 3\r\n\r\n# Numbered List 1\r\n## Numbered List 1.1\r\n### Numbered List 1.1.1\r\n# Numbered List 2\r\n## Numbered List 2.1',1,'2009-12-05 20:38:13','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (99,48,'[Home] > [Formatting and Layout] > Tables\r\n!! Tables\r\n_Allows for the creation of simple table layouts._\r\n\r\n!!!!! Source Markup\r\n{{\r\n|| Table Heading 1 || Table Heading 2 || Table Heading 3 ||\r\n| Row 1 - Cell 1 | Row 1 - Cell 2 | Row 1 - Cell 3 |\r\n| Row 2 - Cell 1 | Row 2 - Cell 2 | Row 2 - Cell 3 |\r\n}}\r\n\r\n!!!!! Rendered Markup\r\n|| Table Heading 1 || Table Heading 2 || Table Heading 3 ||\r\n| Row 1 - Cell 1 | Row 1 - Cell 2 | Row 1 - Cell 3 |\r\n| Row 2 - Cell 1 | Row 2 - Cell 2 | Row 2 - Cell 3 |',1,'2009-12-05 20:38:38','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (100,49,'[Home] > [Formatting and Layout] > Horizontal Rules\r\n!! Horizontal Rules\r\n_Allows for a visual break in your wiki content_\r\n\r\n*Source Markup*\r\n{{\r\ntop content\r\n----\r\nbottom content\r\n}}\r\n\r\n*Rendered Markup*\r\n\r\ntop content\r\n----\r\nbottom content\r\n\r\n*Notes:*\r\nThe horizontal rule must be the first thing on a line. Content can follow it, but when rendered - will render on a new line.',1,'2009-12-05 20:39:01','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (101,40,'[Home] > Formatting and Layout\r\n!! Formatting and Layout\r\nThis page provides a guide for doing simple formatting utilizing various macros.\r\n\r\n* [Basic Text Formatting]\r\n* [Links]\r\n* [Images]\r\n* [Text Alignment]\r\n* [Headings]\r\n* [Escaped Markup]\r\n* [Lists]\r\n* [Tables]\r\n* [Horizontal Rules]\r\n\r\n!!!! Note on block level tags\r\n_Block level tags include headings, lists, tables, and multi-line formatted text_\r\n* Tag must be the first thing on the line\r\n* Closing tag must be the last thing on the line\r\n* There should be no leading or trailing whitespace',2,'2009-12-05 20:39:13','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (103,51,'[Home] > Video Support\r\n!! Video Support\r\n_The video macro allows you to insert video media into your wiki page_\r\n!!!!! Required Parameters\r\n|| Name || Description || Range ||\r\n| url | absolute url to video media | n/a |\r\n| type | media type of the video | flash/quicktime/real/windows/youtube/channel9 |\r\n\r\n!!!!! Optional Parameters\r\n|| Name || Description || Range || Default ||\r\n| align | alignment of the video | left/center/right | center |\r\n| height | the height of the video | px, %, em, etc. | 285px |\r\n| width | the width of the video | px, %, em, etc. | 320px |\r\n\r\n\r\n!!!!! Source Markup\r\n{{\r\n{video:url=mms://wm.microsoft.com/ms/msnse/0607/28366/CodePlexTeam_Final_MBR.wmv,type=windows}\r\n}}\r\n!!!!! Rendered Markup\r\n{video:url=mms://wm.microsoft.com/ms/msnse/0607/28366/CodePlexTeam_Final_MBR.wmv,type=windows}',1,'2009-12-05 20:40:17','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (104,21,'The wiki for realitypeninsula.org\r\n\r\nAnonymous contributions welcome!\r\n\r\n[A View From Space With Gary Bell]\r\n\r\n\r\n\r\n\r\n\r\n----\r\n\r\nBelow are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [RSS Support]\r\n* [Video Support]',6,'2009-12-05 20:40:40','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (105,39,'[Home] > A View From Space With Gary Bell\r\n\r\nPost info here about a view from space.\r\n\r\n[url:Page at 640 AM Toronto|link:http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n\r\n\r\n[url:Page At Conspiracy Culture|link:http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n\r\n[url:Yahoo Group|link:http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.',2,'2009-12-05 20:57:21','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (106,39,'[Home] > A View From Space With Gary Bell\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/Spaceman.gif] Post info here about a view from space. \r\n\r\n\r\n[url:Page at 640 AM Toronto|link:http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n\r\n\r\n[url:Page At Conspiracy Culture|link:http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n\r\n[url:Yahoo Group|link:http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.',3,'2009-12-05 21:03:31','CE17F970-1405-4047-9163-EF5546890774',0),
 (107,39,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/Spaceman.gif] Post info here about a view from space. \r\n\r\n\r\n[url:Page at 640 AM Toronto|link:http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n\r\n\r\n[url:Page At Conspiracy Culture|link:http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n\r\n[url:Yahoo Group|link:http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.',4,'2009-12-05 21:04:30','CE17F970-1405-4047-9163-EF5546890774',0),
 (108,39,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/Spaceman.gif] Post info here about a view from space. \r\n\r\n\r\n[url:Page at 640 AM Toronto|link:http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n\r\n\r\n[url:Page At Conspiracy Culture|link:http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n\r\n[url:Yahoo Group|link:http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n[url:Facebook Group|link:http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n',5,'2009-12-05 21:06:53','CE17F970-1405-4047-9163-EF5546890774',0),
 (109,52,'[Home] > Battle Star Galactica\r\n\r\n!! Battle Star Galactica',1,'2009-12-05 22:12:03','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',0),
 (110,52,'[Home] > Battle Star Galactica\r\n\r\n!! Battle Star Galactica\r\n\r\n[image:http://coffeeandheroes.files.wordpress.com/2008/12/0battlestar-galactica.jpg]',2,'2009-12-05 22:12:25','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',0),
 (111,52,'[Home] > Battle Star Galactica\r\n\r\n!! Battle Star Galactica \r\n\r\n>{[url:BSG Page|http://www.mvccms.net/shows/fiction/science/bsg]}>\r\n\r\n[image:http://coffeeandheroes.files.wordpress.com/2008/12/0battlestar-galactica.jpg]',3,'2009-12-05 22:14:21','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',0),
 (112,39,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/Spaceman.gif] Post info here about a view from space. \r\n\r\n\r\n[url:Page at 640 AM Toronto|link:http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n\r\n\r\n[url:Page At Conspiracy Culture|link:http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n\r\n[url:Yahoo Group|link:http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n[url:Facebook Group|link:http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n[12/05/09 Show]\r\n\r\n',6,'2009-12-05 23:23:44','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (113,53,'Notes on show from 12/05/09',1,'2009-12-05 23:24:32','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (114,53,'[Home] > [A View From Space] > 12/05/09 Notes\r\n\r\n!! Notes on show from 12/05/09\r\n\r\nHe mentioned a book about Nazi occultism written in the 90\'s, I missed the name of it maybe will have to get it from the recording.',2,'2009-12-05 23:26:05','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (115,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on show from 12/05/09\r\n\r\nHe mentioned a book about Nazi occultism written in the 90\'s, I missed the name of it maybe will have to get it from the recording.',3,'2009-12-05 23:26:37','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (116,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on show from 12/05/09\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\nThe Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\n',4,'2009-12-05 23:37:17','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (117,54,'[Home] > [Authors] > Nicholas Goodrick-Clarke\r\n\r\nNicholas Goodrick-Clarke B.A. (Bristol), D.Phil. (Oxon) is a professor of Western Esotericism at University of Exeter and author of several books on esoteric traditions.\r\n\r\nHe is the author of several books on modern occultism and esotericism, and the history of its intersection with Nazi politics. His book, The Occult Roots of Nazism, has remained in print since its publication in 1985 and has been translated into eight languages. He has also written on the occultist aspects of neo-Nazism in Black Sun: Aryan Cults, Esoteric Nazism and the Politics of Identity.\r\n\r\nHe is Professor of Western Esotericism and Director of the Centre for the Study of Esotericism (EXESESO) within the School of Humanities and Social Sciences at the University of Exeter in the United Kingdom. He lives in Southern England.',1,'2009-12-05 23:39:00','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (118,54,'[Home] > [Authors] > Nicholas Goodrick-Clarke\r\n!! Nicholas Goodrick-Clarke\r\n\r\nNicholas Goodrick-Clarke B.A. (Bristol), D.Phil. (Oxon) is a professor of Western Esotericism at University of Exeter and author of several books on esoteric traditions.\r\n\r\nHe is the author of several books on modern occultism and esotericism, and the history of its intersection with Nazi politics. His book, The Occult Roots of Nazism, has remained in print since its publication in 1985 and has been translated into eight languages. He has also written on the occultist aspects of neo-Nazism in Black Sun: Aryan Cults, Esoteric Nazism and the Politics of Identity.\r\n\r\nHe is Professor of Western Esotericism and Director of the Centre for the Study of Esotericism (EXESESO) within the School of Humanities and Social Sciences at the University of Exeter in the United Kingdom. He lives in Southern England.',2,'2009-12-05 23:39:17','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (119,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on show from 12/05/09\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\n',5,'2009-12-05 23:39:53','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (120,55,'[Home] > Authors\r\n!! Authors\r\n\r\nWe can keep a list of authors here.',1,'2009-12-05 23:43:51','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (121,55,'[Home] > Authors\r\n!! Authors\r\n\r\nWe can keep a list of authors here.\r\n\r\n* [Nicholas Goodrick-Clarke]',2,'2009-12-05 23:44:35','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (122,55,'[Home] > Authors\r\n!! Authors\r\n\r\nWe can keep a list of authors here.\r\n\r\n\r\n*[Nicholas Goodrick-Clarke]',3,'2009-12-05 23:45:01','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (123,21,'The wiki for realitypeninsula.org\r\n\r\nAnonymous contributions welcome!\r\n\r\n*[Radio]\r\n*[Authors]\r\n\r\n[A View From Space With Gary Bell]\r\n\r\n\r\n\r\n\r\n\r\n----\r\n\r\nBelow are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [RSS Support]\r\n* [Video Support]',7,'2009-12-05 23:46:02','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (124,21,'The wiki for realitypeninsula.org\r\n\r\nAnonymous contributions welcome!\r\n\r\n* [Radio]\r\n* [Authors]\r\n\r\n[A View From Space With Gary Bell]\r\n\r\n\r\n\r\n\r\n\r\n----\r\n\r\nBelow are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [RSS Support]\r\n* [Video Support]',8,'2009-12-05 23:46:13','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (125,56,'[Home] > Radio\r\n!! Radio\r\n\r\n*[A View From Space]\r\n*[Alex Jones]',1,'2009-12-05 23:48:41','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (126,56,'[Home] > Radio\r\n!! Radio\r\n\r\n* [A View From Space]\r\n* [Alex Jones]',2,'2009-12-05 23:48:50','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (127,56,'[Home] > Radio\r\n!! Radio\r\n\r\n* [A View From Space With Gary Bell]\r\n* [Alex Jones]',3,'2009-12-05 23:49:14','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (128,21,'!! RealityPeninsula.org Wiki\r\n\r\nAnonymous contributions welcome!\r\n\r\n!!! Categories\r\n\r\n* [Radio]\r\n* [Authors]\r\n\r\n\r\nFavories...\r\n[A View From Space With Gary Bell]\r\n\r\n\r\n\r\n\r\n\r\n\r\n----\r\n\r\nBelow are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [RSS Support]\r\n* [Video Support]',9,'2009-12-05 23:50:36','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (129,39,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/Spaceman.gif] Post info here about a view from space. \r\n\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n\r\n\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n[12/05/09 Show]\r\n\r\n',7,'2009-12-05 23:51:39','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (130,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\n',6,'2009-12-05 23:53:49','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (131,57,'[Home] > [Books] > The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology\r\n!! The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology\r\n\r\n\r\nNearly half a century after the defeat of the Third Reich, Nazism remains a subject of extensive historical inquiry, general interest, and, alarmingly, a source of inspiration for resurgent fascism in Europe. Goodrick-Clarke\'s powerful and timely book traces the intellectual roots of Nazism back to a number of influential occult and millenarian sects in the Habsburg Empire during its waning years. These sects combined notions of popular nationalism with an advocacy of Aryan racism and a proclaimed need for German world-rule.\r\n\r\nThis book provides the first serious account of the way in which Nazism was influenced by powerful millenarian and occult sects that thrived in Germany and Austria almost fifty years before the rise to power of Adolf Hitler.\r\n\r\nThese millenarian sects (principally the Ariosophists) espoused a mixture of popular nationalism, Aryan racism, and occultism to support their advocacy of German world-rule. Over time their ideas and symbols, filtered through nationalist-racist groups associated with the infant Nazi party, came to exert a strong influence on Himmler\'s SS.\r\n\r\nThe fantasies thus fueled were played out with terrifying consequences in the realities structured into the Third Reich: Auschwitz, Sobibor, and Treblinka, the hellish museums of Nazi apocalypse, had psychic roots reaching back to millenial visions of occult sects. Beyond what the TImes Literary Supplement calls an intriguing study of apocalyptic fantasies, this bizarre and fascinating story contains lessons we cannot afford to ignore.',1,'2009-12-05 23:55:40','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (132,57,'[Home] > [Books] > The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology\r\n!! The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\nNearly half a century after the defeat of the Third Reich, Nazism remains a subject of extensive historical inquiry, general interest, and, alarmingly, a source of inspiration for resurgent fascism in Europe. Goodrick-Clarke\'s powerful and timely book traces the intellectual roots of Nazism back to a number of influential occult and millenarian sects in the Habsburg Empire during its waning years. These sects combined notions of popular nationalism with an advocacy of Aryan racism and a proclaimed need for German world-rule.\r\n\r\nThis book provides the first serious account of the way in which Nazism was influenced by powerful millenarian and occult sects that thrived in Germany and Austria almost fifty years before the rise to power of Adolf Hitler.\r\n\r\nThese millenarian sects (principally the Ariosophists) espoused a mixture of popular nationalism, Aryan racism, and occultism to support their advocacy of German world-rule. Over time their ideas and symbols, filtered through nationalist-racist groups associated with the infant Nazi party, came to exert a strong influence on Himmler\'s SS.\r\n\r\nThe fantasies thus fueled were played out with terrifying consequences in the realities structured into the Third Reich: Auschwitz, Sobibor, and Treblinka, the hellish museums of Nazi apocalypse, had psychic roots reaching back to millenial visions of occult sects. Beyond what the TImes Literary Supplement calls an intriguing study of apocalyptic fantasies, this bizarre and fascinating story contains lessons we cannot afford to ignore.',2,'2009-12-05 23:56:05','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (133,57,'[Home] > [Books] > The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology\r\n!! The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology\r\n\r\n[url:Mentioned on A View From Space on 12/05/09|http://www.realitypeninsula.org/wiki/120509-show]\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\nNearly half a century after the defeat of the Third Reich, Nazism remains a subject of extensive historical inquiry, general interest, and, alarmingly, a source of inspiration for resurgent fascism in Europe. Goodrick-Clarke\'s powerful and timely book traces the intellectual roots of Nazism back to a number of influential occult and millenarian sects in the Habsburg Empire during its waning years. These sects combined notions of popular nationalism with an advocacy of Aryan racism and a proclaimed need for German world-rule.\r\n\r\nThis book provides the first serious account of the way in which Nazism was influenced by powerful millenarian and occult sects that thrived in Germany and Austria almost fifty years before the rise to power of Adolf Hitler.\r\n\r\nThese millenarian sects (principally the Ariosophists) espoused a mixture of popular nationalism, Aryan racism, and occultism to support their advocacy of German world-rule. Over time their ideas and symbols, filtered through nationalist-racist groups associated with the infant Nazi party, came to exert a strong influence on Himmler\'s SS.\r\n\r\nThe fantasies thus fueled were played out with terrifying consequences in the realities structured into the Third Reich: Auschwitz, Sobibor, and Treblinka, the hellish museums of Nazi apocalypse, had psychic roots reaching back to millenial visions of occult sects. Beyond what the TImes Literary Supplement calls an intriguing study of apocalyptic fantasies, this bizarre and fascinating story contains lessons we cannot afford to ignore.',3,'2009-12-05 23:59:07','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (134,57,'[Home] > [Books] \r\n!! The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology\r\n\r\n[url:Mentioned on A View From Space on 12/05/09|http://www.realitypeninsula.org/wiki/120509-show]\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\nNearly half a century after the defeat of the Third Reich, Nazism remains a subject of extensive historical inquiry, general interest, and, alarmingly, a source of inspiration for resurgent fascism in Europe. Goodrick-Clarke\'s powerful and timely book traces the intellectual roots of Nazism back to a number of influential occult and millenarian sects in the Habsburg Empire during its waning years. These sects combined notions of popular nationalism with an advocacy of Aryan racism and a proclaimed need for German world-rule.\r\n\r\nThis book provides the first serious account of the way in which Nazism was influenced by powerful millenarian and occult sects that thrived in Germany and Austria almost fifty years before the rise to power of Adolf Hitler.\r\n\r\nThese millenarian sects (principally the Ariosophists) espoused a mixture of popular nationalism, Aryan racism, and occultism to support their advocacy of German world-rule. Over time their ideas and symbols, filtered through nationalist-racist groups associated with the infant Nazi party, came to exert a strong influence on Himmler\'s SS.\r\n\r\nThe fantasies thus fueled were played out with terrifying consequences in the realities structured into the Third Reich: Auschwitz, Sobibor, and Treblinka, the hellish museums of Nazi apocalypse, had psychic roots reaching back to millenial visions of occult sects. Beyond what the TImes Literary Supplement calls an intriguing study of apocalyptic fantasies, this bizarre and fascinating story contains lessons we cannot afford to ignore.',4,'2009-12-05 23:59:32','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (135,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was something from god.\r\n\r\n',7,'2009-12-06 00:00:39','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (136,58,'[Home] > Books\r\n!! Books\r\n\r\nA page to list books.\r\n\r\n* [oc]',1,'2009-12-06 00:02:23','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (137,58,'[Home] > Books\r\n!! Books\r\n\r\nA page to list books.\r\n\r\n* [The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology]',2,'2009-12-06 00:03:24','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (138,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was something from god.\r\n\r\nhttp://dictionary.reference.com/browse/avatar\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\n',8,'2009-12-06 00:05:31','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (139,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was something from god.\r\n\r\nhttp://dictionary.reference.com/browse/avatar\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.\r\nThe garland of human heads symbolizes wisdom and power. Her\r\nblood-red tongue signifies the power of Raja-guna, the kinetic force\r\nwhich gives impetus to all activities. The sacrificial sword and the\r\nsevered head are the symbols of dissolution and annihilation directing\r\nthe Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\nConsumption of the masculine.  \r\n\r\n\r\n',9,'2009-12-06 00:10:51','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (140,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\nhttp://dictionary.reference.com/browse/avatar\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.\r\nThe garland of human heads symbolizes wisdom and power. Her\r\nblood-red tongue signifies the power of Raja-guna, the kinetic force\r\nwhich gives impetus to all activities. The sacrificial sword and the\r\nsevered head are the symbols of dissolution and annihilation directing\r\nthe Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\nConsumption of the masculine.  \r\n\r\n\r\n',10,'2009-12-06 00:11:37','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (141,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\nhttp://dictionary.reference.com/browse/avatar\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n\r\nhttp://www.greatdreams.com/sacred/age_kali.htm\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.\r\nThe garland of human heads symbolizes wisdom and power. Her\r\nblood-red tongue signifies the power of Raja-guna, the kinetic force\r\nwhich gives impetus to all activities. The sacrificial sword and the\r\nsevered head are the symbols of dissolution and annihilation directing\r\nthe Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n\r\n',11,'2009-12-06 00:12:22','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (142,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.\r\nThe garland of human heads symbolizes wisdom and power. Her\r\nblood-red tongue signifies the power of Raja-guna, the kinetic force\r\nwhich gives impetus to all activities. The sacrificial sword and the\r\nsevered head are the symbols of dissolution and annihilation directing\r\nthe Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n\r\n',12,'2009-12-06 00:13:19','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (143,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.\r\nThe garland of human heads symbolizes wisdom and power. Her\r\nblood-red tongue signifies the power of Raja-guna, the kinetic force\r\nwhich gives impetus to all activities. The sacrificial sword and the\r\nsevered head are the symbols of dissolution and annihilation directing\r\nthe Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n\r\n',13,'2009-12-06 00:15:46','CE17F970-1405-4047-9163-EF5546890774',0),
 (144,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n\r\n',14,'2009-12-06 00:17:40','CE17F970-1405-4047-9163-EF5546890774',0),
 (145,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg]\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n\r\n',15,'2009-12-06 00:22:58','CE17F970-1405-4047-9163-EF5546890774',0),
 (146,56,'[Home] > Radio\r\n!! Radio\r\n\r\n* [A View From Space With Gary Bell]\r\n* [Alex Jones]\r\n* [Webster Tarpley]',4,'2009-12-06 00:24:38','CE17F970-1405-4047-9163-EF5546890774',1),
 (147,59,'[Home] > [Radio] > \r\n!! Webster Tarpley\r\n\r\n{rss:url=http://gcnlive.com/podcast/world_crisis/pcast.php,max=1,titlesOnly=false}\r\n\r\n',1,'2009-12-06 00:26:37','CE17F970-1405-4047-9163-EF5546890774',0),
 (148,59,'[Home] > [Radio] > \r\n!! Webster Tarpley\r\n\r\n{rss:url=http://gcnlive.com/podcast/world_crisis/pcast.php,max=10,titlesOnly=false}\r\n\r\n',2,'2009-12-06 00:27:32','CE17F970-1405-4047-9163-EF5546890774',0),
 (149,59,'[Home] > [Radio] > \r\n!! Webster Tarpley\r\n\r\n{rss:url=http://gcnlive.com/podcast/world_crisis/pcast.php,max=20,titlesOnly=false}\r\n\r\n',3,'2009-12-06 00:28:31','CE17F970-1405-4047-9163-EF5546890774',1),
 (150,60,'[Home] > [Radio] \r\n!! Alex Jones\r\n\r\nThe Alex Jones Radio Show.',1,'2009-12-06 00:29:36','CE17F970-1405-4047-9163-EF5546890774',1),
 (151,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg]\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n\r\nMentions the town in Germany that Einstein and many others were from.  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.',16,'2009-12-06 00:34:42','CE17F970-1405-4047-9163-EF5546890774',0),
 (152,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg]\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n\r\nMentions the town in Germany that Einstein and many others were Swabia.  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.',17,'2009-12-06 00:38:16','CE17F970-1405-4047-9163-EF5546890774',0),
 (153,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg]\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n\r\nMentions the town in Germany that Einstein and many others were [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.',18,'2009-12-06 00:40:00','CE17F970-1405-4047-9163-EF5546890774',0),
 (154,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg]\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://en.wikipedia.org/wiki/File:Swabia.png]\r\nMentions the town in Germany that Einstein and many others were [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.',19,'2009-12-06 00:42:34','CE17F970-1405-4047-9163-EF5546890774',0),
 (155,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg]\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.',20,'2009-12-06 00:43:43','CE17F970-1405-4047-9163-EF5546890774',0),
 (156,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg]\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.',21,'2009-12-06 00:44:05','CE17F970-1405-4047-9163-EF5546890774',0),
 (157,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/abc.jpg]\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.',22,'2009-12-06 00:45:28','CE17F970-1405-4047-9163-EF5546890774',0),
 (158,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/abc.jpg]  The Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.',23,'2009-12-06 00:46:40','CE17F970-1405-4047-9163-EF5546890774',0);
INSERT INTO `wiki_contents` (`ContentID`,`TitleID`,`Source`,`Version`,`VersionDate`,`UserID`,`IsCurrentVersion`) VALUES 
 (159,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/abc.jpg]  The Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino]',24,'2009-12-06 01:54:44','CE17F970-1405-4047-9163-EF5546890774',0),
 (160,19,'!! Sandbox wiki home\r\n\r\nThe wiki rocks!!!!!!\r\n\r\n[test page]\r\n\r\nthe wiki is set to allow anonymous edit and create page.\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',7,'2009-12-06 02:04:28','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (161,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/abc.jpg]  The Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino]',25,'2009-12-06 18:37:01','CE17F970-1405-4047-9163-EF5546890774',0),
 (162,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/abc.jpg]  \r\nThe Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.org/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino]',26,'2009-12-06 18:37:15','CE17F970-1405-4047-9163-EF5546890774',0),
 (163,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/abc.jpg]  \r\nThe Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino]',27,'2009-12-07 11:41:46','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (164,39,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Spaceman.gif] Post info here about a view from space. \r\n\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n\r\n\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n[12/05/09 Show]\r\n\r\n',8,'2009-12-07 11:42:13','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (165,39,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Spaceman.gif] Post info here about a view from space. \r\n\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n\r\n\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n[12/05/09 Show]\r\n\r\n',9,'2009-12-07 16:41:00','CE17F970-1405-4047-9163-EF5546890774',0),
 (166,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/abc.jpg]  \r\nThe Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\n\r\nShow length: 2:23:50\r\n\r\nFile size: 24.7 MB\r\n\r\nDownload links:\r\nhttp://www.mediafire.com/?dhn1wty5mxw\r\nhttp://www.megaupload.com/?d=HGLMJL8T\r\n\r\nStream link:\r\nhttp://www.zshare.net/audio/694937867927518c/\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino]',28,'2009-12-07 16:49:35','CE17F970-1405-4047-9163-EF5546890774',0),
 (167,21,'!! Reality Peninsula Wiki\r\n\r\nAnonymous contributions welcome!\r\n\r\n!!! Categories\r\n\r\n* [Radio]\r\n* [Authors]\r\n\r\n\r\nFavories...\r\n[A View From Space With Gary Bell]\r\n\r\n\r\n\r\n\r\n\r\n\r\n----\r\n\r\nBelow are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [RSS Support]\r\n* [Video Support]',10,'2009-12-07 19:02:31','CE17F970-1405-4047-9163-EF5546890774',0),
 (168,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/abc.jpg]  \r\nThe Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\nThe Black Sun Is Hiding Something.\r\n\r\nShow length: 2:23:50\r\n\r\nFile size: 24.7 MB\r\n\r\nDownload links:\r\nhttp://www.mediafire.com/?dhn1wty5mxw\r\nhttp://www.megaupload.com/?d=HGLMJL8T\r\n\r\nStream link:\r\nhttp://www.zshare.net/audio/694937867927518c/\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino]',29,'2009-12-07 20:09:52','CE17F970-1405-4047-9163-EF5546890774',0),
 (169,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/abc.jpg]  \r\nThe Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\nThe Black Sun Is Hiding Something.\r\n\r\nShow length: 2:23:50\r\n\r\nFile size: 24.7 MB\r\n\r\nDownload links:\r\nhttp://www.mediafire.com/?dhn1wty5mxw\r\nhttp://www.megaupload.com/?d=HGLMJL8T\r\n\r\nStream link:\r\nhttp://www.zshare.net/audio/694937867927518c/\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino]\r\n\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kalima.jpg]',30,'2009-12-08 01:19:31','CE17F970-1405-4047-9163-EF5546890774',0),
 (170,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/abc.jpg]  \r\nThe Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\nThe Black Sun Is Hiding Something.\r\n\r\nShow length: 2:23:50\r\n\r\nFile size: 24.7 MB\r\n\r\nDownload links:\r\nhttp://www.mediafire.com/?dhn1wty5mxw\r\nhttp://www.megaupload.com/?d=HGLMJL8T\r\n\r\nStream link:\r\nhttp://www.zshare.net/audio/694937867927518c/\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino]\r\n\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kalima.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma.jpg]',31,'2009-12-08 01:21:09','CE17F970-1405-4047-9163-EF5546890774',0),
 (171,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/abc.jpg]  \r\nThe Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\nThe Black Sun Is Hiding Something.\r\n\r\nShow length: 2:23:50\r\n\r\nFile size: 24.7 MB\r\n\r\nDownload links:\r\nhttp://www.mediafire.com/?dhn1wty5mxw\r\nhttp://www.megaupload.com/?d=HGLMJL8T\r\n\r\nStream link:\r\nhttp://www.zshare.net/audio/694937867927518c/\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino]\r\n\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kalima.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali%20Ma2.jpg]',32,'2009-12-08 01:22:29','CE17F970-1405-4047-9163-EF5546890774',0),
 (172,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/abc.jpg]  \r\nThe Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\nThe Black Sun Is Hiding Something.\r\n\r\nShow length: 2:23:50\r\n\r\nFile size: 24.7 MB\r\n\r\nDownload links:\r\nhttp://www.mediafire.com/?dhn1wty5mxw\r\nhttp://www.megaupload.com/?d=HGLMJL8T\r\n\r\nStream link:\r\nhttp://www.zshare.net/audio/694937867927518c/\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino]\r\n\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kalima.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali%20Ma2.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali_Ma3.gif]',33,'2009-12-08 01:24:49','CE17F970-1405-4047-9163-EF5546890774',0),
 (173,53,'[Home] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/abc.jpg]  \r\nThe Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\nThe Black Sun Is Hiding Something.\r\n\r\nShow length: 2:23:50\r\n\r\nFile size: 24.7 MB\r\n\r\nDownload links:\r\nhttp://www.mediafire.com/?dhn1wty5mxw\r\nhttp://www.megaupload.com/?d=HGLMJL8T\r\n\r\nStream link:\r\nhttp://www.zshare.net/audio/694937867927518c/\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino]\r\n\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kalima.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali%20Ma2.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali_Ma3.gif]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma_altar_stone.jpg]',34,'2009-12-08 01:26:50','CE17F970-1405-4047-9163-EF5546890774',0),
 (174,61,'[Home] > [Them] > Michael Aquino',1,'2009-12-08 01:33:42','CE17F970-1405-4047-9163-EF5546890774',0),
 (175,61,'[Home] > [Them] > Michael Aquino\r\n!! Michael Aquino\r\n\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/aquinolaveydavis.jpg]',2,'2009-12-08 01:34:21','CE17F970-1405-4047-9163-EF5546890774',0),
 (176,61,'[Home] > [Them] > Michael Aquino\r\n!! Michael Aquino\r\n\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/aquinolaveydavis.jpg]\r\n\r\nMichael A. Aquino, U.S. Army officer and founder of the Temple of Set, is a graduate of the University of California, Santa Barbara (B.A., 1968; Ph.D., 1980). In 1968 he joined the army as a specialist in psychological warfare. The next year he joined the Church of Satan. His career in the church was put on hold while he served a tour of duty in Vietnam, but shortly after his return to the United States in 1971, he was ordained as a Satanic priest and organized a group (termed a grotto) that met at his home.\r\n\r\nAquino rose to a position of prominence in the Church of Satan, but became dissatisfied with the leadership of church founder Anton LaVey. He opposed LaVey\'s arbitrary leadership and atheistic approach to religion. LaVey actually denied the existence of Satan. In 1972 Aquino resigned and was joined in his revolt by Lilith Sinclair, another prominent leader on the East Coast. In 1975 he sought a new mandate to operate by invoking the devil. Satan responded by appearing as Set, the ancient Egyptian deity, and gave Aquino a document, The Book of Coming Forth by Night. He authorized Aquino to found the Temple of Set to supersede the Church of Satan. Aquino created a new religious society built around the worship of Set, of whom Satan is one derivation.\r\n\r\nDuring the 1980s Aquino gained some degree of fame when the media became aware that an army officer led a Satanic group. The temple became the subject of criticism, and Aquino was charged with fabricated tales of Satanic child abuse. Aquino, an officer who has an exemplary record, was investigated and found innocent of any wrongdoing. The molestations he was accused of perpetrating were traced to a fellow officer. Meanwhile, he continues his professional career and his leadership in the temple.\r\n\r\nSources:\r\n\r\nAquino, Michael A. The Church of Satan. N.p.: The Author, 1989.\r\n\r\nLyons, Arthur. Satan Wants You. New York: Mysterious Press, 1988.',3,'2009-12-08 01:37:27','CE17F970-1405-4047-9163-EF5546890774',0),
 (177,62,'[Home] > Them\r\n!! Them\r\n\r\n[Michael Aquino]',1,'2009-12-08 01:39:19','CE17F970-1405-4047-9163-EF5546890774',0),
 (178,61,'[Home] > [Them] > Michael Aquino\r\n!! Michael Aquino\r\n\r\n<[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/aquinolaveydavis.jpg] Referenced in radio show here [120509-show]\r\n\r\nMichael A. Aquino, U.S. Army officer and founder of the Temple of Set, is a graduate of the University of California, Santa Barbara (B.A., 1968; Ph.D., 1980). In 1968 he joined the army as a specialist in psychological warfare. The next year he joined the Church of Satan. His career in the church was put on hold while he served a tour of duty in Vietnam, but shortly after his return to the United States in 1971, he was ordained as a Satanic priest and organized a group (termed a grotto) that met at his home.\r\n\r\nAquino rose to a position of prominence in the Church of Satan, but became dissatisfied with the leadership of church founder Anton LaVey. He opposed LaVey\'s arbitrary leadership and atheistic approach to religion. LaVey actually denied the existence of Satan. In 1972 Aquino resigned and was joined in his revolt by Lilith Sinclair, another prominent leader on the East Coast. In 1975 he sought a new mandate to operate by invoking the devil. Satan responded by appearing as Set, the ancient Egyptian deity, and gave Aquino a document, The Book of Coming Forth by Night. He authorized Aquino to found the Temple of Set to supersede the Church of Satan. Aquino created a new religious society built around the worship of Set, of whom Satan is one derivation.\r\n\r\nDuring the 1980s Aquino gained some degree of fame when the media became aware that an army officer led a Satanic group. The temple became the subject of criticism, and Aquino was charged with fabricated tales of Satanic child abuse. Aquino, an officer who has an exemplary record, was investigated and found innocent of any wrongdoing. The molestations he was accused of perpetrating were traced to a fellow officer. Meanwhile, he continues his professional career and his leadership in the temple.\r\n\r\nSources:\r\n\r\nAquino, Michael A. The Church of Satan. N.p.: The Author, 1989.\r\n\r\nLyons, Arthur. Satan Wants You. New York: Mysterious Press, 1988.',4,'2009-12-08 01:40:34','CE17F970-1405-4047-9163-EF5546890774',0),
 (179,62,'[Home] > Them\r\n!! Them\r\n\r\n* [Michael Aquino]\r\n* [Henry Kissinger]',2,'2009-12-08 01:42:09','CE17F970-1405-4047-9163-EF5546890774',1),
 (180,63,'\r\n\r\nAliases:  	Henry Alfred Kissinger, Heinz Alfred Kissinger, Butcher of Cambodia\r\nDESCRIPTION\r\nAge: 	80+ 	Build: 	Heavy\r\nSex: 	Male 	Hair: 	Gray\r\nHeight: 	?? 	Eyes: 	\r\nWeight: 	??? pounds 	Race: 	White (or is it \" khazaran jew. an asiatic\"?)\r\nCAUTION\r\n\r\nIn the minutes of a secret 1975 meeting of the National Security Council attended by President Ford reveal Henry Kissinger grumbling, \"It is an act of insanity and national humiliation to have a law prohibiting the President from ordering assassination.\" - LOST CRUSADER: The Secret Wars of CIA Director William Colby, by John Prados, Oxford University Press, 2003\r\n\r\nThe February and March 2001 issues of Harper\'s Magazine feature a series by Christopher Hitchens on the case for charging Kissinger with War Crimes. Part I: The making of a war criminal Part 2 will feature an extensive section on East Timor. ',1,'2009-12-08 01:43:22','CE17F970-1405-4047-9163-EF5546890774',0),
 (181,63,'[Home] > [Them]\r\n!! Henry Alfred Kissinger\r\n\r\n\r\nAliases:  	Henry Alfred Kissinger, Heinz Alfred Kissinger, Butcher of Cambodia\r\nDESCRIPTION\r\nAge: 	80+ 	Build: 	Heavy\r\nSex: 	Male 	Hair: 	Gray\r\nHeight: 	?? 	Eyes: 	\r\nWeight: 	??? pounds 	Race: 	White (or is it \" khazaran jew. an asiatic\"?)\r\nCAUTION\r\n\r\nIn the minutes of a secret 1975 meeting of the National Security Council attended by President Ford reveal Henry Kissinger grumbling, \"It is an act of insanity and national humiliation to have a law prohibiting the President from ordering assassination.\" - LOST CRUSADER: The Secret Wars of CIA Director William Colby, by John Prados, Oxford University Press, 2003\r\n\r\nThe February and March 2001 issues of Harper\'s Magazine feature a series by Christopher Hitchens on the case for charging Kissinger with War Crimes. Part I: The making of a war criminal Part 2 will feature an extensive section on East Timor. ',2,'2009-12-08 01:43:59','CE17F970-1405-4047-9163-EF5546890774',0),
 (182,63,'[Home] > [Them]\r\n!! Henry Alfred Kissinger\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/bushkissinger2.jpg]\r\nAliases:  	Henry Alfred Kissinger, Heinz Alfred Kissinger, Butcher of Cambodia\r\nDESCRIPTION\r\nAge: 	80+ 	Build: 	Heavy\r\nSex: 	Male 	Hair: 	Gray\r\nHeight: 	?? 	Eyes: 	\r\nWeight: 	??? pounds 	Race: 	White (or is it \" khazaran jew. an asiatic\"?)\r\nCAUTION\r\n\r\nIn the minutes of a secret 1975 meeting of the National Security Council attended by President Ford reveal Henry Kissinger grumbling, \"It is an act of insanity and national humiliation to have a law prohibiting the President from ordering assassination.\" - LOST CRUSADER: The Secret Wars of CIA Director William Colby, by John Prados, Oxford University Press, 2003\r\n\r\nThe February and March 2001 issues of Harper\'s Magazine feature a series by Christopher Hitchens on the case for charging Kissinger with War Crimes. Part I: The making of a war criminal Part 2 will feature an extensive section on East Timor. ',3,'2009-12-08 01:46:45','CE17F970-1405-4047-9163-EF5546890774',1),
 (183,57,'[Home] > [Books] \r\n!! The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology\r\n\r\n[url:Mentioned on A View From Space on 12/05/09|http://www.realitypeninsula.info/wiki/120509-show]\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\nNearly half a century after the defeat of the Third Reich, Nazism remains a subject of extensive historical inquiry, general interest, and, alarmingly, a source of inspiration for resurgent fascism in Europe. Goodrick-Clarke\'s powerful and timely book traces the intellectual roots of Nazism back to a number of influential occult and millenarian sects in the Habsburg Empire during its waning years. These sects combined notions of popular nationalism with an advocacy of Aryan racism and a proclaimed need for German world-rule.\r\n\r\nThis book provides the first serious account of the way in which Nazism was influenced by powerful millenarian and occult sects that thrived in Germany and Austria almost fifty years before the rise to power of Adolf Hitler.\r\n\r\nThese millenarian sects (principally the Ariosophists) espoused a mixture of popular nationalism, Aryan racism, and occultism to support their advocacy of German world-rule. Over time their ideas and symbols, filtered through nationalist-racist groups associated with the infant Nazi party, came to exert a strong influence on Himmler\'s SS.\r\n\r\nThe fantasies thus fueled were played out with terrifying consequences in the realities structured into the Third Reich: Auschwitz, Sobibor, and Treblinka, the hellish museums of Nazi apocalypse, had psychic roots reaching back to millenial visions of occult sects. Beyond what the TImes Literary Supplement calls an intriguing study of apocalyptic fantasies, this bizarre and fascinating story contains lessons we cannot afford to ignore.',5,'2009-12-08 01:48:49','CE17F970-1405-4047-9163-EF5546890774',0),
 (184,53,'[Home] > [Radio] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/abc.jpg]  \r\nThe Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\nThe Black Sun Is Hiding Something.\r\n\r\nShow length: 2:23:50\r\n\r\nFile size: 24.7 MB\r\n\r\nDownload links:\r\nhttp://www.mediafire.com/?dhn1wty5mxw\r\nhttp://www.megaupload.com/?d=HGLMJL8T\r\n\r\nStream link:\r\nhttp://www.zshare.net/audio/694937867927518c/\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino]\r\n\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kalima.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali%20Ma2.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali_Ma3.gif]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma_altar_stone.jpg]',35,'2009-12-08 01:49:13','CE17F970-1405-4047-9163-EF5546890774',0),
 (185,55,'[Home] > Authors\r\n!! Authors\r\n\r\nWe can keep a list of authors here.\r\n\r\n\r\n* [Nicholas Goodrick-Clarke]',4,'2009-12-08 01:51:42','CE17F970-1405-4047-9163-EF5546890774',1),
 (186,54,'[Home] > [Authors] > Nicholas Goodrick-Clarke\r\n!! Nicholas Goodrick-Clarke\r\n\r\nNicholas Goodrick-Clarke B.A. (Bristol), D.Phil. (Oxon) is a professor of Western Esotericism at University of Exeter and author of several books on esoteric traditions.\r\n\r\nHe is the author of several books on modern occultism and esotericism, and the history of its intersection with Nazi politics. His book, The Occult Roots of Nazism, has remained in print since its publication in 1985 and has been translated into eight languages. He has also written on the occultist aspects of neo-Nazism in Black Sun: Aryan Cults, Esoteric Nazism and the Politics of Identity.\r\n\r\nHe is Professor of Western Esotericism and Director of the Centre for the Study of Esotericism (EXESESO) within the School of Humanities and Social Sciences at the University of Exeter in the United Kingdom. He lives in Southern England.\r\n\r\nBooks [The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology]',3,'2009-12-08 01:54:09','CE17F970-1405-4047-9163-EF5546890774',1),
 (187,57,'[Home] > [Books] \r\n!! The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology by [Nicholas Goodrick-Clarke]\r\n\r\n[url:Mentioned on A View From Space on 12/05/09|http://www.realitypeninsula.info/wiki/120509-show]\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\nNearly half a century after the defeat of the Third Reich, Nazism remains a subject of extensive historical inquiry, general interest, and, alarmingly, a source of inspiration for resurgent fascism in Europe. Goodrick-Clarke\'s powerful and timely book traces the intellectual roots of Nazism back to a number of influential occult and millenarian sects in the Habsburg Empire during its waning years. These sects combined notions of popular nationalism with an advocacy of Aryan racism and a proclaimed need for German world-rule.\r\n\r\nThis book provides the first serious account of the way in which Nazism was influenced by powerful millenarian and occult sects that thrived in Germany and Austria almost fifty years before the rise to power of Adolf Hitler.\r\n\r\nThese millenarian sects (principally the Ariosophists) espoused a mixture of popular nationalism, Aryan racism, and occultism to support their advocacy of German world-rule. Over time their ideas and symbols, filtered through nationalist-racist groups associated with the infant Nazi party, came to exert a strong influence on Himmler\'s SS.\r\n\r\nThe fantasies thus fueled were played out with terrifying consequences in the realities structured into the Third Reich: Auschwitz, Sobibor, and Treblinka, the hellish museums of Nazi apocalypse, had psychic roots reaching back to millenial visions of occult sects. Beyond what the TImes Literary Supplement calls an intriguing study of apocalyptic fantasies, this bizarre and fascinating story contains lessons we cannot afford to ignore.',6,'2009-12-08 01:54:29','CE17F970-1405-4047-9163-EF5546890774',1),
 (188,53,'[Home] > [Radio] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/abc.jpg]  \r\nThe Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\nThe Black Sun Is Hiding Something.\r\n\r\nShow length: 2:23:50\r\n\r\nFile size: 24.7 MB\r\n\r\nDownload links:\r\nhttp://www.mediafire.com/?dhn1wty5mxw\r\nhttp://www.megaupload.com/?d=HGLMJL8T\r\n\r\nStream link:\r\nhttp://www.zshare.net/audio/694937867927518c/\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino]\r\n\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kalima.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali%20Ma2.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali_Ma3.gif]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma_altar_stone.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/KALIMACLARA.jpg]',36,'2009-12-08 01:59:13','CE17F970-1405-4047-9163-EF5546890774',0),
 (191,64,'[Home] < MvcCms Bugs and Issues\r\n!! Bugz\r\n\r\n[Wiki iscurrentversion not always set correctly]',1,'2009-12-08 11:35:18','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0);
INSERT INTO `wiki_contents` (`ContentID`,`TitleID`,`Source`,`Version`,`VersionDate`,`UserID`,`IsCurrentVersion`) VALUES 
 (192,65,'\r\n\r\nI found on the sandbox the IsCurrentVersion was not setting the older versions to false.  This may have been due to some bad test test data but I think that either when html is submitted or something the previous version is not getting set to false.',1,'2009-12-08 11:36:56','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (193,65,'[Known Issues]\r\n!! Wiki IsCurrentVersion\r\n\r\nI found on the sandbox the IsCurrentVersion was not setting the older versions to false.  This may have been due to some bad test test data but I think that either when html is submitted or something the previous version is not getting set to false.',2,'2009-12-08 11:37:58','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (194,65,'[Known Issues]\r\n!! Wiki IsCurrentVersion - Found 12/08/09\r\n\r\nI found on the sandbox the IsCurrentVersion was not setting the older versions to false.  This may have been due to some bad test test data but I think that either when html is submitted or something the previous version is not getting set to false.',3,'2009-12-08 11:38:19','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (195,1,'!! Welcome to the MvcCms [url:WikiPlex|http://wikiplex.codeplex.com/] Wiki\r\n\r\nUse this wiki to keep up to date information on using [MvcCms 1.0] and [MvcCms 2.0].\r\n\r\nThe Wiki is setup to allow anonymous editing of pages but you must be a [url:member|http://www.mvccms.com/Account/Register] of the site to create a wiki page.\r\n\r\nTo create a wiki page simply create a wiki link and then click through to it and you will be taken to the page to create the wiki page.\r\n\r\n* [Documentation]\r\n* [Planned Development]\r\n* [Known Issues]\r\n* [Enhancements]\r\n\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',13,'2009-12-08 11:39:02','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (196,64,'[Home] < MvcCms Bugs and Issues\r\n!! Bugz\r\n\r\n* [Wiki iscurrentversion not always set correctly]\r\n* [Area links not showing current in sidebar]\r\n* [Page name not wrapping on cms editor]\r\n* [Poll doesn\'t disappear after archiving]',2,'2009-12-08 11:41:13','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (197,20,'\r\nTVbU9w <a href=\"http://zgivjapewbwh.com/\">zgivjapewbwh</a>, url=http://favycvejwwzo.com/favycvejwwzo/url, link=http://ehfegwrkezhm.com/ehfegwrkezhm/link, http://tiyzwoekqoqs.com/',3,'2009-12-08 11:42:44','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (198,20,'[Home] > Test Page\r\n\r\nThis is a test\r\n\r\n[poiuy tre]',4,'2009-12-08 11:43:09','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (199,65,'[Known Issues]\r\n!! Wiki IsCurrentVersion - Found 12/08/09\r\n\r\nI found on the sandbox the IsCurrentVersion was not setting the older versions to false.  This may have been due to some bad test test data but I think that either when html is submitted or something the previous version is not getting set to false.\r\n\r\nNotes:  I tried to reproduce this with html input and couldn\'t.  I\'ll keep looking for it and if it doesn\'t happen again I\'ll asume it was bad test data and close this.',4,'2009-12-08 11:44:01','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (200,65,'[Known Issues]\r\n!! Wiki IsCurrentVersion - Found 12/08/09\r\n\r\nI found on the sandbox the IsCurrentVersion was not setting the older versions to false.  This may have been due to some bad test data but I think that either when html is submitted or something the previous version is not getting set to false.\r\n\r\nNotes:  I tried to reproduce this with html input and couldn\'t.  I\'ll keep looking for it and if it doesn\'t happen again I\'ll asume it was bad test data and close this.',5,'2009-12-08 11:44:28','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (201,65,'[Known Issues]\r\n!! Wiki IsCurrentVersion - Found 12/08/09\r\n\r\nI found on the sandbox the IsCurrentVersion was not setting the older versions to false.  This may have been due to some bad test data but I think that either when html is submitted or something the previous version is not getting set to false.\r\n\r\nNotes:  I tried to reproduce this with html input and couldn\'t.  I\'ll keep looking for it and if it doesn\'t happen again I\'ll assume it was bad test data and close this.',6,'2009-12-08 11:44:37','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',1),
 (202,66,'[Home]\r\n!! MvcCms Enhancements\r\n\r\n* [Make forum post input work off wiki]\r\n',1,'2009-12-08 12:19:15','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (203,53,'[Home] > [Radio] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/abc.jpg]  \r\nThe Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\nThe Black Sun Is Hiding Something.\r\n\r\nShow length: 2:23:50\r\n\r\nFile size: 24.7 MB\r\n\r\nDownload links:\r\nhttp://www.mediafire.com/?dhn1wty5mxw\r\nhttp://www.megaupload.com/?d=HGLMJL8T\r\n\r\nStream link:\r\nhttp://www.zshare.net/audio/694937867927518c/\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino] Founder of Temple of Set said he visited Wewelsburg Castle in the 80\'s he performed a ritual there to reignite the spirit there.  http://www.experiencefestival.com/a/Wewelsburg_-_SS_History/id/5582062\r\n\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kalima.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali%20Ma2.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali_Ma3.gif]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma_altar_stone.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/KALIMACLARA.jpg]',37,'2009-12-08 21:57:34','CE17F970-1405-4047-9163-EF5546890774',0),
 (204,61,'[Home] > [Them] > Michael Aquino\r\n!! Michael Aquino\r\n\r\n<[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/aquinolaveydavis.jpg] Referenced in radio show here [120509-show]\r\n\r\n[url:Visits Castle In Germany|http://www.experiencefestival.com/a/Wewelsburg-SS_History/id/5582062]\r\n\r\nMichael A. Aquino, U.S. Army officer and founder of the Temple of Set, is a graduate of the University of California, Santa Barbara (B.A., 1968; Ph.D., 1980). In 1968 he joined the army as a specialist in psychological warfare. The next year he joined the Church of Satan. His career in the church was put on hold while he served a tour of duty in Vietnam, but shortly after his return to the United States in 1971, he was ordained as a Satanic priest and organized a group (termed a grotto) that met at his home.\r\n\r\nAquino rose to a position of prominence in the Church of Satan, but became dissatisfied with the leadership of church founder Anton LaVey. He opposed LaVey\'s arbitrary leadership and atheistic approach to religion. LaVey actually denied the existence of Satan. In 1972 Aquino resigned and was joined in his revolt by Lilith Sinclair, another prominent leader on the East Coast. In 1975 he sought a new mandate to operate by invoking the devil. Satan responded by appearing as Set, the ancient Egyptian deity, and gave Aquino a document, The Book of Coming Forth by Night. He authorized Aquino to found the Temple of Set to supersede the Church of Satan. Aquino created a new religious society built around the worship of Set, of whom Satan is one derivation.\r\n\r\nDuring the 1980s Aquino gained some degree of fame when the media became aware that an army officer led a Satanic group. The temple became the subject of criticism, and Aquino was charged with fabricated tales of Satanic child abuse. Aquino, an officer who has an exemplary record, was investigated and found innocent of any wrongdoing. The molestations he was accused of perpetrating were traced to a fellow officer. Meanwhile, he continues his professional career and his leadership in the temple.\r\n\r\nSources:\r\n\r\nAquino, Michael A. The Church of Satan. N.p.: The Author, 1989.\r\n\r\nLyons, Arthur. Satan Wants You. New York: Mysterious Press, 1988.',5,'2009-12-08 22:05:33','CE17F970-1405-4047-9163-EF5546890774',1),
 (205,53,'[Home] > [Radio] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/abc.jpg]  \r\nThe Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\nThe Black Sun Is Hiding Something.\r\n\r\nShow length: 2:23:50\r\n\r\nFile size: 24.7 MB\r\n\r\nDownload links:\r\nhttp://www.mediafire.com/?dhn1wty5mxw\r\nhttp://www.megaupload.com/?d=HGLMJL8T\r\n\r\nStream link:\r\nhttp://www.zshare.net/audio/694937867927518c/\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino] Founder of Temple of Set said he visited Wewelsburg Castle in the 80\'s he performed a ritual there to reignite the spirit there.  http://www.experiencefestival.com/a/Wewelsburg_-_SS_History/id/5582062\r\n\r\nMentioned that Angela Merkel may be Hitler\'s Daughter http://www.northernresistance.info/merkel.html\r\n\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kalima.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali%20Ma2.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali_Ma3.gif]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma_altar_stone.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/KALIMACLARA.jpg]',38,'2009-12-08 22:33:08','CE17F970-1405-4047-9163-EF5546890774',0),
 (206,53,'[Home] > [Radio] > [A View From Space With Gary Bell] > 12/05/09 Notes\r\n\r\n!! Notes on A View From Space on 12/05/09 - The Occult Black Sun\r\n\r\n[image:http://t3.gstatic.com/images?q=tbn:SsCjn_N63JTHsM:http://brotherpeacemaker.files.wordpress.com/2007/08/chase-logo.jpg][image:http://t3.gstatic.com/images?q=tbn:yWyfK-bgYrLTFM:http://3.bp.blogspot.com/_4IqAMwAGn1w/SVrExoj0F0I/AAAAAAAAMZM/FJWUcY_zW9E/s400/swastika-bangon-750683.jpg][image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/abc.jpg]  \r\nThe Black Sun Is An Eclipse - Abandonment In Yielding To Hatred\r\nThe Black Sun Is Hiding Something.\r\n\r\nShow length: 2:23:50\r\n\r\nFile size: 24.7 MB\r\n\r\nDownload links:\r\nhttp://www.mediafire.com/?dhn1wty5mxw\r\nhttp://www.megaupload.com/?d=HGLMJL8T\r\n\r\nStream link:\r\nhttp://www.zshare.net/audio/694937867927518c/\r\n\r\n>[image:http://ecx.images-amazon.com/images/I/712N79BPKGL._SL500_AA240_.gif]\r\n*  He mentioned a book about Nazi occultism written in the 90\'s - \r\n[The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology] [url:amazon link|http://www.amazon.com/Occult-Roots-Nazism-Influence-Ideology/dp/0814730604] by [Nicholas Goodrick-Clarke]\r\n\r\n\r\nTalked about Copenhagen being a step in the direction toward a global government.\r\n\r\nMentioned movie Avatar - original meaning was incarnation  from god.\r\n\r\n*http://dictionary.reference.com/browse/avatar*\r\nHindu Mythology. the descent of a deity to the earth in an incarnate form or some manifest shape; the incarnation of a god.\r\n\r\nThe age of Kali incarnates in 10 avatars\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali.jpg]\r\n*http://www.greatdreams.com/sacred/age_kali.htm*\r\nTHE AGE OF THE KALI YUGA - \r\n\r\nKali, annihilation aspect of Sakti, standing on Rati and Kama,\r\nwho personify the primordial desire which gives rise to all creation.  The garland of human heads symbolizes wisdom and power. Her blood-red tongue signifies the power of Raja-guna, the kinetic force which gives impetus to all activities. The sacrificial sword and the severed head are the symbols of dissolution and annihilation directing the Sadhaka to shed his \'ego sense\'. The girdle of severed hands signifies\r\none\'s Karma, action.\r\n\r\n THE AGE OF KALI\r\n\r\nThe Age of Kali for the Hindu is the natural ending of the world in the fourth age . It is one of a series of changes, each of which marks the end of one cycle and the beginning of another creation. The central figure in the story is Vishnu, the preserver God, into whose self the world is absorbed before being born again. Vishnu has already saved humanity on a number of occasions, symbolically appearing as a savior in many different forms. Vishnu incarnates in 10 avatars, of which there have been 9, the last three have been: 7. Rama 8. Khishna 9. Buddha It is said that He will appear again , as Kalki \'the avenger\', riding a white horse , destined to destroy the present world (the corrupt age of the goddess Kali) and to take humanity to a different, higher plane (the golden age of Krita). \r\n\r\nConsumption of the masculine.  \r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/180px-Swabia.png]\r\nMentions the town in Germany that Einstein and many others were from [Swabia] [url:Wikipedia|http://en.wikipedia.org/wiki/Swabia].  The car and motorcycle were invented there.  Maybe technology does not advance forward in time as these ideas may have come from the past.\r\n\r\nMentioned [Michael Aquino] Founder of Temple of Set said he visited Wewelsburg Castle in the 80\'s he performed a ritual there to reignite the spirit there.  http://www.experiencefestival.com/a/Wewelsburg_-_SS_History/id/5582062\r\n\r\nMentioned that Angela Merkel may be Hitler\'s Daughter http://www.northernresistance.info/merkel.html\r\n\r\nMentioned Black Magic in movie Hellboys\r\n\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kalima.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali%20Ma2.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Kali_Ma3.gif]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/kali_ma_altar_stone.jpg]\r\n[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/KALIMACLARA.jpg]',39,'2009-12-08 23:27:02','CE17F970-1405-4047-9163-EF5546890774',1),
 (243,66,'[Home]\r\n!! MvcCms Enhancements\r\n\r\n* [Make forum post input work off wiki]\r\n* [Wiki Delete Version]\r\n',2,'2009-12-09 11:58:47','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (244,52,'[Home] > Battle Star Galactica\r\n\r\n!! Battle Star Galactica \r\n\r\n>{[url:BSG Page|http://www.mvccms.net/shows/fiction/science/bsg]}>\r\n\r\n[image:http://coffeeandheroes.files.wordpress.com/2008/12/0battlestar-galactica.jpg]\r\n\r\n[testzzzz]',4,'2009-12-09 12:03:38','59B4AC45-F8EC-45B6-B986-B68C8367FF32',1),
 (265,67,'[Home] < [Enhancements] < Wiki Delete Version or Title\r\n!! Wiki Delete Version or Title\r\n\r\n\r\nWill need ability to delete wiki version or title.',1,'2009-12-09 13:09:36','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',1),
 (356,1,'!! Welcome to the MvcCms [url:WikiPlex|http://wikiplex.codeplex.com/] Wiki\r\n\r\nUse this wiki to keep up to date information on using [MvcCms 1.0] and [MvcCms 2.0].\r\n\r\nThe Wiki is setup to allow anonymous editing of pages but you must be a [url:member|http://www.mvccms.com/Account/Register] of the site to create a wiki page.\r\n\r\nTo create a wiki page simply create a wiki link and then click through to it and you will be taken to the page to create the wiki page.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/wikisf.jpg]\r\n\r\n* [Documentation]\r\n* [Planned Development]\r\n* [Known Issues]\r\n* [Enhancements]\r\n\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',14,'2009-12-11 14:41:10','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (359,39,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Spaceman.gif] Post info here about a view from space. \r\n\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n\r\n\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n[12/12/09 Show]\r\n[12/05/09 Show]\r\n\r\n',10,'2009-12-11 14:48:59','CE17F970-1405-4047-9163-EF5546890774',0),
 (360,68,'[Home] < [Radio] < [A View From Space] < 12/12/09 Notes\r\n!! Notes On A View From Space 12/12/09\r\n\r\nPost notes here on the show coming up this Saturday.',1,'2009-12-11 14:50:30','CE17F970-1405-4047-9163-EF5546890774',0),
 (361,68,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/12/09 Notes\r\n!! Notes On A View From Space 12/12/09\r\n\r\nPost notes here on the show coming up this Saturday.',2,'2009-12-11 14:51:37','CE17F970-1405-4047-9163-EF5546890774',0),
 (367,69,'A [style:font-size:100px;color:red;|Temporal Coadjutor] touched me in the bad place help!',1,'2009-12-12 11:40:35','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (371,68,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/12/09 Notes\r\n!! Notes On A View From Space 12/12/09\r\n\r\n!!! Nobel Peace Prize & Barack Obama, EISCAT & ULF waves, aliens/Anunnaki, circular ruins in South Africa, etc.',3,'2009-12-13 17:12:57','CE17F970-1405-4047-9163-EF5546890774',0),
 (372,68,'[Home] < [Radio] < [A View From Space] < 12/12/09 Notes\r\n!! Notes On A View From Space 12/12/09\r\n\r\nPost notes here on the show coming up this Saturday.\r\n\r\n{video:url=http://www.youtube.com/watch?v=5Fgn7-AoQtI&feature=player_embedded,type=youtube,align=left,height=400,width=500}\r\n\r\n',4,'2009-12-13 18:31:14','CE17F970-1405-4047-9163-EF5546890774',0),
 (373,68,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/12/09 Notes\r\n!! Notes On A View From Space 12/12/09\r\n\r\n!!! Nobel Peace Prize & Barack Obama, EISCAT & ULF waves, aliens/Anunnaki, circular ruins in South Africa, etc.\r\n\r\n{video:url=http://www.youtube.com/watch?v=5Fgn7-AoQtI&feature=player_embedded,type=youtube,align=left,height=400,width=500}\r\n\r\n',5,'2009-12-13 18:31:53','CE17F970-1405-4047-9163-EF5546890774',0),
 (374,68,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/12/09 Notes\r\n!! Notes On A View From Space 12/12/09\r\n\r\n!!! Nobel Peace Prize & Barack Obama, EISCAT & ULF waves, aliens/Anunnaki, circular ruins in South Africa, etc.\r\n\r\n[url:www.eiscat.uit.no/index.html|http://www.eiscat.uit.no/index.html]\r\n{video:url=http://www.youtube.com/watch?v=5Fgn7-AoQtI&feature=player_embedded,type=youtube,align=left,height=400,width=500}www.eiscat.uit.no/index.html \r\n\r\n',6,'2009-12-13 18:38:00','CE17F970-1405-4047-9163-EF5546890774',0),
 (375,68,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/12/09 Notes\r\n!! Notes On A View From Space 12/12/09\r\n\r\n!!! Nobel Peace Prize & Barack Obama, EISCAT & ULF waves, aliens/Anunnaki, circular ruins in South Africa, etc.\r\n\r\n[url:www.eiscat.uit.no/index.html|http://www.eiscat.uit.no/index.html]\r\n{video:url=http://www.youtube.com/watch?v=5Fgn7-AoQtI&feature=player_embedded,type=youtube,align=left,height=400,width=500}www.eiscat.uit.no/index.html \r\n\r\nThere are no other planets than earth????  WTF, Come on space don\'t just say something like that without giving some background on what you mean.  I do have a telescope!',7,'2009-12-13 19:24:29','CE17F970-1405-4047-9163-EF5546890774',0),
 (376,68,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/12/09 Notes\r\n!! Notes On A View From Space 12/12/09\r\n\r\n!!! Nobel Peace Prize & Barack Obama, EISCAT & ULF waves, aliens/Anunnaki, circular ruins in South Africa, etc.\r\n\r\n[url:www.eiscat.uit.no/index.html|http://www.eiscat.uit.no/index.html]\r\n{video:url=http://www.youtube.com/watch?v=5Fgn7-AoQtI&feature=player_embedded,type=youtube,align=left,height=400,width=500}www.eiscat.uit.no/index.html \r\n\r\nThere are no other planets than earth????  WTF, Come on space don\'t just say something like that without giving some background on what you mean.  I do have a telescope!\r\n\r\n!! Ancient African Runs Found\r\n\r\n[image:http://www.makomati.com/img/adamscalendarsunset.jpg]\r\n\r\nAdam\'s Calendar discovered by Johan Heine in 2003. Estimated to be the oldest man-made structure on earth at around 75,000 years old.',8,'2009-12-13 20:08:40','CE17F970-1405-4047-9163-EF5546890774',0),
 (377,68,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/12/09 Notes\r\n!! Notes On A View From Space 12/12/09\r\n\r\n!!! Nobel Peace Prize & Barack Obama, EISCAT & ULF waves, aliens/Anunnaki, circular ruins in South Africa, etc.\r\n\r\n[url:www.eiscat.uit.no/index.html|http://www.eiscat.uit.no/index.html]\r\n{video:url=http://www.youtube.com/watch?v=5Fgn7-AoQtI&feature=player_embedded,type=youtube,align=left,height=400,width=500}www.eiscat.uit.no/index.html \r\n\r\nThere are no other planets than earth????  WTF, Come on space don\'t just say something like that without giving some background on what you mean.  I do have a telescope!\r\n\r\n!! Ancient African Runs Found\r\n\r\n[image:http://www.makomati.com/img/adamscalendarsunset.jpg]\r\n\r\nAdam\'s Calendar discovered by Johan Heine in 2003. Estimated to be the oldest man-made structure on earth at around 75,000 years old.\r\n\r\n[url:http://www.adamscalendar.com/Welcome.html]',9,'2009-12-13 20:18:13','CE17F970-1405-4047-9163-EF5546890774',0),
 (378,68,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/12/09 Notes\r\n!! Notes On A View From Space 12/12/09\r\n\r\nhttp://www.mediafire.com/?e2jkzmdmcmm\r\n\r\n\r\n!!! Nobel Peace Prize & Barack Obama, EISCAT & ULF waves, aliens/Anunnaki, circular ruins in South Africa, etc.\r\n\r\n[url:www.eiscat.uit.no/index.html|http://www.eiscat.uit.no/index.html]\r\n{video:url=http://www.youtube.com/watch?v=5Fgn7-AoQtI&feature=player_embedded,type=youtube,align=left,height=400,width=500}www.eiscat.uit.no/index.html \r\n\r\nThere are no other planets than earth????  WTF, Come on space don\'t just say something like that without giving some background on what you mean.  I do have a telescope!\r\n\r\n!! Ancient African Runs Found\r\n\r\n[image:http://www.makomati.com/img/adamscalendarsunset.jpg]\r\n\r\nAdam\'s Calendar discovered by Johan Heine in 2003. Estimated to be the oldest man-made structure on earth at around 75,000 years old.\r\n\r\n[url:http://www.adamscalendar.com/Welcome.html]',10,'2009-12-13 20:21:07','CE17F970-1405-4047-9163-EF5546890774',0),
 (379,68,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/12/09 Notes\r\n!! Notes On A View From Space 12/12/09\r\n\r\nhttp://www.mediafire.com/?e2jkzmdmcmm\r\n\r\n\r\n!!! Nobel Peace Prize & Barack Obama, EISCAT & ULF waves, aliens/Anunnaki, circular ruins in South Africa, etc.\r\n\r\n[url:www.eiscat.uit.no/index.html|http://www.eiscat.uit.no/index.html]\r\n{video:url=http://www.youtube.com/watch?v=5Fgn7-AoQtI&feature=player_embedded,type=youtube,align=left,height=400,width=500}www.eiscat.uit.no/index.html \r\n\r\nThere are no other planets than earth????  WTF, Come on space don\'t just say something like that without giving some background on what you mean.  I do have a telescope!\r\n\r\n!! Ancient African Runs Found\r\n\r\n[image:http://www.makomati.com/img/adamscalendarsunset.jpg]\r\n\r\nAdam\'s Calendar discovered by Johan Heine in 2003. Estimated to be the oldest man-made structure on earth at around 75,000 years old.\r\n\r\n[url:http://www.adamscalendar.com/Welcome.html]\r\n\r\n\r\n[url:Mitochondrial Eve|en.wikipedia.org/wiki/Mitochondrial_Eve]',11,'2009-12-13 20:23:03','CE17F970-1405-4047-9163-EF5546890774',0),
 (380,68,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/12/09 Notes\r\n!! Notes On A View From Space 12/12/09\r\n\r\nhttp://www.mediafire.com/?e2jkzmdmcmm\r\n\r\n\r\n!!! Nobel Peace Prize & Barack Obama, EISCAT & ULF waves, aliens/Anunnaki, circular ruins in South Africa, etc.\r\n\r\n[url:www.eiscat.uit.no/index.html|http://www.eiscat.uit.no/index.html]\r\n{video:url=http://www.youtube.com/watch?v=5Fgn7-AoQtI&feature=player_embedded,type=youtube,align=left,height=400,width=500}www.eiscat.uit.no/index.html \r\n\r\nThere are no other planets than earth????  WTF, Come on space don\'t just say something like that without giving some background on what you mean.  I do have a telescope!  There is only one result on Google for _there are no other planets than earth_ That is not much to go on [url:Google For No Other Planets Than Earth|http://www.google.com/search?hl=en&client=safari&rls=en&q=%22There+are+no+other+planets+than+earth%22&aq=f&oq=&aqi=]\r\n\r\n!! Ancient African Runs Found\r\n\r\n[image:http://www.makomati.com/img/adamscalendarsunset.jpg]\r\n\r\nAdam\'s Calendar discovered by Johan Heine in 2003. Estimated to be the oldest man-made structure on earth at around 75,000 years old.\r\n\r\n[url:http://www.adamscalendar.com/Welcome.html]\r\n\r\n\r\n[url:Mitochondrial Eve|en.wikipedia.org/wiki/Mitochondrial_Eve]',12,'2009-12-13 22:32:58','CE17F970-1405-4047-9163-EF5546890774',1),
 (381,64,'[Home] < MvcCms Bugs and Issues\r\n!! Bugz\r\n\r\n* [Wiki iscurrentversion not always set correctly] [color:red|fixed]\r\n* [Area links not showing current in sidebar]\r\n* [Page name not wrapping on cms editor]\r\n* [Poll doesn\'t disappear after archiving]',3,'2009-12-13 22:46:30','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (382,64,'[Home] < MvcCms Bugs and Issues\r\n!! Bugz\r\n\r\n* [Wiki iscurrentversion not always set correctly] [color:red|fixed]\r\n* [Area links not showing current in sidebar]\r\n* [Page name not wrapping on cms editor]\r\n* [Poll doesn\'t disappear after archiving]\r\n* [Edit of subpage does not flush page from cache]',4,'2009-12-13 22:47:01','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (383,66,'[Home]\r\n!! MvcCms Enhancements\r\n\r\n* [Make forum post input work off wiki] [color:red|done]\r\n* [Wiki Delete Version]\r\n',3,'2009-12-13 22:47:35','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (384,39,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Spaceman.gif] Post info here about a view from space. \r\n\r\nThe spaceman says, \"Everybody look down!\r\nIts all in your mind!\"\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n\r\n\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n[12/12/09 Show]\r\n[12/05/09 Show]\r\n\r\n',11,'2009-12-14 22:11:22','59B4AC45-F8EC-45B6-B986-B68C8367FF32',0),
 (385,39,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Spaceman.gif] Post info here about a view from space. \r\n\r\nThe spaceman says, \"Everybody look down!\r\nIts all in your mind!\"\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n!! Show Notes\r\n\r\n* [12/27/08] Probably one of the best shows on 2BallCain You will find.\r\n* [12/12/09 Show]\r\n* [12/05/09 Show]\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n\r\n\r\n',12,'2009-12-16 11:57:11','CE17F970-1405-4047-9163-EF5546890774',0),
 (386,39,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Spaceman.gif] Post info here about a view from space. \r\n\r\nThe spaceman says, \"Everybody look down!\r\nIts all in your mind!\"\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n!! Show Notes\r\n\r\n* [12/27/08 Show] Probably one of the best shows on 2BallCain You will find.\r\n* [12/12/09 Show]\r\n* [12/05/09 Show]\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n\r\n\r\n',13,'2009-12-16 11:57:32','CE17F970-1405-4047-9163-EF5546890774',0),
 (387,70,'!! A View From Space 12/12/09',1,'2009-12-16 12:13:23','CE17F970-1405-4047-9163-EF5546890774',0),
 (388,70,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/27/08 Notes\r\n!! Notes On A View From Space 12/27/08\r\n\r\n\r\n',2,'2009-12-16 12:15:13','CE17F970-1405-4047-9163-EF5546890774',0),
 (389,70,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/27/08 Notes\r\n!! Notes On A View From Space 12/27/08\r\n\r\n\r\n\r\n\'\'Before Noah\'s flood there was a man called Lamech, as it is written in the Bible, in the fourth chapter of Genesis; and this Lamech had two wives, the one named Ada and the other named Zilla; by his first wife, Ada, he got two sons, the one Jubal, and the other Jabal: and by the other wife he got a son and a daughter. And these four children founded the beginning of all the sciences in the world. The elder son. Jahal, founded the science of geometry, and he carried flocks of sheep and lambs into the fields, and first built houses of stone and wood, as it is noted in the chapter above named. And his brother Jubal founded the science of music and songs of the tongue, the harp and organ. And the third brother, Tubal Cain, founded smith-craft, of gold, silver, copper, iron, and steel, and the daughter founded the art of weaving. And those children knew well that God would take vengeance for sin, either by fire or water, wherefore they wrote the sciences that they had found, on two pillars that they might be found after Noah\'s flood. The one pillar was marble, for that would not burn with fire: and the other was clepped laterns. and woula not drown in npe water.\"\r\n\r\n\r\n',3,'2009-12-16 12:21:24','CE17F970-1405-4047-9163-EF5546890774',1),
 (391,64,'[Home] < MvcCms Bugs and Issues\r\n!! Bugz\r\n\r\n* [Wiki iscurrentversion not always set correctly] [color:red|fixed]\r\n* [Area links not showing current in sidebar]\r\n* [Page name not wrapping on cms editor]\r\n* [Poll doesn\'t disappear after archiving]\r\n* [Edit of subpage does not flush page from cache] [color:red|fixed]',5,'2009-12-17 09:26:25','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (392,64,'[Home] < MvcCms Bugs and Issues\r\n!! Bugz\r\n\r\n* [Area links not showing current in sidebar]\r\n* [Page name not wrapping on cms editor]\r\n* [Poll doesn\'t disappear after archiving]\r\n* [Edit of subpage does not flush page from cache] [color:red|fixed]\r\n* [Wiki iscurrentversion not always set correctly] [color:red|fixed]',6,'2009-12-17 09:26:48','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',0),
 (393,64,'[Home] < MvcCms Bugs and Issues\r\n!! Bugz\r\n\r\n* [Area links not showing current in sidebar]\r\n* [Page name not wrapping on cms editor]\r\n* [Poll doesn\'t disappear after archiving]\r\n\r\n* [Edit of subpage does not flush page from cache] [color:red|fixed]\r\n* [Wiki iscurrentversion not always set correctly] [color:red|fixed]',7,'2009-12-17 09:26:57','B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F',1),
 (2162,39,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Spaceman.gif] Post info here about a view from space. \r\n\r\nThe spaceman says, \"Everybody look down!\r\nIts all in your mind!\"\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n!! Show Notes\r\n\r\n* [05/20/06 Show] Fibonacci numbers, weird movies.\r\n* [12/27/08 Show] Probably one of the best shows on 2BallCain You will find.\r\n* [12/12/09 Show]\r\n* [12/05/09 Show]\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n\r\n\r\n',14,'2009-12-19 11:10:02','CE17F970-1405-4047-9163-EF5546890774',0),
 (2168,71,'[Home] < [Radio] < [A View From Space With Gary Bell] < 05/20/06 Notes\r\n!! Notes On A View From Space 05/20/06\r\n\r\nFibonacci numbers website:\r\n\r\nMentioned movie: ',1,'2009-12-19 11:12:05','CE17F970-1405-4047-9163-EF5546890774',0),
 (2181,71,'[Home] < [Radio] < [A View From Space With Gary Bell] < 05/20/06 Notes\r\n!! Notes On A View From Space 05/20/06\r\n\r\nFibonacci numbers website:\r\n\r\nMentioned book: Ice Station by Matthew Reilly',2,'2009-12-19 11:23:15','CE17F970-1405-4047-9163-EF5546890774',1),
 (2348,39,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Spaceman.gif] Post info here about a view from space. \r\n\r\nThe spaceman says, \"Everybody look down!\r\nIts all in your mind!\"\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n!! Show Notes\r\n\r\n* [12/19/09 Show]\r\n* [12/12/09 Show]\r\n* [12/05/09 Show]\r\n\r\n* [05/20/06 Show] Fibonacci numbers, weird movies.\r\n* [12/27/08 Show] Probably one of the best shows on 2BallCain You will find.\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n\r\n\r\n',15,'2009-12-19 13:45:46','CE17F970-1405-4047-9163-EF5546890774',0),
 (2349,72,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/19/09 Notes\r\n!! Notes On A View From Space 12/19/09\r\n',1,'2009-12-19 13:46:56','CE17F970-1405-4047-9163-EF5546890774',0),
 (2363,39,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Spaceman.gif] Post info here about A View From Space on AM 640 in Toronto With Gary Bell aka Any the Spaceman. \r\n\r\nThe spaceman says, \"Everybody look down!\r\nIts all in your mind!\"\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n!! Show Notes\r\n\r\n* [12/19/09 Show]\r\n* [12/12/09 Show]\r\n* [12/05/09 Show]\r\n\r\n* [05/20/06 Show] Fibonacci numbers, weird movies.\r\n* [12/27/08 Show] Probably one of the best shows on 2BallCain You will find.\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n\r\n\r\n',16,'2009-12-19 13:56:40','CE17F970-1405-4047-9163-EF5546890774',0),
 (2364,39,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Spaceman.gif] Post info here about A View From Space on AM 640 in Toronto With Gary Bell aka Andy the Spaceman. \r\n\r\nThe spaceman says, \"Everybody look down!\r\nIts all in your mind!\"\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n!! Show Notes\r\n\r\n* [12/19/09 Show]\r\n* [12/12/09 Show]\r\n* [12/05/09 Show]\r\n\r\n* [05/20/06 Show] Fibonacci numbers, weird movies.\r\n* [12/27/08 Show] Probably one of the best shows on 2BallCain You will find.\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n\r\n\r\n',17,'2009-12-19 13:57:00','CE17F970-1405-4047-9163-EF5546890774',0),
 (3052,72,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/19/09 Notes\r\n!! Notes On A View From Space 12/19/09\r\n\r\n[color:red|here we go!]\r\n',2,'2009-12-19 23:07:46','CE17F970-1405-4047-9163-EF5546890774',0),
 (3073,72,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/19/09 Notes\r\n!! Notes On A View From Space 12/19/09\r\n\r\n[color:red|here we go!]\r\n\r\n!! True Origins of Christmas\r\nTamus was the son of Nimrod, Istar was his mother.  Was impregnated by ray of sunshine and give birth to Tamus with an immaculate conception after Nimrod\'s death.\r\n\r\nThe cross is the symbol of the first letter of the name Taumus.  Cross became \"christian\" symbol by Constantine.  \r\n\r\n\r\n\r\n',3,'2009-12-19 23:24:05','CE17F970-1405-4047-9163-EF5546890774',0),
 (3083,72,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/19/09 Notes\r\n!! Notes On A View From Space 12/19/09\r\n\r\n[color:red|here we go!]\r\n\r\n!! True Origins of Christmas\r\nTamus was the son of Nimrod, Istar was his mother.  Was impregnated by ray of sunshine and give birth to Tamus with an immaculate conception after Nimrod\'s death.\r\n\r\nThe cross is the symbol of the first letter of the name Taumus.  Cross became \"christian\" symbol by Constantine.  \r\n\r\nThe tree symbolizes Tamus, Istar impregnated by a ray of sunshine.  The star is the sacred symbol of Nimrod and goes at the top of the Tamus tree.\r\n\r\n',4,'2009-12-19 23:31:41','CE17F970-1405-4047-9163-EF5546890774',0),
 (3088,72,'[Home] < [Radio] < [A View From Space With Gary Bell] < 12/19/09 Notes\r\n!! Notes On A View From Space 12/19/09\r\n\r\n[color:red|here we go!]\r\n\r\n!! True Origins of Christmas\r\nTamus was the son of Nimrod, Istar was his mother.  Was impregnated by ray of sunshine and give birth to Tamus with an immaculate conception after Nimrod\'s death.\r\n\r\nThe cross is the symbol of the first letter of the name Taumus.  Cross became \"christian\" symbol by Constantine.  \r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/upside-down-christmas-tree.jpg]The tree symbolizes Tamus, Istar impregnated by a ray of sunshine.  The star is the sacred symbol of Nimrod and goes at the top of the Tamus tree.\r\n\r\n',5,'2009-12-19 23:34:27','CE17F970-1405-4047-9163-EF5546890774',1),
 (6252,21,'!! Reality Peninsula Wiki\r\n\r\nAnonymous contributions welcome!\r\n\r\n!!! Categories\r\n\r\n* [Radio]\r\n* [Authors]\r\n* [Websites]\r\n* [Video]\r\n\r\nFavories...\r\n[A View From Space With Gary Bell]\r\n\r\n\r\n\r\n\r\n\r\n\r\n----\r\n\r\nBelow are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [RSS Support]\r\n* [Video Support]',11,'2009-12-22 15:37:13','CE17F970-1405-4047-9163-EF5546890774',0),
 (6255,73,'[Home] > Websites\r\n!! Websites\r\n\r\n* [Daves Web]',1,'2009-12-22 15:38:07','CE17F970-1405-4047-9163-EF5546890774',0),
 (6257,73,'[Home] > Websites\r\n!! Websites\r\n\r\n* [Daves Web]\r\n* [url:Outlaw Journalism|http://www.outlawjournalism.com]',2,'2009-12-22 15:39:33','CE17F970-1405-4047-9163-EF5546890774',0),
 (6260,74,'[Home] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Spaceman.gif] Post info here about A View From Space on AM 640 in Toronto With Gary Bell aka Andy the Spaceman. \r\n\r\nThe spaceman says, \"Everybody look down!\r\nIts all in your mind!\"\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n!! Show Notes\r\n\r\n* [12/19/09 Show]\r\n* [12/12/09 Show]\r\n* [12/05/09 Show]\r\n\r\n* [05/20/06 Show] Fibonacci numbers, weird movies.\r\n* [12/27/08 Show] Probably one of the best shows on 2BallCain You will find.\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n\r\n\r\n',1,'2009-12-22 15:40:58','CE17F970-1405-4047-9163-EF5546890774',1),
 (6266,39,'[Home] > [Radio] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Spaceman.gif] Post info here about A View From Space on AM 640 in Toronto With Gary Bell aka Andy the Spaceman. \r\n\r\nThe spaceman says, \"Everybody look down!\r\nIts all in your mind!\"\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n!! Show Notes\r\n\r\n* [12/19/09 Show]\r\n* [12/12/09 Show]\r\n* [12/05/09 Show]\r\n\r\n* [05/20/06 Show] Fibonacci numbers, weird movies.\r\n* [12/27/08 Show] Probably one of the best shows on 2BallCain You will find.\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n\r\n\r\n',18,'2009-12-22 15:48:24','CE17F970-1405-4047-9163-EF5546890774',0),
 (6344,39,'[Home] > [Radio] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Spaceman.gif] Post info here about A View From Space on AM 640 in Toronto With Gary Bell aka Andy the Spaceman. \r\n\r\nThe spaceman says, \"Everybody look down!\r\nIts all in your mind!\"\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n!! Show Notes\r\n\r\n* [12/19/09 Show]\r\n* [12/12/09 Show]\r\n* [12/05/09 Show]\r\n\r\n* [05/20/06 Show] Fibonacci numbers, weird movies.\r\n* [12/27/08 Show] Probably one of the best shows on 2BallCain You will find.\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n\r\n\r\n',19,'2009-12-22 16:48:24','CE17F970-1405-4047-9163-EF5546890774',0),
 (6618,21,'!! Reality Peninsula Wiki\r\n\r\nAnonymous contributions can\'t be done, found 62k posts on one of the wikis from a friendly person helping me test this new software.  Not sure how to make anonymous work but the way I had it is fail unless you are behind a firewall on an intranet.\r\n\r\n!!! Categories\r\n\r\n* [Radio]\r\n* [Authors]\r\n* [Websites]\r\n* [Video]\r\n\r\nFavories...\r\n[A View From Space With Gary Bell]\r\n\r\n\r\n\r\n\r\n\r\n\r\n----\r\n\r\nBelow are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [RSS Support]\r\n* [Video Support]',12,'2009-12-22 21:23:40','CE17F970-1405-4047-9163-EF5546890774',1),
 (6619,19,'!! Sandbox wiki home\r\n\r\nThe wiki rocks!!!!!!\r\n\r\n[test page]\r\n\r\nthe wiki is set to allow anonymous edit and create page.\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',8,'2009-12-29 17:37:00','F062F5EF-88D0-46CC-9EA1-1E984B0069AB',1),
 (6620,39,'[Home] > [Radio] > A View From Space With Gary Bell\r\n!! A View From Space with Gary Bell aka Spaceman\r\n\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/Spaceman.gif] Post info here about A View From Space on AM 640 in Toronto With Gary Bell aka Andy the Spaceman. \r\n\r\nThe spaceman says, \"Everybody look down!\r\nIts all in your mind!\"\r\n\r\n[url:Page at 640 AM Toronto|http://www.640toronto.com/HostsandShows/AViewFromSpace.aspx]\r\nListen to the live shows on Saturday night here.  Show time varies.\r\n[url:Page At Conspiracy Culture|http://www.conspiracyculture.com/]\r\nThe latest show can be downloaded from a link on the bottom right of the page.\r\n!! Show Notes\r\n\r\n* [1/2/10 Show]\r\n* [12/19/09 Show]\r\n* [12/12/09 Show]\r\n* [12/05/09 Show]\r\n\r\n* [05/20/06 Show] Fibonacci numbers, weird movies.\r\n* [12/27/08 Show] Probably one of the best shows on 2BallCain You will find.\r\n\r\n[url:Yahoo Group|http://groups.yahoo.com/group/garythespaceman/files/]\r\nSeveral years worth of shows are in the files section of this group.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\n[url:Facebook Group|http://www.facebook.com/group.php?gid=8778828877]\r\n\r\n\r\n\r\n',20,'2010-01-02 20:58:04','CE17F970-1405-4047-9163-EF5546890774',1),
 (6621,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010',1,'2010-01-02 20:58:51','CE17F970-1405-4047-9163-EF5546890774',0),
 (6622,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nThis is the place to wiki up tonight\'s show.',2,'2010-01-02 21:01:13','CE17F970-1405-4047-9163-EF5546890774',0),
 (6623,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!',3,'2010-01-02 23:08:52','CE17F970-1405-4047-9163-EF5546890774',0),
 (6624,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.',4,'2010-01-02 23:10:57','CE17F970-1405-4047-9163-EF5546890774',0),
 (6625,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.\r\n\r\n5 is the fortress number',5,'2010-01-02 23:13:56','CE17F970-1405-4047-9163-EF5546890774',0),
 (6626,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.\r\n\r\n5 is the fortress number\r\n\r\nNew laws from underwear bomber.\r\n1. no bathroom or pillows or blankets in last hour of flight!\r\n\r\n',6,'2010-01-02 23:35:42','CE17F970-1405-4047-9163-EF5546890774',0),
 (6627,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.\r\n\r\n5 is the fortress number\r\n\r\nNew laws from underwear bomber.\r\n1. no bathroom or pillows or blankets in last hour of flight!\r\n\r\n!! THE BODY SCANNERS ARE COMING\r\n\r\n',7,'2010-01-02 23:42:10','CE17F970-1405-4047-9163-EF5546890774',0),
 (6628,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.\r\n\r\n5 is the fortress number\r\n\r\nNew laws from underwear bomber.\r\n1. no bathroom or pillows or blankets in last hour of flight!\r\n\r\n<[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/bodyscanner.jpg]!! THE BODY SCANNERS ARE COMING\r\n\r\n',8,'2010-01-02 23:44:58','CE17F970-1405-4047-9163-EF5546890774',0),
 (6629,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.\r\n\r\n5 is the fortress number\r\n\r\nNew laws from underwear bomber.\r\n1. no bathroom or pillows or blankets in last hour of flight!\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/bodyscanner.jpg]\r\n!! THE BODY SCANNERS ARE COMING\r\n10 them number of law was all over the last \"terrorist episode\"\r\n\r\n',9,'2010-01-02 23:45:56','CE17F970-1405-4047-9163-EF5546890774',0),
 (6630,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.\r\n\r\n5 is the fortress number\r\n\r\nNew laws from underwear bomber.\r\n1. no bathroom or pillows or blankets in last hour of flight!\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/bodyscanner.jpg]\r\n!! THE BODY SCANNERS ARE COMING\r\n10 the number of law was all over the last \"terrorist episode\"\r\n\r\n',10,'2010-01-02 23:46:05','CE17F970-1405-4047-9163-EF5546890774',0),
 (6631,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.\r\n\r\n5 is the fortress number\r\n\r\nNew laws from underwear bomber.\r\n1. no bathroom or pillows or blankets in last hour of flight!\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/bodyscanner.jpg]\r\n!! THE BODY SCANNERS ARE COMING\r\n10 the number of law was all over the last \"terrorist episode\"\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/thumbs/scanner4700.jpg]\r\n\r\n',11,'2010-01-02 23:47:43','CE17F970-1405-4047-9163-EF5546890774',0),
 (6632,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.\r\n\r\n5 is the fortress number\r\n\r\nNew laws from underwear bomber.\r\n1. no bathroom or pillows or blankets in last hour of flight!\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/bodyscanner.jpg]\r\n!! THE BODY SCANNERS ARE COMING\r\n10 the number of law was all over the last \"terrorist episode\"\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/scanner4700.jpg]\r\n\r\n',12,'2010-01-02 23:48:09','CE17F970-1405-4047-9163-EF5546890774',0),
 (6633,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.\r\n\r\n5 is the fortress number\r\n\r\nNew laws from underwear bomber.\r\n1. no bathroom or pillows or blankets in last hour of flight!\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/bodyscanner.jpg]\r\n!! THE BODY SCANNERS ARE COMING\r\n10 the number of law was all over the last \"terrorist episode\"\r\n\r\nYou will loose all rights to fly on an aircraft.  You are guilty until proven innocent.  The chaos has been effected to create the change.\r\n\r\nThey put the mind controlled person on the aircraft with a little fire and now the LAW comes down on YOU.\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/scanner4700.jpg]\r\n\r\n',13,'2010-01-02 23:49:52','CE17F970-1405-4047-9163-EF5546890774',0),
 (6634,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.\r\n\r\n5 is the fortress number\r\n\r\nNew laws from underwear bomber.\r\n1. no bathroom or pillows or blankets in last hour of flight!\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/bodyscanner.jpg]\r\n!! THE BODY SCANNERS ARE COMING\r\n10 the number of law was all over the last \"terrorist episode\"\r\n\r\nYou will loose all rights to fly on an aircraft.  You are guilty until proven innocent.  The chaos has been effected to create the change.\r\n\r\nThey put the mind controlled person on the aircraft with a little fire and now the LAW comes down on YOU.\r\n\r\n\r\n\r\n\r\n\r\n!! The Double Headed Eagle\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/thumbs/scanner4700.jpg]\r\n>[image:http://www.realitypeninsula.info/uploadedimages/real-pen/profiles/e67a1297-30c8-4bff-8d92-70fba1ff7b0c.jpg]\r\n\r\n',14,'2010-01-03 00:04:44','CE17F970-1405-4047-9163-EF5546890774',0),
 (6635,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.\r\n\r\n5 is the fortress number\r\n\r\nNew laws from underwear bomber.\r\n1. no bathroom or pillows or blankets in last hour of flight!\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/bodyscanner.jpg]\r\n!! THE BODY SCANNERS ARE COMING\r\n10 the number of law was all over the last \"terrorist episode\"\r\n\r\nYou will loose all rights to fly on an aircraft.  You are guilty until proven innocent.  The chaos has been effected to create the change.\r\n\r\nThey put the mind controlled person on the aircraft with a little fire and now the LAW comes down on YOU.\r\n\r\n\r\n\r\n\r\n\r\n!! The Double Headed Eagle\r\nRomulus Agustus, installed as the last Emperor of Rome before the fall.  The empire of America is burning like the Phoenix.  The one world Luciferian system is next.\r\n\r\nThe gods of the tower of Babel are represented by the double headed eagle.  Inlel and ...\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/thumbs/scanner4700.jpg]\r\n>[image:http://www.realitypeninsula.info/uploadedimages/real-pen/profiles/e67a1297-30c8-4bff-8d92-70fba1ff7b0c.jpg]\r\n\r\n',15,'2010-01-03 00:10:43','CE17F970-1405-4047-9163-EF5546890774',0);
INSERT INTO `wiki_contents` (`ContentID`,`TitleID`,`Source`,`Version`,`VersionDate`,`UserID`,`IsCurrentVersion`) VALUES 
 (6636,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.\r\n\r\n5 is the fortress number\r\n\r\nNew laws from underwear bomber.\r\n1. no bathroom or pillows or blankets in last hour of flight!\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/bodyscanner.jpg]\r\n!! THE BODY SCANNERS ARE COMING\r\n10 the number of law was all over the last \"terrorist episode\"\r\n\r\nYou will loose all rights to fly on an aircraft.  You are guilty until proven innocent.  The chaos has been effected to create the change.\r\n\r\nThey put the mind controlled person on the aircraft with a little fire and now the LAW comes down on YOU.\r\n\r\n\r\n\r\n\r\n\r\n!! The Double Headed Eagle\r\nRomulus Agustus, installed as the last Emperor of Rome before the fall.  The empire of America is burning like the Phoenix.  The one world Luciferian system is next.\r\n\r\nThe gods of the tower of Babel are represented by the double headed eagle.  \r\n\r\n[url:Enki and Enlil Tower of Babel|http://www.halexandria.org/dward763.htm]\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/thumbs/scanner4700.jpg]\r\n>[image:http://www.realitypeninsula.info/uploadedimages/real-pen/profiles/e67a1297-30c8-4bff-8d92-70fba1ff7b0c.jpg]\r\n\r\n',16,'2010-01-03 00:17:47','CE17F970-1405-4047-9163-EF5546890774',0),
 (6637,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.\r\n\r\n5 is the fortress number\r\n\r\nNew laws from underwear bomber.\r\n1. no bathroom or pillows or blankets in last hour of flight!\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/bodyscanner.jpg]\r\n!! THE BODY SCANNERS ARE COMING\r\n10 the number of law was all over the last \"terrorist episode\"\r\n\r\nYou will loose all rights to fly on an aircraft.  You are guilty until proven innocent.  The chaos has been effected to create the change.\r\n\r\nThey put the mind controlled person on the aircraft with a little fire and now the LAW comes down on YOU.\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/thumbs/scanner4700.jpg]\r\n>[image:http://www.realitypeninsula.info/uploadedimages/real-pen/profiles/e67a1297-30c8-4bff-8d92-70fba1ff7b0c.jpg]\r\n\r\n!! The Double Headed Eagle\r\nRomulus Agustus, installed as the last Emperor of Rome before the fall.  The empire of America is burning like the Phoenix.  The one world Luciferian system is next.\r\n\r\nThe gods of the tower of Babel are represented by the double headed eagle.  \r\n\r\n[url:Enki and Enlil Tower of Babel|http://www.halexandria.org/dward763.htm]\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n',17,'2010-01-03 00:19:00','CE17F970-1405-4047-9163-EF5546890774',0),
 (6638,75,'[Home] < [Radio] < [A View From Space With Gary Bell] < 1/2/2010 Notes\r\n!! Notes On A View From Space 1/2/2010\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedfiles/real-pen/space.jpg]\r\nHere we go!\r\n\r\n1. Getting rid of the major three religions.  No one of them contain all the truth but each of them contains much of the truth.  That is why they must get rid of them.\r\n\r\n5 is the fortress number\r\n\r\nNew laws from underwear bomber.\r\n1. no bathroom or pillows or blankets in last hour of flight!\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/bodyscanner.jpg]\r\n!! THE BODY SCANNERS ARE COMING\r\n10 the number of law was all over the last \"terrorist episode\"\r\n\r\nYou will loose all rights to fly on an aircraft.  You are guilty until proven innocent.  The chaos has been effected to create the change.\r\n\r\nThey put the mind controlled person on the aircraft with a little fire and now the LAW comes down on YOU.\r\n\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/thumbs/scanner4700.jpg]\r\n>[image:http://www.realitypeninsula.info/uploadedimages/real-pen/profiles/e67a1297-30c8-4bff-8d92-70fba1ff7b0c.jpg]\r\n\r\n!! The Double Headed Eagle\r\nRomulus Agustus, installed as the last Emperor of Rome before the fall.  The empire of America is burning like the Phoenix.  The one world Luciferian system is next.\r\n\r\nThe gods of the tower of Babel are represented by the double headed eagle.  \r\n\r\n[url:Enki and Enlil Tower of Babel|http://www.halexandria.org/dward763.htm]\r\n\r\nhttp://www.masonicdictionary.com/doubleeagle.html\r\n\r\nTHERE IS SCARCELY a symbol in any of the philosophical or chivalric degrees of the Scottish Rite so striking in design and import as that of the double-headed eagle.\r\n\r\n\r\nThe tau cross and serpent of the Twenty-fifth Degree, the sun of the Twenty-eighth Degree, and the cross of St. Andrew in the Twenty-ninth Degree are indeed fraught with deep meaning, both historic and esoteric, but none can claim a more romantic or significant history than that of the Thirtieth Degree, that of the Grand Elect Knight Kadosh, or Knight of the Black and White Eagle. As an emblem this eagle is the epitome of religious and symbolic history, and to trace the winding flight of the double-headed bird is to survey the whole course of civilization, from its grey dawn north of the Persian gulf to this modern World. Its flight from the plains of Sumeria marks the rise and fall of the great mother religions of the world, and it was well on its journey, by some fifteen hundred years, when Moses found a name for the God of Israel.\r\n\r\nWhen our ancient brethren, the holy Crusaders, passed through Byzantium on their way to the tomb of the Saviour, the double-headed eagle which they saw embroidered in gold on heavy banners of silk, borne aloft by the Seljuk Turks, had been four thousand years on its way. To these same Crusaders this emblem was an honoured one, and though the enemy displayed it, yet they would fight to death for its possession and in triumph bear it, dripping with blood, to their encampments on the Levantine shore. It was from this Eastern Empire that the knights took this banner to adorn the courts of Charlemagne, and as a sacred relic hung it in the great cathedrals, whose architects and masons had so often been honoured by this Emperor of the West.\r\n\r\n\r\nFrom whence came this two-headed eagle, and how came it to be associated with Scottish Rite Masonry? The last part of this question is easier to answer than the first, for there is direct testimony that Frederick of Prussia supplied this crest during the formative stages of the Rite, but neither Frederick nor indeed Prussia could claim the exclusive right the use or to bestow it. It is the imperial emblem of Russia, Austria, Serbia and other portions of the disrupted Holy Roman Empire, and Prussia adopted the emblem long after it had flown over Byzantium as the royal arms of the \"Emperors of the East and West.\"\r\n\r\nThe emblem soon spread throughout all Europe, an inheritance from the knight Crusaders. In England we find it used upon knightly arms. Robert George Gentleman displayed it upon his shield, with the motto, \"Truth, Honour and Courtesy.\" In France we find it used by Count de Montamajeur, and associated with the motto, \"I shall hold myself erect and not blink.\" We find it upon the arms of the Duke of Modena, (1628) with the legend, \"No age can destroy it.\" It appears upon the shield of Swabia in 1551, in Russia in 1505, and as the crest of the city of Vienna in 1461.\r\n\r\nIT HAD MANY ANCIENT USES\r\n\r\n\r\nLet us venture still further back into antiquity and view the double-headed eagle upon the royal arms of King Sigismund of the Roman-German empire, in 1335, upon the coinage of Malek el Salah in 1217, and upon a Moorish drachma under the, Orthogide of Kaifaacar, Edm Mahmud, of the same date. Indeed the Turkiman princes used it all through the twelfth century, but it proudly floated upon Byzantine banners as early as the year 1100 and we know not how long before.\r\n\r\nIn Germany we find the double-headed eagle used as the seal of the Count of Wurzburg in 1202; it was the coat of arms of Henricus de Rode in 1276; while Philip of Saxony bore it upon his shield in 1278. It was also the seal of the Bishop of Cologne, who no doubt adopted it from the city arms.\r\n\r\nAs the arms of towns and cities in England, this emblem appears upon the official seals of Salisbury, Perth, (Perthshire), Airedale and Lamark. In Holland and France there are also numerous instances of its use.\r\n\r\nAs the badge of royal orders we find the two-headed bird upon the emblems of the Austrian Order of the Iron Crown; in Russia upon the emblems of the Order of St. Andrew, founded by Peter the Great in 1689; in Poland upon the emblem of the Order of Military Merit, (founded May 24, 1792). As late as 1883, the King of Serbia adopted it as the emblem of the Order of the Double-Headed Eagle, commemorative of the restoration of the Serbian kingdom.\r\n\r\nThe Russian Order of St. Andrew uses the breast of the eagle upon which to display the X cross with St Andrew, crucified upon it. Each eagle head is crowned and crossed swords rest upon the crowns with a larger crown above them. The Polish Order of Military Merit has a white eagle displayed upon a Maltese cross which rests upon the breast of a double-headed eagle, each of whose heads is crowned.\r\n\r\nBut the double-headed eagle is not European in origin for its use depends upon the contact of Europe with Asia Minor, and indeed with trade or warfare with the Turks.\r\n\r\nThe Turkish name for this conspicuous emblem is HAMCA, and by this name they call it when they see it carved upon the walls of ancient castles, upon time worn coins or emblazoned upon frayed silken banners in ancient palac\r\n\r\nes.\r\n\r\nTravellers in Asia Minor, indeed, are surprised by the frequency of the double-headed eagle sculptures upon the castles of the Seljukian Turks, and upon the more ancient monuments of the Hittites, whose civilization was at its height when the Hebrews were wild tribesmen upon the Arabian plains. Among the Hittite ruins in Cappadocia there are several of these notable ruins, an example being described by Perrot and Chipiez, who write:\r\n\r\n\"Sculpture, whereby the peculiarities which permit Pterian monuments to be classed in one distinct group, yields richer material to the student. Many are the characteristic details which distinguish it; but none, we venture to say, can vie with the double-headed eagle at Iasill Kaia, a type which we feel justified in ranging among those proper to Cappadocia, since it was unknown to Assyria, Egypt or Phoenicia. Its position is always a conspicuous one, - about a great sanctuary, the principal doorway of a palace, a castle wall, etc., rendering the suggestion that the Pterians used the symbol as a coat of arms plausible if not certain. It has been further urged that the city was symbolized by it, that the palace called by the Greeks Pteris (Pteron, wing) was the literal translation it bore with the Aborigines, that in a comprehensive sense it came to symbolize the whole district, the country of wings, i. e., numerous eagles, double-headed eagles with wings outstretched.\"\r\n\r\nThe great city of Pteria, as Herodotus calls this unique dwelling place, was destroyed by Croesus. The ruins and walls of this city, now known as Boghaz Keui, (meaning Valley Village or Village in the Pass) have been examined with particular interest by archaeologists, but principally by Perrot and Guillaume. At the entrance of a palace these investigators found numerous rock sculptures, mostly picturing the processions of certain royal or priestly personages. Egyptian and Assyrian art motives predominate, but pure Hittite art is shown in the sculpture of the double headed eagle, upon whose displayed wings two priestly figures stand.\r\n\r\nAt Eyuk, a similar eagle with two heads facing opposite directions clutches a large hare with either foot. J. Garstang in his notable work, The Land of the Hittites, mentions there bicephalous eagles and gives two plates illustrating the rock carvings upon which they appear.\r\n\r\nTHE REMARKABLE SCULPTURES OF BOGHAZ KEUI\r\n\r\nIn his description of the Sculptures of Boghaz Keui, Garstang gives an analysis of the procession of priests, kings and gods shown on the rock carving alluded to above. This great bas-relief is upon the sanctuary passage way of the temple of Iasily Kaya. Concerning these images Garstang writes: \"The significance of the double headed eagle is unknown. But that there was a local worship associated with the eagle is indicated by the discovery at Boghaz Keui of a sculptured head of this bird in black stone, larger than natural size, and by a newly deciphered cuneiform fragment from the same site, on which mention is made .... of the house or temple of the eagle. That the cult was general within the circuit of the Halys is suggested by the great monument which now lies prone .... near Yamoola. At Eyuk, also, there is a conspicuous though partly defaced representation of a priest of the Double-Eagle on a sphynx-jam of a palace gateway, a symbolism that we read to imply that the occupant of the palace was a chief priest of the cult..... Hence, we conclude that following the images of the national deities .... there came the images of the local cult of this part of Cappadocia, namely, the twin goddesses of the Double Eagle.\"\r\n\r\nThus, in the ancient Kingdom of the Hittites, there was an actual temple devoted to the ceremonies of a priesthood dedicated to the cult of the two-headed eagle. While we may be sure that nothing in Scottish Rite Masonry is touched by direct Hittite influences, yet this emblem of the Thirty-second Degree must trace its history back to the ceremonies and beliefs of the Cappadocian eagle cult. We may with good reason conjecture that this strange bird painted or embroidered on banners was carried in many a strange rite and honoured in the sanctum sanctorum of the Temple itself.\r\n\r\nBut, let us go still further back into the ages of Asia Minor. Let us view the remains of Tello, the mound covering the site of the ancient Babylonian city of Lagash which flourished three thousand years B. C. Here M. de Sarzec, according to the great Assyriologist, M. Thureau Dangin, found the ruins of a temple and among other things in the rubbish he discovered two cylindrical seals. One of these has upon it the recitation of a King, who says:\r\n\r\n\"The waters of the Tigris fell low and the store of provender ran short in this my city.\" He goes on to tell that this was a visitation of the gods. He, therefore, submitted his case to the divinities of the land. He dreamed, as a result, a holy dream in which there came to him a divine man whose stature towered, (as that of a mighty god in Babylonia should) from earth to heaven and whose head was crowned with the coronet of a god surmounted by the Storm Bird, \"that extended its wings over Lagash and the land thereof.\"\r\n\r\nWhat, then, is this \"storm bird,\" this mysterious symbol that bedecks the brow of a god, and,what does it betoken?\r\n\r\nOur first inquiry is to ascertain who was the patron deity of Lagash. It is easily determined that it was Ningersu, who with his wife, Bau, presided over the destinies of the city, and particularly that part known as Gersu. The divine man who rescues the world from the flood is this same Ningersu, the solar deity, who is always at odds with, yet always in full harmony with, the storm god Enlil, who was the patron deity of Nippur. Now the emblem always associated with Ningersu was an eagle, generally lion headed, called Imgig. Imgig seems always given the difficult task of clutching two beasts of a kind, one in either talon. In one instance these are lions, in another long-tailed oryxes, and still in another two serpents.\r\n\r\nMany are the inscriptions depicting the image of Imgig looking perplexed, yet stolid, as he holds fast to the beasts beneath him. A beautiful silver vase, designed as a votive offering by Entemena, Patesi of Lagash, has etched upon it a central design of four lion-headed eagles, of which two seize a lion in each talon, a third a couple of deer and a fourth a couple of ibexes. This vase with its pictured symbols dates back to the year 2850 B.C. It rests in the Louvre today as a prized specimen of Babylonian art. Jastrow figures it in his work on Religious Beliefs in Babylonia and Assyria.\r\n\r\nBut Imgig, despite his peculiarities, might escape special notice were it not for the fact that in one or two instances he appears with two heads. It is in this wise that the bird appears in an old Babylonian cylinder seal once belonging to a priest of Ningersu. Upon this seal a priest or priestess presents a naked candidate or novitiate before an altar before which sits the goddess Bau, the Ishtar of Lagash. Behind the goddess is an inscription supported upon the two heads of a bicephalous eagle, which, of course is none other than the symbol of Ningersu and his city, Lagash. This is the oldest known representation of the double-headed eagle.\r\n\r\nTHE SYMBOL AS FOUND AMONG THE CHALDEES\r\n\r\nM. Heuzey, in his Discouvertes en Chaldee page 261, says: \'It may, I think, be presumed that the double-headed eagle, and the lion-headed eagle, and also the eagle with two heads, have the same significance when figured in front view with wings spread on each side. Unlike the griffon dragon, it is a beneficent emblem representing a protecting power. We find it in the earlier Chaldean period, but in the middle and latter part it quite disappears, although it is retained in the art of the Hittites to the region north and east of Assyria.\"\r\n\r\nWard, in his Cylinder Seals of Western Asia, tells us that from this eagle in its heraldic attitude necessitated by, its attack on the two animals, was derived the double-headed eagle, in the effort to complete the bilateral symmetry of the bird when represented with an eagle head, turned to one side like the double face of human bifrons. An examination of the lion-headed eagle facing front shows characteristics that would easily suggest two eagle heads, but this is a matter of design, rather than symbolism.\r\n\r\nThe Babylonian custom of merging gods together have some bearing on this design. The double-headed bird may represent Ningersu and Enlil, the union of the Sun god and the Storm god, or it may represent the union of Ningersu and Bau.\r\n\r\nAs an emblem of Ningersu and of Enlil (the god to whom the Tower of Babel was erected) the eagle represents the union of the two greatest gods of Mesopotamia. Indeed, in the later years of Babylonia, either of these gods might be called by the name of other, and to worship one was to pay equal tribute the other.\r\n\r\nIn later centuries, when the Hebrews had been under more or less Babylonian influence, all the characteristics of Enlil and indeed, Ningersu, were ascribed to a new and rising deity whose home was reputed to be in the land of the Kennites and upon the lofty, smoking peak of Horeb-Sinai. He manifested himself exactly as Ningersu did, by earthquakes, fiery clouds and mighty hurricanes, as for example, is described in the 29th Psalm. This god had his seat on mountain top, from whence he blessed the grazing lands and the vegetation of the Kennites. It was this God that Moses found after instruction by his father-in-law, the Midianite. Like Enlil, this god had a consort who seems to have been Yerahme\'el. His other co-equals we cannot easily recognize, because the scribes have only written or allowed to remain what they desired after their theological education in Babylon during the captivity. Nevertheless, they allow many a tell-tale clue to remain, and in the original Hebrew we may still read, \"And the Gods (Els or Al-him) said, \'Behold the man is become as one of us, to know good and evil.\'\"\r\n\r\nBut long before Moses found Yahwe and declared him the God of Isra-El (the God who Strives), and before this god absorbed all his predecessors and forbade their recognition, a similar duad had arisen among the Hittites, whose storm god Teshup was represented two gods, and whose symbol was a double-headed eagle. Thereafter no Hittite temple or palace was complete without a conspicuous carving of the doubly potent bicephalous bird.\r\n\r\nTHE ABORIGINES OF THE NILE\r\n\r\nIt was no doubt through the prevalence of this double-headed eagle among the Hittite ruins that the Turks found a reiterated motif for their own banners, emblazoning the magical Hamea, this bird of double power, upon them.\r\n\r\nBut long before the Hittite kingdom was founded, and centuries before the rise of Babylon and Assyria, and five full millenniums before the rise of the Hebrew tribes as a nation, the double-headed bird was known. Before any of the pharaohs ruled the valley of the Nile and before the pyramids had been erected, the pre-dynastic aborigines of the Nileland had carved upon trowel-like pieces of stone, a two-headed bird. These double-headed birds were prized enough to be buried with the dead, in whose tombs the archaeologist of to-day finds them as mysterious emblems of a long forgotten past. So old are these tombs containing the trowel blade with the two-headed bird upon its shoulders, that competent Egyptologists estimate an age of no less than 7,000 years before Christ.\r\n\r\nOf interest, also is the fact that in America the double-headed eagle is found on a crest of the native priesthood. The Hida Indians today have a double-headed eagle which is displayed as a mysterious and honoured emblem, and just as this bird among the Hittites, the Babylonians and the temple worshippers of Lagash was a storm bird, so, likewise to the Hida Indians of our North West coast the double-headed eagle is their Thunderbird.\r\n\r\nIn our Christian architecture the two-headed bird has sometimes been employed, particularly as a window ornament. For example, we find it upon a church window in England, where an eagle with two heads perched upon the shoulder of Elijah symbolizes the double portion of grace with which the prophet was endowed.\r\n\r\nProfessor Albert Grundwell of Berlin, who led an archaeological expedition into central Asia, found these double-headed eagles in ancient eaves. In Vol. XXIII of The Open Court is some mention of his discoveries. He there states that to the Hindoos the bird is known as Garuda and that the particular specimen that he illustrates was found on the ceiling of a cave near Qzyl, near the city of Kutcha. Its age he cannot guess, but he intimates that the painting is very old. Like Babylonian and Hittite eagles of this class, the Garuda grasps identical animals, in this case two serpents.\r\n\r\nThe double-headed eagle, thus appears to be Asiatic and to have been originated in the lands where the greatest temples have been erected, and where religious cults have been strongest.\r\n\r\nTo recapitulate: This bird appears in Lygash under the name of Imgig, and apparently is emblematic of the union of Enlil and Ningersu; it appears among the Hittites as Teshup; it appears among the Hindoos as Garuda; it is called Hamca by the Seliuk Turks; and among the Hida Indians of America it appears as the Thunder Bird or Helinga. Among the Zuni Indians in another form it appears as a highly conventionalized design, but still as a double-headed thunder bird, the Sikyatki.\r\n\r\nThe two-headed eagle was adopted by the Turks, and by the Arabians it was known as the Roc. From the Turks it passed into use by the Crusaders, was employed as an imperial emblem by the Holy Roman Empire, adopted by the Russians, Poles, Serbians, Prussians, Austrians and Saxons. It was used as a private seal and as arms in Germany, Spain, France, Netherlands, England, and Russia.\r\n\r\nThus has the eagle with one body, one heart and two heads, flown afar from its natal home. We may only conjecture the varied uses to which it was put, the names by which it was called and, the things or principles it typified. Of these things where there has been reasonable assurance of certainty we have written. We are certain that the emblem is one of the oldest in the world, and from its nature we are justified in believing that it symbolizes a duality of power, a blending of two names, two functions and two dominions in one body. As Enlil or as Ningersu, it stood for a union of solar and celestial forces; as a royal crest it has stood for power and dominion, and as a religious seal it stands for truth and justice.\r\n\r\nAs a Masonic symbol this device is time honoured and appropriate. It is no less the badge of the Grand Inspector and Sublime Prince than that of the Grand Elect Knight. As the symbol of the Inspector it suggests an equal contemplation of both sides of a question-and thus, judicial balance. It is seen as the fitting emblem of an elect knight in ancient religious engravings, and to the exclusion of the cross itself, it appears upon the banners of the knight and prince who behold the apparition of the virgin and child of the rosary. And, as in ancient Mesopotamia, the double eagle is here associated with the sun symbol in the form of the Chaldean Elu, which the knight and prince wear, evidently with the same ancient meaning: \"The light toward which my eyes are turned.\"\r\n\r\nThus does the double-headed eagle stand today for that which it stood in ancient days, its two heads, facing the Ultimate Sun, reminding men and Masons that there is yet even \"more light\" for the pilgrim who travels East, and in whose heart is the motto,\r\n\r\n\"SPES MEA IN DEO EST.\"\r\n\r\n\r\n- Source: The Builder - April 1923\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n',18,'2010-01-07 09:38:07','CE17F970-1405-4047-9163-EF5546890774',1),
 (6639,1,'!! Welcome to the MvcCms [url:WikiPlex|http://wikiplex.codeplex.com/] Wiki\r\n\r\nUse this wiki to keep up to date information on using [MvcCms 1.0] and [MvcCms 2.0].\r\ns\r\nThe Wiki is setup to allow anonymous editing of pages but you must be a [url:member|http://www.mvccms.com/Account/Register] of the site to create a wiki page.\r\n\r\nTo create a wiki page simply create a wiki link and then click through to it and you will be taken to the page to create the wiki page.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/wikisf.jpg]\r\n\r\n* [Documentation]\r\n* [Planned Development]\r\n* [Known Issues]\r\n* [Enhancements]\r\n\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',15,'2010-10-04 23:59:11','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',0),
 (6640,1,'!! Welcome to the MvcCms [url:WikiPlex|http://wikiplex.codeplex.com/] Wiki\r\n\r\nUse this wiki to keep up to date information on using [MvcCms 1.0] and [MvcCms 2.0].\r\n\r\nThe Wiki is setup to allow anonymous editing of pages but you must be a [url:member|http://www.mvccms.com/Account/Register] of the site to create a wiki page.\r\n\r\nTo create a wiki page simply create a wiki link and then click through to it and you will be taken to the page to create the wiki page.\r\n\r\n>[image:http://www.realitypeninsula.info/Uploadedimages/real-pen/wikisf.jpg]\r\n\r\n* [Documentation]\r\n* [Planned Development]\r\n* [Known Issues]\r\n* [Enhancements]\r\n\r\n\r\n----\r\n\r\nSpecial Thanks to WikiPlex for creating such a great open source wiki software.  Below are links to different sections of the site showing the various macros supported.\r\n\r\n* [Formatting and Layout]\r\n* [Syntax Highlighting]\r\n* [RSS Support]\r\n* [Video Support]\r\n* [Silverlight Support]',16,'2010-10-04 23:59:27','DF2F8A59-FEDB-454F-AAA3-84472CF159BC',1),
 (6641,73,'[Home] > Websites\r\n!! Websites\r\n\r\n* [Daves Web]\r\n* [url:Outlaw Journalism|http://www.outlawjournalism.com]\r\n* [url:Holocaustinfo.net - A Critical Look at the Holocaust|http://www.holocaustinfo.net]',3,'2010-10-05 00:00:28','CE17F970-1405-4047-9163-EF5546890774',0),
 (6642,73,'[Home] > Websites\r\n!! Websites\r\n\r\n* [url:Daves Web Inside the LC|http://www.davesweb.cnchost.com/nwsltr93.html]\r\n* [url:Outlaw Journalism|http://www.outlawjournalism.com]\r\n* [url:Holocaustinfo.net - A Critical Look at the Holocaust|http://www.holocaustinfo.net]',4,'2010-10-06 20:08:30','CE17F970-1405-4047-9163-EF5546890774',1);
/*!40000 ALTER TABLE `wiki_contents` ENABLE KEYS */;


--
-- Definition of table `wiki_settings`
--

DROP TABLE IF EXISTS `wiki_settings`;
CREATE TABLE `wiki_settings` (
  `WikiSettingID` int(11) NOT NULL AUTO_INCREMENT,
  `PortalID` int(11) NOT NULL,
  `AllowAnonymousEdit` tinyint(1) NOT NULL,
  `AllowAnonymousCreate` tinyint(1) NOT NULL,
  `RoleForEdit` varchar(50) DEFAULT NULL,
  `RoleForCreate` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`WikiSettingID`),
  KEY `FK_Wiki_Settings_PortalsIdx` (`PortalID`),
  CONSTRAINT `FK_Wiki_Settings_Portals` FOREIGN KEY (`PortalID`) REFERENCES `portals` (`PortalID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `wiki_settings`
--

/*!40000 ALTER TABLE `wiki_settings` DISABLE KEYS */;
INSERT INTO `wiki_settings` (`WikiSettingID`,`PortalID`,`AllowAnonymousEdit`,`AllowAnonymousCreate`,`RoleForEdit`,`RoleForCreate`) VALUES 
 (1,1,0,0,'User','User'),
 (2,13,0,0,'user','user'),
 (3,15,0,0,'Admin','Admin');
/*!40000 ALTER TABLE `wiki_settings` ENABLE KEYS */;


--
-- Definition of table `wiki_titles`
--

DROP TABLE IF EXISTS `wiki_titles`;
CREATE TABLE `wiki_titles` (
  `TitleID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) NOT NULL,
  `Slug` varchar(255) NOT NULL,
  `PortalID` int(11) NOT NULL,
  `MaxVersion` int(11) DEFAULT NULL,
  `UserID` char(36) NOT NULL,
  PRIMARY KEY (`TitleID`),
  KEY `FK_Wiki_Titles_PortalsIdx` (`PortalID`),
  KEY `FK_Wiki_Contents_Wiki_TitlesIdx2` (`TitleID`),
  CONSTRAINT `FK_Wiki_Titles_Portals` FOREIGN KEY (`PortalID`) REFERENCES `portals` (`PortalID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=76 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `wiki_titles`
--

/*!40000 ALTER TABLE `wiki_titles` DISABLE KEYS */;
INSERT INTO `wiki_titles` (`TitleID`,`Name`,`Slug`,`PortalID`,`MaxVersion`,`UserID`) VALUES 
 (1,'Home','home',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (2,'Silverlight Support','silverlight-support',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (3,'Video Support','video-support',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (4,'RSS Support','rss-support',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (5,'Syntax Highlighting Support','syntax-highlighting',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (6,'Formatting and Layout','formatting-and-layout',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (7,'Basic Text Formatting','basic-text-formatting',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (8,'Headings','headings',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (9,'Code Blocks','code-blocks',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (10,'Escaped Markup','escaped-markup',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (11,'Lists','lists',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (12,'Tables','tables',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (13,'Horizontal Rules','horizontal-rules',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (14,'Text Alignment','text-alignment',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (15,'Links','links',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (16,'Images','images',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (17,'MvcCms 1.0','mvccms-10',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (18,'MvcCms 2.0','mvccms-20',1,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (19,'Home','home',15,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (20,'Test Page','test-page',15,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (21,'Home','home',13,NULL,'B222EE4D-24A1-4221-B2A6-E76FC5D8DE9F'),
 (22,'Documentation','documentation',1,NULL,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC'),
 (23,'jlgh','poiuy-tre',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (24,'Formatting and Layout','formatting-and-layout',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (25,'Basic Formatting','basic-text-formatting',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (26,'Links','links',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (27,'Images','images',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (28,'Text Alignment','text-alignment',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (29,'Headings','headings',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (30,'Code Blocks','code-blocks',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (31,'Escaped Markup','escaped-markup',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (32,'Lists','lists',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (33,'Tables','tables',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (34,'Horizontal Rules','horizontal-rules',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (35,'Syntax Highlighting','syntax-highlighting',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (36,'Rss Support','rss-support',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (37,'Video Support','video-support',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (38,'Silverlight Support','silverlight-support',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (39,'A View From Space Wiki','a-view-from-space-with-gary-bell',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (40,'Formatting and Layout','formatting-and-layout',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (41,'Basic Formatting','basic-text-formatting',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (42,'Links','links',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (43,'Images','images',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (44,'Text Alignment','text-alignment',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (45,'Headings','headings',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (46,'Escaped Markup','escaped-markup',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (47,'Lists','lists',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (48,'Tables','tables',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (49,'Horizontal Rules','horizontal-rules',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (50,'Rss Support','rss-support',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (51,'Video Support','video-support',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (52,'Battle Star Galactica','battle-star-galactica',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (53,'A View From Space 12/05/09 Notes','120509-show',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (54,'Nicholas Goodrick-Clarke','nicholas-goodrick-clarke',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (55,'Authors','authors',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (56,'Radio','radio',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (57,'The Occult Roots of Nazism: Secret Aryan Cults and Their Influence on Nazi Ideology','the-occult-roots-of-nazism-secret-aryan-cults-and-their-influence-on-nazi-ideology',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (58,'Books','books',13,NULL,'59B4AC45-F8EC-45B6-B986-B68C8367FF32'),
 (59,'Webster Tarpley','webster-tarpley',13,NULL,'CE17F970-1405-4047-9163-EF5546890774'),
 (60,'Alex Jones','alex-jones',13,NULL,'CE17F970-1405-4047-9163-EF5546890774'),
 (61,'Michael Aquino','michael-aquino',13,NULL,'CE17F970-1405-4047-9163-EF5546890774'),
 (62,'Them','them',13,NULL,'CE17F970-1405-4047-9163-EF5546890774'),
 (63,'Them - Henry Alfred Kissinger','henry-kissinger',13,NULL,'CE17F970-1405-4047-9163-EF5546890774'),
 (64,'MvcCms Bugs and Issues','known-issues',1,NULL,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC'),
 (65,'Wiki IsCurrentVersion','wiki-iscurrentversion-not-always-set-correctly',1,NULL,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC'),
 (66,'MvcCms Enhancements','enhancements',1,NULL,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC'),
 (67,'Wiki Delete Version','wiki-delete-version',1,NULL,'DF2F8A59-FEDB-454F-AAA3-84472CF159BC'),
 (68,'A View From Space 12/12/09','121209-show',13,NULL,'CE17F970-1405-4047-9163-EF5546890774'),
 (69,'Temporal Coadjutor','temporal-coadjutor',15,NULL,'F062F5EF-88D0-46CC-9EA1-1E984B0069AB'),
 (70,'A View From Space 12/12/09','122708-show',13,NULL,'CE17F970-1405-4047-9163-EF5546890774'),
 (71,'A View From Space 05/20/06','052006-show',13,NULL,'CE17F970-1405-4047-9163-EF5546890774'),
 (72,'A View From Space 12/19/09','121909-show',13,NULL,'CE17F970-1405-4047-9163-EF5546890774'),
 (73,'','websites',13,NULL,'CE17F970-1405-4047-9163-EF5546890774'),
 (74,'Radio - Daves Web','daves-web',13,NULL,'CE17F970-1405-4047-9163-EF5546890774'),
 (75,'A View From Space 1/2/2010','1210-show',13,NULL,'CE17F970-1405-4047-9163-EF5546890774');
/*!40000 ALTER TABLE `wiki_titles` ENABLE KEYS */;


--
-- Definition of function `aspnet_Roles_RoleExists`
--

DROP FUNCTION IF EXISTS `aspnet_Roles_RoleExists`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` FUNCTION `aspnet_Roles_RoleExists`(ApplicationName  NATIONAL VARCHAR(256),
    RoleName         NATIONAL VARCHAR(256)) RETURNS int(11)
BEGIN
  
   IF (EXISTS(SELECT RoleName FROM Roles WHERE LOWER(RoleName) = LoweredRoleName)) then
      RETURN(1);
   ELSE
      RETURN(0);
   end if;
   RETURN NULL;
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of function `aspnet_UsersInRoles_IsUserInRole`
--

DROP FUNCTION IF EXISTS `aspnet_UsersInRoles_IsUserInRole`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` FUNCTION `aspnet_UsersInRoles_IsUserInRole`(ApplicationName  NATIONAL VARCHAR(256),
    UserName         NATIONAL VARCHAR(256),
    RoleName         NATIONAL VARCHAR(256)) RETURNS int(11)
BEGIN
 
    
   DECLARE UserId CHAR(36);
   DECLARE RoleId CHAR(36);
   SET UserId = NULL;
   SET RoleId = NULL;

   select   UserID INTO UserId FROM    Users WHERE   LOWER(Username) = LOWER(UserName); 

   IF (UserId IS NULL) then
      RETURN(2);
   end if;

   select   RoleId INTO RoleId FROM    Roles WHERE   LoweredRoleName = LOWER(RoleName); 

   IF (RoleId IS NULL) then
      RETURN(3);
   end if;

   IF (EXISTS(SELECT * FROM UsersInRoles WHERE  UserId = UserId AND RoleId = RoleId)) then
      RETURN(1);
   ELSE
      RETURN(0);
   end if;
   RETURN NULL;
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `aspnet_Roles_CreateRole`
--

DROP PROCEDURE IF EXISTS `aspnet_Roles_CreateRole`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `aspnet_Roles_CreateRole`(ApplicationName  NATIONAL VARCHAR(256),
    RoleName         NATIONAL VARCHAR(256),INOUT SWP_Ret_Value INT)
SWL_return:
BEGIN
  

   DECLARE ErrorCode INT;
   DECLARE TranStarted BOOLEAN;
   DECLARE CONTINUE HANDLER FOR SQLEXCEPTION
   BEGIN
      SET @SWV_Error = 1;
   END;
   SET @SWV_Error = 0;
   SET ErrorCode = 0;

   SET TranStarted = 0;

   START TRANSACTION;
   SET TranStarted = 1;



   IF (EXISTS(SELECT RoleId FROM Roles WHERE LoweredRoleName = LOWER(RoleName))) then
    
      SET ErrorCode = 1;
        
      IF(TranStarted = 1) then
    
         SET TranStarted = 0;
         ROLLBACK;
      end if;
      SET SWP_Ret_Value = ErrorCode;
   end if;

   SET @SWV_Error = 0;
   INSERT INTO Roles(RoleName, LoweredRoleName)
         VALUES(RoleName, LOWER(RoleName));

    
   IF(@SWV_Error <> 0) then
    
      SET ErrorCode = -1;
        
      IF(TranStarted = 1) then
    
         SET TranStarted = 0;
         ROLLBACK;
      end if;
      SET SWP_Ret_Value = ErrorCode;
   end if;

   IF(TranStarted = 1) then
    
      SET TranStarted = 0;
      COMMIT;
   end if;

   SET SWP_Ret_Value =(0);
   LEAVE SWL_return;


   IF(TranStarted = 1) then
    
      SET TranStarted = 0;
      ROLLBACK;
   end if;

   SET SWP_Ret_Value = ErrorCode;

END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `aspnet_Roles_DeleteRole`
--

DROP PROCEDURE IF EXISTS `aspnet_Roles_DeleteRole`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `aspnet_Roles_DeleteRole`(ApplicationName            NATIONAL VARCHAR(256),
    RoleName                   NATIONAL VARCHAR(256),
    DeleteOnlyIfRoleIsEmpty    BOOLEAN,INOUT SWP_Ret_Value INT)
SWL_return:
BEGIN
 

   DECLARE ErrorCode INT;
   DECLARE TranStarted BOOLEAN;
   DECLARE RoleId CHAR(36);
   DECLARE CONTINUE HANDLER FOR SQLEXCEPTION
   BEGIN
      SET @SWV_Error = 1;
   END;
   SET @SWV_Error = 0;
   SET ErrorCode = 0;

   SET TranStarted = 0;

   START TRANSACTION;
   SET TranStarted = 1;

   SET RoleId = NULL;
   select   RoleId INTO RoleId FROM Roles WHERE LoweredRoleName = LOWER(RoleName); 

   IF (RoleId IS NULL) then
    
      SET ErrorCode = 1;
        
      IF(TranStarted = 1) then
    
         SET TranStarted = 0;
         ROLLBACK;
      end if;
      SET SWP_Ret_Value = ErrorCode;
   end if;
   IF (DeleteOnlyIfRoleIsEmpty <> 0) then
    
      IF (EXISTS(SELECT RoleId FROM UsersInRoles  WHERE RoleId = RoleId)) then
        
         SET ErrorCode = 2;
            
         IF(TranStarted = 1) then
    
            SET TranStarted = 0;
            ROLLBACK;
         end if;
         SET SWP_Ret_Value = ErrorCode;
      end if;
   end if;


   SET @SWV_Error = 0;
   DELETE FROM UsersInRoles  WHERE RoleId = RoleId;

   IF(@SWV_Error <> 0) then
    
      SET ErrorCode = -1;
        
      IF(TranStarted = 1) then
    
         SET TranStarted = 0;
         ROLLBACK;
      end if;
      SET SWP_Ret_Value = ErrorCode;
   end if;

   SET @SWV_Error = 0;
   DELETE FROM Roles WHERE RoleId = RoleId;  

   IF(@SWV_Error <> 0) then
    
      SET ErrorCode = -1;
        
      IF(TranStarted = 1) then
    
         SET TranStarted = 0;
         ROLLBACK;
      end if;
      SET SWP_Ret_Value = ErrorCode;
   end if;

   IF(TranStarted = 1) then
    
      SET TranStarted = 0;
      COMMIT;
   end if;

   SET SWP_Ret_Value =(0);
   LEAVE SWL_return;


   IF(TranStarted = 1) then
    
      SET TranStarted = 0;
      ROLLBACK;
   end if;

   SET SWP_Ret_Value = ErrorCode;
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `aspnet_Roles_GetAllRoles`
--

DROP PROCEDURE IF EXISTS `aspnet_Roles_GetAllRoles`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `aspnet_Roles_GetAllRoles`(ApplicationName           NATIONAL VARCHAR(256))
BEGIN
  
   SELECT RoleName
   FROM   Roles
   ORDER BY RoleName;
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `aspnet_UsersInRoles_AddUsersToRoles`
--

DROP PROCEDURE IF EXISTS `aspnet_UsersInRoles_AddUsersToRoles`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `aspnet_UsersInRoles_AddUsersToRoles`(ApplicationName  NATIONAL VARCHAR(256),
	UserNames		  NATIONAL VARCHAR(4000),
	RoleNames		  NATIONAL VARCHAR(4000),
	CurrentTimeUtc   DATETIME,INOUT SWP_Ret_Value INT)
SWL_return:
BEGIN

   DECLARE TranStarted BOOLEAN;
   DECLARE Num INT;
   DECLARE Pos INT;
   DECLARE NextPos INT;
   DECLARE Name NATIONAL VARCHAR(256);
   SET TranStarted = 0;

   START TRANSACTION;
   SET TranStarted = 1;

   DROP TEMPORARY TABLE IF EXISTS tt_tbNames;

   CREATE TEMPORARY TABLE tt_tbNames
   (
      Name NATIONAL VARCHAR(256) NOT NULL PRIMARY KEY
   ) TYPE = InnoDB;
   DROP TEMPORARY TABLE IF EXISTS tt_tbRoles;
   CREATE TEMPORARY TABLE tt_tbRoles
   (
      RoleId CHAR(36) NOT NULL PRIMARY KEY
   ) TYPE = InnoDB;
   DROP TEMPORARY TABLE IF EXISTS tt_tbUsers;
   CREATE TEMPORARY TABLE tt_tbUsers
   (
      UserId CHAR(36) NOT NULL PRIMARY KEY
   ) TYPE = InnoDB;
   SET Num = 0;
   SET Pos = 1;
   WHILE(Pos <= LENGTH(RoleNames)) DO
      SET NextPos = LOCATE(N',',RoleNames,Pos);
      IF (NextPos = 0 OR NextPos IS NULL) then
         SET NextPos = LENGTH(RoleNames)+1;
      end if;
      SET Name = RTRIM(LTRIM(SUBSTRING(RoleNames,Pos,NextPos -Pos)));
      SET Pos = NextPos+1;
      INSERT INTO tt_tbNames VALUES(Name);
		
      SET Num = Num+1;
   END WHILE;

   INSERT INTO tt_tbRoles
   SELECT RoleId
   FROM   Roles ar, tt_tbNames t
   WHERE  LOWER(t.Name) = ar.LoweredRoleName; 

   IF (ROW_COUNT() <> Num) then
	
      SELECT  Name
      FROM   tt_tbNames
      WHERE  LOWER(Name) NOT IN(SELECT ar.LoweredRoleName FROM Roles ar,  tt_tbRoles r WHERE r.RoleId = ar.RoleId) LIMIT 1;
      IF(TranStarted = 1) then
         ROLLBACK;
      end if;
      SET SWP_Ret_Value =(2);
      LEAVE SWL_return;
   end if;

   DELETE FROM tt_tbNames WHERE 1 = 1;
   SET Num = 0;
   SET Pos = 1;

   WHILE(Pos <= LENGTH(UserNames)) DO
      SET NextPos = LOCATE(N',',UserNames,Pos);
      IF (NextPos = 0 OR NextPos IS NULL) then
         SET NextPos = LENGTH(UserNames)+1;
      end if;
      SET Name = RTRIM(LTRIM(SUBSTRING(UserNames,Pos,NextPos -Pos)));
      SET Pos = NextPos+1;
      INSERT INTO tt_tbNames VALUES(Name);
		
      SET Num = Num+1;
   END WHILE;

   INSERT INTO tt_tbUsers
   SELECT UserID
   FROM   Users ar, tt_tbNames t
   WHERE  LOWER(t.Name) = LOWER(ar.Username);

   IF (ROW_COUNT() <> Num) then
	
      DELETE FROM tt_tbNames
      WHERE LOWER(Name) IN(SELECT Lower(Username) FROM Users au,  tt_tbUsers u WHERE au.UserID = u.UserId);
      INSERT Users(UserID, Username, LastActivityDate)
      SELECT UUID(), Name, CurrentTimeUtc
      FROM   tt_tbNames;
      INSERT INTO tt_tbUsers
      SELECT  UserID
      FROM	Users au, tt_tbNames t
      WHERE   LOWER(t.Name) = LOWER(au.Username);
   end if;

   IF (EXISTS(SELECT * FROM UsersInRoles ur, tt_tbUsers tu, tt_tbRoles tr WHERE tu.UserId = ur.UserId AND tr.RoleId = ur.RoleId)) then
	
      SELECT  Username, RoleName
      FROM		 UsersInRoles ur, tt_tbUsers tu, tt_tbRoles tr, Users u, Roles r
      WHERE		u.UserID = tu.UserId AND r.RoleId = tr.RoleId AND tu.UserId = ur.UserId AND tr.RoleId = ur.RoleId LIMIT 1;
      IF(TranStarted = 1) then
         ROLLBACK;
      end if;
      SET SWP_Ret_Value =(3);
      LEAVE SWL_return;
   end if;

   INSERT INTO UsersInRoles(UserId, RoleId)
   SELECT UserId, RoleId
   FROM tt_tbUsers, tt_tbRoles;

   IF(TranStarted = 1) then
      COMMIT;
   end if;
   SET SWP_Ret_Value =(0);
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `aspnet_UsersInRoles_FindUsersInRole`
--

DROP PROCEDURE IF EXISTS `aspnet_UsersInRoles_FindUsersInRole`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `aspnet_UsersInRoles_FindUsersInRole`(ApplicationName  NATIONAL VARCHAR(256),
    RoleName         NATIONAL VARCHAR(256),
    UserNameToMatch  NATIONAL VARCHAR(256),INOUT SWP_Ret_Value INT)
SWL_return:
BEGIN
 
    
   DECLARE RoleId CHAR(36);
   SET RoleId = NULL;

   select   RoleId INTO RoleId FROM    Roles WHERE   LOWER(RoleName) = LoweredRoleName; 

   IF (RoleId IS NULL) then
      SET SWP_Ret_Value =(1);
      LEAVE SWL_return;
   end if;

   SELECT u.Username
   FROM   Users u, UsersInRoles ur
   WHERE  u.UserID = ur.UserId AND RoleId = ur.RoleId  AND LOWER(Username) LIKE LOWER(UserNameToMatch)
   ORDER BY u.Username;
   SET SWP_Ret_Value =(0);
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `aspnet_UsersInRoles_GetRolesForUser`
--

DROP PROCEDURE IF EXISTS `aspnet_UsersInRoles_GetRolesForUser`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `aspnet_UsersInRoles_GetRolesForUser`(ApplicationName  NATIONAL VARCHAR(256),
    UserName         NATIONAL VARCHAR(256),INOUT SWP_Ret_Value INT)
SWL_return:
BEGIN
  
    
   DECLARE UserId CHAR(36);
   SET UserId = NULL;

   select   UserID INTO UserId FROM    Users WHERE   Lower(Username) = LOWER(UserName); 

   IF (UserId IS NULL) then
      SET SWP_Ret_Value =(1);
      LEAVE SWL_return;
   end if;

   SELECT r.RoleName
   FROM   Roles r, UsersInRoles ur
   WHERE  r.RoleId = ur.RoleId AND ur.UserId = UserId
   ORDER BY r.RoleName;
   SET SWP_Ret_Value =(0);
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `aspnet_UsersInRoles_GetUsersInRoles`
--

DROP PROCEDURE IF EXISTS `aspnet_UsersInRoles_GetUsersInRoles`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `aspnet_UsersInRoles_GetUsersInRoles`(ApplicationName  NATIONAL VARCHAR(256),
    RoleName         NATIONAL VARCHAR(256),INOUT SWP_Ret_Value INT)
SWL_return:
BEGIN
 
    
   DECLARE RoleId CHAR(36);
   SET RoleId = NULL;

   select   RoleId INTO RoleId FROM    Roles WHERE   LOWER(RoleName) = LoweredRoleName; 

   IF (RoleId IS NULL) then
      SET SWP_Ret_Value =(1);
      LEAVE SWL_return;
   end if;

   SELECT u.Username
   FROM   Users u, UsersInRoles ur
   WHERE  u.UserID = ur.UserId AND RoleId = ur.RoleId
   ORDER BY u.Username;
   SET SWP_Ret_Value =(0);
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `aspnet_UsersInRoles_RemoveUsersFromRoles`
--

DROP PROCEDURE IF EXISTS `aspnet_UsersInRoles_RemoveUsersFromRoles`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `aspnet_UsersInRoles_RemoveUsersFromRoles`(ApplicationName  NATIONAL VARCHAR(256),
	UserNames		  NATIONAL VARCHAR(4000),
	RoleNames		  NATIONAL VARCHAR(4000),INOUT SWP_Ret_Value INT)
SWL_return:
BEGIN
	
   DECLARE TranStarted BOOLEAN;
   DECLARE Num INT;
   DECLARE Pos INT;
   DECLARE NextPos INT;
   DECLARE Name NATIONAL VARCHAR(256);
   DECLARE CountAll INT;
   DECLARE CountU INT;
   DECLARE CountR INT;
   SET TranStarted = 0;

   START TRANSACTION;
   SET TranStarted = 1;

   DROP TEMPORARY TABLE IF EXISTS tt_tbNames;

   CREATE TEMPORARY TABLE tt_tbNames
   (
      Name NATIONAL VARCHAR(256) NOT NULL PRIMARY KEY
   ) TYPE = InnoDB;
   DROP TEMPORARY TABLE IF EXISTS tt_tbRoles;
   CREATE TEMPORARY TABLE tt_tbRoles
   (
      RoleId CHAR(36) NOT NULL PRIMARY KEY
   ) TYPE = InnoDB;
   DROP TEMPORARY TABLE IF EXISTS tt_tbUsers;
   CREATE TEMPORARY TABLE tt_tbUsers
   (
      UserId CHAR(36) NOT NULL PRIMARY KEY
   ) TYPE = InnoDB;
   SET Num = 0;
   SET Pos = 1;
   WHILE(Pos <= LENGTH(RoleNames)) DO
      SET NextPos = LOCATE(N',',RoleNames,Pos);
      IF (NextPos = 0 OR NextPos IS NULL) then
         SET NextPos = LENGTH(RoleNames)+1;
      end if;
      SET Name = RTRIM(LTRIM(SUBSTRING(RoleNames,Pos,NextPos -Pos)));
      SET Pos = NextPos+1;
      INSERT INTO tt_tbNames VALUES(Name);
		
      SET Num = Num+1;
   END WHILE;

   INSERT INTO tt_tbRoles
   SELECT RoleId
   FROM   Roles ar, tt_tbNames t
   WHERE  LOWER(t.Name) = ar.LoweredRoleName; 
   SET CountR = ROW_COUNT();

   IF (CountR <> Num) then
	
      SELECT  N'', Name
      FROM   tt_tbNames
      WHERE  LOWER(Name) NOT IN(SELECT ar.LoweredRoleName FROM Roles ar,  tt_tbRoles r WHERE r.RoleId = ar.RoleId) LIMIT 1;
      IF(TranStarted = 1) then
         ROLLBACK;
      end if;
      SET SWP_Ret_Value =(2);
      LEAVE SWL_return;
   end if;


   DELETE FROM tt_tbNames WHERE 1 = 1;
   SET Num = 0;
   SET Pos = 1;


   WHILE(Pos <= LENGTH(UserNames)) DO
      SET NextPos = LOCATE(N',',UserNames,Pos);
      IF (NextPos = 0 OR NextPos IS NULL) then
         SET NextPos = LENGTH(UserNames)+1;
      end if;
      SET Name = RTRIM(LTRIM(SUBSTRING(UserNames,Pos,NextPos -Pos)));
      SET Pos = NextPos+1;
      INSERT INTO tt_tbNames VALUES(Name);
		
      SET Num = Num+1;
   END WHILE;

   INSERT INTO tt_tbUsers
   SELECT UserID
   FROM   Users ar, tt_tbNames t
   WHERE  LOWER(t.Name) = LOWER(ar.Username);


   SET CountU = ROW_COUNT();
   IF (CountU <> Num) then
	
      SELECT  Name, N''
      FROM   tt_tbNames
      WHERE  LOWER(Name) NOT IN(SELECT LOWER(au.Username) FROM Users au,  tt_tbUsers u WHERE u.UserId = au.UserID) LIMIT 1;
      IF(TranStarted = 1) then
         ROLLBACK;
      end if;
      SET SWP_Ret_Value =(1);
      LEAVE SWL_return;
   end if;

   select   COUNT(*) INTO CountAll FROM	UsersInRoles ur, tt_tbUsers u, tt_tbRoles r WHERE   ur.UserId = u.UserId AND ur.RoleId = r.RoleId;

   IF (CountAll <> CountU*CountR) then
	
      SELECT  Username, RoleName
      FROM		 tt_tbUsers tu, tt_tbRoles tr, Users u, Roles r
      WHERE		 u.UserID = tu.UserId AND r.RoleId = tr.RoleId AND
      tu.UserId NOT IN(SELECT ur.UserId FROM UsersInRoles ur WHERE ur.RoleId = tr.RoleId) AND
      tr.RoleId NOT IN(SELECT ur.RoleId FROM UsersInRoles ur WHERE ur.UserId = tu.UserId) LIMIT 1;
      IF(TranStarted = 1) then
         ROLLBACK;
      end if;
      SET SWP_Ret_Value =(3);
      LEAVE SWL_return;
   end if;

   DELETE FROM UsersInRoles
   WHERE UserId IN(SELECT UserId FROM tt_tbUsers)
   AND RoleId IN(SELECT RoleId FROM tt_tbRoles);
   IF(TranStarted = 1) then
      COMMIT;
   end if;
   SET SWP_Ret_Value =(0);
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `delete_ContentCategory`
--

DROP PROCEDURE IF EXISTS `delete_ContentCategory`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `delete_ContentCategory`(CategoryID INT)
BEGIN






	
	
	

    
   delete from ContentCategories where CategoryID = CategoryID; 
	
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `delete_ContentPage`
--

DROP PROCEDURE IF EXISTS `delete_ContentPage`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `delete_ContentPage`(ContentPageID INT)
BEGIN






	
	
	

    
   delete from ContentPages where AltLanguageForPageID = ContentPageID; 
   delete from ContentPages where ContentPageID = ContentPageID; 
	
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `delete_Forum`
--

DROP PROCEDURE IF EXISTS `delete_Forum`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `delete_Forum`(ForumID INT)
BEGIN






	
	
	

   DELETE FROM Forum_Forums WHERE ForumID  = ForumID;
	
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `delete_Poll`
--

DROP PROCEDURE IF EXISTS `delete_Poll`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `delete_Poll`(PollID INT)
BEGIN






	
	
	
   DELETE FROM PollOptions WHERE PollID = PollID; 
   DELETE FROM Polls WHERE PollID   = PollID; 
	
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `delete_Portal`
--

DROP PROCEDURE IF EXISTS `delete_Portal`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `delete_Portal`(PortalID INT)
BEGIN






	
	
	

   DELETE FROM Portals WHERE PortalID = PortalID; 
	
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `delete_Post`
--

DROP PROCEDURE IF EXISTS `delete_Post`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `delete_Post`(PostID INT)
BEGIN






	
	
	
   DELETE FROM Forum_Posts WHERE ParentPostID = PostID;	
   DELETE FROM Forum_Posts WHERE PostID   = PostID;
	
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `FTI_FixString`
--

DROP PROCEDURE IF EXISTS `FTI_FixString`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `FTI_FixString`(keywords VARCHAR(500)  , 
    proximity VARCHAR(10) , 
    INOUT parsedstring VARCHAR(500))
BEGIN
   DECLARE sql2 VARCHAR(2000);
   DECLARE where2 VARCHAR(1000);
   DECLARE i INT; 
   DECLARE j INT; 
   DECLARE k INT; 
   DECLARE len INT; 
   DECLARE search VARCHAR(500);
   DECLARE search2 VARCHAR(500);
   DECLARE fuzzy VARCHAR(1000);
   DECLARE keyword VARCHAR(500);
   DECLARE synonyms VARCHAR(255);
   DECLARE new_keywords VARCHAR(1000);
   DECLARE found2 INT;
   DECLARE SWV_fuzzy_Str VARCHAR(1000);
   IF proximity is null then
      set proximity = 'NEAR';
   END IF; 


   BEGIN




      set keywords = LTRIM(RTRIM(keywords));
      set keywords = REPLACE(keywords,'*',' ');
      set keywords = REPLACE(keywords,' AND ',' ');
      set keywords = REPLACE(keywords,' OR ',' ');
      set keywords = REPLACE(keywords,'"',' ');
      set keywords = REPLACE(keywords,'(',' ');
      set keywords = REPLACE(keywords,')',' ');
      set keywords = replace(keywords,'o''','');


      set keywords = replace(keywords,'''','''''');


      set found2 = LOCATE('é',keywords);
      if found2 > 0 then
         if found2 = LENGTH(keywords) then
            set keywords = replace(keywords,'é','');
         else
            set keywords = replace(keywords,'é ','* ');
         end if;
      end if;


      if proximity is null or proximity = '' then
         set proximity = 'NEAR';
      end if;






      SET i = 1; 
      SET j = 0; 
      SET len = LENGTH(keywords);
      SET search = '';
      SET fuzzy = '';
      SWL_Label:
      WHILE (j <= len) DO
         SET k = j+1; 


         SET j = LOCATE(' ',keywords,k);


         IF (j <= 0) then

    
            SET search = CONCAT(search,'"',LTRIM(RTRIM(SUBSTRING(keywords,i,len -i+1))),'*"');
            SET search2 = CONCAT(search2,'"',LTRIM(RTRIM(SUBSTRING(keywords,i,len -i+1))),'"');
            if not SUBSTRING(keywords,k,len -k+1) in('of','and','at','a','the','&','it','for') then
               SET fuzzy = CONCAT(fuzzy,'SQLWAYS_EVAL# TIONAL,"',LTRIM(RTRIM(SUBSTRING(keywords,k,len -k+1))),
               '")');
            end if;
            LEAVE SWL_Label;
         end if;
         IF (j < len) then
    
            IF (SUBSTRING(keywords,j -1,1) <> ' ') then
        
               SET search = CONCAT(search,'"',LTRIM(RTRIM(SUBSTRING(keywords,i,j -i))),'*" ',proximity,
               ' ');
               SET search2 = CONCAT(search2,'"',LTRIM(RTRIM(SUBSTRING(keywords,i,j -i))),'" ',proximity,
               ' ');
               if not SUBSTRING(keywords,i,j -i) in('of','and','at','a','the','&','it','for') then
                  SET fuzzy = CONCAT(fuzzy,'SQLWAYS_EVAL# TIONAL,"',LTRIM(RTRIM(SUBSTRING(keywords,i,j -i))),
                  '") AND ');
               end if;
               SET i = j+1;
            end if;
         end if;
      END WHILE;
      if SUBSTRING(fuzzy,LENGTH(fuzzy) -2,3) = ' OR' then
         SET SWV_fuzzy_Str = SUBSTRING(fuzzy,1,LENGTH(fuzzy) -2);
         SET fuzzy = SWV_fuzzy_Str;
      end if;
      if SUBSTRING(fuzzy,LENGTH(fuzzy) -3,4) = ' AND' then
         SET SWV_fuzzy_Str = SUBSTRING(fuzzy,1,LENGTH(fuzzy) -3);
         SET fuzzy = SWV_fuzzy_Str;
      end if;



      SET search = CONCAT('"',keywords,'" OR ','(',search2,') OR (',search,') OR (',fuzzy,
      ')');
      set parsedstring = search;

   END;
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `getContributors`
--

DROP PROCEDURE IF EXISTS `getContributors`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `getContributors`()
BEGIN




   SELECT		Username, UserID
   FROM		vw_Contributors;
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `getTableRowCount`
--

DROP PROCEDURE IF EXISTS `getTableRowCount`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `getTableRowCount`(TableName NATIONAL VARCHAR(300),
SocialMessageUserID CHAR(36),
PortalID INT)
BEGIN








   IF TableName is not NULL AND PortalID is not NULL then
	
      IF TableName = 'Users' then
		
         SELECT count(UserID) as rows from Users
         where PortalID = PortalID;
      end if;
   end if;
	
   IF TableName is not NULL AND PortalID is NULL then
	
		
      SELECT rows FROM sysindexes
      WHERE id = OBJECT_ID(TableName) AND indid < 2;
   end if;

   IF SocialMessageUserID is not NULL then
	
      SELECT count(MessageID) as rows from Social_Messages
      where FromUserID = SocialMessageUserID AND ParentMessageID IS NULL;
   end if;
	
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `insert_ContentCategory`
--

DROP PROCEDURE IF EXISTS `insert_ContentCategory`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_ContentCategory`(AddedByID				CHAR(36),
Title					NATIONAL VARCHAR(256),
Path					NATIONAL VARCHAR(256),
Importance				INT,
Description			NATIONAL VARCHAR(4000),
ShowInNav				BOOLEAN,
ParentCategoryID		INT ,
OnlyForMembers			BOOLEAN ,
OnlyForPayingMembers	BOOLEAN ,
RequiresSSL			BOOLEAN ,
SinglePath				NATIONAL VARCHAR(256),
NumberOfParents		INT,
ParentList				NATIONAL VARCHAR(70),
PortalID				INT,
UsesCustomAreaRoute	BOOLEAN)
BEGIN






	
	
	

   IF ParentCategoryID = '' then

      SET ParentCategoryID = NULL;
   end if;


   INSERT INTO ContentCategories(AddedDate
		   ,AddedByID
		   ,Title
		   ,Path
		   ,Importance
		   ,Description
		   ,ShowInNav
		   ,ParentCategoryID
		   ,OnlyForMembers
		   ,OnlyForPayingMembers
		   ,RequireSSL
		   ,SinglePath
		   ,NumberOfParents
		   ,ParentList
		   ,PortalID
		   ,UsesCustomAreaRoute)
	 VALUES(CURRENT_TIMESTAMP,
		   AddedByID ,
		   Title ,
		   Path ,
		   Importance ,
		   Description ,
		   ShowInNav ,
		   ParentCategoryID ,
		   OnlyForMembers ,
		   OnlyForPayingMembers ,
		   RequiresSSL ,
		   SinglePath ,
		   NumberOfParents ,
		   ParentList ,
		   PortalID ,
		   UsesCustomAreaRoute);
		   

	
   SELECT LAST_INSERT_ID() as ContentCategoryID;
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `insert_ContentPage`
--

DROP PROCEDURE IF EXISTS `insert_ContentPage`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_ContentPage`(ContributorID		CHAR(36),
AddedByID			CHAR(36),
CategoryID			INT,
Title				NATIONAL VARCHAR(256),
Path				NATIONAL VARCHAR(256),
Summary			NATIONAL VARCHAR(4000),
Body				LONGTEXT,
ReleaseDate		DATETIME,
ExpireDate			DATETIME,
Approved			BOOLEAN,
Listed				BOOLEAN,
CommentsEnabled	BOOLEAN,
OnlyForMembers		BOOLEAN,
ViewCount			INT,
Votes				INT,
TotalRating		INT,
IsCurrentVersion	BOOLEAN,
IsSubPage			BOOLEAN,
AnonCommentsEnabled BOOLEAN,
UseWikiMarkup		BOOLEAN,
Importance			INT,
Description		NATIONAL VARCHAR(1100),
PortalID			INT,
LanguageID			INT,
AltLanguageForPageID INT ,
ShowContributorLink BOOLEAN)
BEGIN

    








	
	
   INSERT INTO ContentPages(AddedDate
           ,ContributorID
           ,AddedByID
           ,CategoryID
           ,Title
           ,Path
           ,Summary
           ,Body
           ,ReleaseDate
           ,ExpireDate
           ,Approved
           ,Listed
           ,CommentsEnabled
           ,OnlyForMembers
           ,ViewCount
           ,Votes
           ,TotalRating
           ,IsCurrentVersion
           ,AnonCommentsEnabled
           ,UseWikiMarkup
           ,IsSubPage
           ,Importance
           ,Description
           ,UpdateDate
           ,PortalID
           ,LanguageID
           ,AltLanguageForPageID
           ,ShowContributorLink)
     VALUES(CURRENT_TIMESTAMP			,
			ContributorID		,
			AddedByID			,
			CategoryID			,
			Title				,
			Path				,
			Summary			,
			Body				,
			ReleaseDate		,
			ExpireDate			,
			Approved			,
			Listed				,
			CommentsEnabled	,
			OnlyForMembers		,
			ViewCount			,
			Votes				,
			TotalRating		,
			IsCurrentVersion	,
			AnonCommentsEnabled,
			UseWikiMarkup		,
			IsSubPage			,
			Importance			,
			Description		,
			CURRENT_TIMESTAMP			,
			PortalID			,
			LanguageID			,
			AltLanguageForPageID,
			ShowContributorLink);


   SELECT LAST_INSERT_ID() as ContentPageID;
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `insert_Forum`
--

DROP PROCEDURE IF EXISTS `insert_Forum`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_Forum`(PortalID			INT,
UserID				CHAR(36),
Title				NATIONAL VARCHAR(256),		
Path				NATIONAL VARCHAR(256),
Moderated			BOOLEAN,
Importance			INT,
Description		NATIONAL VARCHAR(4000),
ImageUrl			NATIONAL VARCHAR(256))
BEGIN

    







	
	
   INSERT INTO Forum_Forums(AddedDate
           ,UserID
           ,Title
           ,Path
           ,Moderated
           ,Importance
           ,Description
           ,ImageUrl
           ,PortalID)
     VALUES(CURRENT_TIMESTAMP
           ,UserID
           ,Title
           ,Path
           ,Moderated
           ,Importance
           ,Description
           ,ImageUrl
           ,PortalID);


   SELECT LAST_INSERT_ID() as ForumID;
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `insert_PortalResource`
--

DROP PROCEDURE IF EXISTS `insert_PortalResource`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_PortalResource`(ResourceName		NATIONAL VARCHAR(50),
Body				NATIONAL VARCHAR(4000),
PortalID			INT,
EditedBy			CHAR(36),
ResourceTypeID		INT)
BEGIN

    







	
	
   INSERT INTO PortalResources(EditDate
           ,ResourceName
           ,Body
           ,PortalID
           ,EditedByUserID
           ,PortalResourceTypeID)
     VALUES(CURRENT_TIMESTAMP,
			ResourceName,
			Body,
			PortalID,
			EditedBy,
			ResourceTypeID);


   SELECT LAST_INSERT_ID() as PortalResourceID;
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `insert_SocialLike`
--

DROP PROCEDURE IF EXISTS `insert_SocialLike`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_SocialLike`(UserID				CHAR(36),
MessageID			INT)
BEGIN

    








	
	
   INSERT INTO Social_Likes(MessageID
           ,UserID)
     VALUES(MessageID,
			UserID);


   SELECT LAST_INSERT_ID() as LikeID;
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `insert_SocialMessage`
--

DROP PROCEDURE IF EXISTS `insert_SocialMessage`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_SocialMessage`(FromUserID			CHAR(36),
ToUserID			CHAR(36),
Body				NATIONAL VARCHAR(4000),
MessageTypeName	NATIONAL VARCHAR(50),
ParentMessageID	INT)
BEGIN







	
	
   DECLARE MessageTypeID INT;
   SET MessageTypeID =(SELECT MessageTypeID
   FROM Social_MessageTypes
   WHERE Name = MessageTypeName);
    
   INSERT INTO Social_Messages(FromUserID
           ,ToUserID
           ,Body
           ,MessageTypeID
           ,AddedDate
           ,ParentMessageID)
     VALUES(FromUserID,
			ToUserID,
			Body,
			MessageTypeID,
			CURRENT_TIMESTAMP,
			ParentMessageID);


   SELECT LAST_INSERT_ID() as MessageID;
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `insert_User`
--

DROP PROCEDURE IF EXISTS `insert_User`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_User`(UserID CHAR(36),
      Username  NATIONAL VARCHAR(50),   
      Email NATIONAL VARCHAR(100),
      Password NATIONAL VARCHAR(100) ,
      PasswordQuestion NATIONAL VARCHAR(255),
      PasswordAnswer NATIONAL VARCHAR(255),
      IsApproved BOOLEAN,
      LastActivityDate DATETIME,
      LastLoginDate DATETIME,
      LastPasswordChangedDate DATETIME,
      IsOnline BOOLEAN,
      IsLockedOut BOOLEAN,
      LastLockedOutDate DATETIME,
      FailedPasswordAttemptCount INT,
      FailedPasswordAttemptWindowStart DATETIME,
      FailedPasswordAnswerAttemptCount INT,
      FailedPasswordAnswerAttemptWindowStart DATETIME,
      LastModified DATETIME,
      Comment NATIONAL VARCHAR(255),
      PortalID INT)
BEGIN

    







	
	
   INSERT INTO Users(UserID,
           Username
           ,Email
           ,Password
           ,PasswordQuestion
           ,PasswordAnswer
           ,IsApproved
           ,LastActivityDate
           ,LastLoginDate
           ,LastPasswordChangedDate
           ,IsOnline
           ,IsLockedOut
           ,LastLockedOutDate
           ,FailedPasswordAttemptCount
           ,FailedPasswordAttemptWindowStart
           ,FailedPasswordAnswerAttemptCount
           ,FailedPasswordAnswerAttemptWindowStart
           ,LastModified
           ,Comment
           ,PortalID
           ,CreationDate)
     VALUES(UserID,
		  Username,
		  Email,
		  Password,
		  PasswordQuestion,
		  PasswordAnswer,
		  IsApproved,
		  LastActivityDate,
		  LastLoginDate,
		  LastPasswordChangedDate,
		  IsOnline,
		  IsLockedOut,
		  LastLockedOutDate,
		  FailedPasswordAttemptCount,
		  FailedPasswordAttemptWindowStart,
		  FailedPasswordAnswerAttemptCount,
		  FailedPasswordAnswerAttemptWindowStart,
		  LastModified,
		  Comment,
		  PortalID,
		  CURRENT_TIMESTAMP);
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `SearchMvcCms-NFT`
--

DROP PROCEDURE IF EXISTS `SearchMvcCms-NFT`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `SearchMvcCms-NFT`(SearchTerm		NATIONAL VARCHAR(800),
PortalID		INT)
BEGIN






	
	
	
		
   SELECT distinct	p.Title, p.Body, p.UpdateDate, p.ContentPageID, ccc.Path  as CatPath,
			p.Path, ccc.Title as CatTitle, p.IsCurrentVersion,
			p.IsSubPage, 0  as MatchQual
   FROM  ContentPages p left JOIN
   ContentComments cc ON p.ContentPageID = cc.ContentPageID left JOIN
   ContentCategories ccc on p.CategoryID = ccc.CategoryID
   WHERE		(p.Body  like CONCAT('%',SearchTerm,'%') OR
   p.Title  like CONCAT('%',SearchTerm,'%')) OR
			(cc.Body like CONCAT('%',SearchTerm,'%')) AND
   p.PortalID = PortalID AND
			((p.IsCurrentVersion = 1)
   or (p.IsSubPage = 1 and p.Approved = 1)) and ccc.Title != 'search'
   ORDER by p.Title;
	
	
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `SearchUsers`
--

DROP PROCEDURE IF EXISTS `SearchUsers`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `SearchUsers`(Username				NATIONAL VARCHAR(256) ,
	Email					NATIONAL VARCHAR(50) ,
	CreationDate			NATIONAL VARCHAR(50) ,
	LastActivityDate		NATIONAL VARCHAR(50) ,
	IsApproved				NATIONAL VARCHAR(1) ,  
	PortalID				INT)
BEGIN







	
	
   SELECT * FROM Users u
   WHERE	(
			(Username IS NULL OR u.Username like Username) AND
			(Email IS NULL OR u.Email like Email) AND
			(CreationDate IS NULL OR DAYOFYEAR(u.CreationDate) = DAYOFYEAR(CreationDate) and EXTRACT(YEAR FROM u.CreationDate) = EXTRACT(YEAR FROM CreationDate) and EXTRACT(MONTH FROM u.CreationDate) = EXTRACT(MONTH FROM CreationDate)) AND
			(LastActivityDate IS NULL OR DAYOFYEAR(u.LastActivityDate) = DAYOFYEAR(LastActivityDate) and EXTRACT(YEAR FROM u.LastActivityDate) = EXTRACT(YEAR FROM LastActivityDate) and EXTRACT(MONTH FROM u.LastActivityDate) = EXTRACT(MONTH FROM LastActivityDate)) AND
			(IsApproved IS NULL OR u.IsApproved = IsApproved)) AND u.PortalID = PortalID; 
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `setCustomProfileData`
--

DROP PROCEDURE IF EXISTS `setCustomProfileData`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `setCustomProfileData`(UserName				NATIONAL VARCHAR(256),
	FirstName				NATIONAL VARCHAR(50),
	LastName				NATIONAL VARCHAR(50),
	Age					INT,
	Phone					NATIONAL VARCHAR(50),
	Cell					NATIONAL VARCHAR(50),
	Title					NATIONAL VARCHAR(50),
	BirthDate				NATIONAL VARCHAR(50),
	Occupation				NATIONAL VARCHAR(50),
	Website				NATIONAL VARCHAR(250),
	Street					NATIONAL VARCHAR(60),
	City					NATIONAL CHAR(30),
	StateProvinceID		INT,
	ZipCode				NATIONAL VARCHAR(15),
	Subscription			VARCHAR(50),
	Gender					NATIONAL CHAR(10),
	LanguageID				INT,
	ShoppingCart			LONGTEXT,
	PaymentData			LONGTEXT)
BEGIN




   DECLARE CurrentUtcDate DATETIME;
   DECLARE UserId CHAR(36);
   set     CurrentUtcDate = getutcdate();


   select   UserID INTO UserId from	Users where
   LOWER(Username) = LOWER(UserName);


   if exists(select 1 from Profiles  where UserID = UserId) then

      update Profiles
      set	FirstName		= FirstName,LastName		= LastName,Age				= Age,Phone			= Phone,
      Cell			= Cell,Title			= Title,BirthDate		= BirthDate,Occupation		= Occupation,
      Website			= Website,Street			= Street,City			= City,StateProvinceID   = StateProvinceID,
      ZipCode			= ZipCode,Subscription	= Subscription,
      Gender			= Gender,LanguageID		= LanguageID,LastModified 	= CurrentUtcDate,
      ShoppingCart	= ShoppingCart,PaymentData		= PaymentData
      where UserID = UserId;
   else
      insert Profiles(UserID,
		FirstName,
		LastName,
		Age,
		Phone,
		Cell,
		Title,
		BirthDate,
		Occupation,
		Website,
		Street,
		City,
		StateProvinceID,
		ZipCode,
		Subscription,
		Gender,
		LanguageID,
		LastModified,
		ShoppingCart,
		PaymentData)
	values(UserId,
		FirstName,
		LastName,
		Age,
		Phone,
		Cell,
		Title,
		BirthDate,
		Occupation,
		Website,
		Street,
		City,
		StateProvinceID,
		ZipCode,
		Subscription,
		Gender,
		LanguageID,
		CurrentUtcDate,
		ShoppingCart,
		PaymentData);
   end if;
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `setProfilePic`
--

DROP PROCEDURE IF EXISTS `setProfilePic`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `setProfilePic`(UserID CHAR(36),
ImageName VARCHAR(128))
BEGIN







	
	
	
	
   update Social_Images set IsProfilePic = 0
   where UserID = UserID;	

   update Social_Images set IsProfilePic = 1
   where ImageName = ImageName; 
	
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `setPublishedPage`
--

DROP PROCEDURE IF EXISTS `setPublishedPage`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `setPublishedPage`(ContentPageID INT)
BEGIN






	
	
   DECLARE CatID INT;

    
   Set CatID =(Select  cp.CategoryID from ContentPages cp where cp.ContentPageID = ContentPageID LIMIT 1);
	
   update ContentPages set IsCurrentVersion = 0 where CategoryID = CatID; 
   update ContentPages set IsCurrentVersion = 1 where ContentPageID = ContentPageID; 
	
	
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `update_ContentPage`
--

DROP PROCEDURE IF EXISTS `update_ContentPage`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `update_ContentPage`(ContentPageID		INT,                
ContributorID		CHAR(36),
CategoryID			INT,
Title				NATIONAL VARCHAR(256),
Path				NATIONAL VARCHAR(256),
Summary			NATIONAL VARCHAR(4000),
Body				LONGTEXT,
ReleaseDate		DATETIME,
ExpireDate			DATETIME,
Approved			BOOLEAN,
Listed				BOOLEAN,
CommentsEnabled	BOOLEAN,
OnlyForMembers		BOOLEAN,
ViewCount			INT,
Votes				INT,
TotalRating		INT,
IsCurrentVersion	BOOLEAN,
IsSubPage			BOOLEAN,
AnonCommentsEnabled BOOLEAN,
UseWikiMarkup		BOOLEAN,
Importance			INT,
Description		NATIONAL VARCHAR(1100),
ShowContributorLink BOOLEAN)
BEGIN







	
	
	

    
   UPDATE  ContentPages SET
   AddedDate = CURRENT_TIMESTAMP,ContributorID = ContributorID,CategoryID = CategoryID,
   Title = Title,Path = Path,Summary = Summary,Body = Body,ReleaseDate = ReleaseDate,
   ExpireDate = ExpireDate,Approved = Approved,Listed = Listed,CommentsEnabled = CommentsEnabled,
   OnlyForMembers = OnlyForMembers,ViewCount = ViewCount,
   Votes = Votes,TotalRating = TotalRating,IsCurrentVersion = IsCurrentVersion,
   AnonCommentsEnabled = AnonCommentsEnabled,UseWikiMarkup = UseWikiMarkup,
   IsSubPage = IsSubPage,Importance = Importance,Description = Description,
   UpdateDate = CURRENT_TIMESTAMP,ShowContributorLink = ShowContributorLink
   WHERE ContentPageID = ContentPageID; 
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `update_PortalResource`
--

DROP PROCEDURE IF EXISTS `update_PortalResource`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `update_PortalResource`(ResourceName		NATIONAL VARCHAR(50),
Body				NATIONAL VARCHAR(4000),
EditedBy			CHAR(36),
PortalResourceID	INT)
BEGIN






	
	
	

    
   UPDATE PortalResources set
   EditDate = CURRENT_TIMESTAMP,ResourceName = ResourceName,Body = Body,EditedByUserID = EditedBy
   where PortalResourceID = PortalResourceID; 
           
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of procedure `update_User`
--

DROP PROCEDURE IF EXISTS `update_User`;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE `update_User`(UserID CHAR(36),
      Email NATIONAL VARCHAR(100),
      Password NATIONAL VARCHAR(100) ,
      PasswordQuestion NATIONAL VARCHAR(255),
      PasswordAnswer NATIONAL VARCHAR(255),
      IsApproved BOOLEAN,
      LastActivityDate DATETIME,
      LastLoginDate DATETIME,
      LastPasswordChangedDate DATETIME,
      IsOnline BOOLEAN,
      IsLockedOut BOOLEAN,
      LastLockedOutDate DATETIME,
      FailedPasswordAttemptCount INT,
      FailedPasswordAttemptWindowStart DATETIME,
      FailedPasswordAnswerAttemptCount INT,
      FailedPasswordAnswerAttemptWindowStart DATETIME,
      LastModified DATETIME,
      Comment NATIONAL VARCHAR(255),
      PortalID INT,
      OpenId NATIONAL VARCHAR(128))
BEGIN






	
	
	

    
   UPDATE Users   SET
   Email = Email,Password = Password,PasswordQuestion = PasswordQuestion,PasswordAnswer = PasswordAnswer,
   IsApproved = IsApproved,LastActivityDate = LastActivityDate,
   LastLoginDate = LastLoginDate,LastPasswordChangedDate = LastPasswordChangedDate,
   IsOnline = IsOnline,IsLockedOut = IsLockedOut,LastLockedOutDate = LastLockedOutDate,
   FailedPasswordAttemptCount = FailedPasswordAttemptCount,
   FailedPasswordAttemptWindowStart = FailedPasswordAttemptWindowStart,
   FailedPasswordAnswerAttemptCount = FailedPasswordAnswerAttemptCount,
   FailedPasswordAnswerAttemptWindowStart = FailedPasswordAnswerAttemptWindowStart,LastModified = LastModified,Comment = Comment,PortalID = PortalID,
   OpenId = OpenId
   WHERE UserID = UserID;
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

--
-- Definition of view `vw_contentcomments`
--

DROP TABLE IF EXISTS `vw_contentcomments`;
DROP VIEW IF EXISTS `vw_contentcomments`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_contentcomments` AS select `cc`.`CommentID` AS `CommentID`,`cc`.`AddedDate` AS `AddedDate`,`cc`.`AddedByID` AS `AddedByID`,`cc`.`AddedByAnonEmail` AS `AddedByAnonEmail`,`cc`.`AddedByIP` AS `AddedByIP`,`cc`.`ContentPageID` AS `ContentPageID`,`cc`.`Body` AS `Body`,`cc`.`AddedByAnonName` AS `AddedByAnonName`,`u`.`Username` AS `Username`,`u`.`UserID` AS `UserID`,`u`.`Email` AS `Email`,`cc`.`ParentCommentID` AS `ParentCommentID` from (`contentcomments` `cc` left join `users` `u` on((`cc`.`AddedByID` = `u`.`UserID`))) where (`cc`.`Approved` = 1) order by `cc`.`AddedDate`;

--
-- Definition of view `vw_contentpages4editor`
--

DROP TABLE IF EXISTS `vw_contentpages4editor`;
DROP VIEW IF EXISTS `vw_contentpages4editor`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_contentpages4editor` AS select `cp`.`ContentPageID` AS `ContentPageID`,`cp`.`AddedDate` AS `AddedDate`,`cp`.`ContributorID` AS `ContributorID`,`cp`.`AddedByID` AS `AddedByID`,`cp`.`CategoryID` AS `CategoryID`,`cp`.`Title` AS `Title`,`cp`.`Path` AS `Path`,`cp`.`Summary` AS `Summary`,`cp`.`Body` AS `Body`,`cp`.`ReleaseDate` AS `ReleaseDate`,`cp`.`ExpireDate` AS `ExpireDate`,`cp`.`Approved` AS `Approved`,`cp`.`Listed` AS `Listed`,`cp`.`CommentsEnabled` AS `CommentsEnabled`,`cp`.`OnlyForMembers` AS `OnlyForMembers`,`cp`.`ViewCount` AS `ViewCount`,`cp`.`Votes` AS `Votes`,`cp`.`TotalRating` AS `TotalRating`,`cp`.`IsCurrentVersion` AS `IsCurrentVersion`,`u`.`Username` AS `ContributorName`,`cc`.`Title` AS `CatName`,`cp`.`IsSubPage` AS `IsSubPage`,`cp`.`PortalID` AS `PortalID`,`cp`.`UseWikiMarkup` AS `UseWikiMarkup`,`cp`.`AltLanguageForPageID` AS `AltLanguageForPageID`,`cp`.`UpdateDate` AS `UpdateDate`,`cp`.`Description` AS `Description`,`cp`.`LanguageID` AS `LanguageID`,`cp`.`Importance` AS `Importance`,`cp`.`AnonCommentsEnabled` AS `AnonCommentsEnabled`,`cp`.`OnlyForPayingMembers` AS `OnlyForPayingMembers` from ((`contentpages` `cp` left join `users` `u` on((`cp`.`ContributorID` = `u`.`UserID`))) left join `contentcategories` `cc` on((`cp`.`CategoryID` = `cc`.`CategoryID`)));

--
-- Definition of view `vw_contributors`
--

DROP TABLE IF EXISTS `vw_contributors`;
DROP VIEW IF EXISTS `vw_contributors`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_contributors` AS select `u`.`Username` AS `Username`,`u`.`UserID` AS `UserID`,`u`.`PortalID` AS `PortalID` from ((`users` `u` left join `usersinroles` `ur` on((`u`.`UserID` = `ur`.`UserId`))) left join `roles` `r` on((`ur`.`RoleId` = `r`.`RoleId`))) where (`r`.`RoleName` = 'Contributor');

--
-- Definition of view `vw_modules`
--

DROP TABLE IF EXISTS `vw_modules`;
DROP VIEW IF EXISTS `vw_modules`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_modules` AS select `modules`.`ModuleID` AS `ModuleID`,`modules`.`Title` AS `Title`,`modules`.`Description` AS `Description`,`modules`.`ContentPageID` AS `ContentPageID`,`modules`.`ContentCategoryID` AS `ContentCategoryID`,`modules`.`AjaxLoadURL` AS `AjaxLoadURL`,`modules`.`Active` AS `Active`,`modules`.`Importance` AS `Importance`,`modules`.`AddedDate` AS `AddedDate`,`modules`.`AllPages` AS `AllPages`,`modules`.`TargetDiv` AS `TargetDiv`,`modules`.`HTML` AS `HTML`,`modules`.`UseAjaxLoadURL` AS `UseAjaxLoadURL`,`modules`.`GetScript` AS `GetScript`,`modules`.`PortalID` AS `PortalID` from `modules`;

--
-- Definition of view `vw_pages`
--

DROP TABLE IF EXISTS `vw_pages`;
DROP VIEW IF EXISTS `vw_pages`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_pages` AS select `cp`.`ContentPageID` AS `ContentPageID`,`cp`.`AddedDate` AS `AddedDate`,`cp`.`ContributorID` AS `ContributorID`,`cp`.`AddedByID` AS `AddedByID`,`cp`.`CategoryID` AS `CategoryID`,`cp`.`Title` AS `Title`,`cp`.`Path` AS `Path`,`cp`.`Summary` AS `Summary`,`cp`.`Body` AS `Body`,`cp`.`ReleaseDate` AS `ReleaseDate`,`cp`.`ExpireDate` AS `ExpireDate`,`cp`.`Approved` AS `Approved`,`cp`.`Listed` AS `Listed`,`cp`.`CommentsEnabled` AS `CommentsEnabled`,`cp`.`OnlyForMembers` AS `OnlyForMembers`,`cp`.`ViewCount` AS `ViewCount`,`cp`.`Votes` AS `Votes`,`cp`.`TotalRating` AS `TotalRating`,`cp`.`IsCurrentVersion` AS `IsCurrentVersion`,`cp`.`IsSubPage` AS `IsSubPage`,`cp`.`OnlyForPayingMembers` AS `OnlyForPayingMembers`,`cp`.`AnonCommentsEnabled` AS `AnonCommentsEnabled`,`cp`.`Importance` AS `Importance`,`cp`.`Description` AS `Description`,`cc`.`Title` AS `CatTitle`,`cp`.`UpdateDate` AS `UpdateDate`,`cp`.`AltLanguageForPageID` AS `AltLanguageForPageID`,`cp`.`LanguageID` AS `LanguageID`,`l`.`PathId` AS `LangPathID`,`cp`.`UseWikiMarkup` AS `UseWikiMarkup`,`cp`.`PortalID` AS `PortalID`,`cp`.`ShowContributorLink` AS `ShowContributorLink` from ((`contentpages` `cp` left join `contentcategories` `cc` on((`cp`.`CategoryID` = `cc`.`CategoryID`))) left join `languages` `l` on((`cp`.`LanguageID` = `l`.`LanguageID`)));

--
-- Definition of view `vw_paths`
--

DROP TABLE IF EXISTS `vw_paths`;
DROP VIEW IF EXISTS `vw_paths`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_paths` AS select `cc`.`SinglePath` AS `path`,'cc' AS `src` from `contentcategories` `cc` where (`cc`.`SinglePath` is not null) union all select `cp`.`Path` AS `Path`,'cp' AS `src` from `contentpages` `cp` where (`cp`.`IsCurrentVersion` = 0);

--
-- Definition of view `vw_posts`
--

DROP TABLE IF EXISTS `vw_posts`;
DROP VIEW IF EXISTS `vw_posts`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_posts` AS select `forum_posts`.`PostID` AS `PostID`,`forum_posts`.`EditDate` AS `EditDate`,`forum_posts`.`AddedDate` AS `AddedDate`,`forum_posts`.`UserID` AS `UserID`,`forum_posts`.`AddedByIP` AS `AddedByIP`,`forum_posts`.`ForumID` AS `ForumID`,`forum_posts`.`ParentPostID` AS `ParentPostID`,`forum_posts`.`Title` AS `Title`,`forum_posts`.`Path` AS `Path`,`forum_posts`.`Body` AS `Body`,`forum_posts`.`Approved` AS `Approved`,`forum_posts`.`Closed` AS `Closed`,`forum_posts`.`VoteCount` AS `VoteCount`,`forum_posts`.`ViewCount` AS `ViewCount`,`forum_posts`.`ReplyCount` AS `ReplyCount`,`forum_posts`.`LastPostByID` AS `LastPostByID`,`forum_posts`.`LastPostDate` AS `LastPostDate`,`forum_posts`.`ReplyNumber` AS `ReplyNumber`,`forum_posts`.`IsAnswer` AS `IsAnswer`,`forum_posts`.`IsAnswered` AS `IsAnswered` from `forum_posts`;

--
-- Definition of view `vw_socialmessages`
--

DROP TABLE IF EXISTS `vw_socialmessages`;
DROP VIEW IF EXISTS `vw_socialmessages`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_socialmessages` AS select `social_messages_1`.`MessageID` AS `MessageID`,`social_messages_1`.`FromUserID` AS `FromUserID`,`social_messages_1`.`ToUserID` AS `ToUserID`,`social_messages_1`.`MessageTypeID` AS `MessageTypeID`,`social_messages_1`.`ImageID` AS `ImageID`,`social_messages_1`.`Body` AS `Body`,`social_messages_1`.`AddedDate` AS `AddedDate`,`social_messages_1`.`ParentMessageID` AS `ParentMessageID`,`fromusers`.`Username` AS `FromUsername`,`tousers`.`Username` AS `ToUsername`,`si`.`ImageName` AS `TheirPic`,(select '' AS `Expr1` from `social_messages` where (`social_messages`.`MessageID` = -(1))) AS `ElapsedTime` from (((`social_messages` `social_messages_1` join `users` `fromusers` on((`social_messages_1`.`FromUserID` = `fromusers`.`UserID`))) join `users` `tousers` on((`social_messages_1`.`ToUserID` = `tousers`.`UserID`))) left join `social_images` `si` on((`fromusers`.`UserID` = `si`.`UserID`))) where (`si`.`IsProfilePic` = 1);

--
-- Definition of view `vw_subcategories`
--

DROP TABLE IF EXISTS `vw_subcategories`;
DROP VIEW IF EXISTS `vw_subcategories`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_subcategories` AS select `childcat`.`CategoryID` AS `CategoryID`,`childcat`.`ParentCategoryID` AS `ParentCategoryID`,`childcat`.`Title` AS `Title`,`childcat`.`Path` AS `Path`,`parentcat`.`Path` AS `ParentPath`,`childcat`.`Importance` AS `Importance`,`parentcat`.`PortalID` AS `PortalID` from (`contentcategories` `childcat` left join `contentcategories` `parentcat` on((`childcat`.`ParentCategoryID` = `parentcat`.`CategoryID`))) where (`childcat`.`ParentCategoryID` is not null);

--
-- Definition of view `vw_usersroles`
--

DROP TABLE IF EXISTS `vw_usersroles`;
DROP VIEW IF EXISTS `vw_usersroles`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_usersroles` AS select `u`.`UserID` AS `UserID`,`u`.`Username` AS `Username`,`r`.`RoleName` AS `RoleName` from ((`users` `u` left join `usersinroles` `uir` on((`uir`.`UserId` = `u`.`UserID`))) left join `roles` `r` on((`uir`.`RoleId` = `r`.`RoleId`)));



/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
